=== added directory '.pc'
=== added file '.pc/.version'
--- .pc/.version	1970-01-01 00:00:00 +0000
+++ .pc/.version	2010-07-13 21:35:40 +0000
@@ -0,0 +1,1 @@
+2

=== added directory '.pc/01_defaults.debian.patch'
=== added directory '.pc/01_defaults.debian.patch/Mailman'
=== added file '.pc/01_defaults.debian.patch/Mailman/Defaults.py.in'
--- .pc/01_defaults.debian.patch/Mailman/Defaults.py.in	1970-01-01 00:00:00 +0000
+++ .pc/01_defaults.debian.patch/Mailman/Defaults.py.in	2010-07-13 21:35:40 +0000
@@ -0,0 +1,1417 @@
+# -*- python -*-
+
+# Copyright (C) 1998-2008 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+"""Distributed default settings for significant Mailman config variables."""
+
+# NEVER make site configuration changes to this file.  ALWAYS make them in
+# mm_cfg.py instead, in the designated area.  See the comments in that file
+# for details.
+
+
+import os
+
+def seconds(s): return s
+def minutes(m): return m * 60
+def hours(h): return h * 60 * 60
+def days(d): return d * 60 * 60 * 24
+
+# Some convenient constants
+try:
+    True, False
+except NameError:
+    True = 1
+    False = 0
+
+Yes = yes = On = on = True
+No = no = Off = off = False
+
+
+
+#####
+# General system-wide defaults
+#####
+
+# Should image logos be used?  Set this to 0 to disable image logos from "our
+# sponsors" and just use textual links instead (this will also disable the
+# shortcut "favicon").  Otherwise, this should contain the URL base path to
+# the logo images (and must contain the trailing slash)..  If you want to
+# disable Mailman's logo footer altogther, hack
+# Mailman/htmlformat.py:MailmanLogo(), which also contains the hardcoded links
+# and image names.
+IMAGE_LOGOS = '/icons/'
+
+# The name of the Mailman favicon
+SHORTCUT_ICON = 'mm-icon.png'
+
+# Don't change MAILMAN_URL, unless you want to point it at one of the mirrors.
+MAILMAN_URL = 'http://www.gnu.org/software/mailman/index.html'
+#MAILMAN_URL = 'http://www.list.org/'
+#MAILMAN_URL = 'http://mailman.sf.net/'
+
+# Mailman needs to know about (at least) two fully-qualified domain names
+# (fqdn); 1) the hostname used in your urls, and 2) the hostname used in email
+# addresses for your domain.  For example, if people visit your Mailman system
+# with "http://www.dom.ain/mailman" then your url fqdn is "www.dom.ain", and
+# if people send mail to your system via "yourlist@dom.ain" then your email
+# fqdn is "dom.ain".  DEFAULT_URL_HOST controls the former, and
+# DEFAULT_EMAIL_HOST controls the latter.  Mailman also needs to know how to
+# map from one to the other (this is especially important if you're running
+# with virtual domains).  You use "add_virtualhost(urlfqdn, emailfqdn)" to add
+# new mappings.
+#
+# If you don't need to change DEFAULT_EMAIL_HOST and DEFAULT_URL_HOST in your
+# mm_cfg.py, then you're done; the default mapping is added automatically.  If
+# however you change either variable in your mm_cfg.py, then be sure to also
+# include the following:
+#
+#     add_virtualhost(DEFAULT_URL_HOST, DEFAULT_EMAIL_HOST)
+#
+# because otherwise the default mappings won't be correct.
+DEFAULT_EMAIL_HOST = '@MAILHOST@'
+DEFAULT_URL_HOST = '@URLHOST@'
+DEFAULT_URL_PATTERN = 'http://%s/mailman/'
+
+# DEFAULT_HOST_NAME has been replaced with DEFAULT_EMAIL_HOST, however some
+# sites may have the former in their mm_cfg.py files.  If so, we'll believe
+# that, otherwise we'll believe DEFAULT_EMAIL_HOST.  Same for DEFAULT_URL.
+DEFAULT_HOST_NAME = None
+DEFAULT_URL = None
+
+HOME_PAGE         = 'index.html'
+MAILMAN_SITE_LIST = 'mailman'
+
+# Normally when a site administrator authenticates to a web page with the site
+# password, they get a cookie which authorizes them as the list admin.  It
+# makes me nervous to hand out site auth cookies because if this cookie is
+# cracked or intercepted, the intruder will have access to every list on the
+# site.  OTOH, it's dang handy to not have to re-authenticate to every list on
+# the site.  Set this value to Yes to allow site admin cookies.
+ALLOW_SITE_ADMIN_COOKIES = No
+
+# Command that is used to convert text/html parts into plain text.  This
+# should output results to standard output.  %(filename)s will contain the
+# name of the temporary file that the program should operate on.
+HTML_TO_PLAIN_TEXT_COMMAND = '/usr/bin/lynx -dump %(filename)s'
+
+# A Python regular expression character class which defines the characters
+# allowed in list names.  Lists cannot be created with names containing any
+# character that doesn't match this class.
+ACCEPTABLE_LISTNAME_CHARACTERS = '[-+_.=a-z0-9]'
+
+
+
+#####
+# Virtual domains
+#####
+
+# Set up your virtual host mappings here.  This is primarily used for the
+# thru-the-web list creation, so its effects are currently fairly limited.
+# Use add_virtualhost() call to add new mappings.  The keys are strings as
+# determined by Utils.get_domain(), the values are as appropriate for
+# DEFAULT_HOST_NAME.
+VIRTUAL_HOSTS = {}
+
+# When set to Yes, the listinfo and admin overviews of lists on the machine
+# will be confined to only those lists whose web_page_url configuration option
+# host is included within the URL by which the page is visited - only those
+# "on the virtual host".  When set to No, all advertised (i.e. public) lists
+# are included in the overview.
+VIRTUAL_HOST_OVERVIEW = On
+
+
+# Helper function; use this in your mm_cfg.py files.  If optional emailhost is
+# omitted it defaults to urlhost with the first name stripped off, e.g.
+#
+# add_virtualhost('www.dom.ain')
+# VIRTUAL_HOST['www.dom.ain']
+# ==> 'dom.ain'
+#
+def add_virtualhost(urlhost, emailhost=None):
+    DOT = '.'
+    if emailhost is None:
+        emailhost = DOT.join(urlhost.split(DOT)[1:])
+    VIRTUAL_HOSTS[urlhost.lower()] = emailhost.lower()
+
+# And set the default
+add_virtualhost(DEFAULT_URL_HOST, DEFAULT_EMAIL_HOST)
+
+# Note that you will want to run bin/fix_url.py to change the domain of an
+# existing list.  bin/fix_url.py must be run within the bin/withlist script,
+# like so: bin/withlist -l -r bin/fix_url.py <listname>
+
+
+
+#####
+# Spam avoidance defaults
+#####
+
+# This variable contains a list of 2-tuple of the format (header, regex) which
+# the Mailman/Handlers/SpamDetect.py module uses to match against the current
+# message.  If the regex matches the given header in the current message, then
+# it is flagged as spam.  header is case-insensitive and should not include
+# the trailing colon.  regex is always matched with re.IGNORECASE.
+#
+# Note that the more searching done, the slower the whole process gets.  Spam
+# detection is run against all messages coming to either the list, or the
+# -owners address, unless the message is explicitly approved.
+KNOWN_SPAMMERS = []
+
+
+
+#####
+# Web UI defaults
+#####
+
+# Almost all the colors used in Mailman's web interface are parameterized via
+# the following variables.  This lets you easily change the color schemes for
+# your preferences without having to do major surgery on the source code.
+# Note that in general, the template colors are not included here since it is
+# easy enough to override the default template colors via site-wide,
+# vdomain-wide, or list-wide specializations.
+
+WEB_BG_COLOR = 'white'                            # Page background
+WEB_HEADER_COLOR = '#99ccff'                      # Major section headers
+WEB_SUBHEADER_COLOR = '#fff0d0'                   # Minor section headers
+WEB_ADMINITEM_COLOR = '#dddddd'                   # Option field background
+WEB_ADMINPW_COLOR = '#99cccc'                     # Password box color
+WEB_ERROR_COLOR = 'red'                           # Error message foreground
+WEB_LINK_COLOR = ''                               # If true, forces LINK=
+WEB_ALINK_COLOR = ''                              # If true, forces ALINK=
+WEB_VLINK_COLOR = ''                              # If true, forces VLINK=
+WEB_HIGHLIGHT_COLOR = '#dddddd'                   # If true, alternating rows
+                                                  # in listinfo & admin display
+
+
+#####
+# Archive defaults
+#####
+
+# The url template for the public archives.  This will be used in several
+# places, including the List-Archive: header, links to the archive on the
+# list's listinfo page, and on the list's admin page.
+#
+# This should be a string with "%(listname)s" somewhere in it.  Mailman will
+# interpolate the name of the list into this.  You can also include a
+# "%(hostname)s" in the string, into which Mailman will interpolate
+# the host name (usually DEFAULT_URL_HOST).
+PUBLIC_ARCHIVE_URL = 'http://%(hostname)s/pipermail/%(listname)s'
+
+# Are archives on or off by default?
+DEFAULT_ARCHIVE = On
+
+# Are archives public or private by default?
+# 0=public, 1=private
+DEFAULT_ARCHIVE_PRIVATE = 0
+
+# ARCHIVE_TO_MBOX
+#-1 - do not do any archiving
+# 0 - do not archive to mbox, use builtin mailman html archiving only
+# 1 - do not use builtin mailman html archiving, archive to mbox only
+# 2 - archive to both mbox and builtin mailman html archiving.
+#     See the settings below for PUBLIC_EXTERNAL_ARCHIVER and
+#     PRIVATE_EXTERNAL_ARCHIVER which can be used to replace mailman's
+#     builtin html archiving with an external archiver.  The flat mail
+#     mbox file can be useful for searching, and is another way to
+#     interface external archivers, etc.
+ARCHIVE_TO_MBOX = 2
+
+# 0 - yearly
+# 1 - monthly
+# 2 - quarterly
+# 3 - weekly
+# 4 - daily
+DEFAULT_ARCHIVE_VOLUME_FREQUENCY = 1
+DEFAULT_DIGEST_VOLUME_FREQUENCY = 1
+
+# These variables control the use of an external archiver.  Normally if
+# archiving is turned on (see ARCHIVE_TO_MBOX above and the list's archive*
+# attributes) the internal Pipermail archiver is used.  This is the default if
+# both of these variables are set to No.  When either is set, the value should
+# be a shell command string which will get passed to os.popen().  This string
+# can contain the following substitution strings:
+#
+#     %(listname)s -- gets the internal name of the list
+#     %(hostname)s -- gets the email hostname for the list
+#
+# being archived will be substituted for this.  Please note that os.popen() is
+# used.
+#
+# Note that if you set one of these variables, you should set both of them
+# (they can be the same string).  This will mean your external archiver will
+# be used regardless of whether public or private archives are selected.
+PUBLIC_EXTERNAL_ARCHIVER = No
+PRIVATE_EXTERNAL_ARCHIVER = No
+
+# A filter module that converts from multipart messages to "flat" messages
+# (i.e. containing a single payload).  This is required for Pipermail, and you
+# may want to set it to 0 for external archivers.  You can also replace it
+# with your own module as long as it contains a process() function that takes
+# a MailList object and a Message object.  It should raise
+# Errors.DiscardMessage if it wants to throw the message away.  Otherwise it
+# should modify the Message object as necessary.
+ARCHIVE_SCRUBBER = 'Mailman.Handlers.Scrubber'
+
+# Control parameter whether Mailman.Handlers.Scrubber should use message
+# attachment's filename as is indicated by the filename parameter or use
+# 'attachement-xxx' instead.  The default is set True because the applications
+# on PC and Mac begin to use longer non-ascii filenames.  Historically, it
+# was set False in 2.1.6 for backward compatiblity but it was reset to True
+# for safer operation in mailman-2.1.7.
+SCRUBBER_DONT_USE_ATTACHMENT_FILENAME = True
+
+# Use of attachment filename extension per se is may be dangerous because
+# virus fakes it. You can set this True if you filter the attachment by
+# filename extension
+SCRUBBER_USE_ATTACHMENT_FILENAME_EXTENSION = False
+
+# This variable defines what happens to text/html subparts.  They can be
+# stripped completely, escaped, or filtered through an external program.  The
+# legal values are:
+# 0 - Strip out text/html parts completely, leaving a notice of the removal in
+#     the message.  If the outer part is text/html, the entire message is
+#     discarded.
+# 1 - Remove any embedded text/html parts, leaving them as HTML-escaped
+#     attachments which can be separately viewed.  Outer text/html parts are
+#     simply HTML-escaped.
+# 2 - Leave it inline, but HTML-escape it
+# 3 - Remove text/html as attachments but don't HTML-escape them. Note: this
+#     is very dangerous because it essentially means anybody can send an HTML
+#     email to your site containing evil JavaScript or web bugs, or other
+#     nasty things, and folks viewing your archives will be susceptible.  You
+#     should only consider this option if you do heavy moderation of your list
+#     postings.
+#
+# Note: given the current archiving code, it is not possible to leave
+# text/html parts inline and un-escaped.  I wouldn't think it'd be a good idea
+# to do anyway.
+#
+# The value can also be a string, in which case it is the name of a command to
+# filter the HTML page through.  The resulting output is left in an attachment
+# or as the entirety of the message when the outer part is text/html.  The
+# format of the string must include a "%(filename)s" which will contain the
+# name of the temporary file that the program should operate on.  It should
+# write the processed message to stdout.  Set this to
+# HTML_TO_PLAIN_TEXT_COMMAND to specify an HTML to plain text conversion
+# program.
+ARCHIVE_HTML_SANITIZER = 1
+
+# Set this to Yes to enable gzipping of the downloadable archive .txt file.
+# Note that this is /extremely/ inefficient, so an alternative is to just
+# collect the messages in the associated .txt file and run a cron job every
+# night to generate the txt.gz file.  See cron/nightly_gzip for details.
+GZIP_ARCHIVE_TXT_FILES = No
+
+# This sets the default `clobber date' policy for the archiver.  When a
+# message is to be archived either by Pipermail or an external archiver,
+# Mailman can modify the Date: header to be the date the message was received
+# instead of the Date: in the original message.  This is useful if you
+# typically receive messages with outrageous dates.  Set this to 0 to retain
+# the date of the original message, or to 1 to always clobber the date.  Set
+# it to 2 to perform `smart overrides' on the date; when the date is outside
+# ARCHIVER_ALLOWABLE_SANE_DATE_SKEW (either too early or too late), then the
+# received date is substituted instead.
+ARCHIVER_CLOBBER_DATE_POLICY = 2
+ARCHIVER_ALLOWABLE_SANE_DATE_SKEW = days(15)
+
+# Pipermail archives contain the raw email addresses of the posting authors.
+# Some view this as a goldmine for spam harvesters.  Set this to Yes to
+# moderately obscure email addresses, but note that this breaks mailto: URLs
+# in the archives too.
+ARCHIVER_OBSCURES_EMAILADDRS = Yes
+
+# Pipermail assumes that message bodies contain US-ASCII text.
+# Change this option to define a different character set to be used as
+# the default character set for the archive.  The term "character set"
+# is used in MIME to refer to a method of converting a sequence of
+# octets into a sequence of characters.  If you change the default
+# charset, you might need to add it to VERBATIM_ENCODING below.
+DEFAULT_CHARSET = None
+
+# Most character set encodings require special HTML entity characters to be
+# quoted, otherwise they won't look right in the Pipermail archives.  However
+# some character sets must not quote these characters so that they can be
+# rendered properly in the browsers.  The primary issue is multi-byte
+# encodings where the octet 0x26 does not always represent the & character.
+# This variable contains a list of such characters sets which are not
+# HTML-quoted in the archives.
+VERBATIM_ENCODING = ['iso-2022-jp']
+
+# When the archive is public, should Mailman also make the raw Unix mbox file
+# publically available?
+PUBLIC_MBOX = No
+
+
+
+#####
+# Delivery defaults
+#####
+
+# Final delivery module for outgoing mail.  This handler is used for message
+# delivery to the list via the smtpd, and to an individual user.  This value
+# must be a string naming a module in the Mailman.Handlers package.
+#
+# WARNING: Sendmail has security holes and should be avoided.  In fact, you
+# must read the Mailman/Handlers/Sendmail.py file before it will work for
+# you.
+#
+#DELIVERY_MODULE = 'Sendmail'
+DELIVERY_MODULE = 'SMTPDirect'
+
+# MTA should name a module in Mailman/MTA which provides the MTA specific
+# functionality for creating and removing lists.  Some MTAs like Exim can be
+# configured to automatically recognize new lists, in which case the MTA
+# variable should be set to None.  Use 'Manual' to print new aliases to
+# standard out (or send an email to the site list owner) for manual twiddling
+# of an /etc/aliases style file.  Use 'Postfix' if you are using the Postfix
+# MTA -- but then also see POSTFIX_STYLE_VIRTUAL_DOMAINS.
+MTA = 'Manual'
+
+# If you set MTA='Postfix', then you also want to set the following variable,
+# depending on whether you're using virtual domains in Postfix, and which
+# style of virtual domain you're using.  Set this to the empty list if you're
+# not using virtual domains in Postfix, or if you're using Sendmail-style
+# virtual domains (where all addresses are visible in all domains).  If you're
+# using Postfix-style virtual domains, where aliases should only show up in
+# the virtual domain, set this variable to the list of host_name values to
+# write separate virtual entries for.  I.e. if you run dom1.ain, dom2.ain, and
+# dom3.ain, but only dom2 and dom3 are virtual, set this variable to the list
+# ['dom2.ain', 'dom3.ain'].  Matches are done against the host_name attribute
+# of the mailing lists.  See the Postfix section of the installation manual
+# for details.
+POSTFIX_STYLE_VIRTUAL_DOMAINS = []
+
+# These variables describe the program to use for regenerating the aliases.db
+# and virtual-mailman.db files, respectively, from the associated plain text
+# files.  The file being updated will be appended to this string (with a
+# separating space), so it must be appropriate for os.system().
+POSTFIX_ALIAS_CMD = '/usr/sbin/postalias'
+POSTFIX_MAP_CMD = '/usr/sbin/postmap'
+
+# Ceiling on the number of recipients that can be specified in a single SMTP
+# transaction.  Set to 0 to submit the entire recipient list in one
+# transaction.  Only used with the SMTPDirect DELIVERY_MODULE.
+SMTP_MAX_RCPTS = 500
+
+# Ceiling on the number of SMTP sessions to perform on a single socket
+# connection.  Some MTAs have limits.  Set this to 0 to do as many as we like
+# (i.e. your MTA has no limits).  Set this to some number great than 0 and
+# Mailman will close the SMTP connection and re-open it after this number of
+# consecutive sessions.
+SMTP_MAX_SESSIONS_PER_CONNECTION = 0
+
+# Maximum number of simultaneous subthreads that will be used for SMTP
+# delivery.  After the recipients list is chunked according to SMTP_MAX_RCPTS,
+# each chunk is handed off to the smptd by a separate such thread.  If your
+# Python interpreter was not built for threads, this feature is disabled.  You
+# can explicitly disable it in all cases by setting MAX_DELIVERY_THREADS to
+# 0.  This feature is only supported with the SMTPDirect DELIVERY_MODULE.
+#
+# NOTE: This is an experimental feature and limited testing shows that it may
+# in fact degrade performance, possibly due to Python's global interpreter
+# lock.  Use with caution.
+MAX_DELIVERY_THREADS = 0
+
+# SMTP host and port, when DELIVERY_MODULE is 'SMTPDirect'.  Make sure the
+# host exists and is resolvable (i.e., if it's the default of "localhost" be
+# sure there's a localhost entry in your /etc/hosts file!)
+SMTPHOST = 'localhost'
+SMTPPORT = 0                                      # default from smtplib
+
+# Command for direct command pipe delivery to sendmail compatible program,
+# when DELIVERY_MODULE is 'Sendmail'.
+SENDMAIL_CMD = '/usr/lib/sendmail'
+
+# Set these variables if you need to authenticate to your NNTP server for
+# Usenet posting or reading.  If no authentication is necessary, specify None
+# for both variables.
+NNTP_USERNAME = None
+NNTP_PASSWORD = None
+
+# Set this if you have an NNTP server you prefer gatewayed lists to use.
+DEFAULT_NNTP_HOST = ''
+
+# These variables controls how headers must be cleansed in order to be
+# accepted by your NNTP server.  Some servers like INN reject messages
+# containing prohibited headers, or duplicate headers.  The NNTP server may
+# reject the message for other reasons, but there's little that can be
+# programmatically done about that.  See Mailman/Queue/NewsRunner.py
+#
+# First, these headers (case ignored) are removed from the original message.
+NNTP_REMOVE_HEADERS = ['nntp-posting-host', 'nntp-posting-date', 'x-trace',
+                       'x-complaints-to', 'xref', 'date-received', 'posted',
+                       'posting-version', 'relay-version', 'received']
+
+# Next, these headers are left alone, unless there are duplicates in the
+# original message.  Any second and subsequent headers are rewritten to the
+# second named header (case preserved).
+NNTP_REWRITE_DUPLICATE_HEADERS = [
+    ('to', 'X-Original-To'),
+    ('cc', 'X-Original-Cc'),
+    ('content-transfer-encoding', 'X-Original-Content-Transfer-Encoding'),
+    ('mime-version', 'X-MIME-Version'),
+    ]
+
+# Some list posts and mail to the -owner address may contain DomainKey or
+# DomainKeys Identified Mail (DKIM) signature headers <http://www.dkim.org/>.
+# Various list transformations to the message such as adding a list header or
+# footer or scrubbing attachments or even reply-to munging can break these
+# signatures.  It is generally felt that these signatures have value, even if
+# broken and even if the outgoing message is resigned.  However, some sites
+# may wish to remove these headers by setting this to Yes.
+REMOVE_DKIM_HEADERS = No
+
+# All `normal' messages which are delivered to the entire list membership go
+# through this pipeline of handler modules.  Lists themselves can override the
+# global pipeline by defining a `pipeline' attribute.
+GLOBAL_PIPELINE = [
+    # These are the modules that do tasks common to all delivery paths.
+    'SpamDetect',
+    'Approve',
+    'Replybot',
+    'Moderate',
+    'Hold',
+    'MimeDel',
+    'Scrubber',
+    'Emergency',
+    'Tagger',
+    'CalcRecips',
+    'AvoidDuplicates',
+    'Cleanse',
+    'CleanseDKIM',
+    'CookHeaders',
+    # And now we send the message to the digest mbox file, and to the arch and
+    # news queues.  Runners will provide further processing of the message,
+    # specific to those delivery paths.
+    'ToDigest',
+    'ToArchive',
+    'ToUsenet',
+    # Now we'll do a few extra things specific to the member delivery
+    # (outgoing) path, finally leaving the message in the outgoing queue.
+    'AfterDelivery',
+    'Acknowledge',
+    'ToOutgoing',
+    ]
+
+# This is the pipeline which messages sent to the -owner address go through
+OWNER_PIPELINE = [
+    'SpamDetect',
+    'Replybot',
+    'CleanseDKIM',
+    'OwnerRecips',
+    'ToOutgoing',
+    ]
+
+
+# This defines syslog() format strings for the SMTPDirect delivery module (see
+# DELIVERY_MODULE above).  Valid %()s string substitutions include:
+#
+#     time -- the time in float seconds that it took to complete the smtp
+#     hand-off of the message from Mailman to your smtpd.
+#
+#     size -- the size of the entire message, in bytes
+#
+#     #recips -- the number of actual recipients for this message.
+#
+#     #refused -- the number of smtp refused recipients (use this only in
+#     SMTP_LOG_REFUSED).
+#
+#     listname -- the `internal' name of the mailing list for this posting
+#
+#     msg_<header> -- the value of the delivered message's given header.  If
+#     the message had no such header, then "n/a" will be used.  Note though
+#     that if the message had multiple such headers, then it is undefined
+#     which will be used.
+#
+#     allmsg_<header> - Same as msg_<header> above, but if there are multiple
+#     such headers in the message, they will all be printed, separated by
+#     comma-space.
+#
+#     sender -- the "sender" of the messages, which will be the From: or
+#     envelope-sender as determeined by the USE_ENVELOPE_SENDER variable
+#     below.
+#
+# The format of the entries is a 2-tuple with the first element naming the
+# file in logs/ to print the message to, and the second being a format string
+# appropriate for Python's %-style string interpolation.  The file name is
+# arbitrary; qfiles/<name> will be created automatically if it does not
+# exist.
+
+# The format of the message printed for every delivered message, regardless of
+# whether the delivery was successful or not.  Set to None to disable the
+# printing of this log message.
+SMTP_LOG_EVERY_MESSAGE = (
+    'smtp',
+    '%(msg_message-id)s smtp to %(listname)s for %(#recips)d recips, completed in %(time).3f seconds')
+
+# This will only be printed if there were no immediate smtp failures.
+# Mutually exclusive with SMTP_LOG_REFUSED.
+SMTP_LOG_SUCCESS = (
+    'post',
+    'post to %(listname)s from %(sender)s, size=%(size)d, message-id=%(msg_message-id)s, success')
+
+# This will only be printed if there were any addresses which encountered an
+# immediate smtp failure.  Mutually exclusive with SMTP_LOG_SUCCESS.
+SMTP_LOG_REFUSED = (
+    'post',
+    'post to %(listname)s from %(sender)s, size=%(size)d, message-id=%(msg_message-id)s, %(#refused)d failures')
+
+# This will be logged for each specific recipient failure.  Additional %()s
+# keys are:
+#
+#     recipient -- the failing recipient address
+#     failcode  -- the smtp failure code
+#     failmsg   -- the actual smtp message, if available
+SMTP_LOG_EACH_FAILURE = (
+    'smtp-failure',
+    'delivery to %(recipient)s failed with code %(failcode)d: %(failmsg)s')
+
+# These variables control the format and frequency of VERP-like delivery for
+# better bounce detection.  VERP is Variable Envelope Return Path, defined
+# here:
+#
+# http://cr.yp.to/proto/verp.txt
+#
+# This involves encoding the address of the recipient as we (Mailman) know it
+# into the envelope sender address (i.e. the SMTP `MAIL FROM:' address).
+# Thus, no matter what kind of forwarding the recipient has in place, should
+# it eventually bounce, we will receive an unambiguous notice of the bouncing
+# address.
+#
+# However, we're technically only "VERP-like" because we're doing the envelope
+# sender encoding in Mailman, not in the MTA.  We do require cooperation from
+# the MTA, so you must be sure your MTA can be configured for extended address
+# semantics.
+#
+# The first variable describes how to encode VERP envelopes.  It must contain
+# these three string interpolations:
+#
+# %(bounces)s -- the list-bounces mailbox will be set here
+# %(mailbox)s -- the recipient's mailbox will be set here
+# %(host)s    -- the recipient's host name will be set here
+#
+# This example uses the default below.
+#
+# FQDN list address is: mylist@dom.ain
+# Recipient is:         aperson@a.nother.dom
+#
+# The envelope sender will be mylist-bounces+aperson=a.nother.dom@dom.ain
+#
+# Note that your MTA /must/ be configured to deliver such an addressed message
+# to mylist-bounces!
+VERP_FORMAT = '%(bounces)s+%(mailbox)s=%(host)s'
+
+# The second describes a regular expression to unambiguously decode such an
+# address, which will be placed in the To: header of the bounce message by the
+# bouncing MTA.  Getting this right is critical -- and tricky.  Learn your
+# Python regular expressions.  It must define exactly three named groups,
+# bounces, mailbox and host, with the same definition as above.  It will be
+# compiled case-insensitively.
+VERP_REGEXP = r'^(?P<bounces>[^+]+?)\+(?P<mailbox>[^=]+)=(?P<host>[^@]+)@.*$'
+
+# VERP format and regexp for probe messages
+VERP_PROBE_FORMAT = '%(bounces)s+%(token)s'
+VERP_PROBE_REGEXP = r'^(?P<bounces>[^+]+?)\+(?P<token>[^@]+)@.*$'
+# Set this Yes to activate VERP probe for disabling by bounce
+VERP_PROBES = No
+
+# A perfect opportunity for doing VERP is the password reminders, which are
+# already addressed individually to each recipient.  Set this to Yes to enable
+# VERPs on all password reminders.
+VERP_PASSWORD_REMINDERS = No
+
+# Another good opportunity is when regular delivery is personalized.  Here
+# again, we're already incurring the performance hit for addressing each
+# individual recipient.  Set this to Yes to enable VERPs on all personalized
+# regular deliveries (personalized digests aren't supported yet).
+VERP_PERSONALIZED_DELIVERIES = No
+
+# And finally, we can VERP normal, non-personalized deliveries.  However,
+# because it can be a significant performance hit, we allow you to decide how
+# often to VERP regular deliveries.  This is the interval, in number of
+# messages, to do a VERP recipient address.  The same variable controls both
+# regular and digest deliveries.  Set to 0 to disable occasional VERPs, set to
+# 1 to VERP every delivery, or to some number > 1 for only occasional VERPs.
+VERP_DELIVERY_INTERVAL = 0
+
+# For nicer confirmation emails, use a VERP-like format which encodes the
+# confirmation cookie in the reply address.  This lets us put a more user
+# friendly Subject: on the message, but requires cooperation from the MTA.
+# Format is like VERP_FORMAT above, but with the following substitutions:
+#
+# %(addr)s -- the list-confirm mailbox will be set here
+# %(cookie)s  -- the confirmation cookie will be set here
+VERP_CONFIRM_FORMAT = '%(addr)s+%(cookie)s'
+
+# This is analogous to VERP_REGEXP, but for splitting apart the
+# VERP_CONFIRM_FORMAT.  MUAs have been observed that mung
+# From: local_part@host
+# into
+# To: "local_part" <local_part@host>
+# or even
+# To: "local_part@host" <local_part@host>
+# and may even fold the header when replying, so we skip everything up to '<'
+# if any and include ($s) so dot will match the newline in a folded header.
+VERP_CONFIRM_REGEXP = r'(?s)^(.*<)?(?P<addr>.+)\+(?P<cookie>[^@+]+)@.*$'
+
+# Set this to Yes to enable VERP-like (more user friendly) confirmations
+VERP_CONFIRMATIONS = No
+
+# This is the maximum number of automatic responses sent to an address because
+# of -request messages or posting hold messages.  This limit prevents response
+# loops between Mailman and misconfigured remote email robots.  Mailman
+# already inhibits automatic replies to any message labeled with a header
+# "Precendence: bulk|list|junk".  This is a fallback safety valve so it should
+# be set fairly high.  Set to 0 for no limit (probably useful only for
+# debugging).
+MAX_AUTORESPONSES_PER_DAY = 10
+
+
+
+#####
+# Qrunner defaults
+#####
+
+# Which queues should the qrunner master watchdog spawn?  This is a list of
+# 2-tuples containing the name of the qrunner class (which must live in a
+# module of the same name within the Mailman.Queue package), and the number of
+# parallel processes to fork for each qrunner.  If more than one process is
+# used, each will take an equal subdivision of the hash space.
+
+# BAW: Eventually we may support weighted hash spaces.
+# BAW: Although not enforced, the # of slices must be a power of 2
+
+QRUNNERS = [
+    ('ArchRunner',     1), # messages for the archiver
+    ('BounceRunner',   1), # for processing the qfile/bounces directory
+    ('CommandRunner',  1), # commands and bounces from the outside world
+    ('IncomingRunner', 1), # posts from the outside world
+    ('NewsRunner',     1), # outgoing messages to the nntpd
+    ('OutgoingRunner', 1), # outgoing messages to the smtpd
+    ('VirginRunner',   1), # internally crafted (virgin birth) messages
+    ('RetryRunner',    1), # retry temporarily failed deliveries
+    ]
+
+# Set this to Yes to use the `Maildir' delivery option.  If you change this
+# you will need to re-run bin/genaliases for MTAs that don't use list
+# auto-detection.
+#
+# WARNING: If you want to use Maildir delivery, you /must/ start Mailman's
+# qrunner as root, or you will get permission problems.
+#
+# NOTE: Maildir delivery is experimental for Mailman 2.1.
+USE_MAILDIR = No
+# NOTE: If you set USE_MAILDIR = Yes, add the following line to your mm_cfg.py
+# file (uncommented of course!)
+# QRUNNERS.append(('MaildirRunner', 1))
+
+# After processing every file in the qrunner's slice, how long should the
+# runner sleep for before checking the queue directory again for new files?
+# This can be a fraction of a second, or zero to check immediately
+# (essentially busy-loop as fast as possible).
+QRUNNER_SLEEP_TIME = seconds(1)
+
+# When a message that is unparsable (by the email package) is received, what
+# should we do with it?  The most common cause of unparsable messages is
+# broken MIME encapsulation, and the most common cause of that is viruses like
+# Nimda.  Set this variable to No to discard such messages, or to Yes to store
+# them in qfiles/bad subdirectory.
+QRUNNER_SAVE_BAD_MESSAGES = Yes
+
+# Depending on the above setting, the queue entries with messages which can't
+# be parsed may be saved in qfiles/bad.  Certain other exceptions which occur
+# during unpickling of a queue entry also cause the entry to be saved in
+# qfiles/bad.  Various exceptions which occur during message processing cause
+# the message to be shunted (saved in qfiles/shunt) where they can be
+# reprocessed with bin/unshunt after the underlying problem is fixed.  The
+# cull_bad_shunt cron job normally runs daily to remove and possibly archive
+# stale entries in qfiles/bad and qfiles/shunt.  The following settings
+# control this.
+
+# The length of time after which a qfiles/bad or qfiles/shunt file is
+# considered to be stale.  Set to zero to disable culling of qfiles/bad and
+# qfiles/shunt entries.
+BAD_SHUNT_STALE_AFTER = days(7)
+
+# The pathname of a directory (searchable and writable by the Mailman cron
+# user) to which the culled qfiles/bad and qfiles/shunt entries will be
+# moved.  Set to None to simply delete the culled entries.
+BAD_SHUNT_ARCHIVE_DIRECTORY = None
+
+# This flag causes Mailman to fsync() its data files after writing and
+# flushing its contents.  While this ensures the data is written to disk,
+# avoiding data loss, it may be a performance killer.  Note that this flag
+# affects both message pickles and MailList config.pck files.
+SYNC_AFTER_WRITE = No
+
+
+
+#####
+# General defaults
+#####
+
+# The default language for this server.  Whenever we can't figure out the list
+# context or user context, we'll fall back to using this language.  See
+# LC_DESCRIPTIONS below for legal values.
+DEFAULT_SERVER_LANGUAGE = 'en'
+
+# When allowing only members to post to a mailing list, how is the sender of
+# the message determined?  If this variable is set to Yes, then first the
+# message's envelope sender is used, with a fallback to the sender if there is
+# no envelope sender.  Set this variable to No to always use the sender.
+#
+# The envelope sender is set by the SMTP delivery and is thus less easily
+# spoofed than the sender, which is typically just taken from the From: header
+# and thus easily spoofed by the end-user.  However, sometimes the envelope
+# sender isn't set correctly and this will manifest itself by postings being
+# held for approval even if they appear to come from a list member.  If you
+# are having this problem, set this variable to No, but understand that some
+# spoofed messages may get through.
+USE_ENVELOPE_SENDER = No
+
+# Membership tests for posting purposes are usually performed by looking at a
+# set of headers, passing the test if any of their values match a member of
+# the list.  Headers are checked in the order given in this variable.  The
+# value None means use the From_ (envelope sender) header.  Field names are
+# case insensitive.
+SENDER_HEADERS = ('from', None, 'reply-to', 'sender')
+
+# How many members to display at a time on the admin cgi to unsubscribe them
+# or change their options?
+DEFAULT_ADMIN_MEMBER_CHUNKSIZE = 30
+
+# how many bytes of a held message post should be displayed in the admindb web
+# page?  Use a negative number to indicate the entire message, regardless of
+# size (though this will slow down rendering those pages).
+ADMINDB_PAGE_TEXT_LIMIT = 4096
+
+# Set this variable to Yes to allow list owners to delete their own mailing
+# lists.  You may not want to give them this power, in which case, setting
+# this variable to No instead requires list removal to be done by the site
+# administrator, via the command line script bin/rmlist.
+OWNERS_CAN_DELETE_THEIR_OWN_LISTS = No
+
+# Set this variable to Yes to allow list owners to set the "personalized"
+# flags on their mailing lists.  Turning these on tells Mailman to send
+# separate email messages to each user instead of batching them together for
+# delivery to the MTA.  This gives each member a more personalized message,
+# but can have a heavy impact on the performance of your system.
+OWNERS_CAN_ENABLE_PERSONALIZATION = No
+
+# Set this variable to Yes to allow list owners to change a member's password
+# from the member's options page.  Do not do this if list owners aren't all
+# trustworthy as it allows a list owner to change a member's password and then
+# log in as the member and make global changes.
+OWNERS_CAN_CHANGE_MEMBER_PASSWORDS = No
+
+# Should held messages be saved on disk as Python pickles or as plain text?
+# The former is more efficient since we don't need to go through the
+# parse/generate roundtrip each time, but the latter might be preferred if you
+# want to edit the held message on disk.
+HOLD_MESSAGES_AS_PICKLES = Yes
+
+# This variable controls the order in which list-specific category options are
+# presented in the admin cgi page.
+ADMIN_CATEGORIES = [
+    # First column
+    'general', 'passwords', 'language', 'members', 'nondigest', 'digest',
+    # Second column
+    'privacy', 'bounce', 'archive', 'gateway', 'autoreply',
+    'contentfilter', 'topics',
+    ]
+
+# See "Bitfield for user options" below; make this a sum of those options, to
+# make all new members of lists start with those options flagged.  We assume
+# by default that people don't want to receive two copies of posts.  Note
+# however that the member moderation flag's initial value is controlled by the
+# list's config variable default_member_moderation.
+DEFAULT_NEW_MEMBER_OPTIONS = 256
+
+# Specify the type of passwords to use, when Mailman generates the passwords
+# itself, as would be the case for membership requests where the user did not
+# fill in a password, or during list creation, when auto-generation of admin
+# passwords was selected.
+#
+# Set this value to Yes for classic Mailman user-friendly(er) passwords.
+# These generate semi-pronounceable passwords which are easier to remember.
+# Set this value to No to use more cryptographically secure, but harder to
+# remember, passwords -- if your operating system and Python version support
+# the necessary feature (specifically that /dev/urandom be available).
+USER_FRIENDLY_PASSWORDS = Yes
+# This value specifies the default lengths of member and list admin passwords
+MEMBER_PASSWORD_LENGTH = 8
+ADMIN_PASSWORD_LENGTH = 10
+
+
+
+#####
+# List defaults.  NOTE: Changing these values does NOT change the
+# configuration of an existing list.  It only defines the default for new
+# lists you subsequently create.
+#####
+
+# Should a list, by default be advertised?  What is the default maximum number
+# of explicit recipients allowed?  What is the default maximum message size
+# allowed?
+DEFAULT_LIST_ADVERTISED = Yes
+DEFAULT_MAX_NUM_RECIPIENTS = 10
+DEFAULT_MAX_MESSAGE_SIZE = 40           # KB
+
+# These format strings will be expanded w.r.t. the dictionary for the
+# mailing list instance.
+DEFAULT_SUBJECT_PREFIX  = "[%(real_name)s] "
+# DEFAULT_SUBJECT_PREFIX = "[%(real_name)s %%d]" # for numbering
+DEFAULT_MSG_HEADER = ""
+DEFAULT_MSG_FOOTER = """_______________________________________________
+%(real_name)s mailing list
+%(real_name)s@%(host_name)s
+%(web_page_url)slistinfo%(cgiext)s/%(_internal_name)s
+"""
+
+# Where to put subject prefix for 'Re:' messages:
+#
+#     old style: Re: [prefix] test
+#     new style: [prefix 123] Re: test ... (number is optional)
+#
+# Old style is default for backward compatibility.  New style is forced if a
+# list owner set %d (numbering) in prefix.  If the site owner had applied new
+# style patch (from SF patch area) before, he/she may want to set this No in
+# mm_cfg.py.
+OLD_STYLE_PREFIXING = Yes
+
+# Scrub regular delivery
+DEFAULT_SCRUB_NONDIGEST = False
+
+# Mail command processor will ignore mail command lines after designated max.
+DEFAULT_MAIL_COMMANDS_MAX_LINES = 25
+
+# Is the list owner notified of admin requests immediately by mail, as well as
+# by daily pending-request reminder?
+DEFAULT_ADMIN_IMMED_NOTIFY = Yes
+
+# Is the list owner notified of subscribes/unsubscribes?
+DEFAULT_ADMIN_NOTIFY_MCHANGES = No
+
+# Discard held messages after this days
+DEFAULT_MAX_DAYS_TO_HOLD = 0
+
+# Should list members, by default, have their posts be moderated?
+DEFAULT_DEFAULT_MEMBER_MODERATION = No
+
+# Should non-member posts which are auto-discarded also be forwarded to the
+# moderators?
+DEFAULT_FORWARD_AUTO_DISCARDS = Yes
+
+# What shold happen to non-member posts which are do not match explicit
+# non-member actions?
+# 0 = Accept
+# 1 = Hold
+# 2 = Reject
+# 3 = Discard
+DEFAULT_GENERIC_NONMEMBER_ACTION = 1
+
+# Bounce if 'To:', 'Cc:', or 'Resent-To:' fields don't explicitly name list?
+# This is an anti-spam measure
+DEFAULT_REQUIRE_EXPLICIT_DESTINATION = Yes
+
+# Alternate names acceptable as explicit destinations for this list.
+DEFAULT_ACCEPTABLE_ALIASES ="""
+"""
+# For mailing lists that have only other mailing lists for members:
+DEFAULT_UMBRELLA_LIST = No
+
+# For umbrella lists, the suffix for the account part of address for
+# administrative notices (subscription confirmations, password reminders):
+DEFAULT_UMBRELLA_MEMBER_ADMIN_SUFFIX = "-owner"
+
+# Exclude/include (sibling) lists for non-digest delivery.
+DEFAULT_REGULAR_EXCLUDE_LISTS = []
+DEFAULT_REGULAR_INCLUDE_LISTS = []
+ALLOW_CROSS_DOMAIN_SIBLING = False
+
+# This variable controls whether monthly password reminders are sent.
+DEFAULT_SEND_REMINDERS = Yes
+
+# Send welcome messages to new users?
+DEFAULT_SEND_WELCOME_MSG = Yes
+
+# Send goodbye messages to unsubscribed members?
+DEFAULT_SEND_GOODBYE_MSG = Yes
+
+# Wipe sender information, and make it look like the list-admin
+# address sends all messages
+DEFAULT_ANONYMOUS_LIST = No
+
+# {header-name: regexp} spam filtering - we include some for example sake.
+DEFAULT_BOUNCE_MATCHING_HEADERS = """
+# Lines that *start* with a '#' are comments.
+to: friend@public.com
+message-id: relay.comanche.denmark.eu
+from: list@listme.com
+from: .*@uplinkpro.com
+"""
+
+# Mailman can be configured to "munge" Reply-To: headers for any passing
+# messages.  One the one hand, there are a lot of good reasons not to munge
+# Reply-To: but on the other, people really seem to want this feature.  See
+# the help for reply_goes_to_list in the web UI for links discussing the
+# issue.
+# 0 - Reply-To: not munged
+# 1 - Reply-To: set back to the list
+# 2 - Reply-To: set to an explicit value (reply_to_address)
+DEFAULT_REPLY_GOES_TO_LIST = 0
+
+# Mailman can be configured to strip any existing Reply-To: header, or simply
+# extend any existing Reply-To: with one based on the above setting.
+DEFAULT_FIRST_STRIP_REPLY_TO = No
+
+# SUBSCRIBE POLICY
+# 0 - open list (only when ALLOW_OPEN_SUBSCRIBE is set to 1) **
+# 1 - confirmation required for subscribes
+# 2 - admin approval required for subscribes
+# 3 - both confirmation and admin approval required
+#
+# ** please do not choose option 0 if you are not allowing open
+# subscribes (next variable)
+DEFAULT_SUBSCRIBE_POLICY = 1
+
+# Does this site allow completely unchecked subscriptions?
+ALLOW_OPEN_SUBSCRIBE = No
+
+# The default policy for unsubscriptions.  0 (unmoderated unsubscribes) is
+# highly recommended!
+# 0 - unmoderated unsubscribes
+# 1 - unsubscribes require approval
+DEFAULT_UNSUBSCRIBE_POLICY = 0
+
+# Private_roster == 0: anyone can see, 1: members only, 2: admin only.
+DEFAULT_PRIVATE_ROSTER = 1
+
+# When exposing members, make them unrecognizable as email addrs, so
+# web-spiders can't pick up addrs for spam purposes.
+DEFAULT_OBSCURE_ADDRESSES = Yes
+
+# RFC 2369 defines List-* headers which are added to every message sent
+# through to the mailing list membership.  These are a very useful aid to end
+# users and should always be added.  However, not all MUAs are compliant and
+# if a list's membership has many such users, they may clamor for these
+# headers to be suppressed.  By setting this variable to Yes, list owners will
+# be given the option to suppress these headers.  By setting it to No, list
+# owners will not be given the option to suppress these headers (although some
+# header suppression may still take place, i.e. for announce-only lists, or
+# lists with no archives).
+ALLOW_RFC2369_OVERRIDES = Yes
+
+# Defaults for content filtering on mailing lists.  DEFAULT_FILTER_CONTENT is
+# a flag which if set to true, turns on content filtering.
+DEFAULT_FILTER_CONTENT = No
+
+# DEFAULT_FILTER_MIME_TYPES is a list of MIME types to be removed.  This is a
+# list of strings of the format "maintype/subtype" or simply "maintype".
+# E.g. "text/html" strips all html attachments while "image" strips all image
+# types regardless of subtype (jpeg, gif, etc.).
+DEFAULT_FILTER_MIME_TYPES = []
+
+# DEFAULT_PASS_MIME_TYPES is a list of MIME types to be passed through.
+# Format is the same as DEFAULT_FILTER_MIME_TYPES
+DEFAULT_PASS_MIME_TYPES = ['multipart/mixed',
+                           'multipart/alternative',
+                           'text/plain']
+
+# DEFAULT_FILTER_FILENAME_EXTENSIONS is a list of filename extensions to be
+# removed. It is useful because many viruses fake their content-type as
+# harmless ones while keep their extension as executable and expect to be
+# executed when victims 'open' them.
+DEFAULT_FILTER_FILENAME_EXTENSIONS = [
+    'exe', 'bat', 'cmd', 'com', 'pif', 'scr', 'vbs', 'cpl'
+    ]
+
+# DEFAULT_PASS_FILENAME_EXTENSIONS is a list of filename extensions to be
+# passed through. Format is the same as DEFAULT_FILTER_FILENAME_EXTENSIONS.
+DEFAULT_PASS_FILENAME_EXTENSIONS = []
+
+# Replace multipart/alternative with its first alternative.
+DEFAULT_COLLAPSE_ALTERNATIVES = Yes
+
+# Whether text/html should be converted to text/plain after content filtering
+# is performed.  Conversion is done according to HTML_TO_PLAIN_TEXT_COMMAND
+DEFAULT_CONVERT_HTML_TO_PLAINTEXT = Yes
+
+# Default action to take on filtered messages.
+# 0 = Discard, 1 = Reject, 2 = Forward, 3 = Preserve
+DEFAULT_FILTER_ACTION = 0
+
+# Whether to allow list owners to preserve content filtered messages to a
+# special queue on the disk.
+OWNERS_CAN_PRESERVE_FILTERED_MESSAGES = Yes
+
+# Check for administrivia in messages sent to the main list?
+DEFAULT_ADMINISTRIVIA = Yes
+
+
+
+#####
+# Digestification defaults.  Same caveat applies here as with list defaults.
+#####
+
+# Will list be available in non-digested form?
+DEFAULT_NONDIGESTABLE = Yes
+
+# Will list be available in digested form?
+DEFAULT_DIGESTABLE = Yes
+DEFAULT_DIGEST_HEADER = ""
+DEFAULT_DIGEST_FOOTER = DEFAULT_MSG_FOOTER
+
+DEFAULT_DIGEST_IS_DEFAULT = No
+DEFAULT_MIME_IS_DEFAULT_DIGEST = No
+DEFAULT_DIGEST_SIZE_THRESHHOLD = 30     # KB
+DEFAULT_DIGEST_SEND_PERIODIC = Yes
+
+# Headers which should be kept in both RFC 1153 (plain) and MIME digests.  RFC
+# 1153 also specifies these headers in this exact order, so order matters.
+MIME_DIGEST_KEEP_HEADERS = [
+    'Date', 'From', 'To', 'Cc', 'Subject', 'Message-ID', 'Keywords',
+    # I believe we should also keep these headers though.
+    'In-Reply-To', 'References', 'Content-Type', 'MIME-Version',
+    'Content-Transfer-Encoding', 'Precedence', 'Reply-To',
+    # Mailman 2.0 adds these headers
+    'Message',
+    ]
+
+# The order in this list controls the order of the RFC 1153 digest headers.
+# Also, any headers in this list will be kept in the MIME digest even if they
+# don't appear in the MIME list above.  Finally, headers appearing in both
+# lists must be casewise the same or duplication can result in the digest.
+PLAIN_DIGEST_KEEP_HEADERS = [
+    'Message',
+    # RFC 1153 headers in order
+    'Date', 'From', 'To', 'Cc', 'Subject', 'Message-ID', 'Keywords',
+    'Content-Type',
+    ]
+
+
+
+#####
+# Bounce processing defaults.  Same caveat applies here as with list defaults.
+#####
+
+# Should we do any bounced mail response at all?
+DEFAULT_BOUNCE_PROCESSING = Yes
+
+# How often should the bounce qrunner process queued detected bounces?
+REGISTER_BOUNCES_EVERY = minutes(15)
+
+# Bounce processing works like this: when a bounce from a member is received,
+# we look up the `bounce info' for this member. If there is no bounce info,
+# this is the first bounce we've received from this member.  In that case, we
+# record today's date, and initialize the bounce score (see below for initial
+# value).
+#
+# If there is existing bounce info for this member, we look at the last bounce
+# receive date.  If this date is farther away from today than the `bounce
+# expiration interval', we throw away all the old data and initialize the
+# bounce score as if this were the first bounce from the member.
+#
+# Otherwise, we increment the bounce score.  If we can determine whether the
+# bounce was soft or hard (i.e. transient or fatal), then we use a score value
+# of 0.5 for soft bounces and 1.0 for hard bounces.  Note that we only score
+# one bounce per day.  If the bounce score is then greater than the `bounce
+# threshold' we disable the member's address.
+#
+# After disabling the address, we can send warning messages to the member,
+# providing a confirmation cookie/url for them to use to re-enable their
+# delivery.  After a configurable period of time, we'll delete the address.
+# When we delete the address due to bouncing, we'll send one last message to
+# the member.
+
+# Bounce scores greater than this value get disabled.
+DEFAULT_BOUNCE_SCORE_THRESHOLD = 5.0
+
+# Bounce information older than this interval is considered stale, and is
+# discarded.
+DEFAULT_BOUNCE_INFO_STALE_AFTER = days(7)
+
+# The number of notifications to send to the disabled/removed member before we
+# remove them from the list.  A value of 0 means we remove the address
+# immediately (with one last notification).  Note that the first one is sent
+# upon change of status to disabled.
+DEFAULT_BOUNCE_YOU_ARE_DISABLED_WARNINGS = 3
+
+# The interval of time between disabled warnings.
+DEFAULT_BOUNCE_YOU_ARE_DISABLED_WARNINGS_INTERVAL = days(7)
+
+# Does the list owner get messages to the -bounces (and -admin) address that
+# failed to match by the bounce detector?
+DEFAULT_BOUNCE_UNRECOGNIZED_GOES_TO_LIST_OWNER = Yes
+
+# Notifications on bounce actions.  The first specifies whether the list owner
+# should get a notification when a member is disabled due to bouncing, while
+# the second specifies whether the owner should get one when the member is
+# removed due to bouncing.
+DEFAULT_BOUNCE_NOTIFY_OWNER_ON_DISABLE = Yes
+DEFAULT_BOUNCE_NOTIFY_OWNER_ON_REMOVAL = Yes
+
+
+
+#####
+# General time limits
+#####
+
+# Default length of time a pending request is live before it is evicted from
+# the pending database.
+PENDING_REQUEST_LIFE = days(3)
+
+# How long should messages which have delivery failures continue to be
+# retried?  After this period of time, a message that has failed recipients
+# will be dequeued and those recipients will never receive the message.
+DELIVERY_RETRY_PERIOD = days(5)
+
+# How long should we wait before we retry a temporary delivery failure?
+DELIVERY_RETRY_WAIT = hours(1)
+
+
+
+#####
+# Lock management defaults
+#####
+
+# These variables control certain aspects of lock acquisition and retention.
+# They should be tuned as appropriate for your environment.  All variables are
+# specified in units of floating point seconds.  YOU MAY NEED TO TUNE THESE
+# VARIABLES DEPENDING ON THE SIZE OF YOUR LISTS, THE PERFORMANCE OF YOUR
+# HARDWARE, NETWORK AND GENERAL MAIL HANDLING CAPABILITIES, ETC.
+
+# Set this to On to turn on MailList object lock debugging messages, which
+# will be written to logs/locks.  If you think you're having lock problems, or
+# just want to tune the locks for your system, turn on lock debugging.
+LIST_LOCK_DEBUGGING = Off
+
+# This variable specifies how long the lock will be retained for a specific
+# operation on a mailing list.  Watch your logs/lock file and if you see a lot
+# of lock breakages, you might need to bump this up.  However if you set this
+# too high, a faulty script (or incorrect use of bin/withlist) can prevent the
+# list from being used until the lifetime expires.  This is probably one of
+# the most crucial tuning variables in the system.
+LIST_LOCK_LIFETIME = hours(5)
+
+# This variable specifies how long an attempt will be made to acquire a list
+# lock by the incoming qrunner process.  If the lock acquisition times out,
+# the message will be re-queued for later delivery.
+LIST_LOCK_TIMEOUT = seconds(10)
+
+# Set this to On to turn on lock debugging messages for the pending requests
+# database, which will be written to logs/locks.  If you think you're having
+# lock problems, or just want to tune the locks for your system, turn on lock
+# debugging.
+PENDINGDB_LOCK_DEBUGGING = Off
+
+
+
+#####
+# Nothing below here is user configurable.  Most of these values are in this
+# file for internal system convenience.  Don't change any of them or override
+# any of them in your mm_cfg.py file!
+#####
+
+# These directories are used to find various important files in the Mailman
+# installation.  PREFIX and EXEC_PREFIX are set by configure and should point
+# to the installation directory of the Mailman package.
+PYTHON          = '@PYTHON@'
+PREFIX          = '@prefix@'
+EXEC_PREFIX     = '@exec_prefix@'
+VAR_PREFIX      = '@VAR_PREFIX@'
+
+# Work around a bogus autoconf 2.12 bug
+if EXEC_PREFIX == '${prefix}':
+    EXEC_PREFIX = PREFIX
+
+# CGI extension, change using configure script
+CGIEXT = '@CGIEXT@'
+
+# Group id that group-owns the Mailman installation
+MAILMAN_USER = '@MAILMAN_USER@'
+MAILMAN_GROUP = '@MAILMAN_GROUP@'
+
+# Enumeration for Mailman cgi widget types
+Toggle      = 1
+Radio       = 2
+String      = 3
+Text        = 4
+Email       = 5
+EmailList   = 6
+Host        = 7
+Number      = 8
+FileUpload  = 9
+Select      = 10
+Topics      = 11
+Checkbox    = 12
+# An "extended email list".  Contents must be an email address or a ^-prefixed
+# regular expression.  Used in the sender moderation text boxes.
+EmailListEx = 13
+# Extended spam filter widget
+HeaderFilter  = 14
+
+# Actions
+DEFER = 0
+APPROVE = 1
+REJECT = 2
+DISCARD = 3
+SUBSCRIBE = 4
+UNSUBSCRIBE = 5
+ACCEPT = 6
+HOLD = 7
+
+# Standard text field width
+TEXTFIELDWIDTH = 40
+
+# Bitfield for user options.  See DEFAULT_NEW_MEMBER_OPTIONS above to set
+# defaults for all new lists.
+Digests             = 0 # handled by other mechanism, doesn't need a flag.
+DisableDelivery     = 1 # Obsolete; use set/getDeliveryStatus()
+DontReceiveOwnPosts = 2 # Non-digesters only
+AcknowledgePosts    = 4
+DisableMime         = 8 # Digesters only
+ConcealSubscription = 16
+SuppressPasswordReminder = 32
+ReceiveNonmatchingTopics = 64
+Moderate = 128
+DontReceiveDuplicates = 256
+
+# A mapping between short option tags and their flag
+OPTINFO = {'hide'    : ConcealSubscription,
+           'nomail'  : DisableDelivery,
+           'ack'     : AcknowledgePosts,
+           'notmetoo': DontReceiveOwnPosts,
+           'digest'  : 0,
+           'plain'   : DisableMime,
+           'nodupes' : DontReceiveDuplicates
+           }
+
+# Authentication contexts.
+#
+# Mailman defines the following roles:
+
+# - User, a normal user who has no permissions except to change their personal
+#   option settings
+# - List creator, someone who can create and delete lists, but cannot
+#   (necessarily) configure the list.
+# - List moderator, someone who can tend to pending requests such as
+#   subscription requests, or held messages
+# - List administrator, someone who has total control over a list, can
+#   configure it, modify user options for members of the list, subscribe and
+#   unsubscribe members, etc.
+# - Site administrator, someone who has total control over the entire site and
+#   can do any of the tasks mentioned above.  This person usually also has
+#   command line access.
+
+UnAuthorized = 0
+AuthUser = 1          # Joe Shmoe User
+AuthCreator = 2       # List Creator / Destroyer
+AuthListAdmin = 3     # List Administrator (total control over list)
+AuthListModerator = 4 # List Moderator (can only handle held requests)
+AuthSiteAdmin = 5     # Site Administrator (total control over everything)
+
+# Useful directories
+LIST_DATA_DIR   = os.path.join(VAR_PREFIX, 'lists')
+LOG_DIR         = os.path.join(VAR_PREFIX, 'logs')
+LOCK_DIR        = os.path.join(VAR_PREFIX, 'locks')
+DATA_DIR        = os.path.join(VAR_PREFIX, 'data')
+SPAM_DIR        = os.path.join(VAR_PREFIX, 'spam')
+WRAPPER_DIR     = os.path.join(EXEC_PREFIX, 'mail')
+BIN_DIR         = os.path.join(PREFIX, 'bin')
+SCRIPTS_DIR     = os.path.join(PREFIX, 'scripts')
+TEMPLATE_DIR    = os.path.join(PREFIX, 'templates')
+MESSAGES_DIR    = os.path.join(PREFIX, 'messages')
+PUBLIC_ARCHIVE_FILE_DIR  = os.path.join(VAR_PREFIX, 'archives', 'public')
+PRIVATE_ARCHIVE_FILE_DIR = os.path.join(VAR_PREFIX, 'archives', 'private')
+
+# Directories used by the qrunner subsystem
+QUEUE_DIR       = os.path.join(VAR_PREFIX, 'qfiles')
+INQUEUE_DIR     = os.path.join(QUEUE_DIR, 'in')
+OUTQUEUE_DIR    = os.path.join(QUEUE_DIR, 'out')
+CMDQUEUE_DIR    = os.path.join(QUEUE_DIR, 'commands')
+BOUNCEQUEUE_DIR = os.path.join(QUEUE_DIR, 'bounces')
+NEWSQUEUE_DIR   = os.path.join(QUEUE_DIR, 'news')
+ARCHQUEUE_DIR   = os.path.join(QUEUE_DIR, 'archive')
+SHUNTQUEUE_DIR  = os.path.join(QUEUE_DIR, 'shunt')
+VIRGINQUEUE_DIR = os.path.join(QUEUE_DIR, 'virgin')
+BADQUEUE_DIR    = os.path.join(QUEUE_DIR, 'bad')
+RETRYQUEUE_DIR  = os.path.join(QUEUE_DIR, 'retry')
+MAILDIR_DIR     = os.path.join(QUEUE_DIR, 'maildir')
+
+# Other useful files
+PIDFILE = os.path.join(DATA_DIR, 'master-qrunner.pid')
+SITE_PW_FILE = os.path.join(DATA_DIR, 'adm.pw')
+LISTCREATOR_PW_FILE = os.path.join(DATA_DIR, 'creator.pw')
+
+# Import a bunch of version numbers
+from Version import *
+
+# Vgg: Language descriptions and charsets dictionary, any new supported
+# language must have a corresponding entry here. Key is the name of the
+# directories that hold the localized texts. Data are tuples with first
+# element being the description, as described in the catalogs, and second
+# element is the language charset.  I have chosen code from /usr/share/locale
+# in my GNU/Linux. :-)
+def _(s):
+    return s
+
+LC_DESCRIPTIONS = {}
+
+def add_language(code, description, charset, direction='ltr'):
+    LC_DESCRIPTIONS[code] = (description, charset, direction)
+
+add_language('ar',    _('Arabic'),              'utf-8',       'rtl')
+add_language('ast',   _('Asturian'),            'iso-8859-1',  'ltr')
+add_language('ca',    _('Catalan'),             'utf-8',       'ltr')
+add_language('cs',    _('Czech'),               'iso-8859-2',  'ltr')
+add_language('da',    _('Danish'),              'iso-8859-1',  'ltr')
+add_language('de',    _('German'),              'iso-8859-1',  'ltr')
+add_language('en',    _('English (USA)'),       'us-ascii',    'ltr')
+add_language('es',    _('Spanish (Spain)'),     'iso-8859-1',  'ltr')
+add_language('et',    _('Estonian'),            'iso-8859-15', 'ltr')
+add_language('eu',    _('Euskara'),             'iso-8859-15', 'ltr') # Basque
+add_language('fi',    _('Finnish'),             'iso-8859-1',  'ltr')
+add_language('fr',    _('French'),              'iso-8859-1',  'ltr')
+add_language('gl',    _('Galician'),            'utf-8',       'ltr')
+add_language('he',    _('Hebrew'),              'utf-8',       'rtl')
+add_language('hr',    _('Croatian'),            'iso-8859-2',  'ltr')
+add_language('hu',    _('Hungarian'),           'iso-8859-2',  'ltr')
+add_language('ia',    _('Interlingua'),         'iso-8859-15', 'ltr')
+add_language('it',    _('Italian'),             'iso-8859-1',  'ltr')
+add_language('ja',    _('Japanese'),            'euc-jp',      'ltr')
+add_language('ko',    _('Korean'),              'euc-kr',      'ltr')
+add_language('lt',    _('Lithuanian'),          'iso-8859-13', 'ltr')
+add_language('nl',    _('Dutch'),               'iso-8859-1',  'ltr')
+add_language('no',    _('Norwegian'),           'iso-8859-1',  'ltr')
+add_language('pl',    _('Polish'),              'iso-8859-2',  'ltr')
+add_language('pt',    _('Portuguese'),          'iso-8859-1',  'ltr')
+add_language('pt_BR', _('Portuguese (Brazil)'), 'iso-8859-1',  'ltr')
+add_language('ro',    _('Romanian'),            'iso-8859-2',  'ltr')
+add_language('ru',    _('Russian'),             'koi8-r',      'ltr')
+add_language('sk',    _('Slovak'),              'utf-8',       'ltr')
+add_language('sl',    _('Slovenian'),           'iso-8859-2',  'ltr')
+add_language('sr',    _('Serbian'),             'utf-8',       'ltr')
+add_language('sv',    _('Swedish'),             'iso-8859-1',  'ltr')
+add_language('tr',    _('Turkish'),             'iso-8859-9',  'ltr')
+add_language('uk',    _('Ukrainian'),           'utf-8',       'ltr')
+add_language('vi',    _('Vietnamese'),          'utf-8',       'ltr')
+add_language('zh_CN', _('Chinese (China)'),     'utf-8',       'ltr')
+add_language('zh_TW', _('Chinese (Taiwan)'),    'utf-8',       'ltr')
+
+del _

=== added directory '.pc/02_force_autoconf_2.50.patch'
=== added file '.pc/02_force_autoconf_2.50.patch/configure.in'
--- .pc/02_force_autoconf_2.50.patch/configure.in	1970-01-01 00:00:00 +0000
+++ .pc/02_force_autoconf_2.50.patch/configure.in	2010-07-13 21:35:40 +0000
@@ -0,0 +1,754 @@
+# Copyright (C) 1998-2008 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+dnl Process this file with autoconf to produce a configure script.
+AC_REVISION($Revision: 8122 $)
+AC_PREREQ(2.0)
+AC_INIT(src/common.h)
+
+
+# /usr/local/mailman is the default installation directory
+AC_PREFIX_DEFAULT(/usr/local/mailman)
+
+
+# Check for Python!  Better be found on $PATH
+AC_MSG_CHECKING(for --with-python)
+AC_ARG_WITH(python, dnl
+[  --with-python                specify path to Python interpreter])
+case "$with_python" in
+    "") ans="no";;
+    *)  ans="$with_python"
+esac
+AC_MSG_RESULT($ans)
+
+if test -z "$with_python"
+then
+        AC_PATH_PROG(with_python, python, /usr/local/bin/python)
+fi
+
+AC_MSG_CHECKING(Python interpreter)
+if test ! -x $with_python
+then
+    AC_MSG_ERROR([
+
+***** No Python interpreter found!
+***** Try including the configure option
+***** --with-python=/path/to/python/interpreter])
+fi
+AC_SUBST(PYTHON)
+PYTHON=$with_python
+AC_MSG_RESULT($PYTHON)
+
+# See if Python is new enough.
+AC_MSG_CHECKING(Python version)
+changequote(,)
+cat > conftest.py <<EOF
+import sys
+try:
+    v = sys.hexversion
+except AttributeError:
+    v = 0
+if v >= 0x2040000:
+    s = sys.version.split()[0]
+else:
+    s = ""
+fp = open("conftest.out", "w")
+fp.write("%s\n" % s)
+fp.close()
+EOF
+changequote([, ])
+$PYTHON conftest.py
+version=`cat conftest.out`
+rm -f conftest.out conftest.py
+if test -z "$version"
+then
+    AC_MSG_ERROR([
+
+***** $PYTHON is too old (or broken)
+***** Python 2.4 or newer is required])
+fi
+AC_MSG_RESULT($version)
+
+# Check the email package version.
+AC_MSG_CHECKING(Python's email package)
+changequote(,)
+cat > conftest.py <<EOF
+import sys
+try:
+    import email
+except ImportError:
+    res = "not ok"
+else:
+    provided = (2, 5, 8)
+    version = tuple(int(v) for v in email.__version__.split('.'))
+    if provided > version:
+        res = "not ok"
+    else:
+        res = "ok"
+fp = open("conftest.out", "w")
+fp.write("%s\n" % res)
+fp.close()
+EOF
+changequote([, ])
+$PYTHON conftest.py
+needemailpkg=`cat conftest.out`
+rm -f conftest.out conftest.py
+
+# Should we rely on Python's own email package or use the pre-packaged version?
+AC_SUBST(EMAILPKG)
+if test "$needemailpkg" = "ok"
+then
+    EMAILPKG=""
+else
+    EMAILPKG=email-2.5.8
+fi
+AC_MSG_RESULT($needemailpkg)
+
+# Check Japanese codecs.
+AC_MSG_CHECKING(Japanese codecs)
+changequote(,)
+cat > conftest.py <<EOF
+try:
+    unicode('OK', 'iso-2022-jp')
+except LookupError:
+    res = "not ok"
+else:
+    res = "ok"
+fp = open("conftest.out", "w")
+fp.write("%s\n" % res)
+fp.close()
+EOF
+changequote([, ])
+$PYTHON conftest.py
+needjacodecs=`cat conftest.out`
+rm -f conftest.out conftest.py
+
+# Does Python have Japanese codecs or do we need the pre-packaged version?
+AC_SUBST(JACODECSPKG)
+if test "$needjacodecs" = "ok"
+then
+    JACODECSPKG=""
+else
+    JACODECSPKG=JapaneseCodecs-1.4.11
+fi
+AC_MSG_RESULT($needjacodecs)
+
+# Check Korean codecs.
+AC_MSG_CHECKING(Korean codecs)
+changequote(,)
+cat > conftest.py <<EOF
+try:
+    unicode('OK', 'euc-kr')
+except LookupError:
+    res = "not ok"
+else:
+    res = "ok"
+fp = open("conftest.out", "w")
+fp.write("%s\n" % res)
+fp.close()
+EOF
+changequote([, ])
+$PYTHON conftest.py
+needkocodecs=`cat conftest.out`
+rm -f conftest.out conftest.py
+
+# Does Python have Korean codecs or do we need the pre-packaged version?
+AC_SUBST(KOCODECSPKG)
+if test "$needkocodecs" = "ok"
+then
+    KOCODECSPKG=""
+else
+    KOCODECSPKG=KoreanCodecs-2.0.5
+fi
+AC_MSG_RESULT($needkocodecs)
+
+# Make sure distutils is available.  Some Linux Python packages split
+# distutils into the "-devel" package, so they need both.
+AC_MSG_CHECKING(that Python has a working distutils)
+changequote(,)
+cat > conftest.py <<EOF
+try:
+    import distutils.errors
+    import distutils.sysconfig
+except ImportError:
+    res = "no"
+else:
+    try:
+        distutils.sysconfig.get_config_vars()
+    except distutils.errors.DistutilsPlatformError:
+        res = "no"
+    else:
+        # some RedHat packages put distutils in python, but the C headers
+        # are in python-devel so check for headers too.
+        import os.path
+        pdothpath = distutils.sysconfig.get_config_var('CONFINCLUDEPY')
+        if os.path.isfile(os.path.join(pdothpath, "Python.h")):
+            res = "yes"
+        else:
+            res = "no"
+fp = open("conftest.out", "w")
+fp.write("%s\n" % res)
+fp.close()
+EOF
+changequote([, ])
+$PYTHON conftest.py
+havedistutils=`cat conftest.out`
+rm -f conftest.out conftest.py
+if test "$havedistutils" != "yes"
+then
+    AC_MSG_ERROR([
+
+***** Distutils is not available or is incomplete for $PYTHON
+***** If you installed Python from RPM (or other package manager)
+***** be sure to install the -devel package, or install Python
+***** from source.  See sec. 15.1 of the Installation Manual for
+***** details])
+fi
+AC_MSG_RESULT($havedistutils)
+
+# Checks for programs.
+AC_PROG_INSTALL
+AC_PROG_MAKE_SET
+AC_PATH_PROG(TRUE, true, true, $PATH:/bin:/usr/bin)
+
+# Find compiler, allow alternatives to gcc
+AC_MSG_CHECKING(for --without-gcc)
+AC_ARG_WITH(gcc, [  --without-gcc               never use gcc], [
+        case $withval in
+        no)     CC=cc
+                without_gcc=yes;;
+        yes)    CC=gcc
+                without_gcc=no;;
+        *)      CC=$withval
+                without_gcc=$withval;;
+        esac], without_gcc=no;)
+AC_MSG_RESULT($without_gcc)
+
+# If the user switches compilers, we can't believe the cache
+if test ! -z "$ac_cv_prog_CC" -a ! -z "$CC" -a "$CC" != "$ac_cv_prog_CC"
+then
+  AC_ERROR(cached CC is different -- throw away $cache_file
+(it is also a good idea to do 'make clean' before compiling))
+fi
+
+AC_PROG_CC
+
+
+# Optimizer/debugger flags passed between Makefiles
+AC_SUBST(OPT)
+if test -z "$OPT"
+then
+        case $GCC in
+        yes)
+                case $ac_cv_prog_cc_g in
+                yes)    OPT="-g -O2";;
+                *)      OPT="-O2";;
+                esac
+                ;;
+        *)      OPT="-O";;
+        esac
+fi
+
+# We better be able to execute interpreters
+AC_SYS_INTERPRETER
+if test "$ac_cv_sys_interpreter" != "yes"
+then
+    AC_MSG_ERROR([
+
+***** Cannot execute interpreter scripts?
+***** Are you sure you system doesn't support this?])
+fi
+
+
+# Check for an alternate data directory, separate from installation dir.
+default_var_prefix="/var/mailman"
+AC_SUBST(VAR_PREFIX)
+AC_MSG_CHECKING(for --with-var-prefix)
+AC_ARG_WITH(var-prefix, dnl
+[  --with-var-prefix     directory for mutable data [/var/mailman]])
+case "$with_var_prefix" in
+        yes)    VAR_PREFIX="$default_var_prefix"; ans=$VAR_PREFIX;;
+        ""|no)  VAR_PREFIX="$prefix"; ans="no";;
+        *)      VAR_PREFIX="$with_var_prefix"; ans=$VAR_PREFIX;
+esac
+AC_MSG_RESULT($ans)
+
+AC_MSG_CHECKING(for --with-permcheck)
+AC_ARG_WITH(permcheck, dnl
+[  --without-permcheck  skip the check for target directory permissions])
+if test -z "$with_permcheck"
+then
+        with_permcheck="yes"
+fi
+AC_MSG_RESULT($with_permcheck)
+# Now make sure that $prefix is set up correctly.  It must be group
+# owned by the target group, it must have the group sticky bit set, and
+# it must be a+rx
+if test "$VAR_PREFIX" = "NONE"
+then
+    VAR_PREFIX=$ac_default_prefix
+    prefixcheck=$ac_default_prefix
+else
+    prefixcheck=$VAR_PREFIX
+fi
+
+# new macro for finding group names
+AC_DEFUN([MM_FIND_GROUP_NAME], [
+# $1 == variable name
+# $2 == user id to check for
+AC_SUBST($1)
+changequote(,)
+if test -z "$$1"
+then
+    cat > conftest.py <<EOF
+import grp
+gid = ''
+for group in "$2".split():
+    try:
+        try:
+            gname = grp.getgrgid(int(group))[0]
+            break
+        except ValueError:
+            gname = grp.getgrnam(group)[0]
+            break
+    except KeyError:
+        gname = ''
+fp = open("conftest.out", "w")
+fp.write("%s\n" % gname)
+fp.close()
+EOF
+    $PYTHON conftest.py
+    $1=`cat conftest.out`
+fi
+changequote([, ])
+rm -f conftest.out conftest.py])
+
+
+# new macro for finding UIDs
+AC_DEFUN([MM_FIND_USER_NAME], [
+# $1 == variable name
+# $2 == user id to check for
+AC_SUBST($1)
+changequote(,)
+if test -z "$$1"
+then
+    cat > conftest.py <<EOF
+import pwd
+uid = ''
+for user in "$2".split():
+    try:
+        try:
+            uname = pwd.getpwuid(int(user))[0]
+            break
+        except ValueError:
+            uname = pwd.getpwnam(user)[0]
+            break
+    except KeyError:
+        uname = ''
+fp = open("conftest.out", "w")
+fp.write("%s\n" % uname)
+fp.close()
+EOF
+    $PYTHON conftest.py
+    $1=`cat conftest.out`
+fi
+changequote([, ])
+rm -f conftest.out conftest.py])
+
+# Check for some other uid to use than `mailman'
+AC_MSG_CHECKING(for --with-username)
+AC_ARG_WITH(username, dnl
+[  --with-username      specify a user name other than \"mailman\"])
+
+if test -z "$with_username"
+then
+        with_username="mailman"
+fi
+USERNAME=$with_username
+AC_MSG_RESULT($USERNAME)
+
+# User `mailman' must exist
+AC_SUBST(MAILMAN_USER)
+AC_MSG_CHECKING(for user name \"$USERNAME\")
+MM_FIND_USER_NAME(MAILMAN_USER, $USERNAME)
+if test -z "$MAILMAN_USER"
+then
+  if test "$with_permcheck" = "yes"
+  then
+    AC_MSG_ERROR([
+***** No \"$USERNAME\" user found!
+***** Your system must have a \"$USERNAME\" user defined
+***** (usually in your /etc/passwd file).  Please see the INSTALL
+***** file for details.])
+  fi
+fi
+AC_MSG_RESULT(okay)
+
+
+# Check for some other gid to use than `mailman'
+AC_MSG_CHECKING(for --with-groupname)
+AC_ARG_WITH(groupname, dnl
+[  --with-groupname     specify a group name other than \"mailman\"])
+
+if test -z "$with_groupname"
+then
+        with_groupname="mailman"
+fi
+GROUPNAME=$with_groupname
+AC_MSG_RESULT($GROUPNAME)
+
+
+# Target group must exist
+AC_SUBST(MAILMAN_GROUP)
+AC_MSG_CHECKING(for group name \"$GROUPNAME\")
+MM_FIND_GROUP_NAME(MAILMAN_GROUP, $GROUPNAME)
+if test -z "$MAILMAN_GROUP"
+then
+  if test "$with_permcheck" = "yes"
+  then
+    AC_MSG_ERROR([
+***** No \"$GROUPNAME\" group found!
+***** Your system must have a \"$GROUPNAME\" group defined
+***** (usually in your /etc/group file).  Please see the INSTALL
+***** file for details.])
+  fi
+fi
+AC_MSG_RESULT(okay)
+
+
+AC_MSG_CHECKING(permissions on $prefixcheck)
+changequote(,)
+cat > conftest.py <<EOF
+import os, grp
+from stat import *
+prefix = "$prefixcheck"
+groupname = "$GROUPNAME"
+mailmangroup = "$MAILMAN_GROUP"
+try:
+    mailmangid = grp.getgrnam(mailmangroup)[2]
+except KeyError:
+    mailmangid = -1
+problems = []
+try: statdata = os.stat(prefix)
+except OSError:
+    problems.append("Directory doesn't exist: " + prefix)
+else:
+    mode = statdata[ST_MODE]
+    gid = statdata[ST_GID]
+    if mailmangid <> gid:
+        problems.append("Directory must be owned by group " +
+                        groupname + ": " + prefix)
+    if (mode & S_ISGID) <> S_ISGID:
+        problems.append("Set-gid bit must be set for directory: " + prefix)
+    perms = S_IRWXU | S_IRWXG | S_IROTH | S_IXOTH
+    if (mode & perms) <> perms:
+        problems.append("Permissions should be at least 02775: " + prefix)
+if not problems:
+    msg = "okay\n"
+else:
+    msg = '***** ' + '\n***** '.join(problems) + '\n'
+fp = open("conftest.out", "w")
+fp.write(msg)
+fp.close()
+EOF
+changequote([, ])
+$PYTHON conftest.py
+status=`cat conftest.out`
+rm -f conftest.out conftest.py
+if test "$with_permcheck" = "yes"
+then
+    if test "$status" != "okay"
+    then
+        AC_MSG_ERROR([
+***** Installation directory $prefixcheck is not configured properly!
+$status])
+    fi
+else
+    status="skipped"
+fi
+AC_MSG_RESULT($status)
+
+
+# Now find the UIDs and GIDs
+# Support --with-mail-gid and --with-cgi-gid
+AC_MSG_CHECKING(for mail wrapper group; i.e. --with-mail-gid)
+AC_ARG_WITH(mail-gid, dnl
+[  --with-mail-gid      group name mail programs run as])
+if test -z "$with_mail_gid"
+then
+    with_mail_gid="mailman other mail daemon"
+fi
+MM_FIND_GROUP_NAME(MAIL_GROUP, $with_mail_gid)
+if test -z "$MAIL_GROUP"
+then
+  if test "$with_permcheck" = "yes"
+  then
+    AC_MSG_ERROR([
+***** No group name \"$with_mail_gid\" found for the mail wrapper program.
+***** This is the group that your mail server will use to run Mailman's
+***** programs.  You should specify an existing group with the
+***** --with-mail-gid configure option, or use --without-permcheck to
+***** skip this verification step.  See also your mail server's documentation,
+***** and Mailman's INSTALL file for details])
+  else
+    MAIL_GROUP=$with_mail_gid
+  fi
+fi
+AC_MSG_RESULT($MAIL_GROUP)
+
+
+AC_MSG_CHECKING(for CGI wrapper group; i.e. --with-cgi-gid)
+AC_ARG_WITH(cgi-gid, dnl
+[  --with-cgi-gid       group name CGI programs run as])
+if test -z "$with_cgi_gid"
+then
+    with_cgi_gid="www www-data nobody"
+fi
+
+MM_FIND_GROUP_NAME(CGI_GROUP, $with_cgi_gid)
+if test -z "$CGI_GROUP"
+then
+  if test "$with_permcheck" = "yes"
+  then
+    AC_MSG_ERROR([
+***** No group name \"$with_cgi_gid\" found for the CGI wrapper program.
+***** This is the group that your web server will use to run Mailman's
+***** programs.  You should specify an existing group with the
+***** --with-cgi-gid configure option, or use --without-permcheck to
+***** skip this verification step.  See also your web server's documentation,
+***** and Mailman's INSTALL file for details])
+  else
+    CGI_GROUP=$with_cgi_gid
+  fi
+fi
+AC_MSG_RESULT($CGI_GROUP)
+
+
+# Check for CGI extensions, required by some Web servers
+AC_SUBST(CGIEXT)
+AC_MSG_CHECKING(for CGI extensions)
+AC_ARG_WITH(cgi-ext, dnl
+[  --with-cgi-ext       specify extension for CGI programs (include dot)])
+if test -z "$with_cgi_ext"
+then
+        CGIEXT=''
+        with_cgi_ext='no'
+else
+        CGIEXT=$with_cgi_ext
+fi
+AC_MSG_RESULT($with_cgi_ext)
+
+
+# figure out the default mail hostname and url host component
+AC_SUBST(MAILHOST)
+AC_MSG_CHECKING(for --with-mailhost)
+AC_ARG_WITH(mailhost, dnl
+[  --with-mailhost      specify the hostname part for outgoing email])
+if test -z "$with_mailhost"
+then
+        MAILHOST=''
+        with_mailhost='no'
+else
+        MAILHOST=$with_mailhost
+fi
+AC_MSG_RESULT($with_mailhost)
+
+AC_SUBST(URLHOST)
+AC_MSG_CHECKING(for --with-urlhost)
+AC_ARG_WITH(urlhost, dnl
+[  --with-urlhost       specify the hostname part of urls])
+if test -z "$with_urlhost"
+then
+        URLHOST=''
+        with_urlhost='no'
+else
+        URLHOST=$with_urlhost
+fi
+AC_MSG_RESULT($with_urlhost)
+
+
+changequote(,)
+cat > conftest.py <<EOF
+# python
+from socket import *
+fqdn = getfqdn()
+fp = open('conftest.out', 'w')
+print >> fp, fqdn
+print >> fp, fqdn
+fp.close()
+EOF
+$PYTHON conftest.py
+changequote([, ])
+AC_MSG_CHECKING(for default mail host name)
+if test -z "$MAILHOST"
+then
+    MAILHOST=`sed q conftest.out`
+fi
+AC_MSG_RESULT($MAILHOST)
+AC_MSG_CHECKING(for default URL host component)
+if test -z "$URLHOST"
+then
+    URLHOST=`sed -n '$p' conftest.out`
+fi
+AC_MSG_RESULT($URLHOST)
+rm -f conftest.out conftest.py
+
+# Checks for libraries.
+AC_CHECK_FUNCS(strerror setregid syslog)
+if test $ac_cv_func_syslog = no; then
+  # syslog is not in the default libraries.  See if it's in some other.
+  # Additionally, for at least SCO OpenServer, syslog() is #defined to
+  # one of several _real_ functions in syslog.h, so we need to do the test
+  # with the appropriate include.
+  for lib in bsd socket inet; do
+    AC_MSG_CHECKING(for syslog in -l$lib)
+    Mailman_LIBS_save="$LIBS"; LIBS="$LIBS -l$lib"
+    AC_TRY_LINK([#include <syslog.h>],
+                [syslog(LOG_DEBUG, "Just a test...");],
+                [AC_MSG_RESULT(yes)
+      AC_DEFINE(HAVE_SYSLOG)
+      break],
+                [AC_MSG_RESULT(no)
+      LIBS="$Mailman_LIBS_save"])
+    unset Mailman_LIBS_save
+  done
+fi
+
+# Checks for header files.
+AC_HEADER_STDC
+AC_CHECK_HEADERS(syslog.h)
+
+# Checks for typedefs, structures, and compiler characteristics.
+AC_TYPE_UID_T
+AC_TYPE_GETGROUPS
+
+# Checks for library functions.
+AC_CHECK_FUNCS(vsnprintf)
+
+dnl Expand PYTHON path in the scripts, output into build/scriptname
+
+AC_DEFUN([MM_SCRIPTS], [dnl
+bin/add_members \
+bin/arch \
+bin/change_pw \
+bin/check_db \
+bin/check_perms \
+bin/cleanarch \
+bin/clone_member \
+bin/config_list \
+bin/convert.py \
+bin/discard \
+bin/dumpdb \
+bin/export.py \
+bin/find_member \
+bin/fix_url.py \
+bin/genaliases \
+bin/inject \
+bin/list_admins \
+bin/list_lists \
+bin/list_members \
+bin/list_owners \
+bin/mailmanctl \
+bin/mmsitepass \
+bin/msgfmt.py \
+bin/newlist \
+bin/pygettext.py \
+bin/qrunner \
+bin/remove_members \
+bin/reset_pw.py \
+bin/rmlist \
+bin/show_qfiles \
+bin/sync_members \
+bin/transcheck \
+bin/unshunt \
+bin/update \
+bin/version \
+bin/withlist \
+bin/b4b5-archfix \
+bin/rb-archfix \
+contrib/check_perms_grsecurity.py \
+contrib/qmail-to-mailman.py \
+contrib/rotatelogs.py \
+cron/bumpdigests \
+cron/checkdbs \
+cron/cull_bad_shunt \
+cron/disabled \
+cron/gate_news \
+cron/mailpasswds \
+cron/nightly_gzip \
+cron/senddigests \
+])
+
+dnl Please make sure to leave a space at the end of the last entry.
+dnl (This is so we don't have to use [a-z/] style character classes
+dnl in the regexp below and mess with m4 quoting, which is not fun.)
+
+dnl This regexp munges each line in MM_SCRIPTS, replacing:
+dnl   path/script \
+dnl with:
+dnl   build/path/script:path/script \
+dnl so that we can macro-expand variables in scripts without using
+dnl script.in filenames, outputting the new files in build/ .
+
+SCRIPTS="patsubst(MM_SCRIPTS, \(.+\) \(\\?\), build/\1:\1 \2)"
+
+AC_SUBST(SCRIPTS)
+
+# These directories are temporary directories to store macro-expanded
+# scripts.  They're removed on a make distclean, so we make them here.
+mkdir -p build/bin build/contrib build/cron
+
+dnl Output everything
+AC_OUTPUT([misc/paths.py Mailman/Defaults.py Mailman/mm_cfg.py.dist
+           src/Makefile misc/Makefile bin/Makefile
+           Mailman/Makefile Mailman/Cgi/Makefile Mailman/Logging/Makefile
+           Mailman/Archiver/Makefile Mailman/Commands/Makefile
+           Mailman/Handlers/Makefile Mailman/Bouncers/Makefile
+           Mailman/Queue/Makefile Mailman/MTA/Makefile Mailman/Gui/Makefile
+           templates/Makefile cron/Makefile scripts/Makefile messages/Makefile
+           cron/crontab.in misc/mailman Makefile
+           tests/Makefile tests/bounces/Makefile tests/msgs/Makefile
+           $SCRIPTS],
+        echo "configuration completed at" `date`)
+
+# Make sure all the build scripts are executable.
+chmod -R +x build
+
+# Test for the Chinese codecs.
+dnl AC_MSG_CHECKING(for Python Chinese Unicode codecs)
+dnl cat > conftest.py <<EOF
+dnl try:
+dnl   unicode("abc", "big5-tw")
+dnl   print "found"
+dnl except LookupError:
+dnl   print "not found"
+dnl EOF
+dnl chinese=`$PYTHON conftest.py 2>/dev/null`
+dnl rm -f conftest.py
+dnl AC_MSG_RESULT($chinese)
+dnl if test "x$chinese" != "xfound"
+dnl then
+dnl     AC_MSG_WARN([
+
+dnl ***** Python Unicode codecs for Chinese not found.
+dnl ***** Chinese emails generated by or manipulated in Mailman will not
+dnl ***** be sent in the correct encoding and may be unreadable.
+dnl ***** Please uncompress and install the Chinese codecs from:
+dnl ***** http://sourceforge.net/projects/python-codecs/
+dnl *****
+dnl ***** Note: Everything else will work just fine.
+dnl ])
+dnl fi

=== added directory '.pc/07_snooze.patch'
=== added directory '.pc/07_snooze.patch/Mailman'
=== added directory '.pc/07_snooze.patch/Mailman/Queue'
=== added file '.pc/07_snooze.patch/Mailman/Queue/OutgoingRunner.py'
--- .pc/07_snooze.patch/Mailman/Queue/OutgoingRunner.py	1970-01-01 00:00:00 +0000
+++ .pc/07_snooze.patch/Mailman/Queue/OutgoingRunner.py	2010-07-13 21:35:40 +0000
@@ -0,0 +1,138 @@
+# Copyright (C) 2000-2007 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+"""Outgoing queue runner."""
+
+import os
+import sys
+import copy
+import time
+import socket
+
+import email
+
+from Mailman import mm_cfg
+from Mailman import Message
+from Mailman import Errors
+from Mailman import LockFile
+from Mailman.Queue.Runner import Runner
+from Mailman.Queue.Switchboard import Switchboard
+from Mailman.Queue.BounceRunner import BounceMixin
+from Mailman.Logging.Syslog import syslog
+
+# This controls how often _doperiodic() will try to deal with deferred
+# permanent failures.  It is a count of calls to _doperiodic()
+DEAL_WITH_PERMFAILURES_EVERY = 10
+
+try:
+    True, False
+except NameError:
+    True = 1
+    False = 0
+
+
+
+class OutgoingRunner(Runner, BounceMixin):
+    QDIR = mm_cfg.OUTQUEUE_DIR
+
+    def __init__(self, slice=None, numslices=1):
+        Runner.__init__(self, slice, numslices)
+        BounceMixin.__init__(self)
+        # We look this function up only at startup time
+        modname = 'Mailman.Handlers.' + mm_cfg.DELIVERY_MODULE
+        mod = __import__(modname)
+        self._func = getattr(sys.modules[modname], 'process')
+        # This prevents smtp server connection problems from filling up the
+        # error log.  It gets reset if the message was successfully sent, and
+        # set if there was a socket.error.
+        self.__logged = False
+        self.__retryq = Switchboard(mm_cfg.RETRYQUEUE_DIR)
+
+    def _dispose(self, mlist, msg, msgdata):
+        # See if we should retry delivery of this message again.
+        deliver_after = msgdata.get('deliver_after', 0)
+        if time.time() < deliver_after:
+            return True
+        # Make sure we have the most up-to-date state
+        mlist.Load()
+        try:
+            pid = os.getpid()
+            self._func(mlist, msg, msgdata)
+            # Failsafe -- a child may have leaked through.
+            if pid <> os.getpid():
+                syslog('error', 'child process leaked thru: %s', modname)
+                os._exit(1)
+            self.__logged = False
+        except socket.error:
+            # There was a problem connecting to the SMTP server.  Log this
+            # once, but crank up our sleep time so we don't fill the error
+            # log.
+            port = mm_cfg.SMTPPORT
+            if port == 0:
+                port = 'smtp'
+            # Log this just once.
+            if not self.__logged:
+                syslog('error', 'Cannot connect to SMTP server %s on port %s',
+                       mm_cfg.SMTPHOST, port)
+                self.__logged = True
+            return True
+        except Errors.SomeRecipientsFailed, e:
+            # Handle local rejects of probe messages differently.
+            if msgdata.get('probe_token') and e.permfailures:
+                self._probe_bounce(mlist, msgdata['probe_token'])
+            else:
+                # Delivery failed at SMTP time for some or all of the
+                # recipients.  Permanent failures are registered as bounces,
+                # but temporary failures are retried for later.
+                #
+                # BAW: msg is going to be the original message that failed
+                # delivery, not a bounce message.  This may be confusing if
+                # this is what's sent to the user in the probe message.  Maybe
+                # we should craft a bounce-like message containing information
+                # about the permanent SMTP failure?
+                if e.permfailures:
+                    self._queue_bounces(mlist.internal_name(), e.permfailures,
+                                        msg)
+                # Move temporary failures to the qfiles/retry queue which will
+                # occasionally move them back here for another shot at
+                # delivery.
+                if e.tempfailures:
+                    now = time.time()
+                    recips = e.tempfailures
+                    last_recip_count = msgdata.get('last_recip_count', 0)
+                    deliver_until = msgdata.get('deliver_until', now)
+                    if len(recips) == last_recip_count:
+                        # We didn't make any progress, so don't attempt
+                        # delivery any longer.  BAW: is this the best
+                        # disposition?
+                        if now > deliver_until:
+                            return False
+                    else:
+                        # Keep trying to delivery this message for a while
+                        deliver_until = now + mm_cfg.DELIVERY_RETRY_PERIOD
+                    msgdata['last_recip_count'] = len(recips)
+                    msgdata['deliver_until'] = deliver_until
+                    msgdata['recips'] = recips
+                    self.__retryq.enqueue(msg, msgdata)
+        # We've successfully completed handling of this message
+        return False
+
+    _doperiodic = BounceMixin._doperiodic
+
+    def _cleanup(self):
+        BounceMixin._cleanup(self)
+        Runner._cleanup(self)

=== added directory '.pc/10_wrapper_uid.patch'
=== added directory '.pc/10_wrapper_uid.patch/src'
=== added file '.pc/10_wrapper_uid.patch/src/cgi-wrapper.c'
--- .pc/10_wrapper_uid.patch/src/cgi-wrapper.c	1970-01-01 00:00:00 +0000
+++ .pc/10_wrapper_uid.patch/src/cgi-wrapper.c	2010-07-13 21:35:40 +0000
@@ -0,0 +1,68 @@
+/* cgi-wrapper.c --- Generic wrapper that will take info from a environment
+ * variable, and pass it to two commands.
+ *
+ * Copyright (C) 1998,1999,2000,2001,2002 by the Free Software Foundation, Inc.
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ */
+
+#include "common.h"
+
+/* passed in by configure */
+#define SCRIPTNAME  SCRIPT
+#define LOG_IDENT   "Mailman cgi-wrapper (" SCRIPT ")"
+
+/* Group name that CGI scripts run as.  See your web server's documentation
+ * for details.
+ */
+#define LEGAL_PARENT_GROUP CGI_GROUP
+
+const char* logident = LOG_IDENT;
+char* script = SCRIPTNAME;
+const char* parentgroup = LEGAL_PARENT_GROUP;
+
+
+int
+main(int argc, char** argv, char** env)
+{
+        int status;
+        char* fake_argv[3];
+
+        running_as_cgi = 1;
+        check_caller(logident, parentgroup);
+
+        /* For these CGI programs, we can ignore argc and argv since they
+         * don't contain anything useful.  `script' will always be the driver
+         * program and argv will always just contain the name of the real
+         * script for the driver to import and execute (padded with two dummy
+         * values in argv[0] and argv[1] that are ignored by run_script().
+         */
+        fake_argv[0] = NULL;
+        fake_argv[1] = NULL;
+        fake_argv[2] = script;
+
+        status = run_script("driver", 3, fake_argv, env);
+        fatal(logident, status, "%s", strerror(errno));
+        return status;
+}
+
+
+
+/*
+ * Local Variables:
+ * c-file-style: "python"
+ * End:
+ */

=== added file '.pc/10_wrapper_uid.patch/src/mail-wrapper.c'
--- .pc/10_wrapper_uid.patch/src/mail-wrapper.c	1970-01-01 00:00:00 +0000
+++ .pc/10_wrapper_uid.patch/src/mail-wrapper.c	2010-07-13 21:35:40 +0000
@@ -0,0 +1,91 @@
+/* mail-wrapper.c --- Generic wrapper that will take info from a environment
+ * variable, and pass it to two commands.
+ *
+ * Copyright (C) 1998,1999,2000,2001,2002 by the Free Software Foundation, Inc.
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ */
+
+#include "common.h"
+
+/* Group name that your mail programs run as.  See your mail server's
+ * documentation for details.
+ */
+#define LEGAL_PARENT_GROUP MAIL_GROUP
+
+const char* parentgroup = LEGAL_PARENT_GROUP;
+const char* logident = "Mailman mail-wrapper";
+
+
+
+const char *VALID_COMMANDS[] = {
+        "admin",
+        "bounces",
+        "confirm",
+        "join",
+        "leave",
+        "post",
+        "owner",
+        "request",
+        "subscribe",
+        "unsubscribe",
+        NULL                                 /* Sentinel, don't remove */
+};
+
+
+int
+check_command(char *command)
+{
+        int i = 0;
+
+        while (VALID_COMMANDS[i] != NULL) {
+                if (!strcmp(command, VALID_COMMANDS[i]))
+                        return 1;
+                i++;
+        }
+        return 0;
+}
+
+
+
+int
+main(int argc, char** argv, char** env)
+{
+        int status;
+
+        /* sanity check arguments */
+        if (argc < 2)
+                fatal(logident, MAIL_USAGE_ERROR,
+                      "Usage: %s program [args...]", argv[0]);
+
+        if (!check_command(argv[1]))
+                fatal(logident, MAIL_ILLEGAL_COMMAND,
+                      "Illegal command: %s", argv[1]);
+
+        check_caller(logident, parentgroup);
+
+        /* If we got here, everything must be OK */
+        status = run_script(argv[1], argc, argv, env);
+        fatal(logident, status, "%s", strerror(errno));
+        return status;
+}
+
+
+
+/*
+ * Local Variables:
+ * c-file-style: "python"
+ * End:
+ */

=== added directory '.pc/15_mailmanctl_daemonize.patch'
=== added directory '.pc/15_mailmanctl_daemonize.patch/bin'
=== added file '.pc/15_mailmanctl_daemonize.patch/bin/mailmanctl'
--- .pc/15_mailmanctl_daemonize.patch/bin/mailmanctl	1970-01-01 00:00:00 +0000
+++ .pc/15_mailmanctl_daemonize.patch/bin/mailmanctl	2010-07-13 21:35:40 +0000
@@ -0,0 +1,548 @@
+#! @PYTHON@
+
+# Copyright (C) 2001-2006 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+"""Primary start-up and shutdown script for Mailman's qrunner daemon.
+
+This script starts, stops, and restarts the main Mailman queue runners, making
+sure that the various long-running qrunners are still alive and kicking.  It
+does this by forking and exec'ing the qrunners and waiting on their pids.
+When it detects a subprocess has exited, it may restart it.
+
+The qrunners respond to SIGINT, SIGTERM, and SIGHUP.  SIGINT and SIGTERM both
+cause the qrunners to exit cleanly, but the master will only restart qrunners
+that have exited due to a SIGINT.  SIGHUP causes the master and the qrunners
+to close their log files, and reopen then upon the next printed message.
+
+The master also responds to SIGINT, SIGTERM, and SIGHUP, which it simply
+passes on to the qrunners (note that the master will close and reopen its own
+log files on receipt of a SIGHUP).  The master also leaves its own process id
+in the file data/master-qrunner.pid but you normally don't need to use this
+pid directly.  The `start', `stop', `restart', and `reopen' commands handle
+everything for you.
+
+Usage: %(PROGRAM)s [options] [ start | stop | restart | reopen ]
+
+Options:
+
+    -n/--no-restart
+        Don't restart the qrunners when they exit because of an error or a
+        SIGINT.  They are never restarted if they exit in response to a
+        SIGTERM.  Use this only for debugging.  Only useful if the `start'
+        command is given.
+
+    -u/--run-as-user
+        Normally, this script will refuse to run if the user id and group id
+        are not set to the `mailman' user and group (as defined when you
+        configured Mailman).  If run as root, this script will change to this
+        user and group before the check is made.
+
+        This can be inconvenient for testing and debugging purposes, so the -u
+        flag means that the step that sets and checks the uid/gid is skipped,
+        and the program is run as the current user and group.  This flag is
+        not recommended for normal production environments.
+
+        Note though, that if you run with -u and are not in the mailman group,
+        you may have permission problems, such as begin unable to delete a
+        list's archives through the web.  Tough luck!
+
+    -s/--stale-lock-cleanup
+        If mailmanctl finds an existing master lock, it will normally exit
+        with an error message.  With this option, mailmanctl will perform an
+        extra level of checking.  If a process matching the host/pid described
+        in the lock file is running, mailmanctl will still exit, but if no
+        matching process is found, mailmanctl will remove the apparently stale
+        lock and make another attempt to claim the master lock.
+
+    -q/--quiet
+        Don't print status messages.  Error messages are still printed to
+        standard error.
+
+    -h/--help
+        Print this message and exit.
+
+Commands:
+
+    start   - Start the master daemon and all qrunners.  Prints a message and
+              exits if the master daemon is already running.
+
+    stop    - Stops the master daemon and all qrunners.  After stopping, no
+              more messages will be processed.
+
+    restart - Restarts the qrunners, but not the master process.  Use this
+              whenever you upgrade or update Mailman so that the qrunners will
+              use the newly installed code.
+
+    reopen  - This will close all log files, causing them to be re-opened the
+              next time a message is written to them
+"""
+
+import sys
+import os
+import time
+import getopt
+import signal
+import errno
+import pwd
+import grp
+import socket
+
+import paths
+from Mailman import mm_cfg
+from Mailman import Utils
+from Mailman import LockFile
+from Mailman import Errors
+from Mailman.MailList import MailList
+from Mailman.i18n import _
+from Mailman.Logging.Syslog import syslog
+from Mailman.Logging.Utils import LogStdErr
+
+PROGRAM = sys.argv[0]
+COMMASPACE = ', '
+DOT = '.'
+
+# Locking contantsa
+LOCKFILE = os.path.join(mm_cfg.LOCK_DIR, 'master-qrunner')
+# Since we wake up once per day and refresh the lock, the LOCK_LIFETIME
+# needn't be (much) longer than SNOOZE.  We pad it 6 hours just to be safe.
+LOCK_LIFETIME = mm_cfg.days(1) + mm_cfg.hours(6)
+SNOOZE = mm_cfg.days(1)
+MAX_RESTARTS = 10
+
+LogStdErr('error', 'mailmanctl', manual_reprime=0)
+
+
+
+def usage(code, msg=''):
+    if code:
+        fd = sys.stderr
+    else:
+        fd = sys.stdout
+    print >> fd, _(__doc__)
+    if msg:
+        print >> fd, msg
+    sys.exit(code)
+
+
+
+def kill_watcher(sig):
+    try:
+        fp = open(mm_cfg.PIDFILE)
+        pidstr = fp.read()
+        fp.close()
+        pid = int(pidstr.strip())
+    except (IOError, ValueError), e:
+        # For i18n convenience
+        pidfile = mm_cfg.PIDFILE
+        print >> sys.stderr, _('PID unreadable in: %(pidfile)s')
+        print >> sys.stderr, e
+        print >> sys.stderr, _('Is qrunner even running?')
+        return
+    try:
+        os.kill(pid, sig)
+    except OSError, e:
+        if e.errno <> errno.ESRCH: raise
+        print >> sys.stderr, _('No child with pid: %(pid)s')
+        print >> sys.stderr, e
+        print >> sys.stderr, _('Stale pid file removed.')
+        os.unlink(mm_cfg.PIDFILE)
+
+
+
+def get_lock_data():
+    # Return the hostname, pid, and tempfile
+    fp = open(LOCKFILE)
+    filename = os.path.split(fp.read().strip())[1]
+    fp.close()
+    parts = filename.split('.')
+    hostname = DOT.join(parts[1:-1])
+    pid = int(parts[-1])
+    return hostname, int(pid), filename
+
+
+def qrunner_state():
+    # 1 if proc exists on host (but is it qrunner? ;)
+    # 0 if host matches but no proc
+    # hostname if hostname doesn't match
+    hostname, pid, tempfile = get_lock_data()
+    if hostname <> socket.gethostname():
+        return hostname
+    # Find out if the process exists by calling kill with a signal 0.
+    try:
+        os.kill(pid, 0)
+    except OSError, e:
+        if e.errno <> errno.ESRCH: raise
+        return 0
+    return 1
+
+
+def acquire_lock_1(force):
+    # Be sure we can acquire the master qrunner lock.  If not, it means some
+    # other master qrunner daemon is already going.
+    lock = LockFile.LockFile(LOCKFILE, LOCK_LIFETIME)
+    try:
+        lock.lock(0.1)
+        return lock
+    except LockFile.TimeOutError:
+        if not force:
+            raise
+        # Force removal of lock first
+        lock._disown()
+        hostname, pid, tempfile = get_lock_data()
+        os.unlink(LOCKFILE)
+        os.unlink(os.path.join(mm_cfg.LOCK_DIR, tempfile))
+        return acquire_lock_1(force=0)
+
+
+def acquire_lock(force):
+    try:
+        lock = acquire_lock_1(force)
+        return lock
+    except LockFile.TimeOutError:
+        status = qrunner_state()
+        if status == 1:
+            # host matches and proc exists
+            print >> sys.stderr, _("""\
+The master qrunner lock could not be acquired because it appears as if another
+master qrunner is already running.
+""")
+        elif status == 0:
+            # host matches but no proc
+            print >> sys.stderr, _("""\
+The master qrunner lock could not be acquired.  It appears as though there is
+a stale master qrunner lock.  Try re-running mailmanctl with the -s flag.
+""")
+        else:
+            # host doesn't even match
+            print >> sys.stderr, _("""\
+The master qrunner lock could not be acquired, because it appears as if some
+process on some other host may have acquired it.  We can't test for stale
+locks across host boundaries, so you'll have to do this manually.  Or, if you
+know the lock is stale, re-run mailmanctl with the -s flag.
+
+Lock file: %(LOCKFILE)s
+Lock host: %(status)s
+
+Exiting.""")
+
+
+
+def start_runner(qrname, slice, count):
+    pid = os.fork()
+    if pid:
+        # parent
+        return pid
+    # child
+    #
+    # Craft the command line arguments for the exec() call.
+    rswitch = '--runner=%s:%d:%d' % (qrname, slice, count)
+    exe = os.path.join(mm_cfg.BIN_DIR, 'qrunner')
+    # mm_cfg.PYTHON, which is the absolute path to the Python interpreter,
+    # must be given as argv[0] due to Python's library search algorithm.
+    os.execl(mm_cfg.PYTHON, mm_cfg.PYTHON, exe, rswitch, '-s')
+    # Should never get here
+    raise RuntimeError, 'os.execl() failed'
+
+
+def start_all_runners():
+    kids = {}
+    for qrname, count in mm_cfg.QRUNNERS:
+        for slice in range(count):
+            # queue runner name, slice, numslices, restart count
+            info = (qrname, slice, count, 0)
+            pid = start_runner(qrname, slice, count)
+            kids[pid] = info
+    return kids
+
+
+
+def check_for_site_list():
+    sitelistname = mm_cfg.MAILMAN_SITE_LIST
+    try:
+        sitelist = MailList(sitelistname, lock=0)
+    except Errors.MMUnknownListError:
+        print >> sys.stderr, _('Site list is missing: %(sitelistname)s')
+        syslog('error', 'Site list is missing: %s', mm_cfg.MAILMAN_SITE_LIST)
+        sys.exit(1)
+
+
+def check_privs():
+    # If we're running as root (uid == 0), coerce the uid and gid to that
+    # which Mailman was configured for, and refuse to run if we didn't coerce
+    # the uid/gid.
+    gid = grp.getgrnam(mm_cfg.MAILMAN_GROUP)[2]
+    uid = pwd.getpwnam(mm_cfg.MAILMAN_USER)[2]
+    myuid = os.getuid()
+    if myuid == 0:
+        # Set the process's supplimental groups.
+        groups = [x[2] for x in grp.getgrall() if mm_cfg.MAILMAN_USER in x[3]]
+        groups.append(gid)
+        try:
+            os.setgroups(groups)
+        except AttributeError:
+            # Python 2.1 doesn't have setgroups
+            syslog('error', 'Warning: unable to setgroups(%s)' % groups)
+        os.setgid(gid)
+        os.setuid(uid)
+    elif myuid <> uid:
+        name = mm_cfg.MAILMAN_USER
+        usage(1, _(
+            'Run this program as root or as the %(name)s user, or use -u.'))
+
+
+
+def main():
+    global quiet
+    try:
+        opts, args = getopt.getopt(sys.argv[1:], 'hnusq',
+                                   ['help', 'no-start', 'run-as-user',
+                                    'stale-lock-cleanup', 'quiet'])
+    except getopt.error, msg:
+        usage(1, msg)
+
+    restart = 1
+    checkprivs = 1
+    force = 0
+    quiet = 0
+    for opt, arg in opts:
+        if opt in ('-h', '--help'):
+            usage(0)
+        elif opt in ('-n', '--no-restart'):
+            restart = 0
+        elif opt in ('-u', '--run-as-user'):
+            checkprivs = 0
+        elif opt in ('-s', '--stale-lock-cleanup'):
+            force = 1
+        elif opt in ('-q', '--quiet'):
+            quiet = 1
+
+    if len(args) < 1:
+        usage(1, _('No command given.'))
+    elif len(args) > 1:
+        command = COMMASPACE.join(args)
+        usage(1, _('Bad command: %(command)s'))
+
+    if checkprivs:
+        check_privs()
+    else:
+        print _('Warning!  You may encounter permission problems.')
+
+    # Handle the commands
+    command = args[0].lower()
+    if command == 'stop':
+        # Sent the master qrunner process a SIGINT, which is equivalent to
+        # giving cron/qrunner a ctrl-c or KeyboardInterrupt.  This will
+        # effectively shut everything down.
+        if not quiet:
+            print _("Shutting down Mailman's master qrunner")
+        kill_watcher(signal.SIGTERM)
+    elif command == 'restart':
+        # Sent the master qrunner process a SIGHUP.  This will cause the
+        # master qrunner to kill and restart all the worker qrunners, and to
+        # close and re-open its log files.
+        if not quiet:
+            print _("Restarting Mailman's master qrunner")
+        kill_watcher(signal.SIGINT)
+    elif command == 'reopen':
+        if not quiet:
+            print _('Re-opening all log files')
+        kill_watcher(signal.SIGHUP)
+    elif command == 'start':
+        # First, complain loudly if there's no site list.
+        check_for_site_list()
+        # Here's the scoop on the processes we're about to create.  We'll need
+        # one for each qrunner, and one for a master child process watcher /
+        # lock refresher process.
+        #
+        # The child watcher process simply waits on the pids of the children
+        # qrunners.  Unless explicitly disabled by a mailmanctl switch (or the
+        # children are killed with SIGTERM instead of SIGINT), the watcher
+        # will automatically restart any child process that exits.  This
+        # allows us to be more robust, and also to implement restart by simply
+        # SIGINT'ing the qrunner children, and letting the watcher restart
+        # them.
+        #
+        # Under normal operation, we have a child per queue.  This lets us get
+        # the most out of the available resources, since a qrunner with no
+        # files in its queue directory is pretty cheap, but having a separate
+        # runner process per queue allows for a very responsive system.  Some
+        # people want a more traditional (i.e. MM2.0.x) cron-invoked qrunner.
+        # No problem, but using mailmanctl isn't the answer.  So while
+        # mailmanctl hard codes some things, others, such as the number of
+        # qrunners per queue, is configurable in mm_cfg.py.
+        #
+        # First, acquire the master mailmanctl lock
+        lock = acquire_lock(force)
+        if not lock:
+            return
+        # Daemon process startup according to Stevens, Advanced Programming in
+        # the UNIX Environment, Chapter 13.
+        pid = os.fork()
+        if pid:
+            # parent
+            if not quiet:
+                print _("Starting Mailman's master qrunner.")
+            # Give up the lock "ownership".  This just means the foreground
+            # process won't close/unlock the lock when it finalizes this lock
+            # instance.  We'll let the mater watcher subproc own the lock.
+            lock._transfer_to(pid)
+            return
+        # child
+        lock._take_possession()
+        # First, save our pid in a file for "mailmanctl stop" rendezvous.  We
+        # want the perms on the .pid file to be rw-rw----
+        omask = os.umask(6)
+        try:
+            fp = open(mm_cfg.PIDFILE, 'w')
+            print >> fp, os.getpid()
+            fp.close()
+        finally:
+            os.umask(omask)
+        # Create a new session and become the session leader, but since we
+        # won't be opening any terminal devices, don't do the ultra-paranoid
+        # suggestion of doing a second fork after the setsid() call.
+        os.setsid()
+        # Instead of cd'ing to root, cd to the Mailman installation home
+        os.chdir(mm_cfg.PREFIX)
+        # Set our file mode creation umask
+        os.umask(007)
+        # I don't think we have any unneeded file descriptors.
+        #
+        # Now start all the qrunners.  This returns a dictionary where the
+        # keys are qrunner pids and the values are tuples of the following
+        # form: (qrname, slice, count).  This does its own fork and exec, and
+        # sets up its own signal handlers.
+        kids = start_all_runners()
+        # Set up a SIGALRM handler to refresh the lock once per day.  The lock
+        # lifetime is 1day+6hours so this should be plenty.
+        def sigalrm_handler(signum, frame, lock=lock):
+            lock.refresh()
+            signal.alarm(mm_cfg.days(1))
+        signal.signal(signal.SIGALRM, sigalrm_handler)
+        signal.alarm(mm_cfg.days(1))
+        # Set up a SIGHUP handler so that if we get one, we'll pass it along
+        # to all the qrunner children.  This will tell them to close and
+        # reopen their log files
+        def sighup_handler(signum, frame, kids=kids):
+            # Closing our syslog will cause it to be re-opened at the next log
+            # print output.
+            syslog.close()
+            for pid in kids.keys():
+                os.kill(pid, signal.SIGHUP)
+            # And just to tweak things...
+            syslog('qrunner',
+                   'Master watcher caught SIGHUP.  Re-opening log files.')
+        signal.signal(signal.SIGHUP, sighup_handler)
+        # We also need to install a SIGTERM handler because that's what init
+        # will kill this process with when changing run levels.
+        def sigterm_handler(signum, frame, kids=kids):
+            for pid in kids.keys():
+                try:
+                    os.kill(pid, signal.SIGTERM)
+                except OSError, e:
+                    if e.errno <> errno.ESRCH: raise
+            syslog('qrunner', 'Master watcher caught SIGTERM.  Exiting.')
+        signal.signal(signal.SIGTERM, sigterm_handler)
+        # Finally, we need a SIGINT handler which will cause the sub-qrunners
+        # to exit, but the master will restart SIGINT'd sub-processes unless
+        # the -n flag was given.
+        def sigint_handler(signum, frame, kids=kids):
+            for pid in kids.keys():
+                os.kill(pid, signal.SIGINT)
+            syslog('qrunner', 'Master watcher caught SIGINT.  Restarting.')
+        signal.signal(signal.SIGINT, sigint_handler)
+        # Now we're ready to simply do our wait/restart loop.  This is the
+        # master qrunner watcher.
+        try:
+            while 1:
+                try:
+                    pid, status = os.wait()
+                except OSError, e:
+                    # No children?  We're done
+                    if e.errno == errno.ECHILD:
+                        break
+                    # If the system call got interrupted, just restart it.
+                    elif e.errno <> errno.EINTR:
+                        raise
+                    continue
+                killsig = exitstatus = None
+                if os.WIFSIGNALED(status):
+                    killsig = os.WTERMSIG(status)
+                if os.WIFEXITED(status):
+                    exitstatus = os.WEXITSTATUS(status)
+                # We'll restart the process unless we were given the
+                # "no-restart" switch, or if the process was SIGTERM'd or
+                # exitted with a SIGTERM exit status.  This lets us better
+                # handle runaway restarts (say, if the subproc had a syntax
+                # error!)
+                restarting = ''
+                if restart:
+                    if (exitstatus == None and killsig <> signal.SIGTERM) or \
+                       (killsig == None and exitstatus <> signal.SIGTERM):
+                        # Then
+                        restarting = '[restarting]'
+                qrname, slice, count, restarts = kids[pid]
+                del kids[pid]
+                syslog('qrunner', """\
+Master qrunner detected subprocess exit
+(pid: %d, sig: %s, sts: %s, class: %s, slice: %d/%d) %s""",
+                       pid, killsig, exitstatus, qrname,
+                       slice+1, count, restarting)
+                # See if we've reached the maximum number of allowable restarts
+                if exitstatus <> signal.SIGINT:
+                    restarts += 1
+                if restarts > MAX_RESTARTS:
+                    syslog('qrunner', """\
+Qrunner %s reached maximum restart limit of %d, not restarting.""",
+                           qrname, MAX_RESTARTS)
+                    restarting = ''
+                # Now perhaps restart the process unless it exited with a
+                # SIGTERM or we aren't restarting.
+                if restarting:
+                    newpid = start_runner(qrname, slice, count)
+                    kids[newpid] = (qrname, slice, count, restarts)
+        finally:
+            # Should we leave the main loop for any reason, we want to be sure
+            # all of our children are exited cleanly.  Send SIGTERMs to all
+            # the child processes and wait for them all to exit.
+            for pid in kids.keys():
+                try:
+                    os.kill(pid, signal.SIGTERM)
+                except OSError, e:
+                    if e.errno == errno.ESRCH:
+                        # The child has already exited
+                        syslog('qrunner', 'ESRCH on pid: %d', pid)
+                        del kids[pid]
+            # Wait for all the children to go away
+            while 1:
+                try:
+                    pid, status = os.wait()
+                except OSError, e:
+                    if e.errno == errno.ECHILD:
+                        break
+                    elif e.errno <> errno.EINTR:
+                        raise
+                    continue
+        # Finally, give up the lock
+        lock.unlock(unconditionally=1)
+        os._exit(0)
+
+
+
+if __name__ == '__main__':
+    main()

=== added directory '.pc/16_update_debian.patch'
=== added directory '.pc/16_update_debian.patch/bin'
=== added file '.pc/16_update_debian.patch/bin/update'
--- .pc/16_update_debian.patch/bin/update	1970-01-01 00:00:00 +0000
+++ .pc/16_update_debian.patch/bin/update	2010-07-13 21:35:40 +0000
@@ -0,0 +1,820 @@
+#! @PYTHON@
+#
+# Copyright (C) 1998-2009 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+"""Perform all necessary upgrades.
+
+Usage: %(PROGRAM)s [options]
+
+Options:
+    -f/--force
+        Force running the upgrade procedures.  Normally, if the version number
+        of the installed Mailman matches the current version number (or a
+        `downgrade' is detected), nothing will be done.
+
+    -h/--help
+        Print this text and exit.
+
+Use this script to help you update to the latest release of Mailman from
+some previous version.  It knows about versions back to 1.0b4 (?).
+"""
+
+import os
+import sys
+import time
+import errno
+import getopt
+import shutil
+import cPickle
+import marshal
+
+import paths
+import email
+
+from Mailman import mm_cfg
+from Mailman import Utils
+from Mailman import MailList
+from Mailman import Message
+from Mailman import Pending
+from Mailman.LockFile import TimeOutError
+from Mailman.i18n import _
+from Mailman.Queue.Switchboard import Switchboard
+from Mailman.OldStyleMemberships import OldStyleMemberships
+from Mailman.MemberAdaptor import BYBOUNCE, ENABLED
+
+FRESH = 0
+NOTFRESH = -1
+
+LMVFILE = os.path.join(mm_cfg.DATA_DIR, 'last_mailman_version')
+PROGRAM = sys.argv[0]
+
+
+
+def calcversions():
+    # Returns a tuple of (lastversion, thisversion).  If the last version
+    # could not be determined, lastversion will be FRESH or NOTFRESH,
+    # depending on whether this installation appears to be fresh or not.  The
+    # determining factor is whether there are files in the $var_prefix/logs
+    # subdir or not.  The version numbers are HEX_VERSIONs.
+    #
+    # See if we stored the last updated version
+    lastversion = None
+    thisversion = mm_cfg.HEX_VERSION
+    try:
+        fp = open(LMVFILE)
+        data = fp.read()
+        fp.close()
+        lastversion = int(data, 16)
+    except (IOError, ValueError):
+        pass
+    #
+    # try to figure out if this is a fresh install
+    if lastversion is None:
+        lastversion = FRESH
+        try:
+            if os.listdir(mm_cfg.LOG_DIR):
+                lastversion = NOTFRESH
+        except OSError:
+            pass
+    return (lastversion, thisversion)
+
+
+
+def makeabs(relpath):
+    return os.path.join(mm_cfg.PREFIX, relpath)
+
+def make_varabs(relpath):
+    return os.path.join(mm_cfg.VAR_PREFIX, relpath)
+
+
+def move_language_templates(mlist):
+    listname = mlist.internal_name()
+    print _('Fixing language templates: %(listname)s')
+    # Mailman 2.1 has a new cascading search for its templates, defined and
+    # described in Utils.py:maketext().  Putting templates in the top level
+    # templates/ subdir or the lists/<listname> subdir is deprecated and no
+    # longer searched..
+    #
+    # What this means is that most templates can live in the global templates/
+    # subdirectory, and only needs to be copied into the list-, vhost-, or
+    # site-specific language directories when needed.
+    #
+    # Also, by default all standard (i.e. English) templates must now live in
+    # the templates/en directory.  This update cleans up all the templates,
+    # deleting more-specific duplicates (as calculated by md5 checksums) in
+    # favor of more-global locations.
+    #
+    # First, get rid of any lists/<list> template or lists/<list>/en template
+    # that is identical to the global templates/* default.
+    for gtemplate in os.listdir(os.path.join(mm_cfg.TEMPLATE_DIR, 'en')):
+        # BAW: get rid of old templates, e.g. admlogin.txt and
+        # handle_opts.html
+        try:
+            fp = open(os.path.join(mm_cfg.TEMPLATE_DIR, gtemplate))
+        except IOError, e:
+            if e.errno not in (errno.ENOENT, errno.EISDIR): raise
+            # No global template or maybe a VCS directory
+            continue
+
+        gcksum = Utils.md5_new(fp.read()).digest()
+        fp.close()
+        # Match against the lists/<list>/* template
+        try:
+            fp = open(os.path.join(mlist.fullpath(), gtemplate))
+        except IOError, e:
+            if e.errno <> errno.ENOENT: raise
+        else:
+            tcksum = Utils.md5_new(fp.read()).digest()
+            fp.close()
+            if gcksum == tcksum:
+                os.unlink(os.path.join(mlist.fullpath(), gtemplate))
+        # Match against the lists/<list>/*.prev template
+        try:
+            fp = open(os.path.join(mlist.fullpath(), gtemplate + '.prev'))
+        except IOError, e:
+            if e.errno <> errno.ENOENT: raise
+        else:
+            tcksum = Utils.md5_new(fp.read()).digest()
+            fp.close()
+            if gcksum == tcksum:
+                os.unlink(os.path.join(mlist.fullpath(), gtemplate + '.prev'))
+        # Match against the lists/<list>/en/* templates
+        try:
+            fp = open(os.path.join(mlist.fullpath(), 'en', gtemplate))
+        except IOError, e:
+            if e.errno <> errno.ENOENT: raise
+        else:
+            tcksum = Utils.md5_new(fp.read()).digest()
+            fp.close()
+            if gcksum == tcksum:
+                os.unlink(os.path.join(mlist.fullpath(), 'en', gtemplate))
+        # Match against the templates/* template
+        try:
+            fp = open(os.path.join(mm_cfg.TEMPLATE_DIR, gtemplate))
+        except IOError, e:
+            if e.errno <> errno.ENOENT: raise
+        else:
+            tcksum = Utils.md5_new(fp.read()).digest()
+            fp.close()
+            if gcksum == tcksum:
+                os.unlink(os.path.join(mm_cfg.TEMPLATE_DIR, gtemplate))
+        # Match against the templates/*.prev template
+        try:
+            fp = open(os.path.join(mm_cfg.TEMPLATE_DIR, gtemplate + '.prev'))
+        except IOError, e:
+            if e.errno <> errno.ENOENT: raise
+        else:
+            tcksum = Utils.md5_new(fp.read()).digest()
+            fp.close()
+            if gcksum == tcksum:
+                os.unlink(os.path.join(mm_cfg.TEMPLATE_DIR,
+                                       gtemplate + '.prev'))
+
+
+
+def dolist(listname):
+    errors = 0
+    mlist = MailList.MailList(listname, lock=0)
+    try:
+        mlist.Lock(0.5)
+    except TimeOutError:
+        print >> sys.stderr, _('WARNING: could not acquire lock for list: '
+                               '%(listname)s')
+        return 1
+
+    # Sanity check the invariant that every BYBOUNCE disabled member must have
+    # bounce information.  Some earlier betas broke this.  BAW: we're
+    # submerging below the MemberAdaptor interface, so skip this if we're not
+    # using OldStyleMemberships.
+    if isinstance(mlist._memberadaptor, OldStyleMemberships):
+        noinfo = {}
+        for addr, (reason, when) in mlist.delivery_status.items():
+            if reason == BYBOUNCE and not mlist.bounce_info.has_key(addr):
+                noinfo[addr] = reason, when
+        # What to do about these folks with a BYBOUNCE delivery status and no
+        # bounce info?  This number should be very small, and I think it's
+        # fine to simple re-enable them and let the bounce machinery
+        # re-disable them if necessary.
+        n = len(noinfo)
+        if n > 0:
+            print _(
+                'Resetting %(n)s BYBOUNCEs disabled addrs with no bounce info')
+            for addr in noinfo.keys():
+                mlist.setDeliveryStatus(addr, ENABLED)
+
+    # Update the held requests database
+    print _("""Updating the held requests database.""")
+    mlist._UpdateRecords()
+
+    mbox_dir = make_varabs('archives/private/%s.mbox' % (listname))
+    mbox_file = make_varabs('archives/private/%s.mbox/%s' % (listname,
+                                                             listname))
+
+    o_pub_mbox_file = make_varabs('archives/public/%s' % (listname))
+    o_pri_mbox_file = make_varabs('archives/private/%s' % (listname))
+
+    html_dir = o_pri_mbox_file
+    o_html_dir = makeabs('public_html/archives/%s' % (listname))
+    #
+    # make the mbox directory if it's not there.
+    #
+    if not os.path.exists(mbox_dir):
+        ou = os.umask(0)
+        os.mkdir(mbox_dir, 02775)
+        os.umask(ou)
+    else:
+        # this shouldn't happen, but hey, just in case
+        if not os.path.isdir(mbox_dir):
+            print _("""\
+For some reason, %(mbox_dir)s exists as a file.  This won't work with
+b6, so I'm renaming it to %(mbox_dir)s.tmp and proceeding.""")
+            os.rename(mbox_dir, "%s.tmp" % (mbox_dir))
+            ou = os.umask(0)
+            os.mkdir(mbox_dir, 02775)
+            os.umask(ou)
+
+    # Move any existing mboxes around, but watch out for both a public and a
+    # private one existing
+    if os.path.isfile(o_pri_mbox_file) and os.path.isfile(o_pub_mbox_file):
+        if mlist.archive_private:
+            print _("""\
+
+%(listname)s has both public and private mbox archives.  Since this list
+currently uses private archiving, I'm installing the private mbox archive
+-- %(o_pri_mbox_file)s -- as the active archive, and renaming
+        %(o_pub_mbox_file)s
+to
+        %(o_pub_mbox_file)s.preb6
+
+You can integrate that into the archives if you want by using the 'arch'
+script.
+""") % (mlist._internal_name, o_pri_mbox_file, o_pub_mbox_file,
+        o_pub_mbox_file)
+            os.rename(o_pub_mbox_file, "%s.preb6" % (o_pub_mbox_file))
+        else:
+            print _("""\
+%s has both public and private mbox archives.  Since this list
+currently uses public archiving, I'm installing the public mbox file
+archive file (%s) as the active one, and renaming
+        %s
+    to
+        %s.preb6
+
+You can integrate that into the archives if you want by using the 'arch'
+script.
+""") % (mlist._internal_name, o_pub_mbox_file, o_pri_mbox_file,
+        o_pri_mbox_file)
+            os.rename(o_pri_mbox_file, "%s.preb6" % (o_pri_mbox_file))
+    #
+    # move private archive mbox there if it's around
+    # and take into account all sorts of absurdities
+    #
+    print _('- updating old private mbox file')
+    if os.path.exists(o_pri_mbox_file):
+        if os.path.isfile(o_pri_mbox_file):
+            os.rename(o_pri_mbox_file, mbox_file)
+        elif not os.path.isdir(o_pri_mbox_file):
+            newname = "%s.mm_install-dunno_what_this_was_but_its_in_the_way" \
+                      % o_pri_mbox_file
+            os.rename(o_pri_mbox_file, newname)
+            print _("""\
+    unknown file in the way, moving
+        %(o_pri_mbox_file)s
+    to
+        %(newname)s""")
+        else:
+            # directory
+            print _('Nothing to do.')
+
+
+    #
+    # move public archive mbox there if it's around
+    # and take into account all sorts of absurdities.
+    #
+    print _('- updating old public mbox file')
+    if os.path.exists(o_pub_mbox_file):
+        if os.path.isfile(o_pub_mbox_file):
+            os.rename(o_pub_mbox_file, mbox_file)
+        elif not os.path.isdir(o_pub_mbox_file):
+            newname = "%s.mm_install-dunno_what_this_was_but_its_in_the_way" \
+                      % o_pub_mbox_file
+            os.rename(o_pub_mbox_file, newname)
+            print _("""\
+    unknown file in the way, moving
+        %(o_pub_mbox_file)s
+    to
+        %(newname)s""")
+        else: # directory
+            print _('Nothing to do.')
+
+    #
+    # move the html archives there
+    #
+    if os.path.isdir(o_html_dir):
+        os.rename(o_html_dir, html_dir)
+        #
+        # chmod the html archives
+        #
+        os.chmod(html_dir, 02775)
+    # BAW: Is this still necessary?!
+    mlist.Save()
+    #
+    # check to see if pre-b4 list-specific templates are around
+    # and move them to the new place if there's not already
+    # a new one there
+    #
+    # There is a problem with the following if the list name is equal
+    # to a language code. All the templates get moved from templates/xx
+    # to lists/xx. To avoid this, test the list name, and if it is 'en'
+    # or matches a name in the messages directory, just skip this step.
+    if (mlist._internal_name <> 'en' and
+        mlist._internal_name not in os.listdir(mm_cfg.MESSAGES_DIR)):
+        # It's okay to move the templates.
+        tmpl_dir = os.path.join(mm_cfg.PREFIX, "templates")
+        list_dir = mm_cfg.LIST_DATA_DIR
+        b4_tmpl_dir = os.path.join(tmpl_dir, mlist._internal_name)
+        new_tmpl_dir = os.path.join(list_dir, mlist._internal_name)
+        if os.path.exists(b4_tmpl_dir):
+            print _("""\
+- This list looks like it might have <= b4 list templates around""")
+            for f in os.listdir(b4_tmpl_dir):
+                o_tmpl = os.path.join(b4_tmpl_dir, f)
+                n_tmpl = os.path.join(new_tmpl_dir, f)
+                if os.path.exists(o_tmpl):
+                    if not os.path.exists(n_tmpl):
+                        os.rename(o_tmpl, n_tmpl)
+                        print _('- moved %(o_tmpl)s to %(n_tmpl)s')
+                    else:
+                        print _("""\
+- both %(o_tmpl)s and %(n_tmpl)s exist, leaving untouched""")
+                else:
+                    print _("""\
+- %(o_tmpl)s doesn't exist, leaving untouched""")
+    #
+    # Move all the templates to the en language subdirectory as required for
+    # Mailman 2.1
+    #
+    move_language_templates(mlist)
+    # Avoid eating filehandles with the list lockfiles
+    mlist.Unlock()
+    return 0
+
+
+
+def archive_path_fixer(unused_arg, dir, files):
+    # Passed to os.path.walk to fix the perms on old html archives.
+    for f in files:
+        abs = os.path.join(dir, f)
+        if os.path.isdir(abs):
+            if f == "database":
+                os.chmod(abs, 02770)
+            else:
+                os.chmod(abs, 02775)
+        elif os.path.isfile(abs):
+            os.chmod(abs, 0664)
+
+def remove_old_sources(module):
+    # Also removes old directories.
+    src = '%s/%s' % (mm_cfg.PREFIX, module)
+    pyc = src + "c"
+    if os.path.isdir(src):
+        print _('removing directory %(src)s and everything underneath')
+        shutil.rmtree(src)
+    elif os.path.exists(src):
+        print _('removing %(src)s')
+        try:
+            os.unlink(src)
+        except os.error, rest:
+            print _("Warning: couldn't remove %(src)s -- %(rest)s")
+    if module.endswith('.py') and os.path.exists(pyc):
+        try:
+            os.unlink(pyc)
+        except os.error, rest:
+            print _("couldn't remove old file %(pyc)s -- %(rest)s")
+
+
+def update_qfiles():
+    print _('updating old qfiles')
+    prefix = `time.time()` + '+'
+    # Be sure the qfiles/in directory exists (we don't really need the
+    # switchboard object, but it's convenient for creating the directory).
+    sb = Switchboard(mm_cfg.INQUEUE_DIR)
+    for filename in os.listdir(mm_cfg.QUEUE_DIR):
+        # Updating means just moving the .db and .msg files to qfiles/in where
+        # it should be dequeued, converted, and processed normally.
+        if filename.endswith('.msg'):
+            oldmsgfile = os.path.join(mm_cfg.QUEUE_DIR, filename)
+            newmsgfile = os.path.join(mm_cfg.INQUEUE_DIR, prefix + filename)
+            os.rename(oldmsgfile, newmsgfile)
+        elif filename.endswith('.db'):
+            olddbfile = os.path.join(mm_cfg.QUEUE_DIR, filename)
+            newdbfile = os.path.join(mm_cfg.INQUEUE_DIR, prefix + filename)
+            os.rename(olddbfile, newdbfile)
+    # Now update for the Mailman 2.1.5 qfile format.  For every filebase in
+    # the qfiles/* directories that has both a .pck and a .db file, pull the
+    # data out and re-queue them.
+    for dirname in os.listdir(mm_cfg.QUEUE_DIR):
+        dirpath = os.path.join(mm_cfg.QUEUE_DIR, dirname)
+        if dirpath == mm_cfg.BADQUEUE_DIR:
+            # The files in qfiles/bad can't possibly be pickles
+            continue
+        sb = Switchboard(dirpath)
+        try:
+            for filename in os.listdir(dirpath):
+                filepath = os.path.join(dirpath, filename)
+                filebase, ext = os.path.splitext(filepath)
+                # A bug in Mailman 2.1.9 left .bak files behind in some
+                # circumstances. It should be safe to remove them.
+                if ext == '.bak':
+                    os.remove(filepath)
+                # Handle the .db metadata files as part of the handling of the
+                # .pck or .msg message files.
+                if ext not in ('.pck', '.msg'):
+                    continue
+                msg, data = dequeue(filebase)
+                if msg is not None and data is not None:
+                    sb.enqueue(msg, data)
+        except EnvironmentError, e:
+            if e.errno <> errno.ENOTDIR:
+                raise
+            print _('Warning!  Not a directory: %(dirpath)s')
+
+
+
+# Implementations taken from the pre-2.1.5 Switchboard
+def ext_read(filename):
+    fp = open(filename)
+    d = marshal.load(fp)
+    # Update from version 2 files
+    if d.get('version', 0) == 2:
+        del d['filebase']
+    # Do the reverse conversion (repr -> float)
+    for attr in ['received_time']:
+        try:
+            sval = d[attr]
+        except KeyError:
+            pass
+        else:
+            # Do a safe eval by setting up a restricted execution
+            # environment.  This may not be strictly necessary since we
+            # know they are floats, but it can't hurt.
+            d[attr] = eval(sval, {'__builtins__': {}})
+    fp.close()
+    return d
+
+
+def dequeue(filebase):
+    # Calculate the .db and .msg filenames from the given filebase.
+    msgfile = os.path.join(filebase + '.msg')
+    pckfile = os.path.join(filebase + '.pck')
+    dbfile = os.path.join(filebase + '.db')
+    # Now we are going to read the message and metadata for the given
+    # filebase.  We want to read things in this order: first, the metadata
+    # file to find out whether the message is stored as a pickle or as
+    # plain text.  Second, the actual message file.  However, we want to
+    # first unlink the message file and then the .db file, because the
+    # qrunner only cues off of the .db file
+    msg = None
+    try:
+        data = ext_read(dbfile)
+        os.unlink(dbfile)
+    except EnvironmentError, e:
+        if e.errno <> errno.ENOENT: raise
+        data = {}
+    # Between 2.1b4 and 2.1b5, the `rejection-notice' key in the metadata
+    # was renamed to `rejection_notice', since dashes in the keys are not
+    # supported in METAFMT_ASCII.
+    if data.has_key('rejection-notice'):
+        data['rejection_notice'] = data['rejection-notice']
+        del data['rejection-notice']
+    msgfp = None
+    try:
+        try:
+            msgfp = open(pckfile)
+            msg = cPickle.load(msgfp)
+            if not data:
+                # There was no .db file. Is this a post 2.1.5 .pck?
+                try:
+                    data = cPickle.load(msgfp)
+                except EOFError:
+                    pass
+            os.unlink(pckfile)
+        except EnvironmentError, e:
+            if e.errno <> errno.ENOENT: raise
+            msgfp = None
+            try:
+                msgfp = open(msgfile)
+                msg = email.message_from_file(msgfp, Message.Message)
+                os.unlink(msgfile)
+            except EnvironmentError, e:
+                if e.errno <> errno.ENOENT: raise
+            except (email.Errors.MessageParseError, ValueError), e:
+                # This message was unparsable, most likely because its
+                # MIME encapsulation was broken.  For now, there's not
+                # much we can do about it.
+                print _('message is unparsable: %(filebase)s')
+                msgfp.close()
+                msgfp = None
+                if mm_cfg.QRUNNER_SAVE_BAD_MESSAGES:
+                    # Cheapo way to ensure the directory exists w/ the
+                    # proper permissions.
+                    sb = Switchboard(mm_cfg.BADQUEUE_DIR)
+                    os.rename(msgfile, os.path.join(
+                        mm_cfg.BADQUEUE_DIR, filebase + '.txt'))
+                else:
+                    os.unlink(msgfile)
+                msg = data = None
+        except EOFError:
+            # For some reason the pckfile was empty.  Just delete it.
+            print _('Warning!  Deleting empty .pck file: %(pckfile)s')
+            os.unlink(pckfile)
+    finally:
+        if msgfp:
+            msgfp.close()
+    return msg, data
+
+
+
+def update_pending():
+    file20 = os.path.join(mm_cfg.DATA_DIR, 'pending_subscriptions.db')
+    file214 = os.path.join(mm_cfg.DATA_DIR, 'pending.pck')
+    db = None
+    # Try to load the Mailman 2.0 file
+    try:
+        fp = open(file20)
+    except IOError, e:
+        if e.errno <> errno.ENOENT: raise
+    else:
+        print _('Updating Mailman 2.0 pending_subscriptions.db database')
+        db = marshal.load(fp)
+        # Convert to the pre-Mailman 2.1.5 format
+        db = Pending._update(db)
+    if db is None:
+        # Try to load the Mailman 2.1.x where x < 5, file
+        try:
+            fp = open(file214)
+        except IOError, e:
+            if e.errno <> errno.ENOENT: raise
+        else:
+            print _('Updating Mailman 2.1.4 pending.pck database')
+            db = cPickle.load(fp)
+    if db is None:
+        print _('Nothing to do.')
+        return
+    # Now upgrade the database to the 2.1.5 format.  Each list now has its own
+    # pending.pck file, but only the RE_ENABLE operation actually recorded the
+    # listname in the request.  For the SUBSCRIPTION, UNSUBSCRIPTION, and
+    # CHANGE_OF_ADDRESS operations, we know the address of the person making
+    # the request so we can repend this request just for the lists the person
+    # is a member of.  For the HELD_MESSAGE operation, we can check the list's
+    # requests.pck file for correlation.  Evictions will take care of any
+    # misdirected pendings.
+    reenables_by_list = {}
+    addrops_by_address = {}
+    holds_by_id = {}
+    subs_by_address = {}
+    for key, val in db.items():
+        if key in ('evictions', 'version'):
+            continue
+        try:
+            op = val[0]
+            data = val[1:]
+        except (IndexError, ValueError):
+            print _('Ignoring bad pended data: %(key)s: %(val)s')
+            continue
+        if op in (Pending.UNSUBSCRIPTION, Pending.CHANGE_OF_ADDRESS):
+            # data[0] is the address being unsubscribed
+            addrops_by_address.setdefault(data[0], []).append((key, val))
+        elif op == Pending.SUBSCRIPTION:
+            # data[0] is a UserDesc object
+            addr = data[0].address
+            subs_by_address.setdefault(addr, []).append((key, val))
+        elif op == Pending.RE_ENABLE:
+            # data[0] is the mailing list's internal name
+            reenables_by_list.setdefault(data[0], []).append((key, val))
+        elif op == Pending.HELD_MESSAGE:
+            # data[0] is the hold id.  There better only be one entry per id
+            id = data[0]
+            if holds_by_id.has_key(id):
+                print _('WARNING: Ignoring duplicate pending ID: %(id)s.')
+            else:
+                holds_by_id[id] = (key, val)
+    # Now we have to lock every list and re-pend all the appropriate
+    # requests.  Note that this will reset all the expiration dates, but that
+    # should be fine.
+    for listname in Utils.list_names():
+        mlist = MailList.MailList(listname)
+        # This is not the most efficient way to do this because it loads and
+        # saves the pending.pck file each time. :(
+        try:
+            for cookie, data in reenables_by_list.get(listname, []):
+                mlist.pend_repend(cookie, data)
+            for id, (cookie, data) in holds_by_id.items():
+                try:
+                    rec = mlist.GetRecord(id)
+                except KeyError:
+                    # Not for this list
+                    pass
+                else:
+                    mlist.pend_repend(cookie, data)
+                    del holds_by_id[id]
+            for addr, recs in subs_by_address.items():
+                # We shouldn't have a subscription confirmation if the address
+                # is already a member of the mailing list.
+                if mlist.isMember(addr):
+                    continue
+                for cookie, data in recs:
+                    mlist.pend_repend(cookie, data)
+            for addr, recs in addrops_by_address.items():
+                # We shouldn't have unsubscriptions or change of address
+                # requests for addresses which aren't members of the list.
+                if not mlist.isMember(addr):
+                    continue
+                for cookie, data in recs:
+                    mlist.pend_repend(cookie, data)
+            mlist.Save()
+        finally:
+            mlist.Unlock()
+    try:
+        os.unlink(file20)
+    except OSError, e:
+        if e.errno <> errno.ENOENT: raise
+    try:
+        os.unlink(file214)
+    except OSError, e:
+        if e.errno <> errno.ENOENT: raise
+
+
+
+def main():
+    errors = 0
+    # get rid of old stuff
+    print _('getting rid of old source files')
+    for mod in ('Mailman/Archiver.py', 'Mailman/HyperArch.py',
+                'Mailman/HyperDatabase.py', 'Mailman/pipermail.py',
+                'Mailman/smtplib.py', 'Mailman/Cookie.py',
+                'bin/update_to_10b6', 'scripts/mailcmd',
+                'scripts/mailowner', 'mail/wrapper', 'Mailman/pythonlib',
+                'cgi-bin/archives', 'Mailman/MailCommandHandler'):
+        remove_old_sources(mod)
+    listnames = Utils.list_names()
+    if not listnames:
+        print _('no lists == nothing to do, exiting')
+        return
+    #
+    # for people with web archiving, make sure the directories
+    # in the archiving are set with proper perms for b6.
+    #
+    if os.path.isdir("%s/public_html/archives" % mm_cfg.PREFIX):
+        print _("""\
+fixing all the perms on your old html archives to work with b6
+If your archives are big, this could take a minute or two...""")
+        os.path.walk("%s/public_html/archives" % mm_cfg.PREFIX,
+                     archive_path_fixer, "")
+        print _('done')
+    for listname in listnames:
+        print _('Updating mailing list: %(listname)s')
+        errors = errors + dolist(listname)
+        print
+    print _('Updating Usenet watermarks')
+    wmfile = os.path.join(mm_cfg.DATA_DIR, 'gate_watermarks')
+    try:
+        fp = open(wmfile)
+    except IOError:
+        print _('- nothing to update here')
+    else:
+        d = marshal.load(fp)
+        fp.close()
+        for listname in d.keys():
+            if listname not in listnames:
+                # this list no longer exists
+                continue
+            mlist = MailList.MailList(listname, lock=0)
+            try:
+                mlist.Lock(0.5)
+            except TimeOutError:
+                print >> sys.stderr, _(
+                    'WARNING: could not acquire lock for list: %(listname)s')
+                errors = errors + 1
+            else:
+                # Pre 1.0b7 stored 0 in the gate_watermarks file to indicate
+                # that no gating had been done yet.  Without coercing this to
+                # None, the list could now suddenly get flooded.
+                mlist.usenet_watermark = d[listname] or None
+                mlist.Save()
+                mlist.Unlock()
+        os.unlink(wmfile)
+        print _('- usenet watermarks updated and gate_watermarks removed')
+    # In Mailman 2.1, the pending database format and file name changed, but
+    # in Mailman 2.1.5 it changed again.  This should update all existing
+    # files to the 2.1.5 format.
+    update_pending()
+    # In Mailman 2.1, the qfiles directory has a different structure and a
+    # different content.  Also, in Mailman 2.1.5 we collapsed the message
+    # files from separate .msg (pickled Message objects) and .db (marshalled
+    # dictionaries) to a shared .pck file containing two pickles.
+    update_qfiles()
+    # This warning was necessary for the upgrade from 1.0b9 to 1.0b10.
+    # There's no good way of figuring this out for releases prior to 2.0beta2
+    # :(
+    if lastversion == NOTFRESH:
+        print _("""
+
+NOTE NOTE NOTE NOTE NOTE
+
+    You are upgrading an existing Mailman installation, but I can't tell what
+    version you were previously running.
+
+    If you are upgrading from Mailman 1.0b9 or earlier you will need to
+    manually update your mailing lists.  For each mailing list you need to
+    copy the file templates/options.html lists/<listname>/options.html.
+
+    However, if you have edited this file via the Web interface, you will have
+    to merge your changes into this file, otherwise you will lose your
+    changes.
+
+NOTE NOTE NOTE NOTE NOTE
+
+""")
+    return errors
+
+
+
+def usage(code, msg=''):
+    if code:
+        fd = sys.stderr
+    else:
+        fd = sys.stdout
+    print >> fd, _(__doc__) % globals()
+    if msg:
+        print >> sys.stderr, msg
+    sys.exit(code)
+
+
+
+if __name__ == '__main__':
+    try:
+        opts, args = getopt.getopt(sys.argv[1:], 'hf',
+                                   ['help', 'force'])
+    except getopt.error, msg:
+        usage(1, msg)
+
+    if args:
+        usage(1, 'Unexpected arguments: %s' % args)
+
+    force = 0
+    for opt, arg in opts:
+        if opt in ('-h', '--help'):
+            usage(0)
+        elif opt in ('-f', '--force'):
+            force = 1
+
+    # calculate the versions
+    lastversion, thisversion = calcversions()
+    hexlversion = hex(lastversion)
+    hextversion = hex(thisversion)
+    if lastversion == thisversion and not force:
+        # nothing to do
+        print _('No updates are necessary.')
+        sys.exit(0)
+    if lastversion > thisversion and not force:
+        print _("""\
+Downgrade detected, from version %(hexlversion)s to version %(hextversion)s
+This is probably not safe.
+Exiting.""")
+        sys.exit(1)
+    print _('Upgrading from version %(hexlversion)s to %(hextversion)s')
+    errors = main()
+    if not errors:
+        # Record the version we just upgraded to
+        fp = open(LMVFILE, 'w')
+        fp.write(hex(mm_cfg.HEX_VERSION) + '\n')
+        fp.close()
+    else:
+        lockdir = mm_cfg.LOCK_DIR
+        print _('''\
+
+ERROR:
+
+The locks for some lists could not be acquired.  This means that either
+Mailman was still active when you upgraded, or there were stale locks in the
+%(lockdir)s directory.
+
+You must put Mailman into a quiescent state and remove all stale locks, then
+re-run "make update" manually.  See the INSTALL and UPGRADE files for details.
+''')

=== added directory '.pc/20_qmail_to_mailman.debian.patch'
=== added directory '.pc/20_qmail_to_mailman.debian.patch/contrib'
=== added file '.pc/20_qmail_to_mailman.debian.patch/contrib/qmail-to-mailman.py'
--- .pc/20_qmail_to_mailman.debian.patch/contrib/qmail-to-mailman.py	1970-01-01 00:00:00 +0000
+++ .pc/20_qmail_to_mailman.debian.patch/contrib/qmail-to-mailman.py	2010-07-13 21:35:40 +0000
@@ -0,0 +1,116 @@
+#! @PYTHON@
+
+# Configuration variables - Change these for your site if necessary.
+MailmanHome = "@prefix@"; # Mailman home directory.
+MailmanVar = "@VAR_PREFIX@"; # Mailman directory for mutable data.
+MailmanOwner = "postmaster@localhost"; # Postmaster and abuse mail recepient.
+# End of configuration variables.
+
+# qmail-to-mailman.py
+#
+# Interface mailman to a qmail virtual domain. Does not require the creation
+# of _any_ aliases to connect lists to your mail system.
+#
+# Bruce Perens, bruce@perens.com, March 1999.
+# This is free software under the GNU General Public License.
+#
+# This script is meant to be called from ~mailman/.qmail-default . It catches
+# all mail to a virtual domain, in my case "lists.hams.com". It looks at the
+# recepient for each mail message and decides if the mail is addressed to a
+# valid list or not, and bounces the message with a helpful suggestion if it's
+# not addressed to a list. It decides if it is a posting, a list command, or
+# mail to the list administrator, by checking for the -admin, -owner, and
+# -request addresses. It will recognize a list as soon as the list is created,
+# there is no need to add _any_ aliases for any list. It recognizes mail to
+# postmaster, mailman-owner, abuse, mailer-daemon, root, and owner, and
+# routes those mails to MailmanOwner as defined in the configuration
+# variables, above.
+#
+# INSTALLATION:
+#
+# Install this file as ~mailman/qmail-to-mailman.py
+#
+# To configure a virtual domain to connect to mailman, create these files:
+#
+# ~mailman/.qmail-default
+# |preline @PYTHON@ @prefix@/mail-in.py
+#
+# /var/qmail/control/virtualdomains:
+# DOMAIN.COM:mailman
+#
+# Note: "preline" is a QMail program which ensures a Unix "From " header is
+# on the message.  Archiving will break without this.
+#
+# Replace DOMAIN.COM above with the name of the domain to be connected to
+# Mailman. Note that _all_ mail to that domain will go to Mailman, so you
+# don't want to put the name of your main domain here. In my case, I created 
+# lists.hams.com for Mailman, and I use hams.com as my regular domain.
+#
+# After you edit /var/qmail/control/virtualdomains, kill and restart qmail.
+#
+
+import sys, os, re, string
+
+def main():
+    os.nice(5)  # Handle mailing lists at non-interactive priority.
+
+    os.chdir(MailmanVar + "/lists")
+
+    try:
+        local = os.environ["LOCAL"]
+    except:
+        # This might happen if we're not using qmail.
+        sys.stderr.write("LOCAL not set in environment?\n")
+        sys.exit(100)
+
+    local = string.lower(local)
+    local = re.sub("^mailman-","",local)
+
+    names = ("root", "postmaster", "mailer-daemon", "mailman-owner", "owner",
+             "abuse")
+    for i in names:
+        if i == local:
+            os.execv("/var/qmail/bin/qmail-inject",
+                     ("/var/qmail/bin/qmail-inject", MailmanOwner))
+            sys.exit(0)
+
+    type = "post"
+    types = (("-admin$", "bounces"),
+             ("-bounces$", "bounces"),
+             ("-join$", "join"),
+             ("-leave$", "leave"),
+             ("-owner$", "owner"),
+             ("-request$", "request"))
+
+    for i in types:
+        if re.search(i[0],local):
+            type = i[1]
+            local = re.sub(i[0],"",local)
+
+    if os.path.exists(local):
+        os.execv(MailmanHome + "/mail/mailman",
+                 (MailmanHome + "/mail/mailman", type, local))
+    else:
+        bounce()
+    sys.exit(111)
+
+def bounce():
+    bounce_message = """\
+TO ACCESS THE MAILING LIST SYSTEM: Start your web browser on
+http://%s/
+That web page will help you subscribe or unsubscribe, and will
+give you directions on how to post to each mailing list.\n"""
+    sys.stderr.write(bounce_message % (os.environ["HOST"]))
+    sys.exit(100)
+
+try:
+    sys.exit(main())
+except SystemExit, argument:
+    sys.exit(argument)
+
+except Exception, argument:
+    info = sys.exc_info()
+    trace = info[2]
+    sys.stderr.write("%s %s\n" % (sys.exc_type, argument))
+    sys.stderr.write("Line %d\n" % (trace.tb_lineno))
+    sys.exit(111)       # Soft failure, try again later.

=== added directory '.pc/21_newlist_help.patch'
=== added directory '.pc/21_newlist_help.patch/bin'
=== added file '.pc/21_newlist_help.patch/bin/newlist'
--- .pc/21_newlist_help.patch/bin/newlist	1970-01-01 00:00:00 +0000
+++ .pc/21_newlist_help.patch/bin/newlist	2010-07-13 21:35:40 +0000
@@ -0,0 +1,259 @@
+#! @PYTHON@
+#
+# Copyright (C) 1998-2009 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+"""Create a new, unpopulated mailing list.
+
+Usage: %(PROGRAM)s [options] [listname [listadmin-addr [admin-password]]]
+
+Options:
+
+    -l language
+    --language=language
+        Make the list's preferred language `language', which must be a two
+        letter language code.
+
+    -u urlhost
+    --urlhost=urlhost
+        Gives the list's web interface host name.
+
+    -e emailhost
+    --emailhost=emailhost
+        Gives the list's email domain name.
+
+    -q/--quiet
+        Normally the administrator is notified by email (after a prompt) that
+        their list has been created.  This option suppresses the prompt and
+        notification.
+
+    -h/--help
+        Print this help text and exit.
+
+You can specify as many of the arguments as you want on the command line:
+you will be prompted for the missing ones.
+
+Every Mailman list has two parameters which define the default host name for
+outgoing email, and the default URL for all web interfaces.  When you
+configured Mailman, certain defaults were calculated, but if you are running
+multiple virtual Mailman sites, then the defaults may not be appropriate for
+the list you are creating.
+
+You also specify the domain to create your new list in by typing the command
+like so:
+
+    newlist --urlhost=www.mydom.ain mylist
+
+where `www.mydom.ain' should be the base hostname for the URL to this virtual
+hosts's lists.  E.g. with this setting people will view the general list
+overviews at http://www.mydom.ain/mailman/listinfo.  Also, www.mydom.ain
+should be a key in the VIRTUAL_HOSTS mapping in mm_cfg.py/Defaults.py if
+the email hostname to be automatically determined.
+
+If you want the email hostname to be different from the one looked up by the
+VIRTUAL_HOSTS or if urlhost is not registered in VIRTUAL_HOSTS, you can specify
+`emailhost' like so:
+
+    newlist --urlhost=www.mydom.ain --emailhost=mydom.ain mylist
+
+where `mydom.ain' is the mail domain name. If you don't specify emailhost but
+urlhost is not in the virtual host list, then mm_cfg.DEFAULT_EMAIL_HOST will
+be used for the email interface.
+
+For backward compatibility, you can also specify the domain to create your
+new list in by spelling the listname like so:
+
+    mylist@www.mydom.ain
+
+where www.mydom.ain is used for `urlhost' but it will also be used for
+`emailhost' if it is not found in the virtual host table. Note that
+'--urlhost' and '--emailhost' have precedence to this notation.
+
+If you spell the list name as just `mylist', then the email hostname will be
+taken from DEFAULT_EMAIL_HOST and the url will be taken from DEFAULT_URL (as
+defined in your Defaults.py file or overridden by settings in mm_cfg.py).
+
+Note that listnames are forced to lowercase.
+"""
+
+import sys
+import os
+import getpass
+import getopt
+
+import paths
+from Mailman import mm_cfg
+from Mailman import MailList
+from Mailman import Utils
+from Mailman import Errors
+from Mailman import Message
+from Mailman import i18n
+
+_ = i18n._
+
+PROGRAM = sys.argv[0]
+
+
+
+def usage(code, msg=''):
+    if code:
+        fd = sys.stderr
+    else:
+        fd = sys.stdout
+    print >> fd, _(__doc__)
+    if msg:
+        print >> fd, msg
+    sys.exit(code)
+
+
+
+def main():
+    try:
+        opts, args = getopt.getopt(sys.argv[1:], 'hql:u:e:',
+                                   ['help', 'quiet', 'language=',
+                                    'urlhost=', 'emailhost='])
+    except getopt.error, msg:
+        usage(1, msg)
+
+    lang = mm_cfg.DEFAULT_SERVER_LANGUAGE
+    quiet = 0
+    urlhost = None
+    emailhost = None
+    for opt, arg in opts:
+        if opt in ('-h', '--help'):
+            usage(0)
+        if opt in ('-q', '--quiet'):
+            quiet = 1
+        if opt in ('-l', '--language'):
+            lang = arg
+        if opt in ('-u', '--urlhost'):
+            urlhost = arg
+        if opt in ('-e', '--emailhost'):
+            emailhost = arg
+
+    # Is the language known?
+    if lang not in mm_cfg.LC_DESCRIPTIONS.keys():
+        usage(1, _('Unknown language: %(lang)s'))
+
+    if len(args) > 0:
+        listname = args[0]
+    else:
+        listname = raw_input(_('Enter the name of the list: '))
+    listname = listname.lower()
+
+    if '@' in listname:
+        # note that --urlhost and --emailhost have precedence
+        listname, domain = listname.split('@', 1)
+        urlhost = urlhost or domain
+        emailhost = emailhost or mm_cfg.VIRTUAL_HOSTS.get(domain, domain)
+
+    urlhost = urlhost or mm_cfg.DEFAULT_URL_HOST
+    host_name = emailhost or \
+                mm_cfg.VIRTUAL_HOSTS.get(urlhost, mm_cfg.DEFAULT_EMAIL_HOST)
+    web_page_url = mm_cfg.DEFAULT_URL_PATTERN % urlhost
+
+    if Utils.list_exists(listname):
+        usage(1, _('List already exists: %(listname)s'))
+
+    if len(args) > 1:
+        owner_mail = args[1]
+    else:
+        owner_mail = raw_input(
+            _('Enter the email of the person running the list: '))
+
+    if len(args) > 2:
+        listpasswd = args[2]
+    else:
+        listpasswd = getpass.getpass(_('Initial %(listname)s password: '))
+    # List passwords cannot be empty
+    listpasswd = listpasswd.strip()
+    if not listpasswd:
+        usage(1, _('The list password cannot be empty'))
+
+    mlist = MailList.MailList()
+    try:
+        pw = Utils.sha_new(listpasswd).hexdigest()
+        # Guarantee that all newly created files have the proper permission.
+        # proper group ownership should be assured by the autoconf script
+        # enforcing that all directories have the group sticky bit set
+        oldmask = os.umask(002)
+        try:
+            try:
+                if lang == mm_cfg.DEFAULT_SERVER_LANGUAGE:
+                    langs = [lang]
+                else:
+                    langs = [lang, mm_cfg.DEFAULT_SERVER_LANGUAGE]
+                mlist.Create(listname, owner_mail, pw, langs=langs,
+                             emailhost=host_name)
+            finally:
+                os.umask(oldmask)
+        except Errors.BadListNameError, s:
+            usage(1, _('Illegal list name: %(s)s'))
+        except Errors.EmailAddressError, s:
+            usage(1, _('Bad owner email address: %(s)s'))
+        except Errors.MMListAlreadyExistsError:
+            usage(1, _('List already exists: %(listname)s'))
+
+        # Assign domain-specific attributes
+        mlist.host_name = host_name
+        mlist.web_page_url = web_page_url
+
+        # And assign the preferred language
+        mlist.preferred_language = lang
+
+        mlist.Save()
+    finally:
+        mlist.Unlock()
+
+    # Now do the MTA-specific list creation tasks
+    if mm_cfg.MTA:
+        modname = 'Mailman.MTA.' + mm_cfg.MTA
+        __import__(modname)
+        sys.modules[modname].create(mlist)
+
+    # And send the notice to the list owner
+    if not quiet:
+        print _('Hit enter to notify %(listname)s owner...'),
+        sys.stdin.readline()
+        siteowner = Utils.get_site_email(mlist.host_name, 'owner')
+        text = Utils.maketext(
+            'newlist.txt',
+            {'listname'    : listname,
+             'password'    : listpasswd,
+             'admin_url'   : mlist.GetScriptURL('admin', absolute=1),
+             'listinfo_url': mlist.GetScriptURL('listinfo', absolute=1),
+             'requestaddr' : mlist.GetRequestEmail(),
+             'siteowner'   : siteowner,
+             }, mlist=mlist)
+        # Set the I18N language to the list's preferred language so the header
+        # will match the template language.  Stashing and restoring the old
+        # translation context is just (healthy? :) paranoia.
+        otrans = i18n.get_translation()
+        i18n.set_language(mlist.preferred_language)
+        try:
+            msg = Message.UserNotification(
+                owner_mail, siteowner,
+                _('Your new mailing list: %(listname)s'),
+                text, mlist.preferred_language)
+            msg.send(mlist)
+        finally:
+            i18n.set_translation(otrans)
+
+
+
+if __name__ == '__main__':
+    main()

=== added directory '.pc/25_site_logo.patch'
=== added directory '.pc/25_site_logo.patch/Mailman'
=== added file '.pc/25_site_logo.patch/Mailman/Defaults.py.in'
--- .pc/25_site_logo.patch/Mailman/Defaults.py.in	1970-01-01 00:00:00 +0000
+++ .pc/25_site_logo.patch/Mailman/Defaults.py.in	2010-07-13 21:35:40 +0000
@@ -0,0 +1,1417 @@
+# -*- python -*-
+
+# Copyright (C) 1998-2008 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+"""Distributed default settings for significant Mailman config variables."""
+
+# NEVER make site configuration changes to this file.  ALWAYS make them in
+# mm_cfg.py instead, in the designated area.  See the comments in that file
+# for details.
+
+
+import os
+
+def seconds(s): return s
+def minutes(m): return m * 60
+def hours(h): return h * 60 * 60
+def days(d): return d * 60 * 60 * 24
+
+# Some convenient constants
+try:
+    True, False
+except NameError:
+    True = 1
+    False = 0
+
+Yes = yes = On = on = True
+No = no = Off = off = False
+
+
+
+#####
+# General system-wide defaults
+#####
+
+# Should image logos be used?  Set this to 0 to disable image logos from "our
+# sponsors" and just use textual links instead (this will also disable the
+# shortcut "favicon").  Otherwise, this should contain the URL base path to
+# the logo images (and must contain the trailing slash)..  If you want to
+# disable Mailman's logo footer altogther, hack
+# Mailman/htmlformat.py:MailmanLogo(), which also contains the hardcoded links
+# and image names.
+IMAGE_LOGOS = '/doc/mailman/images/'
+
+# The name of the Mailman favicon
+SHORTCUT_ICON = 'mm-icon.png'
+
+# Don't change MAILMAN_URL, unless you want to point it at one of the mirrors.
+MAILMAN_URL = 'http://www.gnu.org/software/mailman/index.html'
+#MAILMAN_URL = 'http://www.list.org/'
+#MAILMAN_URL = 'http://mailman.sf.net/'
+
+# Mailman needs to know about (at least) two fully-qualified domain names
+# (fqdn); 1) the hostname used in your urls, and 2) the hostname used in email
+# addresses for your domain.  For example, if people visit your Mailman system
+# with "http://www.dom.ain/mailman" then your url fqdn is "www.dom.ain", and
+# if people send mail to your system via "yourlist@dom.ain" then your email
+# fqdn is "dom.ain".  DEFAULT_URL_HOST controls the former, and
+# DEFAULT_EMAIL_HOST controls the latter.  Mailman also needs to know how to
+# map from one to the other (this is especially important if you're running
+# with virtual domains).  You use "add_virtualhost(urlfqdn, emailfqdn)" to add
+# new mappings.
+#
+# If you don't need to change DEFAULT_EMAIL_HOST and DEFAULT_URL_HOST in your
+# mm_cfg.py, then you're done; the default mapping is added automatically.  If
+# however you change either variable in your mm_cfg.py, then be sure to also
+# include the following:
+#
+#     add_virtualhost(DEFAULT_URL_HOST, DEFAULT_EMAIL_HOST)
+#
+# because otherwise the default mappings won't be correct.
+DEFAULT_EMAIL_HOST = '@MAILHOST@'
+DEFAULT_URL_HOST = '@URLHOST@'
+DEFAULT_URL_PATTERN = 'http://%s/cgi-bin/mailman/'
+
+# DEFAULT_HOST_NAME has been replaced with DEFAULT_EMAIL_HOST, however some
+# sites may have the former in their mm_cfg.py files.  If so, we'll believe
+# that, otherwise we'll believe DEFAULT_EMAIL_HOST.  Same for DEFAULT_URL.
+DEFAULT_HOST_NAME = None
+DEFAULT_URL = None
+
+HOME_PAGE         = 'index.html'
+MAILMAN_SITE_LIST = 'mailman'
+
+# Normally when a site administrator authenticates to a web page with the site
+# password, they get a cookie which authorizes them as the list admin.  It
+# makes me nervous to hand out site auth cookies because if this cookie is
+# cracked or intercepted, the intruder will have access to every list on the
+# site.  OTOH, it's dang handy to not have to re-authenticate to every list on
+# the site.  Set this value to Yes to allow site admin cookies.
+ALLOW_SITE_ADMIN_COOKIES = No
+
+# Command that is used to convert text/html parts into plain text.  This
+# should output results to standard output.  %(filename)s will contain the
+# name of the temporary file that the program should operate on.
+HTML_TO_PLAIN_TEXT_COMMAND = '/usr/bin/lynx -dump %(filename)s'
+
+# A Python regular expression character class which defines the characters
+# allowed in list names.  Lists cannot be created with names containing any
+# character that doesn't match this class.
+ACCEPTABLE_LISTNAME_CHARACTERS = '[-+_.=a-z0-9]'
+
+
+
+#####
+# Virtual domains
+#####
+
+# Set up your virtual host mappings here.  This is primarily used for the
+# thru-the-web list creation, so its effects are currently fairly limited.
+# Use add_virtualhost() call to add new mappings.  The keys are strings as
+# determined by Utils.get_domain(), the values are as appropriate for
+# DEFAULT_HOST_NAME.
+VIRTUAL_HOSTS = {}
+
+# When set to Yes, the listinfo and admin overviews of lists on the machine
+# will be confined to only those lists whose web_page_url configuration option
+# host is included within the URL by which the page is visited - only those
+# "on the virtual host".  When set to No, all advertised (i.e. public) lists
+# are included in the overview.
+VIRTUAL_HOST_OVERVIEW = On
+
+
+# Helper function; use this in your mm_cfg.py files.  If optional emailhost is
+# omitted it defaults to urlhost with the first name stripped off, e.g.
+#
+# add_virtualhost('www.dom.ain')
+# VIRTUAL_HOST['www.dom.ain']
+# ==> 'dom.ain'
+#
+def add_virtualhost(urlhost, emailhost=None):
+    DOT = '.'
+    if emailhost is None:
+        emailhost = DOT.join(urlhost.split(DOT)[1:])
+    VIRTUAL_HOSTS[urlhost.lower()] = emailhost.lower()
+
+# And set the default
+add_virtualhost(DEFAULT_URL_HOST, DEFAULT_EMAIL_HOST)
+
+# Note that you will want to run bin/fix_url.py to change the domain of an
+# existing list.  bin/fix_url.py must be run within the bin/withlist script,
+# like so: bin/withlist -l -r bin/fix_url.py <listname>
+
+
+
+#####
+# Spam avoidance defaults
+#####
+
+# This variable contains a list of 2-tuple of the format (header, regex) which
+# the Mailman/Handlers/SpamDetect.py module uses to match against the current
+# message.  If the regex matches the given header in the current message, then
+# it is flagged as spam.  header is case-insensitive and should not include
+# the trailing colon.  regex is always matched with re.IGNORECASE.
+#
+# Note that the more searching done, the slower the whole process gets.  Spam
+# detection is run against all messages coming to either the list, or the
+# -owners address, unless the message is explicitly approved.
+KNOWN_SPAMMERS = []
+
+
+
+#####
+# Web UI defaults
+#####
+
+# Almost all the colors used in Mailman's web interface are parameterized via
+# the following variables.  This lets you easily change the color schemes for
+# your preferences without having to do major surgery on the source code.
+# Note that in general, the template colors are not included here since it is
+# easy enough to override the default template colors via site-wide,
+# vdomain-wide, or list-wide specializations.
+
+WEB_BG_COLOR = 'white'                            # Page background
+WEB_HEADER_COLOR = '#99ccff'                      # Major section headers
+WEB_SUBHEADER_COLOR = '#fff0d0'                   # Minor section headers
+WEB_ADMINITEM_COLOR = '#dddddd'                   # Option field background
+WEB_ADMINPW_COLOR = '#99cccc'                     # Password box color
+WEB_ERROR_COLOR = 'red'                           # Error message foreground
+WEB_LINK_COLOR = ''                               # If true, forces LINK=
+WEB_ALINK_COLOR = ''                              # If true, forces ALINK=
+WEB_VLINK_COLOR = ''                              # If true, forces VLINK=
+WEB_HIGHLIGHT_COLOR = '#dddddd'                   # If true, alternating rows
+                                                  # in listinfo & admin display
+
+
+#####
+# Archive defaults
+#####
+
+# The url template for the public archives.  This will be used in several
+# places, including the List-Archive: header, links to the archive on the
+# list's listinfo page, and on the list's admin page.
+#
+# This should be a string with "%(listname)s" somewhere in it.  Mailman will
+# interpolate the name of the list into this.  You can also include a
+# "%(hostname)s" in the string, into which Mailman will interpolate
+# the host name (usually DEFAULT_URL_HOST).
+PUBLIC_ARCHIVE_URL = 'http://%(hostname)s/pipermail/%(listname)s'
+
+# Are archives on or off by default?
+DEFAULT_ARCHIVE = On
+
+# Are archives public or private by default?
+# 0=public, 1=private
+DEFAULT_ARCHIVE_PRIVATE = 0
+
+# ARCHIVE_TO_MBOX
+#-1 - do not do any archiving
+# 0 - do not archive to mbox, use builtin mailman html archiving only
+# 1 - do not use builtin mailman html archiving, archive to mbox only
+# 2 - archive to both mbox and builtin mailman html archiving.
+#     See the settings below for PUBLIC_EXTERNAL_ARCHIVER and
+#     PRIVATE_EXTERNAL_ARCHIVER which can be used to replace mailman's
+#     builtin html archiving with an external archiver.  The flat mail
+#     mbox file can be useful for searching, and is another way to
+#     interface external archivers, etc.
+ARCHIVE_TO_MBOX = 2
+
+# 0 - yearly
+# 1 - monthly
+# 2 - quarterly
+# 3 - weekly
+# 4 - daily
+DEFAULT_ARCHIVE_VOLUME_FREQUENCY = 1
+DEFAULT_DIGEST_VOLUME_FREQUENCY = 1
+
+# These variables control the use of an external archiver.  Normally if
+# archiving is turned on (see ARCHIVE_TO_MBOX above and the list's archive*
+# attributes) the internal Pipermail archiver is used.  This is the default if
+# both of these variables are set to No.  When either is set, the value should
+# be a shell command string which will get passed to os.popen().  This string
+# can contain the following substitution strings:
+#
+#     %(listname)s -- gets the internal name of the list
+#     %(hostname)s -- gets the email hostname for the list
+#
+# being archived will be substituted for this.  Please note that os.popen() is
+# used.
+#
+# Note that if you set one of these variables, you should set both of them
+# (they can be the same string).  This will mean your external archiver will
+# be used regardless of whether public or private archives are selected.
+PUBLIC_EXTERNAL_ARCHIVER = No
+PRIVATE_EXTERNAL_ARCHIVER = No
+
+# A filter module that converts from multipart messages to "flat" messages
+# (i.e. containing a single payload).  This is required for Pipermail, and you
+# may want to set it to 0 for external archivers.  You can also replace it
+# with your own module as long as it contains a process() function that takes
+# a MailList object and a Message object.  It should raise
+# Errors.DiscardMessage if it wants to throw the message away.  Otherwise it
+# should modify the Message object as necessary.
+ARCHIVE_SCRUBBER = 'Mailman.Handlers.Scrubber'
+
+# Control parameter whether Mailman.Handlers.Scrubber should use message
+# attachment's filename as is indicated by the filename parameter or use
+# 'attachement-xxx' instead.  The default is set True because the applications
+# on PC and Mac begin to use longer non-ascii filenames.  Historically, it
+# was set False in 2.1.6 for backward compatiblity but it was reset to True
+# for safer operation in mailman-2.1.7.
+SCRUBBER_DONT_USE_ATTACHMENT_FILENAME = True
+
+# Use of attachment filename extension per se is may be dangerous because
+# virus fakes it. You can set this True if you filter the attachment by
+# filename extension
+SCRUBBER_USE_ATTACHMENT_FILENAME_EXTENSION = False
+
+# This variable defines what happens to text/html subparts.  They can be
+# stripped completely, escaped, or filtered through an external program.  The
+# legal values are:
+# 0 - Strip out text/html parts completely, leaving a notice of the removal in
+#     the message.  If the outer part is text/html, the entire message is
+#     discarded.
+# 1 - Remove any embedded text/html parts, leaving them as HTML-escaped
+#     attachments which can be separately viewed.  Outer text/html parts are
+#     simply HTML-escaped.
+# 2 - Leave it inline, but HTML-escape it
+# 3 - Remove text/html as attachments but don't HTML-escape them. Note: this
+#     is very dangerous because it essentially means anybody can send an HTML
+#     email to your site containing evil JavaScript or web bugs, or other
+#     nasty things, and folks viewing your archives will be susceptible.  You
+#     should only consider this option if you do heavy moderation of your list
+#     postings.
+#
+# Note: given the current archiving code, it is not possible to leave
+# text/html parts inline and un-escaped.  I wouldn't think it'd be a good idea
+# to do anyway.
+#
+# The value can also be a string, in which case it is the name of a command to
+# filter the HTML page through.  The resulting output is left in an attachment
+# or as the entirety of the message when the outer part is text/html.  The
+# format of the string must include a "%(filename)s" which will contain the
+# name of the temporary file that the program should operate on.  It should
+# write the processed message to stdout.  Set this to
+# HTML_TO_PLAIN_TEXT_COMMAND to specify an HTML to plain text conversion
+# program.
+ARCHIVE_HTML_SANITIZER = 1
+
+# Set this to Yes to enable gzipping of the downloadable archive .txt file.
+# Note that this is /extremely/ inefficient, so an alternative is to just
+# collect the messages in the associated .txt file and run a cron job every
+# night to generate the txt.gz file.  See cron/nightly_gzip for details.
+GZIP_ARCHIVE_TXT_FILES = No
+
+# This sets the default `clobber date' policy for the archiver.  When a
+# message is to be archived either by Pipermail or an external archiver,
+# Mailman can modify the Date: header to be the date the message was received
+# instead of the Date: in the original message.  This is useful if you
+# typically receive messages with outrageous dates.  Set this to 0 to retain
+# the date of the original message, or to 1 to always clobber the date.  Set
+# it to 2 to perform `smart overrides' on the date; when the date is outside
+# ARCHIVER_ALLOWABLE_SANE_DATE_SKEW (either too early or too late), then the
+# received date is substituted instead.
+ARCHIVER_CLOBBER_DATE_POLICY = 2
+ARCHIVER_ALLOWABLE_SANE_DATE_SKEW = days(15)
+
+# Pipermail archives contain the raw email addresses of the posting authors.
+# Some view this as a goldmine for spam harvesters.  Set this to Yes to
+# moderately obscure email addresses, but note that this breaks mailto: URLs
+# in the archives too.
+ARCHIVER_OBSCURES_EMAILADDRS = Yes
+
+# Pipermail assumes that message bodies contain US-ASCII text.
+# Change this option to define a different character set to be used as
+# the default character set for the archive.  The term "character set"
+# is used in MIME to refer to a method of converting a sequence of
+# octets into a sequence of characters.  If you change the default
+# charset, you might need to add it to VERBATIM_ENCODING below.
+DEFAULT_CHARSET = None
+
+# Most character set encodings require special HTML entity characters to be
+# quoted, otherwise they won't look right in the Pipermail archives.  However
+# some character sets must not quote these characters so that they can be
+# rendered properly in the browsers.  The primary issue is multi-byte
+# encodings where the octet 0x26 does not always represent the & character.
+# This variable contains a list of such characters sets which are not
+# HTML-quoted in the archives.
+VERBATIM_ENCODING = ['iso-2022-jp']
+
+# When the archive is public, should Mailman also make the raw Unix mbox file
+# publically available?
+PUBLIC_MBOX = No
+
+
+
+#####
+# Delivery defaults
+#####
+
+# Final delivery module for outgoing mail.  This handler is used for message
+# delivery to the list via the smtpd, and to an individual user.  This value
+# must be a string naming a module in the Mailman.Handlers package.
+#
+# WARNING: Sendmail has security holes and should be avoided.  In fact, you
+# must read the Mailman/Handlers/Sendmail.py file before it will work for
+# you.
+#
+#DELIVERY_MODULE = 'Sendmail'
+DELIVERY_MODULE = 'SMTPDirect'
+
+# MTA should name a module in Mailman/MTA which provides the MTA specific
+# functionality for creating and removing lists.  Some MTAs like Exim can be
+# configured to automatically recognize new lists, in which case the MTA
+# variable should be set to None.  Use 'Manual' to print new aliases to
+# standard out (or send an email to the site list owner) for manual twiddling
+# of an /etc/aliases style file.  Use 'Postfix' if you are using the Postfix
+# MTA -- but then also see POSTFIX_STYLE_VIRTUAL_DOMAINS.
+MTA = 'Manual'
+
+# If you set MTA='Postfix', then you also want to set the following variable,
+# depending on whether you're using virtual domains in Postfix, and which
+# style of virtual domain you're using.  Set this to the empty list if you're
+# not using virtual domains in Postfix, or if you're using Sendmail-style
+# virtual domains (where all addresses are visible in all domains).  If you're
+# using Postfix-style virtual domains, where aliases should only show up in
+# the virtual domain, set this variable to the list of host_name values to
+# write separate virtual entries for.  I.e. if you run dom1.ain, dom2.ain, and
+# dom3.ain, but only dom2 and dom3 are virtual, set this variable to the list
+# ['dom2.ain', 'dom3.ain'].  Matches are done against the host_name attribute
+# of the mailing lists.  See the Postfix section of the installation manual
+# for details.
+POSTFIX_STYLE_VIRTUAL_DOMAINS = []
+
+# These variables describe the program to use for regenerating the aliases.db
+# and virtual-mailman.db files, respectively, from the associated plain text
+# files.  The file being updated will be appended to this string (with a
+# separating space), so it must be appropriate for os.system().
+POSTFIX_ALIAS_CMD = '/usr/sbin/postalias'
+POSTFIX_MAP_CMD = '/usr/sbin/postmap'
+
+# Ceiling on the number of recipients that can be specified in a single SMTP
+# transaction.  Set to 0 to submit the entire recipient list in one
+# transaction.  Only used with the SMTPDirect DELIVERY_MODULE.
+SMTP_MAX_RCPTS = 500
+
+# Ceiling on the number of SMTP sessions to perform on a single socket
+# connection.  Some MTAs have limits.  Set this to 0 to do as many as we like
+# (i.e. your MTA has no limits).  Set this to some number great than 0 and
+# Mailman will close the SMTP connection and re-open it after this number of
+# consecutive sessions.
+SMTP_MAX_SESSIONS_PER_CONNECTION = 0
+
+# Maximum number of simultaneous subthreads that will be used for SMTP
+# delivery.  After the recipients list is chunked according to SMTP_MAX_RCPTS,
+# each chunk is handed off to the smptd by a separate such thread.  If your
+# Python interpreter was not built for threads, this feature is disabled.  You
+# can explicitly disable it in all cases by setting MAX_DELIVERY_THREADS to
+# 0.  This feature is only supported with the SMTPDirect DELIVERY_MODULE.
+#
+# NOTE: This is an experimental feature and limited testing shows that it may
+# in fact degrade performance, possibly due to Python's global interpreter
+# lock.  Use with caution.
+MAX_DELIVERY_THREADS = 0
+
+# SMTP host and port, when DELIVERY_MODULE is 'SMTPDirect'.  Make sure the
+# host exists and is resolvable (i.e., if it's the default of "localhost" be
+# sure there's a localhost entry in your /etc/hosts file!)
+SMTPHOST = 'localhost'
+SMTPPORT = 0                                      # default from smtplib
+
+# Command for direct command pipe delivery to sendmail compatible program,
+# when DELIVERY_MODULE is 'Sendmail'.
+SENDMAIL_CMD = '/usr/lib/sendmail'
+
+# Set these variables if you need to authenticate to your NNTP server for
+# Usenet posting or reading.  If no authentication is necessary, specify None
+# for both variables.
+NNTP_USERNAME = None
+NNTP_PASSWORD = None
+
+# Set this if you have an NNTP server you prefer gatewayed lists to use.
+DEFAULT_NNTP_HOST = ''
+
+# These variables controls how headers must be cleansed in order to be
+# accepted by your NNTP server.  Some servers like INN reject messages
+# containing prohibited headers, or duplicate headers.  The NNTP server may
+# reject the message for other reasons, but there's little that can be
+# programmatically done about that.  See Mailman/Queue/NewsRunner.py
+#
+# First, these headers (case ignored) are removed from the original message.
+NNTP_REMOVE_HEADERS = ['nntp-posting-host', 'nntp-posting-date', 'x-trace',
+                       'x-complaints-to', 'xref', 'date-received', 'posted',
+                       'posting-version', 'relay-version', 'received']
+
+# Next, these headers are left alone, unless there are duplicates in the
+# original message.  Any second and subsequent headers are rewritten to the
+# second named header (case preserved).
+NNTP_REWRITE_DUPLICATE_HEADERS = [
+    ('to', 'X-Original-To'),
+    ('cc', 'X-Original-Cc'),
+    ('content-transfer-encoding', 'X-Original-Content-Transfer-Encoding'),
+    ('mime-version', 'X-MIME-Version'),
+    ]
+
+# Some list posts and mail to the -owner address may contain DomainKey or
+# DomainKeys Identified Mail (DKIM) signature headers <http://www.dkim.org/>.
+# Various list transformations to the message such as adding a list header or
+# footer or scrubbing attachments or even reply-to munging can break these
+# signatures.  It is generally felt that these signatures have value, even if
+# broken and even if the outgoing message is resigned.  However, some sites
+# may wish to remove these headers by setting this to Yes.
+REMOVE_DKIM_HEADERS = No
+
+# All `normal' messages which are delivered to the entire list membership go
+# through this pipeline of handler modules.  Lists themselves can override the
+# global pipeline by defining a `pipeline' attribute.
+GLOBAL_PIPELINE = [
+    # These are the modules that do tasks common to all delivery paths.
+    'SpamDetect',
+    'Approve',
+    'Replybot',
+    'Moderate',
+    'Hold',
+    'MimeDel',
+    'Scrubber',
+    'Emergency',
+    'Tagger',
+    'CalcRecips',
+    'AvoidDuplicates',
+    'Cleanse',
+    'CleanseDKIM',
+    'CookHeaders',
+    # And now we send the message to the digest mbox file, and to the arch and
+    # news queues.  Runners will provide further processing of the message,
+    # specific to those delivery paths.
+    'ToDigest',
+    'ToArchive',
+    'ToUsenet',
+    # Now we'll do a few extra things specific to the member delivery
+    # (outgoing) path, finally leaving the message in the outgoing queue.
+    'AfterDelivery',
+    'Acknowledge',
+    'ToOutgoing',
+    ]
+
+# This is the pipeline which messages sent to the -owner address go through
+OWNER_PIPELINE = [
+    'SpamDetect',
+    'Replybot',
+    'CleanseDKIM',
+    'OwnerRecips',
+    'ToOutgoing',
+    ]
+
+
+# This defines syslog() format strings for the SMTPDirect delivery module (see
+# DELIVERY_MODULE above).  Valid %()s string substitutions include:
+#
+#     time -- the time in float seconds that it took to complete the smtp
+#     hand-off of the message from Mailman to your smtpd.
+#
+#     size -- the size of the entire message, in bytes
+#
+#     #recips -- the number of actual recipients for this message.
+#
+#     #refused -- the number of smtp refused recipients (use this only in
+#     SMTP_LOG_REFUSED).
+#
+#     listname -- the `internal' name of the mailing list for this posting
+#
+#     msg_<header> -- the value of the delivered message's given header.  If
+#     the message had no such header, then "n/a" will be used.  Note though
+#     that if the message had multiple such headers, then it is undefined
+#     which will be used.
+#
+#     allmsg_<header> - Same as msg_<header> above, but if there are multiple
+#     such headers in the message, they will all be printed, separated by
+#     comma-space.
+#
+#     sender -- the "sender" of the messages, which will be the From: or
+#     envelope-sender as determeined by the USE_ENVELOPE_SENDER variable
+#     below.
+#
+# The format of the entries is a 2-tuple with the first element naming the
+# file in logs/ to print the message to, and the second being a format string
+# appropriate for Python's %-style string interpolation.  The file name is
+# arbitrary; qfiles/<name> will be created automatically if it does not
+# exist.
+
+# The format of the message printed for every delivered message, regardless of
+# whether the delivery was successful or not.  Set to None to disable the
+# printing of this log message.
+SMTP_LOG_EVERY_MESSAGE = (
+    'smtp',
+    '%(msg_message-id)s smtp to %(listname)s for %(#recips)d recips, completed in %(time).3f seconds')
+
+# This will only be printed if there were no immediate smtp failures.
+# Mutually exclusive with SMTP_LOG_REFUSED.
+SMTP_LOG_SUCCESS = (
+    'post',
+    'post to %(listname)s from %(sender)s, size=%(size)d, message-id=%(msg_message-id)s, success')
+
+# This will only be printed if there were any addresses which encountered an
+# immediate smtp failure.  Mutually exclusive with SMTP_LOG_SUCCESS.
+SMTP_LOG_REFUSED = (
+    'post',
+    'post to %(listname)s from %(sender)s, size=%(size)d, message-id=%(msg_message-id)s, %(#refused)d failures')
+
+# This will be logged for each specific recipient failure.  Additional %()s
+# keys are:
+#
+#     recipient -- the failing recipient address
+#     failcode  -- the smtp failure code
+#     failmsg   -- the actual smtp message, if available
+SMTP_LOG_EACH_FAILURE = (
+    'smtp-failure',
+    'delivery to %(recipient)s failed with code %(failcode)d: %(failmsg)s')
+
+# These variables control the format and frequency of VERP-like delivery for
+# better bounce detection.  VERP is Variable Envelope Return Path, defined
+# here:
+#
+# http://cr.yp.to/proto/verp.txt
+#
+# This involves encoding the address of the recipient as we (Mailman) know it
+# into the envelope sender address (i.e. the SMTP `MAIL FROM:' address).
+# Thus, no matter what kind of forwarding the recipient has in place, should
+# it eventually bounce, we will receive an unambiguous notice of the bouncing
+# address.
+#
+# However, we're technically only "VERP-like" because we're doing the envelope
+# sender encoding in Mailman, not in the MTA.  We do require cooperation from
+# the MTA, so you must be sure your MTA can be configured for extended address
+# semantics.
+#
+# The first variable describes how to encode VERP envelopes.  It must contain
+# these three string interpolations:
+#
+# %(bounces)s -- the list-bounces mailbox will be set here
+# %(mailbox)s -- the recipient's mailbox will be set here
+# %(host)s    -- the recipient's host name will be set here
+#
+# This example uses the default below.
+#
+# FQDN list address is: mylist@dom.ain
+# Recipient is:         aperson@a.nother.dom
+#
+# The envelope sender will be mylist-bounces+aperson=a.nother.dom@dom.ain
+#
+# Note that your MTA /must/ be configured to deliver such an addressed message
+# to mylist-bounces!
+VERP_FORMAT = '%(bounces)s+%(mailbox)s=%(host)s'
+
+# The second describes a regular expression to unambiguously decode such an
+# address, which will be placed in the To: header of the bounce message by the
+# bouncing MTA.  Getting this right is critical -- and tricky.  Learn your
+# Python regular expressions.  It must define exactly three named groups,
+# bounces, mailbox and host, with the same definition as above.  It will be
+# compiled case-insensitively.
+VERP_REGEXP = r'^(?P<bounces>[^+]+?)\+(?P<mailbox>[^=]+)=(?P<host>[^@]+)@.*$'
+
+# VERP format and regexp for probe messages
+VERP_PROBE_FORMAT = '%(bounces)s+%(token)s'
+VERP_PROBE_REGEXP = r'^(?P<bounces>[^+]+?)\+(?P<token>[^@]+)@.*$'
+# Set this Yes to activate VERP probe for disabling by bounce
+VERP_PROBES = No
+
+# A perfect opportunity for doing VERP is the password reminders, which are
+# already addressed individually to each recipient.  Set this to Yes to enable
+# VERPs on all password reminders.
+VERP_PASSWORD_REMINDERS = No
+
+# Another good opportunity is when regular delivery is personalized.  Here
+# again, we're already incurring the performance hit for addressing each
+# individual recipient.  Set this to Yes to enable VERPs on all personalized
+# regular deliveries (personalized digests aren't supported yet).
+VERP_PERSONALIZED_DELIVERIES = No
+
+# And finally, we can VERP normal, non-personalized deliveries.  However,
+# because it can be a significant performance hit, we allow you to decide how
+# often to VERP regular deliveries.  This is the interval, in number of
+# messages, to do a VERP recipient address.  The same variable controls both
+# regular and digest deliveries.  Set to 0 to disable occasional VERPs, set to
+# 1 to VERP every delivery, or to some number > 1 for only occasional VERPs.
+VERP_DELIVERY_INTERVAL = 0
+
+# For nicer confirmation emails, use a VERP-like format which encodes the
+# confirmation cookie in the reply address.  This lets us put a more user
+# friendly Subject: on the message, but requires cooperation from the MTA.
+# Format is like VERP_FORMAT above, but with the following substitutions:
+#
+# %(addr)s -- the list-confirm mailbox will be set here
+# %(cookie)s  -- the confirmation cookie will be set here
+VERP_CONFIRM_FORMAT = '%(addr)s+%(cookie)s'
+
+# This is analogous to VERP_REGEXP, but for splitting apart the
+# VERP_CONFIRM_FORMAT.  MUAs have been observed that mung
+# From: local_part@host
+# into
+# To: "local_part" <local_part@host>
+# or even
+# To: "local_part@host" <local_part@host>
+# and may even fold the header when replying, so we skip everything up to '<'
+# if any and include ($s) so dot will match the newline in a folded header.
+VERP_CONFIRM_REGEXP = r'(?s)^(.*<)?(?P<addr>.+)\+(?P<cookie>[^@+]+)@.*$'
+
+# Set this to Yes to enable VERP-like (more user friendly) confirmations
+VERP_CONFIRMATIONS = No
+
+# This is the maximum number of automatic responses sent to an address because
+# of -request messages or posting hold messages.  This limit prevents response
+# loops between Mailman and misconfigured remote email robots.  Mailman
+# already inhibits automatic replies to any message labeled with a header
+# "Precendence: bulk|list|junk".  This is a fallback safety valve so it should
+# be set fairly high.  Set to 0 for no limit (probably useful only for
+# debugging).
+MAX_AUTORESPONSES_PER_DAY = 10
+
+
+
+#####
+# Qrunner defaults
+#####
+
+# Which queues should the qrunner master watchdog spawn?  This is a list of
+# 2-tuples containing the name of the qrunner class (which must live in a
+# module of the same name within the Mailman.Queue package), and the number of
+# parallel processes to fork for each qrunner.  If more than one process is
+# used, each will take an equal subdivision of the hash space.
+
+# BAW: Eventually we may support weighted hash spaces.
+# BAW: Although not enforced, the # of slices must be a power of 2
+
+QRUNNERS = [
+    ('ArchRunner',     1), # messages for the archiver
+    ('BounceRunner',   1), # for processing the qfile/bounces directory
+    ('CommandRunner',  1), # commands and bounces from the outside world
+    ('IncomingRunner', 1), # posts from the outside world
+    ('NewsRunner',     1), # outgoing messages to the nntpd
+    ('OutgoingRunner', 1), # outgoing messages to the smtpd
+    ('VirginRunner',   1), # internally crafted (virgin birth) messages
+    ('RetryRunner',    1), # retry temporarily failed deliveries
+    ]
+
+# Set this to Yes to use the `Maildir' delivery option.  If you change this
+# you will need to re-run bin/genaliases for MTAs that don't use list
+# auto-detection.
+#
+# WARNING: If you want to use Maildir delivery, you /must/ start Mailman's
+# qrunner as root, or you will get permission problems.
+#
+# NOTE: Maildir delivery is experimental for Mailman 2.1.
+USE_MAILDIR = No
+# NOTE: If you set USE_MAILDIR = Yes, add the following line to your mm_cfg.py
+# file (uncommented of course!)
+# QRUNNERS.append(('MaildirRunner', 1))
+
+# After processing every file in the qrunner's slice, how long should the
+# runner sleep for before checking the queue directory again for new files?
+# This can be a fraction of a second, or zero to check immediately
+# (essentially busy-loop as fast as possible).
+QRUNNER_SLEEP_TIME = seconds(1)
+
+# When a message that is unparsable (by the email package) is received, what
+# should we do with it?  The most common cause of unparsable messages is
+# broken MIME encapsulation, and the most common cause of that is viruses like
+# Nimda.  Set this variable to No to discard such messages, or to Yes to store
+# them in qfiles/bad subdirectory.
+QRUNNER_SAVE_BAD_MESSAGES = Yes
+
+# Depending on the above setting, the queue entries with messages which can't
+# be parsed may be saved in qfiles/bad.  Certain other exceptions which occur
+# during unpickling of a queue entry also cause the entry to be saved in
+# qfiles/bad.  Various exceptions which occur during message processing cause
+# the message to be shunted (saved in qfiles/shunt) where they can be
+# reprocessed with bin/unshunt after the underlying problem is fixed.  The
+# cull_bad_shunt cron job normally runs daily to remove and possibly archive
+# stale entries in qfiles/bad and qfiles/shunt.  The following settings
+# control this.
+
+# The length of time after which a qfiles/bad or qfiles/shunt file is
+# considered to be stale.  Set to zero to disable culling of qfiles/bad and
+# qfiles/shunt entries.
+BAD_SHUNT_STALE_AFTER = days(7)
+
+# The pathname of a directory (searchable and writable by the Mailman cron
+# user) to which the culled qfiles/bad and qfiles/shunt entries will be
+# moved.  Set to None to simply delete the culled entries.
+BAD_SHUNT_ARCHIVE_DIRECTORY = None
+
+# This flag causes Mailman to fsync() its data files after writing and
+# flushing its contents.  While this ensures the data is written to disk,
+# avoiding data loss, it may be a performance killer.  Note that this flag
+# affects both message pickles and MailList config.pck files.
+SYNC_AFTER_WRITE = No
+
+
+
+#####
+# General defaults
+#####
+
+# The default language for this server.  Whenever we can't figure out the list
+# context or user context, we'll fall back to using this language.  See
+# LC_DESCRIPTIONS below for legal values.
+DEFAULT_SERVER_LANGUAGE = 'en'
+
+# When allowing only members to post to a mailing list, how is the sender of
+# the message determined?  If this variable is set to Yes, then first the
+# message's envelope sender is used, with a fallback to the sender if there is
+# no envelope sender.  Set this variable to No to always use the sender.
+#
+# The envelope sender is set by the SMTP delivery and is thus less easily
+# spoofed than the sender, which is typically just taken from the From: header
+# and thus easily spoofed by the end-user.  However, sometimes the envelope
+# sender isn't set correctly and this will manifest itself by postings being
+# held for approval even if they appear to come from a list member.  If you
+# are having this problem, set this variable to No, but understand that some
+# spoofed messages may get through.
+USE_ENVELOPE_SENDER = No
+
+# Membership tests for posting purposes are usually performed by looking at a
+# set of headers, passing the test if any of their values match a member of
+# the list.  Headers are checked in the order given in this variable.  The
+# value None means use the From_ (envelope sender) header.  Field names are
+# case insensitive.
+SENDER_HEADERS = ('from', None, 'reply-to', 'sender')
+
+# How many members to display at a time on the admin cgi to unsubscribe them
+# or change their options?
+DEFAULT_ADMIN_MEMBER_CHUNKSIZE = 30
+
+# how many bytes of a held message post should be displayed in the admindb web
+# page?  Use a negative number to indicate the entire message, regardless of
+# size (though this will slow down rendering those pages).
+ADMINDB_PAGE_TEXT_LIMIT = 4096
+
+# Set this variable to Yes to allow list owners to delete their own mailing
+# lists.  You may not want to give them this power, in which case, setting
+# this variable to No instead requires list removal to be done by the site
+# administrator, via the command line script bin/rmlist.
+OWNERS_CAN_DELETE_THEIR_OWN_LISTS = No
+
+# Set this variable to Yes to allow list owners to set the "personalized"
+# flags on their mailing lists.  Turning these on tells Mailman to send
+# separate email messages to each user instead of batching them together for
+# delivery to the MTA.  This gives each member a more personalized message,
+# but can have a heavy impact on the performance of your system.
+OWNERS_CAN_ENABLE_PERSONALIZATION = No
+
+# Set this variable to Yes to allow list owners to change a member's password
+# from the member's options page.  Do not do this if list owners aren't all
+# trustworthy as it allows a list owner to change a member's password and then
+# log in as the member and make global changes.
+OWNERS_CAN_CHANGE_MEMBER_PASSWORDS = No
+
+# Should held messages be saved on disk as Python pickles or as plain text?
+# The former is more efficient since we don't need to go through the
+# parse/generate roundtrip each time, but the latter might be preferred if you
+# want to edit the held message on disk.
+HOLD_MESSAGES_AS_PICKLES = Yes
+
+# This variable controls the order in which list-specific category options are
+# presented in the admin cgi page.
+ADMIN_CATEGORIES = [
+    # First column
+    'general', 'passwords', 'language', 'members', 'nondigest', 'digest',
+    # Second column
+    'privacy', 'bounce', 'archive', 'gateway', 'autoreply',
+    'contentfilter', 'topics',
+    ]
+
+# See "Bitfield for user options" below; make this a sum of those options, to
+# make all new members of lists start with those options flagged.  We assume
+# by default that people don't want to receive two copies of posts.  Note
+# however that the member moderation flag's initial value is controlled by the
+# list's config variable default_member_moderation.
+DEFAULT_NEW_MEMBER_OPTIONS = 256
+
+# Specify the type of passwords to use, when Mailman generates the passwords
+# itself, as would be the case for membership requests where the user did not
+# fill in a password, or during list creation, when auto-generation of admin
+# passwords was selected.
+#
+# Set this value to Yes for classic Mailman user-friendly(er) passwords.
+# These generate semi-pronounceable passwords which are easier to remember.
+# Set this value to No to use more cryptographically secure, but harder to
+# remember, passwords -- if your operating system and Python version support
+# the necessary feature (specifically that /dev/urandom be available).
+USER_FRIENDLY_PASSWORDS = Yes
+# This value specifies the default lengths of member and list admin passwords
+MEMBER_PASSWORD_LENGTH = 8
+ADMIN_PASSWORD_LENGTH = 10
+
+
+
+#####
+# List defaults.  NOTE: Changing these values does NOT change the
+# configuration of an existing list.  It only defines the default for new
+# lists you subsequently create.
+#####
+
+# Should a list, by default be advertised?  What is the default maximum number
+# of explicit recipients allowed?  What is the default maximum message size
+# allowed?
+DEFAULT_LIST_ADVERTISED = Yes
+DEFAULT_MAX_NUM_RECIPIENTS = 10
+DEFAULT_MAX_MESSAGE_SIZE = 40           # KB
+
+# These format strings will be expanded w.r.t. the dictionary for the
+# mailing list instance.
+DEFAULT_SUBJECT_PREFIX  = "[%(real_name)s] "
+# DEFAULT_SUBJECT_PREFIX = "[%(real_name)s %%d]" # for numbering
+DEFAULT_MSG_HEADER = ""
+DEFAULT_MSG_FOOTER = """_______________________________________________
+%(real_name)s mailing list
+%(real_name)s@%(host_name)s
+%(web_page_url)slistinfo%(cgiext)s/%(_internal_name)s
+"""
+
+# Where to put subject prefix for 'Re:' messages:
+#
+#     old style: Re: [prefix] test
+#     new style: [prefix 123] Re: test ... (number is optional)
+#
+# Old style is default for backward compatibility.  New style is forced if a
+# list owner set %d (numbering) in prefix.  If the site owner had applied new
+# style patch (from SF patch area) before, he/she may want to set this No in
+# mm_cfg.py.
+OLD_STYLE_PREFIXING = Yes
+
+# Scrub regular delivery
+DEFAULT_SCRUB_NONDIGEST = False
+
+# Mail command processor will ignore mail command lines after designated max.
+DEFAULT_MAIL_COMMANDS_MAX_LINES = 25
+
+# Is the list owner notified of admin requests immediately by mail, as well as
+# by daily pending-request reminder?
+DEFAULT_ADMIN_IMMED_NOTIFY = Yes
+
+# Is the list owner notified of subscribes/unsubscribes?
+DEFAULT_ADMIN_NOTIFY_MCHANGES = No
+
+# Discard held messages after this days
+DEFAULT_MAX_DAYS_TO_HOLD = 0
+
+# Should list members, by default, have their posts be moderated?
+DEFAULT_DEFAULT_MEMBER_MODERATION = No
+
+# Should non-member posts which are auto-discarded also be forwarded to the
+# moderators?
+DEFAULT_FORWARD_AUTO_DISCARDS = Yes
+
+# What shold happen to non-member posts which are do not match explicit
+# non-member actions?
+# 0 = Accept
+# 1 = Hold
+# 2 = Reject
+# 3 = Discard
+DEFAULT_GENERIC_NONMEMBER_ACTION = 1
+
+# Bounce if 'To:', 'Cc:', or 'Resent-To:' fields don't explicitly name list?
+# This is an anti-spam measure
+DEFAULT_REQUIRE_EXPLICIT_DESTINATION = Yes
+
+# Alternate names acceptable as explicit destinations for this list.
+DEFAULT_ACCEPTABLE_ALIASES ="""
+"""
+# For mailing lists that have only other mailing lists for members:
+DEFAULT_UMBRELLA_LIST = No
+
+# For umbrella lists, the suffix for the account part of address for
+# administrative notices (subscription confirmations, password reminders):
+DEFAULT_UMBRELLA_MEMBER_ADMIN_SUFFIX = "-owner"
+
+# Exclude/include (sibling) lists for non-digest delivery.
+DEFAULT_REGULAR_EXCLUDE_LISTS = []
+DEFAULT_REGULAR_INCLUDE_LISTS = []
+ALLOW_CROSS_DOMAIN_SIBLING = False
+
+# This variable controls whether monthly password reminders are sent.
+DEFAULT_SEND_REMINDERS = Yes
+
+# Send welcome messages to new users?
+DEFAULT_SEND_WELCOME_MSG = Yes
+
+# Send goodbye messages to unsubscribed members?
+DEFAULT_SEND_GOODBYE_MSG = Yes
+
+# Wipe sender information, and make it look like the list-admin
+# address sends all messages
+DEFAULT_ANONYMOUS_LIST = No
+
+# {header-name: regexp} spam filtering - we include some for example sake.
+DEFAULT_BOUNCE_MATCHING_HEADERS = """
+# Lines that *start* with a '#' are comments.
+to: friend@public.com
+message-id: relay.comanche.denmark.eu
+from: list@listme.com
+from: .*@uplinkpro.com
+"""
+
+# Mailman can be configured to "munge" Reply-To: headers for any passing
+# messages.  One the one hand, there are a lot of good reasons not to munge
+# Reply-To: but on the other, people really seem to want this feature.  See
+# the help for reply_goes_to_list in the web UI for links discussing the
+# issue.
+# 0 - Reply-To: not munged
+# 1 - Reply-To: set back to the list
+# 2 - Reply-To: set to an explicit value (reply_to_address)
+DEFAULT_REPLY_GOES_TO_LIST = 0
+
+# Mailman can be configured to strip any existing Reply-To: header, or simply
+# extend any existing Reply-To: with one based on the above setting.
+DEFAULT_FIRST_STRIP_REPLY_TO = No
+
+# SUBSCRIBE POLICY
+# 0 - open list (only when ALLOW_OPEN_SUBSCRIBE is set to 1) **
+# 1 - confirmation required for subscribes
+# 2 - admin approval required for subscribes
+# 3 - both confirmation and admin approval required
+#
+# ** please do not choose option 0 if you are not allowing open
+# subscribes (next variable)
+DEFAULT_SUBSCRIBE_POLICY = 1
+
+# Does this site allow completely unchecked subscriptions?
+ALLOW_OPEN_SUBSCRIBE = No
+
+# The default policy for unsubscriptions.  0 (unmoderated unsubscribes) is
+# highly recommended!
+# 0 - unmoderated unsubscribes
+# 1 - unsubscribes require approval
+DEFAULT_UNSUBSCRIBE_POLICY = 0
+
+# Private_roster == 0: anyone can see, 1: members only, 2: admin only.
+DEFAULT_PRIVATE_ROSTER = 1
+
+# When exposing members, make them unrecognizable as email addrs, so
+# web-spiders can't pick up addrs for spam purposes.
+DEFAULT_OBSCURE_ADDRESSES = Yes
+
+# RFC 2369 defines List-* headers which are added to every message sent
+# through to the mailing list membership.  These are a very useful aid to end
+# users and should always be added.  However, not all MUAs are compliant and
+# if a list's membership has many such users, they may clamor for these
+# headers to be suppressed.  By setting this variable to Yes, list owners will
+# be given the option to suppress these headers.  By setting it to No, list
+# owners will not be given the option to suppress these headers (although some
+# header suppression may still take place, i.e. for announce-only lists, or
+# lists with no archives).
+ALLOW_RFC2369_OVERRIDES = Yes
+
+# Defaults for content filtering on mailing lists.  DEFAULT_FILTER_CONTENT is
+# a flag which if set to true, turns on content filtering.
+DEFAULT_FILTER_CONTENT = No
+
+# DEFAULT_FILTER_MIME_TYPES is a list of MIME types to be removed.  This is a
+# list of strings of the format "maintype/subtype" or simply "maintype".
+# E.g. "text/html" strips all html attachments while "image" strips all image
+# types regardless of subtype (jpeg, gif, etc.).
+DEFAULT_FILTER_MIME_TYPES = []
+
+# DEFAULT_PASS_MIME_TYPES is a list of MIME types to be passed through.
+# Format is the same as DEFAULT_FILTER_MIME_TYPES
+DEFAULT_PASS_MIME_TYPES = ['multipart/mixed',
+                           'multipart/alternative',
+                           'text/plain']
+
+# DEFAULT_FILTER_FILENAME_EXTENSIONS is a list of filename extensions to be
+# removed. It is useful because many viruses fake their content-type as
+# harmless ones while keep their extension as executable and expect to be
+# executed when victims 'open' them.
+DEFAULT_FILTER_FILENAME_EXTENSIONS = [
+    'exe', 'bat', 'cmd', 'com', 'pif', 'scr', 'vbs', 'cpl'
+    ]
+
+# DEFAULT_PASS_FILENAME_EXTENSIONS is a list of filename extensions to be
+# passed through. Format is the same as DEFAULT_FILTER_FILENAME_EXTENSIONS.
+DEFAULT_PASS_FILENAME_EXTENSIONS = []
+
+# Replace multipart/alternative with its first alternative.
+DEFAULT_COLLAPSE_ALTERNATIVES = Yes
+
+# Whether text/html should be converted to text/plain after content filtering
+# is performed.  Conversion is done according to HTML_TO_PLAIN_TEXT_COMMAND
+DEFAULT_CONVERT_HTML_TO_PLAINTEXT = Yes
+
+# Default action to take on filtered messages.
+# 0 = Discard, 1 = Reject, 2 = Forward, 3 = Preserve
+DEFAULT_FILTER_ACTION = 0
+
+# Whether to allow list owners to preserve content filtered messages to a
+# special queue on the disk.
+OWNERS_CAN_PRESERVE_FILTERED_MESSAGES = Yes
+
+# Check for administrivia in messages sent to the main list?
+DEFAULT_ADMINISTRIVIA = Yes
+
+
+
+#####
+# Digestification defaults.  Same caveat applies here as with list defaults.
+#####
+
+# Will list be available in non-digested form?
+DEFAULT_NONDIGESTABLE = Yes
+
+# Will list be available in digested form?
+DEFAULT_DIGESTABLE = Yes
+DEFAULT_DIGEST_HEADER = ""
+DEFAULT_DIGEST_FOOTER = DEFAULT_MSG_FOOTER
+
+DEFAULT_DIGEST_IS_DEFAULT = No
+DEFAULT_MIME_IS_DEFAULT_DIGEST = No
+DEFAULT_DIGEST_SIZE_THRESHHOLD = 30     # KB
+DEFAULT_DIGEST_SEND_PERIODIC = Yes
+
+# Headers which should be kept in both RFC 1153 (plain) and MIME digests.  RFC
+# 1153 also specifies these headers in this exact order, so order matters.
+MIME_DIGEST_KEEP_HEADERS = [
+    'Date', 'From', 'To', 'Cc', 'Subject', 'Message-ID', 'Keywords',
+    # I believe we should also keep these headers though.
+    'In-Reply-To', 'References', 'Content-Type', 'MIME-Version',
+    'Content-Transfer-Encoding', 'Precedence', 'Reply-To',
+    # Mailman 2.0 adds these headers
+    'Message',
+    ]
+
+# The order in this list controls the order of the RFC 1153 digest headers.
+# Also, any headers in this list will be kept in the MIME digest even if they
+# don't appear in the MIME list above.  Finally, headers appearing in both
+# lists must be casewise the same or duplication can result in the digest.
+PLAIN_DIGEST_KEEP_HEADERS = [
+    'Message',
+    # RFC 1153 headers in order
+    'Date', 'From', 'To', 'Cc', 'Subject', 'Message-ID', 'Keywords',
+    'Content-Type',
+    ]
+
+
+
+#####
+# Bounce processing defaults.  Same caveat applies here as with list defaults.
+#####
+
+# Should we do any bounced mail response at all?
+DEFAULT_BOUNCE_PROCESSING = Yes
+
+# How often should the bounce qrunner process queued detected bounces?
+REGISTER_BOUNCES_EVERY = minutes(15)
+
+# Bounce processing works like this: when a bounce from a member is received,
+# we look up the `bounce info' for this member. If there is no bounce info,
+# this is the first bounce we've received from this member.  In that case, we
+# record today's date, and initialize the bounce score (see below for initial
+# value).
+#
+# If there is existing bounce info for this member, we look at the last bounce
+# receive date.  If this date is farther away from today than the `bounce
+# expiration interval', we throw away all the old data and initialize the
+# bounce score as if this were the first bounce from the member.
+#
+# Otherwise, we increment the bounce score.  If we can determine whether the
+# bounce was soft or hard (i.e. transient or fatal), then we use a score value
+# of 0.5 for soft bounces and 1.0 for hard bounces.  Note that we only score
+# one bounce per day.  If the bounce score is then greater than the `bounce
+# threshold' we disable the member's address.
+#
+# After disabling the address, we can send warning messages to the member,
+# providing a confirmation cookie/url for them to use to re-enable their
+# delivery.  After a configurable period of time, we'll delete the address.
+# When we delete the address due to bouncing, we'll send one last message to
+# the member.
+
+# Bounce scores greater than this value get disabled.
+DEFAULT_BOUNCE_SCORE_THRESHOLD = 5.0
+
+# Bounce information older than this interval is considered stale, and is
+# discarded.
+DEFAULT_BOUNCE_INFO_STALE_AFTER = days(7)
+
+# The number of notifications to send to the disabled/removed member before we
+# remove them from the list.  A value of 0 means we remove the address
+# immediately (with one last notification).  Note that the first one is sent
+# upon change of status to disabled.
+DEFAULT_BOUNCE_YOU_ARE_DISABLED_WARNINGS = 3
+
+# The interval of time between disabled warnings.
+DEFAULT_BOUNCE_YOU_ARE_DISABLED_WARNINGS_INTERVAL = days(7)
+
+# Does the list owner get messages to the -bounces (and -admin) address that
+# failed to match by the bounce detector?
+DEFAULT_BOUNCE_UNRECOGNIZED_GOES_TO_LIST_OWNER = Yes
+
+# Notifications on bounce actions.  The first specifies whether the list owner
+# should get a notification when a member is disabled due to bouncing, while
+# the second specifies whether the owner should get one when the member is
+# removed due to bouncing.
+DEFAULT_BOUNCE_NOTIFY_OWNER_ON_DISABLE = Yes
+DEFAULT_BOUNCE_NOTIFY_OWNER_ON_REMOVAL = Yes
+
+
+
+#####
+# General time limits
+#####
+
+# Default length of time a pending request is live before it is evicted from
+# the pending database.
+PENDING_REQUEST_LIFE = days(3)
+
+# How long should messages which have delivery failures continue to be
+# retried?  After this period of time, a message that has failed recipients
+# will be dequeued and those recipients will never receive the message.
+DELIVERY_RETRY_PERIOD = days(5)
+
+# How long should we wait before we retry a temporary delivery failure?
+DELIVERY_RETRY_WAIT = hours(1)
+
+
+
+#####
+# Lock management defaults
+#####
+
+# These variables control certain aspects of lock acquisition and retention.
+# They should be tuned as appropriate for your environment.  All variables are
+# specified in units of floating point seconds.  YOU MAY NEED TO TUNE THESE
+# VARIABLES DEPENDING ON THE SIZE OF YOUR LISTS, THE PERFORMANCE OF YOUR
+# HARDWARE, NETWORK AND GENERAL MAIL HANDLING CAPABILITIES, ETC.
+
+# Set this to On to turn on MailList object lock debugging messages, which
+# will be written to logs/locks.  If you think you're having lock problems, or
+# just want to tune the locks for your system, turn on lock debugging.
+LIST_LOCK_DEBUGGING = Off
+
+# This variable specifies how long the lock will be retained for a specific
+# operation on a mailing list.  Watch your logs/lock file and if you see a lot
+# of lock breakages, you might need to bump this up.  However if you set this
+# too high, a faulty script (or incorrect use of bin/withlist) can prevent the
+# list from being used until the lifetime expires.  This is probably one of
+# the most crucial tuning variables in the system.
+LIST_LOCK_LIFETIME = hours(5)
+
+# This variable specifies how long an attempt will be made to acquire a list
+# lock by the incoming qrunner process.  If the lock acquisition times out,
+# the message will be re-queued for later delivery.
+LIST_LOCK_TIMEOUT = seconds(10)
+
+# Set this to On to turn on lock debugging messages for the pending requests
+# database, which will be written to logs/locks.  If you think you're having
+# lock problems, or just want to tune the locks for your system, turn on lock
+# debugging.
+PENDINGDB_LOCK_DEBUGGING = Off
+
+
+
+#####
+# Nothing below here is user configurable.  Most of these values are in this
+# file for internal system convenience.  Don't change any of them or override
+# any of them in your mm_cfg.py file!
+#####
+
+# These directories are used to find various important files in the Mailman
+# installation.  PREFIX and EXEC_PREFIX are set by configure and should point
+# to the installation directory of the Mailman package.
+PYTHON          = '@PYTHON@'
+PREFIX          = '@prefix@'
+EXEC_PREFIX     = '@exec_prefix@'
+VAR_PREFIX      = '@VAR_PREFIX@'
+
+# Work around a bogus autoconf 2.12 bug
+if EXEC_PREFIX == '${prefix}':
+    EXEC_PREFIX = PREFIX
+
+# CGI extension, change using configure script
+CGIEXT = '@CGIEXT@'
+
+# Group id that group-owns the Mailman installation
+MAILMAN_USER = '@MAILMAN_USER@'
+MAILMAN_GROUP = '@MAILMAN_GROUP@'
+
+# Enumeration for Mailman cgi widget types
+Toggle      = 1
+Radio       = 2
+String      = 3
+Text        = 4
+Email       = 5
+EmailList   = 6
+Host        = 7
+Number      = 8
+FileUpload  = 9
+Select      = 10
+Topics      = 11
+Checkbox    = 12
+# An "extended email list".  Contents must be an email address or a ^-prefixed
+# regular expression.  Used in the sender moderation text boxes.
+EmailListEx = 13
+# Extended spam filter widget
+HeaderFilter  = 14
+
+# Actions
+DEFER = 0
+APPROVE = 1
+REJECT = 2
+DISCARD = 3
+SUBSCRIBE = 4
+UNSUBSCRIBE = 5
+ACCEPT = 6
+HOLD = 7
+
+# Standard text field width
+TEXTFIELDWIDTH = 40
+
+# Bitfield for user options.  See DEFAULT_NEW_MEMBER_OPTIONS above to set
+# defaults for all new lists.
+Digests             = 0 # handled by other mechanism, doesn't need a flag.
+DisableDelivery     = 1 # Obsolete; use set/getDeliveryStatus()
+DontReceiveOwnPosts = 2 # Non-digesters only
+AcknowledgePosts    = 4
+DisableMime         = 8 # Digesters only
+ConcealSubscription = 16
+SuppressPasswordReminder = 32
+ReceiveNonmatchingTopics = 64
+Moderate = 128
+DontReceiveDuplicates = 256
+
+# A mapping between short option tags and their flag
+OPTINFO = {'hide'    : ConcealSubscription,
+           'nomail'  : DisableDelivery,
+           'ack'     : AcknowledgePosts,
+           'notmetoo': DontReceiveOwnPosts,
+           'digest'  : 0,
+           'plain'   : DisableMime,
+           'nodupes' : DontReceiveDuplicates
+           }
+
+# Authentication contexts.
+#
+# Mailman defines the following roles:
+
+# - User, a normal user who has no permissions except to change their personal
+#   option settings
+# - List creator, someone who can create and delete lists, but cannot
+#   (necessarily) configure the list.
+# - List moderator, someone who can tend to pending requests such as
+#   subscription requests, or held messages
+# - List administrator, someone who has total control over a list, can
+#   configure it, modify user options for members of the list, subscribe and
+#   unsubscribe members, etc.
+# - Site administrator, someone who has total control over the entire site and
+#   can do any of the tasks mentioned above.  This person usually also has
+#   command line access.
+
+UnAuthorized = 0
+AuthUser = 1          # Joe Shmoe User
+AuthCreator = 2       # List Creator / Destroyer
+AuthListAdmin = 3     # List Administrator (total control over list)
+AuthListModerator = 4 # List Moderator (can only handle held requests)
+AuthSiteAdmin = 5     # Site Administrator (total control over everything)
+
+# Useful directories
+LIST_DATA_DIR   = os.path.join(VAR_PREFIX, 'lists')
+LOG_DIR         = os.path.join(VAR_PREFIX, 'logs')
+LOCK_DIR        = os.path.join(VAR_PREFIX, 'locks')
+DATA_DIR        = os.path.join(VAR_PREFIX, 'data')
+SPAM_DIR        = os.path.join(VAR_PREFIX, 'spam')
+WRAPPER_DIR     = os.path.join(EXEC_PREFIX, 'mail')
+BIN_DIR         = os.path.join(PREFIX, 'bin')
+SCRIPTS_DIR     = os.path.join(PREFIX, 'scripts')
+TEMPLATE_DIR    = os.path.join(PREFIX, 'templates')
+MESSAGES_DIR    = os.path.join(PREFIX, 'messages')
+PUBLIC_ARCHIVE_FILE_DIR  = os.path.join(VAR_PREFIX, 'archives', 'public')
+PRIVATE_ARCHIVE_FILE_DIR = os.path.join(VAR_PREFIX, 'archives', 'private')
+
+# Directories used by the qrunner subsystem
+QUEUE_DIR       = os.path.join(VAR_PREFIX, 'qfiles')
+INQUEUE_DIR     = os.path.join(QUEUE_DIR, 'in')
+OUTQUEUE_DIR    = os.path.join(QUEUE_DIR, 'out')
+CMDQUEUE_DIR    = os.path.join(QUEUE_DIR, 'commands')
+BOUNCEQUEUE_DIR = os.path.join(QUEUE_DIR, 'bounces')
+NEWSQUEUE_DIR   = os.path.join(QUEUE_DIR, 'news')
+ARCHQUEUE_DIR   = os.path.join(QUEUE_DIR, 'archive')
+SHUNTQUEUE_DIR  = os.path.join(QUEUE_DIR, 'shunt')
+VIRGINQUEUE_DIR = os.path.join(QUEUE_DIR, 'virgin')
+BADQUEUE_DIR    = os.path.join(QUEUE_DIR, 'bad')
+RETRYQUEUE_DIR  = os.path.join(QUEUE_DIR, 'retry')
+MAILDIR_DIR     = os.path.join(QUEUE_DIR, 'maildir')
+
+# Other useful files
+PIDFILE = "/var/run/mailman/mailman.pid"
+SITE_PW_FILE = os.path.join(DATA_DIR, 'adm.pw')
+LISTCREATOR_PW_FILE = os.path.join(DATA_DIR, 'creator.pw')
+
+# Import a bunch of version numbers
+from Version import *
+
+# Vgg: Language descriptions and charsets dictionary, any new supported
+# language must have a corresponding entry here. Key is the name of the
+# directories that hold the localized texts. Data are tuples with first
+# element being the description, as described in the catalogs, and second
+# element is the language charset.  I have chosen code from /usr/share/locale
+# in my GNU/Linux. :-)
+def _(s):
+    return s
+
+LC_DESCRIPTIONS = {}
+
+def add_language(code, description, charset, direction='ltr'):
+    LC_DESCRIPTIONS[code] = (description, charset, direction)
+
+add_language('ar',    _('Arabic'),              'utf-8',       'rtl')
+add_language('ast',   _('Asturian'),            'iso-8859-1',  'ltr')
+add_language('ca',    _('Catalan'),             'utf-8',       'ltr')
+add_language('cs',    _('Czech'),               'iso-8859-2',  'ltr')
+add_language('da',    _('Danish'),              'iso-8859-1',  'ltr')
+add_language('de',    _('German'),              'iso-8859-1',  'ltr')
+add_language('en',    _('English (USA)'),       'us-ascii',    'ltr')
+add_language('es',    _('Spanish (Spain)'),     'iso-8859-1',  'ltr')
+add_language('et',    _('Estonian'),            'iso-8859-15', 'ltr')
+add_language('eu',    _('Euskara'),             'iso-8859-15', 'ltr') # Basque
+add_language('fi',    _('Finnish'),             'iso-8859-1',  'ltr')
+add_language('fr',    _('French'),              'iso-8859-1',  'ltr')
+add_language('gl',    _('Galician'),            'utf-8',       'ltr')
+add_language('he',    _('Hebrew'),              'utf-8',       'rtl')
+add_language('hr',    _('Croatian'),            'iso-8859-2',  'ltr')
+add_language('hu',    _('Hungarian'),           'iso-8859-2',  'ltr')
+add_language('ia',    _('Interlingua'),         'iso-8859-15', 'ltr')
+add_language('it',    _('Italian'),             'iso-8859-1',  'ltr')
+add_language('ja',    _('Japanese'),            'euc-jp',      'ltr')
+add_language('ko',    _('Korean'),              'euc-kr',      'ltr')
+add_language('lt',    _('Lithuanian'),          'iso-8859-13', 'ltr')
+add_language('nl',    _('Dutch'),               'iso-8859-1',  'ltr')
+add_language('no',    _('Norwegian'),           'iso-8859-1',  'ltr')
+add_language('pl',    _('Polish'),              'iso-8859-2',  'ltr')
+add_language('pt',    _('Portuguese'),          'iso-8859-1',  'ltr')
+add_language('pt_BR', _('Portuguese (Brazil)'), 'iso-8859-1',  'ltr')
+add_language('ro',    _('Romanian'),            'iso-8859-2',  'ltr')
+add_language('ru',    _('Russian'),             'koi8-r',      'ltr')
+add_language('sk',    _('Slovak'),              'utf-8',       'ltr')
+add_language('sl',    _('Slovenian'),           'iso-8859-2',  'ltr')
+add_language('sr',    _('Serbian'),             'utf-8',       'ltr')
+add_language('sv',    _('Swedish'),             'iso-8859-1',  'ltr')
+add_language('tr',    _('Turkish'),             'iso-8859-9',  'ltr')
+add_language('uk',    _('Ukrainian'),           'utf-8',       'ltr')
+add_language('vi',    _('Vietnamese'),          'utf-8',       'ltr')
+add_language('zh_CN', _('Chinese (China)'),     'utf-8',       'ltr')
+add_language('zh_TW', _('Chinese (Taiwan)'),    'utf-8',       'ltr')
+
+del _

=== added file '.pc/25_site_logo.patch/Mailman/htmlformat.py'
--- .pc/25_site_logo.patch/Mailman/htmlformat.py	1970-01-01 00:00:00 +0000
+++ .pc/25_site_logo.patch/Mailman/htmlformat.py	2010-07-13 21:35:40 +0000
@@ -0,0 +1,690 @@
+# Copyright (C) 1998-2007 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+
+"""Library for program-based construction of an HTML documents.
+
+Encapsulate HTML formatting directives in classes that act as containers
+for python and, recursively, for nested HTML formatting objects.
+"""
+
+
+# Eventually could abstract down to HtmlItem, which outputs an arbitrary html
+# object given start / end tags, valid options, and a value.  Ug, objects
+# shouldn't be adding their own newlines.  The next object should.
+
+
+import types
+
+from Mailman import mm_cfg
+from Mailman import Utils
+from Mailman.i18n import _
+
+SPACE = ' '
+EMPTYSTRING = ''
+NL = '\n'
+
+
+
+# Format an arbitrary object.
+def HTMLFormatObject(item, indent):
+    "Return a presentation of an object, invoking their Format method if any."
+    if type(item) == type(''):
+        return item
+    elif not hasattr(item, "Format"):
+        return `item`
+    else:
+        return item.Format(indent)
+
+def CaseInsensitiveKeyedDict(d):
+    result = {}
+    for (k,v) in d.items():
+        result[k.lower()] = v
+    return result
+
+# Given references to two dictionaries, copy the second dictionary into the
+# first one.
+def DictMerge(destination, fresh_dict):
+    for (key, value) in fresh_dict.items():
+        destination[key] = value
+
+class Table:
+    def __init__(self, **table_opts):
+        self.cells = []
+        self.cell_info = {}
+        self.row_info = {}
+        self.opts = table_opts
+
+    def AddOptions(self, opts):
+        DictMerge(self.opts, opts)
+
+    # Sets all of the cells.  It writes over whatever cells you had there
+    # previously.
+
+    def SetAllCells(self, cells):
+        self.cells = cells
+
+    # Add a new blank row at the end
+    def NewRow(self):
+        self.cells.append([])
+
+    # Add a new blank cell at the end
+    def NewCell(self):
+        self.cells[-1].append('')
+
+    def AddRow(self, row):
+        self.cells.append(row)
+
+    def AddCell(self, cell):
+        self.cells[-1].append(cell)
+
+    def AddCellInfo(self, row, col, **kws):
+        kws = CaseInsensitiveKeyedDict(kws)
+        if not self.cell_info.has_key(row):
+            self.cell_info[row] = { col : kws }
+        elif self.cell_info[row].has_key(col):
+            DictMerge(self.cell_info[row], kws)
+        else:
+            self.cell_info[row][col] = kws
+
+    def AddRowInfo(self, row, **kws):
+        kws = CaseInsensitiveKeyedDict(kws)
+        if not self.row_info.has_key(row):
+            self.row_info[row] = kws
+        else:
+            DictMerge(self.row_info[row], kws)
+
+    # What's the index for the row we just put in?
+    def GetCurrentRowIndex(self):
+        return len(self.cells)-1
+
+    # What's the index for the col we just put in?
+    def GetCurrentCellIndex(self):
+        return len(self.cells[-1])-1
+
+    def ExtractCellInfo(self, info):
+        valid_mods = ['align', 'valign', 'nowrap', 'rowspan', 'colspan',
+                      'bgcolor']
+        output = ''
+
+        for (key, val) in info.items():
+            if not key in valid_mods:
+                continue
+            if key == 'nowrap':
+                output = output + ' NOWRAP'
+                continue
+            else:
+                output = output + ' %s="%s"' % (key.upper(), val)
+
+        return output
+
+    def ExtractRowInfo(self, info):
+        valid_mods = ['align', 'valign', 'bgcolor']
+        output = ''
+
+        for (key, val) in info.items():
+            if not key in valid_mods:
+                continue
+            output = output + ' %s="%s"' % (key.upper(), val)
+
+        return output
+
+    def ExtractTableInfo(self, info):
+        valid_mods = ['align', 'width', 'border', 'cellspacing', 'cellpadding',
+                      'bgcolor']
+
+        output = ''
+
+        for (key, val) in info.items():
+            if not key in valid_mods:
+                continue
+            if key == 'border' and val == None:
+                output = output + ' BORDER'
+                continue
+            else:
+                output = output + ' %s="%s"' % (key.upper(), val)
+
+        return output
+
+    def FormatCell(self, row, col, indent):
+        try:
+            my_info = self.cell_info[row][col]
+        except:
+            my_info = None
+
+        output = '\n' + ' '*indent + '<td'
+        if my_info:
+            output = output + self.ExtractCellInfo(my_info)
+        item = self.cells[row][col]
+        item_format = HTMLFormatObject(item, indent+4)
+        output = '%s>%s</td>' % (output, item_format)
+        return output
+
+    def FormatRow(self, row, indent):
+        try:
+            my_info = self.row_info[row]
+        except:
+            my_info = None
+
+        output = '\n' + ' '*indent + '<tr'
+        if my_info:
+            output = output + self.ExtractRowInfo(my_info)
+        output = output + '>'
+
+        for i in range(len(self.cells[row])):
+            output = output + self.FormatCell(row, i, indent + 2)
+
+        output = output + '\n' + ' '*indent + '</tr>'
+
+        return output
+
+    def Format(self, indent=0):
+        output = '\n' + ' '*indent + '<table'
+        output = output + self.ExtractTableInfo(self.opts)
+        output = output + '>'
+
+        for i in range(len(self.cells)):
+            output = output + self.FormatRow(i, indent + 2)
+
+        output = output + '\n' + ' '*indent + '</table>\n'
+
+        return output
+
+
+class Link:
+    def __init__(self, href, text, target=None):
+        self.href = href
+        self.text = text
+        self.target = target
+
+    def Format(self, indent=0):
+        texpr = ""
+        if self.target != None:
+            texpr = ' target="%s"' % self.target
+        return '<a href="%s"%s>%s</a>' % (HTMLFormatObject(self.href, indent),
+                                          texpr,
+                                          HTMLFormatObject(self.text, indent))
+
+class FontSize:
+    """FontSize is being deprecated - use FontAttr(..., size="...") instead."""
+    def __init__(self, size, *items):
+        self.items = list(items)
+        self.size = size
+
+    def Format(self, indent=0):
+        output = '<font size="%s">' % self.size
+        for item in self.items:
+            output = output + HTMLFormatObject(item, indent)
+        output = output + '</font>'
+        return output
+
+class FontAttr:
+    """Present arbitrary font attributes."""
+    def __init__(self, *items, **kw):
+        self.items = list(items)
+        self.attrs = kw
+
+    def Format(self, indent=0):
+        seq = []
+        for k, v in self.attrs.items():
+            seq.append('%s="%s"' % (k, v))
+        output = '<font %s>' % SPACE.join(seq)
+        for item in self.items:
+            output = output + HTMLFormatObject(item, indent)
+        output = output + '</font>'
+        return output
+
+
+class Container:
+    def __init__(self, *items):
+        if not items:
+            self.items = []
+        else:
+            self.items = items
+
+    def AddItem(self, obj):
+        self.items.append(obj)
+
+    def Format(self, indent=0):
+        output = []
+        for item in self.items:
+            output.append(HTMLFormatObject(item, indent))
+        return EMPTYSTRING.join(output)
+
+
+class Label(Container):
+    align = 'right'
+
+    def __init__(self, *items):
+        Container.__init__(self, *items)
+
+    def Format(self, indent=0):
+        return ('<div align="%s">' % self.align) + \
+               Container.Format(self, indent) + \
+               '</div>'
+
+
+# My own standard document template.  YMMV.
+# something more abstract would be more work to use...
+
+class Document(Container):
+    title = None
+    language = None
+    bgcolor = mm_cfg.WEB_BG_COLOR
+    suppress_head = 0
+
+    def set_language(self, lang=None):
+        self.language = lang
+
+    def set_bgcolor(self, color):
+        self.bgcolor = color
+
+    def SetTitle(self, title):
+        self.title = title
+
+    def Format(self, indent=0, **kws):
+        charset = 'us-ascii'
+        if self.language:
+            charset = Utils.GetCharSet(self.language)
+        output = ['Content-Type: text/html; charset=%s\n' % charset]
+        if not self.suppress_head:
+            kws.setdefault('bgcolor', self.bgcolor)
+            tab = ' ' * indent
+            output.extend([tab,
+                           '<HTML>',
+                           '<HEAD>'
+                           ])
+            if mm_cfg.IMAGE_LOGOS:
+                output.append('<LINK REL="SHORTCUT ICON" HREF="%s">' %
+                              (mm_cfg.IMAGE_LOGOS + mm_cfg.SHORTCUT_ICON))
+            # Hit all the bases
+            output.append('<META http-equiv="Content-Type" '
+                          'content="text/html; charset=%s">' % charset)
+            if self.title:
+                output.append('%s<TITLE>%s</TITLE>' % (tab, self.title))
+            output.append('%s</HEAD>' % tab)
+            quals = []
+            # Default link colors
+            if mm_cfg.WEB_VLINK_COLOR:
+                kws.setdefault('vlink', mm_cfg.WEB_VLINK_COLOR)
+            if mm_cfg.WEB_ALINK_COLOR:
+                kws.setdefault('alink', mm_cfg.WEB_ALINK_COLOR)
+            if mm_cfg.WEB_LINK_COLOR:
+                kws.setdefault('link', mm_cfg.WEB_LINK_COLOR)
+            for k, v in kws.items():
+                quals.append('%s="%s"' % (k, v))
+            output.append('%s<BODY %s' % (tab, SPACE.join(quals)))
+            # Language direction
+            direction = Utils.GetDirection(self.language)
+            output.append('dir="%s">' % direction)
+        # Always do this...
+        output.append(Container.Format(self, indent))
+        if not self.suppress_head:
+            output.append('%s</BODY>' % tab)
+            output.append('%s</HTML>' % tab)
+        return NL.join(output)
+
+    def addError(self, errmsg, tag=None):
+        if tag is None:
+            tag = _('Error: ')
+        self.AddItem(Header(3, Bold(FontAttr(
+            _(tag), color=mm_cfg.WEB_ERROR_COLOR, size='+2')).Format() +
+                            Italic(errmsg).Format()))
+
+
+class HeadlessDocument(Document):
+    """Document without head section, for templates that provide their own."""
+    suppress_head = 1
+
+
+class StdContainer(Container):
+    def Format(self, indent=0):
+        # If I don't start a new I ignore indent
+        output = '<%s>' % self.tag
+        output = output + Container.Format(self, indent)
+        output = '%s</%s>' % (output, self.tag)
+        return output
+
+
+class QuotedContainer(Container):
+    def Format(self, indent=0):
+        # If I don't start a new I ignore indent
+        output = '<%s>%s</%s>' % (
+            self.tag,
+            Utils.websafe(Container.Format(self, indent)),
+            self.tag)
+        return output
+
+class Header(StdContainer):
+    def __init__(self, num, *items):
+        self.items = items
+        self.tag = 'h%d' % num
+
+class Address(StdContainer):
+    tag = 'address'
+
+class Underline(StdContainer):
+    tag = 'u'
+
+class Bold(StdContainer):
+    tag = 'strong'
+
+class Italic(StdContainer):
+    tag = 'em'
+
+class Preformatted(QuotedContainer):
+    tag = 'pre'
+
+class Subscript(StdContainer):
+    tag = 'sub'
+
+class Superscript(StdContainer):
+    tag = 'sup'
+
+class Strikeout(StdContainer):
+    tag = 'strike'
+
+class Center(StdContainer):
+    tag = 'center'
+
+class Form(Container):
+    def __init__(self, action='', method='POST', encoding=None, *items):
+        apply(Container.__init__, (self,) +  items)
+        self.action = action
+        self.method = method
+        self.encoding = encoding
+
+    def set_action(self, action):
+        self.action = action
+
+    def Format(self, indent=0):
+        spaces = ' ' * indent
+        encoding = ''
+        if self.encoding:
+            encoding = 'enctype="%s"' % self.encoding
+        output = '\n%s<FORM action="%s" method="%s" %s>\n' % (
+            spaces, self.action, self.method, encoding)
+        output = output + Container.Format(self, indent+2)
+        output = '%s\n%s</FORM>\n' % (output, spaces)
+        return output
+
+
+class InputObj:
+    def __init__(self, name, ty, value, checked, **kws):
+        self.name = name
+        self.type = ty
+        self.value = value
+        self.checked = checked
+        self.kws = kws
+
+    def Format(self, indent=0):
+        output = ['<INPUT name="%s" type="%s" value="%s"' %
+                  (self.name, self.type, self.value)]
+        for item in self.kws.items():
+            output.append('%s="%s"' % item)
+        if self.checked:
+            output.append('CHECKED')
+        output.append('>')
+        return SPACE.join(output)
+
+
+class SubmitButton(InputObj):
+    def __init__(self, name, button_text):
+        InputObj.__init__(self, name, "SUBMIT", button_text, checked=0)
+
+class PasswordBox(InputObj):
+    def __init__(self, name, value='', size=mm_cfg.TEXTFIELDWIDTH):
+        InputObj.__init__(self, name, "PASSWORD", value, checked=0, size=size)
+
+class TextBox(InputObj):
+    def __init__(self, name, value='', size=mm_cfg.TEXTFIELDWIDTH):
+        if isinstance(value, str):
+            safevalue = Utils.websafe(value)
+        else:
+            safevalue = value
+        InputObj.__init__(self, name, "TEXT", safevalue, checked=0, size=size)
+
+class Hidden(InputObj):
+    def __init__(self, name, value=''):
+        InputObj.__init__(self, name, 'HIDDEN', value, checked=0)
+
+class TextArea:
+    def __init__(self, name, text='', rows=None, cols=None, wrap='soft',
+                 readonly=0):
+        if isinstance(text, str):
+            safetext = Utils.websafe(text)
+        else:
+            safetext = text
+        self.name = name
+        self.text = safetext
+        self.rows = rows
+        self.cols = cols
+        self.wrap = wrap
+        self.readonly = readonly
+
+    def Format(self, indent=0):
+        output = '<TEXTAREA NAME=%s' % self.name
+        if self.rows:
+            output += ' ROWS=%s' % self.rows
+        if self.cols:
+            output += ' COLS=%s' % self.cols
+        if self.wrap:
+            output += ' WRAP=%s' % self.wrap
+        if self.readonly:
+            output += ' READONLY'
+        output += '>%s</TEXTAREA>' % self.text
+        return output
+
+class FileUpload(InputObj):
+    def __init__(self, name, rows=None, cols=None, **kws):
+        apply(InputObj.__init__, (self, name, 'FILE', '', 0), kws)
+
+class RadioButton(InputObj):
+    def __init__(self, name, value, checked=0, **kws):
+        apply(InputObj.__init__, (self, name, 'RADIO', value, checked), kws)
+
+class CheckBox(InputObj):
+    def __init__(self, name, value, checked=0, **kws):
+        apply(InputObj.__init__, (self, name, "CHECKBOX", value, checked), kws)
+
+class VerticalSpacer:
+    def __init__(self, size=10):
+        self.size = size
+    def Format(self, indent=0):
+        output = '<spacer type="vertical" height="%d">' % self.size
+        return output
+
+class WidgetArray:
+    Widget = None
+
+    def __init__(self, name, button_names, checked, horizontal, values):
+        self.name = name
+        self.button_names = button_names
+        self.checked = checked
+        self.horizontal = horizontal
+        self.values = values
+        assert len(values) == len(button_names)
+        # Don't assert `checked' because for RadioButtons it is a scalar while
+        # for CheckedBoxes it is a vector.  Subclasses will assert length.
+
+    def ischecked(self, i):
+        raise NotImplemented
+
+    def Format(self, indent=0):
+        t = Table(cellspacing=5)
+        items = []
+        for i, name, value in zip(range(len(self.button_names)),
+                                  self.button_names,
+                                  self.values):
+            ischecked = (self.ischecked(i))
+            item = self.Widget(self.name, value, ischecked).Format() + name
+            items.append(item)
+            if not self.horizontal:
+                t.AddRow(items)
+                items = []
+        if self.horizontal:
+            t.AddRow(items)
+        return t.Format(indent)
+
+class RadioButtonArray(WidgetArray):
+    Widget = RadioButton
+
+    def __init__(self, name, button_names, checked=None, horizontal=1,
+                 values=None):
+        if values is None:
+            values = range(len(button_names))
+        # BAW: assert checked is a scalar...
+        WidgetArray.__init__(self, name, button_names, checked, horizontal,
+                             values)
+
+    def ischecked(self, i):
+        return self.checked == i
+
+class CheckBoxArray(WidgetArray):
+    Widget = CheckBox
+
+    def __init__(self, name, button_names, checked=None, horizontal=0,
+                 values=None):
+        if checked is None:
+            checked = [0] * len(button_names)
+        else:
+            assert len(checked) == len(button_names)
+        if values is None:
+            values = range(len(button_names))
+        WidgetArray.__init__(self, name, button_names, checked, horizontal,
+                             values)
+
+    def ischecked(self, i):
+        return self.checked[i]
+
+class UnorderedList(Container):
+    def Format(self, indent=0):
+        spaces = ' ' * indent
+        output = '\n%s<ul>\n' % spaces
+        for item in self.items:
+            output = output + '%s<li>%s\n' % \
+                     (spaces, HTMLFormatObject(item, indent + 2))
+        output = output + '%s</ul>\n' % spaces
+        return output
+
+class OrderedList(Container):
+    def Format(self, indent=0):
+        spaces = ' ' * indent
+        output = '\n%s<ol>\n' % spaces
+        for item in self.items:
+            output = output + '%s<li>%s\n' % \
+                     (spaces, HTMLFormatObject(item, indent + 2))
+        output = output + '%s</ol>\n' % spaces
+        return output
+
+class DefinitionList(Container):
+    def Format(self, indent=0):
+        spaces = ' ' * indent
+        output = '\n%s<dl>\n' % spaces
+        for dt, dd in self.items:
+            output = output + '%s<dt>%s\n<dd>%s\n' % \
+                     (spaces, HTMLFormatObject(dt, indent+2),
+                      HTMLFormatObject(dd, indent+2))
+        output = output + '%s</dl>\n' % spaces
+        return output
+
+
+
+# Logo constants
+#
+# These are the URLs which the image logos link to.  The Mailman home page now
+# points at the gnu.org site instead of the www.list.org mirror.
+#
+from mm_cfg import MAILMAN_URL
+PYTHON_URL  = 'http://www.python.org/'
+GNU_URL     = 'http://www.gnu.org/'
+
+# The names of the image logo files.  These are concatentated onto
+# mm_cfg.IMAGE_LOGOS (not urljoined).
+DELIVERED_BY = 'mailman.jpg'
+PYTHON_POWERED = 'PythonPowered.png'
+GNU_HEAD = 'gnu-head-tiny.jpg'
+
+
+def MailmanLogo():
+    t = Table(border=0, width='100%')
+    if mm_cfg.IMAGE_LOGOS:
+        def logo(file):
+            return mm_cfg.IMAGE_LOGOS + file
+        mmlink = '<img src="%s" alt="Delivered by Mailman" border=0>' \
+                 '<br>version %s' % (logo(DELIVERED_BY), mm_cfg.VERSION)
+        pylink = '<img src="%s" alt="Python Powered" border=0>' % \
+                 logo(PYTHON_POWERED)
+        gnulink = '<img src="%s" alt="GNU\'s Not Unix" border=0>' % \
+                  logo(GNU_HEAD)
+        t.AddRow([mmlink, pylink, gnulink])
+    else:
+        # use only textual links
+        version = mm_cfg.VERSION
+        mmlink = Link(MAILMAN_URL,
+                      _('Delivered by Mailman<br>version %(version)s'))
+        pylink = Link(PYTHON_URL, _('Python Powered'))
+        gnulink = Link(GNU_URL, _("Gnu's Not Unix"))
+        t.AddRow([mmlink, pylink, gnulink])
+    return t
+
+
+class SelectOptions:
+   def __init__(self, varname, values, legend,
+                selected=0, size=1, multiple=None):
+      self.varname  = varname
+      self.values   = values
+      self.legend   = legend
+      self.size     = size
+      self.multiple = multiple
+      # we convert any type to tuple, commas are needed
+      if not multiple:
+         if type(selected) == types.IntType:
+             self.selected = (selected,)
+         elif type(selected) == types.TupleType:
+             self.selected = (selected[0],)
+         elif type(selected) == types.ListType:
+             self.selected = (selected[0],)
+         else:
+             self.selected = (0,)
+
+   def Format(self, indent=0):
+      spaces = " " * indent
+      items  = min( len(self.values), len(self.legend) )
+
+      # jcrey: If there is no argument, we return nothing to avoid errors
+      if items == 0:
+          return ""
+
+      text = "\n" + spaces + "<Select name=\"%s\"" % self.varname
+      if self.size > 1:
+          text = text + " size=%d" % self.size
+      if self.multiple:
+          text = text + " multiple"
+      text = text + ">\n"
+
+      for i in range(items):
+          if i in self.selected:
+              checked = " Selected"
+          else:
+              checked = ""
+
+          opt = " <option value=\"%s\"%s> %s </option>" % (
+              self.values[i], checked, self.legend[i])
+          text = text + spaces + opt + "\n"
+
+      return text + spaces + '</Select>'

=== added directory '.pc/51_nocompile.pyc.patch'
=== added file '.pc/51_nocompile.pyc.patch/Makefile.in'
--- .pc/51_nocompile.pyc.patch/Makefile.in	1970-01-01 00:00:00 +0000
+++ .pc/51_nocompile.pyc.patch/Makefile.in	2010-07-13 21:35:40 +0000
@@ -0,0 +1,151 @@
+# Copyright (C) 1998-2003 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software 
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+# NOTE: Makefile.in is converted into Makefile by the configure script
+# in the parent directory.  Once configure has run, you can recreate
+# the Makefile by running just config.status.
+
+# Variables set by configure
+
+SHELL=		/bin/sh
+
+VPATH=		@srcdir@
+srcdir=		@srcdir@
+bindir=		@bindir@
+prefix=		@prefix@
+exec_prefix=	@exec_prefix@
+var_prefix=	@VAR_PREFIX@
+DESTDIR=
+
+CC=		@CC@
+INSTALL=	@INSTALL@
+PYTHON= 	@PYTHON@
+
+DEFS=		@DEFS@
+
+# Customizable but not set by configure
+
+OPT=		@OPT@
+CFLAGS=		@CFLAGS@ $(OPT) $(DEFS)
+
+VAR_DIRS= \
+	logs archives lists locks data spam qfiles \
+	archives/private archives/public
+
+ARCH_INDEP_DIRS= \
+	bin templates scripts cron pythonlib \
+	Mailman Mailman/Cgi Mailman/Logging Mailman/Archiver \
+	Mailman/Handlers Mailman/Queue Mailman/Bouncers	 \
+	Mailman/MTA Mailman/Gui Mailman/Commands messages icons \
+	tests tests/bounces tests/msgs
+
+ARCH_DEP_DIRS=	cgi-bin mail
+
+# Directories make should decend into
+SUBDIRS=	bin cron misc Mailman scripts src templates messages tests
+
+
+# Modes for directories and executables created by the install
+# process.  Default to group-writable directories but
+# user-only-writable for executables.
+DIRMODE=	775
+EXEMODE=	755
+FILEMODE=	644
+INSTALL_PROGRAM=$(INSTALL) -m $(EXEMODE)
+DIRSETGID=	chmod g+s
+
+DATE = $(shell python -c 'import time; print time.strftime("%d-%b-%Y"),')
+LANGPACK = README-I18N.en templates messages
+EXCLUDES = --exclude=CVS --exclude=.cvsignore --exclude=Makefile* --exclude=*.files --exclude=*.old
+
+# Rules
+
+all: subdirs
+
+subdirs: $(SUBDIRS)
+	for d in $(SUBDIRS); \
+	do \
+	    (cd $$d; $(MAKE)); \
+	done
+
+install: doinstall update
+
+doinstall: $(SUBDIRS)
+	@echo "Creating architecture independent directories..."
+	@for d in $(VAR_DIRS); \
+	do \
+	    dir=$(DESTDIR)$(var_prefix)/$$d; \
+	    if test ! -d $$dir; then \
+		echo "Creating directory hierarchy $$dir"; \
+		$(srcdir)/mkinstalldirs $$dir; \
+		chmod $(DIRMODE) $$dir; \
+		$(DIRSETGID) $$dir; \
+	    else true; \
+	    fi; \
+	done
+	chmod o-r $(DESTDIR)$(var_prefix)/archives/private
+	@for d in $(ARCH_INDEP_DIRS); \
+	do \
+	    dir=$(DESTDIR)$(prefix)/$$d; \
+	    if test ! -d $$dir; then \
+		echo "Creating directory hierarchy $$dir"; \
+		$(srcdir)/mkinstalldirs $$dir; \
+		chmod $(DIRMODE) $$dir; \
+		$(DIRSETGID) $$dir; \
+	    else true; \
+	    fi; \
+	done
+	@echo "Creating architecture dependent directories..."
+	@for d in $(ARCH_DEP_DIRS); \
+	do \
+	    dir=$(DESTDIR)$(exec_prefix)/$$d; \
+	    if test ! -d $$dir; then \
+		echo "Creating directory hierarchy $$dir"; \
+		$(srcdir)/mkinstalldirs $$dir; \
+		chmod $(DIRMODE) $$dir; \
+		$(DIRSETGID) $$dir; \
+	    else true; \
+	    fi; \
+	done
+	@for d in $(SUBDIRS); \
+	do \
+	    (cd $$d; $(MAKE) DESTDIR=$(DESTDIR) install); \
+	done
+	$(PYTHON) -c 'from compileall import *; compile_dir("$(DESTDIR)$(prefix)/Mailman")'
+
+# Only run bin/update if we aren't installing in DESTDIR, as this
+# means there are probably no lists to deal with, and it wouldn't
+# work anyway (because of import paths.)
+update:
+	@(cd $(DESTDIR)$(prefix) ; test -n "$(DESTDIR)" || bin/update)
+
+clean: $(SUBDIRS)
+	@for d in $(SUBDIRS); \
+	do \
+	    (cd $$d; $(MAKE) clean); \
+	done
+	-rm -f update.log
+
+distclean: $(SUBDIRS)
+	@for d in $(SUBDIRS); \
+	do \
+	    (cd $$d; $(MAKE) distclean); \
+	done
+	-rm -f config.cache config.log config.status Makefile
+	-rm -rf build
+
+langpack:
+	tar zcvf langpack-$(DATE).tgz $(EXCLUDES) $(LANGPACK)

=== added directory '.pc/52_check_perms_lstat.patch'
=== added directory '.pc/52_check_perms_lstat.patch/bin'
=== added file '.pc/52_check_perms_lstat.patch/bin/check_perms'
--- .pc/52_check_perms_lstat.patch/bin/check_perms	1970-01-01 00:00:00 +0000
+++ .pc/52_check_perms_lstat.patch/bin/check_perms	2010-07-13 21:35:40 +0000
@@ -0,0 +1,402 @@
+#! @PYTHON@
+#
+# Copyright (C) 1998-2008 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+"""Check the permissions for the Mailman installation.
+
+Usage: %(PROGRAM)s [-f] [-v] [-h]
+
+With no arguments, just check and report all the files that have bogus
+permissions or group ownership.  With -f (and run as root), fix all the
+permission problems found.  With -v be verbose.
+"""
+
+import os
+import sys
+import pwd
+import grp
+import errno
+import getopt
+from stat import *
+
+try:
+    import paths
+except ImportError:
+    print '''Could not import paths!
+
+This probably means that you are trying to run check_perms from the source
+directory.  You must run this from the installation directory instead.
+'''
+    raise
+from Mailman import mm_cfg
+from Mailman.mm_cfg import MAILMAN_USER, MAILMAN_GROUP
+from Mailman.i18n import _
+
+# Let KeyErrors percolate
+MAILMAN_GID = grp.getgrnam(MAILMAN_GROUP)[2]
+MAILMAN_UID = pwd.getpwnam(MAILMAN_USER)[2]
+
+PROGRAM = sys.argv[0]
+
+# Gotta check the archives/private/*/database/* files
+
+try:
+    True, False
+except NameError:
+    True = 1
+    False = 0
+
+
+
+class State:
+    FIX = False
+    VERBOSE = False
+    ERRORS = 0
+
+STATE = State()
+
+DIRPERMS = S_ISGID | S_IRWXU | S_IRWXG | S_IROTH | S_IXOTH
+QFILEPERMS = S_ISGID | S_IRWXU | S_IRWXG
+PYFILEPERMS = S_IRUSR | S_IWUSR | S_IRGRP | S_IROTH
+ARTICLEFILEPERMS = S_IRUSR | S_IWUSR | S_IRGRP | S_IWGRP
+PRIVATEPERMS = QFILEPERMS
+
+
+
+def statmode(path):
+    return os.stat(path)[ST_MODE]
+
+def statgidmode(path):
+    stat = os.stat(path)
+    return stat[ST_MODE], stat[ST_GID]
+
+seen = {}
+
+# libc's getgrgid re-opens /etc/group each time :(
+_gidcache = {}
+
+def getgrgid(gid):
+    data = _gidcache.get(gid)
+    if data is None:
+        data = grp.getgrgid(gid)
+        _gidcache[gid] = data
+    return data
+
+
+
+def checkwalk(arg, dirname, names):
+    # Short-circuit duplicates
+    if seen.has_key(dirname):
+        return
+    seen[dirname] = True
+    for name in names:
+        path = os.path.join(dirname, name)
+        if arg.VERBOSE:
+            print _('    checking gid and mode for %(path)s')
+        try:
+            mode, gid = statgidmode(path)
+        except OSError, e:
+            if e.errno <> errno.ENOENT: raise
+            continue
+        if gid <> MAILMAN_GID:
+            try:
+                groupname = getgrgid(gid)[0]
+            except KeyError:
+                groupname = '<anon gid %d>' % gid
+            arg.ERRORS += 1
+            print _('%(path)s bad group (has: %(groupname)s, '
+                    'expected %(MAILMAN_GROUP)s)'),
+            if STATE.FIX:
+                print _('(fixing)')
+                os.chown(path, -1, MAILMAN_GID)
+            else:
+                print
+        # Most directories must be at least rwxrwsr-x.
+        # The private archive directory  and database directory must be at
+        # least rwxrws---.  Their 'other' permissions are checked in
+        # checkarchives() and checkarchivedbs() below.  Their 'user' and
+        # 'group' permissions are checked here.
+        # The directories under qfiles should be rwxrws---.  Their 'user' and
+        # 'group' permissions are checked here.  Their 'other' permissions
+        # aren't checked.
+        private = mm_cfg.PRIVATE_ARCHIVE_FILE_DIR
+        if path == private or (
+            os.path.commonprefix((path, private)) == private
+            and os.path.split(path)[1] == 'database'):
+            # then...
+            targetperms = PRIVATEPERMS
+        elif (os.path.commonprefix((path, mm_cfg.QUEUE_DIR))
+              == mm_cfg.QUEUE_DIR):
+            targetperms = QFILEPERMS
+        else:
+            targetperms = DIRPERMS
+        octperms = oct(targetperms)
+        if S_ISDIR(mode) and (mode & targetperms) <> targetperms:
+            arg.ERRORS += 1
+            print _('directory permissions must be %(octperms)s: %(path)s'),
+            if STATE.FIX:
+                print _('(fixing)')
+                os.chmod(path, mode | targetperms)
+            else:
+                print
+        elif os.path.splitext(path)[1] in ('.py', '.pyc', '.pyo'):
+            octperms = oct(PYFILEPERMS)
+            if mode & PYFILEPERMS <> PYFILEPERMS:
+                print _('source perms must be %(octperms)s: %(path)s'),
+                arg.ERRORS += 1
+                if STATE.FIX:
+                    print _('(fixing)')
+                    os.chmod(path, mode | PYFILEPERMS)
+                else:
+                    print
+        elif path.endswith('-article'):
+            # Article files must be group writeable
+            octperms = oct(ARTICLEFILEPERMS)
+            if mode & ARTICLEFILEPERMS <> ARTICLEFILEPERMS:
+                print _('article db files must be %(octperms)s: %(path)s'),
+                arg.ERRORS += 1
+                if STATE.FIX:
+                    print _('(fixing)')
+                    os.chmod(path, mode | ARTICLEFILEPERMS)
+                else:
+                    print
+
+def checkall():
+    # first check PREFIX
+    if STATE.VERBOSE:
+        prefix = mm_cfg.PREFIX
+        print _('checking mode for %(prefix)s')
+    dirs = {}
+    for d in (mm_cfg.PREFIX, mm_cfg.EXEC_PREFIX, mm_cfg.VAR_PREFIX,
+              mm_cfg.LOG_DIR):
+        dirs[d] = True
+    for d in dirs.keys():
+        try:
+            mode = statmode(d)
+        except OSError, e:
+            if e.errno <> errno.ENOENT: raise
+            print _('WARNING: directory does not exist: %(d)s')
+            continue
+        if (mode & DIRPERMS) <> DIRPERMS:
+            STATE.ERRORS += 1
+            print _('directory must be at least 02775: %(d)s'),
+            if STATE.FIX:
+                print _('(fixing)')
+                os.chmod(d, mode | DIRPERMS)
+            else:
+                print
+        # check all subdirs
+        os.path.walk(d, checkwalk, STATE)
+
+def checkarchives():
+    private = mm_cfg.PRIVATE_ARCHIVE_FILE_DIR
+    if STATE.VERBOSE:
+        print _('checking perms on %(private)s')
+    # private archives must not be other readable
+    mode = statmode(private)
+    if mode & S_IROTH:
+        STATE.ERRORS += 1
+        print _('%(private)s must not be other-readable'),
+        if STATE.FIX:
+            print _('(fixing)')
+            os.chmod(private, mode & ~S_IROTH)
+        else:
+            print
+    # In addition, on a multiuser system you may want to hide the private
+    # archives so other users can't read them.
+    if mode & S_IXOTH:
+        print _("""\
+Warning: Private archive directory is other-executable (o+x).
+         This could allow other users on your system to read private archives.
+         If you're on a shared multiuser system, you should consult the
+         installation manual on how to fix this.""")
+
+MBOXPERMS = S_IRGRP | S_IWGRP | S_IRUSR | S_IWUSR
+
+def checkmboxfile(mboxdir):
+    absdir = os.path.join(mm_cfg.PRIVATE_ARCHIVE_FILE_DIR, mboxdir)
+    for f in os.listdir(absdir):
+        if not f.endswith('.mbox'):
+            continue
+        mboxfile = os.path.join(absdir, f)
+        mode = statmode(mboxfile)
+        if (mode & MBOXPERMS) <> MBOXPERMS:
+            STATE.ERRORS = STATE.ERRORS + 1
+            print _('mbox file must be at least 0660:'), mboxfile
+            if STATE.FIX:
+                print _('(fixing)')
+                os.chmod(mboxfile, mode | MBOXPERMS)
+            else:
+                print
+
+def checkarchivedbs():
+    # The archives/private/listname/database file must not be other readable
+    # or executable otherwise those files will be accessible when the archives
+    # are public.  That may not be a horrible breach, but let's close this off
+    # anyway.
+    for dir in os.listdir(mm_cfg.PRIVATE_ARCHIVE_FILE_DIR):
+        if dir.endswith('.mbox'):
+            checkmboxfile(dir)
+        dbdir = os.path.join(mm_cfg.PRIVATE_ARCHIVE_FILE_DIR, dir, 'database')
+        try:
+            mode = statmode(dbdir)
+        except OSError, e:
+            if e.errno not in (errno.ENOENT, errno.ENOTDIR): raise
+            continue
+        if mode & S_IRWXO:
+            STATE.ERRORS += 1
+            print _('%(dbdir)s "other" perms must be 000'),
+            if STATE.FIX:
+                print _('(fixing)')
+                os.chmod(dbdir, mode & ~S_IRWXO)
+            else:
+                print
+
+def checkcgi():
+    cgidir = os.path.join(mm_cfg.EXEC_PREFIX, 'cgi-bin')
+    if STATE.VERBOSE:
+        print _('checking cgi-bin permissions')
+    exes = os.listdir(cgidir)
+    for f in exes:
+        path = os.path.join(cgidir, f)
+        if STATE.VERBOSE:
+            print _('    checking set-gid for %(path)s')
+        mode = statmode(path)
+        if mode & S_IXGRP and not mode & S_ISGID:
+            STATE.ERRORS += 1
+            print _('%(path)s must be set-gid'),
+            if STATE.FIX:
+                print _('(fixing)')
+                os.chmod(path, mode | S_ISGID)
+            else:
+                print
+
+def checkmail():
+    wrapper = os.path.join(mm_cfg.WRAPPER_DIR, 'mailman')
+    if STATE.VERBOSE:
+        print _('checking set-gid for %(wrapper)s')
+    mode = statmode(wrapper)
+    if not mode & S_ISGID:
+        STATE.ERRORS += 1
+        print _('%(wrapper)s must be set-gid'),
+        if STATE.FIX:
+            print _('(fixing)')
+            os.chmod(wrapper, mode | S_ISGID)
+
+def checkadminpw():
+    for pwfile in (os.path.join(mm_cfg.DATA_DIR, 'adm.pw'),
+                   os.path.join(mm_cfg.DATA_DIR, 'creator.pw')):
+        targetmode = S_IFREG | S_IRUSR | S_IWUSR | S_IRGRP
+        if STATE.VERBOSE:
+            print _('checking permissions on %(pwfile)s')
+        try:
+            mode = statmode(pwfile)
+        except OSError, e:
+            if e.errno <> errno.ENOENT: raise
+            return
+        if mode <> targetmode:
+            STATE.ERRORS += 1
+            octmode = oct(mode)
+            print _('%(pwfile)s permissions must be exactly 0640 '
+                    '(got %(octmode)s)'),
+            if STATE.FIX:
+                print _('(fixing)')
+                os.chmod(pwfile, targetmode)
+            else:
+                print
+
+def checkmta():
+    if mm_cfg.MTA:
+        modname = 'Mailman.MTA.' + mm_cfg.MTA
+        __import__(modname)
+        try:
+            sys.modules[modname].checkperms(STATE)
+        except AttributeError:
+            pass
+
+def checkdata():
+    targetmode = S_IRUSR | S_IWUSR | S_IRGRP | S_IWGRP
+    checkfiles = ('config.pck', 'config.pck.last',
+                  'config.db', 'config.db.last',
+                  'next-digest', 'next-digest-topics',
+                  'digest.mbox', 'pending.pck',
+                  'request.db', 'request.db.tmp')
+    if STATE.VERBOSE:
+        print _('checking permissions on list data')
+    # BAW: This needs to be converted to the Site module abstraction
+    for dir in os.listdir(mm_cfg.LIST_DATA_DIR):
+        for file in checkfiles:
+            path = os.path.join(mm_cfg.LIST_DATA_DIR, dir, file)
+            if STATE.VERBOSE:
+                print _('    checking permissions on: %(path)s')
+            try:
+                mode = statmode(path)
+            except OSError, e:
+                if e.errno <> errno.ENOENT: raise
+                continue
+            if (mode & targetmode) <> targetmode:
+                STATE.ERRORS += 1
+                print _('file permissions must be at least 660: %(path)s'),
+                if STATE.FIX:
+                    print _('(fixing)')
+                    os.chmod(path, mode | targetmode)
+                else:
+                    print
+
+
+
+def usage(code, msg=''):
+    if code:
+        fd = sys.stderr
+    else:
+        fd = sys.stdout
+    print >> fd, _(__doc__)
+    if msg:
+        print >> fd, msg
+    sys.exit(code)
+
+
+if __name__ == '__main__':
+    try:
+        opts, args = getopt.getopt(sys.argv[1:], 'fvh',
+                                   ['fix', 'verbose', 'help'])
+    except getopt.error, msg:
+        usage(1, msg)
+
+    for opt, arg in opts:
+        if opt in ('-h', '--help'):
+            usage(0)
+        elif opt in ('-f', '--fix'):
+            STATE.FIX = True
+        elif opt in ('-v', '--verbose'):
+            STATE.VERBOSE = True
+
+    checkall()
+    checkarchives()
+    checkarchivedbs()
+    checkcgi()
+    checkmail()
+    checkdata()
+    checkadminpw()
+    checkmta()
+
+    if not STATE.ERRORS:
+        print _('No problems found')
+    else:
+        print _('Problems found:'), STATE.ERRORS
+        print _('Re-run as %(MAILMAN_USER)s (or root) with -f flag to fix')

=== added directory '.pc/53_disable_addons.patch'
=== added directory '.pc/53_disable_addons.patch/misc'
=== added file '.pc/53_disable_addons.patch/misc/Makefile.in'
--- .pc/53_disable_addons.patch/misc/Makefile.in	1970-01-01 00:00:00 +0000
+++ .pc/53_disable_addons.patch/misc/Makefile.in	2010-07-13 21:35:40 +0000
@@ -0,0 +1,110 @@
+# Copyright (C) 1998-2006 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software 
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+# NOTE: Makefile.in is converted into Makefile by the configure script
+# in the parent directory.  Once configure has run, you can recreate
+# the Makefile by running just config.status.
+
+# Variables set by configure
+
+VPATH=		@srcdir@
+srcdir= 	@srcdir@
+bindir= 	@bindir@
+prefix=   	@prefix@
+exec_prefix=	@exec_prefix@
+var_prefix=	@VAR_PREFIX@
+DESTDIR=
+
+CC=		@CC@
+CHMOD=  	@CHMOD@
+INSTALL=	@INSTALL@
+PYTHON=		@PYTHON@
+
+DEFS=   	@DEFS@
+
+# Customizable but not set by configure
+
+OPT=		@OPT@
+CFLAGS=		$(OPT) $(DEFS)
+PACKAGEDIR=	$(prefix)/Mailman
+DATADIR=	$(var_prefix)/data
+ICONDIR=	$(prefix)/icons
+SCRIPTSDIR=	$(prefix)/scripts
+
+SHELL=		/bin/sh
+PYTHONLIBDIR=	$(prefix)/pythonlib
+SETUPINSTOPTS=	--install-lib $(DESTDIR)$(PYTHONLIBDIR) \
+		--install-purelib $(DESTDIR)$(PYTHONLIBDIR) \
+		--install-data $(DESTDIR)$(PYTHONLIBDIR)
+SETUPCMD=	setup.py --quiet install $(SETUPINSTOPTS)
+PKGDIR= 	$(srcdir)
+
+EMAILPKG=	@EMAILPKG@
+JACODECSPKG=	@JACODECSPKG@
+KOCODECSPKG=	@KOCODECSPKG@
+
+PACKAGES= $(EMAILPKG) $(JACODECSPKG) $(KOCODECSPKG)
+
+# Modes for directories and executables created by the install
+# process.  Default to group-writable directories but
+# user-only-writable for executables.
+DIRMODE=	775
+EXEMODE=	755
+FILEMODE=	644
+DATAMODE=	664
+INSTALL_PROGRAM=$(INSTALL) -m $(EXEMODE)
+
+PATHSDIRS=	bin cron scripts tests
+ICONS=		$(srcdir)/*.jpg $(srcdir)/*.png
+
+# Rules
+
+all:
+
+install: install-other install-packages
+
+install-other:
+	for i in $(ICONS); \
+	do \
+	  $(INSTALL) -m $(FILEMODE) $$i $(DESTDIR)$(ICONDIR); \
+	done
+	for d in $(PATHSDIRS); \
+	do \
+	    dir=$(DESTDIR)$(prefix)/$$d; \
+	    $(INSTALL) -m $(FILEMODE) paths.py $$dir; \
+	done
+	$(INSTALL) -m $(EXEMODE) mailman $(DESTDIR)$(SCRIPTSDIR)
+	$(INSTALL) -m $(FILEMODE) sitelist.cfg $(DESTDIR)$(DATADIR)
+
+install-packages:
+	if [ -z "$(EMAILPKG)" -a -d $(DESTDIR)$(PYTHONLIBDIR)/email ] ; \
+	then \
+	    rm -rf $(DESTDIR)$(PYTHONLIBDIR)/email* ; \
+	fi
+	for p in $(PACKAGES); \
+	do \
+	    gunzip -c $(srcdir)/$$p.tar.gz | (cd $(PKGDIR) ; tar xf -); \
+	    (cd $(PKGDIR)/$$p ; umask 02 ; PYTHONPATH=$(PYTHONLIBDIR) $(PYTHON) $(SETUPCMD)); \
+	done
+
+finish:
+
+clean:
+
+distclean:
+	-rm Makefile paths.py mailman
+	-rm -rf $(PACKAGES)

=== added file '.pc/53_disable_addons.patch/misc/paths.py.in'
--- .pc/53_disable_addons.patch/misc/paths.py.in	1970-01-01 00:00:00 +0000
+++ .pc/53_disable_addons.patch/misc/paths.py.in	2010-07-13 21:35:40 +0000
@@ -0,0 +1,84 @@
+# -*- python -*-
+
+# Copyright (C) 1998-2009 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+# This file becomes paths.py which is installed in may directories.  By
+# importing this module, sys.path gets `hacked' so that the $prefix/Mailman
+# directory is inserted at the start of that list.  That directory really
+# contains the Mailman modules in package form.  This file exports two
+# attributes that other modules may use to get the absolute path to the
+# installed Mailman distribution.
+
+import os
+import sys
+
+# some scripts expect this attribute to be in this module
+prefix = '@prefix@'
+exec_prefix = '@exec_prefix@'
+
+# work around a bogus autoconf 2.12 bug
+if exec_prefix == '${prefix}':
+    exec_prefix = prefix
+
+# Check if ja/ko codecs are available before changing path.
+try:
+    s = unicode('OK', 'iso-2022-jp')
+    jaok = True
+except LookupError:
+    jaok = False
+
+try:
+    s = unicode('OK', 'euc-kr')
+    kook = True
+except LookupError:
+    kook = False
+
+# Hack the path to include the parent directory of the $prefix/Mailman package
+# directory.
+sys.path.insert(0, prefix)
+
+# We also need the pythonlib directory on the path to pick up any overrides of
+# standard modules and packages.  Note that these must go at the front of the
+# path for this reason.
+sys.path.insert(0, os.path.join(prefix, 'pythonlib'))
+
+# Include Python's site-packages directory.
+sitedir = os.path.join(sys.prefix, 'lib', 'python'+sys.version[:3],
+                       'site-packages')
+sys.path.append(sitedir)
+
+
+# In a normal interactive Python environment, the japanese.pth and korean.pth
+# files would be imported automatically.  But because we inhibit the importing
+# of the site module, we need to be explicit about importing these codecs.
+if not jaok:
+    import japanese
+# As of KoreanCodecs 2.0.5, you had to do the second import to get the Korean
+# codecs installed, however leave the first import in there in case an upgrade
+# changes this.
+if not kook:
+    import korean
+    import korean.aliases
+# Arabic and Hebrew (RFC-1556) encoding aliases. (temporary solution)
+import encodings.aliases
+encodings.aliases.aliases.update({
+    'iso_8859_6_e': 'iso8859_6',
+    'iso_8859_6_i': 'iso8859_6',
+    'iso_8859_8_e': 'iso8859_8',
+    'iso_8859_8_i': 'iso8859_8',
+})

=== added directory '.pc/59_fix_missing_language_crash.patch'
=== added directory '.pc/59_fix_missing_language_crash.patch/Mailman'
=== added file '.pc/59_fix_missing_language_crash.patch/Mailman/htmlformat.py'
--- .pc/59_fix_missing_language_crash.patch/Mailman/htmlformat.py	1970-01-01 00:00:00 +0000
+++ .pc/59_fix_missing_language_crash.patch/Mailman/htmlformat.py	2010-07-13 21:35:40 +0000
@@ -0,0 +1,699 @@
+# Copyright (C) 1998-2007 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+
+"""Library for program-based construction of an HTML documents.
+
+Encapsulate HTML formatting directives in classes that act as containers
+for python and, recursively, for nested HTML formatting objects.
+"""
+
+
+# Eventually could abstract down to HtmlItem, which outputs an arbitrary html
+# object given start / end tags, valid options, and a value.  Ug, objects
+# shouldn't be adding their own newlines.  The next object should.
+
+
+import types
+
+from Mailman import mm_cfg
+from Mailman import Utils
+from Mailman.i18n import _
+
+SPACE = ' '
+EMPTYSTRING = ''
+NL = '\n'
+
+
+
+# Format an arbitrary object.
+def HTMLFormatObject(item, indent):
+    "Return a presentation of an object, invoking their Format method if any."
+    if type(item) == type(''):
+        return item
+    elif not hasattr(item, "Format"):
+        return `item`
+    else:
+        return item.Format(indent)
+
+def CaseInsensitiveKeyedDict(d):
+    result = {}
+    for (k,v) in d.items():
+        result[k.lower()] = v
+    return result
+
+# Given references to two dictionaries, copy the second dictionary into the
+# first one.
+def DictMerge(destination, fresh_dict):
+    for (key, value) in fresh_dict.items():
+        destination[key] = value
+
+class Table:
+    def __init__(self, **table_opts):
+        self.cells = []
+        self.cell_info = {}
+        self.row_info = {}
+        self.opts = table_opts
+
+    def AddOptions(self, opts):
+        DictMerge(self.opts, opts)
+
+    # Sets all of the cells.  It writes over whatever cells you had there
+    # previously.
+
+    def SetAllCells(self, cells):
+        self.cells = cells
+
+    # Add a new blank row at the end
+    def NewRow(self):
+        self.cells.append([])
+
+    # Add a new blank cell at the end
+    def NewCell(self):
+        self.cells[-1].append('')
+
+    def AddRow(self, row):
+        self.cells.append(row)
+
+    def AddCell(self, cell):
+        self.cells[-1].append(cell)
+
+    def AddCellInfo(self, row, col, **kws):
+        kws = CaseInsensitiveKeyedDict(kws)
+        if not self.cell_info.has_key(row):
+            self.cell_info[row] = { col : kws }
+        elif self.cell_info[row].has_key(col):
+            DictMerge(self.cell_info[row], kws)
+        else:
+            self.cell_info[row][col] = kws
+
+    def AddRowInfo(self, row, **kws):
+        kws = CaseInsensitiveKeyedDict(kws)
+        if not self.row_info.has_key(row):
+            self.row_info[row] = kws
+        else:
+            DictMerge(self.row_info[row], kws)
+
+    # What's the index for the row we just put in?
+    def GetCurrentRowIndex(self):
+        return len(self.cells)-1
+
+    # What's the index for the col we just put in?
+    def GetCurrentCellIndex(self):
+        return len(self.cells[-1])-1
+
+    def ExtractCellInfo(self, info):
+        valid_mods = ['align', 'valign', 'nowrap', 'rowspan', 'colspan',
+                      'bgcolor']
+        output = ''
+
+        for (key, val) in info.items():
+            if not key in valid_mods:
+                continue
+            if key == 'nowrap':
+                output = output + ' NOWRAP'
+                continue
+            else:
+                output = output + ' %s="%s"' % (key.upper(), val)
+
+        return output
+
+    def ExtractRowInfo(self, info):
+        valid_mods = ['align', 'valign', 'bgcolor']
+        output = ''
+
+        for (key, val) in info.items():
+            if not key in valid_mods:
+                continue
+            output = output + ' %s="%s"' % (key.upper(), val)
+
+        return output
+
+    def ExtractTableInfo(self, info):
+        valid_mods = ['align', 'width', 'border', 'cellspacing', 'cellpadding',
+                      'bgcolor']
+
+        output = ''
+
+        for (key, val) in info.items():
+            if not key in valid_mods:
+                continue
+            if key == 'border' and val == None:
+                output = output + ' BORDER'
+                continue
+            else:
+                output = output + ' %s="%s"' % (key.upper(), val)
+
+        return output
+
+    def FormatCell(self, row, col, indent):
+        try:
+            my_info = self.cell_info[row][col]
+        except:
+            my_info = None
+
+        output = '\n' + ' '*indent + '<td'
+        if my_info:
+            output = output + self.ExtractCellInfo(my_info)
+        item = self.cells[row][col]
+        item_format = HTMLFormatObject(item, indent+4)
+        output = '%s>%s</td>' % (output, item_format)
+        return output
+
+    def FormatRow(self, row, indent):
+        try:
+            my_info = self.row_info[row]
+        except:
+            my_info = None
+
+        output = '\n' + ' '*indent + '<tr'
+        if my_info:
+            output = output + self.ExtractRowInfo(my_info)
+        output = output + '>'
+
+        for i in range(len(self.cells[row])):
+            output = output + self.FormatCell(row, i, indent + 2)
+
+        output = output + '\n' + ' '*indent + '</tr>'
+
+        return output
+
+    def Format(self, indent=0):
+        output = '\n' + ' '*indent + '<table'
+        output = output + self.ExtractTableInfo(self.opts)
+        output = output + '>'
+
+        for i in range(len(self.cells)):
+            output = output + self.FormatRow(i, indent + 2)
+
+        output = output + '\n' + ' '*indent + '</table>\n'
+
+        return output
+
+
+class Link:
+    def __init__(self, href, text, target=None):
+        self.href = href
+        self.text = text
+        self.target = target
+
+    def Format(self, indent=0):
+        texpr = ""
+        if self.target != None:
+            texpr = ' target="%s"' % self.target
+        return '<a href="%s"%s>%s</a>' % (HTMLFormatObject(self.href, indent),
+                                          texpr,
+                                          HTMLFormatObject(self.text, indent))
+
+class FontSize:
+    """FontSize is being deprecated - use FontAttr(..., size="...") instead."""
+    def __init__(self, size, *items):
+        self.items = list(items)
+        self.size = size
+
+    def Format(self, indent=0):
+        output = '<font size="%s">' % self.size
+        for item in self.items:
+            output = output + HTMLFormatObject(item, indent)
+        output = output + '</font>'
+        return output
+
+class FontAttr:
+    """Present arbitrary font attributes."""
+    def __init__(self, *items, **kw):
+        self.items = list(items)
+        self.attrs = kw
+
+    def Format(self, indent=0):
+        seq = []
+        for k, v in self.attrs.items():
+            seq.append('%s="%s"' % (k, v))
+        output = '<font %s>' % SPACE.join(seq)
+        for item in self.items:
+            output = output + HTMLFormatObject(item, indent)
+        output = output + '</font>'
+        return output
+
+
+class Container:
+    def __init__(self, *items):
+        if not items:
+            self.items = []
+        else:
+            self.items = items
+
+    def AddItem(self, obj):
+        self.items.append(obj)
+
+    def Format(self, indent=0):
+        output = []
+        for item in self.items:
+            output.append(HTMLFormatObject(item, indent))
+        return EMPTYSTRING.join(output)
+
+
+class Label(Container):
+    align = 'right'
+
+    def __init__(self, *items):
+        Container.__init__(self, *items)
+
+    def Format(self, indent=0):
+        return ('<div align="%s">' % self.align) + \
+               Container.Format(self, indent) + \
+               '</div>'
+
+
+# My own standard document template.  YMMV.
+# something more abstract would be more work to use...
+
+class Document(Container):
+    title = None
+    language = None
+    bgcolor = mm_cfg.WEB_BG_COLOR
+    suppress_head = 0
+
+    def set_language(self, lang=None):
+        self.language = lang
+
+    def set_bgcolor(self, color):
+        self.bgcolor = color
+
+    def SetTitle(self, title):
+        self.title = title
+
+    def Format(self, indent=0, **kws):
+        charset = 'us-ascii'
+        if self.language:
+            charset = Utils.GetCharSet(self.language)
+        output = ['Content-Type: text/html; charset=%s\n' % charset]
+        if not self.suppress_head:
+            kws.setdefault('bgcolor', self.bgcolor)
+            tab = ' ' * indent
+            output.extend([tab,
+                           '<HTML>',
+                           '<HEAD>'
+                           ])
+            if mm_cfg.IMAGE_LOGOS:
+                output.append('<LINK REL="SHORTCUT ICON" HREF="%s">' %
+                              (mm_cfg.IMAGE_LOGOS + mm_cfg.SHORTCUT_ICON))
+            # Hit all the bases
+            output.append('<META http-equiv="Content-Type" '
+                          'content="text/html; charset=%s">' % charset)
+            if self.title:
+                output.append('%s<TITLE>%s</TITLE>' % (tab, self.title))
+            output.append('%s</HEAD>' % tab)
+            quals = []
+            # Default link colors
+            if mm_cfg.WEB_VLINK_COLOR:
+                kws.setdefault('vlink', mm_cfg.WEB_VLINK_COLOR)
+            if mm_cfg.WEB_ALINK_COLOR:
+                kws.setdefault('alink', mm_cfg.WEB_ALINK_COLOR)
+            if mm_cfg.WEB_LINK_COLOR:
+                kws.setdefault('link', mm_cfg.WEB_LINK_COLOR)
+            for k, v in kws.items():
+                quals.append('%s="%s"' % (k, v))
+            output.append('%s<BODY %s' % (tab, SPACE.join(quals)))
+            # Language direction
+            direction = Utils.GetDirection(self.language)
+            output.append('dir="%s">' % direction)
+        # Always do this...
+        output.append(Container.Format(self, indent))
+        if not self.suppress_head:
+            output.append('%s</BODY>' % tab)
+            output.append('%s</HTML>' % tab)
+        return NL.join(output)
+
+    def addError(self, errmsg, tag=None):
+        if tag is None:
+            tag = _('Error: ')
+        self.AddItem(Header(3, Bold(FontAttr(
+            _(tag), color=mm_cfg.WEB_ERROR_COLOR, size='+2')).Format() +
+                            Italic(errmsg).Format()))
+
+
+class HeadlessDocument(Document):
+    """Document without head section, for templates that provide their own."""
+    suppress_head = 1
+
+
+class StdContainer(Container):
+    def Format(self, indent=0):
+        # If I don't start a new I ignore indent
+        output = '<%s>' % self.tag
+        output = output + Container.Format(self, indent)
+        output = '%s</%s>' % (output, self.tag)
+        return output
+
+
+class QuotedContainer(Container):
+    def Format(self, indent=0):
+        # If I don't start a new I ignore indent
+        output = '<%s>%s</%s>' % (
+            self.tag,
+            Utils.websafe(Container.Format(self, indent)),
+            self.tag)
+        return output
+
+class Header(StdContainer):
+    def __init__(self, num, *items):
+        self.items = items
+        self.tag = 'h%d' % num
+
+class Address(StdContainer):
+    tag = 'address'
+
+class Underline(StdContainer):
+    tag = 'u'
+
+class Bold(StdContainer):
+    tag = 'strong'
+
+class Italic(StdContainer):
+    tag = 'em'
+
+class Preformatted(QuotedContainer):
+    tag = 'pre'
+
+class Subscript(StdContainer):
+    tag = 'sub'
+
+class Superscript(StdContainer):
+    tag = 'sup'
+
+class Strikeout(StdContainer):
+    tag = 'strike'
+
+class Center(StdContainer):
+    tag = 'center'
+
+class Form(Container):
+    def __init__(self, action='', method='POST', encoding=None, *items):
+        apply(Container.__init__, (self,) +  items)
+        self.action = action
+        self.method = method
+        self.encoding = encoding
+
+    def set_action(self, action):
+        self.action = action
+
+    def Format(self, indent=0):
+        spaces = ' ' * indent
+        encoding = ''
+        if self.encoding:
+            encoding = 'enctype="%s"' % self.encoding
+        output = '\n%s<FORM action="%s" method="%s" %s>\n' % (
+            spaces, self.action, self.method, encoding)
+        output = output + Container.Format(self, indent+2)
+        output = '%s\n%s</FORM>\n' % (output, spaces)
+        return output
+
+
+class InputObj:
+    def __init__(self, name, ty, value, checked, **kws):
+        self.name = name
+        self.type = ty
+        self.value = value
+        self.checked = checked
+        self.kws = kws
+
+    def Format(self, indent=0):
+        output = ['<INPUT name="%s" type="%s" value="%s"' %
+                  (self.name, self.type, self.value)]
+        for item in self.kws.items():
+            output.append('%s="%s"' % item)
+        if self.checked:
+            output.append('CHECKED')
+        output.append('>')
+        return SPACE.join(output)
+
+
+class SubmitButton(InputObj):
+    def __init__(self, name, button_text):
+        InputObj.__init__(self, name, "SUBMIT", button_text, checked=0)
+
+class PasswordBox(InputObj):
+    def __init__(self, name, value='', size=mm_cfg.TEXTFIELDWIDTH):
+        InputObj.__init__(self, name, "PASSWORD", value, checked=0, size=size)
+
+class TextBox(InputObj):
+    def __init__(self, name, value='', size=mm_cfg.TEXTFIELDWIDTH):
+        if isinstance(value, str):
+            safevalue = Utils.websafe(value)
+        else:
+            safevalue = value
+        InputObj.__init__(self, name, "TEXT", safevalue, checked=0, size=size)
+
+class Hidden(InputObj):
+    def __init__(self, name, value=''):
+        InputObj.__init__(self, name, 'HIDDEN', value, checked=0)
+
+class TextArea:
+    def __init__(self, name, text='', rows=None, cols=None, wrap='soft',
+                 readonly=0):
+        if isinstance(text, str):
+            safetext = Utils.websafe(text)
+        else:
+            safetext = text
+        self.name = name
+        self.text = safetext
+        self.rows = rows
+        self.cols = cols
+        self.wrap = wrap
+        self.readonly = readonly
+
+    def Format(self, indent=0):
+        output = '<TEXTAREA NAME=%s' % self.name
+        if self.rows:
+            output += ' ROWS=%s' % self.rows
+        if self.cols:
+            output += ' COLS=%s' % self.cols
+        if self.wrap:
+            output += ' WRAP=%s' % self.wrap
+        if self.readonly:
+            output += ' READONLY'
+        output += '>%s</TEXTAREA>' % self.text
+        return output
+
+class FileUpload(InputObj):
+    def __init__(self, name, rows=None, cols=None, **kws):
+        apply(InputObj.__init__, (self, name, 'FILE', '', 0), kws)
+
+class RadioButton(InputObj):
+    def __init__(self, name, value, checked=0, **kws):
+        apply(InputObj.__init__, (self, name, 'RADIO', value, checked), kws)
+
+class CheckBox(InputObj):
+    def __init__(self, name, value, checked=0, **kws):
+        apply(InputObj.__init__, (self, name, "CHECKBOX", value, checked), kws)
+
+class VerticalSpacer:
+    def __init__(self, size=10):
+        self.size = size
+    def Format(self, indent=0):
+        output = '<spacer type="vertical" height="%d">' % self.size
+        return output
+
+class WidgetArray:
+    Widget = None
+
+    def __init__(self, name, button_names, checked, horizontal, values):
+        self.name = name
+        self.button_names = button_names
+        self.checked = checked
+        self.horizontal = horizontal
+        self.values = values
+        assert len(values) == len(button_names)
+        # Don't assert `checked' because for RadioButtons it is a scalar while
+        # for CheckedBoxes it is a vector.  Subclasses will assert length.
+
+    def ischecked(self, i):
+        raise NotImplemented
+
+    def Format(self, indent=0):
+        t = Table(cellspacing=5)
+        items = []
+        for i, name, value in zip(range(len(self.button_names)),
+                                  self.button_names,
+                                  self.values):
+            ischecked = (self.ischecked(i))
+            item = self.Widget(self.name, value, ischecked).Format() + name
+            items.append(item)
+            if not self.horizontal:
+                t.AddRow(items)
+                items = []
+        if self.horizontal:
+            t.AddRow(items)
+        return t.Format(indent)
+
+class RadioButtonArray(WidgetArray):
+    Widget = RadioButton
+
+    def __init__(self, name, button_names, checked=None, horizontal=1,
+                 values=None):
+        if values is None:
+            values = range(len(button_names))
+        # BAW: assert checked is a scalar...
+        WidgetArray.__init__(self, name, button_names, checked, horizontal,
+                             values)
+
+    def ischecked(self, i):
+        return self.checked == i
+
+class CheckBoxArray(WidgetArray):
+    Widget = CheckBox
+
+    def __init__(self, name, button_names, checked=None, horizontal=0,
+                 values=None):
+        if checked is None:
+            checked = [0] * len(button_names)
+        else:
+            assert len(checked) == len(button_names)
+        if values is None:
+            values = range(len(button_names))
+        WidgetArray.__init__(self, name, button_names, checked, horizontal,
+                             values)
+
+    def ischecked(self, i):
+        return self.checked[i]
+
+class UnorderedList(Container):
+    def Format(self, indent=0):
+        spaces = ' ' * indent
+        output = '\n%s<ul>\n' % spaces
+        for item in self.items:
+            output = output + '%s<li>%s\n' % \
+                     (spaces, HTMLFormatObject(item, indent + 2))
+        output = output + '%s</ul>\n' % spaces
+        return output
+
+class OrderedList(Container):
+    def Format(self, indent=0):
+        spaces = ' ' * indent
+        output = '\n%s<ol>\n' % spaces
+        for item in self.items:
+            output = output + '%s<li>%s\n' % \
+                     (spaces, HTMLFormatObject(item, indent + 2))
+        output = output + '%s</ol>\n' % spaces
+        return output
+
+class DefinitionList(Container):
+    def Format(self, indent=0):
+        spaces = ' ' * indent
+        output = '\n%s<dl>\n' % spaces
+        for dt, dd in self.items:
+            output = output + '%s<dt>%s\n<dd>%s\n' % \
+                     (spaces, HTMLFormatObject(dt, indent+2),
+                      HTMLFormatObject(dd, indent+2))
+        output = output + '%s</dl>\n' % spaces
+        return output
+
+
+
+# Logo constants
+#
+# These are the URLs which the image logos link to.  The Mailman home page now
+# points at the gnu.org site instead of the www.list.org mirror.
+#
+from mm_cfg import MAILMAN_URL
+PYTHON_URL  = 'http://www.python.org/'
+GNU_URL     = 'http://www.gnu.org/'
+
+# The names of the image logo files.  These are concatentated onto
+# mm_cfg.IMAGE_LOGOS (not urljoined).
+DELIVERED_BY = 'mailman.jpg'
+PYTHON_POWERED = 'PythonPowered.png'
+GNU_HEAD = 'gnu-head-tiny.jpg'
+
+
+def MailmanLogo():
+    t = Table(border=0, width='100%')
+
+    version = mm_cfg.VERSION
+    mmlink = _("Delivered by Mailman")
+    pylink = _("Python Powered")
+    gnulink = _("GNU's Not Unix")
+    if mm_cfg.SITE_LINK:
+        sitelink = mm_cfg.SITE_TEXT
+
+    if mm_cfg.IMAGE_LOGOS:
+        def logo(file, alt, base=mm_cfg.IMAGE_LOGOS):
+            return '<img src="%s" alt="%s" border="0" />' % \
+              (base + file, alt)
+        mmlink = logo(DELIVERED_BY, mmlink)
+        pylink = logo(PYTHON_POWERED, pylink)
+        gnulink = logo(GNU_HEAD, gnulink)
+        if mm_cfg.SITE_LINK:
+            sitelink = logo(mm_cfg.SITE_LOGO, sitelink, "")
+
+    mmlink = Link(MAILMAN_URL, mmlink + _('<br>version %(version)s'))
+    pylink = Link(PYTHON_URL, pylink)
+    gnulink = Link(GNU_URL, gnulink)
+    links = [mmlink, pylink, gnulink]
+    if mm_cfg.SITE_LINK:
+        if mm_cfg.SITE_URL:
+            sitelink = Link(mm_cfg.SITE_URL, sitelink)
+        links.append(sitelink)
+    t.AddRow(links)
+    return t
+
+
+class SelectOptions:
+   def __init__(self, varname, values, legend,
+                selected=0, size=1, multiple=None):
+      self.varname  = varname
+      self.values   = values
+      self.legend   = legend
+      self.size     = size
+      self.multiple = multiple
+      # we convert any type to tuple, commas are needed
+      if not multiple:
+         if type(selected) == types.IntType:
+             self.selected = (selected,)
+         elif type(selected) == types.TupleType:
+             self.selected = (selected[0],)
+         elif type(selected) == types.ListType:
+             self.selected = (selected[0],)
+         else:
+             self.selected = (0,)
+
+   def Format(self, indent=0):
+      spaces = " " * indent
+      items  = min( len(self.values), len(self.legend) )
+
+      # jcrey: If there is no argument, we return nothing to avoid errors
+      if items == 0:
+          return ""
+
+      text = "\n" + spaces + "<Select name=\"%s\"" % self.varname
+      if self.size > 1:
+          text = text + " size=%d" % self.size
+      if self.multiple:
+          text = text + " multiple"
+      text = text + ">\n"
+
+      for i in range(items):
+          if i in self.selected:
+              checked = " Selected"
+          else:
+              checked = ""
+
+          opt = " <option value=\"%s\"%s> %s </option>" % (
+              self.values[i], checked, self.legend[i])
+          text = text + spaces + opt + "\n"
+
+      return text + spaces + '</Select>'

=== added directory '.pc/63_update_default_server_language.patch'
=== added directory '.pc/63_update_default_server_language.patch/bin'
=== added file '.pc/63_update_default_server_language.patch/bin/update'
--- .pc/63_update_default_server_language.patch/bin/update	1970-01-01 00:00:00 +0000
+++ .pc/63_update_default_server_language.patch/bin/update	2010-07-13 21:35:40 +0000
@@ -0,0 +1,789 @@
+#! @PYTHON@
+#
+# Copyright (C) 1998-2009 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+"""Perform all necessary upgrades.
+
+Usage: %(PROGRAM)s [options]
+
+Options:
+    -f/--force
+        Force running the upgrade procedures.  Normally, if the version number
+        of the installed Mailman matches the current version number (or a
+        `downgrade' is detected), nothing will be done.
+
+    -h/--help
+        Print this text and exit.
+
+Use this script to help you update to the latest release of Mailman from
+some previous version.  It knows about versions back to 1.0b4 (?).
+"""
+
+import os
+import sys
+import time
+import errno
+import getopt
+import shutil
+import cPickle
+import marshal
+
+import paths
+import email
+
+from Mailman import mm_cfg
+from Mailman import Utils
+from Mailman import MailList
+from Mailman import Message
+from Mailman import Pending
+from Mailman.LockFile import TimeOutError
+from Mailman.i18n import _
+from Mailman.Queue.Switchboard import Switchboard
+from Mailman.OldStyleMemberships import OldStyleMemberships
+from Mailman.MemberAdaptor import BYBOUNCE, ENABLED
+
+FRESH = 0
+NOTFRESH = -1
+
+LMVFILE = os.path.join(mm_cfg.DATA_DIR, 'last_mailman_version')
+PROGRAM = sys.argv[0]
+
+
+
+def calcversions():
+    # Returns a tuple of (lastversion, thisversion).  If the last version
+    # could not be determined, lastversion will be FRESH or NOTFRESH,
+    # depending on whether this installation appears to be fresh or not.  The
+    # determining factor is whether there are files in the $var_prefix/logs
+    # subdir or not.  The version numbers are HEX_VERSIONs.
+    #
+    # See if we stored the last updated version
+    lastversion = None
+    thisversion = mm_cfg.HEX_VERSION
+    try:
+        fp = open(LMVFILE)
+        data = fp.read()
+        fp.close()
+        lastversion = int(data, 16)
+    except (IOError, ValueError):
+        pass
+    #
+    # try to figure out if this is a fresh install
+    if lastversion is None:
+        lastversion = FRESH
+        try:
+            if os.listdir(mm_cfg.LOG_DIR):
+                lastversion = NOTFRESH
+        except OSError:
+            pass
+    return (lastversion, thisversion)
+
+
+
+def makeabs(relpath):
+    return os.path.join(mm_cfg.PREFIX, relpath)
+
+def make_varabs(relpath):
+    return os.path.join(mm_cfg.VAR_PREFIX, relpath)
+
+
+def move_language_templates(mlist):
+    listname = mlist.internal_name()
+    print _('Fixing language templates: %(listname)s')
+    # Mailman 2.1 has a new cascading search for its templates, defined and
+    # described in Utils.py:maketext().  Putting templates in the top level
+    # templates/ subdir or the lists/<listname> subdir is deprecated and no
+    # longer searched..
+    #
+    # What this means is that most templates can live in the global templates/
+    # subdirectory, and only needs to be copied into the list-, vhost-, or
+    # site-specific language directories when needed.
+    #
+    # Also, by default all standard (i.e. English) templates must now live in
+    # the templates/en directory.  This update cleans up all the templates,
+    # deleting more-specific duplicates (as calculated by md5 checksums) in
+    # favor of more-global locations.
+    #
+    # First, get rid of any lists/<list> template or lists/<list>/en template
+    # that is identical to the global templates/* default.
+    for gtemplate in os.listdir(os.path.join(mm_cfg.TEMPLATE_DIR, 'en')):
+        # BAW: get rid of old templates, e.g. admlogin.txt and
+        # handle_opts.html
+        try:
+            fp = open(os.path.join(mm_cfg.TEMPLATE_DIR, gtemplate))
+        except IOError, e:
+            if e.errno not in (errno.ENOENT, errno.EISDIR): raise
+            # No global template or maybe a VCS directory
+            continue
+
+        gcksum = Utils.md5_new(fp.read()).digest()
+        fp.close()
+        # Match against the lists/<list>/* template
+        try:
+            fp = open(os.path.join(mlist.fullpath(), gtemplate))
+        except IOError, e:
+            if e.errno <> errno.ENOENT: raise
+        else:
+            tcksum = Utils.md5_new(fp.read()).digest()
+            fp.close()
+            if gcksum == tcksum:
+                os.unlink(os.path.join(mlist.fullpath(), gtemplate))
+        # Match against the lists/<list>/*.prev template
+        try:
+            fp = open(os.path.join(mlist.fullpath(), gtemplate + '.prev'))
+        except IOError, e:
+            if e.errno <> errno.ENOENT: raise
+        else:
+            tcksum = Utils.md5_new(fp.read()).digest()
+            fp.close()
+            if gcksum == tcksum:
+                os.unlink(os.path.join(mlist.fullpath(), gtemplate + '.prev'))
+        # Match against the lists/<list>/en/* templates
+        try:
+            fp = open(os.path.join(mlist.fullpath(), 'en', gtemplate))
+        except IOError, e:
+            if e.errno <> errno.ENOENT: raise
+        else:
+            tcksum = Utils.md5_new(fp.read()).digest()
+            fp.close()
+            if gcksum == tcksum:
+                os.unlink(os.path.join(mlist.fullpath(), 'en', gtemplate))
+        # Match against the templates/* template
+        try:
+            fp = open(os.path.join(mm_cfg.TEMPLATE_DIR, gtemplate))
+        except IOError, e:
+            if e.errno <> errno.ENOENT: raise
+        else:
+            tcksum = Utils.md5_new(fp.read()).digest()
+            fp.close()
+            if gcksum == tcksum:
+                os.unlink(os.path.join(mm_cfg.TEMPLATE_DIR, gtemplate))
+        # Match against the templates/*.prev template
+        try:
+            fp = open(os.path.join(mm_cfg.TEMPLATE_DIR, gtemplate + '.prev'))
+        except IOError, e:
+            if e.errno <> errno.ENOENT: raise
+        else:
+            tcksum = Utils.md5_new(fp.read()).digest()
+            fp.close()
+            if gcksum == tcksum:
+                os.unlink(os.path.join(mm_cfg.TEMPLATE_DIR,
+                                       gtemplate + '.prev'))
+
+
+
+def dolist(listname):
+    errors = 0
+    mlist = MailList.MailList(listname, lock=0)
+    try:
+        mlist.Lock(0.5)
+    except TimeOutError:
+        print >> sys.stderr, _('WARNING: could not acquire lock for list: '
+                               '%(listname)s')
+        return 1
+
+    # Sanity check the invariant that every BYBOUNCE disabled member must have
+    # bounce information.  Some earlier betas broke this.  BAW: we're
+    # submerging below the MemberAdaptor interface, so skip this if we're not
+    # using OldStyleMemberships.
+    if isinstance(mlist._memberadaptor, OldStyleMemberships):
+        noinfo = {}
+        for addr, (reason, when) in mlist.delivery_status.items():
+            if reason == BYBOUNCE and not mlist.bounce_info.has_key(addr):
+                noinfo[addr] = reason, when
+        # What to do about these folks with a BYBOUNCE delivery status and no
+        # bounce info?  This number should be very small, and I think it's
+        # fine to simple re-enable them and let the bounce machinery
+        # re-disable them if necessary.
+        n = len(noinfo)
+        if n > 0:
+            print _(
+                'Resetting %(n)s BYBOUNCEs disabled addrs with no bounce info')
+            for addr in noinfo.keys():
+                mlist.setDeliveryStatus(addr, ENABLED)
+
+    # Update the held requests database
+    print _("""Updating the held requests database.""")
+    mlist._UpdateRecords()
+
+    mbox_dir = make_varabs('archives/private/%s.mbox' % (listname))
+    mbox_file = make_varabs('archives/private/%s.mbox/%s' % (listname,
+                                                             listname))
+
+    o_pub_mbox_file = make_varabs('archives/public/%s' % (listname))
+    o_pri_mbox_file = make_varabs('archives/private/%s' % (listname))
+
+    html_dir = o_pri_mbox_file
+    o_html_dir = makeabs('public_html/archives/%s' % (listname))
+    #
+    # make the mbox directory if it's not there.
+    #
+    if not os.path.exists(mbox_dir):
+        ou = os.umask(0)
+        os.mkdir(mbox_dir, 02775)
+        os.umask(ou)
+    else:
+        # this shouldn't happen, but hey, just in case
+        if not os.path.isdir(mbox_dir):
+            print _("""\
+For some reason, %(mbox_dir)s exists as a file.  This won't work with
+b6, so I'm renaming it to %(mbox_dir)s.tmp and proceeding.""")
+            os.rename(mbox_dir, "%s.tmp" % (mbox_dir))
+            ou = os.umask(0)
+            os.mkdir(mbox_dir, 02775)
+            os.umask(ou)
+
+    # Move any existing mboxes around, but watch out for both a public and a
+    # private one existing
+    if os.path.isfile(o_pri_mbox_file) and os.path.isfile(o_pub_mbox_file):
+        if mlist.archive_private:
+            print _("""\
+
+%(listname)s has both public and private mbox archives.  Since this list
+currently uses private archiving, I'm installing the private mbox archive
+-- %(o_pri_mbox_file)s -- as the active archive, and renaming
+        %(o_pub_mbox_file)s
+to
+        %(o_pub_mbox_file)s.preb6
+
+You can integrate that into the archives if you want by using the 'arch'
+script.
+""") % (mlist._internal_name, o_pri_mbox_file, o_pub_mbox_file,
+        o_pub_mbox_file)
+            os.rename(o_pub_mbox_file, "%s.preb6" % (o_pub_mbox_file))
+        else:
+            print _("""\
+%s has both public and private mbox archives.  Since this list
+currently uses public archiving, I'm installing the public mbox file
+archive file (%s) as the active one, and renaming
+        %s
+    to
+        %s.preb6
+
+You can integrate that into the archives if you want by using the 'arch'
+script.
+""") % (mlist._internal_name, o_pub_mbox_file, o_pri_mbox_file,
+        o_pri_mbox_file)
+            os.rename(o_pri_mbox_file, "%s.preb6" % (o_pri_mbox_file))
+    #
+    # move private archive mbox there if it's around
+    # and take into account all sorts of absurdities
+    #
+    print _('- updating old private mbox file')
+    if os.path.exists(o_pri_mbox_file):
+        if os.path.isfile(o_pri_mbox_file):
+            os.rename(o_pri_mbox_file, mbox_file)
+        elif not os.path.isdir(o_pri_mbox_file):
+            newname = "%s.mm_install-dunno_what_this_was_but_its_in_the_way" \
+                      % o_pri_mbox_file
+            os.rename(o_pri_mbox_file, newname)
+            print _("""\
+    unknown file in the way, moving
+        %(o_pri_mbox_file)s
+    to
+        %(newname)s""")
+        else:
+            # directory
+            print _('Nothing to do.')
+
+
+    #
+    # move public archive mbox there if it's around
+    # and take into account all sorts of absurdities.
+    #
+    print _('- updating old public mbox file')
+    if os.path.exists(o_pub_mbox_file):
+        if os.path.isfile(o_pub_mbox_file):
+            os.rename(o_pub_mbox_file, mbox_file)
+        elif not os.path.isdir(o_pub_mbox_file):
+            newname = "%s.mm_install-dunno_what_this_was_but_its_in_the_way" \
+                      % o_pub_mbox_file
+            os.rename(o_pub_mbox_file, newname)
+            print _("""\
+    unknown file in the way, moving
+        %(o_pub_mbox_file)s
+    to
+        %(newname)s""")
+        else: # directory
+            print _('Nothing to do.')
+
+    #
+    # move the html archives there
+    #
+    if os.path.isdir(o_html_dir):
+        os.rename(o_html_dir, html_dir)
+        #
+        # chmod the html archives
+        #
+        os.chmod(html_dir, 02775)
+    # BAW: Is this still necessary?!
+    mlist.Save()
+    #
+    #
+    # Move all the templates to the en language subdirectory as required for
+    # Mailman 2.1
+    #
+    move_language_templates(mlist)
+    # Avoid eating filehandles with the list lockfiles
+    mlist.Unlock()
+    return 0
+
+
+
+def archive_path_fixer(unused_arg, dir, files):
+    # Passed to os.path.walk to fix the perms on old html archives.
+    for f in files:
+        abs = os.path.join(dir, f)
+        if os.path.isdir(abs):
+            if f == "database":
+                os.chmod(abs, 02770)
+            else:
+                os.chmod(abs, 02775)
+        elif os.path.isfile(abs):
+            os.chmod(abs, 0664)
+
+def remove_old_sources(module):
+    # Also removes old directories.
+    src = '%s/%s' % (mm_cfg.PREFIX, module)
+    pyc = src + "c"
+    if os.path.isdir(src):
+        print _('removing directory %(src)s and everything underneath')
+        shutil.rmtree(src)
+    elif os.path.exists(src):
+        print _('removing %(src)s')
+        try:
+            os.unlink(src)
+        except os.error, rest:
+            print _("Warning: couldn't remove %(src)s -- %(rest)s")
+    if module.endswith('.py') and os.path.exists(pyc):
+        try:
+            os.unlink(pyc)
+        except os.error, rest:
+            print _("couldn't remove old file %(pyc)s -- %(rest)s")
+
+
+def update_qfiles():
+    print _('updating old qfiles')
+    prefix = `time.time()` + '+'
+    # Be sure the qfiles/in directory exists (we don't really need the
+    # switchboard object, but it's convenient for creating the directory).
+    sb = Switchboard(mm_cfg.INQUEUE_DIR)
+    for filename in os.listdir(mm_cfg.QUEUE_DIR):
+        # Updating means just moving the .db and .msg files to qfiles/in where
+        # it should be dequeued, converted, and processed normally.
+        if filename.endswith('.msg'):
+            oldmsgfile = os.path.join(mm_cfg.QUEUE_DIR, filename)
+            newmsgfile = os.path.join(mm_cfg.INQUEUE_DIR, prefix + filename)
+            os.rename(oldmsgfile, newmsgfile)
+        elif filename.endswith('.db'):
+            olddbfile = os.path.join(mm_cfg.QUEUE_DIR, filename)
+            newdbfile = os.path.join(mm_cfg.INQUEUE_DIR, prefix + filename)
+            os.rename(olddbfile, newdbfile)
+    # Now update for the Mailman 2.1.5 qfile format.  For every filebase in
+    # the qfiles/* directories that has both a .pck and a .db file, pull the
+    # data out and re-queue them.
+    for dirname in os.listdir(mm_cfg.QUEUE_DIR):
+        dirpath = os.path.join(mm_cfg.QUEUE_DIR, dirname)
+        if dirpath == mm_cfg.BADQUEUE_DIR:
+            # The files in qfiles/bad can't possibly be pickles
+            continue
+        sb = Switchboard(dirpath)
+        try:
+            for filename in os.listdir(dirpath):
+                filepath = os.path.join(dirpath, filename)
+                filebase, ext = os.path.splitext(filepath)
+                # A bug in Mailman 2.1.9 left .bak files behind in some
+                # circumstances. It should be safe to remove them.
+                if ext == '.bak':
+                    os.remove(filepath)
+                # Handle the .db metadata files as part of the handling of the
+                # .pck or .msg message files.
+                if ext not in ('.pck', '.msg'):
+                    continue
+                msg, data = dequeue(filebase)
+                if msg is not None and data is not None:
+                    sb.enqueue(msg, data)
+        except EnvironmentError, e:
+            if e.errno <> errno.ENOTDIR:
+                raise
+            print _('Warning!  Not a directory: %(dirpath)s')
+
+
+
+# Implementations taken from the pre-2.1.5 Switchboard
+def ext_read(filename):
+    fp = open(filename)
+    d = marshal.load(fp)
+    # Update from version 2 files
+    if d.get('version', 0) == 2:
+        del d['filebase']
+    # Do the reverse conversion (repr -> float)
+    for attr in ['received_time']:
+        try:
+            sval = d[attr]
+        except KeyError:
+            pass
+        else:
+            # Do a safe eval by setting up a restricted execution
+            # environment.  This may not be strictly necessary since we
+            # know they are floats, but it can't hurt.
+            d[attr] = eval(sval, {'__builtins__': {}})
+    fp.close()
+    return d
+
+
+def dequeue(filebase):
+    # Calculate the .db and .msg filenames from the given filebase.
+    msgfile = os.path.join(filebase + '.msg')
+    pckfile = os.path.join(filebase + '.pck')
+    dbfile = os.path.join(filebase + '.db')
+    # Now we are going to read the message and metadata for the given
+    # filebase.  We want to read things in this order: first, the metadata
+    # file to find out whether the message is stored as a pickle or as
+    # plain text.  Second, the actual message file.  However, we want to
+    # first unlink the message file and then the .db file, because the
+    # qrunner only cues off of the .db file
+    msg = None
+    try:
+        data = ext_read(dbfile)
+        os.unlink(dbfile)
+    except EnvironmentError, e:
+        if e.errno <> errno.ENOENT: raise
+        data = {}
+    # Between 2.1b4 and 2.1b5, the `rejection-notice' key in the metadata
+    # was renamed to `rejection_notice', since dashes in the keys are not
+    # supported in METAFMT_ASCII.
+    if data.has_key('rejection-notice'):
+        data['rejection_notice'] = data['rejection-notice']
+        del data['rejection-notice']
+    msgfp = None
+    try:
+        try:
+            msgfp = open(pckfile)
+            msg = cPickle.load(msgfp)
+            if not data:
+                # There was no .db file. Is this a post 2.1.5 .pck?
+                try:
+                    data = cPickle.load(msgfp)
+                except EOFError:
+                    pass
+            os.unlink(pckfile)
+        except EnvironmentError, e:
+            if e.errno <> errno.ENOENT: raise
+            msgfp = None
+            try:
+                msgfp = open(msgfile)
+                msg = email.message_from_file(msgfp, Message.Message)
+                os.unlink(msgfile)
+            except EnvironmentError, e:
+                if e.errno <> errno.ENOENT: raise
+            except (email.Errors.MessageParseError, ValueError), e:
+                # This message was unparsable, most likely because its
+                # MIME encapsulation was broken.  For now, there's not
+                # much we can do about it.
+                print _('message is unparsable: %(filebase)s')
+                msgfp.close()
+                msgfp = None
+                if mm_cfg.QRUNNER_SAVE_BAD_MESSAGES:
+                    # Cheapo way to ensure the directory exists w/ the
+                    # proper permissions.
+                    sb = Switchboard(mm_cfg.BADQUEUE_DIR)
+                    os.rename(msgfile, os.path.join(
+                        mm_cfg.BADQUEUE_DIR, filebase + '.txt'))
+                else:
+                    os.unlink(msgfile)
+                msg = data = None
+        except EOFError:
+            # For some reason the pckfile was empty.  Just delete it.
+            print _('Warning!  Deleting empty .pck file: %(pckfile)s')
+            os.unlink(pckfile)
+    finally:
+        if msgfp:
+            msgfp.close()
+    return msg, data
+
+
+
+def update_pending():
+    file20 = os.path.join(mm_cfg.DATA_DIR, 'pending_subscriptions.db')
+    file214 = os.path.join(mm_cfg.DATA_DIR, 'pending.pck')
+    db = None
+    # Try to load the Mailman 2.0 file
+    try:
+        fp = open(file20)
+    except IOError, e:
+        if e.errno <> errno.ENOENT: raise
+    else:
+        print _('Updating Mailman 2.0 pending_subscriptions.db database')
+        db = marshal.load(fp)
+        # Convert to the pre-Mailman 2.1.5 format
+        db = Pending._update(db)
+    if db is None:
+        # Try to load the Mailman 2.1.x where x < 5, file
+        try:
+            fp = open(file214)
+        except IOError, e:
+            if e.errno <> errno.ENOENT: raise
+        else:
+            print _('Updating Mailman 2.1.4 pending.pck database')
+            db = cPickle.load(fp)
+    if db is None:
+        print _('Nothing to do.')
+        return
+    # Now upgrade the database to the 2.1.5 format.  Each list now has its own
+    # pending.pck file, but only the RE_ENABLE operation actually recorded the
+    # listname in the request.  For the SUBSCRIPTION, UNSUBSCRIPTION, and
+    # CHANGE_OF_ADDRESS operations, we know the address of the person making
+    # the request so we can repend this request just for the lists the person
+    # is a member of.  For the HELD_MESSAGE operation, we can check the list's
+    # requests.pck file for correlation.  Evictions will take care of any
+    # misdirected pendings.
+    reenables_by_list = {}
+    addrops_by_address = {}
+    holds_by_id = {}
+    subs_by_address = {}
+    for key, val in db.items():
+        if key in ('evictions', 'version'):
+            continue
+        try:
+            op = val[0]
+            data = val[1:]
+        except (IndexError, ValueError):
+            print _('Ignoring bad pended data: %(key)s: %(val)s')
+            continue
+        if op in (Pending.UNSUBSCRIPTION, Pending.CHANGE_OF_ADDRESS):
+            # data[0] is the address being unsubscribed
+            addrops_by_address.setdefault(data[0], []).append((key, val))
+        elif op == Pending.SUBSCRIPTION:
+            # data[0] is a UserDesc object
+            addr = data[0].address
+            subs_by_address.setdefault(addr, []).append((key, val))
+        elif op == Pending.RE_ENABLE:
+            # data[0] is the mailing list's internal name
+            reenables_by_list.setdefault(data[0], []).append((key, val))
+        elif op == Pending.HELD_MESSAGE:
+            # data[0] is the hold id.  There better only be one entry per id
+            id = data[0]
+            if holds_by_id.has_key(id):
+                print _('WARNING: Ignoring duplicate pending ID: %(id)s.')
+            else:
+                holds_by_id[id] = (key, val)
+    # Now we have to lock every list and re-pend all the appropriate
+    # requests.  Note that this will reset all the expiration dates, but that
+    # should be fine.
+    for listname in Utils.list_names():
+        mlist = MailList.MailList(listname)
+        # This is not the most efficient way to do this because it loads and
+        # saves the pending.pck file each time. :(
+        try:
+            for cookie, data in reenables_by_list.get(listname, []):
+                mlist.pend_repend(cookie, data)
+            for id, (cookie, data) in holds_by_id.items():
+                try:
+                    rec = mlist.GetRecord(id)
+                except KeyError:
+                    # Not for this list
+                    pass
+                else:
+                    mlist.pend_repend(cookie, data)
+                    del holds_by_id[id]
+            for addr, recs in subs_by_address.items():
+                # We shouldn't have a subscription confirmation if the address
+                # is already a member of the mailing list.
+                if mlist.isMember(addr):
+                    continue
+                for cookie, data in recs:
+                    mlist.pend_repend(cookie, data)
+            for addr, recs in addrops_by_address.items():
+                # We shouldn't have unsubscriptions or change of address
+                # requests for addresses which aren't members of the list.
+                if not mlist.isMember(addr):
+                    continue
+                for cookie, data in recs:
+                    mlist.pend_repend(cookie, data)
+            mlist.Save()
+        finally:
+            mlist.Unlock()
+    try:
+        os.unlink(file20)
+    except OSError, e:
+        if e.errno <> errno.ENOENT: raise
+    try:
+        os.unlink(file214)
+    except OSError, e:
+        if e.errno <> errno.ENOENT: raise
+
+
+
+def main():
+    errors = 0
+    # get rid of old stuff
+    print _('getting rid of old source files')
+    for mod in ('Mailman/Archiver.py', 'Mailman/HyperArch.py',
+                'Mailman/HyperDatabase.py', 'Mailman/pipermail.py',
+                'Mailman/smtplib.py', 'Mailman/Cookie.py',
+                'bin/update_to_10b6', 'scripts/mailcmd',
+                'scripts/mailowner', 'Mailman/pythonlib',
+                'cgi-bin/archives', 'Mailman/MailCommandHandler'):
+        remove_old_sources(mod)
+    listnames = Utils.list_names()
+    if not listnames:
+#        print _('no lists == nothing to do, exiting')
+        return
+    #
+    # for people with web archiving, make sure the directories
+    # in the archiving are set with proper perms for b6.
+    #
+    if os.path.isdir("%s/public_html/archives" % mm_cfg.PREFIX):
+        print _("""\
+fixing all the perms on your old html archives to work with b6
+If your archives are big, this could take a minute or two...""")
+        os.path.walk("%s/public_html/archives" % mm_cfg.PREFIX,
+                     archive_path_fixer, "")
+        print _('done')
+    for listname in listnames:
+        print _('Updating mailing list: %(listname)s')
+        errors = errors + dolist(listname)
+        print
+    print _('Updating Usenet watermarks')
+    wmfile = os.path.join(mm_cfg.DATA_DIR, 'gate_watermarks')
+    try:
+        fp = open(wmfile)
+    except IOError:
+        print _('- nothing to update here')
+    else:
+        d = marshal.load(fp)
+        fp.close()
+        for listname in d.keys():
+            if listname not in listnames:
+                # this list no longer exists
+                continue
+            mlist = MailList.MailList(listname, lock=0)
+            try:
+                mlist.Lock(0.5)
+            except TimeOutError:
+                print >> sys.stderr, _(
+                    'WARNING: could not acquire lock for list: %(listname)s')
+                errors = errors + 1
+            else:
+                # Pre 1.0b7 stored 0 in the gate_watermarks file to indicate
+                # that no gating had been done yet.  Without coercing this to
+                # None, the list could now suddenly get flooded.
+                mlist.usenet_watermark = d[listname] or None
+                mlist.Save()
+                mlist.Unlock()
+        os.unlink(wmfile)
+        print _('- usenet watermarks updated and gate_watermarks removed')
+    # In Mailman 2.1, the pending database format and file name changed, but
+    # in Mailman 2.1.5 it changed again.  This should update all existing
+    # files to the 2.1.5 format.
+    update_pending()
+    # In Mailman 2.1, the qfiles directory has a different structure and a
+    # different content.  Also, in Mailman 2.1.5 we collapsed the message
+    # files from separate .msg (pickled Message objects) and .db (marshalled
+    # dictionaries) to a shared .pck file containing two pickles.
+    update_qfiles()
+    # This warning was necessary for the upgrade from 1.0b9 to 1.0b10.
+    # There's no good way of figuring this out for releases prior to 2.0beta2
+    # :(
+    if lastversion == NOTFRESH:
+        print _("""
+
+NOTE NOTE NOTE NOTE NOTE
+
+    You are upgrading an existing Mailman installation, but I can't tell what
+    version you were previously running.
+
+    If you are upgrading from Mailman 1.0b9 or earlier you will need to
+    manually update your mailing lists.  For each mailing list you need to
+    copy the file templates/options.html lists/<listname>/options.html.
+
+    However, if you have edited this file via the Web interface, you will have
+    to merge your changes into this file, otherwise you will lose your
+    changes.
+
+NOTE NOTE NOTE NOTE NOTE
+
+""")
+    return errors
+
+
+
+def usage(code, msg=''):
+    if code:
+        fd = sys.stderr
+    else:
+        fd = sys.stdout
+    print >> fd, _(__doc__) % globals()
+    if msg:
+        print >> sys.stderr, msg
+    sys.exit(code)
+
+
+
+if __name__ == '__main__':
+    try:
+        opts, args = getopt.getopt(sys.argv[1:], 'hf',
+                                   ['help', 'force'])
+    except getopt.error, msg:
+        usage(1, msg)
+
+    if args:
+        usage(1, 'Unexpected arguments: %s' % args)
+
+    force = 0
+    for opt, arg in opts:
+        if opt in ('-h', '--help'):
+            usage(0)
+        elif opt in ('-f', '--force'):
+            force = 1
+
+    # calculate the versions
+    lastversion, thisversion = calcversions()
+    hexlversion = hex(lastversion)
+    hextversion = hex(thisversion)
+    if lastversion == thisversion and not force:
+        # nothing to do
+        print _('No updates are necessary.')
+        sys.exit(0)
+    if lastversion > thisversion and not force:
+        print _("""\
+Downgrade detected, from version %(hexlversion)s to version %(hextversion)s
+This is probably not safe.
+Exiting.""")
+        sys.exit(1)
+    print _('Upgrading from version %(hexlversion)s to %(hextversion)s')
+    errors = main()
+    if not errors:
+        # Record the version we just upgraded to
+        fp = open(LMVFILE, 'w')
+        fp.write(hex(mm_cfg.HEX_VERSION) + '\n')
+        fp.close()
+    else:
+        lockdir = mm_cfg.LOCK_DIR
+        print _('''\
+
+ERROR:
+
+The locks for some lists could not be acquired.  This means that either
+Mailman was still active when you upgraded, or there were stale locks in the
+%(lockdir)s directory.
+
+You must put Mailman into a quiescent state and remove all stale locks, then
+re-run "make update" manually.  See the INSTALL and UPGRADE files for details.
+''')

=== added directory '.pc/64_correct_html_nesting.patch'
=== added directory '.pc/64_correct_html_nesting.patch/templates'
=== added directory '.pc/64_correct_html_nesting.patch/templates/ca'
=== added file '.pc/64_correct_html_nesting.patch/templates/ca/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/ca/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/ca/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,143 @@
+<!-- $Revision: 5865 $ -->
+<HTML>
+  <HEAD>
+    <TITLE>P&agrave;gina d'informaci&oacute; de la llista <MM-List-Name></TITLE>
+
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+        <tr>
+	    <td colspan="2">
+	      <p> 
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Quant a la llista <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+           </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Per a veure l'historial d'enviaments, aneu als 
+		  arxius <MM-Archive> de la llista <MM-List-Name></MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Utilitzaci&oacute; de la llista <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Per a enviar un missatge a tots els membres de la llista, 
+	  envieu un correu electr&ograve;nic a <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>A les seccions seg&uuml;ents us podreu subscriure a
+	    la llista, o canviar la vostra subscripci&oacute; actual. </p>
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Com subscriure's a la llista <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Ompliu el formulari seg&uuml;ent per a
+	      subscriure-us a <MM-List-Name>.
+	  <MM-List-Subscription-Msg>
+      <ul>
+
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">La vostra adre&ccedil;a electr&ograve;nica:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%"> </TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">El vostre nom (opcional):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%"> </TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Podeu introduir una contrasenya al quadre seg&uuml;ent. Aix&ograve; proporciona nom&eacute;s
+	    certa seguretat, per&ograve; evita que altres puguin canviar la configuraci&oacute; de la
+	    vostra subscripci&oacute;. Sobretot <b>NO utilitzeu una contrasenya valuosa</b>,
+	    ja que pot ser que a vegades se us re-envi&iuml; per correu electr&ograve;nic en
+	    format de text visible.
+
+            <p>En cas que no vulgueu introduir cap
+            contrasenya, se us n'assignar&agrave; una generada autom&agrave;ticament,
+            la qual rebreu un cop h&agrave;giu confirmat la vostra subscripci&oacute;. A m&eacute;s,
+            sempre podreu sol&middot;licitar-ne un recordatori quan
+            editeu les vostres opcions personals. 
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Trieu una contrasenya:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD> </TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Torneu a escriure la contrasenya:</p>
+	<TD><MM-Confirm-Password></TD>
+	<TD>  </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">En quina llengua voleu
+que es mostrin els vostres missatges?</TD>
+        <TD> <MM-list-langs></TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>Voleu rebre el correu de la llista compilat en un sol missatge enviat a diari?
+	  </td>
+	<td><MM-Undigest-Radio-Button> No
+	    <MM-Digest-Radio-Button>  S&iacute;
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+              <td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+      </ul>
+      </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+      <a name="subscribers">
+        <B><FONT COLOR="#000000">Subscriptors de la llista <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/cs'
=== added file '.pc/64_correct_html_nesting.patch/templates/cs/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/cs/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/cs/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,141 @@
+<!-- $Revision: 6023 $ -->
+<HTML>
+  <HEAD>
+    <TITLE>Informace o konferenci<MM-List-Name></TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Konference <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Pokud si chcete prohldnou pedchoz pspvky 
+              v tto konferenci, navtivte 
+	      <MM-Archive>archiv konference <MM-List-Name>
+	      </MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Jak komunikovat s konferenc <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Pspvky zaslejte na adresu:
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Pokud se chcete pihlsit, nebo njak konfigurovat sv uivatelsk konto,
+              mete tak uinit prv zde.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Pihlen do konference <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+             Pro pihlen do konference <MM-List-Name> muste vyplnit nsledujc formul.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Vae e-mailov adresa:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Vae jmno (nepovinn):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Muste zadat heslo  pro ochranu svho konta
+	ped nepovolanmi osobami. V dnm ppad nepouvejte dn heslo, kter
+	pouvte na njakm jinm systmu, ppadn heslo, kter je poteba
+	utajovat. Heslo je peneno bez jakhokoliv zabezpeen a  navc
+	Vm bude zaslno elektronickou potou.
+            <p>
+        Pokud heslo nezadte, systm Vm pidl nhodn heslo, kter Vm
+        bude zaslno mailem.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Zvolte si heslo:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">A jet jednou to sam pro kontrolu:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Jak jazyk preferujete pro komunikaci s mailmanem?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>Pejete si dostvat pspvky jen jednou denn, vechny v jednom
+	dopise? Tuto volbu znte asi jako digest.
+	  </td>
+	<td><MM-Undigest-Radio-Button> Ne
+	    <MM-Digest-Radio-Button>  Ano
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000">astnci konference <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/da'
=== added file '.pc/64_correct_html_nesting.patch/templates/da/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/da/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/da/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,137 @@
+<!-- $Revision: 7206 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Infoside</TITLE>
+
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Om <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Alle e-mails som er sendt til denne liste kan findes i
+	       <MM-Archive><MM-List-Name>
+		  Arkivet</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">S&aring;dan bruges mailinglisten <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  E-mail til alle p&aring; listen sendes til
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Du kan tilmelde dig listen eller &aelig;ndre indstillingerne for
+	     dit medlemsskab nedenfor:
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Tilmelding til <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Du kan tilmelde dig <MM-List-Name> ved at udfylde skemaet herunder.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Din email-adresse:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+        <TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Navn (valgfrit):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Du kan skrive en Adgangskode i f&oslash;lgende felter.
+            Dette er kun en simpel beskyttelse, men forhindrer at andre f&aring;r adgang til dine indstillinger.
+            <b>Brug ikke en v&aelig;rdifuld Adgangskode</b>, for din adgangskode kan blive sendt til dig i klartekst via E-mail.
+
+            <p>Hvis du ikke skriver en Adgangskode, vil du automatisk f&aring; tildelt en Adgangskode.
+	       Den vil blive sendt til dig, s&aring; snart du har bekr&aelig;ftet din tilmelding.
+               Du kan senere bede om at f&aring; din adgangskode tilsendt, eller du kan &aelig;ndre den.
+	    <MM-Reminder>
+	</TD>
+      </TR>
+      <TR>
+	<TD BGCOLOR="#dddddd">&Oslash;nsket Adgangskode:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR>
+	<TD BGCOLOR="#dddddd">&Oslash;nsket Adgangskode en gang til:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">V&aelig;lg sprog for meddelelser:</TD>
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td BGCOLOR="#dddddd">Vil du benytte sammendrag-modus?</td>
+	<td><MM-Undigest-Radio-Button> Nej
+	    <MM-Digest-Radio-Button>  Ja
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000">Medlemmer af <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/de'
=== added file '.pc/64_correct_html_nesting.patch/templates/de/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/de/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/de/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,153 @@
+<!-- updated from Revision 1.1  -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Infoseite</TITLE>
+
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">&Uuml;ber <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Um fr&uuml;here Nachrichten an diese Liste zu sehen,
+besuchen Sie bitte das <MM-Archive>Archiv der
+Liste <MM-List-Name></MM-Archive>. <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Benutzung von <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Um eine Nachricht an alle Listenmitglieder zu senden, schicken Sie 
+          diese an
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Sie k&ouml;nnen im folgenden Abschnitt diese Liste abonnieren
+             oder ein bestehendes Abonnement &auml;ndern.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Abonnieren von <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Abonnieren Sie <MM-List-Name>, indem Sie das folgende Formular
+ ausf&uuml;llen:
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Ihre E-Mailadresse:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Ihr Name (optional):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Sie k&ouml;nnen weiter unten ein Passwort
+	    eingeben. Dieses Passwort bietet nur eine geringe Sicherheit,
+            sollte aber verhindern, dass andere Ihr Abonnement
+            manipulieren. <b>Verwenden Sie kein wertvolles Passwort</b>,
+            da es ab und zu im Klartext an Sie geschickt wird!
+
+            <p>Wenn Sie kein Passwort eingeben, wird f&uuml;r Sie ein
+            Zufallspasswort generiert und Ihnen zugeschickt, sobald Sie Ihr
+            Abonnement best&auml;tigt haben. Sie k&ouml;nnen sich Ihr Passwort
+            jederzeit per E-Mail zuschicken lassen, wenn Sie weiter unten
+            die Seite zum &auml;ndern Ihrer pers&ouml;nlichen Einstellungen aufrufen.
+	    <MM-Reminder> 	</TD>
+      </TR>
+      <TR>
+	<TD BGCOLOR="#dddddd">W&auml;hlen Sie ein Passwort:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR>
+	<TD BGCOLOR="#dddddd">Erneute Eingabe zur Best&auml;tigung:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Welche Sprache bevorzugen Sie zur
+ Benutzerf&uuml;hrung?</TD>
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>M&ouml;chten Sie die Listenmails geb&uuml;ndelt in Form einer t&auml;glichen
+            Zusammenfassung (digest) erhalten?
+	  </td>
+	<td><MM-Undigest-Radio-Button>Nein
+	    <MM-Digest-Radio-Button>Ja
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000">Abonnenten der Liste <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	</TD>
+	</TR>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+        <B><FONT COLOR="#000000">Austragen / &Auml;ndern einer Mailadresse</FONT></B>
+      </TD>
+    </TR>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Options-Form-Start>
+<br>
+	<MM-Editing-Options>
+<br>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/en'
=== added file '.pc/64_correct_html_nesting.patch/templates/en/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/en/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/en/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,144 @@
+<!-- $Revision: 5865 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Info Page</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">About <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> To see the collection of prior postings to the list,
+	      visit the <MM-Archive><MM-List-Name>
+		  Archives</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Using <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  To post a message to all the list members, send email to
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>You can subscribe to the list, or change your existing
+	    subscription, in the sections below.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Subscribing to <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Subscribe to <MM-List-Name> by filling out the following
+	      form.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Your email address:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Your name (optional):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>You may enter a
+	    privacy password below. This provides only mild security,
+	    but should prevent others from messing with your
+	    subscription.  <b>Do not use a valuable password</b> as
+	    it will occasionally be emailed back to you in cleartext.
+
+            <p>If you choose not to enter a password, one will be
+            automatically generated for you, and it will be sent to
+            you once you've confirmed your subscription.  You can
+            always request a mail-back of your password when you edit
+            your personal options.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Pick a password:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Reenter password to confirm:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Which language do you prefer to display your messages?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>Would you like to receive list mail batched in a daily
+	  digest?
+	  </td>
+	<td><MM-Undigest-Radio-Button> No
+	    <MM-Digest-Radio-Button>  Yes
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> Subscribers</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/es'
=== added file '.pc/64_correct_html_nesting.patch/templates/es/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/es/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/es/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,144 @@
+<!-- $Revision: 7442 $ -->
+<HTML>
+  <HEAD>
+    <TITLE>P&aacute;gina de Informaci&oacute;n de <MM-List-Name></TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Sobre <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p>  Para ver env&iacute;os anteriores a la lista,
+	       puede visitar los archivos de <MM-Archive><MM-List-Name>
+		  </MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Como usar la lista  <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Para enviar un mensaje a todos los miembros de la lista,
+	  env&iacute;elo a la direcci&oacute;n
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Puede usted subscribirse a la lista, o cambiar su
+	    subscripci&oacute;n, en las siguientes secciones.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Subscribirse a <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Suscr&iacute;base a <MM-List-Name> rellenando los datos del
+	    siguiente formulario
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Direcci&oacute;n de                                           correo electr&oacute;nico:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	          </TD>
+	          <TD WIDTH="12%">&nbsp;</TD></TR>
+                 <tr>
+                  <td bgcolor="#dddddd" width="55%">Su nombre (opcional):</td>
+                  <td width="33%"><mm-fullname-box></td>
+                 <TD WIDTH="12%">&nbsp;</TD></TR>
+                <TR>
+	          <TD COLSPAN="3"><FONT SIZE=-1> Debe introducir una clave de
+		protecci&oacute;n. Esto le da un bajo nivel de seguridad,
+		pero deber&iacute;a evitar que otros enreden con su
+		subscripci&oacute;n.  <b>No utilice claves valiosas</b> porque
+		puede que se le mande alguna vez sin cifrar por correo
+		electr&oacute;nico.
+
+		<p>Si decide no escribir ninguna clave, se le generar&aacute;
+		una autom&aacute;ticamente y se le enviar&aacute; una vez que
+		confirme su subscripci&oacute;n. Siempre podr&aacute; pedir
+		que se le env&iacute;e por correo su clave cuando edite sus
+		opciones personales
+	        <MM-Reminder>
+                  </TD>
+                </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Elija una clave:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Confirme la clave:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+	<TD BGCOLOR="#dddddd">&iquest;En qu&eacute; idioma desea visualizar sus mensajes?</TD> 
+	<TD> <MM-list-langs></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+	<td>&iquest;Desea recibir los mensaje de cada d&iacute;a reunidos
+            en un &uacute;nico mensaje (digest)?
+	  </td>
+	<td><MM-Undigest-Radio-Button> No
+	    <MM-Digest-Radio-Button>  S&iacute;
+	</TD>
+      </tr>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000">Suscriptores de <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/et'
=== added file '.pc/64_correct_html_nesting.patch/templates/et/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/et/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/et/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,135 @@
+<!-- $Revision: 7202 $ -->
+<HTML>
+  <HEAD>
+    <TITLE>Listi <MM-List-Name> info</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000"><MM-List-Name> listi info</FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> <MM-Archive><MM-List-Name> arhiiv</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000"><MM-List-Name> kasutamine</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	 Listi kirjutamiseks on aadress
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+	  <p>Listi saab tellida ja tellimuse profiili muuta allpool</p>
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000"><MM-List-Name> listi tellimine</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	   <MM-List-Name> tellimiseks titke jrgnev vorm
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">E-posti aadress:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Nimi (vib ka thjaks jtta):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Allpool olevasse vormi saab
+	    sisestada parooli. See pole just leliia turvaline,
+	    kuid peaks ra hoidma selle, et keegi teine teie tellimust
+	    muutma pseb. <b>rge sisestage parooli, mida mujal kasutate</b>,
+	    sest see parool saadetakse teile meiliga.
+
+	    <p>Kui te parooli ei sisesta, siis genereeritakse see automaatselt
+	    ning saadetakse teile niipea, kui olete oma tellimuse kinnitanud.
+	    Hiljem on vimalik tellida automaatne parooli meeldetuletus.
+	    <MM-Reminder>
+	    </p>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Parool:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Parool uuesti:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Kasutajaliidese keel?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <tr>
+	<td>Kirju saadetakse kokkuvtetena
+	  </td>
+	<td><MM-Undigest-Radio-Button> Ei
+	    <MM-Digest-Radio-Button>  Jah
+	</TD>
+      </tr>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> tellijad</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/eu'
=== added file '.pc/64_correct_html_nesting.patch/templates/eu/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/eu/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/eu/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,142 @@
+<!-- $Revision: 6736 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Zerrendaren Informazio Orria</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0" nowrap>
+	      <B><FONT COLOR="#000000"><MM-List-Name> Posta Zerrendaren gaia:</FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Orain arte zerrendara bidalitako mezuak ikusteko, ikus itzazu artxibo hauek:
+	      <MM-Archive><MM-List-Name>
+		  Artxiboak: </MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000"><MM-List-Name> Posta Zerrendan nola parte hartu: </FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Zerrendakide guztiei mezua bidaltzeko, idatzi hona:
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Zerrendakide egiteko edo zerrenda uzteko, 
+	    beheko atalera jo.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000"><MM-List-Name> Posta Zerrendan Harpidetzeko: </FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    <MM-List-Name> posta zerrendan izena eman, ondoko eskaera-orria betez.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Helbide elektronikoa:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Zure izena (hautazkoa):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Nahi baduzu, pasahitz bat sar dezakezu hemen
+		azpian. Ez dizu seguritate osoa emango, baina inork ezingo du
+	    zure izenean mezurik bidali.  
+		<b>Pasahitz baliotsurik ez erabili</b>, posta elektronikoz
+	    bidaliko zaizulako inoiz, eta zifratu gabe.
+
+            <p>Ez baduzu pasahitzik sartzen, sistemak automatikoki
+            sortuko du bat zuretzat; mezu batean bidaliko zaizu, behin
+			harpidetza berretsi ondoren.  Pasahitza ahazten baduzu, 
+			aukera pertsonalen orrian pasahitza posta
+			elektronikoz jasotzea eska dezakezu.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Pasahitza sartu:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Pasahitza berretsi:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Zein hizkuntza nahi duzu mezuak ikusteko?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>Egunean zehar bidalitako mezuak denak batera bilduma batean jaso nahi dituzu?
+	  </td>
+	<td><MM-Undigest-Radio-Button> Ez
+	    <MM-Digest-Radio-Button>  Bai
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> Posta Zerrendako Harpidedunak:</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/fi'
=== added file '.pc/64_correct_html_nesting.patch/templates/fi/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/fi/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/fi/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,147 @@
+<!-- $Revision: 5063 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Info Page</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Tietoja listasta <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Nhdksesi listalle aikaisemmin lhetetyt viestit,
+	      siirry <MM-Archive><MM-List-Name>
+		  arkistoon</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Listan kyttminen <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Postittaaksesi viestin kaikille listan jsenille, lhet
+          viesti osoitteeseen 
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Voit liitty listalle tai muuttaa asetuksiasi 
+	    allaolevassa kappaleessa.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Listalle <MM-List-Name> liittyminen</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Liity listalle <MM-List-Name> tyttmll oheinen lomake.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Shkpostiosoitteesi:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Nimesi (vapaaehtoinen):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Voit antaa thn salasanan
+            asetustesi yllpitoa varten. Tm salasanan suojaus
+            jrjestelmss on heikko, mutta se est muita kyttji 
+            psemst tahattomasti listalla oleviin tietoihisi ksiksi.
+            <b>l kyt tss samaa salasanaa, jota kytt trkeiden 
+            asioiden suojaamiseen</b> sill salasana lhetetn 
+            tarvittaessa sinulle
+            suojaamattomana shkpostiviestin. 
+
+            <p>Jos et tyt salasanakentt niin jrjestelm
+            generoi automaattisesti sinulle salasanan.
+            Salasana lhetetn sinulle shkpostilla,
+            kun olet vahvistanut listalle liittymisesi.
+            Voit aina pyyt jrjestelm lhettmn salasanasi
+            shkpostitse, jolloin voit muuttaa omia 
+            postituslista-asetuksiasi.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Valitse salasana:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Valittu salasana uudestaan:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Mill kielell haluat ohjeet ja lomakkeet?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <tr>
+	<td>Haluatko vastaanottaa listan viestit pivittisen kokoelmana yksittisten
+          viestien sijaan?
+	  </td>
+	<td><MM-Undigest-Radio-Button> Ei
+	    <MM-Digest-Radio-Button>  Kyll
+	</TD>
+      </tr>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> Listalle liittyneet</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/fr'
=== added file '.pc/64_correct_html_nesting.patch/templates/fr/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/fr/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/fr/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,149 @@
+<!-- $Revision: 6597 $ -->
+<html>
+<head>
+  <title>Page d'infos de <MM-List-Name></title>
+</head>
+    <body bgcolor="#ffffff">
+      
+<p>       
+<table cols="1" border="0" cellspacing="4" cellpadding="5">
+ 	<tr>
+ 	  <td colspan="2" width="100%" bgcolor="#99ccff" align="center"> 	    
+		<b><font color="#000000" size="+1"><MM-List-Name> -- <MM-List-Description></font></b>
+ 	  </td>
+ 	</tr>
+ 	<tr>
+ 	    <td colspan="2"> 	      
+      	     <p>&nbsp;</p>
+            </td>
+ 	  </tr>
+ 	  <tr>
+ 	    <td colspan="1" width="100%" bgcolor="#fff0d0"> 	      
+		<b><font color="#000000">A propos de <MM-List-Name></font></b> 	 
+  	    </td>
+            <td colspan="1" width="100%" bgcolor="#fff0d0">            
+  		<MM-lang-form-start><MM-displang-box> <MM-list-langs>               
+		<MM-form-end>
+     		<MM-Subscribe-Form-Start>
+	    </td>
+ 	  </tr>
+ 	    <tr>
+ 	      <td colspan="2"> 		
+      		<p><MM-List-Info></p>
+ 		<p> Pour voir tous les messages pass&eacute;s de la liste, 				visitez les <MM-Archive>Archives de <MM-List-Name> 
+		</MM-Archive>.
+		<MM-Restricted-List-Message>
+		</p>
+ 	</td>
+       </tr>
+       <tr>
+ 	<td colspan="2" width="100%" bgcolor="#fff0d0"> 	  <b><font
+ color="#000000">Utilisation de <MM-List-Name></font></b> 	
+	</td>
+       </tr>
+       <tr>
+ 	<td colspan="2"> 	  
+	Pour envoyer un message &agrave; tous les abonn&eacute;s de 	  
+	la liste, envoyez un courriel &agrave; 	  
+	<a href="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></a>.  	  
+
+      <p>Vous pouvez vous abonner &agrave; la liste ou modifier votre 	 
+	abonnement actuel dans les sections suivantes. 	</p>
+      </td>
+       </tr>
+       <tr>
+ 	<td colspan="2" width="100%" bgcolor="#fff0d0"> 	  
+<b><font color="#000000">S'abonner &agrave; <MM-List-Name><font></b>
+ 	</td>
+       </tr>
+       <tr>
+ 	<td colspan="2"> 	  
+      <p> 	    
+	Abonnez-vous &agrave; <MM-List-Name> en remplissant le formulaire 
+	      suivant. 	  
+	<MM-List-Subscription-Msg> 	 
+      <ul>    
+        <table border="0" cellspacing="2" cellpadding="2" width="70%"
+ height="112">
+            <tr>
+ 		  <td bgcolor="#dddddd" width="55%">Votre adresse courriel:</td>
+ 		  <td width="33%"><MM-Subscribe-Box>
+	</td>
+ 	<td width="12%">&nbsp;</td>
+            </tr>
+       <tr>
+         <td bgcolor="#dddddd" width="55%">Votre nom (facultatif):</td>
+         <td width="33%"><mm-fullname-box></td>
+ 	<td width="12%">&nbsp;</td>
+            </tr>
+       <tr>
+ 	<td colspan="3"><font size="-1">Vous devez entrer un mot de passe 	   	 pour la confidentialit&eacute;. Ceci ne procure qu'un faible niveau
+	de s&eacute;curit&eacute; mais devrait n&eacute;anmoins 	    
+	enp&ecirc;cher que n'importe qui modifie vos abonnements. 	    
+	<b>N'utilisez pas un mot de passe existant</b> car il 	    
+	arrivera qu'il vous soit renvoy&eacute; par courriel en clair.  		   </font>
+              <p><font size="-1">Si vous choisissez de ne pas en fournir, un mot de
+ 		passe vous sera g&eacute;n&eacute;r&eacute; 
+		automatiquement, et il vous sera envoy&eacute; une fois que
+ 		votre requ&ecirc;te d'abonnement aura &eacute;t&eacute; 
+		confirm&eacute;e. Il vous sera toujours possible de vous
+ 		faire envoyer votre mot de passe par courriel lorsque vous 
+		visualisez vos options personnelles. 	    
+		<MM-Reminder></font></p>
+              </td>
+       </tr>
+         <tr>
+ 	<td bgcolor="#dddddd">Choisissez un mot de passe:</td>
+ 	<td><MM-New-Password-Box></td>
+ 	<td>&nbsp;</td>
+            </tr>
+       <tr>
+  	<td bgcolor="#dddddd">Confirmer le mot de passe:</td>
+ 	<td><MM-Confirm-Password></td>
+ 	<td>&nbsp; </td>
+            </tr>
+       <tr>
+         <td bgcolor="#dddddd">Dans quelle langue voulez-vous que le 
+	syst&egrave;me vous parle?</td>
+          <td> <MM-list-langs></td>
+         <td>&nbsp; </td>
+            </tr>
+       <tr>
+ 	<td>Souhaitez-vous recevoir les messages de la liste dans
+	un seul courriel quotidien group&eacute; ? 	  
+	</td>
+ 	<td><MM-Undigest-Radio-Button> Non 	    
+	    <MM-Digest-Radio-Button>  Oui 
+	</td>
+       </tr>
+	<mm-digest-question-end>
+       <tr>
+ 	<td colspan="3"> 	  
+              <center><MM-Subscribe-Button></center>
+        </table>
+     <MM-Form-End>    
+      </ul>
+     </td>
+     </tr>
+     <tr>
+       <td colspan="2" width="100%" bgcolor="#fff0d0"> 	
+	<a name="subscribers">         
+	<b><font color="#000000">Abonn&eacute;s de 
+	<MM-List-Name></font></b></a>
+       </td>
+     </tr>
+     <tr>
+       <td colspan="2" width="100%"> 	
+	<MM-Roster-Form-Start> 	
+	<MM-Roster-Option>
+ 		<MM-Form-End>
+      	<p> 	
+	<MM-Options-Form-Start> 	
+	<MM-Editing-Options> 		
+		<MM-Form-End> 
+        </td>
+     </tr>
+</table>
+ <MM-Mailman-Footer>
+</body>
+</html>

=== added directory '.pc/64_correct_html_nesting.patch/templates/hr'
=== added file '.pc/64_correct_html_nesting.patch/templates/hr/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/hr/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/hr/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,141 @@
+<!-- $Revision: 6877 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Info Page</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Detalji <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Da biste vidjeli kolekciju prijanjih poruka koje su stigle na listu, 
+	      posjetite <MM-Archive><MM-List-Name>
+		  Arhivu</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Koritenje <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Da biste poslali poruku svim lanovima liste, poaljite e-mail na 
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>U donjem dijelu se moete pretplatiti na listu ili promijeniti 
+	    svoju postojeu pretplatu.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Pretplaujem se na <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Pretplatite se na <MM-List-Name> ispunjavanjem sljedee 
+	      forme.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Vaa email adresa:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Vae ime (opcionalno):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Dolje moete unjeti privatnu 
+	lozinku. Ona prua samo osrednju zatitu, ali bi trebala onemoguiti 
+	drugima da petljaju po vaoj pretplati. <b>Ne koristite neku "vanu" lozinku</b> jer 
+	    e Vam ona povremeno biti poslana e-mailom kao isti tekst.
+
+            <p>Ako se odluite ne unositi lozinku, ona e automatski 
+						biti za vas generirana i bit e vam poslana onda kada 
+						potvrdite svoju pretplatu. Uvijek moete zatraiti da vam se ista 
+						ponovo poalje kada ureujete svoje osobne postavke.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Izaberite lozinku:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Upiite ponovno lozinku radi potvrde:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Na kojem jeziku elite da vam se prikazuju poruke?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>elite li svakodnevno primati kratak saetak poruka s liste na mail?
+	  </td>
+	<td><MM-Undigest-Radio-Button> Ne
+	    <MM-Digest-Radio-Button>  Da
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> Pretplatnici</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/hu'
=== added file '.pc/64_correct_html_nesting.patch/templates/hu/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/hu/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/hu/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,139 @@
+<!-- $Revision: 6029 $ -->
+<HTML>
+  <HEAD>
+   <TITLE><MM-List-Name> Informcis lapja</TITLE>
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000"><MM-List-Name> listrl</FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+	      <MM-form-end>
+       <MM-Subscribe-Form-Start>
+	    </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p>Ha a korbbi leveleket, hozzszlsokat szeretnd ltni, ltogasd meg
+	     a(z) <MM-Archive><MM-List-Name> archvumot </MM-Archive>.
+              <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000"><MM-List-Name> lista hasznlata</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Ha a listra szeretnl rni, akkor erre a cmre kldd hozzszlsodat:
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Itt lejjebb feliratkozhatsz a listra, vagy mdosthatod
+              a listatagsgi paramtereidet.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Feliratkozs a(z) <MM-List-Name> listra</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+ 	  Tltsd ki az albbi rlapot a(z) <MM-List-Name> listra val feliratkozshoz.	    
+	  <MM-List-Subscription-Msg>
+	  <P>Feliratkozs eltt krlek olvasd el a listaszerver
+            <A HREF="/illik.html">illemtant</A>!
+
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">E-mail cmed:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<td bgcolor="#dddddd" width="55%">Neved (opcionlis):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	      <TD COLSPAN="3"><FONT SIZE=-1>Meg kell adnod egy jelszt.
+  A jelsz csak enyhe biztonsgot nyjt, de megelzheted vele,
+  hogy msok tudtod nlkl mdostsk listatagsgi belltsaidat!
+  <b>Ne hasznlj olyan jelszavakat amiket mshol hasznlsz</b>,
+  mivel havonta egyszer emlkeztetl sima szveges formban elkldsre fog kerlni. 
+  
+  <p>Ha nem adsz meg jelszt, akkor a Mailman automatikusan ltrehoz egyet, s
+  feliratkozsod megerstse utn elkldi neked. Szemlyes belltsaid szerkesztsnl
+  termszetesen brmikor e-mailben kikrheted a jelszavadat.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">A jelsz:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">A jelsz mg egyszer:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+    <tr>
+      <TD BGCOLOR="#dddddd">Milyen nyelven szeretnd a listt hasznlni?</TD>
+      <TD><MM-list-langs></TD>
+      <TD>&nbsp; </TD></TR>
+	<mm-digest-question-start>
+    <tr>
+	<td>Szeretnd a listt digest formban kapni, naponta 1-2 levlben?</td>
+	<td><MM-Undigest-Radio-Button> Nem
+	    <MM-Digest-Radio-Button>  Igen
+	</TD>
+      </tr>
+      <tr>
+    <mm-digest-question-end>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> lista tagjai</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/it'
=== added file '.pc/64_correct_html_nesting.patch/templates/it/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/it/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/it/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,152 @@
+<HTML>
+  <HEAD>
+    <TITLE>Pagina di informazioni della lista <MM-List-Name></TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Dettagli su <MM-List-Name></FONT></B>
+	    </TD>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+		<MM-lang-form-start><MM-displang-box>
+		<MM-list-langs>
+		<MM-form-end>
+		<MM-Subscribe-Form-Start>
+	    </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Per consultare la raccolta dei messaggi precedentemente 
+          inviati alla lista, visita gli <MM-Archive>Archivi della lista <MM-List-Name></MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Uso di <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Per inviare un messaggio a tutti gli iscritti della lista, scrivi
+      all'indirizzo
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Puoi iscriverti alla lista, o cambiare la tua iscrizione 
+         corrente, nella sezione sottostante.
+	    
+      </td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Iscrizione a <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Iscriviti a <MM-List-Name> completando il seguente modulo.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Il tuo indirizzo email:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box></TD>
+		  <TD WIDTH="12%">&nbsp;</TD>
+	  	</TR>
+		<tr>
+		<td bgcolor="#dddddd" width="55%">Il tuo nome (opzionale):</td>
+		  <td width="33%"><mm-fullname-box></td>
+		  <TD WIDTH="12%">&nbsp;</TD>
+	 	</TR>
+      		<TR>
+		<TD COLSPAN="3"><FONT SIZE=-1>Devi inserire una password 
+		  personale.  Questo ti garantir&agrave; solo una minima 
+		  sicurezza, ma impedir&agrave; ad altri di fare scherzi con 
+		  la tua iscrizione.
+	    	  <b>Non usare una password importante</b> visto che ti 
+        	  verr&agrave; periodicamente ricordata via email con testo 
+		  non cifrato.
+		  <p>Se non vuoi scegliere, lascia in bianco la password ed 
+		  una verr&agrave; automaticamente generata per te e spedita 
+		  al tuo indirizzo quando avrai confermato l'iscrizione.
+		  Puoi chiedere in ogni momento che ti venga rispedita
+		  la mail contenente la password, semplicemente
+		  premendo un pulsante nel pannello delle tue opzioni
+		  personali.
+	    	  <MM-Reminder>
+		</TD>
+      		</TR>  
+      		<TR>
+		  <TD BGCOLOR="#dddddd">Scegli una password:</TD>
+		  <TD><MM-New-Password-Box></TD>
+		  <TD>&nbsp;</TD>
+	  	</TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Conferma la password:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">
+	      In quale lingua preferisci vedere i tuoi messaggi?
+	</TD> 
+	<TD> <MM-list-langs></TD>
+	<TD>&nbsp; </TD></TR>
+	<mm-digest-question-start>
+	<tr>
+	<td>Vuoi ricevere i messaggi della lista raggruppati in un 
+        digest giornaliero?
+	
+	  </td>
+	<td><MM-Undigest-Radio-Button> No
+	<MM-Digest-Radio-Button> S&igrave;
+	</TD>
+	</tr>
+	<mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000">Iscritti a <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	<MM-Form-End>
+	<p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+	<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/ja'
=== added file '.pc/64_correct_html_nesting.patch/templates/ja/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/ja/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/ja/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,144 @@
+<!-- $Revision: 6837 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> ڡ</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="70%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000"><MM-List-Name>ˤĤ</FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="30%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start> <MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Υ᡼󥰥ꥹȤƤ줿Υ᡼,
+	      <MM-Archive><MM-List-Name>
+		  ¸</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000"><MM-List-Name> ˡ</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  ᡼󥰥ꥹȤ᡼, 
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>
+          Υɥ쥹Ƥ.
+
+	  <p>᡼󥰥ꥹȤ丽ߤβץѹ, 
+          ʲΥեѤ.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000"><MM-List-Name> ι</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    <MM-List-Name> ؤ, 
+            ʲΥեɬ׻Ƥ. 
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">᡼륢ɥ쥹:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+        <td bgcolor="#dddddd" width="55%">̾ (ά):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>ݸ˻Ȥѥɤ
+	ꤹ뤳ȤǤޤ. ٤ʥƥǤϤޤ,
+	¾ͤ˲ѹ뤳ȤɤȤϤǤϤǤ. 
+	Υѥɤ, Ź沽˥᡼礬ޤ
+	Τ, ƥѥɤʤɤ <b>פʥѥɤꤷʤ
+	</b>褦ˤƤ.
+	<br>
+	ѥɤꤵʤä, ѥɤưŪ
+	ǧ˥᡼դޤ. 
+	ĤǤ⤳Υѥɤ᡼Ǽ󤻤뤳ȤǤޤ.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">ѥɤϤƤ:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">ǧΤƱѥɤ:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">ɽ˻ȤǤ</TD>
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>ꥹȤΥ᡼1ܤˤޤȤޤ?
+	  </td>
+	<td><MM-Undigest-Radio-Button> 
+	    <MM-Digest-Radio-Button>  Ϥ
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> </FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+        <MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/ko'
=== added file '.pc/64_correct_html_nesting.patch/templates/ko/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/ko/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/ko/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,139 @@
+<!-- $Revision: 5046 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name>  </TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000"><MM-List-Name> Ұ</FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p>  Ʈ õ  ۵ Ƿ
+	      <MM-Archive><MM-List-Name>
+		  </MM-Archive>  ñ ٶϴ.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000"><MM-List-Name> ϱ</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  ϸ Ʈ ڵ鿡 ޽ 
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>
+	    ø ˴ϴ..
+
+	  <p>ϸ Ʈ ϰų  ԵǾ ִ ¸ 
+	  Ʒ ٲٽ  ֽϴ.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000"><MM-List-Name> ϱ</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	      ׸ ä ּż <MM-List-Name>   Ͻʽÿ.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">ڿּ:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%"≯ (û):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>  ʴ н带
+            Ͻʽÿ. ϸƮ Ϻ   ʽϴ.
+             н  иӷ  ǿ ʵϸ մϴ.
+            йȣ ȣȭ Ű ʰ п   
+            <b> ϴ йȣ Է ʽÿ.</b>
+            <p>  йȣ Է ʴ´ٸ ڵ 
+             йȣ Ǹ,   Ȯ Ͽ Բ 
+            ϴ.     йȣ  ٽ 
+            帳ϴ.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">йȣԷ:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">ٽѹԷ:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">  ϼ?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <tr>
+	<td>޽ Ϸ翡     ޾ƺ Ͻðڽϱ?
+	  </td>
+	<td><MM-Undigest-Radio-Button> ƴϿ
+	    <MM-Digest-Radio-Button>  
+	</TD>
+      </tr>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> ڵ</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/lt'
=== added file '.pc/64_correct_html_nesting.patch/templates/lt/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/lt/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/lt/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,141 @@
+<!-- $Revision: 6065 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Informacijos puslapis</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Apie <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Jei norite perirti anksiau sistus laikus,
+	      aplankykite forumo <MM-Archive><MM-List-Name>
+		  Archyvus</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Naudojant <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Jei norite isisti laik visiems forumo dalyvams, isiskite inut adresu
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Toliau galite prisijungti prie forumo arba pakeisti Js nustatymus.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Prisijungti prie <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Prisijunkite prie <MM-List-Name> upildydami iuos laukus:
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Js el.pato adresas:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Js vardas (nebtina):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>ia veskite slaptaod.
+		ia veikia negrieta saugumo sistema, js slaptaodis
+		ateityje gali bti siuniamas neifruotu tekstu,
+		todl nenaudokite slaptaodi, kuriais saugote ypa
+		atsakingus duomenis.
+		
+		<p>Jei nevesite slaptaodio, sistema j sukurs automatikai
+		ir isis Jums kai tik patvirtinsite prisijungim prie forumo.
+		
+		<p>Jei pamirite slaptaod, galsi nurodyti sistemai,
+		kad j isist Js el.pato adresu.
+
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Pasirinkite slaptaod:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Pakartokite slaptaod:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Pasirinkite kalb?</TD>
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <tr>
+	<td>Ar norite gauti dienos laik rinkinius?
+	  </td>
+	<td><MM-Undigest-Radio-Button> Ne
+	    <MM-Digest-Radio-Button>  Taip
+	</TD>
+      </tr>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> Nariai</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>
+

=== added directory '.pc/64_correct_html_nesting.patch/templates/nl'
=== added file '.pc/64_correct_html_nesting.patch/templates/nl/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/nl/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/nl/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,135 @@
+<!-- $Revision: 7947 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Informatiepagina</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Over <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p>Om alle eerdere berichten op deze lijst te raadplegen, kijk in het <MM-Archive><MM-List-Name> Archief</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Gebruik van <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Om een bericht naar alle leden van de lijst te sturen, adresseert u het aan:<br>
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+	  
+	  <p>Hieronder kunt u uzelf aanmelden als lid van de lijst of uw persoonlijke instellingen wijzigen.
+	    </td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Aanmelden bij <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Om u aan te melden bij <MM-List-Name> vult u onderstaand formulier in.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Uw e-mailadres:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Uw naam (optioneel):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>U kunt hieronder een wachtwoord invullen. Dit voorziet
+	in een zekere mate van bescherming en moet voorkomen dat anderen kunnen knoeien met
+	uw lidmaatschap. <b>Gebruik niet een eerder door u gebruikt wachtwoord</b>,
+	omdat het af en toe onversleuteld naar u gemaild zal worden.
+	
+            <p>Als u ervoor kiest om geen wachtwoord in te vullen, wordt een automatisch 
+            gegenereerd wachtwoord naar u toegezonden zodra u uw aanmelding hebt
+            bevestigd. U kunt steeds om toezending van uw wachtwoord vragen wanneer u uw
+            persoonlijke instellingen wilt wijzigen.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Kies een wachtwoord:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Herhaal het wachtwoord ter bevestiging:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Wat is uw voorkeurstaal voor de berichten?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <tr>
+	<td>Wilt u de berichten gebundeld ontvangen in een dagelijkse verzamelmail?
+	  </td>
+	<td><MM-Undigest-Radio-Button> Nee
+	    <MM-Digest-Radio-Button>  Ja
+	</TD>
+      </tr>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="Subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> leden</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>
\ No newline at end of file

=== added directory '.pc/64_correct_html_nesting.patch/templates/no'
=== added file '.pc/64_correct_html_nesting.patch/templates/no/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/no/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/no/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,137 @@
+<!-- $Revision: 5894 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Infoside</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Om <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> For &aring; se arkivet over eposter sendt til denne listen, g&aring; inn p&aring;
+	       <MM-Archive><MM-List-Name>
+		  Arkivet</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Hvordan bruke epostlisten <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  For &aring; sende en epost til alle p&aring; listen, send den til
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Du kan melde deg p&aring; listen, eller endre innstillingene for
+	     ditt medlemsskap p&aring; listen nedenfor:
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Melde deg p&aring; <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Du kan melde deg p&aring; <MM-List-Name> ved &aring; fylle ut n&oslash;dvendig informasjon nedenfor.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Din epostadresse:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+        <TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Navn (valgfritt):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Du kan skrive et passord i f&oslash;lgende felter.
+            Dette gir en svak sikkerhet, men forhindrer at andre f&aring;r tilgang til dine innstillinger.
+            <b>Ikke bruk et verdifullt passord</b>, for passordet kan bli sendt til deg i klartekst via epost.
+
+            <p>Dersom du ikke skriver noe passord, vil du automatisk f&aring; tildelt et passord.
+	       Det vil bli sendt til deg s&aring; snart du har bekreftet din p&aring;melding.
+               Du kan senere be om &aring; f&aring; passordet tilsendt, eller endre det.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">&Oslash;nsket passord:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">&Oslash;nsket passord en gang til:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Velg spr&aring;k for meldinger:</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td BGCOLOR="#dddddd">Vil du benytte sammendrag-modus?</td>
+	<td><MM-Undigest-Radio-Button> Nei
+	    <MM-Digest-Radio-Button>  Ja
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000">Medlemmer av <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/pl'
=== added file '.pc/64_correct_html_nesting.patch/templates/pl/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/pl/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/pl/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,142 @@
+<!-- $Revision: 6800 $ -->
+<HTML>
+  <HEAD>
+ <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
+    <TITLE>Strona informacyjna listy <MM-List-Name></TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Lista <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+                <p> Zobacz <MM-Archive>archiwum listy <MM-List-Name>
+                    </MM-Archive>.
+                
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Korzystanie z listy <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+        Wiadomoci do wszystkich prenumeratorw listy wysyaj na adres:
+          <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+          <p>Moesz zapisa si na list lub zmieni opcje prenumeraty korzystajc z poniszych sekcji.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Subskrypcja listy <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+          Wypenij poniszy formularz, by zapisa si na list <MM-List-Name>.
+
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Adres email:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Imi i nazwisko (opcjonalne):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+
+        <TD COLSPAN="3"><FONT SIZE=-1>Wprowad haso. 
+         <b>Nie uywaj hasa</b>, ktre wykorzystujesz np. do logowania do konta bankowego.
+
+         <p>Jeeli nie podasz hasa, system przydzieli Ci
+          je automatycznie. Zostanie ono przesane razem z wiadomoci
+          potwierdzajc Twoj subskrypcj. Haso moesz w kadej chwili zmieni.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Haso:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Potwierd haso:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">W jakim jzyku chcesz komunikowa si z
+         systemem?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+
+	<td>Czy chcesz dostawa listy tylko raz dziennie,
+           w formie paczki?
+	  </td>
+	<td><MM-Undigest-Radio-Button> Nie
+	    <MM-Digest-Radio-Button> Tak
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000">Sekcja dla prenumeratorw listy <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/pt'
=== added file '.pc/64_correct_html_nesting.patch/templates/pt/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/pt/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/pt/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,143 @@
+<!-- $Revision: 6335 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name>: Pgina de informaes</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Informao sobre <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Para ver as mensagens anteriormente enviadas para a lista,
+	      visite os <MM-Archive> Arquivos de <MM-List-Name>
+		  </MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Utilizar <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Para enviar uma mensagem para todos os membros da lista, 
+	    envie um email para
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Pode inscrever-se na lista ou mudar a sua incrio 
+	      nas seces abaixo.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Inscrever-se em <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Inscreva-se em <MM-List-Name> preenchendo o seguinte formulrio.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">O seu endereo de email:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">O seu nome (opcional):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Pode escolher uma password.
+	    Ela d-lhe uma segurana mdia, mas deve bastar para evitar 
+            que outros interfiram com a sua participao. 
+	    <b>No utilize uma password importante</b> visto que ela
+            lhe ser enviada ocasionalmente, via email, em texto no
+            encriptado.
+
+            <p>Se no escolher uma password, o sistema gerar uma para si.
+            Ela ser enviada logo que confirme a sua inscrio. Pode sempre
+            pedir para receber a password por email quando editar as suas
+            opes pessoais.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Escolher uma password:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Reintroduzir a password para confirmar:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Em que lngua prefere ver as suas mensagens?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>Prefere receber as suas mensagens agrupadas (digested) diariamente?
+	  </td>
+	<td><MM-Undigest-Radio-Button> No
+	    <MM-Digest-Radio-Button>  Sim
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name>: Lista de participantes</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/pt_BR'
=== added file '.pc/64_correct_html_nesting.patch/templates/pt_BR/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/pt_BR/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/pt_BR/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,142 @@
+<!-- $Revision: 7201 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> P&aacute;gina de Detalhes</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Sobre a lista <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Para ver uma lista das mensagens que foram postadas 
+	  anteriormente na lista, entre nos 
+	  <MM-Archive>Arquivos da lista <MM-List-Name></MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Usando a lista <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Para postar uma mensagem para todos os membros da lista, envie um
+	  email para
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Voc&ecirc; poder&aacute; se inscrever na lista ou modificar seus dados
+	  de inscri&ccedil;&atilde;o nas se&ccedil;&otilde;es abaixo.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Inscrevendo-se na lista <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Para se inscrever na lista <MM-List-Name>, preencha o seguinte
+	      formul&aacute;rio.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Seu endere&ccedil;o de email:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Seu nome (opcional):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Entre com uma 
+	    senha privativa abaixo. Isto oferece somente 
+	    seguran&ccedil;a m&eacute;dia, mas deve evitar que outras pessoas 
+	    obtenham sua inscri&ccedil;&atilde;o. <b>N&atilde;o escolha uma senha 
+	    usada em outras coisas</b> pois ela provavelmente 
+	    lhe ser&aacute; encaminhada de volta usando o formato de texto desprotegido.
+
+            <p>Caso tenha escolhido n&atilde;o entrar com uma senha, ser&aacute; gerada
+	    automaticamente uma senha que lhe ser&aacute; enviada
+	    assim que voc&ecirc; confirmar sua inscri&ccedil;&atilde;o. &Eacute; poss&iacute;vel requisitar
+	    o reenvio de sua senha ao modificar suas op&ccedil;&otilde;es pessoais.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Escolha uma senha:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Redigite a senha para confirma&ccedil;&atilde;o:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Em que idioma prefere exibir suas mensagens?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <tr>
+	<td>Deseja receber e-mails da lista enviados uma vez por dia em um &uacute;nico 
+	email (digest)?
+	  </td>
+	<td><MM-Undigest-Radio-Button> N&atilde;o
+	    <MM-Digest-Radio-Button>  Sim
+	</TD>
+      </tr>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000">Inscritos na lista <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/ro'
=== added file '.pc/64_correct_html_nesting.patch/templates/ro/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/ro/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/ro/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,138 @@
+<!-- $Revizia: 2.4 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> - Informaii Generale</TITLE>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-2">
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> -- <MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Lista <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Pentru a accesa colecia mesajelor publicate anterior
+	  pe list, vizitai <MM-Archive>Arhivele <MM-List-Name></MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Folosirea listei <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Pentru a trimite un mesaj ctre list, trimitei un email
+	  la adresa <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>
+
+	  <p>n seciunile urmtoare v putei abona la aceast list,
+	  sau v putei modifica datele existente de abonament.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Abonarea la <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    V putei abona la lista de discuii <MM-List-Name> completnd formularul
+	    de mai jos.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Adresa de email:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Numele (opional):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Putei introduce o parol mai jos.
+	    Aceasta nu va asigura o protecie extraordinar, dar ar trebui
+	    s previn intervenia altora n datele dumneavoastr de abonament.
+	    <b>Nu folosii parole valoroase</b> atta timp ct acestea v vor fi
+	    retrimise ocazional n text clar.
+
+            <p>Dac nu introducei nici o parol, va fi generat automat una
+	    pentru dumneavoastr, i v va fi trimis de ndat ce vei confirma
+	    abonarea la list.  Putei oricnd cere re-trimiterea parolei prin email
+	    la editarea preferinelor personale.
+	    <MM-Reminder>
+	</TD>
+      </TR>
+      <TR>
+	<TD BGCOLOR="#dddddd">Alegei o parol:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR>
+	<TD BGCOLOR="#dddddd">Reintroducei parola pentru confirmare:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Limba preferat:</TD>
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>Dorii mesajele listei ntr-un rezumat zilnic?</td>
+	<td><MM-Undigest-Radio-Button> Nu
+	    <MM-Digest-Radio-Button>  Da
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000">Abonaii listei <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/ru'
=== added file '.pc/64_correct_html_nesting.patch/templates/ru/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/ru/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/ru/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,131 @@
+<HTML>
+<HEAD>
+    <TITLE>     <MM-List-Name></TITLE>
+</HEAD>
+<BODY BGCOLOR="#ffffff">
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+        <TR>
+          <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+            <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> &mdash; <MM-List-Description></FONT></B>
+          </TD>
+        </TR>
+        <tr>
+            <td colspan="2">
+              <p>&nbsp;
+            </td>
+          </tr>
+          <tr>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0"><B><FONT COLOR="#000000">   <MM-List-Name></FONT></B></TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+                <MM-Subscribe-Form-Start>
+            </TD>
+          </TR>
+            <tr>
+              <td colspan="2">
+                <P><MM-List-Info></P>
+                <p>    ,    <MM-Archive>    <MM-List-Name></MM-Archive>.
+                <MM-Restricted-List-Message></p>
+              </TD>
+            </TR>
+      <TR>
+        <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0"><B><FONT COLOR="#000000">    <MM-List-Name></FONT></B></TD>
+      </TR>
+      <tr>
+        <td colspan="2">
+             ,       ,  
+              <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+            <p>    ,        
+                </p>
+        </td>
+      </tr>
+      <TR>
+        <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+        <B><FONT COLOR="#000000">    <MM-List-Name></FONT></B>
+        </TD>
+      </TR>
+      <tr>
+        <td colspan="2">
+          <P>
+           ,      <MM-List-Name>,   .
+          <MM-List-Subscription-Msg>
+          <ul>
+              <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+                WIDTH="70%" HEIGHT= "112">
+                <TR>
+                  <TD BGCOLOR="#dddddd" WIDTH="55%">  :</TD>
+                  <TD WIDTH="33%"><MM-Subscribe-Box>
+        </TD>
+        <TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+          <td bgcolor="#dddddd" width="55%">  ():</td>
+        <td width="33%"><mm-fullname-box></td>
+        <TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+        <TD COLSPAN="3"><FONT SIZE=-1>   ,  
+                   .  <b> 
+             </b>,      Mailman    
+            .
+
+            <p>     ,   ,
+                  .    
+                    .
+            <MM-Reminder>
+        </TD>
+      </TR>  
+      <TR>
+        <TD BGCOLOR="#dddddd"> :</TD>
+        <TD><MM-New-Password-Box></TD>
+        <TD>&nbsp;</TD></TR>
+      <TR> 
+        <TD BGCOLOR="#dddddd">  :</TD>
+        <TD><MM-Confirm-Password></TD>
+        <TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">         ?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+        <td>       ?</td>
+        <td><MM-Undigest-Radio-Button> 
+            <MM-Digest-Radio-Button>  
+        </TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+        <td colspan="3">
+          <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+        <a name="subscribers">
+        <B><FONT COLOR="#000000">   <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+        <MM-Roster-Form-Start>
+        <MM-Roster-Option>
+            <MM-Form-End>
+          <p>
+        <MM-Options-Form-Start>
+        <MM-Editing-Options>
+                <MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>
+
+<!--
+    vim:tw=100
+  -->

=== added directory '.pc/64_correct_html_nesting.patch/templates/sl'
=== added file '.pc/64_correct_html_nesting.patch/templates/sl/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/sl/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/sl/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,141 @@
+<!-- $Revision: 6638 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Stran s podatki</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Podatki o potnem seznamu <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> e vas zanimajo prejnja sporoila na potnem seznamu,
+	      si oglejte <MM-Archive><MM-List-Name>
+		  Arhive</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Uporaba <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  e elite poslati sporoilo vsem lanom seznama, ga poljite na naslov
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>V spodnjem delu strani se lahko prijavite na seznam ali prilagodite obstojee
+	    lanstvo.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Prijava na seznam <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Na seznam <MM-List-Name> se prijavite tako, da izpolnite
+	      obrazec.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Va e-potni naslov:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Vae ime (neobvezno):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Spodaj lahko vnesete geslo. To
+	    geslo zagotavlja majhno zaito, vendar lahko preprei
+	    drugim, da bi zlorabili vao naronino.
+	    <b>Ne uporabljajte pomembnega gesla</b>, saj
+	    ga boste obasno dobili po e-poti v obliki besedila.
+
+            <p>e ne vnesete gesla, bo le-to samodejno ustvarjeno in
+            poslano, ko potrdite naronino. Vedno lahko tudi zahtevate
+            e-sporoilo z vaim geslom, ko urejate osebne nastavitve.
+	    <MM-Reminder>
+	</TD>
+      </TR>
+      <TR>
+	<TD BGCOLOR="#dddddd">Vnesite geslo:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Ponovite geslo:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">V katerem jeziku naj bodo prikazana sporoila?</TD>
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>Ali elite prejemati sporoila zdruena v dnevni povzetek?
+	  </td>
+	<td><MM-Undigest-Radio-Button> Ne
+	    <MM-Digest-Radio-Button>  Da
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> lani</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/sr'
=== added file '.pc/64_correct_html_nesting.patch/templates/sr/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/sr/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/sr/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,125 @@
+﻿<!-- $Revision: 6555 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Страница са информацијама</TITLE>
+  
+  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"></HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    
+    <TD COLSPAN="1" WIDTH="16%" BGCOLOR="#FFF0D0"> <B><FONT COLOR="#000000">О 
+      листи <MM-List-Name></FONT></B> </TD>
+            <TD COLSPAN="1" WIDTH="84%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Да бисте видјели досадашње поруке на листи посјетите <MM-Archive> 
+        архиву</MM-Archive>. <MM-Restricted-List-Message> </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" BGCOLOR="#FFF0D0"> <B><FONT COLOR="#000000">Употреба</FONT><FONT COLOR="#000000"><MM-List-Name></FONT></B> 
+    </TD>
+      </TR>
+      <tr>
+	<td colspan="2"> Да би порука отишла на листу, пошаљите је на <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>. 
+      <p>Можете се укључити на листу или промјенити ваш статус члана преко следећих 
+        секција.
+    </td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" BGCOLOR="#FFF0D0"> <B><FONT COLOR="#000000">Упис</FONT><FONT COLOR="#000000"><MM-List-Name></FONT></B> 
+    </TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P> Укључујете се попуњавајући следећи формулар:<MM-List-Subscription-Msg> 
+      <ul>
+        <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+          <TR> 
+            <TD BGCOLOR="#dddddd" WIDTH="55%">Ваша ел. адреса:</TD>
+            <TD WIDTH="33%"><MM-Subscribe-Box> </TD>
+            <TD WIDTH="12%">&nbsp;</TD>
+          </TR>
+          <tr> 
+            <td bgcolor="#dddddd" width="55%">Ваше име:</td>
+            <td width="33%"><mm-fullname-box></td>
+            <TD WIDTH="12%">&nbsp;</TD>
+          </TR>
+          <TR> 
+            <TD COLSPAN="3"><font size="-1">Овдје можете унијети вашу лозинку. 
+              То обезбјеђује само дјелимичну сигурност, али онемогућава остале 
+              да поремете ваш члански статус. Не користите једноставне лозинке, 
+              пошто ћете једном мјесечно добијати лозинку за подсјећање. </font>
+              <p><font size="-1">Ако не унесете лозинку, наш систем ће аутоматски 
+                изабрати једну са вас.</font><MM-Reminder> </TD>
+          </TR>
+          <TR> 
+            <TD BGCOLOR="#dddddd">Лозинка:</TD>
+            <TD><MM-New-Password-Box></TD>
+            <TD>&nbsp;</TD>
+          </TR>
+          <TR> 
+            <TD BGCOLOR="#dddddd">Поново:</TD>
+            <TD><MM-Confirm-Password></TD>
+            <TD>&nbsp; </TD>
+          </TR>
+          <tr> 
+            <TD BGCOLOR="#dddddd">Језик:</TD>
+            <TD> <MM-list-langs></TD>
+            <TD>&nbsp; </TD>
+          </TR>
+          <mm-digest-question-start> 
+          <tr> 
+            <td>Да ли желите да све поруке добијате у прегледу порука, једном 
+              дневно? </td>
+            <td><MM-Undigest-Radio-Button> Не<MM-Digest-Radio-Button> Да</TD>
+          </tr>
+          <mm-digest-question-end> 
+          <tr> 
+            <td colspan="3"> <center>
+                <MM-Subscribe-Button></P></center> 
+        </TABLE>
+        <MM-Form-End> </ul>
+    </td>
+    </tr>
+    <TR>
+      
+    <TD COLSPAN="2" BGCOLOR="#FFF0D0"> <a name="subscribers"> <B><FONT COLOR="#000000"><MM-List-Name> 
+      Чланови </FONT></B></a> </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/sv'
=== added file '.pc/64_correct_html_nesting.patch/templates/sv/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/sv/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/sv/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,124 @@
+<!-- $Revision: 6052 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Infosida</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Om <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p>F&ouml;r att se arkivet &ouml;ver e-postbrev som skickats till denna lista, g&aring; in p&aring; arkivet 	       <MM-Archive>
+							<MM-List-Name>
+						</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Hur anv&auml;nds e-postlistan <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">F&ouml;r att skicka ett e-postbrev till alla p&aring; listan, skicka det till 	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Du kan anm&auml;la dig till listan eller &auml;ndra inst&auml;llningarna f&ouml;r ditt medlemskap p&aring; listan nedan:	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0"><B><FONT COLOR="#000000">Anm&auml;l dig till 
+							<MM-List-Name>
+						</FONT></B></TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>Du kan anm&auml;la dig till <MM-List-Name> genom att fylla i n&ouml;dv&auml;ndig information nedan. 	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Din e-postadress:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+        <TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Namn (valfritt):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><font size=-1>Du kan skriva ett l&ouml;senord i f&ouml;ljande f&auml;lt. Detta ger d&aring;lig s&auml;kerhet, men f&ouml;rhindrar att andra f&aring;r tillg&aring;ng til dina inst&auml;llningar. <b>Anv&auml;nd inte n&aring;got v&auml;rdefullt l&ouml;senord</b> - l&ouml;senordet kan n&auml;mligen bli skickat till dig i klartext via e-postbrev. </font>
+										<p>Om du inte skriver n&aring;got l&ouml;senord, kommer du att automatiskt bli  tilldelad ett l&ouml;senord. Det kommer att skickas till dig s&aring; snart du har bekr&auml;ftat din anm&auml;lan. Du kan senare beg&auml;ra att f&aring; l&ouml;senordet skickat till dig eller &auml;ndrat.&nbsp;
+            <MM-Reminder>
+        </TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">&Ouml;nskat l&ouml;senord:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">&Ouml;nskat l&ouml;senord en g&aring;ng till:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">V&auml;lj spr&aring;k f&ouml;r meddelanden:</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td BGCOLOR="#dddddd">Vill du f&aring; sammandragsversioner?</td>
+									<td><MM-Undigest-Radio-Button> Nej 	    <MM-Digest-Radio-Button> Ja	</TD>
+								</tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000">Medlemmar av <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/tr'
=== added file '.pc/64_correct_html_nesting.patch/templates/tr/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/tr/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/tr/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,145 @@
+<!-- $Revision: 7047 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Bilgi Sayfas</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000"><MM-List-Name> Hakknda</FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Bu listeye nceden gnderilen mesajlar grmek iin
+	      <MM-Archive><MM-List-Name>
+		  Arivlerini</MM-Archive> ziyaret edin.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000"><MM-List-Name> Listesinin Kullanm</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  Tm liste yelerine bir mesaj gndermek iin
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A> adresine bir e-posta atnz.
+
+	  <p>Aadaki blmlerde listeye ye olabilir veya varolan yeliinizi
+	    deitirebilirsiniz.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000"><MM-List-Name> Listesine yelik</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    <MM-List-Name> listesine aadaki formu doldurarak ye
+	      olabilirsiniz.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">E-posta adresiniz:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">sminiz (istee bal):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Aaya bir ifre
+          girebilirsiniz. Bu sadece hafif bir gvenlik salar, fakat
+          dier kiilerin yelik ayarlarnz kartrmasn engeller.
+          <strong>Deerli bir ifre</strong> kullanmayn, nk bu
+          ifre ara sra size dz yaz olarak gnderilecektir.
+
+            <p>Eer ifre girmemeyi tercih ederseniz, sizin iin
+            bir tane ifre otomatik olarak oluturulacak ve yeliinizi
+            onayladnz zaman size gnderilecektir. Kiisel tercihlerinizi
+            dzenlerken her zaman ifrenizin tekrar size gnderilmesini
+            isteyebilirsiniz.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Bir ifre girin:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Onay iin ifreyi tekrar girin:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Mesajlarnzn grntlenmesi iin hangi dili tercih edersiniz?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>Liste mesajlarnn size gnlk toplu mesajlar olarak
+	  gnderilmesini ister misiniz?
+	  </td>
+	<td><MM-Undigest-Radio-Button> Hayr
+	    <MM-Digest-Radio-Button>  Evet
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> yeleri</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>
+

=== added directory '.pc/64_correct_html_nesting.patch/templates/uk'
=== added file '.pc/64_correct_html_nesting.patch/templates/uk/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/uk/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/uk/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,140 @@
+<!-- $Revision: 7344 $ -->
+<HTML>
+  <HEAD>
+    <TITLE>Загальна інформація про список розсилки <MM-List-Name></TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">Про список розсилки <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> Щоб переглянути збірку попередніх повідомлень до списку,
+	      відвідайте <MM-Archive>Архіви списку розсилки <MM-List-Name></MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Використання <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	Щоб надіслати повідомлення всім користувачам списку розсилки, відправте
+	його за адресою
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>Ви можете підписатись чи змінити параметри підписки на список
+	    розсилки використовуючи наведену нижче інформацію.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Підписатись на список розсилки <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Щоб підписатись на список розсилки <MM-List-Name> заповніть наступну форму.
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Ваша електронна адреса:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Ваше ім'я (необов'язково):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>Ви можете ввести пароль, це зашкодить
+	іншим змінювати параметри вашої підписки. 
+	 <b>Не використовуйте цінних паролей</b>, тому що паролі надсилатимуться вам
+		відкритим текстом.
+
+            <p>Якщо ви не бажаєте вводити пароль, він може бути згенерований автоматично,
+		та його буде надіслано вам після підтвердження підписки.
+		На сторінці параметрів вашої підписки, Ви завжди зможете 
+		запитати щоб ваш пароль було надіслано вам електронною поштою.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Вкажіть пароль:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Вкажіть ще раз:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Якою мовою ви бажаєте отримувати повідомлення з сервера?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>Бажаєте отримувати повідомлення у вигляді щоденних збірок?
+	  </td>
+	<td><MM-Undigest-Radio-Button> Так
+	    <MM-Digest-Radio-Button>  Ні
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000">Користувачі списку розсилки <MM-List-Name></FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/zh_CN'
=== added file '.pc/64_correct_html_nesting.patch/templates/zh_CN/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/zh_CN/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/zh_CN/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,136 @@
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> 信息页</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="70%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">关于 <MM-List-Name> 邮件列表</FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="30%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p>要查看本列表收藏的旧信,
+	      请访问<MM-Archive><MM-List-Name>
+		  的邮件归档</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">如何使用 <MM-List-Name> 邮件列表</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	 要同时给所有的成员发信,可以直接发信到
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>在下面的小节中,您可以订阅本列表的信件,或者改变您的已有订阅。
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">如何订阅 <MM-List-Name> 邮件列表</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	   要订阅 <MM-List-Name> 邮件列表，请填写如下资料：
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">您的email地址：</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">您的姓名(可选)：</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>请在下面输入您的口令。 
+        这仅提供适度的安全，但足以保护您不受他人的干扰。<b>但请您不
+		要使用重要的口令</b>。因为我们可能将此口令以明文形式发给您。
+
+            <p>如果您不填写密码,我们将会自动给您生成一个。当您确认订阅后，
+			会将它发送到您的邮箱。当您编辑个人选项时，总是可以随时要求将
+			您的口令发送到您的邮箱。
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">输入密码:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">再输入一次:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">您希望以什么语言显示您的消息?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>您希望每天收到信件摘要吗??
+	  </td>
+	<td><MM-Undigest-Radio-Button> 否
+	    <MM-Digest-Radio-Button> 是
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> 订阅者</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/64_correct_html_nesting.patch/templates/zh_TW'
=== added file '.pc/64_correct_html_nesting.patch/templates/zh_TW/listinfo.html'
--- .pc/64_correct_html_nesting.patch/templates/zh_TW/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/64_correct_html_nesting.patch/templates/zh_TW/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,127 @@
+<!-- $Revision: 7353 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> 相關資訊</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">關於 <MM-List-Name> 論壇</FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> 欲查本論壇舊信，請逕洽 <MM-Archive><MM-List-Name>
+		  檔案保管處</MM-Archive>。
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">使用 <MM-List-Name> 論壇</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  欲在論壇發言，請寄到 <A
+HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>。
+
+	  <p>在下面的網頁可讓您可以加入這個論壇，或變更訂閱設定。
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">加入 <MM-List-Name> 論壇</FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    欲加入(訂閱) <MM-List-Name> 論壇請依序填妥下列資料。
+	  <MM-List-Subscription-Msg>
+	  <ul>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">您的 E-Mail:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>
+     你 必 須 輸 入 一 個 私 人 密 碼 以 供 取 消 訂 閱 或 其 他 相 關 設 定 的
+權 力 。 <b> 請 勿 使 用 有 價 值 的 密 碼</b> ! 因 為 偶 而 可 以 將 密 碼 以
+明 碼 的 方 式 郵 寄 給 您。
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">輸入密碼:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">確認輸入密碼:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd"> 您適用的語言?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <tr>
+	<td>你 想 以 每 日 摘 要 的 形 式 收 信 嗎 ? 
+	  </td>
+	<td><MM-Undigest-Radio-Button> No
+	    <MM-Digest-Radio-Button>  Yes
+	</TD>
+      </tr>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> 訂 閱 者 </FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added directory '.pc/66_donot_let_cache_html_pages.patch'
=== added directory '.pc/66_donot_let_cache_html_pages.patch/Mailman'
=== added file '.pc/66_donot_let_cache_html_pages.patch/Mailman/htmlformat.py'
--- .pc/66_donot_let_cache_html_pages.patch/Mailman/htmlformat.py	1970-01-01 00:00:00 +0000
+++ .pc/66_donot_let_cache_html_pages.patch/Mailman/htmlformat.py	2010-07-13 21:35:40 +0000
@@ -0,0 +1,699 @@
+# Copyright (C) 1998-2007 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+
+"""Library for program-based construction of an HTML documents.
+
+Encapsulate HTML formatting directives in classes that act as containers
+for python and, recursively, for nested HTML formatting objects.
+"""
+
+
+# Eventually could abstract down to HtmlItem, which outputs an arbitrary html
+# object given start / end tags, valid options, and a value.  Ug, objects
+# shouldn't be adding their own newlines.  The next object should.
+
+
+import types
+
+from Mailman import mm_cfg
+from Mailman import Utils
+from Mailman.i18n import _
+
+SPACE = ' '
+EMPTYSTRING = ''
+NL = '\n'
+
+
+
+# Format an arbitrary object.
+def HTMLFormatObject(item, indent):
+    "Return a presentation of an object, invoking their Format method if any."
+    if type(item) == type(''):
+        return item
+    elif not hasattr(item, "Format"):
+        return `item`
+    else:
+        return item.Format(indent)
+
+def CaseInsensitiveKeyedDict(d):
+    result = {}
+    for (k,v) in d.items():
+        result[k.lower()] = v
+    return result
+
+# Given references to two dictionaries, copy the second dictionary into the
+# first one.
+def DictMerge(destination, fresh_dict):
+    for (key, value) in fresh_dict.items():
+        destination[key] = value
+
+class Table:
+    def __init__(self, **table_opts):
+        self.cells = []
+        self.cell_info = {}
+        self.row_info = {}
+        self.opts = table_opts
+
+    def AddOptions(self, opts):
+        DictMerge(self.opts, opts)
+
+    # Sets all of the cells.  It writes over whatever cells you had there
+    # previously.
+
+    def SetAllCells(self, cells):
+        self.cells = cells
+
+    # Add a new blank row at the end
+    def NewRow(self):
+        self.cells.append([])
+
+    # Add a new blank cell at the end
+    def NewCell(self):
+        self.cells[-1].append('')
+
+    def AddRow(self, row):
+        self.cells.append(row)
+
+    def AddCell(self, cell):
+        self.cells[-1].append(cell)
+
+    def AddCellInfo(self, row, col, **kws):
+        kws = CaseInsensitiveKeyedDict(kws)
+        if not self.cell_info.has_key(row):
+            self.cell_info[row] = { col : kws }
+        elif self.cell_info[row].has_key(col):
+            DictMerge(self.cell_info[row], kws)
+        else:
+            self.cell_info[row][col] = kws
+
+    def AddRowInfo(self, row, **kws):
+        kws = CaseInsensitiveKeyedDict(kws)
+        if not self.row_info.has_key(row):
+            self.row_info[row] = kws
+        else:
+            DictMerge(self.row_info[row], kws)
+
+    # What's the index for the row we just put in?
+    def GetCurrentRowIndex(self):
+        return len(self.cells)-1
+
+    # What's the index for the col we just put in?
+    def GetCurrentCellIndex(self):
+        return len(self.cells[-1])-1
+
+    def ExtractCellInfo(self, info):
+        valid_mods = ['align', 'valign', 'nowrap', 'rowspan', 'colspan',
+                      'bgcolor']
+        output = ''
+
+        for (key, val) in info.items():
+            if not key in valid_mods:
+                continue
+            if key == 'nowrap':
+                output = output + ' NOWRAP'
+                continue
+            else:
+                output = output + ' %s="%s"' % (key.upper(), val)
+
+        return output
+
+    def ExtractRowInfo(self, info):
+        valid_mods = ['align', 'valign', 'bgcolor']
+        output = ''
+
+        for (key, val) in info.items():
+            if not key in valid_mods:
+                continue
+            output = output + ' %s="%s"' % (key.upper(), val)
+
+        return output
+
+    def ExtractTableInfo(self, info):
+        valid_mods = ['align', 'width', 'border', 'cellspacing', 'cellpadding',
+                      'bgcolor']
+
+        output = ''
+
+        for (key, val) in info.items():
+            if not key in valid_mods:
+                continue
+            if key == 'border' and val == None:
+                output = output + ' BORDER'
+                continue
+            else:
+                output = output + ' %s="%s"' % (key.upper(), val)
+
+        return output
+
+    def FormatCell(self, row, col, indent):
+        try:
+            my_info = self.cell_info[row][col]
+        except:
+            my_info = None
+
+        output = '\n' + ' '*indent + '<td'
+        if my_info:
+            output = output + self.ExtractCellInfo(my_info)
+        item = self.cells[row][col]
+        item_format = HTMLFormatObject(item, indent+4)
+        output = '%s>%s</td>' % (output, item_format)
+        return output
+
+    def FormatRow(self, row, indent):
+        try:
+            my_info = self.row_info[row]
+        except:
+            my_info = None
+
+        output = '\n' + ' '*indent + '<tr'
+        if my_info:
+            output = output + self.ExtractRowInfo(my_info)
+        output = output + '>'
+
+        for i in range(len(self.cells[row])):
+            output = output + self.FormatCell(row, i, indent + 2)
+
+        output = output + '\n' + ' '*indent + '</tr>'
+
+        return output
+
+    def Format(self, indent=0):
+        output = '\n' + ' '*indent + '<table'
+        output = output + self.ExtractTableInfo(self.opts)
+        output = output + '>'
+
+        for i in range(len(self.cells)):
+            output = output + self.FormatRow(i, indent + 2)
+
+        output = output + '\n' + ' '*indent + '</table>\n'
+
+        return output
+
+
+class Link:
+    def __init__(self, href, text, target=None):
+        self.href = href
+        self.text = text
+        self.target = target
+
+    def Format(self, indent=0):
+        texpr = ""
+        if self.target != None:
+            texpr = ' target="%s"' % self.target
+        return '<a href="%s"%s>%s</a>' % (HTMLFormatObject(self.href, indent),
+                                          texpr,
+                                          HTMLFormatObject(self.text, indent))
+
+class FontSize:
+    """FontSize is being deprecated - use FontAttr(..., size="...") instead."""
+    def __init__(self, size, *items):
+        self.items = list(items)
+        self.size = size
+
+    def Format(self, indent=0):
+        output = '<font size="%s">' % self.size
+        for item in self.items:
+            output = output + HTMLFormatObject(item, indent)
+        output = output + '</font>'
+        return output
+
+class FontAttr:
+    """Present arbitrary font attributes."""
+    def __init__(self, *items, **kw):
+        self.items = list(items)
+        self.attrs = kw
+
+    def Format(self, indent=0):
+        seq = []
+        for k, v in self.attrs.items():
+            seq.append('%s="%s"' % (k, v))
+        output = '<font %s>' % SPACE.join(seq)
+        for item in self.items:
+            output = output + HTMLFormatObject(item, indent)
+        output = output + '</font>'
+        return output
+
+
+class Container:
+    def __init__(self, *items):
+        if not items:
+            self.items = []
+        else:
+            self.items = items
+
+    def AddItem(self, obj):
+        self.items.append(obj)
+
+    def Format(self, indent=0):
+        output = []
+        for item in self.items:
+            output.append(HTMLFormatObject(item, indent))
+        return EMPTYSTRING.join(output)
+
+
+class Label(Container):
+    align = 'right'
+
+    def __init__(self, *items):
+        Container.__init__(self, *items)
+
+    def Format(self, indent=0):
+        return ('<div align="%s">' % self.align) + \
+               Container.Format(self, indent) + \
+               '</div>'
+
+
+# My own standard document template.  YMMV.
+# something more abstract would be more work to use...
+
+class Document(Container):
+    title = None
+    language = None
+    bgcolor = mm_cfg.WEB_BG_COLOR
+    suppress_head = 0
+
+    def set_language(self, lang=None):
+        self.language = lang
+
+    def set_bgcolor(self, color):
+        self.bgcolor = color
+
+    def SetTitle(self, title):
+        self.title = title
+
+    def Format(self, indent=0, **kws):
+        charset = 'us-ascii'
+        if self.language and Utils.IsLanguage(self.language):
+            charset = Utils.GetCharSet(self.language)
+        output = ['Content-Type: text/html; charset=%s\n' % charset]
+        if not self.suppress_head:
+            kws.setdefault('bgcolor', self.bgcolor)
+            tab = ' ' * indent
+            output.extend([tab,
+                           '<HTML>',
+                           '<HEAD>'
+                           ])
+            if mm_cfg.IMAGE_LOGOS:
+                output.append('<LINK REL="SHORTCUT ICON" HREF="%s">' %
+                              (mm_cfg.IMAGE_LOGOS + mm_cfg.SHORTCUT_ICON))
+            # Hit all the bases
+            output.append('<META http-equiv="Content-Type" '
+                          'content="text/html; charset=%s">' % charset)
+            if self.title:
+                output.append('%s<TITLE>%s</TITLE>' % (tab, self.title))
+            output.append('%s</HEAD>' % tab)
+            quals = []
+            # Default link colors
+            if mm_cfg.WEB_VLINK_COLOR:
+                kws.setdefault('vlink', mm_cfg.WEB_VLINK_COLOR)
+            if mm_cfg.WEB_ALINK_COLOR:
+                kws.setdefault('alink', mm_cfg.WEB_ALINK_COLOR)
+            if mm_cfg.WEB_LINK_COLOR:
+                kws.setdefault('link', mm_cfg.WEB_LINK_COLOR)
+            for k, v in kws.items():
+                quals.append('%s="%s"' % (k, v))
+            output.append('%s<BODY %s' % (tab, SPACE.join(quals)))
+            # Language direction
+            direction = Utils.GetDirection(self.language)
+            output.append('dir="%s">' % direction)
+        # Always do this...
+        output.append(Container.Format(self, indent))
+        if not self.suppress_head:
+            output.append('%s</BODY>' % tab)
+            output.append('%s</HTML>' % tab)
+        return NL.join(output)
+
+    def addError(self, errmsg, tag=None):
+        if tag is None:
+            tag = _('Error: ')
+        self.AddItem(Header(3, Bold(FontAttr(
+            _(tag), color=mm_cfg.WEB_ERROR_COLOR, size='+2')).Format() +
+                            Italic(errmsg).Format()))
+
+
+class HeadlessDocument(Document):
+    """Document without head section, for templates that provide their own."""
+    suppress_head = 1
+
+
+class StdContainer(Container):
+    def Format(self, indent=0):
+        # If I don't start a new I ignore indent
+        output = '<%s>' % self.tag
+        output = output + Container.Format(self, indent)
+        output = '%s</%s>' % (output, self.tag)
+        return output
+
+
+class QuotedContainer(Container):
+    def Format(self, indent=0):
+        # If I don't start a new I ignore indent
+        output = '<%s>%s</%s>' % (
+            self.tag,
+            Utils.websafe(Container.Format(self, indent)),
+            self.tag)
+        return output
+
+class Header(StdContainer):
+    def __init__(self, num, *items):
+        self.items = items
+        self.tag = 'h%d' % num
+
+class Address(StdContainer):
+    tag = 'address'
+
+class Underline(StdContainer):
+    tag = 'u'
+
+class Bold(StdContainer):
+    tag = 'strong'
+
+class Italic(StdContainer):
+    tag = 'em'
+
+class Preformatted(QuotedContainer):
+    tag = 'pre'
+
+class Subscript(StdContainer):
+    tag = 'sub'
+
+class Superscript(StdContainer):
+    tag = 'sup'
+
+class Strikeout(StdContainer):
+    tag = 'strike'
+
+class Center(StdContainer):
+    tag = 'center'
+
+class Form(Container):
+    def __init__(self, action='', method='POST', encoding=None, *items):
+        apply(Container.__init__, (self,) +  items)
+        self.action = action
+        self.method = method
+        self.encoding = encoding
+
+    def set_action(self, action):
+        self.action = action
+
+    def Format(self, indent=0):
+        spaces = ' ' * indent
+        encoding = ''
+        if self.encoding:
+            encoding = 'enctype="%s"' % self.encoding
+        output = '\n%s<FORM action="%s" method="%s" %s>\n' % (
+            spaces, self.action, self.method, encoding)
+        output = output + Container.Format(self, indent+2)
+        output = '%s\n%s</FORM>\n' % (output, spaces)
+        return output
+
+
+class InputObj:
+    def __init__(self, name, ty, value, checked, **kws):
+        self.name = name
+        self.type = ty
+        self.value = value
+        self.checked = checked
+        self.kws = kws
+
+    def Format(self, indent=0):
+        output = ['<INPUT name="%s" type="%s" value="%s"' %
+                  (self.name, self.type, self.value)]
+        for item in self.kws.items():
+            output.append('%s="%s"' % item)
+        if self.checked:
+            output.append('CHECKED')
+        output.append('>')
+        return SPACE.join(output)
+
+
+class SubmitButton(InputObj):
+    def __init__(self, name, button_text):
+        InputObj.__init__(self, name, "SUBMIT", button_text, checked=0)
+
+class PasswordBox(InputObj):
+    def __init__(self, name, value='', size=mm_cfg.TEXTFIELDWIDTH):
+        InputObj.__init__(self, name, "PASSWORD", value, checked=0, size=size)
+
+class TextBox(InputObj):
+    def __init__(self, name, value='', size=mm_cfg.TEXTFIELDWIDTH):
+        if isinstance(value, str):
+            safevalue = Utils.websafe(value)
+        else:
+            safevalue = value
+        InputObj.__init__(self, name, "TEXT", safevalue, checked=0, size=size)
+
+class Hidden(InputObj):
+    def __init__(self, name, value=''):
+        InputObj.__init__(self, name, 'HIDDEN', value, checked=0)
+
+class TextArea:
+    def __init__(self, name, text='', rows=None, cols=None, wrap='soft',
+                 readonly=0):
+        if isinstance(text, str):
+            safetext = Utils.websafe(text)
+        else:
+            safetext = text
+        self.name = name
+        self.text = safetext
+        self.rows = rows
+        self.cols = cols
+        self.wrap = wrap
+        self.readonly = readonly
+
+    def Format(self, indent=0):
+        output = '<TEXTAREA NAME=%s' % self.name
+        if self.rows:
+            output += ' ROWS=%s' % self.rows
+        if self.cols:
+            output += ' COLS=%s' % self.cols
+        if self.wrap:
+            output += ' WRAP=%s' % self.wrap
+        if self.readonly:
+            output += ' READONLY'
+        output += '>%s</TEXTAREA>' % self.text
+        return output
+
+class FileUpload(InputObj):
+    def __init__(self, name, rows=None, cols=None, **kws):
+        apply(InputObj.__init__, (self, name, 'FILE', '', 0), kws)
+
+class RadioButton(InputObj):
+    def __init__(self, name, value, checked=0, **kws):
+        apply(InputObj.__init__, (self, name, 'RADIO', value, checked), kws)
+
+class CheckBox(InputObj):
+    def __init__(self, name, value, checked=0, **kws):
+        apply(InputObj.__init__, (self, name, "CHECKBOX", value, checked), kws)
+
+class VerticalSpacer:
+    def __init__(self, size=10):
+        self.size = size
+    def Format(self, indent=0):
+        output = '<spacer type="vertical" height="%d">' % self.size
+        return output
+
+class WidgetArray:
+    Widget = None
+
+    def __init__(self, name, button_names, checked, horizontal, values):
+        self.name = name
+        self.button_names = button_names
+        self.checked = checked
+        self.horizontal = horizontal
+        self.values = values
+        assert len(values) == len(button_names)
+        # Don't assert `checked' because for RadioButtons it is a scalar while
+        # for CheckedBoxes it is a vector.  Subclasses will assert length.
+
+    def ischecked(self, i):
+        raise NotImplemented
+
+    def Format(self, indent=0):
+        t = Table(cellspacing=5)
+        items = []
+        for i, name, value in zip(range(len(self.button_names)),
+                                  self.button_names,
+                                  self.values):
+            ischecked = (self.ischecked(i))
+            item = self.Widget(self.name, value, ischecked).Format() + name
+            items.append(item)
+            if not self.horizontal:
+                t.AddRow(items)
+                items = []
+        if self.horizontal:
+            t.AddRow(items)
+        return t.Format(indent)
+
+class RadioButtonArray(WidgetArray):
+    Widget = RadioButton
+
+    def __init__(self, name, button_names, checked=None, horizontal=1,
+                 values=None):
+        if values is None:
+            values = range(len(button_names))
+        # BAW: assert checked is a scalar...
+        WidgetArray.__init__(self, name, button_names, checked, horizontal,
+                             values)
+
+    def ischecked(self, i):
+        return self.checked == i
+
+class CheckBoxArray(WidgetArray):
+    Widget = CheckBox
+
+    def __init__(self, name, button_names, checked=None, horizontal=0,
+                 values=None):
+        if checked is None:
+            checked = [0] * len(button_names)
+        else:
+            assert len(checked) == len(button_names)
+        if values is None:
+            values = range(len(button_names))
+        WidgetArray.__init__(self, name, button_names, checked, horizontal,
+                             values)
+
+    def ischecked(self, i):
+        return self.checked[i]
+
+class UnorderedList(Container):
+    def Format(self, indent=0):
+        spaces = ' ' * indent
+        output = '\n%s<ul>\n' % spaces
+        for item in self.items:
+            output = output + '%s<li>%s\n' % \
+                     (spaces, HTMLFormatObject(item, indent + 2))
+        output = output + '%s</ul>\n' % spaces
+        return output
+
+class OrderedList(Container):
+    def Format(self, indent=0):
+        spaces = ' ' * indent
+        output = '\n%s<ol>\n' % spaces
+        for item in self.items:
+            output = output + '%s<li>%s\n' % \
+                     (spaces, HTMLFormatObject(item, indent + 2))
+        output = output + '%s</ol>\n' % spaces
+        return output
+
+class DefinitionList(Container):
+    def Format(self, indent=0):
+        spaces = ' ' * indent
+        output = '\n%s<dl>\n' % spaces
+        for dt, dd in self.items:
+            output = output + '%s<dt>%s\n<dd>%s\n' % \
+                     (spaces, HTMLFormatObject(dt, indent+2),
+                      HTMLFormatObject(dd, indent+2))
+        output = output + '%s</dl>\n' % spaces
+        return output
+
+
+
+# Logo constants
+#
+# These are the URLs which the image logos link to.  The Mailman home page now
+# points at the gnu.org site instead of the www.list.org mirror.
+#
+from mm_cfg import MAILMAN_URL
+PYTHON_URL  = 'http://www.python.org/'
+GNU_URL     = 'http://www.gnu.org/'
+
+# The names of the image logo files.  These are concatentated onto
+# mm_cfg.IMAGE_LOGOS (not urljoined).
+DELIVERED_BY = 'mailman.jpg'
+PYTHON_POWERED = 'PythonPowered.png'
+GNU_HEAD = 'gnu-head-tiny.jpg'
+
+
+def MailmanLogo():
+    t = Table(border=0, width='100%')
+
+    version = mm_cfg.VERSION
+    mmlink = _("Delivered by Mailman")
+    pylink = _("Python Powered")
+    gnulink = _("GNU's Not Unix")
+    if mm_cfg.SITE_LINK:
+        sitelink = mm_cfg.SITE_TEXT
+
+    if mm_cfg.IMAGE_LOGOS:
+        def logo(file, alt, base=mm_cfg.IMAGE_LOGOS):
+            return '<img src="%s" alt="%s" border="0" />' % \
+              (base + file, alt)
+        mmlink = logo(DELIVERED_BY, mmlink)
+        pylink = logo(PYTHON_POWERED, pylink)
+        gnulink = logo(GNU_HEAD, gnulink)
+        if mm_cfg.SITE_LINK:
+            sitelink = logo(mm_cfg.SITE_LOGO, sitelink, "")
+
+    mmlink = Link(MAILMAN_URL, mmlink + _('<br>version %(version)s'))
+    pylink = Link(PYTHON_URL, pylink)
+    gnulink = Link(GNU_URL, gnulink)
+    links = [mmlink, pylink, gnulink]
+    if mm_cfg.SITE_LINK:
+        if mm_cfg.SITE_URL:
+            sitelink = Link(mm_cfg.SITE_URL, sitelink)
+        links.append(sitelink)
+    t.AddRow(links)
+    return t
+
+
+class SelectOptions:
+   def __init__(self, varname, values, legend,
+                selected=0, size=1, multiple=None):
+      self.varname  = varname
+      self.values   = values
+      self.legend   = legend
+      self.size     = size
+      self.multiple = multiple
+      # we convert any type to tuple, commas are needed
+      if not multiple:
+         if type(selected) == types.IntType:
+             self.selected = (selected,)
+         elif type(selected) == types.TupleType:
+             self.selected = (selected[0],)
+         elif type(selected) == types.ListType:
+             self.selected = (selected[0],)
+         else:
+             self.selected = (0,)
+
+   def Format(self, indent=0):
+      spaces = " " * indent
+      items  = min( len(self.values), len(self.legend) )
+
+      # jcrey: If there is no argument, we return nothing to avoid errors
+      if items == 0:
+          return ""
+
+      text = "\n" + spaces + "<Select name=\"%s\"" % self.varname
+      if self.size > 1:
+          text = text + " size=%d" % self.size
+      if self.multiple:
+          text = text + " multiple"
+      text = text + ">\n"
+
+      for i in range(items):
+          if i in self.selected:
+              checked = " Selected"
+          else:
+              checked = ""
+
+          opt = " <option value=\"%s\"%s> %s </option>" % (
+              self.values[i], checked, self.legend[i])
+          text = text + spaces + opt + "\n"
+
+      return text + spaces + '</Select>'

=== added directory '.pc/70_invalid_utf8_dos.patch'
=== added directory '.pc/70_invalid_utf8_dos.patch/Mailman'
=== added directory '.pc/70_invalid_utf8_dos.patch/Mailman/Handlers'
=== added file '.pc/70_invalid_utf8_dos.patch/Mailman/Handlers/Scrubber.py'
--- .pc/70_invalid_utf8_dos.patch/Mailman/Handlers/Scrubber.py	1970-01-01 00:00:00 +0000
+++ .pc/70_invalid_utf8_dos.patch/Mailman/Handlers/Scrubber.py	2010-07-13 21:35:40 +0000
@@ -0,0 +1,533 @@
+# Copyright (C) 2001-2009 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+"""Cleanse a message for archiving."""
+
+from __future__ import nested_scopes
+
+import os
+import re
+import time
+import errno
+import binascii
+import tempfile
+from cStringIO import StringIO
+from types import IntType, StringType
+
+from email.Utils import parsedate
+from email.Parser import HeaderParser
+from email.Generator import Generator
+from email.Charset import Charset
+
+from Mailman import mm_cfg
+from Mailman import Utils
+from Mailman import LockFile
+from Mailman import Message
+from Mailman.Errors import DiscardMessage
+from Mailman.i18n import _
+from Mailman.Logging.Syslog import syslog
+from Mailman.Utils import sha_new
+
+# Path characters for common platforms
+pre = re.compile(r'[/\\:]')
+# All other characters to strip out of Content-Disposition: filenames
+# (essentially anything that isn't an alphanum, dot, dash, or underscore).
+sre = re.compile(r'[^-\w.]')
+# Regexp to strip out leading dots
+dre = re.compile(r'^\.*')
+
+BR = '<br>\n'
+SPACE = ' '
+
+try:
+    True, False
+except NameError:
+    True = 1
+    False = 0
+
+
+try:
+    from mimetypes import guess_all_extensions
+except ImportError:
+    import mimetypes
+    def guess_all_extensions(ctype, strict=True):
+        # BAW: sigh, guess_all_extensions() is new in Python 2.3
+        all = []
+        def check(map):
+            for e, t in map.items():
+                if t == ctype:
+                    all.append(e)
+        check(mimetypes.types_map)
+        # Python 2.1 doesn't have common_types.  Sigh, sigh.
+        if not strict and hasattr(mimetypes, 'common_types'):
+            check(mimetypes.common_types)
+        return all
+
+
+
+def guess_extension(ctype, ext):
+    # mimetypes maps multiple extensions to the same type, e.g. .doc, .dot,
+    # and .wiz are all mapped to application/msword.  This sucks for finding
+    # the best reverse mapping.  If the extension is one of the giving
+    # mappings, we'll trust that, otherwise we'll just guess. :/
+    all = guess_all_extensions(ctype, strict=False)
+    if ext in all:
+        return ext
+    return all and all[0]
+
+
+def safe_strftime(fmt, t):
+    try:
+        return time.strftime(fmt, t)
+    except (TypeError, ValueError, OverflowError):
+        return None
+
+
+def calculate_attachments_dir(mlist, msg, msgdata):
+    # Calculate the directory that attachments for this message will go
+    # under.  To avoid inode limitations, the scheme will be:
+    # archives/private/<listname>/attachments/YYYYMMDD/<msgid-hash>/<files>
+    # Start by calculating the date-based and msgid-hash components.
+    fmt = '%Y%m%d'
+    datestr = msg.get('Date')
+    if datestr:
+        now = parsedate(datestr)
+    else:
+        now = time.gmtime(msgdata.get('received_time', time.time()))
+    datedir = safe_strftime(fmt, now)
+    if not datedir:
+        datestr = msgdata.get('X-List-Received-Date')
+        if datestr:
+            datedir = safe_strftime(fmt, datestr)
+    if not datedir:
+        # What next?  Unixfrom, I guess.
+        parts = msg.get_unixfrom().split()
+        try:
+            month = {'Jan':1, 'Feb':2, 'Mar':3, 'Apr':4, 'May':5, 'Jun':6,
+                     'Jul':7, 'Aug':8, 'Sep':9, 'Oct':10, 'Nov':11, 'Dec':12,
+                     }.get(parts[3], 0)
+            day = int(parts[4])
+            year = int(parts[6])
+        except (IndexError, ValueError):
+            # Best we can do I think
+            month = day = year = 0
+        datedir = '%04d%02d%02d' % (year, month, day)
+    assert datedir
+    # As for the msgid hash, we'll base this part on the Message-ID: so that
+    # all attachments for the same message end up in the same directory (we'll
+    # uniquify the filenames in that directory as needed).  We use the first 2
+    # and last 2 bytes of the SHA1 hash of the message id as the basis of the
+    # directory name.  Clashes here don't really matter too much, and that
+    # still gives us a 32-bit space to work with.
+    msgid = msg['message-id']
+    if msgid is None:
+        msgid = msg['Message-ID'] = Utils.unique_message_id(mlist)
+    # We assume that the message id actually /is/ unique!
+    digest = sha_new(msgid).hexdigest()
+    return os.path.join('attachments', datedir, digest[:4] + digest[-4:])
+
+
+def replace_payload_by_text(msg, text, charset):
+    # TK: This is a common function in replacing the attachment and the main
+    # message by a text (scrubbing).
+    del msg['content-type']
+    del msg['content-transfer-encoding']
+    if isinstance(charset, unicode):
+        # email 3.0.1 (python 2.4) doesn't like unicode
+        charset = charset.encode('us-ascii')
+    msg.set_payload(text, charset)
+
+
+
+def process(mlist, msg, msgdata=None):
+    sanitize = mm_cfg.ARCHIVE_HTML_SANITIZER
+    outer = True
+    if msgdata is None:
+        msgdata = {}
+    if msgdata:
+        # msgdata is available if it is in GLOBAL_PIPELINE
+        # ie. not in digest or archiver
+        # check if the list owner want to scrub regular delivery
+        if not mlist.scrub_nondigest:
+            return
+    dir = calculate_attachments_dir(mlist, msg, msgdata)
+    charset = None
+    lcset = Utils.GetCharSet(mlist.preferred_language)
+    lcset_out = Charset(lcset).output_charset or lcset
+    # Now walk over all subparts of this message and scrub out various types
+    format = delsp = None
+    for part in msg.walk():
+        ctype = part.get_content_type()
+        # If the part is text/plain, we leave it alone
+        if ctype == 'text/plain':
+            # We need to choose a charset for the scrubbed message, so we'll
+            # arbitrarily pick the charset of the first text/plain part in the
+            # message.
+            # MAS: Also get the RFC 3676 stuff from this part. This seems to
+            # work OK for scrub_nondigest.  It will also work as far as
+            # scrubbing messages for the archive is concerned, but pipermail
+            # doesn't pay any attention to the RFC 3676 parameters.  The plain
+            # format digest is going to be a disaster in any case as some of
+            # messages will be format="flowed" and some not.  ToDigest creates
+            # its own Content-Type: header for the plain digest which won't
+            # have RFC 3676 parameters. If the message Content-Type: headers
+            # are retained for display in the digest, the parameters will be
+            # there for information, but not for the MUA. This is the best we
+            # can do without having get_payload() process the parameters.
+            if charset is None:
+                charset = part.get_content_charset(lcset)
+                format = part.get_param('format')
+                delsp = part.get_param('delsp')
+            # TK: if part is attached then check charset and scrub if none
+            if part.get('content-disposition') and \
+               not part.get_content_charset():
+                omask = os.umask(002)
+                try:
+                    url = save_attachment(mlist, part, dir)
+                finally:
+                    os.umask(omask)
+                filename = part.get_filename(_('not available'))
+                filename = Utils.oneline(filename, lcset)
+                replace_payload_by_text(part, _("""\
+An embedded and charset-unspecified text was scrubbed...
+Name: %(filename)s
+URL: %(url)s
+"""), lcset)
+        elif ctype == 'text/html' and isinstance(sanitize, IntType):
+            if sanitize == 0:
+                if outer:
+                    raise DiscardMessage
+                replace_payload_by_text(part,
+                                 _('HTML attachment scrubbed and removed'),
+                                 # Adding charset arg and removing content-type
+                                 # sets content-type to text/plain
+                                 lcset)
+            elif sanitize == 2:
+                # By leaving it alone, Pipermail will automatically escape it
+                pass
+            elif sanitize == 3:
+                # Pull it out as an attachment but leave it unescaped.  This
+                # is dangerous, but perhaps useful for heavily moderated
+                # lists.
+                omask = os.umask(002)
+                try:
+                    url = save_attachment(mlist, part, dir, filter_html=False)
+                finally:
+                    os.umask(omask)
+                replace_payload_by_text(part, _("""\
+An HTML attachment was scrubbed...
+URL: %(url)s
+"""), lcset)
+            else:
+                # HTML-escape it and store it as an attachment, but make it
+                # look a /little/ bit prettier. :(
+                payload = Utils.websafe(part.get_payload(decode=True))
+                # For whitespace in the margin, change spaces into
+                # non-breaking spaces, and tabs into 8 of those.  Then use a
+                # mono-space font.  Still looks hideous to me, but then I'd
+                # just as soon discard them.
+                def doreplace(s):
+                    return s.expandtabs(8).replace(' ', '&nbsp;')
+                lines = [doreplace(s) for s in payload.split('\n')]
+                payload = '<tt>\n' + BR.join(lines) + '\n</tt>\n'
+                part.set_payload(payload)
+                # We're replacing the payload with the decoded payload so this
+                # will just get in the way.
+                del part['content-transfer-encoding']
+                omask = os.umask(002)
+                try:
+                    url = save_attachment(mlist, part, dir, filter_html=False)
+                finally:
+                    os.umask(omask)
+                replace_payload_by_text(part, _("""\
+An HTML attachment was scrubbed...
+URL: %(url)s
+"""), lcset)
+        elif ctype == 'message/rfc822':
+            # This part contains a submessage, so it too needs scrubbing
+            submsg = part.get_payload(0)
+            omask = os.umask(002)
+            try:
+                url = save_attachment(mlist, part, dir)
+            finally:
+                os.umask(omask)
+            subject = submsg.get('subject', _('no subject'))
+            subject = Utils.oneline(subject, lcset)
+            date = submsg.get('date', _('no date'))
+            who = submsg.get('from', _('unknown sender'))
+            size = len(str(submsg))
+            replace_payload_by_text(part, _("""\
+An embedded message was scrubbed...
+From: %(who)s
+Subject: %(subject)s
+Date: %(date)s
+Size: %(size)s
+URL: %(url)s
+"""), lcset)
+        # If the message isn't a multipart, then we'll strip it out as an
+        # attachment that would have to be separately downloaded.  Pipermail
+        # will transform the url into a hyperlink.
+        elif part.get_payload() and not part.is_multipart():
+            payload = part.get_payload(decode=True)
+            ctype = part.get_content_type()
+            # XXX Under email 2.5, it is possible that payload will be None.
+            # This can happen when you have a Content-Type: multipart/* with
+            # only one part and that part has two blank lines between the
+            # first boundary and the end boundary.  In email 3.0 you end up
+            # with a string in the payload.  I think in this case it's safe to
+            # ignore the part.
+            if payload is None:
+                continue
+            size = len(payload)
+            omask = os.umask(002)
+            try:
+                url = save_attachment(mlist, part, dir)
+            finally:
+                os.umask(omask)
+            desc = part.get('content-description', _('not available'))
+            desc = Utils.oneline(desc, lcset)
+            filename = part.get_filename(_('not available'))
+            filename = Utils.oneline(filename, lcset)
+            replace_payload_by_text(part, _("""\
+A non-text attachment was scrubbed...
+Name: %(filename)s
+Type: %(ctype)s
+Size: %(size)d bytes
+Desc: %(desc)s
+URL: %(url)s
+"""), lcset)
+        outer = False
+    # We still have to sanitize multipart messages to flat text because
+    # Pipermail can't handle messages with list payloads.  This is a kludge;
+    # def (n) clever hack ;).
+    if msg.is_multipart() and sanitize <> 2:
+        # By default we take the charset of the first text/plain part in the
+        # message, but if there was none, we'll use the list's preferred
+        # language's charset.
+        if not charset or charset == 'us-ascii':
+            charset = lcset_out
+        else:
+            # normalize to the output charset if input/output are different
+            charset = Charset(charset).output_charset or charset
+        # We now want to concatenate all the parts which have been scrubbed to
+        # text/plain, into a single text/plain payload.  We need to make sure
+        # all the characters in the concatenated string are in the same
+        # encoding, so we'll use the 'replace' key in the coercion call.
+        # BAW: Martin's original patch suggested we might want to try
+        # generalizing to utf-8, and that's probably a good idea (eventually).
+        text = []
+        for part in msg.walk():
+            # TK: bug-id 1099138 and multipart
+            # MAS test payload - if part may fail if there are no headers.
+            if not part.get_payload() or part.is_multipart():
+                continue
+            # All parts should be scrubbed to text/plain by now.
+            partctype = part.get_content_type()
+            if partctype <> 'text/plain':
+                text.append(_('Skipped content of type %(partctype)s\n'))
+                continue
+            try:
+                t = part.get_payload(decode=True) or ''
+            # MAS: TypeError exception can occur if payload is None. This
+            # was observed with a message that contained an attached
+            # message/delivery-status part. Because of the special parsing
+            # of this type, this resulted in a text/plain sub-part with a
+            # null body. See bug 1430236.
+            except (binascii.Error, TypeError):
+                t = part.get_payload() or ''
+            # TK: get_content_charset() returns 'iso-2022-jp' for internally
+            # crafted (scrubbed) 'euc-jp' text part. So, first try
+            # get_charset(), then get_content_charset() for the parts
+            # which are already embeded in the incoming message.
+            partcharset = part.get_charset()
+            if partcharset:
+                partcharset = str(partcharset)
+            else:
+                partcharset = part.get_content_charset()
+            if partcharset and partcharset <> charset:
+                try:
+                    t = unicode(t, partcharset, 'replace')
+                except (UnicodeError, LookupError, ValueError,
+                        AssertionError):
+                    # We can get here if partcharset is bogus in come way.
+                    # Replace funny characters.  We use errors='replace'
+                    t = unicode(t, 'ascii', 'replace')
+                try:
+                    # Should use HTML-Escape, or try generalizing to UTF-8
+                    t = t.encode(charset, 'replace')
+                except (UnicodeError, LookupError, ValueError,
+                        AssertionError):
+                    # if the message charset is bogus, use the list's.
+                    t = t.encode(lcset, 'replace')
+            # Separation is useful
+            if isinstance(t, StringType):
+                if not t.endswith('\n'):
+                    t += '\n'
+                text.append(t)
+        # Now join the text and set the payload
+        sep = _('-------------- next part --------------\n')
+        # The i18n separator is in the list's charset. Coerce it to the
+        # message charset.
+        try:
+            s = unicode(sep, lcset, 'replace')
+            sep = s.encode(charset, 'replace')
+        except (UnicodeError, LookupError, ValueError,
+                AssertionError):
+            pass
+        replace_payload_by_text(msg, sep.join(text), charset)
+        if format:
+            msg.set_param('Format', format)
+        if delsp:
+            msg.set_param('DelSp', delsp)
+    return msg
+
+
+
+def makedirs(dir):
+    # Create all the directories to store this attachment in
+    try:
+        os.makedirs(dir, 02775)
+        # Unfortunately, FreeBSD seems to be broken in that it doesn't honor
+        # the mode arg of mkdir().
+        def twiddle(arg, dirname, names):
+            os.chmod(dirname, 02775)
+        os.path.walk(dir, twiddle, None)
+    except OSError, e:
+        if e.errno <> errno.EEXIST: raise
+
+
+
+def save_attachment(mlist, msg, dir, filter_html=True):
+    fsdir = os.path.join(mlist.archive_dir(), dir)
+    makedirs(fsdir)
+    # Figure out the attachment type and get the decoded data
+    decodedpayload = msg.get_payload(decode=True)
+    # BAW: mimetypes ought to handle non-standard, but commonly found types,
+    # e.g. image/jpg (should be image/jpeg).  For now we just store such
+    # things as application/octet-streams since that seems the safest.
+    ctype = msg.get_content_type()
+    # i18n file name is encoded
+    lcset = Utils.GetCharSet(mlist.preferred_language)
+    filename = Utils.oneline(msg.get_filename(''), lcset)
+    filename, fnext = os.path.splitext(filename)
+    # For safety, we should confirm this is valid ext for content-type
+    # but we can use fnext if we introduce fnext filtering
+    if mm_cfg.SCRUBBER_USE_ATTACHMENT_FILENAME_EXTENSION:
+        # HTML message doesn't have filename :-(
+        ext = fnext or guess_extension(ctype, fnext)
+    else:
+        ext = guess_extension(ctype, fnext)
+    if not ext:
+        # We don't know what it is, so assume it's just a shapeless
+        # application/octet-stream, unless the Content-Type: is
+        # message/rfc822, in which case we know we'll coerce the type to
+        # text/plain below.
+        if ctype == 'message/rfc822':
+            ext = '.txt'
+        else:
+            ext = '.bin'
+    # Allow only alphanumerics, dash, underscore, and dot
+    ext = sre.sub('', ext)
+    path = None
+    # We need a lock to calculate the next attachment number
+    lockfile = os.path.join(fsdir, 'attachments.lock')
+    lock = LockFile.LockFile(lockfile)
+    lock.lock()
+    try:
+        # Now base the filename on what's in the attachment, uniquifying it if
+        # necessary.
+        if not filename or mm_cfg.SCRUBBER_DONT_USE_ATTACHMENT_FILENAME:
+            filebase = 'attachment'
+        else:
+            # Sanitize the filename given in the message headers
+            parts = pre.split(filename)
+            filename = parts[-1]
+            # Strip off leading dots
+            filename = dre.sub('', filename)
+            # Allow only alphanumerics, dash, underscore, and dot
+            filename = sre.sub('', filename)
+            # If the filename's extension doesn't match the type we guessed,
+            # which one should we go with?  For now, let's go with the one we
+            # guessed so attachments can't lie about their type.  Also, if the
+            # filename /has/ no extension, then tack on the one we guessed.
+            # The extension was removed from the name above.
+            filebase = filename
+        # Now we're looking for a unique name for this file on the file
+        # system.  If msgdir/filebase.ext isn't unique, we'll add a counter
+        # after filebase, e.g. msgdir/filebase-cnt.ext
+        counter = 0
+        extra = ''
+        while True:
+            path = os.path.join(fsdir, filebase + extra + ext)
+            # Generally it is not a good idea to test for file existance
+            # before just trying to create it, but the alternatives aren't
+            # wonderful (i.e. os.open(..., O_CREAT | O_EXCL) isn't
+            # NFS-safe).  Besides, we have an exclusive lock now, so we're
+            # guaranteed that no other process will be racing with us.
+            if os.path.exists(path):
+                counter += 1
+                extra = '-%04d' % counter
+            else:
+                break
+    finally:
+        lock.unlock()
+    # `path' now contains the unique filename for the attachment.  There's
+    # just one more step we need to do.  If the part is text/html and
+    # ARCHIVE_HTML_SANITIZER is a string (which it must be or we wouldn't be
+    # here), then send the attachment through the filter program for
+    # sanitization
+    if filter_html and ctype == 'text/html':
+        base, ext = os.path.splitext(path)
+        tmppath = base + '-tmp' + ext
+        fp = open(tmppath, 'w')
+        try:
+            fp.write(decodedpayload)
+            fp.close()
+            cmd = mm_cfg.ARCHIVE_HTML_SANITIZER % {'filename' : tmppath}
+            progfp = os.popen(cmd, 'r')
+            decodedpayload = progfp.read()
+            status = progfp.close()
+            if status:
+                syslog('error',
+                       'HTML sanitizer exited with non-zero status: %s',
+                       status)
+        finally:
+            os.unlink(tmppath)
+        # BAW: Since we've now sanitized the document, it should be plain
+        # text.  Blarg, we really want the sanitizer to tell us what the type
+        # if the return data is. :(
+        ext = '.txt'
+        path = base + '.txt'
+    # Is it a message/rfc822 attachment?
+    elif ctype == 'message/rfc822':
+        submsg = msg.get_payload()
+        # BAW: I'm sure we can eventually do better than this. :(
+        decodedpayload = Utils.websafe(str(submsg))
+    fp = open(path, 'w')
+    fp.write(decodedpayload)
+    fp.close()
+    # Now calculate the url
+    baseurl = mlist.GetBaseArchiveURL()
+    # Private archives will likely have a trailing slash.  Normalize.
+    if baseurl[-1] <> '/':
+        baseurl += '/'
+    # A trailing space in url string may save users who are using
+    # RFC-1738 compliant MUA (Not Mozilla).
+    # Trailing space will definitely be a problem with format=flowed.
+    # Bracket the URL instead.
+    url = '<' + baseurl + '%s/%s%s%s>' % (dir, filebase, extra, ext)
+    return url

=== added directory '.pc/71_date_overflows.patch'
=== added directory '.pc/71_date_overflows.patch/Mailman'
=== added directory '.pc/71_date_overflows.patch/Mailman/Handlers'
=== added file '.pc/71_date_overflows.patch/Mailman/Handlers/Scrubber.py'
--- .pc/71_date_overflows.patch/Mailman/Handlers/Scrubber.py	1970-01-01 00:00:00 +0000
+++ .pc/71_date_overflows.patch/Mailman/Handlers/Scrubber.py	2010-07-13 21:35:40 +0000
@@ -0,0 +1,539 @@
+# Copyright (C) 2001-2009 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+"""Cleanse a message for archiving."""
+
+from __future__ import nested_scopes
+
+import os
+import re
+import time
+import errno
+import binascii
+import tempfile
+from cStringIO import StringIO
+from types import IntType, StringType
+
+from email.Utils import parsedate
+from email.Parser import HeaderParser
+from email.Generator import Generator
+from email.Charset import Charset
+
+from Mailman import mm_cfg
+from Mailman import Utils
+from Mailman import LockFile
+from Mailman import Message
+from Mailman.Errors import DiscardMessage
+from Mailman.i18n import _
+from Mailman.Logging.Syslog import syslog
+from Mailman.Utils import sha_new
+
+# Path characters for common platforms
+pre = re.compile(r'[/\\:]')
+# All other characters to strip out of Content-Disposition: filenames
+# (essentially anything that isn't an alphanum, dot, dash, or underscore).
+sre = re.compile(r'[^-\w.]')
+# Regexp to strip out leading dots
+dre = re.compile(r'^\.*')
+
+BR = '<br>\n'
+SPACE = ' '
+
+try:
+    True, False
+except NameError:
+    True = 1
+    False = 0
+
+
+try:
+    from mimetypes import guess_all_extensions
+except ImportError:
+    import mimetypes
+    def guess_all_extensions(ctype, strict=True):
+        # BAW: sigh, guess_all_extensions() is new in Python 2.3
+        all = []
+        def check(map):
+            for e, t in map.items():
+                if t == ctype:
+                    all.append(e)
+        check(mimetypes.types_map)
+        # Python 2.1 doesn't have common_types.  Sigh, sigh.
+        if not strict and hasattr(mimetypes, 'common_types'):
+            check(mimetypes.common_types)
+        return all
+
+
+
+def guess_extension(ctype, ext):
+    # mimetypes maps multiple extensions to the same type, e.g. .doc, .dot,
+    # and .wiz are all mapped to application/msword.  This sucks for finding
+    # the best reverse mapping.  If the extension is one of the giving
+    # mappings, we'll trust that, otherwise we'll just guess. :/
+    all = guess_all_extensions(ctype, strict=False)
+    if ext in all:
+        return ext
+    return all and all[0]
+
+
+def safe_strftime(fmt, t):
+    try:
+        return time.strftime(fmt, t)
+    except (TypeError, ValueError, OverflowError):
+        return None
+
+
+def calculate_attachments_dir(mlist, msg, msgdata):
+    # Calculate the directory that attachments for this message will go
+    # under.  To avoid inode limitations, the scheme will be:
+    # archives/private/<listname>/attachments/YYYYMMDD/<msgid-hash>/<files>
+    # Start by calculating the date-based and msgid-hash components.
+    fmt = '%Y%m%d'
+    datestr = msg.get('Date')
+    if datestr:
+        now = parsedate(datestr)
+    else:
+        now = time.gmtime(msgdata.get('received_time', time.time()))
+    datedir = safe_strftime(fmt, now)
+    if not datedir:
+        datestr = msgdata.get('X-List-Received-Date')
+        if datestr:
+            datedir = safe_strftime(fmt, datestr)
+    if not datedir:
+        # What next?  Unixfrom, I guess.
+        parts = msg.get_unixfrom().split()
+        try:
+            month = {'Jan':1, 'Feb':2, 'Mar':3, 'Apr':4, 'May':5, 'Jun':6,
+                     'Jul':7, 'Aug':8, 'Sep':9, 'Oct':10, 'Nov':11, 'Dec':12,
+                     }.get(parts[3], 0)
+            day = int(parts[4])
+            year = int(parts[6])
+        except (IndexError, ValueError):
+            # Best we can do I think
+            month = day = year = 0
+        datedir = '%04d%02d%02d' % (year, month, day)
+    assert datedir
+    # As for the msgid hash, we'll base this part on the Message-ID: so that
+    # all attachments for the same message end up in the same directory (we'll
+    # uniquify the filenames in that directory as needed).  We use the first 2
+    # and last 2 bytes of the SHA1 hash of the message id as the basis of the
+    # directory name.  Clashes here don't really matter too much, and that
+    # still gives us a 32-bit space to work with.
+    msgid = msg['message-id']
+    if msgid is None:
+        msgid = msg['Message-ID'] = Utils.unique_message_id(mlist)
+    # We assume that the message id actually /is/ unique!
+    digest = sha_new(msgid).hexdigest()
+    return os.path.join('attachments', datedir, digest[:4] + digest[-4:])
+
+
+def replace_payload_by_text(msg, text, charset):
+    # TK: This is a common function in replacing the attachment and the main
+    # message by a text (scrubbing).
+    del msg['content-type']
+    del msg['content-transfer-encoding']
+    if isinstance(charset, unicode):
+        # email 3.0.1 (python 2.4) doesn't like unicode
+        charset = charset.encode('us-ascii')
+    msg.set_payload(text, charset)
+
+
+
+def process(mlist, msg, msgdata=None):
+    sanitize = mm_cfg.ARCHIVE_HTML_SANITIZER
+    outer = True
+    if msgdata is None:
+        msgdata = {}
+    if msgdata:
+        # msgdata is available if it is in GLOBAL_PIPELINE
+        # ie. not in digest or archiver
+        # check if the list owner want to scrub regular delivery
+        if not mlist.scrub_nondigest:
+            return
+    dir = calculate_attachments_dir(mlist, msg, msgdata)
+    charset = None
+    lcset = Utils.GetCharSet(mlist.preferred_language)
+    lcset_out = Charset(lcset).output_charset or lcset
+    # Now walk over all subparts of this message and scrub out various types
+    format = delsp = None
+    for part in msg.walk():
+        ctype = part.get_content_type()
+        # If the part is text/plain, we leave it alone
+        if ctype == 'text/plain':
+            # We need to choose a charset for the scrubbed message, so we'll
+            # arbitrarily pick the charset of the first text/plain part in the
+            # message.
+            # MAS: Also get the RFC 3676 stuff from this part. This seems to
+            # work OK for scrub_nondigest.  It will also work as far as
+            # scrubbing messages for the archive is concerned, but pipermail
+            # doesn't pay any attention to the RFC 3676 parameters.  The plain
+            # format digest is going to be a disaster in any case as some of
+            # messages will be format="flowed" and some not.  ToDigest creates
+            # its own Content-Type: header for the plain digest which won't
+            # have RFC 3676 parameters. If the message Content-Type: headers
+            # are retained for display in the digest, the parameters will be
+            # there for information, but not for the MUA. This is the best we
+            # can do without having get_payload() process the parameters.
+            if charset is None:
+                charset = part.get_content_charset(lcset)
+                format = part.get_param('format')
+                delsp = part.get_param('delsp')
+            # TK: if part is attached then check charset and scrub if none
+            if part.get('content-disposition') and \
+               not part.get_content_charset():
+                omask = os.umask(002)
+                try:
+                    url = save_attachment(mlist, part, dir)
+                finally:
+                    os.umask(omask)
+                filename = part.get_filename(_('not available'))
+                filename = Utils.oneline(filename, lcset)
+                replace_payload_by_text(part, _("""\
+An embedded and charset-unspecified text was scrubbed...
+Name: %(filename)s
+URL: %(url)s
+"""), lcset)
+        elif ctype == 'text/html' and isinstance(sanitize, IntType):
+            if sanitize == 0:
+                if outer:
+                    raise DiscardMessage
+                replace_payload_by_text(part,
+                                 _('HTML attachment scrubbed and removed'),
+                                 # Adding charset arg and removing content-type
+                                 # sets content-type to text/plain
+                                 lcset)
+            elif sanitize == 2:
+                # By leaving it alone, Pipermail will automatically escape it
+                pass
+            elif sanitize == 3:
+                # Pull it out as an attachment but leave it unescaped.  This
+                # is dangerous, but perhaps useful for heavily moderated
+                # lists.
+                omask = os.umask(002)
+                try:
+                    url = save_attachment(mlist, part, dir, filter_html=False)
+                finally:
+                    os.umask(omask)
+                replace_payload_by_text(part, _("""\
+An HTML attachment was scrubbed...
+URL: %(url)s
+"""), lcset)
+            else:
+                # HTML-escape it and store it as an attachment, but make it
+                # look a /little/ bit prettier. :(
+                payload = Utils.websafe(part.get_payload(decode=True))
+                # For whitespace in the margin, change spaces into
+                # non-breaking spaces, and tabs into 8 of those.  Then use a
+                # mono-space font.  Still looks hideous to me, but then I'd
+                # just as soon discard them.
+                def doreplace(s):
+                    return s.expandtabs(8).replace(' ', '&nbsp;')
+                lines = [doreplace(s) for s in payload.split('\n')]
+                payload = '<tt>\n' + BR.join(lines) + '\n</tt>\n'
+                part.set_payload(payload)
+                # We're replacing the payload with the decoded payload so this
+                # will just get in the way.
+                del part['content-transfer-encoding']
+                omask = os.umask(002)
+                try:
+                    url = save_attachment(mlist, part, dir, filter_html=False)
+                finally:
+                    os.umask(omask)
+                replace_payload_by_text(part, _("""\
+An HTML attachment was scrubbed...
+URL: %(url)s
+"""), lcset)
+        elif ctype == 'message/rfc822':
+            # This part contains a submessage, so it too needs scrubbing
+            submsg = part.get_payload(0)
+            omask = os.umask(002)
+            try:
+                url = save_attachment(mlist, part, dir)
+            finally:
+                os.umask(omask)
+            subject = submsg.get('subject', _('no subject'))
+            subject = Utils.oneline(subject, lcset)
+            date = submsg.get('date', _('no date'))
+            who = submsg.get('from', _('unknown sender'))
+            size = len(str(submsg))
+            replace_payload_by_text(part, _("""\
+An embedded message was scrubbed...
+From: %(who)s
+Subject: %(subject)s
+Date: %(date)s
+Size: %(size)s
+URL: %(url)s
+"""), lcset)
+        # If the message isn't a multipart, then we'll strip it out as an
+        # attachment that would have to be separately downloaded.  Pipermail
+        # will transform the url into a hyperlink.
+        elif part.get_payload() and not part.is_multipart():
+            payload = part.get_payload(decode=True)
+            ctype = part.get_content_type()
+            # XXX Under email 2.5, it is possible that payload will be None.
+            # This can happen when you have a Content-Type: multipart/* with
+            # only one part and that part has two blank lines between the
+            # first boundary and the end boundary.  In email 3.0 you end up
+            # with a string in the payload.  I think in this case it's safe to
+            # ignore the part.
+            if payload is None:
+                continue
+            size = len(payload)
+            omask = os.umask(002)
+            try:
+                url = save_attachment(mlist, part, dir)
+            finally:
+                os.umask(omask)
+            desc = part.get('content-description', _('not available'))
+            desc = Utils.oneline(desc, lcset)
+            try:
+                filename = part.get_filename(_('not available'))
+            except UnicodeDecodeError:
+                filename = _('not available')
+            filename = Utils.oneline(filename, lcset)
+            replace_payload_by_text(part, _("""\
+A non-text attachment was scrubbed...
+Name: %(filename)s
+Type: %(ctype)s
+Size: %(size)d bytes
+Desc: %(desc)s
+URL: %(url)s
+"""), lcset)
+        outer = False
+    # We still have to sanitize multipart messages to flat text because
+    # Pipermail can't handle messages with list payloads.  This is a kludge;
+    # def (n) clever hack ;).
+    if msg.is_multipart() and sanitize <> 2:
+        # By default we take the charset of the first text/plain part in the
+        # message, but if there was none, we'll use the list's preferred
+        # language's charset.
+        if not charset or charset == 'us-ascii':
+            charset = lcset_out
+        else:
+            # normalize to the output charset if input/output are different
+            charset = Charset(charset).output_charset or charset
+        # We now want to concatenate all the parts which have been scrubbed to
+        # text/plain, into a single text/plain payload.  We need to make sure
+        # all the characters in the concatenated string are in the same
+        # encoding, so we'll use the 'replace' key in the coercion call.
+        # BAW: Martin's original patch suggested we might want to try
+        # generalizing to utf-8, and that's probably a good idea (eventually).
+        text = []
+        for part in msg.walk():
+            # TK: bug-id 1099138 and multipart
+            # MAS test payload - if part may fail if there are no headers.
+            if not part.get_payload() or part.is_multipart():
+                continue
+            # All parts should be scrubbed to text/plain by now.
+            partctype = part.get_content_type()
+            if partctype <> 'text/plain':
+                text.append(_('Skipped content of type %(partctype)s\n'))
+                continue
+            try:
+                t = part.get_payload(decode=True) or ''
+            # MAS: TypeError exception can occur if payload is None. This
+            # was observed with a message that contained an attached
+            # message/delivery-status part. Because of the special parsing
+            # of this type, this resulted in a text/plain sub-part with a
+            # null body. See bug 1430236.
+            except (binascii.Error, TypeError):
+                t = part.get_payload() or ''
+            # TK: get_content_charset() returns 'iso-2022-jp' for internally
+            # crafted (scrubbed) 'euc-jp' text part. So, first try
+            # get_charset(), then get_content_charset() for the parts
+            # which are already embeded in the incoming message.
+            partcharset = part.get_charset()
+            if partcharset:
+                partcharset = str(partcharset)
+            else:
+                partcharset = part.get_content_charset()
+            if partcharset and partcharset <> charset:
+                try:
+                    t = unicode(t, partcharset, 'replace')
+                except (UnicodeError, LookupError, ValueError,
+                        AssertionError):
+                    # We can get here if partcharset is bogus in come way.
+                    # Replace funny characters.  We use errors='replace'
+                    t = unicode(t, 'ascii', 'replace')
+                try:
+                    # Should use HTML-Escape, or try generalizing to UTF-8
+                    t = t.encode(charset, 'replace')
+                except (UnicodeError, LookupError, ValueError,
+                        AssertionError):
+                    # if the message charset is bogus, use the list's.
+                    t = t.encode(lcset, 'replace')
+            # Separation is useful
+            if isinstance(t, StringType):
+                if not t.endswith('\n'):
+                    t += '\n'
+                text.append(t)
+        # Now join the text and set the payload
+        sep = _('-------------- next part --------------\n')
+        # The i18n separator is in the list's charset. Coerce it to the
+        # message charset.
+        try:
+            s = unicode(sep, lcset, 'replace')
+            sep = s.encode(charset, 'replace')
+        except (UnicodeError, LookupError, ValueError,
+                AssertionError):
+            pass
+        replace_payload_by_text(msg, sep.join(text), charset)
+        if format:
+            msg.set_param('Format', format)
+        if delsp:
+            msg.set_param('DelSp', delsp)
+    return msg
+
+
+
+def makedirs(dir):
+    # Create all the directories to store this attachment in
+    try:
+        os.makedirs(dir, 02775)
+        # Unfortunately, FreeBSD seems to be broken in that it doesn't honor
+        # the mode arg of mkdir().
+        def twiddle(arg, dirname, names):
+            os.chmod(dirname, 02775)
+        os.path.walk(dir, twiddle, None)
+    except OSError, e:
+        if e.errno <> errno.EEXIST: raise
+
+
+
+def save_attachment(mlist, msg, dir, filter_html=True):
+    fsdir = os.path.join(mlist.archive_dir(), dir)
+    makedirs(fsdir)
+    # Figure out the attachment type and get the decoded data
+    decodedpayload = msg.get_payload(decode=True)
+    # BAW: mimetypes ought to handle non-standard, but commonly found types,
+    # e.g. image/jpg (should be image/jpeg).  For now we just store such
+    # things as application/octet-streams since that seems the safest.
+    ctype = msg.get_content_type()
+    # i18n file name is encoded
+    lcset = Utils.GetCharSet(mlist.preferred_language)
+    try:
+        filename = Utils.oneline(msg.get_filename(''), lcset)
+    except UnicodeDecodeError:
+        filename = ''
+    filename, fnext = os.path.splitext(filename)
+    # For safety, we should confirm this is valid ext for content-type
+    # but we can use fnext if we introduce fnext filtering
+    if mm_cfg.SCRUBBER_USE_ATTACHMENT_FILENAME_EXTENSION:
+        # HTML message doesn't have filename :-(
+        ext = fnext or guess_extension(ctype, fnext)
+    else:
+        ext = guess_extension(ctype, fnext)
+    if not ext:
+        # We don't know what it is, so assume it's just a shapeless
+        # application/octet-stream, unless the Content-Type: is
+        # message/rfc822, in which case we know we'll coerce the type to
+        # text/plain below.
+        if ctype == 'message/rfc822':
+            ext = '.txt'
+        else:
+            ext = '.bin'
+    # Allow only alphanumerics, dash, underscore, and dot
+    ext = sre.sub('', ext)
+    path = None
+    # We need a lock to calculate the next attachment number
+    lockfile = os.path.join(fsdir, 'attachments.lock')
+    lock = LockFile.LockFile(lockfile)
+    lock.lock()
+    try:
+        # Now base the filename on what's in the attachment, uniquifying it if
+        # necessary.
+        if not filename or mm_cfg.SCRUBBER_DONT_USE_ATTACHMENT_FILENAME:
+            filebase = 'attachment'
+        else:
+            # Sanitize the filename given in the message headers
+            parts = pre.split(filename)
+            filename = parts[-1]
+            # Strip off leading dots
+            filename = dre.sub('', filename)
+            # Allow only alphanumerics, dash, underscore, and dot
+            filename = sre.sub('', filename)
+            # If the filename's extension doesn't match the type we guessed,
+            # which one should we go with?  For now, let's go with the one we
+            # guessed so attachments can't lie about their type.  Also, if the
+            # filename /has/ no extension, then tack on the one we guessed.
+            # The extension was removed from the name above.
+            filebase = filename
+        # Now we're looking for a unique name for this file on the file
+        # system.  If msgdir/filebase.ext isn't unique, we'll add a counter
+        # after filebase, e.g. msgdir/filebase-cnt.ext
+        counter = 0
+        extra = ''
+        while True:
+            path = os.path.join(fsdir, filebase + extra + ext)
+            # Generally it is not a good idea to test for file existance
+            # before just trying to create it, but the alternatives aren't
+            # wonderful (i.e. os.open(..., O_CREAT | O_EXCL) isn't
+            # NFS-safe).  Besides, we have an exclusive lock now, so we're
+            # guaranteed that no other process will be racing with us.
+            if os.path.exists(path):
+                counter += 1
+                extra = '-%04d' % counter
+            else:
+                break
+    finally:
+        lock.unlock()
+    # `path' now contains the unique filename for the attachment.  There's
+    # just one more step we need to do.  If the part is text/html and
+    # ARCHIVE_HTML_SANITIZER is a string (which it must be or we wouldn't be
+    # here), then send the attachment through the filter program for
+    # sanitization
+    if filter_html and ctype == 'text/html':
+        base, ext = os.path.splitext(path)
+        tmppath = base + '-tmp' + ext
+        fp = open(tmppath, 'w')
+        try:
+            fp.write(decodedpayload)
+            fp.close()
+            cmd = mm_cfg.ARCHIVE_HTML_SANITIZER % {'filename' : tmppath}
+            progfp = os.popen(cmd, 'r')
+            decodedpayload = progfp.read()
+            status = progfp.close()
+            if status:
+                syslog('error',
+                       'HTML sanitizer exited with non-zero status: %s',
+                       status)
+        finally:
+            os.unlink(tmppath)
+        # BAW: Since we've now sanitized the document, it should be plain
+        # text.  Blarg, we really want the sanitizer to tell us what the type
+        # if the return data is. :(
+        ext = '.txt'
+        path = base + '.txt'
+    # Is it a message/rfc822 attachment?
+    elif ctype == 'message/rfc822':
+        submsg = msg.get_payload()
+        # BAW: I'm sure we can eventually do better than this. :(
+        decodedpayload = Utils.websafe(str(submsg))
+    fp = open(path, 'w')
+    fp.write(decodedpayload)
+    fp.close()
+    # Now calculate the url
+    baseurl = mlist.GetBaseArchiveURL()
+    # Private archives will likely have a trailing slash.  Normalize.
+    if baseurl[-1] <> '/':
+        baseurl += '/'
+    # A trailing space in url string may save users who are using
+    # RFC-1738 compliant MUA (Not Mozilla).
+    # Trailing space will definitely be a problem with format=flowed.
+    # Bracket the URL instead.
+    url = '<' + baseurl + '%s/%s%s%s>' % (dir, filebase, extra, ext)
+    return url

=== added directory '.pc/74_admin_non-ascii_emails.patch'
=== added directory '.pc/74_admin_non-ascii_emails.patch/Mailman'
=== added directory '.pc/74_admin_non-ascii_emails.patch/Mailman/Cgi'
=== added file '.pc/74_admin_non-ascii_emails.patch/Mailman/Cgi/admin.py'
--- .pc/74_admin_non-ascii_emails.patch/Mailman/Cgi/admin.py	1970-01-01 00:00:00 +0000
+++ .pc/74_admin_non-ascii_emails.patch/Mailman/Cgi/admin.py	2010-07-13 21:35:40 +0000
@@ -0,0 +1,1486 @@
+# Copyright (C) 1998-2009 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+"""Process and produce the list-administration options forms."""
+
+# For Python 2.1.x compatibility
+from __future__ import nested_scopes
+
+import sys
+import os
+import re
+import cgi
+import urllib
+import signal
+from types import *
+
+from email.Utils import unquote, parseaddr, formataddr
+
+from Mailman import mm_cfg
+from Mailman import Utils
+from Mailman import MailList
+from Mailman import Errors
+from Mailman import MemberAdaptor
+from Mailman import i18n
+from Mailman.UserDesc import UserDesc
+from Mailman.htmlformat import *
+from Mailman.Cgi import Auth
+from Mailman.Logging.Syslog import syslog
+from Mailman.Utils import sha_new
+
+# Set up i18n
+_ = i18n._
+i18n.set_language(mm_cfg.DEFAULT_SERVER_LANGUAGE)
+
+NL = '\n'
+OPTCOLUMNS = 11
+
+try:
+    True, False
+except NameError:
+    True = 1
+    False = 0
+
+
+
+def main():
+    # Try to find out which list is being administered
+    parts = Utils.GetPathPieces()
+    if not parts:
+        # None, so just do the admin overview and be done with it
+        admin_overview()
+        return
+    # Get the list object
+    listname = parts[0].lower()
+    try:
+        mlist = MailList.MailList(listname, lock=0)
+    except Errors.MMListError, e:
+        # Avoid cross-site scripting attacks
+        safelistname = Utils.websafe(listname)
+        admin_overview(_('No such list <em>%(safelistname)s</em>'))
+        syslog('error', 'admin.py access for non-existent list: %s',
+               listname)
+        return
+    # Now that we know what list has been requested, all subsequent admin
+    # pages are shown in that list's preferred language.
+    i18n.set_language(mlist.preferred_language)
+    # If the user is not authenticated, we're done.
+    cgidata = cgi.FieldStorage(keep_blank_values=1)
+
+    if not mlist.WebAuthenticate((mm_cfg.AuthListAdmin,
+                                  mm_cfg.AuthSiteAdmin),
+                                 cgidata.getvalue('adminpw', '')):
+        if cgidata.has_key('adminpw'):
+            # This is a re-authorization attempt
+            msg = Bold(FontSize('+1', _('Authorization failed.'))).Format()
+        else:
+            msg = ''
+        Auth.loginpage(mlist, 'admin', msg=msg)
+        return
+
+    # Which subcategory was requested?  Default is `general'
+    if len(parts) == 1:
+        category = 'general'
+        subcat = None
+    elif len(parts) == 2:
+        category = parts[1]
+        subcat = None
+    else:
+        category = parts[1]
+        subcat = parts[2]
+
+    # Is this a log-out request?
+    if category == 'logout':
+        print mlist.ZapCookie(mm_cfg.AuthListAdmin)
+        Auth.loginpage(mlist, 'admin', frontpage=1)
+        return
+
+    # Sanity check
+    if category not in mlist.GetConfigCategories().keys():
+        category = 'general'
+
+    # Is the request for variable details?
+    varhelp = None
+    qsenviron = os.environ.get('QUERY_STRING')
+    parsedqs = None
+    if qsenviron:
+        parsedqs = cgi.parse_qs(qsenviron)
+    if cgidata.has_key('VARHELP'):
+        varhelp = cgidata.getvalue('VARHELP')
+    elif parsedqs:
+        # POST methods, even if their actions have a query string, don't get
+        # put into FieldStorage's keys :-(
+        qs = parsedqs.get('VARHELP')
+        if qs and isinstance(qs, ListType):
+            varhelp = qs[0]
+    if varhelp:
+        option_help(mlist, varhelp)
+        return
+
+    # The html page document
+    doc = Document()
+    doc.set_language(mlist.preferred_language)
+
+    # From this point on, the MailList object must be locked.  However, we
+    # must release the lock no matter how we exit.  try/finally isn't enough,
+    # because of this scenario: user hits the admin page which may take a long
+    # time to render; user gets bored and hits the browser's STOP button;
+    # browser shuts down socket; server tries to write to broken socket and
+    # gets a SIGPIPE.  Under Apache 1.3/mod_cgi, Apache catches this SIGPIPE
+    # (I presume it is buffering output from the cgi script), then turns
+    # around and SIGTERMs the cgi process.  Apache waits three seconds and
+    # then SIGKILLs the cgi process.  We /must/ catch the SIGTERM and do the
+    # most reasonable thing we can in as short a time period as possible.  If
+    # we get the SIGKILL we're screwed (because it's uncatchable and we'll
+    # have no opportunity to clean up after ourselves).
+    #
+    # This signal handler catches the SIGTERM, unlocks the list, and then
+    # exits the process.  The effect of this is that the changes made to the
+    # MailList object will be aborted, which seems like the only sensible
+    # semantics.
+    #
+    # BAW: This may not be portable to other web servers or cgi execution
+    # models.
+    def sigterm_handler(signum, frame, mlist=mlist):
+        # Make sure the list gets unlocked...
+        mlist.Unlock()
+        # ...and ensure we exit, otherwise race conditions could cause us to
+        # enter MailList.Save() while we're in the unlocked state, and that
+        # could be bad!
+        sys.exit(0)
+
+    mlist.Lock()
+    try:
+        # Install the emergency shutdown signal handler
+        signal.signal(signal.SIGTERM, sigterm_handler)
+
+        if cgidata.keys():
+            # There are options to change
+            change_options(mlist, category, subcat, cgidata, doc)
+            # Let the list sanity check the changed values
+            mlist.CheckValues()
+        # Additional sanity checks
+        if not mlist.digestable and not mlist.nondigestable:
+            doc.addError(
+                _('''You have turned off delivery of both digest and
+                non-digest messages.  This is an incompatible state of
+                affairs.  You must turn on either digest delivery or
+                non-digest delivery or your mailing list will basically be
+                unusable.'''), tag=_('Warning: '))
+
+        if not mlist.digestable and mlist.getDigestMemberKeys():
+            doc.addError(
+                _('''You have digest members, but digests are turned
+                off. Those people will not receive mail.'''),
+                tag=_('Warning: '))
+        if not mlist.nondigestable and mlist.getRegularMemberKeys():
+            doc.addError(
+                _('''You have regular list members but non-digestified mail is
+                turned off.  They will receive mail until you fix this
+                problem.'''), tag=_('Warning: '))
+        # Glom up the results page and print it out
+        show_results(mlist, doc, category, subcat, cgidata)
+        print doc.Format()
+        mlist.Save()
+    finally:
+        # Now be sure to unlock the list.  It's okay if we get a signal here
+        # because essentially, the signal handler will do the same thing.  And
+        # unlocking is unconditional, so it's not an error if we unlock while
+        # we're already unlocked.
+        mlist.Unlock()
+
+
+
+def admin_overview(msg=''):
+    # Show the administrative overview page, with the list of all the lists on
+    # this host.  msg is an optional error message to display at the top of
+    # the page.
+    #
+    # This page should be displayed in the server's default language, which
+    # should have already been set.
+    hostname = Utils.get_domain()
+    legend = _('%(hostname)s mailing lists - Admin Links')
+    # The html `document'
+    doc = Document()
+    doc.set_language(mm_cfg.DEFAULT_SERVER_LANGUAGE)
+    doc.SetTitle(legend)
+    # The table that will hold everything
+    table = Table(border=0, width="100%")
+    table.AddRow([Center(Header(2, legend))])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2,
+                      bgcolor=mm_cfg.WEB_HEADER_COLOR)
+    # Skip any mailing list that isn't advertised.
+    advertised = []
+    listnames = Utils.list_names()
+    listnames.sort()
+
+    for name in listnames:
+        mlist = MailList.MailList(name, lock=0)
+        if mlist.advertised:
+            if mm_cfg.VIRTUAL_HOST_OVERVIEW and \
+                   mlist.web_page_url.find('/%s/' % hostname) == -1:
+                # List is for different identity of this host - skip it.
+                continue
+            else:
+                advertised.append((mlist.GetScriptURL('admin'),
+                                   mlist.real_name,
+                                   mlist.description))
+    # Greeting depends on whether there was an error or not
+    if msg:
+        greeting = FontAttr(msg, color="ff5060", size="+1")
+    else:
+        greeting = _("Welcome!")
+
+    welcome = []
+    mailmanlink = Link(mm_cfg.MAILMAN_URL, _('Mailman')).Format()
+    if not advertised:
+        welcome.extend([
+            greeting,
+            _('''<p>There currently are no publicly-advertised %(mailmanlink)s
+            mailing lists on %(hostname)s.'''),
+            ])
+    else:
+        welcome.extend([
+            greeting,
+            _('''<p>Below is the collection of publicly-advertised
+            %(mailmanlink)s mailing lists on %(hostname)s.  Click on a list
+            name to visit the configuration pages for that list.'''),
+            ])
+
+    creatorurl = Utils.ScriptURL('create')
+    mailman_owner = Utils.get_site_email()
+    extra = msg and _('right ') or ''
+    welcome.extend([
+        _('''To visit the administrators configuration page for an
+        unadvertised list, open a URL similar to this one, but with a '/' and
+        the %(extra)slist name appended.  If you have the proper authority,
+        you can also <a href="%(creatorurl)s">create a new mailing list</a>.
+
+        <p>General list information can be found at '''),
+        Link(Utils.ScriptURL('listinfo'),
+             _('the mailing list overview page')),
+        '.',
+        _('<p>(Send questions and comments to '),
+        Link('mailto:%s' % mailman_owner, mailman_owner),
+        '.)<p>',
+        ])
+
+    table.AddRow([Container(*welcome)])
+    table.AddCellInfo(max(table.GetCurrentRowIndex(), 0), 0, colspan=2)
+
+    if advertised:
+        table.AddRow(['&nbsp;', '&nbsp;'])
+        table.AddRow([Bold(FontAttr(_('List'), size='+2')),
+                      Bold(FontAttr(_('Description'), size='+2'))
+                      ])
+        highlight = 1
+        for url, real_name, description in advertised:
+            table.AddRow(
+                [Link(url, Bold(real_name)),
+                      description or Italic(_('[no description available]'))])
+            if highlight and mm_cfg.WEB_HIGHLIGHT_COLOR:
+                table.AddRowInfo(table.GetCurrentRowIndex(),
+                                 bgcolor=mm_cfg.WEB_HIGHLIGHT_COLOR)
+            highlight = not highlight
+
+    doc.AddItem(table)
+    doc.AddItem('<hr>')
+    doc.AddItem(MailmanLogo())
+    print doc.Format()
+
+
+
+def option_help(mlist, varhelp):
+    # The html page document
+    doc = Document()
+    doc.set_language(mlist.preferred_language)
+    # Find out which category and variable help is being requested for.
+    item = None
+    reflist = varhelp.split('/')
+    if len(reflist) >= 2:
+        category = subcat = None
+        if len(reflist) == 2:
+            category, varname = reflist
+        elif len(reflist) == 3:
+            category, subcat, varname = reflist
+        options = mlist.GetConfigInfo(category, subcat)
+        if options:
+            for i in options:
+                if i and i[0] == varname:
+                    item = i
+                    break
+    # Print an error message if we couldn't find a valid one
+    if not item:
+        bad = _('No valid variable name found.')
+        doc.addError(bad)
+        doc.AddItem(mlist.GetMailmanFooter())
+        print doc.Format()
+        return
+    # Get the details about the variable
+    varname, kind, params, dependancies, description, elaboration = \
+             get_item_characteristics(item)
+    # Set up the document
+    realname = mlist.real_name
+    legend = _("""%(realname)s Mailing list Configuration Help
+    <br><em>%(varname)s</em> Option""")
+
+    header = Table(width='100%')
+    header.AddRow([Center(Header(3, legend))])
+    header.AddCellInfo(header.GetCurrentRowIndex(), 0, colspan=2,
+                       bgcolor=mm_cfg.WEB_HEADER_COLOR)
+    doc.SetTitle(_("Mailman %(varname)s List Option Help"))
+    doc.AddItem(header)
+    doc.AddItem("<b>%s</b> (%s): %s<p>" % (varname, category, description))
+    if elaboration:
+        doc.AddItem("%s<p>" % elaboration)
+
+    if subcat:
+        url = '%s/%s/%s' % (mlist.GetScriptURL('admin'), category, subcat)
+    else:
+        url = '%s/%s' % (mlist.GetScriptURL('admin'), category)
+    form = Form(url)
+    valtab = Table(cellspacing=3, cellpadding=4, width='100%')
+    add_options_table_item(mlist, category, subcat, valtab, item, detailsp=0)
+    form.AddItem(valtab)
+    form.AddItem('<p>')
+    form.AddItem(Center(submit_button()))
+    doc.AddItem(Center(form))
+
+    doc.AddItem(_("""<em><strong>Warning:</strong> changing this option here
+    could cause other screens to be out-of-sync.  Be sure to reload any other
+    pages that are displaying this option for this mailing list.  You can also
+    """))
+
+    adminurl = mlist.GetScriptURL('admin')
+    if subcat:
+        url = '%s/%s/%s' % (adminurl, category, subcat)
+    else:
+        url = '%s/%s' % (adminurl, category)
+    categoryname = mlist.GetConfigCategories()[category][0]
+    doc.AddItem(Link(url, _('return to the %(categoryname)s options page.')))
+    doc.AddItem('</em>')
+    doc.AddItem(mlist.GetMailmanFooter())
+    print doc.Format()
+
+
+
+def show_results(mlist, doc, category, subcat, cgidata):
+    # Produce the results page
+    adminurl = mlist.GetScriptURL('admin')
+    categories = mlist.GetConfigCategories()
+    label = _(categories[category][0])
+
+    # Set up the document's headers
+    realname = mlist.real_name
+    doc.SetTitle(_('%(realname)s Administration (%(label)s)'))
+    doc.AddItem(Center(Header(2, _(
+        '%(realname)s mailing list administration<br>%(label)s Section'))))
+    doc.AddItem('<hr>')
+    # Now we need to craft the form that will be submitted, which will contain
+    # all the variable settings, etc.  This is a bit of a kludge because we
+    # know that the autoreply and members categories supports file uploads.
+    encoding = None
+    if category in ('autoreply', 'members'):
+        encoding = 'multipart/form-data'
+    if subcat:
+        form = Form('%s/%s/%s' % (adminurl, category, subcat),
+                    encoding=encoding)
+    else:
+        form = Form('%s/%s' % (adminurl, category), encoding=encoding)
+    # This holds the two columns of links
+    linktable = Table(valign='top', width='100%')
+    linktable.AddRow([Center(Bold(_("Configuration Categories"))),
+                      Center(Bold(_("Other Administrative Activities")))])
+    # The `other links' are stuff in the right column.
+    otherlinks = UnorderedList()
+    otherlinks.AddItem(Link(mlist.GetScriptURL('admindb'),
+                            _('Tend to pending moderator requests')))
+    otherlinks.AddItem(Link(mlist.GetScriptURL('listinfo'),
+                            _('Go to the general list information page')))
+    otherlinks.AddItem(Link(mlist.GetScriptURL('edithtml'),
+                            _('Edit the public HTML pages and text files')))
+    otherlinks.AddItem(Link(mlist.GetBaseArchiveURL(),
+                            _('Go to list archives')).Format() +
+                       '<br>&nbsp;<br>')
+    # We do not allow through-the-web deletion of the site list!
+    if mm_cfg.OWNERS_CAN_DELETE_THEIR_OWN_LISTS and \
+           mlist.internal_name() <> mm_cfg.MAILMAN_SITE_LIST:
+        otherlinks.AddItem(Link(mlist.GetScriptURL('rmlist'),
+                                _('Delete this mailing list')).Format() +
+                           _(' (requires confirmation)<br>&nbsp;<br>'))
+    otherlinks.AddItem(Link('%s/logout' % adminurl,
+                            # BAW: What I really want is a blank line, but
+                            # adding an &nbsp; won't do it because of the
+                            # bullet added to the list item.
+                            '<FONT SIZE="+2"><b>%s</b></FONT>' %
+                            _('Logout')))
+    # These are links to other categories and live in the left column
+    categorylinks_1 = categorylinks = UnorderedList()
+    categorylinks_2 = ''
+    categorykeys = categories.keys()
+    half = len(categorykeys) / 2
+    counter = 0
+    subcat = None
+    for k in categorykeys:
+        label = _(categories[k][0])
+        url = '%s/%s' % (adminurl, k)
+        if k == category:
+            # Handle subcategories
+            subcats = mlist.GetConfigSubCategories(k)
+            if subcats:
+                subcat = Utils.GetPathPieces()[-1]
+                for k, v in subcats:
+                    if k == subcat:
+                        break
+                else:
+                    # The first subcategory in the list is the default
+                    subcat = subcats[0][0]
+                subcat_items = []
+                for sub, text in subcats:
+                    if sub == subcat:
+                        text = Bold('[%s]' % text).Format()
+                    subcat_items.append(Link(url + '/' + sub, text))
+                categorylinks.AddItem(
+                    Bold(label).Format() +
+                    UnorderedList(*subcat_items).Format())
+            else:
+                categorylinks.AddItem(Link(url, Bold('[%s]' % label)))
+        else:
+            categorylinks.AddItem(Link(url, label))
+        counter += 1
+        if counter >= half:
+            categorylinks_2 = categorylinks = UnorderedList()
+            counter = -len(categorykeys)
+    # Make the emergency stop switch a rude solo light
+    etable = Table()
+    # Add all the links to the links table...
+    etable.AddRow([categorylinks_1, categorylinks_2])
+    etable.AddRowInfo(etable.GetCurrentRowIndex(), valign='top')
+    if mlist.emergency:
+        label = _('Emergency moderation of all list traffic is enabled')
+        etable.AddRow([Center(
+            Link('?VARHELP=general/emergency', Bold(label)))])
+        color = mm_cfg.WEB_ERROR_COLOR
+        etable.AddCellInfo(etable.GetCurrentRowIndex(), 0,
+                           colspan=2, bgcolor=color)
+    linktable.AddRow([etable, otherlinks])
+    # ...and add the links table to the document.
+    form.AddItem(linktable)
+    form.AddItem('<hr>')
+    form.AddItem(
+        _('''Make your changes in the following section, then submit them
+        using the <em>Submit Your Changes</em> button below.''')
+        + '<p>')
+
+    # The members and passwords categories are special in that they aren't
+    # defined in terms of gui elements.  Create those pages here.
+    if category == 'members':
+        # Figure out which subcategory we should display
+        subcat = Utils.GetPathPieces()[-1]
+        if subcat not in ('list', 'add', 'remove'):
+            subcat = 'list'
+        # Add member category specific tables
+        form.AddItem(membership_options(mlist, subcat, cgidata, doc, form))
+        form.AddItem(Center(submit_button('setmemberopts_btn')))
+        # In "list" subcategory, we can also search for members
+        if subcat == 'list':
+            form.AddItem('<hr>\n')
+            table = Table(width='100%')
+            table.AddRow([Center(Header(2, _('Additional Member Tasks')))])
+            table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2,
+                              bgcolor=mm_cfg.WEB_HEADER_COLOR)
+            # Add a blank separator row
+            table.AddRow(['&nbsp;', '&nbsp;'])
+            # Add a section to set the moderation bit for all members
+            table.AddRow([_("""<li>Set everyone's moderation bit, including
+            those members not currently visible""")])
+            table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+            table.AddRow([RadioButtonArray('allmodbit_val',
+                                           (_('Off'), _('On')),
+                                           mlist.default_member_moderation),
+                          SubmitButton('allmodbit_btn', _('Set'))])
+            form.AddItem(table)
+    elif category == 'passwords':
+        form.AddItem(Center(password_inputs(mlist)))
+        form.AddItem(Center(submit_button()))
+    else:
+        form.AddItem(show_variables(mlist, category, subcat, cgidata, doc))
+        form.AddItem(Center(submit_button()))
+    # And add the form
+    doc.AddItem(form)
+    doc.AddItem(mlist.GetMailmanFooter())
+
+
+
+def show_variables(mlist, category, subcat, cgidata, doc):
+    options = mlist.GetConfigInfo(category, subcat)
+
+    # The table containing the results
+    table = Table(cellspacing=3, cellpadding=4, width='100%')
+
+    # Get and portray the text label for the category.
+    categories = mlist.GetConfigCategories()
+    label = _(categories[category][0])
+
+    table.AddRow([Center(Header(2, label))])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2,
+                      bgcolor=mm_cfg.WEB_HEADER_COLOR)
+
+    # The very first item in the config info will be treated as a general
+    # description if it is a string
+    description = options[0]
+    if isinstance(description, StringType):
+        table.AddRow([description])
+        table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+        options = options[1:]
+
+    if not options:
+        return table
+
+    # Add the global column headers
+    table.AddRow([Center(Bold(_('Description'))),
+                  Center(Bold(_('Value')))])
+    table.AddCellInfo(max(table.GetCurrentRowIndex(), 0), 0,
+                      width='15%')
+    table.AddCellInfo(max(table.GetCurrentRowIndex(), 0), 1,
+                      width='85%')
+
+    for item in options:
+        if type(item) == StringType:
+            # The very first banner option (string in an options list) is
+            # treated as a general description, while any others are
+            # treated as section headers - centered and italicized...
+            table.AddRow([Center(Italic(item))])
+            table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+        else:
+            add_options_table_item(mlist, category, subcat, table, item)
+    table.AddRow(['<br>'])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+    return table
+
+
+
+def add_options_table_item(mlist, category, subcat, table, item, detailsp=1):
+    # Add a row to an options table with the item description and value.
+    varname, kind, params, extra, descr, elaboration = \
+             get_item_characteristics(item)
+    if elaboration is None:
+        elaboration = descr
+    descr = get_item_gui_description(mlist, category, subcat,
+                                     varname, descr, elaboration, detailsp)
+    val = get_item_gui_value(mlist, category, kind, varname, params, extra)
+    table.AddRow([descr, val])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0,
+                      bgcolor=mm_cfg.WEB_ADMINITEM_COLOR)
+    table.AddCellInfo(table.GetCurrentRowIndex(), 1,
+                      bgcolor=mm_cfg.WEB_ADMINITEM_COLOR)
+
+
+
+def get_item_characteristics(record):
+    # Break out the components of an item description from its description
+    # record:
+    #
+    # 0 -- option-var name
+    # 1 -- type
+    # 2 -- entry size
+    # 3 -- ?dependancies?
+    # 4 -- Brief description
+    # 5 -- Optional description elaboration
+    if len(record) == 5:
+        elaboration = None
+        varname, kind, params, dependancies, descr = record
+    elif len(record) == 6:
+        varname, kind, params, dependancies, descr, elaboration = record
+    else:
+        raise ValueError, _('Badly formed options entry:\n %(record)s')
+    return varname, kind, params, dependancies, descr, elaboration
+
+
+
+def get_item_gui_value(mlist, category, kind, varname, params, extra):
+    """Return a representation of an item's settings."""
+    # Give the category a chance to return the value for the variable
+    value = None
+    label, gui = mlist.GetConfigCategories()[category]
+    if hasattr(gui, 'getValue'):
+        value = gui.getValue(mlist, kind, varname, params)
+    # Filter out None, and volatile attributes
+    if value is None and not varname.startswith('_'):
+        value = getattr(mlist, varname)
+    # Now create the widget for this value
+    if kind == mm_cfg.Radio or kind == mm_cfg.Toggle:
+        # If we are returning the option for subscribe policy and this site
+        # doesn't allow open subscribes, then we have to alter the value of
+        # mlist.subscribe_policy as passed to RadioButtonArray in order to
+        # compensate for the fact that there is one fewer option.
+        # Correspondingly, we alter the value back in the change options
+        # function -scott
+        #
+        # TBD: this is an ugly ugly hack.
+        if varname.startswith('_'):
+            checked = 0
+        else:
+            checked = value
+        if varname == 'subscribe_policy' and not mm_cfg.ALLOW_OPEN_SUBSCRIBE:
+            checked = checked - 1
+        # For Radio buttons, we're going to interpret the extra stuff as a
+        # horizontal/vertical flag.  For backwards compatibility, the value 0
+        # means horizontal, so we use "not extra" to get the parity right.
+        return RadioButtonArray(varname, params, checked, not extra)
+    elif (kind == mm_cfg.String or kind == mm_cfg.Email or
+          kind == mm_cfg.Host or kind == mm_cfg.Number):
+        return TextBox(varname, value, params)
+    elif kind == mm_cfg.Text:
+        if params:
+            r, c = params
+        else:
+            r, c = None, None
+        return TextArea(varname, value or '', r, c)
+    elif kind in (mm_cfg.EmailList, mm_cfg.EmailListEx):
+        if params:
+            r, c = params
+        else:
+            r, c = None, None
+        res = NL.join(value)
+        return TextArea(varname, res, r, c, wrap='off')
+    elif kind == mm_cfg.FileUpload:
+        # like a text area, but also with uploading
+        if params:
+            r, c = params
+        else:
+            r, c = None, None
+        container = Container()
+        container.AddItem(_('<em>Enter the text below, or...</em><br>'))
+        container.AddItem(TextArea(varname, value or '', r, c))
+        container.AddItem(_('<br><em>...specify a file to upload</em><br>'))
+        container.AddItem(FileUpload(varname+'_upload', r, c))
+        return container
+    elif kind == mm_cfg.Select:
+        if params:
+           values, legend, selected = params
+        else:
+           values = mlist.GetAvailableLanguages()
+           legend = map(_, map(Utils.GetLanguageDescr, values))
+           selected = values.index(mlist.preferred_language)
+        return SelectOptions(varname, values, legend, selected)
+    elif kind == mm_cfg.Topics:
+        # A complex and specialized widget type that allows for setting of a
+        # topic name, a mark button, a regexp text box, an "add after mark",
+        # and a delete button.  Yeesh!  params are ignored.
+        table = Table(border=0)
+        # This adds the html for the entry widget
+        def makebox(i, name, pattern, desc, empty=False, table=table):
+            deltag   = 'topic_delete_%02d' % i
+            boxtag   = 'topic_box_%02d' % i
+            reboxtag = 'topic_rebox_%02d' % i
+            desctag  = 'topic_desc_%02d' % i
+            wheretag = 'topic_where_%02d' % i
+            addtag   = 'topic_add_%02d' % i
+            newtag   = 'topic_new_%02d' % i
+            if empty:
+                table.AddRow([Center(Bold(_('Topic %(i)d'))),
+                              Hidden(newtag)])
+            else:
+                table.AddRow([Center(Bold(_('Topic %(i)d'))),
+                              SubmitButton(deltag, _('Delete'))])
+            table.AddRow([Label(_('Topic name:')),
+                          TextBox(boxtag, value=name, size=30)])
+            table.AddRow([Label(_('Regexp:')),
+                          TextArea(reboxtag, text=pattern,
+                                   rows=4, cols=30, wrap='off')])
+            table.AddRow([Label(_('Description:')),
+                          TextArea(desctag, text=desc,
+                                   rows=4, cols=30, wrap='soft')])
+            if not empty:
+                table.AddRow([SubmitButton(addtag, _('Add new item...')),
+                              SelectOptions(wheretag, ('before', 'after'),
+                                            (_('...before this one.'),
+                                             _('...after this one.')),
+                                            selected=1),
+                              ])
+            table.AddRow(['<hr>'])
+            table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+        # Now for each element in the existing data, create a widget
+        i = 1
+        data = getattr(mlist, varname)
+        for name, pattern, desc, empty in data:
+            makebox(i, name, pattern, desc, empty)
+            i += 1
+        # Add one more non-deleteable widget as the first blank entry, but
+        # only if there are no real entries.
+        if i == 1:
+            makebox(i, '', '', '', empty=True)
+        return table
+    elif kind == mm_cfg.HeaderFilter:
+        # A complex and specialized widget type that allows for setting of a
+        # spam filter rule including, a mark button, a regexp text box, an
+        # "add after mark", up and down buttons, and a delete button.  Yeesh!
+        # params are ignored.
+        table = Table(border=0)
+        # This adds the html for the entry widget
+        def makebox(i, pattern, action, empty=False, table=table):
+            deltag    = 'hdrfilter_delete_%02d' % i
+            reboxtag  = 'hdrfilter_rebox_%02d' % i
+            actiontag = 'hdrfilter_action_%02d' % i
+            wheretag  = 'hdrfilter_where_%02d' % i
+            addtag    = 'hdrfilter_add_%02d' % i
+            newtag    = 'hdrfilter_new_%02d' % i
+            uptag     = 'hdrfilter_up_%02d' % i
+            downtag   = 'hdrfilter_down_%02d' % i
+            if empty:
+                table.AddRow([Center(Bold(_('Spam Filter Rule %(i)d'))),
+                              Hidden(newtag)])
+            else:
+                table.AddRow([Center(Bold(_('Spam Filter Rule %(i)d'))),
+                              SubmitButton(deltag, _('Delete'))])
+            table.AddRow([Label(_('Spam Filter Regexp:')),
+                          TextArea(reboxtag, text=pattern,
+                                   rows=4, cols=30, wrap='off')])
+            values = [mm_cfg.DEFER, mm_cfg.HOLD, mm_cfg.REJECT,
+                      mm_cfg.DISCARD, mm_cfg.ACCEPT]
+            try:
+                checked = values.index(action)
+            except ValueError:
+                checked = 0
+            radio = RadioButtonArray(
+                actiontag,
+                (_('Defer'), _('Hold'), _('Reject'),
+                 _('Discard'), _('Accept')),
+                values=values,
+                checked=checked).Format()
+            table.AddRow([Label(_('Action:')), radio])
+            if not empty:
+                table.AddRow([SubmitButton(addtag, _('Add new item...')),
+                              SelectOptions(wheretag, ('before', 'after'),
+                                            (_('...before this one.'),
+                                             _('...after this one.')),
+                                            selected=1),
+                              ])
+                # BAW: IWBNI we could disable the up and down buttons for the
+                # first and last item respectively, but it's not easy to know
+                # which is the last item, so let's not worry about that for
+                # now.
+                table.AddRow([SubmitButton(uptag, _('Move rule up')),
+                              SubmitButton(downtag, _('Move rule down'))])
+            table.AddRow(['<hr>'])
+            table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+        # Now for each element in the existing data, create a widget
+        i = 1
+        data = getattr(mlist, varname)
+        for pattern, action, empty in data:
+            makebox(i, pattern, action, empty)
+            i += 1
+        # Add one more non-deleteable widget as the first blank entry, but
+        # only if there are no real entries.
+        if i == 1:
+            makebox(i, '', mm_cfg.DEFER, empty=True)
+        return table
+    elif kind == mm_cfg.Checkbox:
+        return CheckBoxArray(varname, *params)
+    else:
+        assert 0, 'Bad gui widget type: %s' % kind
+
+
+
+def get_item_gui_description(mlist, category, subcat,
+                             varname, descr, elaboration, detailsp):
+    # Return the item's description, with link to details.
+    #
+    # Details are not included if this is a VARHELP page, because that /is/
+    # the details page!
+    if detailsp:
+        if subcat:
+            varhelp = '/?VARHELP=%s/%s/%s' % (category, subcat, varname)
+        else:
+            varhelp = '/?VARHELP=%s/%s' % (category, varname)
+        if descr == elaboration:
+            linktext = _('<br>(Edit <b>%(varname)s</b>)')
+        else:
+            linktext = _('<br>(Details for <b>%(varname)s</b>)')
+        link = Link(mlist.GetScriptURL('admin') + varhelp,
+                    linktext).Format()
+        text = Label('%s %s' % (descr, link)).Format()
+    else:
+        text = Label(descr).Format()
+    if varname[0] == '_':
+        text += Label(_('''<br><em><strong>Note:</strong>
+        setting this value performs an immediate action but does not modify
+        permanent state.</em>''')).Format()
+    return text
+
+
+
+def membership_options(mlist, subcat, cgidata, doc, form):
+    # Show the main stuff
+    adminurl = mlist.GetScriptURL('admin', absolute=1)
+    container = Container()
+    header = Table(width="100%")
+    # If we're in the list subcategory, show the membership list
+    if subcat == 'add':
+        header.AddRow([Center(Header(2, _('Mass Subscriptions')))])
+        header.AddCellInfo(header.GetCurrentRowIndex(), 0, colspan=2,
+                           bgcolor=mm_cfg.WEB_HEADER_COLOR)
+        container.AddItem(header)
+        mass_subscribe(mlist, container)
+        return container
+    if subcat == 'remove':
+        header.AddRow([Center(Header(2, _('Mass Removals')))])
+        header.AddCellInfo(header.GetCurrentRowIndex(), 0, colspan=2,
+                           bgcolor=mm_cfg.WEB_HEADER_COLOR)
+        container.AddItem(header)
+        mass_remove(mlist, container)
+        return container
+    # Otherwise...
+    header.AddRow([Center(Header(2, _('Membership List')))])
+    header.AddCellInfo(header.GetCurrentRowIndex(), 0, colspan=2,
+                       bgcolor=mm_cfg.WEB_HEADER_COLOR)
+    container.AddItem(header)
+    # Add a "search for member" button
+    table = Table(width='100%')
+    link = Link('http://docs.python.org/library/re.html'
+                '#regular-expression-syntax',
+                _('(help)')).Format()
+    table.AddRow([Label(_('Find member %(link)s:')),
+                  TextBox('findmember',
+                          value=cgidata.getvalue('findmember', '')),
+                  SubmitButton('findmember_btn', _('Search...'))])
+    container.AddItem(table)
+    container.AddItem('<hr><p>')
+    usertable = Table(width="90%", border='2')
+    # If there are more members than allowed by chunksize, then we split the
+    # membership up alphabetically.  Otherwise just display them all.
+    chunksz = mlist.admin_member_chunksize
+    # The email addresses had /better/ be ASCII, but might be encoded in the
+    # database as Unicodes.
+    all = [_m.encode() for _m in mlist.getMembers()]
+    all.sort(lambda x, y: cmp(x.lower(), y.lower()))
+    # See if the query has a regular expression
+    regexp = cgidata.getvalue('findmember', '').strip()
+    if regexp:
+        try:
+            cre = re.compile(regexp, re.IGNORECASE)
+        except re.error:
+            doc.addError(_('Bad regular expression: ') + regexp)
+        else:
+            # BAW: There's got to be a more efficient way of doing this!
+            names = [mlist.getMemberName(s) or '' for s in all]
+            all = [a for n, a in zip(names, all)
+                   if cre.search(n) or cre.search(a)]
+    chunkindex = None
+    bucket = None
+    actionurl = None
+    if len(all) < chunksz:
+        members = all
+    else:
+        # Split them up alphabetically, and then split the alphabetical
+        # listing by chunks
+        buckets = {}
+        for addr in all:
+            members = buckets.setdefault(addr[0].lower(), [])
+            members.append(addr)
+        # Now figure out which bucket we want
+        bucket = None
+        qs = {}
+        # POST methods, even if their actions have a query string, don't get
+        # put into FieldStorage's keys :-(
+        qsenviron = os.environ.get('QUERY_STRING')
+        if qsenviron:
+            qs = cgi.parse_qs(qsenviron)
+            bucket = qs.get('letter', '0')[0].lower()
+        keys = buckets.keys()
+        keys.sort()
+        if not bucket or not buckets.has_key(bucket):
+            bucket = keys[0]
+        members = buckets[bucket]
+        action = adminurl + '/members?letter=%s' % bucket
+        if len(members) <= chunksz:
+            form.set_action(action)
+        else:
+            i, r = divmod(len(members), chunksz)
+            numchunks = i + (not not r * 1)
+            # Now chunk them up
+            chunkindex = 0
+            if qs.has_key('chunk'):
+                try:
+                    chunkindex = int(qs['chunk'][0])
+                except ValueError:
+                    chunkindex = 0
+                if chunkindex < 0 or chunkindex > numchunks:
+                    chunkindex = 0
+            members = members[chunkindex*chunksz:(chunkindex+1)*chunksz]
+            # And set the action URL
+            form.set_action(action + '&chunk=%s' % chunkindex)
+    # So now members holds all the addresses we're going to display
+    allcnt = len(all)
+    if bucket:
+        membercnt = len(members)
+        usertable.AddRow([Center(Italic(_(
+            '%(allcnt)s members total, %(membercnt)s shown')))])
+    else:
+        usertable.AddRow([Center(Italic(_('%(allcnt)s members total')))])
+    usertable.AddCellInfo(usertable.GetCurrentRowIndex(),
+                          usertable.GetCurrentCellIndex(),
+                          colspan=OPTCOLUMNS,
+                          bgcolor=mm_cfg.WEB_ADMINITEM_COLOR)
+    # Add the alphabetical links
+    if bucket:
+        cells = []
+        for letter in keys:
+            findfrag = ''
+            if regexp:
+                findfrag = '&findmember=' + urllib.quote(regexp)
+            url = adminurl + '/members?letter=' + letter + findfrag
+            if letter == bucket:
+                show = Bold('[%s]' % letter.upper()).Format()
+            else:
+                show = letter.upper()
+            cells.append(Link(url, show).Format())
+        joiner = '&nbsp;'*2 + '\n'
+        usertable.AddRow([Center(joiner.join(cells))])
+    usertable.AddCellInfo(usertable.GetCurrentRowIndex(),
+                          usertable.GetCurrentCellIndex(),
+                          colspan=OPTCOLUMNS,
+                          bgcolor=mm_cfg.WEB_ADMINITEM_COLOR)
+    usertable.AddRow([Center(h) for h in (_('unsub'),
+                                          _('member address<br>member name'),
+                                          _('mod'), _('hide'),
+                                          _('nomail<br>[reason]'),
+                                          _('ack'), _('not metoo'),
+                                          _('nodupes'),
+                                          _('digest'), _('plain'),
+                                          _('language'))])
+    rowindex = usertable.GetCurrentRowIndex()
+    for i in range(OPTCOLUMNS):
+        usertable.AddCellInfo(rowindex, i, bgcolor=mm_cfg.WEB_ADMINITEM_COLOR)
+    # Find the longest name in the list
+    longest = 0
+    if members:
+        names = filter(None, [mlist.getMemberName(s) for s in members])
+        # Make the name field at least as long as the longest email address
+        longest = max([len(s) for s in names + members])
+    # Abbreviations for delivery status details
+    ds_abbrevs = {MemberAdaptor.UNKNOWN : _('?'),
+                  MemberAdaptor.BYUSER  : _('U'),
+                  MemberAdaptor.BYADMIN : _('A'),
+                  MemberAdaptor.BYBOUNCE: _('B'),
+                  }
+    # Now populate the rows
+    for addr in members:
+        qaddr = urllib.quote(addr)
+        link = Link(mlist.GetOptionsURL(addr, obscure=1),
+                    mlist.getMemberCPAddress(addr))
+        fullname = Utils.uncanonstr(mlist.getMemberName(addr),
+                                    mlist.preferred_language)
+        name = TextBox(qaddr + '_realname', fullname, size=longest).Format()
+        cells = [Center(CheckBox(qaddr + '_unsub', 'off', 0).Format()),
+                 link.Format() + '<br>' +
+                 name +
+                 Hidden('user', qaddr).Format(),
+                 ]
+        # Do the `mod' option
+        if mlist.getMemberOption(addr, mm_cfg.Moderate):
+            value = 'on'
+            checked = 1
+        else:
+            value = 'off'
+            checked = 0
+        box = CheckBox('%s_mod' % qaddr, value, checked)
+        cells.append(Center(box).Format())
+        for opt in ('hide', 'nomail', 'ack', 'notmetoo', 'nodupes'):
+            extra = ''
+            if opt == 'nomail':
+                status = mlist.getDeliveryStatus(addr)
+                if status == MemberAdaptor.ENABLED:
+                    value = 'off'
+                    checked = 0
+                else:
+                    value = 'on'
+                    checked = 1
+                    extra = '[%s]' % ds_abbrevs[status]
+            elif mlist.getMemberOption(addr, mm_cfg.OPTINFO[opt]):
+                value = 'on'
+                checked = 1
+            else:
+                value = 'off'
+                checked = 0
+            box = CheckBox('%s_%s' % (qaddr, opt), value, checked)
+            cells.append(Center(box.Format() + extra))
+        # This code is less efficient than the original which did a has_key on
+        # the underlying dictionary attribute.  This version is slower and
+        # less memory efficient.  It points to a new MemberAdaptor interface
+        # method.
+        if addr in mlist.getRegularMemberKeys():
+            cells.append(Center(CheckBox(qaddr + '_digest', 'off', 0).Format()))
+        else:
+            cells.append(Center(CheckBox(qaddr + '_digest', 'on', 1).Format()))
+        if mlist.getMemberOption(addr, mm_cfg.OPTINFO['plain']):
+            value = 'on'
+            checked = 1
+        else:
+            value = 'off'
+            checked = 0
+        cells.append(Center(CheckBox('%s_plain' % qaddr, value, checked)))
+        # User's preferred language
+        langpref = mlist.getMemberLanguage(addr)
+        langs = mlist.GetAvailableLanguages()
+        langdescs = [_(Utils.GetLanguageDescr(lang)) for lang in langs]
+        try:
+            selected = langs.index(langpref)
+        except ValueError:
+            selected = 0
+        cells.append(Center(SelectOptions(qaddr + '_language', langs,
+                                          langdescs, selected)).Format())
+        usertable.AddRow(cells)
+    # Add the usertable and a legend
+    legend = UnorderedList()
+    legend.AddItem(
+        _('<b>unsub</b> -- Click on this to unsubscribe the member.'))
+    legend.AddItem(
+        _("""<b>mod</b> -- The user's personal moderation flag.  If this is
+        set, postings from them will be moderated, otherwise they will be
+        approved."""))
+    legend.AddItem(
+        _("""<b>hide</b> -- Is the member's address concealed on
+        the list of subscribers?"""))
+    legend.AddItem(_(
+        """<b>nomail</b> -- Is delivery to the member disabled?  If so, an
+        abbreviation will be given describing the reason for the disabled
+        delivery:
+            <ul><li><b>U</b> -- Delivery was disabled by the user via their
+                    personal options page.
+                <li><b>A</b> -- Delivery was disabled by the list
+                    administrators.
+                <li><b>B</b> -- Delivery was disabled by the system due to
+                    excessive bouncing from the member's address.
+                <li><b>?</b> -- The reason for disabled delivery isn't known.
+                    This is the case for all memberships which were disabled
+                    in older versions of Mailman.
+            </ul>"""))
+    legend.AddItem(
+        _('''<b>ack</b> -- Does the member get acknowledgements of their
+        posts?'''))
+    legend.AddItem(
+        _('''<b>not metoo</b> -- Does the member want to avoid copies of their
+        own postings?'''))
+    legend.AddItem(
+        _('''<b>nodupes</b> -- Does the member want to avoid duplicates of the
+        same message?'''))
+    legend.AddItem(
+        _('''<b>digest</b> -- Does the member get messages in digests?
+        (otherwise, individual messages)'''))
+    legend.AddItem(
+        _('''<b>plain</b> -- If getting digests, does the member get plain
+        text digests?  (otherwise, MIME)'''))
+    legend.AddItem(_("<b>language</b> -- Language preferred by the user"))
+    addlegend = ''
+    parsedqs = 0
+    qsenviron = os.environ.get('QUERY_STRING')
+    if qsenviron:
+        qs = cgi.parse_qs(qsenviron).get('legend')
+        if qs and isinstance(qs, ListType):
+            qs = qs[0]
+        if qs == 'yes':
+            addlegend = 'legend=yes&'
+    if addlegend:
+        container.AddItem(legend.Format() + '<p>')
+        container.AddItem(
+            Link(adminurl + '/members/list',
+                 _('Click here to hide the legend for this table.')))
+    else:
+        container.AddItem(
+            Link(adminurl + '/members/list?legend=yes',
+                 _('Click here to include the legend for this table.')))
+    container.AddItem(Center(usertable))
+
+    # There may be additional chunks
+    if chunkindex is not None:
+        buttons = []
+        url = adminurl + '/members?%sletter=%s&' % (addlegend, bucket)
+        footer = _('''<p><em>To view more members, click on the appropriate
+        range listed below:</em>''')
+        chunkmembers = buckets[bucket]
+        last = len(chunkmembers)
+        for i in range(numchunks):
+            if i == chunkindex:
+                continue
+            start = chunkmembers[i*chunksz]
+            end = chunkmembers[min((i+1)*chunksz, last)-1]
+            link = Link(url + 'chunk=%d' % i, _('from %(start)s to %(end)s'))
+            buttons.append(link)
+        buttons = UnorderedList(*buttons)
+        container.AddItem(footer + buttons.Format() + '<p>')
+    return container
+
+
+
+def mass_subscribe(mlist, container):
+    # MASS SUBSCRIBE
+    GREY = mm_cfg.WEB_ADMINITEM_COLOR
+    table = Table(width='90%')
+    table.AddRow([
+        Label(_('Subscribe these users now or invite them?')),
+        RadioButtonArray('subscribe_or_invite',
+                         (_('Subscribe'), _('Invite')),
+                         0, values=(0, 1))
+        ])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, bgcolor=GREY)
+    table.AddCellInfo(table.GetCurrentRowIndex(), 1, bgcolor=GREY)
+    table.AddRow([
+        Label(_('Send welcome messages to new subscribees?')),
+        RadioButtonArray('send_welcome_msg_to_this_batch',
+                         (_('No'), _('Yes')),
+                         mlist.send_welcome_msg,
+                         values=(0, 1))
+        ])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, bgcolor=GREY)
+    table.AddCellInfo(table.GetCurrentRowIndex(), 1, bgcolor=GREY)
+    table.AddRow([
+        Label(_('Send notifications of new subscriptions to the list owner?')),
+        RadioButtonArray('send_notifications_to_list_owner',
+                         (_('No'), _('Yes')),
+                         mlist.admin_notify_mchanges,
+                         values=(0,1))
+        ])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, bgcolor=GREY)
+    table.AddCellInfo(table.GetCurrentRowIndex(), 1, bgcolor=GREY)
+    table.AddRow([Italic(_('Enter one address per line below...'))])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+    table.AddRow([Center(TextArea(name='subscribees',
+                                  rows=10, cols='70%', wrap=None))])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+    table.AddRow([Italic(Label(_('...or specify a file to upload:'))),
+                  FileUpload('subscribees_upload', cols='50')])
+    container.AddItem(Center(table))
+    # Invitation text
+    table.AddRow(['&nbsp;', '&nbsp;'])
+    table.AddRow([Italic(_("""Below, enter additional text to be added to the
+    top of your invitation or the subscription notification.  Include at least
+    one blank line at the end..."""))])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+    table.AddRow([Center(TextArea(name='invitation',
+                                  rows=10, cols='70%', wrap=None))])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+
+
+
+def mass_remove(mlist, container):
+    # MASS UNSUBSCRIBE
+    GREY = mm_cfg.WEB_ADMINITEM_COLOR
+    table = Table(width='90%')
+    table.AddRow([
+        Label(_('Send unsubscription acknowledgement to the user?')),
+        RadioButtonArray('send_unsub_ack_to_this_batch',
+                         (_('No'), _('Yes')),
+                         0, values=(0, 1))
+        ])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, bgcolor=GREY)
+    table.AddCellInfo(table.GetCurrentRowIndex(), 1, bgcolor=GREY)
+    table.AddRow([
+        Label(_('Send notifications to the list owner?')),
+        RadioButtonArray('send_unsub_notifications_to_list_owner',
+                         (_('No'), _('Yes')),
+                         mlist.admin_notify_mchanges,
+                         values=(0, 1))
+        ])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, bgcolor=GREY)
+    table.AddCellInfo(table.GetCurrentRowIndex(), 1, bgcolor=GREY)
+    table.AddRow([Italic(_('Enter one address per line below...'))])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+    table.AddRow([Center(TextArea(name='unsubscribees',
+                                  rows=10, cols='70%', wrap=None))])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+    table.AddRow([Italic(Label(_('...or specify a file to upload:'))),
+                  FileUpload('unsubscribees_upload', cols='50')])
+    container.AddItem(Center(table))
+
+
+
+def password_inputs(mlist):
+    adminurl = mlist.GetScriptURL('admin', absolute=1)
+    table = Table(cellspacing=3, cellpadding=4)
+    table.AddRow([Center(Header(2, _('Change list ownership passwords')))])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2,
+                      bgcolor=mm_cfg.WEB_HEADER_COLOR)
+    table.AddRow([_("""\
+The <em>list administrators</em> are the people who have ultimate control over
+all parameters of this mailing list.  They are able to change any list
+configuration variable available through these administration web pages.
+
+<p>The <em>list moderators</em> have more limited permissions; they are not
+able to change any list configuration variable, but they are allowed to tend
+to pending administration requests, including approving or rejecting held
+subscription requests, and disposing of held postings.  Of course, the
+<em>list administrators</em> can also tend to pending requests.
+
+<p>In order to split the list ownership duties into administrators and
+moderators, you must set a separate moderator password in the fields below,
+and also provide the email addresses of the list moderators in the
+<a href="%(adminurl)s/general">general options section</a>.""")])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, colspan=2)
+    # Set up the admin password table on the left
+    atable = Table(border=0, cellspacing=3, cellpadding=4,
+                   bgcolor=mm_cfg.WEB_ADMINPW_COLOR)
+    atable.AddRow([Label(_('Enter new administrator password:')),
+                   PasswordBox('newpw', size=20)])
+    atable.AddRow([Label(_('Confirm administrator password:')),
+                   PasswordBox('confirmpw', size=20)])
+    # Set up the moderator password table on the right
+    mtable = Table(border=0, cellspacing=3, cellpadding=4,
+                   bgcolor=mm_cfg.WEB_ADMINPW_COLOR)
+    mtable.AddRow([Label(_('Enter new moderator password:')),
+                   PasswordBox('newmodpw', size=20)])
+    mtable.AddRow([Label(_('Confirm moderator password:')),
+                   PasswordBox('confirmmodpw', size=20)])
+    # Add these tables to the overall password table
+    table.AddRow([atable, mtable])
+    return table
+
+
+
+def submit_button(name='submit'):
+    table = Table(border=0, cellspacing=0, cellpadding=2)
+    table.AddRow([Bold(SubmitButton(name, _('Submit Your Changes')))])
+    table.AddCellInfo(table.GetCurrentRowIndex(), 0, align='middle')
+    return table
+
+
+
+def change_options(mlist, category, subcat, cgidata, doc):
+    def safeint(formvar, defaultval=None):
+        try:
+            return int(cgidata.getvalue(formvar))
+        except (ValueError, TypeError):
+            return defaultval
+    confirmed = 0
+    # Handle changes to the list moderator password.  Do this before checking
+    # the new admin password, since the latter will force a reauthentication.
+    new = cgidata.getvalue('newmodpw', '').strip()
+    confirm = cgidata.getvalue('confirmmodpw', '').strip()
+    if new or confirm:
+        if new == confirm:
+            mlist.mod_password = sha_new(new).hexdigest()
+            # No re-authentication necessary because the moderator's
+            # password doesn't get you into these pages.
+        else:
+            doc.addError(_('Moderator passwords did not match'))
+    # Handle changes to the list administrator password
+    new = cgidata.getvalue('newpw', '').strip()
+    confirm = cgidata.getvalue('confirmpw', '').strip()
+    if new or confirm:
+        if new == confirm:
+            mlist.password = sha_new(new).hexdigest()
+            # Set new cookie
+            print mlist.MakeCookie(mm_cfg.AuthListAdmin)
+        else:
+            doc.addError(_('Administrator passwords did not match'))
+    # Give the individual gui item a chance to process the form data
+    categories = mlist.GetConfigCategories()
+    label, gui = categories[category]
+    # BAW: We handle the membership page special... for now.
+    if category <> 'members':
+        gui.handleForm(mlist, category, subcat, cgidata, doc)
+    # mass subscription, removal processing for members category
+    subscribers = ''
+    subscribers += cgidata.getvalue('subscribees', '')
+    subscribers += cgidata.getvalue('subscribees_upload', '')
+    if subscribers:
+        entries = filter(None, [n.strip() for n in subscribers.splitlines()])
+        send_welcome_msg = safeint('send_welcome_msg_to_this_batch',
+                                   mlist.send_welcome_msg)
+        send_admin_notif = safeint('send_notifications_to_list_owner',
+                                   mlist.admin_notify_mchanges)
+        # Default is to subscribe
+        subscribe_or_invite = safeint('subscribe_or_invite', 0)
+        invitation = cgidata.getvalue('invitation', '')
+        digest = mlist.digest_is_default
+        if not mlist.digestable:
+            digest = 0
+        if not mlist.nondigestable:
+            digest = 1
+        subscribe_errors = []
+        subscribe_success = []
+        # Now cruise through all the subscribees and do the deed.  BAW: we
+        # should limit the number of "Successfully subscribed" status messages
+        # we display.  Try uploading a file with 10k names -- it takes a while
+        # to render the status page.
+        for entry in entries:
+            safeentry = Utils.websafe(entry)
+            fullname, address = parseaddr(entry)
+            # Canonicalize the full name
+            fullname = Utils.canonstr(fullname, mlist.preferred_language)
+            userdesc = UserDesc(address, fullname,
+                                Utils.MakeRandomPassword(),
+                                digest, mlist.preferred_language)
+            try:
+                if subscribe_or_invite:
+                    if mlist.isMember(address):
+                        raise Errors.MMAlreadyAMember
+                    else:
+                        mlist.InviteNewMember(userdesc, invitation)
+                else:
+                    mlist.ApprovedAddMember(userdesc, send_welcome_msg,
+                                            send_admin_notif, invitation,
+                                            whence='admin mass sub')
+            except Errors.MMAlreadyAMember:
+                subscribe_errors.append((safeentry, _('Already a member')))
+            except Errors.MMBadEmailError:
+                if userdesc.address == '':
+                    subscribe_errors.append((_('&lt;blank line&gt;'),
+                                             _('Bad/Invalid email address')))
+                else:
+                    subscribe_errors.append((safeentry,
+                                             _('Bad/Invalid email address')))
+            except Errors.MMHostileAddress:
+                subscribe_errors.append(
+                    (safeentry, _('Hostile address (illegal characters)')))
+            except Errors.MembershipIsBanned, pattern:
+                subscribe_errors.append(
+                    (safeentry, _('Banned address (matched %(pattern)s)')))
+            else:
+                member = Utils.uncanonstr(formataddr((fullname, address)))
+                subscribe_success.append(Utils.websafe(member))
+        if subscribe_success:
+            if subscribe_or_invite:
+                doc.AddItem(Header(5, _('Successfully invited:')))
+            else:
+                doc.AddItem(Header(5, _('Successfully subscribed:')))
+            doc.AddItem(UnorderedList(*subscribe_success))
+            doc.AddItem('<p>')
+        if subscribe_errors:
+            if subscribe_or_invite:
+                doc.AddItem(Header(5, _('Error inviting:')))
+            else:
+                doc.AddItem(Header(5, _('Error subscribing:')))
+            items = ['%s -- %s' % (x0, x1) for x0, x1 in subscribe_errors]
+            doc.AddItem(UnorderedList(*items))
+            doc.AddItem('<p>')
+    # Unsubscriptions
+    removals = ''
+    if cgidata.has_key('unsubscribees'):
+        removals += cgidata['unsubscribees'].value
+    if cgidata.has_key('unsubscribees_upload') and \
+           cgidata['unsubscribees_upload'].value:
+        removals += cgidata['unsubscribees_upload'].value
+    if removals:
+        names = filter(None, [n.strip() for n in removals.splitlines()])
+        send_unsub_notifications = int(
+            cgidata['send_unsub_notifications_to_list_owner'].value)
+        userack = int(
+            cgidata['send_unsub_ack_to_this_batch'].value)
+        unsubscribe_errors = []
+        unsubscribe_success = []
+        for addr in names:
+            try:
+                mlist.ApprovedDeleteMember(
+                    addr, whence='admin mass unsub',
+                    admin_notif=send_unsub_notifications,
+                    userack=userack)
+                unsubscribe_success.append(Utils.websafe(addr))
+            except Errors.NotAMemberError:
+                unsubscribe_errors.append(Utils.websafe(addr))
+        if unsubscribe_success:
+            doc.AddItem(Header(5, _('Successfully Unsubscribed:')))
+            doc.AddItem(UnorderedList(*unsubscribe_success))
+            doc.AddItem('<p>')
+        if unsubscribe_errors:
+            doc.AddItem(Header(3, Bold(FontAttr(
+                _('Cannot unsubscribe non-members:'),
+                color='#ff0000', size='+2')).Format()))
+            doc.AddItem(UnorderedList(*unsubscribe_errors))
+            doc.AddItem('<p>')
+    # See if this was a moderation bit operation
+    if cgidata.has_key('allmodbit_btn'):
+        val = cgidata.getvalue('allmodbit_val')
+        try:
+            val = int(val)
+        except VallueError:
+            val = None
+        if val not in (0, 1):
+            doc.addError(_('Bad moderation flag value'))
+        else:
+            for member in mlist.getMembers():
+                mlist.setMemberOption(member, mm_cfg.Moderate, val)
+    # do the user options for members category
+    if cgidata.has_key('setmemberopts_btn') and cgidata.has_key('user'):
+        user = cgidata['user']
+        if type(user) is ListType:
+            users = []
+            for ui in range(len(user)):
+                users.append(urllib.unquote(user[ui].value))
+        else:
+            users = [urllib.unquote(user.value)]
+        errors = []
+        removes = []
+        for user in users:
+            quser = urllib.quote(user)
+            if cgidata.has_key('%s_unsub' % quser):
+                try:
+                    mlist.ApprovedDeleteMember(user, whence='member mgt page')
+                    removes.append(user)
+                except Errors.NotAMemberError:
+                    errors.append((user, _('Not subscribed')))
+                continue
+            if not mlist.isMember(user):
+                doc.addError(_('Ignoring changes to deleted member: %(user)s'),
+                             tag=_('Warning: '))
+                continue
+            value = cgidata.has_key('%s_digest' % quser)
+            try:
+                mlist.setMemberOption(user, mm_cfg.Digests, value)
+            except (Errors.AlreadyReceivingDigests,
+                    Errors.AlreadyReceivingRegularDeliveries,
+                    Errors.CantDigestError,
+                    Errors.MustDigestError):
+                # BAW: Hmm...
+                pass
+
+            newname = cgidata.getvalue(quser+'_realname', '')
+            newname = Utils.canonstr(newname, mlist.preferred_language)
+            mlist.setMemberName(user, newname)
+
+            newlang = cgidata.getvalue(quser+'_language')
+            oldlang = mlist.getMemberLanguage(user)
+            if Utils.IsLanguage(newlang) and newlang <> oldlang:
+                mlist.setMemberLanguage(user, newlang)
+
+            moderate = not not cgidata.getvalue(quser+'_mod')
+            mlist.setMemberOption(user, mm_cfg.Moderate, moderate)
+
+            # Set the `nomail' flag, but only if the user isn't already
+            # disabled (otherwise we might change BYUSER into BYADMIN).
+            if cgidata.has_key('%s_nomail' % quser):
+                if mlist.getDeliveryStatus(user) == MemberAdaptor.ENABLED:
+                    mlist.setDeliveryStatus(user, MemberAdaptor.BYADMIN)
+            else:
+                mlist.setDeliveryStatus(user, MemberAdaptor.ENABLED)
+            for opt in ('hide', 'ack', 'notmetoo', 'nodupes', 'plain'):
+                opt_code = mm_cfg.OPTINFO[opt]
+                if cgidata.has_key('%s_%s' % (quser, opt)):
+                    mlist.setMemberOption(user, opt_code, 1)
+                else:
+                    mlist.setMemberOption(user, opt_code, 0)
+        # Give some feedback on who's been removed
+        if removes:
+            doc.AddItem(Header(5, _('Successfully Removed:')))
+            doc.AddItem(UnorderedList(*removes))
+            doc.AddItem('<p>')
+        if errors:
+            doc.AddItem(Header(5, _("Error Unsubscribing:")))
+            items = ['%s -- %s' % (x[0], x[1]) for x in errors]
+            doc.AddItem(apply(UnorderedList, tuple((items))))
+            doc.AddItem("<p>")

=== added directory '.pc/79_archiver_slash.patch'
=== added directory '.pc/79_archiver_slash.patch/Mailman'
=== added directory '.pc/79_archiver_slash.patch/Mailman/Archiver'
=== added file '.pc/79_archiver_slash.patch/Mailman/Archiver/Archiver.py'
--- .pc/79_archiver_slash.patch/Mailman/Archiver/Archiver.py	1970-01-01 00:00:00 +0000
+++ .pc/79_archiver_slash.patch/Mailman/Archiver/Archiver.py	2010-07-13 21:35:40 +0000
@@ -0,0 +1,244 @@
+# Copyright (C) 1998-2003 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+
+"""Mixin class for putting new messages in the right place for archival.
+
+Public archives are separated from private ones.  An external archival
+mechanism (eg, pipermail) should be pointed to the right places, to do the
+archival.
+"""
+
+import os
+import errno
+import traceback
+import re
+from cStringIO import StringIO
+
+from Mailman import mm_cfg
+from Mailman import Mailbox
+from Mailman import Utils
+from Mailman import Site
+from Mailman.SafeDict import SafeDict
+from Mailman.Logging.Syslog import syslog
+from Mailman.i18n import _
+
+try:
+    True, False
+except NameError:
+    True = 1
+    False = 0
+
+
+
+def makelink(old, new):
+    try:
+        os.symlink(old, new)
+    except OSError, e:
+        if e.errno <> errno.EEXIST:
+            raise
+
+def breaklink(link):
+    try:
+        os.unlink(link)
+    except OSError, e:
+        if e.errno <> errno.ENOENT:
+            raise
+
+
+
+class Archiver:
+    #
+    # Interface to Pipermail.  HyperArch.py uses this method to get the
+    # archive directory for the mailing list
+    #
+    def InitVars(self):
+        # Configurable
+        self.archive = mm_cfg.DEFAULT_ARCHIVE
+        # 0=public, 1=private:
+        self.archive_private = mm_cfg.DEFAULT_ARCHIVE_PRIVATE
+        self.archive_volume_frequency = \
+                mm_cfg.DEFAULT_ARCHIVE_VOLUME_FREQUENCY
+        # The archive file structure by default is:
+        #
+        # archives/
+        #     private/
+        #         listname.mbox/
+        #             listname.mbox
+        #         listname/
+        #             lots-of-pipermail-stuff
+        #     public/
+        #         listname.mbox@ -> ../private/listname.mbox
+        #         listname@ -> ../private/listname
+        #
+        # IOW, the mbox and pipermail archives are always stored in the
+        # private archive for the list.  This is safe because archives/private
+        # is always set to o-rx.  Public archives have a symlink to get around
+        # the private directory, pointing directly to the private/listname
+        # which has o+rx permissions.  Private archives do not have the
+        # symbolic links.
+        omask = os.umask(0)
+        try:
+            try:
+                os.mkdir(self.archive_dir()+'.mbox', 02775)
+            except OSError, e:
+                if e.errno <> errno.EEXIST: raise
+                # We also create an empty pipermail archive directory into
+                # which we'll drop an empty index.html file into.  This is so
+                # that lists that have not yet received a posting have
+                # /something/ as their index.html, and don't just get a 404.
+            try:
+                os.mkdir(self.archive_dir(), 02775)
+            except OSError, e:
+                if e.errno <> errno.EEXIST: raise
+            # See if there's an index.html file there already and if not,
+            # write in the empty archive notice.
+            indexfile = os.path.join(self.archive_dir(), 'index.html')
+            fp = None
+            try:
+                fp = open(indexfile)
+            except IOError, e:
+                if e.errno <> errno.ENOENT: raise
+                omask = os.umask(002)
+                try:
+                    fp = open(indexfile, 'w')
+                finally:
+                    os.umask(omask)
+                fp.write(Utils.maketext(
+                    'emptyarchive.html',
+                    {'listname': self.real_name,
+                     'listinfo': self.GetScriptURL('listinfo', absolute=1),
+                     }, mlist=self))
+            if fp:
+                fp.close()
+        finally:
+            os.umask(omask)
+
+    def archive_dir(self):
+        return Site.get_archpath(self.internal_name())
+
+    def ArchiveFileName(self):
+        """The mbox name where messages are left for archive construction."""
+        return os.path.join(self.archive_dir() + '.mbox',
+                            self.internal_name() + '.mbox')
+
+    def GetBaseArchiveURL(self):
+        url = self.GetScriptURL('private', absolute=1) + '/'
+        if self.archive_private:
+            return url
+        else:
+            hostname = re.match('[^:]*://([^/]*)/.*', url).group(1)\
+                       or mm_cfg.DEFAULT_URL_HOST
+            url = mm_cfg.PUBLIC_ARCHIVE_URL % {
+                'listname': self.internal_name(),
+                'hostname': hostname
+                }
+            if not url.endswith('/'):
+                url += '/'
+            return url
+
+    def __archive_file(self, afn):
+        """Open (creating, if necessary) the named archive file."""
+        omask = os.umask(002)
+        try:
+            return Mailbox.Mailbox(open(afn, 'a+'))
+        finally:
+            os.umask(omask)
+
+    #
+    # old ArchiveMail function, retained under a new name
+    # for optional archiving to an mbox
+    #
+    def __archive_to_mbox(self, post):
+        """Retain a text copy of the message in an mbox file."""
+        try:
+            afn = self.ArchiveFileName()
+            mbox = self.__archive_file(afn)
+            mbox.AppendMessage(post)
+            mbox.fp.close()
+        except IOError, msg:
+            syslog('error', 'Archive file access failure:\n\t%s %s', afn, msg)
+            raise
+
+    def ExternalArchive(self, ar, txt):
+        d = SafeDict({'listname': self.internal_name(),
+                      'hostname': self.host_name,
+                      })
+        cmd = ar % d
+        extarch = os.popen(cmd, 'w')
+        extarch.write(txt)
+        status = extarch.close()
+        if status:
+            syslog('error', 'external archiver non-zero exit status: %d\n',
+                   (status & 0xff00) >> 8)
+
+    #
+    # archiving in real time  this is called from list.post(msg)
+    #
+    def ArchiveMail(self, msg):
+        """Store postings in mbox and/or pipermail archive, depending."""
+        # Fork so archival errors won't disrupt normal list delivery
+        if mm_cfg.ARCHIVE_TO_MBOX == -1:
+            return
+        #
+        # We don't need an extra archiver lock here because we know the list
+        # itself must be locked.
+        if mm_cfg.ARCHIVE_TO_MBOX in (1, 2):
+            self.__archive_to_mbox(msg)
+            if mm_cfg.ARCHIVE_TO_MBOX == 1:
+                # Archive to mbox only.
+                return
+        txt = str(msg)
+        # should we use the internal or external archiver?
+        private_p = self.archive_private
+        if mm_cfg.PUBLIC_EXTERNAL_ARCHIVER and not private_p:
+            self.ExternalArchive(mm_cfg.PUBLIC_EXTERNAL_ARCHIVER, txt)
+        elif mm_cfg.PRIVATE_EXTERNAL_ARCHIVER and private_p:
+            self.ExternalArchive(mm_cfg.PRIVATE_EXTERNAL_ARCHIVER, txt)
+        else:
+            # use the internal archiver
+            f = StringIO(txt)
+            import HyperArch
+            h = HyperArch.HyperArchive(self)
+            h.processUnixMailbox(f)
+            h.close()
+            f.close()
+
+    #
+    # called from MailList.MailList.Save()
+    #
+    def CheckHTMLArchiveDir(self):
+        # We need to make sure that the archive directory has the right perms
+        # for public vs private.  If it doesn't exist, or some weird
+        # permissions errors prevent us from stating the directory, it's
+        # pointless to try to fix the perms, so we just return -scott
+        if mm_cfg.ARCHIVE_TO_MBOX == -1:
+            # Archiving is completely disabled, don't require the skeleton.
+            return
+        pubdir = Site.get_archpath(self.internal_name(), public=True)
+        privdir = self.archive_dir()
+        pubmbox = pubdir + '.mbox'
+        privmbox = privdir + '.mbox'
+        if self.archive_private:
+            breaklink(pubdir)
+            breaklink(pubmbox)
+        else:
+            # BAW: privdir or privmbox could be nonexistant.  We'd get an
+            # OSError, ENOENT which should be caught and reported properly.
+            makelink(privdir, pubdir)
+            # Only make this link if the site has enabled public mbox files
+            if mm_cfg.PUBLIC_MBOX:
+                makelink(privmbox, pubmbox)

=== added file '.pc/79_archiver_slash.patch/Mailman/Defaults.py.in'
--- .pc/79_archiver_slash.patch/Mailman/Defaults.py.in	1970-01-01 00:00:00 +0000
+++ .pc/79_archiver_slash.patch/Mailman/Defaults.py.in	2010-07-13 21:35:40 +0000
@@ -0,0 +1,1423 @@
+# -*- python -*-
+
+# Copyright (C) 1998-2008 by the Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
+
+"""Distributed default settings for significant Mailman config variables."""
+
+# NEVER make site configuration changes to this file.  ALWAYS make them in
+# mm_cfg.py instead, in the designated area.  See the comments in that file
+# for details.
+
+
+import os
+
+def seconds(s): return s
+def minutes(m): return m * 60
+def hours(h): return h * 60 * 60
+def days(d): return d * 60 * 60 * 24
+
+# Some convenient constants
+try:
+    True, False
+except NameError:
+    True = 1
+    False = 0
+
+Yes = yes = On = on = True
+No = no = Off = off = False
+
+
+
+#####
+# General system-wide defaults
+#####
+
+# Should image logos be used?  Set this to 0 to disable image logos from "our
+# sponsors" and just use textual links instead (this will also disable the
+# shortcut "favicon").  Otherwise, this should contain the URL base path to
+# the logo images (and must contain the trailing slash)..  If you want to
+# disable Mailman's logo footer altogther, hack
+# Mailman/htmlformat.py:MailmanLogo(), which also contains the hardcoded links
+# and image names.
+IMAGE_LOGOS = '/doc/mailman/images/'
+
+# The name of the Mailman favicon
+SHORTCUT_ICON = 'mm-icon.png'
+
+# Don't change MAILMAN_URL, unless you want to point it at one of the mirrors.
+MAILMAN_URL = 'http://www.gnu.org/software/mailman/index.html'
+#MAILMAN_URL = 'http://www.list.org/'
+#MAILMAN_URL = 'http://mailman.sf.net/'
+
+# The site logo/text presence, site text, site url and site logo
+SITE_LINK = Yes
+SITE_TEXT = 'Debian Powered'
+SITE_URL = 'http://www.debian.org/'
+SITE_LOGO = '/images/mailman/debianpowered.png'
+
+# Mailman needs to know about (at least) two fully-qualified domain names
+# (fqdn); 1) the hostname used in your urls, and 2) the hostname used in email
+# addresses for your domain.  For example, if people visit your Mailman system
+# with "http://www.dom.ain/mailman" then your url fqdn is "www.dom.ain", and
+# if people send mail to your system via "yourlist@dom.ain" then your email
+# fqdn is "dom.ain".  DEFAULT_URL_HOST controls the former, and
+# DEFAULT_EMAIL_HOST controls the latter.  Mailman also needs to know how to
+# map from one to the other (this is especially important if you're running
+# with virtual domains).  You use "add_virtualhost(urlfqdn, emailfqdn)" to add
+# new mappings.
+#
+# If you don't need to change DEFAULT_EMAIL_HOST and DEFAULT_URL_HOST in your
+# mm_cfg.py, then you're done; the default mapping is added automatically.  If
+# however you change either variable in your mm_cfg.py, then be sure to also
+# include the following:
+#
+#     add_virtualhost(DEFAULT_URL_HOST, DEFAULT_EMAIL_HOST)
+#
+# because otherwise the default mappings won't be correct.
+DEFAULT_EMAIL_HOST = '@MAILHOST@'
+DEFAULT_URL_HOST = '@URLHOST@'
+DEFAULT_URL_PATTERN = 'http://%s/cgi-bin/mailman/'
+
+# DEFAULT_HOST_NAME has been replaced with DEFAULT_EMAIL_HOST, however some
+# sites may have the former in their mm_cfg.py files.  If so, we'll believe
+# that, otherwise we'll believe DEFAULT_EMAIL_HOST.  Same for DEFAULT_URL.
+DEFAULT_HOST_NAME = None
+DEFAULT_URL = None
+
+HOME_PAGE         = 'index.html'
+MAILMAN_SITE_LIST = 'mailman'
+
+# Normally when a site administrator authenticates to a web page with the site
+# password, they get a cookie which authorizes them as the list admin.  It
+# makes me nervous to hand out site auth cookies because if this cookie is
+# cracked or intercepted, the intruder will have access to every list on the
+# site.  OTOH, it's dang handy to not have to re-authenticate to every list on
+# the site.  Set this value to Yes to allow site admin cookies.
+ALLOW_SITE_ADMIN_COOKIES = No
+
+# Command that is used to convert text/html parts into plain text.  This
+# should output results to standard output.  %(filename)s will contain the
+# name of the temporary file that the program should operate on.
+HTML_TO_PLAIN_TEXT_COMMAND = '/usr/bin/lynx -dump %(filename)s'
+
+# A Python regular expression character class which defines the characters
+# allowed in list names.  Lists cannot be created with names containing any
+# character that doesn't match this class.
+ACCEPTABLE_LISTNAME_CHARACTERS = '[-+_.=a-z0-9]'
+
+
+
+#####
+# Virtual domains
+#####
+
+# Set up your virtual host mappings here.  This is primarily used for the
+# thru-the-web list creation, so its effects are currently fairly limited.
+# Use add_virtualhost() call to add new mappings.  The keys are strings as
+# determined by Utils.get_domain(), the values are as appropriate for
+# DEFAULT_HOST_NAME.
+VIRTUAL_HOSTS = {}
+
+# When set to Yes, the listinfo and admin overviews of lists on the machine
+# will be confined to only those lists whose web_page_url configuration option
+# host is included within the URL by which the page is visited - only those
+# "on the virtual host".  When set to No, all advertised (i.e. public) lists
+# are included in the overview.
+VIRTUAL_HOST_OVERVIEW = On
+
+
+# Helper function; use this in your mm_cfg.py files.  If optional emailhost is
+# omitted it defaults to urlhost with the first name stripped off, e.g.
+#
+# add_virtualhost('www.dom.ain')
+# VIRTUAL_HOST['www.dom.ain']
+# ==> 'dom.ain'
+#
+def add_virtualhost(urlhost, emailhost=None):
+    DOT = '.'
+    if emailhost is None:
+        emailhost = DOT.join(urlhost.split(DOT)[1:])
+    VIRTUAL_HOSTS[urlhost.lower()] = emailhost.lower()
+
+# And set the default
+add_virtualhost(DEFAULT_URL_HOST, DEFAULT_EMAIL_HOST)
+
+# Note that you will want to run bin/fix_url.py to change the domain of an
+# existing list.  bin/fix_url.py must be run within the bin/withlist script,
+# like so: bin/withlist -l -r bin/fix_url.py <listname>
+
+
+
+#####
+# Spam avoidance defaults
+#####
+
+# This variable contains a list of 2-tuple of the format (header, regex) which
+# the Mailman/Handlers/SpamDetect.py module uses to match against the current
+# message.  If the regex matches the given header in the current message, then
+# it is flagged as spam.  header is case-insensitive and should not include
+# the trailing colon.  regex is always matched with re.IGNORECASE.
+#
+# Note that the more searching done, the slower the whole process gets.  Spam
+# detection is run against all messages coming to either the list, or the
+# -owners address, unless the message is explicitly approved.
+KNOWN_SPAMMERS = []
+
+
+
+#####
+# Web UI defaults
+#####
+
+# Almost all the colors used in Mailman's web interface are parameterized via
+# the following variables.  This lets you easily change the color schemes for
+# your preferences without having to do major surgery on the source code.
+# Note that in general, the template colors are not included here since it is
+# easy enough to override the default template colors via site-wide,
+# vdomain-wide, or list-wide specializations.
+
+WEB_BG_COLOR = 'white'                            # Page background
+WEB_HEADER_COLOR = '#99ccff'                      # Major section headers
+WEB_SUBHEADER_COLOR = '#fff0d0'                   # Minor section headers
+WEB_ADMINITEM_COLOR = '#dddddd'                   # Option field background
+WEB_ADMINPW_COLOR = '#99cccc'                     # Password box color
+WEB_ERROR_COLOR = 'red'                           # Error message foreground
+WEB_LINK_COLOR = ''                               # If true, forces LINK=
+WEB_ALINK_COLOR = ''                              # If true, forces ALINK=
+WEB_VLINK_COLOR = ''                              # If true, forces VLINK=
+WEB_HIGHLIGHT_COLOR = '#dddddd'                   # If true, alternating rows
+                                                  # in listinfo & admin display
+
+
+#####
+# Archive defaults
+#####
+
+# The url template for the public archives.  This will be used in several
+# places, including the List-Archive: header, links to the archive on the
+# list's listinfo page, and on the list's admin page.
+#
+# This should be a string with "%(listname)s" somewhere in it.  Mailman will
+# interpolate the name of the list into this.  You can also include a
+# "%(hostname)s" in the string, into which Mailman will interpolate
+# the host name (usually DEFAULT_URL_HOST).
+PUBLIC_ARCHIVE_URL = 'http://%(hostname)s/pipermail/%(listname)s'
+
+# Are archives on or off by default?
+DEFAULT_ARCHIVE = On
+
+# Are archives public or private by default?
+# 0=public, 1=private
+DEFAULT_ARCHIVE_PRIVATE = 0
+
+# ARCHIVE_TO_MBOX
+#-1 - do not do any archiving
+# 0 - do not archive to mbox, use builtin mailman html archiving only
+# 1 - do not use builtin mailman html archiving, archive to mbox only
+# 2 - archive to both mbox and builtin mailman html archiving.
+#     See the settings below for PUBLIC_EXTERNAL_ARCHIVER and
+#     PRIVATE_EXTERNAL_ARCHIVER which can be used to replace mailman's
+#     builtin html archiving with an external archiver.  The flat mail
+#     mbox file can be useful for searching, and is another way to
+#     interface external archivers, etc.
+ARCHIVE_TO_MBOX = 2
+
+# 0 - yearly
+# 1 - monthly
+# 2 - quarterly
+# 3 - weekly
+# 4 - daily
+DEFAULT_ARCHIVE_VOLUME_FREQUENCY = 1
+DEFAULT_DIGEST_VOLUME_FREQUENCY = 1
+
+# These variables control the use of an external archiver.  Normally if
+# archiving is turned on (see ARCHIVE_TO_MBOX above and the list's archive*
+# attributes) the internal Pipermail archiver is used.  This is the default if
+# both of these variables are set to No.  When either is set, the value should
+# be a shell command string which will get passed to os.popen().  This string
+# can contain the following substitution strings:
+#
+#     %(listname)s -- gets the internal name of the list
+#     %(hostname)s -- gets the email hostname for the list
+#
+# being archived will be substituted for this.  Please note that os.popen() is
+# used.
+#
+# Note that if you set one of these variables, you should set both of them
+# (they can be the same string).  This will mean your external archiver will
+# be used regardless of whether public or private archives are selected.
+PUBLIC_EXTERNAL_ARCHIVER = No
+PRIVATE_EXTERNAL_ARCHIVER = No
+
+# A filter module that converts from multipart messages to "flat" messages
+# (i.e. containing a single payload).  This is required for Pipermail, and you
+# may want to set it to 0 for external archivers.  You can also replace it
+# with your own module as long as it contains a process() function that takes
+# a MailList object and a Message object.  It should raise
+# Errors.DiscardMessage if it wants to throw the message away.  Otherwise it
+# should modify the Message object as necessary.
+ARCHIVE_SCRUBBER = 'Mailman.Handlers.Scrubber'
+
+# Control parameter whether Mailman.Handlers.Scrubber should use message
+# attachment's filename as is indicated by the filename parameter or use
+# 'attachement-xxx' instead.  The default is set True because the applications
+# on PC and Mac begin to use longer non-ascii filenames.  Historically, it
+# was set False in 2.1.6 for backward compatiblity but it was reset to True
+# for safer operation in mailman-2.1.7.
+SCRUBBER_DONT_USE_ATTACHMENT_FILENAME = True
+
+# Use of attachment filename extension per se is may be dangerous because
+# virus fakes it. You can set this True if you filter the attachment by
+# filename extension
+SCRUBBER_USE_ATTACHMENT_FILENAME_EXTENSION = False
+
+# This variable defines what happens to text/html subparts.  They can be
+# stripped completely, escaped, or filtered through an external program.  The
+# legal values are:
+# 0 - Strip out text/html parts completely, leaving a notice of the removal in
+#     the message.  If the outer part is text/html, the entire message is
+#     discarded.
+# 1 - Remove any embedded text/html parts, leaving them as HTML-escaped
+#     attachments which can be separately viewed.  Outer text/html parts are
+#     simply HTML-escaped.
+# 2 - Leave it inline, but HTML-escape it
+# 3 - Remove text/html as attachments but don't HTML-escape them. Note: this
+#     is very dangerous because it essentially means anybody can send an HTML
+#     email to your site containing evil JavaScript or web bugs, or other
+#     nasty things, and folks viewing your archives will be susceptible.  You
+#     should only consider this option if you do heavy moderation of your list
+#     postings.
+#
+# Note: given the current archiving code, it is not possible to leave
+# text/html parts inline and un-escaped.  I wouldn't think it'd be a good idea
+# to do anyway.
+#
+# The value can also be a string, in which case it is the name of a command to
+# filter the HTML page through.  The resulting output is left in an attachment
+# or as the entirety of the message when the outer part is text/html.  The
+# format of the string must include a "%(filename)s" which will contain the
+# name of the temporary file that the program should operate on.  It should
+# write the processed message to stdout.  Set this to
+# HTML_TO_PLAIN_TEXT_COMMAND to specify an HTML to plain text conversion
+# program.
+ARCHIVE_HTML_SANITIZER = 1
+
+# Set this to Yes to enable gzipping of the downloadable archive .txt file.
+# Note that this is /extremely/ inefficient, so an alternative is to just
+# collect the messages in the associated .txt file and run a cron job every
+# night to generate the txt.gz file.  See cron/nightly_gzip for details.
+GZIP_ARCHIVE_TXT_FILES = No
+
+# This sets the default `clobber date' policy for the archiver.  When a
+# message is to be archived either by Pipermail or an external archiver,
+# Mailman can modify the Date: header to be the date the message was received
+# instead of the Date: in the original message.  This is useful if you
+# typically receive messages with outrageous dates.  Set this to 0 to retain
+# the date of the original message, or to 1 to always clobber the date.  Set
+# it to 2 to perform `smart overrides' on the date; when the date is outside
+# ARCHIVER_ALLOWABLE_SANE_DATE_SKEW (either too early or too late), then the
+# received date is substituted instead.
+ARCHIVER_CLOBBER_DATE_POLICY = 2
+ARCHIVER_ALLOWABLE_SANE_DATE_SKEW = days(15)
+
+# Pipermail archives contain the raw email addresses of the posting authors.
+# Some view this as a goldmine for spam harvesters.  Set this to Yes to
+# moderately obscure email addresses, but note that this breaks mailto: URLs
+# in the archives too.
+ARCHIVER_OBSCURES_EMAILADDRS = Yes
+
+# Pipermail assumes that message bodies contain US-ASCII text.
+# Change this option to define a different character set to be used as
+# the default character set for the archive.  The term "character set"
+# is used in MIME to refer to a method of converting a sequence of
+# octets into a sequence of characters.  If you change the default
+# charset, you might need to add it to VERBATIM_ENCODING below.
+DEFAULT_CHARSET = None
+
+# Most character set encodings require special HTML entity characters to be
+# quoted, otherwise they won't look right in the Pipermail archives.  However
+# some character sets must not quote these characters so that they can be
+# rendered properly in the browsers.  The primary issue is multi-byte
+# encodings where the octet 0x26 does not always represent the & character.
+# This variable contains a list of such characters sets which are not
+# HTML-quoted in the archives.
+VERBATIM_ENCODING = ['iso-2022-jp']
+
+# When the archive is public, should Mailman also make the raw Unix mbox file
+# publically available?
+PUBLIC_MBOX = No
+
+
+
+#####
+# Delivery defaults
+#####
+
+# Final delivery module for outgoing mail.  This handler is used for message
+# delivery to the list via the smtpd, and to an individual user.  This value
+# must be a string naming a module in the Mailman.Handlers package.
+#
+# WARNING: Sendmail has security holes and should be avoided.  In fact, you
+# must read the Mailman/Handlers/Sendmail.py file before it will work for
+# you.
+#
+#DELIVERY_MODULE = 'Sendmail'
+DELIVERY_MODULE = 'SMTPDirect'
+
+# MTA should name a module in Mailman/MTA which provides the MTA specific
+# functionality for creating and removing lists.  Some MTAs like Exim can be
+# configured to automatically recognize new lists, in which case the MTA
+# variable should be set to None.  Use 'Manual' to print new aliases to
+# standard out (or send an email to the site list owner) for manual twiddling
+# of an /etc/aliases style file.  Use 'Postfix' if you are using the Postfix
+# MTA -- but then also see POSTFIX_STYLE_VIRTUAL_DOMAINS.
+MTA = 'Manual'
+
+# If you set MTA='Postfix', then you also want to set the following variable,
+# depending on whether you're using virtual domains in Postfix, and which
+# style of virtual domain you're using.  Set this to the empty list if you're
+# not using virtual domains in Postfix, or if you're using Sendmail-style
+# virtual domains (where all addresses are visible in all domains).  If you're
+# using Postfix-style virtual domains, where aliases should only show up in
+# the virtual domain, set this variable to the list of host_name values to
+# write separate virtual entries for.  I.e. if you run dom1.ain, dom2.ain, and
+# dom3.ain, but only dom2 and dom3 are virtual, set this variable to the list
+# ['dom2.ain', 'dom3.ain'].  Matches are done against the host_name attribute
+# of the mailing lists.  See the Postfix section of the installation manual
+# for details.
+POSTFIX_STYLE_VIRTUAL_DOMAINS = []
+
+# These variables describe the program to use for regenerating the aliases.db
+# and virtual-mailman.db files, respectively, from the associated plain text
+# files.  The file being updated will be appended to this string (with a
+# separating space), so it must be appropriate for os.system().
+POSTFIX_ALIAS_CMD = '/usr/sbin/postalias'
+POSTFIX_MAP_CMD = '/usr/sbin/postmap'
+
+# Ceiling on the number of recipients that can be specified in a single SMTP
+# transaction.  Set to 0 to submit the entire recipient list in one
+# transaction.  Only used with the SMTPDirect DELIVERY_MODULE.
+SMTP_MAX_RCPTS = 500
+
+# Ceiling on the number of SMTP sessions to perform on a single socket
+# connection.  Some MTAs have limits.  Set this to 0 to do as many as we like
+# (i.e. your MTA has no limits).  Set this to some number great than 0 and
+# Mailman will close the SMTP connection and re-open it after this number of
+# consecutive sessions.
+SMTP_MAX_SESSIONS_PER_CONNECTION = 0
+
+# Maximum number of simultaneous subthreads that will be used for SMTP
+# delivery.  After the recipients list is chunked according to SMTP_MAX_RCPTS,
+# each chunk is handed off to the smptd by a separate such thread.  If your
+# Python interpreter was not built for threads, this feature is disabled.  You
+# can explicitly disable it in all cases by setting MAX_DELIVERY_THREADS to
+# 0.  This feature is only supported with the SMTPDirect DELIVERY_MODULE.
+#
+# NOTE: This is an experimental feature and limited testing shows that it may
+# in fact degrade performance, possibly due to Python's global interpreter
+# lock.  Use with caution.
+MAX_DELIVERY_THREADS = 0
+
+# SMTP host and port, when DELIVERY_MODULE is 'SMTPDirect'.  Make sure the
+# host exists and is resolvable (i.e., if it's the default of "localhost" be
+# sure there's a localhost entry in your /etc/hosts file!)
+SMTPHOST = 'localhost'
+SMTPPORT = 0                                      # default from smtplib
+
+# Command for direct command pipe delivery to sendmail compatible program,
+# when DELIVERY_MODULE is 'Sendmail'.
+SENDMAIL_CMD = '/usr/lib/sendmail'
+
+# Set these variables if you need to authenticate to your NNTP server for
+# Usenet posting or reading.  If no authentication is necessary, specify None
+# for both variables.
+NNTP_USERNAME = None
+NNTP_PASSWORD = None
+
+# Set this if you have an NNTP server you prefer gatewayed lists to use.
+DEFAULT_NNTP_HOST = ''
+
+# These variables controls how headers must be cleansed in order to be
+# accepted by your NNTP server.  Some servers like INN reject messages
+# containing prohibited headers, or duplicate headers.  The NNTP server may
+# reject the message for other reasons, but there's little that can be
+# programmatically done about that.  See Mailman/Queue/NewsRunner.py
+#
+# First, these headers (case ignored) are removed from the original message.
+NNTP_REMOVE_HEADERS = ['nntp-posting-host', 'nntp-posting-date', 'x-trace',
+                       'x-complaints-to', 'xref', 'date-received', 'posted',
+                       'posting-version', 'relay-version', 'received']
+
+# Next, these headers are left alone, unless there are duplicates in the
+# original message.  Any second and subsequent headers are rewritten to the
+# second named header (case preserved).
+NNTP_REWRITE_DUPLICATE_HEADERS = [
+    ('to', 'X-Original-To'),
+    ('cc', 'X-Original-Cc'),
+    ('content-transfer-encoding', 'X-Original-Content-Transfer-Encoding'),
+    ('mime-version', 'X-MIME-Version'),
+    ]
+
+# Some list posts and mail to the -owner address may contain DomainKey or
+# DomainKeys Identified Mail (DKIM) signature headers <http://www.dkim.org/>.
+# Various list transformations to the message such as adding a list header or
+# footer or scrubbing attachments or even reply-to munging can break these
+# signatures.  It is generally felt that these signatures have value, even if
+# broken and even if the outgoing message is resigned.  However, some sites
+# may wish to remove these headers by setting this to Yes.
+REMOVE_DKIM_HEADERS = No
+
+# All `normal' messages which are delivered to the entire list membership go
+# through this pipeline of handler modules.  Lists themselves can override the
+# global pipeline by defining a `pipeline' attribute.
+GLOBAL_PIPELINE = [
+    # These are the modules that do tasks common to all delivery paths.
+    'SpamDetect',
+    'Approve',
+    'Replybot',
+    'Moderate',
+    'Hold',
+    'MimeDel',
+    'Scrubber',
+    'Emergency',
+    'Tagger',
+    'CalcRecips',
+    'AvoidDuplicates',
+    'Cleanse',
+    'CleanseDKIM',
+    'CookHeaders',
+    # And now we send the message to the digest mbox file, and to the arch and
+    # news queues.  Runners will provide further processing of the message,
+    # specific to those delivery paths.
+    'ToDigest',
+    'ToArchive',
+    'ToUsenet',
+    # Now we'll do a few extra things specific to the member delivery
+    # (outgoing) path, finally leaving the message in the outgoing queue.
+    'AfterDelivery',
+    'Acknowledge',
+    'ToOutgoing',
+    ]
+
+# This is the pipeline which messages sent to the -owner address go through
+OWNER_PIPELINE = [
+    'SpamDetect',
+    'Replybot',
+    'CleanseDKIM',
+    'OwnerRecips',
+    'ToOutgoing',
+    ]
+
+
+# This defines syslog() format strings for the SMTPDirect delivery module (see
+# DELIVERY_MODULE above).  Valid %()s string substitutions include:
+#
+#     time -- the time in float seconds that it took to complete the smtp
+#     hand-off of the message from Mailman to your smtpd.
+#
+#     size -- the size of the entire message, in bytes
+#
+#     #recips -- the number of actual recipients for this message.
+#
+#     #refused -- the number of smtp refused recipients (use this only in
+#     SMTP_LOG_REFUSED).
+#
+#     listname -- the `internal' name of the mailing list for this posting
+#
+#     msg_<header> -- the value of the delivered message's given header.  If
+#     the message had no such header, then "n/a" will be used.  Note though
+#     that if the message had multiple such headers, then it is undefined
+#     which will be used.
+#
+#     allmsg_<header> - Same as msg_<header> above, but if there are multiple
+#     such headers in the message, they will all be printed, separated by
+#     comma-space.
+#
+#     sender -- the "sender" of the messages, which will be the From: or
+#     envelope-sender as determeined by the USE_ENVELOPE_SENDER variable
+#     below.
+#
+# The format of the entries is a 2-tuple with the first element naming the
+# file in logs/ to print the message to, and the second being a format string
+# appropriate for Python's %-style string interpolation.  The file name is
+# arbitrary; qfiles/<name> will be created automatically if it does not
+# exist.
+
+# The format of the message printed for every delivered message, regardless of
+# whether the delivery was successful or not.  Set to None to disable the
+# printing of this log message.
+SMTP_LOG_EVERY_MESSAGE = (
+    'smtp',
+    '%(msg_message-id)s smtp to %(listname)s for %(#recips)d recips, completed in %(time).3f seconds')
+
+# This will only be printed if there were no immediate smtp failures.
+# Mutually exclusive with SMTP_LOG_REFUSED.
+SMTP_LOG_SUCCESS = (
+    'post',
+    'post to %(listname)s from %(sender)s, size=%(size)d, message-id=%(msg_message-id)s, success')
+
+# This will only be printed if there were any addresses which encountered an
+# immediate smtp failure.  Mutually exclusive with SMTP_LOG_SUCCESS.
+SMTP_LOG_REFUSED = (
+    'post',
+    'post to %(listname)s from %(sender)s, size=%(size)d, message-id=%(msg_message-id)s, %(#refused)d failures')
+
+# This will be logged for each specific recipient failure.  Additional %()s
+# keys are:
+#
+#     recipient -- the failing recipient address
+#     failcode  -- the smtp failure code
+#     failmsg   -- the actual smtp message, if available
+SMTP_LOG_EACH_FAILURE = (
+    'smtp-failure',
+    'delivery to %(recipient)s failed with code %(failcode)d: %(failmsg)s')
+
+# These variables control the format and frequency of VERP-like delivery for
+# better bounce detection.  VERP is Variable Envelope Return Path, defined
+# here:
+#
+# http://cr.yp.to/proto/verp.txt
+#
+# This involves encoding the address of the recipient as we (Mailman) know it
+# into the envelope sender address (i.e. the SMTP `MAIL FROM:' address).
+# Thus, no matter what kind of forwarding the recipient has in place, should
+# it eventually bounce, we will receive an unambiguous notice of the bouncing
+# address.
+#
+# However, we're technically only "VERP-like" because we're doing the envelope
+# sender encoding in Mailman, not in the MTA.  We do require cooperation from
+# the MTA, so you must be sure your MTA can be configured for extended address
+# semantics.
+#
+# The first variable describes how to encode VERP envelopes.  It must contain
+# these three string interpolations:
+#
+# %(bounces)s -- the list-bounces mailbox will be set here
+# %(mailbox)s -- the recipient's mailbox will be set here
+# %(host)s    -- the recipient's host name will be set here
+#
+# This example uses the default below.
+#
+# FQDN list address is: mylist@dom.ain
+# Recipient is:         aperson@a.nother.dom
+#
+# The envelope sender will be mylist-bounces+aperson=a.nother.dom@dom.ain
+#
+# Note that your MTA /must/ be configured to deliver such an addressed message
+# to mylist-bounces!
+VERP_FORMAT = '%(bounces)s+%(mailbox)s=%(host)s'
+
+# The second describes a regular expression to unambiguously decode such an
+# address, which will be placed in the To: header of the bounce message by the
+# bouncing MTA.  Getting this right is critical -- and tricky.  Learn your
+# Python regular expressions.  It must define exactly three named groups,
+# bounces, mailbox and host, with the same definition as above.  It will be
+# compiled case-insensitively.
+VERP_REGEXP = r'^(?P<bounces>[^+]+?)\+(?P<mailbox>[^=]+)=(?P<host>[^@]+)@.*$'
+
+# VERP format and regexp for probe messages
+VERP_PROBE_FORMAT = '%(bounces)s+%(token)s'
+VERP_PROBE_REGEXP = r'^(?P<bounces>[^+]+?)\+(?P<token>[^@]+)@.*$'
+# Set this Yes to activate VERP probe for disabling by bounce
+VERP_PROBES = No
+
+# A perfect opportunity for doing VERP is the password reminders, which are
+# already addressed individually to each recipient.  Set this to Yes to enable
+# VERPs on all password reminders.
+VERP_PASSWORD_REMINDERS = No
+
+# Another good opportunity is when regular delivery is personalized.  Here
+# again, we're already incurring the performance hit for addressing each
+# individual recipient.  Set this to Yes to enable VERPs on all personalized
+# regular deliveries (personalized digests aren't supported yet).
+VERP_PERSONALIZED_DELIVERIES = No
+
+# And finally, we can VERP normal, non-personalized deliveries.  However,
+# because it can be a significant performance hit, we allow you to decide how
+# often to VERP regular deliveries.  This is the interval, in number of
+# messages, to do a VERP recipient address.  The same variable controls both
+# regular and digest deliveries.  Set to 0 to disable occasional VERPs, set to
+# 1 to VERP every delivery, or to some number > 1 for only occasional VERPs.
+VERP_DELIVERY_INTERVAL = 0
+
+# For nicer confirmation emails, use a VERP-like format which encodes the
+# confirmation cookie in the reply address.  This lets us put a more user
+# friendly Subject: on the message, but requires cooperation from the MTA.
+# Format is like VERP_FORMAT above, but with the following substitutions:
+#
+# %(addr)s -- the list-confirm mailbox will be set here
+# %(cookie)s  -- the confirmation cookie will be set here
+VERP_CONFIRM_FORMAT = '%(addr)s+%(cookie)s'
+
+# This is analogous to VERP_REGEXP, but for splitting apart the
+# VERP_CONFIRM_FORMAT.  MUAs have been observed that mung
+# From: local_part@host
+# into
+# To: "local_part" <local_part@host>
+# or even
+# To: "local_part@host" <local_part@host>
+# and may even fold the header when replying, so we skip everything up to '<'
+# if any and include ($s) so dot will match the newline in a folded header.
+VERP_CONFIRM_REGEXP = r'(?s)^(.*<)?(?P<addr>.+)\+(?P<cookie>[^@+]+)@.*$'
+
+# Set this to Yes to enable VERP-like (more user friendly) confirmations
+VERP_CONFIRMATIONS = No
+
+# This is the maximum number of automatic responses sent to an address because
+# of -request messages or posting hold messages.  This limit prevents response
+# loops between Mailman and misconfigured remote email robots.  Mailman
+# already inhibits automatic replies to any message labeled with a header
+# "Precendence: bulk|list|junk".  This is a fallback safety valve so it should
+# be set fairly high.  Set to 0 for no limit (probably useful only for
+# debugging).
+MAX_AUTORESPONSES_PER_DAY = 10
+
+
+
+#####
+# Qrunner defaults
+#####
+
+# Which queues should the qrunner master watchdog spawn?  This is a list of
+# 2-tuples containing the name of the qrunner class (which must live in a
+# module of the same name within the Mailman.Queue package), and the number of
+# parallel processes to fork for each qrunner.  If more than one process is
+# used, each will take an equal subdivision of the hash space.
+
+# BAW: Eventually we may support weighted hash spaces.
+# BAW: Although not enforced, the # of slices must be a power of 2
+
+QRUNNERS = [
+    ('ArchRunner',     1), # messages for the archiver
+    ('BounceRunner',   1), # for processing the qfile/bounces directory
+    ('CommandRunner',  1), # commands and bounces from the outside world
+    ('IncomingRunner', 1), # posts from the outside world
+    ('NewsRunner',     1), # outgoing messages to the nntpd
+    ('OutgoingRunner', 1), # outgoing messages to the smtpd
+    ('VirginRunner',   1), # internally crafted (virgin birth) messages
+    ('RetryRunner',    1), # retry temporarily failed deliveries
+    ]
+
+# Set this to Yes to use the `Maildir' delivery option.  If you change this
+# you will need to re-run bin/genaliases for MTAs that don't use list
+# auto-detection.
+#
+# WARNING: If you want to use Maildir delivery, you /must/ start Mailman's
+# qrunner as root, or you will get permission problems.
+#
+# NOTE: Maildir delivery is experimental for Mailman 2.1.
+USE_MAILDIR = No
+# NOTE: If you set USE_MAILDIR = Yes, add the following line to your mm_cfg.py
+# file (uncommented of course!)
+# QRUNNERS.append(('MaildirRunner', 1))
+
+# After processing every file in the qrunner's slice, how long should the
+# runner sleep for before checking the queue directory again for new files?
+# This can be a fraction of a second, or zero to check immediately
+# (essentially busy-loop as fast as possible).
+QRUNNER_SLEEP_TIME = seconds(1)
+
+# When a message that is unparsable (by the email package) is received, what
+# should we do with it?  The most common cause of unparsable messages is
+# broken MIME encapsulation, and the most common cause of that is viruses like
+# Nimda.  Set this variable to No to discard such messages, or to Yes to store
+# them in qfiles/bad subdirectory.
+QRUNNER_SAVE_BAD_MESSAGES = Yes
+
+# Depending on the above setting, the queue entries with messages which can't
+# be parsed may be saved in qfiles/bad.  Certain other exceptions which occur
+# during unpickling of a queue entry also cause the entry to be saved in
+# qfiles/bad.  Various exceptions which occur during message processing cause
+# the message to be shunted (saved in qfiles/shunt) where they can be
+# reprocessed with bin/unshunt after the underlying problem is fixed.  The
+# cull_bad_shunt cron job normally runs daily to remove and possibly archive
+# stale entries in qfiles/bad and qfiles/shunt.  The following settings
+# control this.
+
+# The length of time after which a qfiles/bad or qfiles/shunt file is
+# considered to be stale.  Set to zero to disable culling of qfiles/bad and
+# qfiles/shunt entries.
+BAD_SHUNT_STALE_AFTER = days(7)
+
+# The pathname of a directory (searchable and writable by the Mailman cron
+# user) to which the culled qfiles/bad and qfiles/shunt entries will be
+# moved.  Set to None to simply delete the culled entries.
+BAD_SHUNT_ARCHIVE_DIRECTORY = None
+
+# This flag causes Mailman to fsync() its data files after writing and
+# flushing its contents.  While this ensures the data is written to disk,
+# avoiding data loss, it may be a performance killer.  Note that this flag
+# affects both message pickles and MailList config.pck files.
+SYNC_AFTER_WRITE = No
+
+
+
+#####
+# General defaults
+#####
+
+# The default language for this server.  Whenever we can't figure out the list
+# context or user context, we'll fall back to using this language.  See
+# LC_DESCRIPTIONS below for legal values.
+DEFAULT_SERVER_LANGUAGE = 'en'
+
+# When allowing only members to post to a mailing list, how is the sender of
+# the message determined?  If this variable is set to Yes, then first the
+# message's envelope sender is used, with a fallback to the sender if there is
+# no envelope sender.  Set this variable to No to always use the sender.
+#
+# The envelope sender is set by the SMTP delivery and is thus less easily
+# spoofed than the sender, which is typically just taken from the From: header
+# and thus easily spoofed by the end-user.  However, sometimes the envelope
+# sender isn't set correctly and this will manifest itself by postings being
+# held for approval even if they appear to come from a list member.  If you
+# are having this problem, set this variable to No, but understand that some
+# spoofed messages may get through.
+USE_ENVELOPE_SENDER = No
+
+# Membership tests for posting purposes are usually performed by looking at a
+# set of headers, passing the test if any of their values match a member of
+# the list.  Headers are checked in the order given in this variable.  The
+# value None means use the From_ (envelope sender) header.  Field names are
+# case insensitive.
+SENDER_HEADERS = ('from', None, 'reply-to', 'sender')
+
+# How many members to display at a time on the admin cgi to unsubscribe them
+# or change their options?
+DEFAULT_ADMIN_MEMBER_CHUNKSIZE = 30
+
+# how many bytes of a held message post should be displayed in the admindb web
+# page?  Use a negative number to indicate the entire message, regardless of
+# size (though this will slow down rendering those pages).
+ADMINDB_PAGE_TEXT_LIMIT = 4096
+
+# Set this variable to Yes to allow list owners to delete their own mailing
+# lists.  You may not want to give them this power, in which case, setting
+# this variable to No instead requires list removal to be done by the site
+# administrator, via the command line script bin/rmlist.
+OWNERS_CAN_DELETE_THEIR_OWN_LISTS = No
+
+# Set this variable to Yes to allow list owners to set the "personalized"
+# flags on their mailing lists.  Turning these on tells Mailman to send
+# separate email messages to each user instead of batching them together for
+# delivery to the MTA.  This gives each member a more personalized message,
+# but can have a heavy impact on the performance of your system.
+OWNERS_CAN_ENABLE_PERSONALIZATION = No
+
+# Set this variable to Yes to allow list owners to change a member's password
+# from the member's options page.  Do not do this if list owners aren't all
+# trustworthy as it allows a list owner to change a member's password and then
+# log in as the member and make global changes.
+OWNERS_CAN_CHANGE_MEMBER_PASSWORDS = No
+
+# Should held messages be saved on disk as Python pickles or as plain text?
+# The former is more efficient since we don't need to go through the
+# parse/generate roundtrip each time, but the latter might be preferred if you
+# want to edit the held message on disk.
+HOLD_MESSAGES_AS_PICKLES = Yes
+
+# This variable controls the order in which list-specific category options are
+# presented in the admin cgi page.
+ADMIN_CATEGORIES = [
+    # First column
+    'general', 'passwords', 'language', 'members', 'nondigest', 'digest',
+    # Second column
+    'privacy', 'bounce', 'archive', 'gateway', 'autoreply',
+    'contentfilter', 'topics',
+    ]
+
+# See "Bitfield for user options" below; make this a sum of those options, to
+# make all new members of lists start with those options flagged.  We assume
+# by default that people don't want to receive two copies of posts.  Note
+# however that the member moderation flag's initial value is controlled by the
+# list's config variable default_member_moderation.
+DEFAULT_NEW_MEMBER_OPTIONS = 256
+
+# Specify the type of passwords to use, when Mailman generates the passwords
+# itself, as would be the case for membership requests where the user did not
+# fill in a password, or during list creation, when auto-generation of admin
+# passwords was selected.
+#
+# Set this value to Yes for classic Mailman user-friendly(er) passwords.
+# These generate semi-pronounceable passwords which are easier to remember.
+# Set this value to No to use more cryptographically secure, but harder to
+# remember, passwords -- if your operating system and Python version support
+# the necessary feature (specifically that /dev/urandom be available).
+USER_FRIENDLY_PASSWORDS = Yes
+# This value specifies the default lengths of member and list admin passwords
+MEMBER_PASSWORD_LENGTH = 8
+ADMIN_PASSWORD_LENGTH = 10
+
+
+
+#####
+# List defaults.  NOTE: Changing these values does NOT change the
+# configuration of an existing list.  It only defines the default for new
+# lists you subsequently create.
+#####
+
+# Should a list, by default be advertised?  What is the default maximum number
+# of explicit recipients allowed?  What is the default maximum message size
+# allowed?
+DEFAULT_LIST_ADVERTISED = Yes
+DEFAULT_MAX_NUM_RECIPIENTS = 10
+DEFAULT_MAX_MESSAGE_SIZE = 40           # KB
+
+# These format strings will be expanded w.r.t. the dictionary for the
+# mailing list instance.
+DEFAULT_SUBJECT_PREFIX  = "[%(real_name)s] "
+# DEFAULT_SUBJECT_PREFIX = "[%(real_name)s %%d]" # for numbering
+DEFAULT_MSG_HEADER = ""
+DEFAULT_MSG_FOOTER = """_______________________________________________
+%(real_name)s mailing list
+%(real_name)s@%(host_name)s
+%(web_page_url)slistinfo%(cgiext)s/%(_internal_name)s
+"""
+
+# Where to put subject prefix for 'Re:' messages:
+#
+#     old style: Re: [prefix] test
+#     new style: [prefix 123] Re: test ... (number is optional)
+#
+# Old style is default for backward compatibility.  New style is forced if a
+# list owner set %d (numbering) in prefix.  If the site owner had applied new
+# style patch (from SF patch area) before, he/she may want to set this No in
+# mm_cfg.py.
+OLD_STYLE_PREFIXING = Yes
+
+# Scrub regular delivery
+DEFAULT_SCRUB_NONDIGEST = False
+
+# Mail command processor will ignore mail command lines after designated max.
+DEFAULT_MAIL_COMMANDS_MAX_LINES = 25
+
+# Is the list owner notified of admin requests immediately by mail, as well as
+# by daily pending-request reminder?
+DEFAULT_ADMIN_IMMED_NOTIFY = Yes
+
+# Is the list owner notified of subscribes/unsubscribes?
+DEFAULT_ADMIN_NOTIFY_MCHANGES = No
+
+# Discard held messages after this days
+DEFAULT_MAX_DAYS_TO_HOLD = 0
+
+# Should list members, by default, have their posts be moderated?
+DEFAULT_DEFAULT_MEMBER_MODERATION = No
+
+# Should non-member posts which are auto-discarded also be forwarded to the
+# moderators?
+DEFAULT_FORWARD_AUTO_DISCARDS = Yes
+
+# What shold happen to non-member posts which are do not match explicit
+# non-member actions?
+# 0 = Accept
+# 1 = Hold
+# 2 = Reject
+# 3 = Discard
+DEFAULT_GENERIC_NONMEMBER_ACTION = 1
+
+# Bounce if 'To:', 'Cc:', or 'Resent-To:' fields don't explicitly name list?
+# This is an anti-spam measure
+DEFAULT_REQUIRE_EXPLICIT_DESTINATION = Yes
+
+# Alternate names acceptable as explicit destinations for this list.
+DEFAULT_ACCEPTABLE_ALIASES ="""
+"""
+# For mailing lists that have only other mailing lists for members:
+DEFAULT_UMBRELLA_LIST = No
+
+# For umbrella lists, the suffix for the account part of address for
+# administrative notices (subscription confirmations, password reminders):
+DEFAULT_UMBRELLA_MEMBER_ADMIN_SUFFIX = "-owner"
+
+# Exclude/include (sibling) lists for non-digest delivery.
+DEFAULT_REGULAR_EXCLUDE_LISTS = []
+DEFAULT_REGULAR_INCLUDE_LISTS = []
+ALLOW_CROSS_DOMAIN_SIBLING = False
+
+# This variable controls whether monthly password reminders are sent.
+DEFAULT_SEND_REMINDERS = Yes
+
+# Send welcome messages to new users?
+DEFAULT_SEND_WELCOME_MSG = Yes
+
+# Send goodbye messages to unsubscribed members?
+DEFAULT_SEND_GOODBYE_MSG = Yes
+
+# Wipe sender information, and make it look like the list-admin
+# address sends all messages
+DEFAULT_ANONYMOUS_LIST = No
+
+# {header-name: regexp} spam filtering - we include some for example sake.
+DEFAULT_BOUNCE_MATCHING_HEADERS = """
+# Lines that *start* with a '#' are comments.
+to: friend@public.com
+message-id: relay.comanche.denmark.eu
+from: list@listme.com
+from: .*@uplinkpro.com
+"""
+
+# Mailman can be configured to "munge" Reply-To: headers for any passing
+# messages.  One the one hand, there are a lot of good reasons not to munge
+# Reply-To: but on the other, people really seem to want this feature.  See
+# the help for reply_goes_to_list in the web UI for links discussing the
+# issue.
+# 0 - Reply-To: not munged
+# 1 - Reply-To: set back to the list
+# 2 - Reply-To: set to an explicit value (reply_to_address)
+DEFAULT_REPLY_GOES_TO_LIST = 0
+
+# Mailman can be configured to strip any existing Reply-To: header, or simply
+# extend any existing Reply-To: with one based on the above setting.
+DEFAULT_FIRST_STRIP_REPLY_TO = No
+
+# SUBSCRIBE POLICY
+# 0 - open list (only when ALLOW_OPEN_SUBSCRIBE is set to 1) **
+# 1 - confirmation required for subscribes
+# 2 - admin approval required for subscribes
+# 3 - both confirmation and admin approval required
+#
+# ** please do not choose option 0 if you are not allowing open
+# subscribes (next variable)
+DEFAULT_SUBSCRIBE_POLICY = 1
+
+# Does this site allow completely unchecked subscriptions?
+ALLOW_OPEN_SUBSCRIBE = No
+
+# The default policy for unsubscriptions.  0 (unmoderated unsubscribes) is
+# highly recommended!
+# 0 - unmoderated unsubscribes
+# 1 - unsubscribes require approval
+DEFAULT_UNSUBSCRIBE_POLICY = 0
+
+# Private_roster == 0: anyone can see, 1: members only, 2: admin only.
+DEFAULT_PRIVATE_ROSTER = 1
+
+# When exposing members, make them unrecognizable as email addrs, so
+# web-spiders can't pick up addrs for spam purposes.
+DEFAULT_OBSCURE_ADDRESSES = Yes
+
+# RFC 2369 defines List-* headers which are added to every message sent
+# through to the mailing list membership.  These are a very useful aid to end
+# users and should always be added.  However, not all MUAs are compliant and
+# if a list's membership has many such users, they may clamor for these
+# headers to be suppressed.  By setting this variable to Yes, list owners will
+# be given the option to suppress these headers.  By setting it to No, list
+# owners will not be given the option to suppress these headers (although some
+# header suppression may still take place, i.e. for announce-only lists, or
+# lists with no archives).
+ALLOW_RFC2369_OVERRIDES = Yes
+
+# Defaults for content filtering on mailing lists.  DEFAULT_FILTER_CONTENT is
+# a flag which if set to true, turns on content filtering.
+DEFAULT_FILTER_CONTENT = No
+
+# DEFAULT_FILTER_MIME_TYPES is a list of MIME types to be removed.  This is a
+# list of strings of the format "maintype/subtype" or simply "maintype".
+# E.g. "text/html" strips all html attachments while "image" strips all image
+# types regardless of subtype (jpeg, gif, etc.).
+DEFAULT_FILTER_MIME_TYPES = []
+
+# DEFAULT_PASS_MIME_TYPES is a list of MIME types to be passed through.
+# Format is the same as DEFAULT_FILTER_MIME_TYPES
+DEFAULT_PASS_MIME_TYPES = ['multipart/mixed',
+                           'multipart/alternative',
+                           'text/plain']
+
+# DEFAULT_FILTER_FILENAME_EXTENSIONS is a list of filename extensions to be
+# removed. It is useful because many viruses fake their content-type as
+# harmless ones while keep their extension as executable and expect to be
+# executed when victims 'open' them.
+DEFAULT_FILTER_FILENAME_EXTENSIONS = [
+    'exe', 'bat', 'cmd', 'com', 'pif', 'scr', 'vbs', 'cpl'
+    ]
+
+# DEFAULT_PASS_FILENAME_EXTENSIONS is a list of filename extensions to be
+# passed through. Format is the same as DEFAULT_FILTER_FILENAME_EXTENSIONS.
+DEFAULT_PASS_FILENAME_EXTENSIONS = []
+
+# Replace multipart/alternative with its first alternative.
+DEFAULT_COLLAPSE_ALTERNATIVES = Yes
+
+# Whether text/html should be converted to text/plain after content filtering
+# is performed.  Conversion is done according to HTML_TO_PLAIN_TEXT_COMMAND
+DEFAULT_CONVERT_HTML_TO_PLAINTEXT = Yes
+
+# Default action to take on filtered messages.
+# 0 = Discard, 1 = Reject, 2 = Forward, 3 = Preserve
+DEFAULT_FILTER_ACTION = 0
+
+# Whether to allow list owners to preserve content filtered messages to a
+# special queue on the disk.
+OWNERS_CAN_PRESERVE_FILTERED_MESSAGES = Yes
+
+# Check for administrivia in messages sent to the main list?
+DEFAULT_ADMINISTRIVIA = Yes
+
+
+
+#####
+# Digestification defaults.  Same caveat applies here as with list defaults.
+#####
+
+# Will list be available in non-digested form?
+DEFAULT_NONDIGESTABLE = Yes
+
+# Will list be available in digested form?
+DEFAULT_DIGESTABLE = Yes
+DEFAULT_DIGEST_HEADER = ""
+DEFAULT_DIGEST_FOOTER = DEFAULT_MSG_FOOTER
+
+DEFAULT_DIGEST_IS_DEFAULT = No
+DEFAULT_MIME_IS_DEFAULT_DIGEST = No
+DEFAULT_DIGEST_SIZE_THRESHHOLD = 30     # KB
+DEFAULT_DIGEST_SEND_PERIODIC = Yes
+
+# Headers which should be kept in both RFC 1153 (plain) and MIME digests.  RFC
+# 1153 also specifies these headers in this exact order, so order matters.
+MIME_DIGEST_KEEP_HEADERS = [
+    'Date', 'From', 'To', 'Cc', 'Subject', 'Message-ID', 'Keywords',
+    # I believe we should also keep these headers though.
+    'In-Reply-To', 'References', 'Content-Type', 'MIME-Version',
+    'Content-Transfer-Encoding', 'Precedence', 'Reply-To',
+    # Mailman 2.0 adds these headers
+    'Message',
+    ]
+
+# The order in this list controls the order of the RFC 1153 digest headers.
+# Also, any headers in this list will be kept in the MIME digest even if they
+# don't appear in the MIME list above.  Finally, headers appearing in both
+# lists must be casewise the same or duplication can result in the digest.
+PLAIN_DIGEST_KEEP_HEADERS = [
+    'Message',
+    # RFC 1153 headers in order
+    'Date', 'From', 'To', 'Cc', 'Subject', 'Message-ID', 'Keywords',
+    'Content-Type',
+    ]
+
+
+
+#####
+# Bounce processing defaults.  Same caveat applies here as with list defaults.
+#####
+
+# Should we do any bounced mail response at all?
+DEFAULT_BOUNCE_PROCESSING = Yes
+
+# How often should the bounce qrunner process queued detected bounces?
+REGISTER_BOUNCES_EVERY = minutes(15)
+
+# Bounce processing works like this: when a bounce from a member is received,
+# we look up the `bounce info' for this member. If there is no bounce info,
+# this is the first bounce we've received from this member.  In that case, we
+# record today's date, and initialize the bounce score (see below for initial
+# value).
+#
+# If there is existing bounce info for this member, we look at the last bounce
+# receive date.  If this date is farther away from today than the `bounce
+# expiration interval', we throw away all the old data and initialize the
+# bounce score as if this were the first bounce from the member.
+#
+# Otherwise, we increment the bounce score.  If we can determine whether the
+# bounce was soft or hard (i.e. transient or fatal), then we use a score value
+# of 0.5 for soft bounces and 1.0 for hard bounces.  Note that we only score
+# one bounce per day.  If the bounce score is then greater than the `bounce
+# threshold' we disable the member's address.
+#
+# After disabling the address, we can send warning messages to the member,
+# providing a confirmation cookie/url for them to use to re-enable their
+# delivery.  After a configurable period of time, we'll delete the address.
+# When we delete the address due to bouncing, we'll send one last message to
+# the member.
+
+# Bounce scores greater than this value get disabled.
+DEFAULT_BOUNCE_SCORE_THRESHOLD = 5.0
+
+# Bounce information older than this interval is considered stale, and is
+# discarded.
+DEFAULT_BOUNCE_INFO_STALE_AFTER = days(7)
+
+# The number of notifications to send to the disabled/removed member before we
+# remove them from the list.  A value of 0 means we remove the address
+# immediately (with one last notification).  Note that the first one is sent
+# upon change of status to disabled.
+DEFAULT_BOUNCE_YOU_ARE_DISABLED_WARNINGS = 3
+
+# The interval of time between disabled warnings.
+DEFAULT_BOUNCE_YOU_ARE_DISABLED_WARNINGS_INTERVAL = days(7)
+
+# Does the list owner get messages to the -bounces (and -admin) address that
+# failed to match by the bounce detector?
+DEFAULT_BOUNCE_UNRECOGNIZED_GOES_TO_LIST_OWNER = Yes
+
+# Notifications on bounce actions.  The first specifies whether the list owner
+# should get a notification when a member is disabled due to bouncing, while
+# the second specifies whether the owner should get one when the member is
+# removed due to bouncing.
+DEFAULT_BOUNCE_NOTIFY_OWNER_ON_DISABLE = Yes
+DEFAULT_BOUNCE_NOTIFY_OWNER_ON_REMOVAL = Yes
+
+
+
+#####
+# General time limits
+#####
+
+# Default length of time a pending request is live before it is evicted from
+# the pending database.
+PENDING_REQUEST_LIFE = days(3)
+
+# How long should messages which have delivery failures continue to be
+# retried?  After this period of time, a message that has failed recipients
+# will be dequeued and those recipients will never receive the message.
+DELIVERY_RETRY_PERIOD = days(5)
+
+# How long should we wait before we retry a temporary delivery failure?
+DELIVERY_RETRY_WAIT = hours(1)
+
+
+
+#####
+# Lock management defaults
+#####
+
+# These variables control certain aspects of lock acquisition and retention.
+# They should be tuned as appropriate for your environment.  All variables are
+# specified in units of floating point seconds.  YOU MAY NEED TO TUNE THESE
+# VARIABLES DEPENDING ON THE SIZE OF YOUR LISTS, THE PERFORMANCE OF YOUR
+# HARDWARE, NETWORK AND GENERAL MAIL HANDLING CAPABILITIES, ETC.
+
+# Set this to On to turn on MailList object lock debugging messages, which
+# will be written to logs/locks.  If you think you're having lock problems, or
+# just want to tune the locks for your system, turn on lock debugging.
+LIST_LOCK_DEBUGGING = Off
+
+# This variable specifies how long the lock will be retained for a specific
+# operation on a mailing list.  Watch your logs/lock file and if you see a lot
+# of lock breakages, you might need to bump this up.  However if you set this
+# too high, a faulty script (or incorrect use of bin/withlist) can prevent the
+# list from being used until the lifetime expires.  This is probably one of
+# the most crucial tuning variables in the system.
+LIST_LOCK_LIFETIME = hours(5)
+
+# This variable specifies how long an attempt will be made to acquire a list
+# lock by the incoming qrunner process.  If the lock acquisition times out,
+# the message will be re-queued for later delivery.
+LIST_LOCK_TIMEOUT = seconds(10)
+
+# Set this to On to turn on lock debugging messages for the pending requests
+# database, which will be written to logs/locks.  If you think you're having
+# lock problems, or just want to tune the locks for your system, turn on lock
+# debugging.
+PENDINGDB_LOCK_DEBUGGING = Off
+
+
+
+#####
+# Nothing below here is user configurable.  Most of these values are in this
+# file for internal system convenience.  Don't change any of them or override
+# any of them in your mm_cfg.py file!
+#####
+
+# These directories are used to find various important files in the Mailman
+# installation.  PREFIX and EXEC_PREFIX are set by configure and should point
+# to the installation directory of the Mailman package.
+PYTHON          = '@PYTHON@'
+PREFIX          = '@prefix@'
+EXEC_PREFIX     = '@exec_prefix@'
+VAR_PREFIX      = '@VAR_PREFIX@'
+
+# Work around a bogus autoconf 2.12 bug
+if EXEC_PREFIX == '${prefix}':
+    EXEC_PREFIX = PREFIX
+
+# CGI extension, change using configure script
+CGIEXT = '@CGIEXT@'
+
+# Group id that group-owns the Mailman installation
+MAILMAN_USER = '@MAILMAN_USER@'
+MAILMAN_GROUP = '@MAILMAN_GROUP@'
+
+# Enumeration for Mailman cgi widget types
+Toggle      = 1
+Radio       = 2
+String      = 3
+Text        = 4
+Email       = 5
+EmailList   = 6
+Host        = 7
+Number      = 8
+FileUpload  = 9
+Select      = 10
+Topics      = 11
+Checkbox    = 12
+# An "extended email list".  Contents must be an email address or a ^-prefixed
+# regular expression.  Used in the sender moderation text boxes.
+EmailListEx = 13
+# Extended spam filter widget
+HeaderFilter  = 14
+
+# Actions
+DEFER = 0
+APPROVE = 1
+REJECT = 2
+DISCARD = 3
+SUBSCRIBE = 4
+UNSUBSCRIBE = 5
+ACCEPT = 6
+HOLD = 7
+
+# Standard text field width
+TEXTFIELDWIDTH = 40
+
+# Bitfield for user options.  See DEFAULT_NEW_MEMBER_OPTIONS above to set
+# defaults for all new lists.
+Digests             = 0 # handled by other mechanism, doesn't need a flag.
+DisableDelivery     = 1 # Obsolete; use set/getDeliveryStatus()
+DontReceiveOwnPosts = 2 # Non-digesters only
+AcknowledgePosts    = 4
+DisableMime         = 8 # Digesters only
+ConcealSubscription = 16
+SuppressPasswordReminder = 32
+ReceiveNonmatchingTopics = 64
+Moderate = 128
+DontReceiveDuplicates = 256
+
+# A mapping between short option tags and their flag
+OPTINFO = {'hide'    : ConcealSubscription,
+           'nomail'  : DisableDelivery,
+           'ack'     : AcknowledgePosts,
+           'notmetoo': DontReceiveOwnPosts,
+           'digest'  : 0,
+           'plain'   : DisableMime,
+           'nodupes' : DontReceiveDuplicates
+           }
+
+# Authentication contexts.
+#
+# Mailman defines the following roles:
+
+# - User, a normal user who has no permissions except to change their personal
+#   option settings
+# - List creator, someone who can create and delete lists, but cannot
+#   (necessarily) configure the list.
+# - List moderator, someone who can tend to pending requests such as
+#   subscription requests, or held messages
+# - List administrator, someone who has total control over a list, can
+#   configure it, modify user options for members of the list, subscribe and
+#   unsubscribe members, etc.
+# - Site administrator, someone who has total control over the entire site and
+#   can do any of the tasks mentioned above.  This person usually also has
+#   command line access.
+
+UnAuthorized = 0
+AuthUser = 1          # Joe Shmoe User
+AuthCreator = 2       # List Creator / Destroyer
+AuthListAdmin = 3     # List Administrator (total control over list)
+AuthListModerator = 4 # List Moderator (can only handle held requests)
+AuthSiteAdmin = 5     # Site Administrator (total control over everything)
+
+# Useful directories
+LIST_DATA_DIR   = os.path.join(VAR_PREFIX, 'lists')
+LOG_DIR         = os.path.join(VAR_PREFIX, 'logs')
+LOCK_DIR        = os.path.join(VAR_PREFIX, 'locks')
+DATA_DIR        = os.path.join(VAR_PREFIX, 'data')
+SPAM_DIR        = os.path.join(VAR_PREFIX, 'spam')
+WRAPPER_DIR     = os.path.join(EXEC_PREFIX, 'mail')
+BIN_DIR         = os.path.join(PREFIX, 'bin')
+SCRIPTS_DIR     = os.path.join(PREFIX, 'scripts')
+TEMPLATE_DIR    = os.path.join(PREFIX, 'templates')
+MESSAGES_DIR    = os.path.join(PREFIX, 'messages')
+PUBLIC_ARCHIVE_FILE_DIR  = os.path.join(VAR_PREFIX, 'archives', 'public')
+PRIVATE_ARCHIVE_FILE_DIR = os.path.join(VAR_PREFIX, 'archives', 'private')
+
+# Directories used by the qrunner subsystem
+QUEUE_DIR       = os.path.join(VAR_PREFIX, 'qfiles')
+INQUEUE_DIR     = os.path.join(QUEUE_DIR, 'in')
+OUTQUEUE_DIR    = os.path.join(QUEUE_DIR, 'out')
+CMDQUEUE_DIR    = os.path.join(QUEUE_DIR, 'commands')
+BOUNCEQUEUE_DIR = os.path.join(QUEUE_DIR, 'bounces')
+NEWSQUEUE_DIR   = os.path.join(QUEUE_DIR, 'news')
+ARCHQUEUE_DIR   = os.path.join(QUEUE_DIR, 'archive')
+SHUNTQUEUE_DIR  = os.path.join(QUEUE_DIR, 'shunt')
+VIRGINQUEUE_DIR = os.path.join(QUEUE_DIR, 'virgin')
+BADQUEUE_DIR    = os.path.join(QUEUE_DIR, 'bad')
+RETRYQUEUE_DIR  = os.path.join(QUEUE_DIR, 'retry')
+MAILDIR_DIR     = os.path.join(QUEUE_DIR, 'maildir')
+
+# Other useful files
+PIDFILE = "/var/run/mailman/mailman.pid"
+SITE_PW_FILE = os.path.join(DATA_DIR, 'adm.pw')
+LISTCREATOR_PW_FILE = os.path.join(DATA_DIR, 'creator.pw')
+
+# Import a bunch of version numbers
+from Version import *
+
+# Vgg: Language descriptions and charsets dictionary, any new supported
+# language must have a corresponding entry here. Key is the name of the
+# directories that hold the localized texts. Data are tuples with first
+# element being the description, as described in the catalogs, and second
+# element is the language charset.  I have chosen code from /usr/share/locale
+# in my GNU/Linux. :-)
+def _(s):
+    return s
+
+LC_DESCRIPTIONS = {}
+
+def add_language(code, description, charset, direction='ltr'):
+    LC_DESCRIPTIONS[code] = (description, charset, direction)
+
+add_language('ar',    _('Arabic'),              'utf-8',       'rtl')
+add_language('ast',   _('Asturian'),            'iso-8859-1',  'ltr')
+add_language('ca',    _('Catalan'),             'utf-8',       'ltr')
+add_language('cs',    _('Czech'),               'iso-8859-2',  'ltr')
+add_language('da',    _('Danish'),              'iso-8859-1',  'ltr')
+add_language('de',    _('German'),              'iso-8859-1',  'ltr')
+add_language('en',    _('English (USA)'),       'us-ascii',    'ltr')
+add_language('es',    _('Spanish (Spain)'),     'iso-8859-1',  'ltr')
+add_language('et',    _('Estonian'),            'iso-8859-15', 'ltr')
+add_language('eu',    _('Euskara'),             'iso-8859-15', 'ltr') # Basque
+add_language('fi',    _('Finnish'),             'iso-8859-1',  'ltr')
+add_language('fr',    _('French'),              'iso-8859-1',  'ltr')
+add_language('gl',    _('Galician'),            'utf-8',       'ltr')
+add_language('he',    _('Hebrew'),              'utf-8',       'rtl')
+add_language('hr',    _('Croatian'),            'iso-8859-2',  'ltr')
+add_language('hu',    _('Hungarian'),           'iso-8859-2',  'ltr')
+add_language('ia',    _('Interlingua'),         'iso-8859-15', 'ltr')
+add_language('it',    _('Italian'),             'iso-8859-1',  'ltr')
+add_language('ja',    _('Japanese'),            'euc-jp',      'ltr')
+add_language('ko',    _('Korean'),              'euc-kr',      'ltr')
+add_language('lt',    _('Lithuanian'),          'iso-8859-13', 'ltr')
+add_language('nl',    _('Dutch'),               'iso-8859-1',  'ltr')
+add_language('no',    _('Norwegian'),           'iso-8859-1',  'ltr')
+add_language('pl',    _('Polish'),              'iso-8859-2',  'ltr')
+add_language('pt',    _('Portuguese'),          'iso-8859-1',  'ltr')
+add_language('pt_BR', _('Portuguese (Brazil)'), 'iso-8859-1',  'ltr')
+add_language('ro',    _('Romanian'),            'iso-8859-2',  'ltr')
+add_language('ru',    _('Russian'),             'koi8-r',      'ltr')
+add_language('sk',    _('Slovak'),              'utf-8',       'ltr')
+add_language('sl',    _('Slovenian'),           'iso-8859-2',  'ltr')
+add_language('sr',    _('Serbian'),             'utf-8',       'ltr')
+add_language('sv',    _('Swedish'),             'iso-8859-1',  'ltr')
+add_language('tr',    _('Turkish'),             'iso-8859-9',  'ltr')
+add_language('uk',    _('Ukrainian'),           'utf-8',       'ltr')
+add_language('vi',    _('Vietnamese'),          'utf-8',       'ltr')
+add_language('zh_CN', _('Chinese (China)'),     'utf-8',       'ltr')
+add_language('zh_TW', _('Chinese (Taiwan)'),    'utf-8',       'ltr')
+
+del _

=== added directory '.pc/99_js_templates.patch'
=== added directory '.pc/99_js_templates.patch/templates'
=== added directory '.pc/99_js_templates.patch/templates/ar'
=== added file '.pc/99_js_templates.patch/templates/ar/private.html'
--- .pc/99_js_templates.patch/templates/ar/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ar/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,39 @@
+<html dir="rtl">
+<head>
+    <title>التحقق من الشخصية للأرشيف الخاص بالقائمة %(realname)s</title>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s/">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">التحقق من الشخصية للأرشيف الخاص بالقائمة %(realname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">العنوان الإلكتروني:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">كلمة السر</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="اسمح لي بالدخول...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>هام:</em></strong> من هذا النقطة يجب أن تكون
+      الكوكيز مفعلة في برنامج الاستعراض الذي تستخدمه،
+      وإلا فإنك ستضطر لوضع كلمة السر لكل عملية تقوم بها.
+
+      <p>كوكيات الجلسة مستخدمة في واجهة الأرشيف الخاص بحيث لا تحتاج إلى إعادة إدخال كلمة سرك لكل عملية. سوف تفقد هذه الكوكي
+      صلاحيتها عندما تغلق مستعرضك، أو يمكنك إنهاء صلاحية الكوكي بشكل
+صريح عن طريق زيارة صفحة خيارات الأعضاء والضغط على زر <em>تسجيل الخروج</em>.
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/ca'
=== added file '.pc/99_js_templates.patch/templates/ca/admlogin.html'
--- .pc/99_js_templates.patch/templates/ca/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ca/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,39 @@
+<html>
+<head>
+  <title>Autenticaci&oacute; per a %(who)s a la llista %(listname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s  
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Autenticaci&oacute; per a %(who)s
+	    a la llista %(listname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div align="right">Contrasenya de %(who)s de la llista:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Entra...">
+      </td>
+    </tr>  
+  </TABLE>
+  <p><strong><em>Important:</em></strong> a partir d'aqu&iacute;, caldr&agrave; que tingueu les galetes habilitades en el vostre navegador. En cas contrari, us haureu de tornar a autenticar per a cada operaci&oacute;.
+  </p>
+
+  
+  <p>La interf&iacute;cie administrativa del Mailman utilitza galetes de
+sessi&oacute;, de manera que no us h&agrave;giu de tornar a autenticar per a cada
+operaci&oacute;. Aquesta galeta expirar&agrave; autom&agrave;ticament quan
+sortiu del navegador. De manera alternativa, podeu eliminar-la
+expl&iacute;citament si feu clic al bot&oacute; <em>Surt</em> a sota d'<em>Altres
+tasques administratives</em> (el qual es mostrar&agrave; un cop h&agrave;giu
+entrat).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/ca/private.html'
--- .pc/99_js_templates.patch/templates/ca/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ca/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,43 @@
+<html>
+<head>
+    <title>Autenticaci&oacute; per als arxius privats de %(realname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Autenticaci&oacute; per als arxius
+	    privats de %(realname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Adre&ccedil;a electr&ograve;nica:</div>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Contrasenya:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Entra...">
+        </td>
+      </tr>
+  </TABLE>
+      <p><strong><em>Important:</em></strong>
+      a partir d'aqu&iacute;, caldr&agrave; que tingueu les galetes habilitades en el
+      vostre navegador. En cas contrari, us haureu de tornar a autenticar per a cada operaci&oacute;. </p>
+
+      <p>La interf&iacute;cie administrativa del Mailman utilitza galetes de
+      sessi&oacute;, de manera que us no h&agrave;giu de tornar a autenticar per a cada
+      operaci&oacute;. Aquesta galeta expirar&agrave; autom&agrave;ticament quan
+      sortiu del navegador. De manera alternativa, podeu eliminar-la
+      expl&iacute;citament si feu clic al bot&oacute; <em>Surt</em> a sota d'<em>Altres
+      tasques administratives</em> (el qual es mostrar&agrave; un cop h&agrave;giu
+      entrat).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/cs'
=== added file '.pc/99_js_templates.patch/templates/cs/admlogin.html'
--- .pc/99_js_templates.patch/templates/cs/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/cs/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,36 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s pihlen</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    pihlen</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Heslo pro %(who)s:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Pus m dovnit...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Pozor:</em></strong> Aby systm fungoval 
+      sprvn muste mt povolen cookie ve Vaem prohlei.
+
+      <p>Cookies se pouvaj na to, abyste nemuseli jeden
+      kad poadavek znovu potvrzovat heslem. Zaniknou
+      pokud ukonte prohle a nebo kdy se odhlste.
+      Odhlsit se mete kliknutm na <em>Odhlsit</em>. 
+      Tento odkaz uvidte a po spnm pihlen.
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/cs/private.html'
--- .pc/99_js_templates.patch/templates/cs/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/cs/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,41 @@
+<html>
+<head>
+    <title>Konference %(realname)s - pihlen pro pstup do privtnho archivu </title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Konference %(realname)s - 
+	    pihlen pro pstup do privtnho archivu</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Emailov adresa:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Heslo:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Pus m dovnit...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Pozor:</em></strong> Aby systm fungoval 
+      sprvn muste mt povolen cookie ve Vaem prohlei.
+
+      <p>Cookies se pouvaj na to, abyste nemuseli jeden
+      kad poadavek znovu potvrzovat heslem. Zaniknou
+      pokud ukonte prohle a nebo kdy se odhlste.
+      Odhlsit se mete kliknutm na <em>Odhlsit</em>. 
+      Tento odkaz uvidte a po spnm pihlen.
+
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/da'
=== added file '.pc/99_js_templates.patch/templates/da/admlogin.html'
--- .pc/99_js_templates.patch/templates/da/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/da/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,38 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s Login</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    Login</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Listens %(who)s adgangskode:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Log ind...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Vigtigt:</em></strong> Din Webbrowser skal acceptere
+      modtagelse af cookies - ellers vil ingen af de administrative &aelig;ndringer
+      blive gemt.
+
+      <p><i>Session cookies</i> bruges p&aring; Mailmans administrative sider,
+      s&aring; du ikke beh&oslash;ver at indtaste adgangskode for hver &aelig;ndring du foretager.
+      De vil forsvinde automatisk n&aring;r du lukker din browser, eller du
+      kan fjerne dem manuelt ved at klikke p&aring;
+      <em>Log ud</em> linket under <em>Andre administrative aktiviteter</em>
+      (som du f&aring;r op efter at have logget ind).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/da/private.html'
--- .pc/99_js_templates.patch/templates/da/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/da/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,42 @@
+<html>
+<head>
+    <title>%(realname)s Login til Private Arkiver</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s Login til Private Arkiver</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">E-mail adresse:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Password:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Luk mig ind...">
+      </td>
+    </tr>
+  </TABLE>
+
+ <p><strong><em>Vigtigt:</em></strong> Fra nu af skal du ha cookies
+      sl&aring;et til i din webbrowser, ellers vil ingen administrative &aelig;ndringer
+      blive gemt.
+
+      <p><i>Session cookies</i> bruges p&aring; Mailmans administrative sider,
+      s&aring;dan at du ikke beh&oslash;ver at oplyse dit Password hver gang du laver en &aelig;ndring.
+      De vil forsvinde automatisk n&aring;r du lukker din webbrowser.
+      Du kan ogs&aring; fjerne cookies manuelt ved at klikke p&aring;
+      <em>Logout</em> linket under <em>Other Administrative
+      Activities</em> (som du f&aring;r op efter at have logget ind).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/de'
=== added file '.pc/99_js_templates.patch/templates/de/admlogin.html'
--- .pc/99_js_templates.patch/templates/de/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/de/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,39 @@
+<html>
+<head>
+  <title>Anmeldung als %(listname)s-%(who)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Anmeldung als %(listname)s-%(who)s
+	    </FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">%(who)s-Passwort:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Sesam, &ouml;ffne dich...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Wichtig:</em></strong> Ab diesem Punkt m&uuml;ssen in Ihrem
+      Browser "Cookies" aktiviert sein, da ansonsten keine Ihrer &Auml;nderungen
+      gespeichert werden kann.
+
+      <p>Mailmans Administrationsinterface benutzt sog. "Session Cookies",
+      damit Sie sich nicht f&uuml;r jede Administrationsaufgabe erneut
+      authentifizieren m&uuml;ssen. Diese "Cookies" verfallen automatisch beim
+      Schlie&szlig;en Ihres Webbrowsers, Sie k&ouml;nnen Sie allerdings auch sofort
+      verfallen lassen, indem Sie auf den <em>Abmelden</em> Link unter
+      <em>Andere administrative T&auml;tigkeiten</em> klicken (den Sie sehen
+      werden, sobald Sie erfolgreich eingeloggt sind).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/de/private.html'
--- .pc/99_js_templates.patch/templates/de/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/de/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,42 @@
+<html>
+<head>
+    <title>Authentifizierung f&uuml;r den Zugriff auf die Archive von %(realname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Authentifizierung f&uuml;r den Zugriff auf die Archive von %(realname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Email Adresse:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Passwort:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Let me in...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Wichtig:</em></strong> Ab diesem Punkt m&uuml;ssen in Ihrem
+      Browser "Cookies" aktiviert sein, da ansonsten keine Ihrer &Auml;nderungen
+      in Aktion tritt.
+
+      <p>Mailmans Administrationsinterface benutzt sog. "session cookies",
+      damit Sie sich nicht f&uuml;r jede Administrationsaufgabe erneut
+      authentifizieren m&uuml;ssen. Diese "cookies" verfallen automatisch bei
+      Beendigung Ihres Webbrowsers; Sie k&ouml;nnen Sie allerdings auch sofort
+      verfallen lassen, indem Sie auf den <em>Ausloggen</em> Link unter
+      <em>Andere Administrative T&auml;tigkeiten</em> klicken (den Sie sehen
+      werden sobald Sie erfolgreich eingeloggt sind).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/en'
=== added file '.pc/99_js_templates.patch/templates/en/admlogin.html'
--- .pc/99_js_templates.patch/templates/en/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/en/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,39 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s Authentication</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    Authentication</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">List %(who)s Password:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Let me in...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Important:</em></strong> From this point on, you
+      must have cookies enabled in your browser, otherwise no
+      administrative changes will take effect.
+
+      <p>Session cookies are used in Mailman's
+      administrative interface so that you don't need to
+      re-authenticate with every administrative operation.  This
+      cookie will expire automatically when you exit your browser, or
+      you can explicitly expire the cookie by hitting the
+      <em>Logout</em> link under <em>Other Administrative
+      Activities</em> (which you'll see once you successfully log in).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/en/listinfo.html'
--- .pc/99_js_templates.patch/templates/en/listinfo.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/en/listinfo.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,144 @@
+<!-- $Revision: 5865 $ -->
+<HTML>
+  <HEAD>
+    <TITLE><MM-List-Name> Info Page</TITLE>
+  
+  </HEAD>
+  <BODY BGCOLOR="#ffffff">
+
+    <P>
+      <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+	<TR>
+	  <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	    <B><FONT COLOR="#000000" SIZE="+1"><MM-List-Name> --
+	<MM-List-Description></FONT></B>
+	  </TD>
+	</TR>
+	<tr>
+	    <td colspan="2">
+	      <p>&nbsp;
+	    </td>
+	  </tr>
+	  <tr>
+	    <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+	      <B><FONT COLOR="#000000">About <MM-List-Name></FONT></B>
+	    </TD>
+            <TD COLSPAN="1" WIDTH="100%" BGCOLOR="#FFF0D0">
+              <MM-lang-form-start><MM-displang-box> <MM-list-langs>
+              <MM-form-end>
+    <MM-Subscribe-Form-Start>
+            </TD>
+	  </TR>
+	    <tr>
+	      <td colspan="2">
+		<P><MM-List-Info></P>
+	  <p> To see the collection of prior postings to the list,
+	      visit the <MM-Archive><MM-List-Name>
+		  Archives</MM-Archive>.
+	      <MM-Restricted-List-Message>
+	  </p>
+	</TD>
+      </TR>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Using <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  To post a message to all the list members, send email to
+	  <A HREF="mailto:<MM-Posting-Addr>"><MM-Posting-Addr></A>.
+
+	  <p>You can subscribe to the list, or change your existing
+	    subscription, in the sections below.
+	</td>
+      </tr>
+      <TR>
+	<TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	  <B><FONT COLOR="#000000">Subscribing to <MM-List-Name></FONT></B>
+	</TD>
+      </TR>
+      <tr>
+	<td colspan="2">
+	  <P>
+	    Subscribe to <MM-List-Name> by filling out the following
+	      form.
+	  <ul>
+	  <MM-List-Subscription-Msg>
+	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
+		WIDTH="70%" HEIGHT= "112">
+		<TR>
+		  <TD BGCOLOR="#dddddd" WIDTH="55%">Your email address:</TD>
+		  <TD WIDTH="33%"><MM-Subscribe-Box>
+	</TD>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <tr>
+        <td bgcolor="#dddddd" width="55%">Your name (optional):</td>
+        <td width="33%"><mm-fullname-box></td>
+	<TD WIDTH="12%">&nbsp;</TD></TR>
+      <TR>
+	<TD COLSPAN="3"><FONT SIZE=-1>You may enter a
+	    privacy password below. This provides only mild security,
+	    but should prevent others from messing with your
+	    subscription.  <b>Do not use a valuable password</b> as
+	    it will occasionally be emailed back to you in cleartext.
+
+            <p>If you choose not to enter a password, one will be
+            automatically generated for you, and it will be sent to
+            you once you've confirmed your subscription.  You can
+            always request a mail-back of your password when you edit
+            your personal options.
+	    <MM-Reminder>
+	</TD>
+      </TR>  
+      <TR>
+	<TD BGCOLOR="#dddddd">Pick a password:</TD>
+	<TD><MM-New-Password-Box></TD>
+	<TD>&nbsp;</TD></TR>
+      <TR> 
+	<TD BGCOLOR="#dddddd">Reenter password to confirm:</TD>
+	<TD><MM-Confirm-Password></TD>
+	<TD>&nbsp; </TD></TR>
+      <tr>
+        <TD BGCOLOR="#dddddd">Which language do you prefer to display your messages?</TD> 
+        <TD> <MM-list-langs></TD>
+        <TD>&nbsp; </TD></TR>
+      <mm-digest-question-start>
+      <tr>
+	<td>Would you like to receive list mail batched in a daily
+	  digest?
+	  </td>
+	<td><MM-Undigest-Radio-Button> No
+	    <MM-Digest-Radio-Button>  Yes
+	</TD>
+      </tr>
+      <mm-digest-question-end>
+      <tr>
+	<td colspan="3">
+	  <center><MM-Subscribe-Button></P></center>
+    </TABLE>
+    <MM-Form-End>
+    </ul>
+    </td>
+    </tr>
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%" BGCOLOR="#FFF0D0">
+	<a name="subscribers">
+        <B><FONT COLOR="#000000"><MM-List-Name> Subscribers</FONT></B></a>
+      </TD>
+    </TR>
+    <tr>
+      <TD COLSPAN="2" WIDTH="100%">
+	<MM-Roster-Form-Start>
+	<MM-Roster-Option>
+	    <MM-Form-End>
+	  <p>
+	<MM-Options-Form-Start>
+	<MM-Editing-Options>
+		<MM-Form-End>
+      </td>
+    </tr>
+  </table>
+<MM-Mailman-Footer>
+</BODY>
+</HTML>

=== added file '.pc/99_js_templates.patch/templates/en/private.html'
--- .pc/99_js_templates.patch/templates/en/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/en/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,43 @@
+<html>
+<head>
+    <title>%(realname)s Private Archives Authentication</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s Private
+	    Archives Authentication</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Email address:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Password:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Let me in...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Important:</em></strong> From this point on, you
+      must have cookies enabled in your browser, otherwise
+      you will have to re-authenticate with every operation.
+
+      <p>Session cookies are used in Mailman's
+      private archive interface so that you don't need to
+      re-authenticate with every operation.  This
+      cookie will expire automatically when you exit your browser, or
+      you can explicitly expire the cookie by visiting your
+      member options page and clicking the
+      <em>Log out</em> button.
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/es'
=== added file '.pc/99_js_templates.patch/templates/es/admlogin.html'
--- .pc/99_js_templates.patch/templates/es/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/es/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,37 @@
+<html>
+<head>
+  <title>Autentificacin del %(who)s de %(listname)s </title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">
+	    Autentificacin del %(who)s de %(listname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Clave del %(who)s de la lista:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Con permiso...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Importante:</em></strong> A partir de ahora, debe
+      tener habilitadas las cookies en su navegador, en caso contrario, sus cambios 
+      no tendr&aacute;n efecto.
+
+      <p>La interfaz administrativa de Mailman emplea sesiones basadas en cookies, de 
+manera que no necesita identificarse continuamente con cada operaci&oacute;n administrativa que
+realice. La cookie caducar&aacute; autom&aacute;ticamente cuando salga del navegador, or puede hacerla caducar seleccionando la opci&oacute;n <em>Salida</em> bajo la secci&oacute;n titulada
+ <em> Otras Actividades Administrativas</em> (que ver&aacute; una vez que consiga entrar 
+satisfactoriamente).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/es/private.html'
--- .pc/99_js_templates.patch/templates/es/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/es/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,37 @@
+<html>
+<head>
+  <title>Autentificaci&oacute;n para los archivos privados de %(realname)s </title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Autentificaci&oacute;n de archivos 
+	        privados de %(realname)s </FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD> <div ALIGN="Right">Direcci&oacute;n:  </div></TD>
+      <TD> <INPUT TYPE="text" NAME="username" SIZE="30"> </TD>
+    </tr>
+    <tr>
+      <TD> <div ALIGN="Right"> Clave: </div> </TD>
+      <TD> <INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Con permiso...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Importante:</em></strong> A partir de ahora, debe
+      tener habilitadas las cookies en su navegador, en caso contrario, sus cambios, no tendr&aacute;n efecto.
+      <p>Las sesiones basadas en cookies se usan en la interfaz administrativa de Mailman, de manera que no necesita identificarse continuamente con cada operaci&oacute;n administrativa que realice. La cookie caducar&aacute; autom&aacute;ticamente cuando salga del navegador, o puede hacerla caducar seleccionando la opci&oacute;n <em>Salida</em> bajo la secci&oacute;n titulada
+ <em> Otras Actividades Administrativas</em> (que ver&aacute; una vez que consiga entrar 
+satisfactoriamente).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/et'
=== added file '.pc/99_js_templates.patch/templates/et/admlogin.html'
--- .pc/99_js_templates.patch/templates/et/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/et/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,35 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s autoriseerimine</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    autentimine</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Listi %(who)s parool:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Logi sisse">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>NB:</em></strong> Selle veebiliidese kasutamiseks
+      pead oma brauseril lubama kpsiste vastuvtmise sellest saidist.
+      Kui sa seda ei tee, siis ei saa tehtud muudatusi salvestada.
+
+      <p>Kpsised on kasutusel selleks, et sa ei peaks igal lehel uuesti
+      parooli sisestama. Kpsis kustutatakse, kui oma brauseri sulged vi
+      veebiliidesest vlja logid.
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/et/private.html'
--- .pc/99_js_templates.patch/templates/et/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/et/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,41 @@
+<html>
+<head>
+    <title>%(realname)s privaatarhiiv</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s privaatarhiivi
+	    ligipsukontroll</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Meiliaadress:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Parool:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Lase sisse...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Important:</em></strong> Sisse logimiseks peate
+      oma brauseril lubama 'cookie'-de aktsepteerimise sellest saidist.
+
+      <p>Kpsiseid kasutatakse Mailman'i veebiliidese kasutamise lihtsustamiseks,
+      et sa ei peaks iga lehe vaatamisel uuesti kasutajanime ja parooli
+      sisestama.
+      Kpsis kustutatakse automaatselt, kui oma brauseri sulged vi klikid
+      <em>Logi vlja</em> lingil, mis asub lingi <em>Muud administreerimistegevused
+      </em> all.
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/eu'
=== added file '.pc/99_js_templates.patch/templates/eu/admlogin.html'
--- .pc/99_js_templates.patch/templates/eu/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/eu/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,38 @@
+<html>
+<head>
+  <title>%(listname)s Zerrendako %(who)s Identifikatzen</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s Zerrendako %(who)s
+	    Identifikatzeko Orria</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">%(who)sren Pasahitza:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Laga sartzen...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Garrantzitsua:</em></strong> Hemendik aurrera, 
+      cookie-ak behar dituzu nabigatzailean, bestela aldaketa administratiboak
+      ez dira gauzatuko.
+
+      <p>Mailmanen administrazio interfazeak cookie-ak erabiltzen ditu  
+      zu ezagutzeko, eta ez zaitezen, behin eta berriro, zure burua 
+	  identifikatzen aritu.  Cookie-ak automatikoki ezgaitzen dira zuk 
+	  nabigatzailea itxi bezain azkar; nahi baduzu, zuk ere zuzenean ezgaitu ditzakezu 
+	  <em>Kudeatzailearen Beste Jarduera Batzuk</em> barruan, <em>Saioa Amaitu</em> 
+	  sakatuz (aukera hori behin sartu ondoren agertuko zaizu, ez lehenago).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/eu/private.html'
--- .pc/99_js_templates.patch/templates/eu/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/eu/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,42 @@
+<html>
+<head>
+    <title>%(realname)s Artxibo Pribatuak Egiaztatzea</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s Artxibo
+	    Pribatuak Egiaztatzea</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Posta elektronikoa:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Pasahitza:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Laga sartzen...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Garrantzitsua:</em></strong> Hemendik aurrera, 
+      cookie-ak beharko dituzu nabigatzailean; bestela aldaketak ez
+	  dira gauzatuko.
+
+      <p>Mailmanen administrazio interfazak cookie-ak erabiltzen ditu  
+      zu ezagutzeko, eta ez zaitezen, behin eta berriro, zure burua 
+	  identifikatzen aritu.  Cookie-ak automatikoki ezgaitzen dira zuk 
+	  nabigatzailea itxi bezain azkar; nahi baduzu, zuk ere zuzenean ezgaitu dezakezu 
+	  <em>Kudeatzailearen Beste Jarduera Batzuk</em> barruan, <em>Saioa Amaitu</em> 
+	  sakatuz (aukera hori behin sartu ondoren agertuko zaizu, ez lehenago).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/fi'
=== added file '.pc/99_js_templates.patch/templates/fi/admlogin.html'
--- .pc/99_js_templates.patch/templates/fi/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/fi/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,41 @@
+<!-- $Revision: 5063 $ -->
+<html>
+<head>
+  <title>%(listname)s %(who)s Authentication</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    sisnkirjautuminen</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Listan %(who)s Salasana:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Sisn ...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Trke:</em></strong> Tst eteenpin
+      sinulla pit olla evsteet sallittuna selaimessasi,
+      muutoin haluamasi muutokset eivt tallennu.
+
+      <p>Istuntokohtaiset evsteet ovat kytss Mailman 
+      - ohjelmiston yllpitosivuilla, joten sinun ei tarvitse
+      kirjautua erikseen joka yllpitosivulle.
+      Evste tuhoutuu automaattisesti selain-istunnon ptteeksi.
+      Jos haluat evsteen tuhoutuvan aikaisemmin, tm 
+      onnistuu <em>Lopeta</em> linkki painamalla 
+      <em> kohdassa muut Yllpitotoimet</em> 
+      (jonka net onnistuneen sisnkirjautumisen jlkeen).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/fi/private.html'
--- .pc/99_js_templates.patch/templates/fi/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/fi/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,43 @@
+<!-- $Revision: 7647 $ -->
+<html>
+<head>
+    <title>%(realname)s Private Archives Authentication</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Sisnkirjautuminen
+            yksityiseen arkistoon %(realname)s
+	    </FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Shkpostiosoite:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Salasana:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Sisn...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Trke:</em></strong> Tst eteenpin sinulla
+      pit olla evsteet valittuina aktiiviseksi selaimessasi. Muuten
+	mitkn yllpitjn toimet eivt tule suoritetuiksi.
+
+      <p>Istuntokohtaiset evsteet ovat aktiivisina Mailmanin yllpitjn ympristss/oikeuksissa, 
+      joten sinun ei tarvitse uudelleenkirjautua jokaisen yllpitjn toimen suorittamiseksi. Tm
+      evste katoaa automaattisesti kun suljet selaimen tai voit nimenomaan sulkea evsteen painamalla
+	<em>Muut yllpitjn toimet</em> otsikon alla olevaa <em>Kirjaudu ulos</em> -valintaa.
+      (jonka net, kun olet onnistuneesti kirjautunut sisn).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/fr'
=== added file '.pc/99_js_templates.patch/templates/fr/admlogin.html'
--- .pc/99_js_templates.patch/templates/fr/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/fr/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,40 @@
+<html>
+<head>
+  <title>Authentification %(who)s sur %(listname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Authentification  
+	%(who)s sur %(listname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD> <div ALIGN="Right">Mot de passe %(who)s de la liste: </div> </TD>
+      <TD> <INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle> <INPUT type="SUBMIT" 
+                                         name="admlogin"
+					 value="La suite...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Important:</em></strong> A partir d'ici, vous devez avoir
+      les cookies activ&eacute;s dans votre navigateur, sinon aucun
+      changement administratif ne s'appliquera.
+
+      <p>Les cookies de session sont utilis&eacute;s dans l'interface
+      d'administration de Mailman pour que vous n'ayez pas &agrave; vous
+      authentifier de nouveau &agrave; chaque op&eacute;ration. Le cookie
+      expirera automatiquement lorsque vous quitterez votre navigateur, ou
+      vous pouvez le forcer &agrave; expirer en cliquant sur le lien
+      <em>D&eacute;connecter</em> en dessous d'<em>Autres op&eacute;rations
+      administratives</em> (que vous verrez apr&egrave;s vous &ecirc;tre
+      authentifi&eacute; avec succ&egrave;s).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/fr/private.html'
--- .pc/99_js_templates.patch/templates/fr/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/fr/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,42 @@
+<html>
+<head>
+    <title>Authentification pour l'acc&egrave;s aux archives priv&eacute;es de
+%(realname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Authentification pour l'acc&egrave;s aux archives
+priv&eacute;es de %(realname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Adresse courriel&nbsp;:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Mot de passe&nbsp;:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="La suite...">
+      </td>
+    </tr>
+  </TABLE>
+<p><strong><em>Important :</em></strong> A partir d'ici, vous devez avoir
+les cookies activ&eacute;s dans votre navigateur, sinon aucun
+changement ne s'appliquera.
+<p>Les cookies de session sont utilis&eacute;s dans l'interface
+d'administration de Mailman pour que vous n'ayez pas &agrave; vous
+authentifier de nouveau &agrave; chaque op&eacute;ration. Le cookie
+expirera automatiquement lorsque vous quitterez votre navigateur, ou
+vous pouvez le forcer &agrave; expirer en cliquant sur le bouton
+<em>D&eacute;connecter</em> sur votre page d'options personnelles.
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/gl'
=== added file '.pc/99_js_templates.patch/templates/gl/admlogin.html'
--- .pc/99_js_templates.patch/templates/gl/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/gl/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,41 @@
+<html>
+<head>
+  <title>Autenticacin de %(who)s de %(listname)s </title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">
+	    Autenticacin de %(who)s de %(listname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right"></Chave de %(who)s da rolda:></div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Con permiso...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Importante:</em></strong> a partir de agora debe
+      ter habilitadas as cookies do seu navegador; caso contrario, os seus
+        cambios non ter&aacute;n efecto.
+
+      <p>As sesi&oacute;ns baseadas en cookies &uacute;sanse na interface administrativa
+        do Mailman de xeito que non precisa identificarse continuamente
+        con cada operaci&oacute;n administrativa que
+realizar. A cookie expirar&aacute; automaticamente cando saia do navegador
+ou se selecciona a opci&oacute;n <em>Sa&iacute;da</em> que est&aacute; na
+secci&oacute;n titulada
+ <em> Outras actividades administrativas</em> (que ver&aacute; logo de
+ entrar 
+con xito).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/gl/private.html'
--- .pc/99_js_templates.patch/templates/gl/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/gl/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,43 @@
+<html>
+<head>
+  <title>Autenticaci&oacute;n para os ficheiros privados de %(realname)s </title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s/">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Autenticaci&oacute;n de ficheiros 
+	        privados de %(realname)s </FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD> <div ALIGN="Right">Enderezo:  </div></TD>
+      <TD> <INPUT TYPE="text" NAME="username" SIZE="30"> </TD>
+    </tr>
+    <tr>
+      <TD> <div ALIGN="Right"> Contrasinal: </div> </TD>
+      <TD> <INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Con permiso...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Importante:</em></strong> a partir deste momento, deber&aacute;
+      ter habilitadas as cookies no seu navegador; caso contrario, os seus
+        cambios non ter&aacute;n efecto.
+      <p>As sesi&oacute;ns baseadas nas cookies &uacute;sanse na interface administrativa
+        do Mailman, de xeito que non precisa identificarse continuamente
+        con cada operaci&oacute;n administrativa que realizar. A cookie caducar&aacute; automaticamente
+        cando saia do navegador ou pode borrala se selecciona
+        a opci&oacute;n <em>Sa&iacute;da</em> baixo a secci&oacute;n titulada
+ <em> Outras actividades administrativas</em> (que ver&aacute; logo de 
+ entrar 
+satisfactoriamente).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/he'
=== added file '.pc/99_js_templates.patch/templates/he/admlogin.html'
--- .pc/99_js_templates.patch/templates/he/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/he/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,40 @@
+<html>
+<head>
+  <title>האימות של %(listname)s %(who)s</title>
+</head>
+<body bgcolor="#ffffff" dir="rtl">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">האימות של %(listname)s %(who)s
+	    </FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="left">סיסמת הרשימה %(who)s:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="הכנס אותי...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>חשוב:</em></strong> מנקודה זו ואילך, חייבים
+שעוגיות יהיו פעילות בדפדפן שלך, אחרת
+לא יתבצעו שינויים מנהלתיים.
+
+	<p>משתמשים בעוגיות מושב בממשק הניהולי של דוור
+	כדי שלא תצטריך לבצע אימות מחדש עם כל פעולה
+	מנהלתית.  תוקף עוגיה זו יפוג אוטומטית כאשר
+	תצא מהדפדפן, או שאפשר לגרום לתוקף העוגיה
+	לפוג במפורש על ידי לחיצה על הקישור <em>יציאה</em>
+	מתחת ל-<em>פעולות ניהול נוספות</em> (שתוכל
+	לראות לאחר כניסה מוצלחת למערכת).
+
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/he/private.html'
--- .pc/99_js_templates.patch/templates/he/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/he/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,41 @@
+<html>
+<head>
+    <title>אימות של הארכיון הפרטי של %(realname)s</title>
+</head>
+<body bgcolor="#ffffff" dir="rtl">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">אימות של הארכיון הפרטי של%(realname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">כתובת דוא"ל:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">סיסמא:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="הכנס אותי...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>חשוב:</em></strong> מנקודה זו ואילך, עוגיות חייבות
+		להיות מאופשרות בדפדפן שלך, אחרת תאלץ
+		לעבור אימות נוספת בעבור כל פעולה שתבצע.
+
+<p>עוגיות מושב משמשים לדוור בממשק הארכיון הפרטי כדי
+		שלא תצטריך לבצע אימות מחדש עם כל פעולה.
+		תפוג תוקפה של עוגיה זו אוטומטית כאשר תסגור
+		את הדפדפן, או שאתה יכול לגרום לפוגת תוקפה
+		מפורשות על ידי כניסה לעמוד האפשריות המנוי שלך
+		ולחיצה על הלחצן <em>יציאה</em>.
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/hr'
=== added file '.pc/99_js_templates.patch/templates/hr/admlogin.html'
--- .pc/99_js_templates.patch/templates/hr/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/hr/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,37 @@
+<html>
+<head>
+	<title>%(listname)s %(who)s Autentikacija</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s - Autentikacija %(who)sa
+	    </FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">%(who)sska lozinka liste:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Pusti me unutra...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Vano:</em></strong> Odavde, morate imati 
+			omoguene kolaie (cookies) u Vaem browseru, jer u suprotnom 
+			administrativne promjene nee biti mogue.
+			
+			<p>Mailmanov administracijski interface koristi sesijske kolaie (session cookies) 
+			tako da se ne trebate ponovno autenticirati kod svake administrativne operacije. 
+			Ovaj kolai (cookie) e automatski istei kada izaete iz browsera, ali ga moete i 
+			eksplicitno unititi klikanjem na link <em>Izlaz</em> pod <em>Druge 
+      Administracijske Aktivnosti</em> (koji ete vidjeti onda kada se uspjeno prijavite).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/hr/private.html'
--- .pc/99_js_templates.patch/templates/hr/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/hr/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,40 @@
+<html>
+<head>
+    <title>%(realname)s Privatna Arhiva Autentikacija</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s Privatna Arhiva Autentikacija</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Email adresa:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Lozinka:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Pusti me unutra...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Vano:</em></strong> Odavde, morate imati 
+			omoguene kolaie (cookies) u svome browseru, jer u suprotnom 
+			administrativne promjene nee biti mogue.
+			
+			<p>Mailmanovo administracijsko suelje koristi sesijske kolaie (session cookies) 
+			tako da se ne trebate ponovno autenticirati kod svake administrativne operacije. 
+			Ovaj kolai (cookie) e automatski istei kada izaete iz browsera, ali ga moete i 
+			eksplicitno unititi kolai klikanjem na link <em>Izlaz</em> pod <em>Druge 
+      Administracijske Aktivnosti</em> (koji ete vidjeti onda kad se uspjeno prijavite).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/hu'
=== added file '.pc/99_js_templates.patch/templates/hu/admlogin.html'
--- .pc/99_js_templates.patch/templates/hu/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/hu/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,32 @@
+<html>
+<head>
+   <title>%(listname)s %(who)s Azonosts</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s Azonosts</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD> <div ALIGN="Right">Lista %(who)s Jelszava: </div> </TD>
+      <TD> <INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle> <INPUT TYPE="SUBMIT" name="admlogin"
+						       value="Belps...">
+      </td>
+    </tr>
+  </TABLE>
+  <p><strong><em>Fontos:</em></strong> Ettl az oldaltl engedlyezned kell a stik 
+  fogadst a bngszdben, klnben semmilyen adminisztrtori vltoztats nem fog vgrehajtdni.
+
+  <p>A Mailman az adminisztrcis mveleteknl a folyamatos azonostshoz, hogy ne kelljen minden adminisztrcis vltoztatshoz jra azonostanod magadat, stiket hasznl.
+  A sti a bngsz bezrsval, illetve az <em>Egyb Adminisztrcis Teendk</em> pontban a 
+  <em>Kilps</em>-re (ez csak sikeres bejelentkezs utn lthat) kattintva rvnyt veszti.
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/hu/private.html'
--- .pc/99_js_templates.patch/templates/hu/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/hu/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,37 @@
+<html>
+<head>
+ <title>%(realname)s Privt archvum azonosts</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s Privt archvum
+	    azonosts</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD> <div ALIGN="Right">E-mail cm:  </div></TD>
+      <TD> <INPUT TYPE="TEXT" NAME="username" SIZE="30"> </TD>
+    <tr>
+    </tr>
+    <TD> <div ALIGN="Right">Jelsz: </div> </TD>
+      <TD> <INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    <tr>
+    </tr>
+      <td colspan=2 align="middle"><INPUT TYPE="SUBMIT" name="submit" VALUE="Belps...">
+      </td>
+    </tr>
+  </TABLE>
+  <p><strong><em>Fontos:</em></strong> Ettl az oldaltl engedlyezned kell a stik 
+  fogadst a bngszdben, klnben semmilyen adminisztrtori vltoztats nem fog vgrehajtdni.
+
+  <p>A Mailman az adminisztrcis mveleteknl a folyamatos azonostshoz stiket hasznl, 
+  gy nem kell minden mdostshoz jraazonostani magadat. A sti a bngsz bezrsval, 
+  illetve az <em>Egyb adminisztrcis teendk</em> a <em>Kilps</em>-re kattintva (ezt 
+  csak sikeres bejelentkezs utn lehet elrni) rvnyt veszti.
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/ia'
=== added file '.pc/99_js_templates.patch/templates/ia/admlogin.html'
--- .pc/99_js_templates.patch/templates/ia/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ia/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,39 @@
+<html>
+<head>
+  <title>Authentication pro %(who)s a %(listname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Authentication pro %(who)s
+      a %(listname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Contrasigno de %(who)s al lista:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Lassa me entrar...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Importante:</em></strong> De iste puncto in
+      avante, tu debe haber le cookies abilitate in tu navigator
+      o tu non potera exequer ulle operation.
+
+      <p>Le cookies de session es usate in le pannello de controlo
+      de Mailman pro permitter te de non re-authenticar te ante
+      cata operation. Iste cookie essera eliminate automaticamente
+      quando tu sorti del navigator, o quando tu lo elimina explicitemente
+      per cliccar le ligamine <em>Claude session</em> in le section
+      <em>Altere activitates administrative</em> (que tu videra post
+      tu entrata in le systema).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/ia/private.html'
--- .pc/99_js_templates.patch/templates/ia/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ia/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,43 @@
+<html>
+<head>
+    <title>Authentication pro le archivos private de %(realname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+  <B><FONT COLOR="#000000" SIZE="+1">Authentication pro le archivos private de
+      %(realname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Adresse de e-posta:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Contrasigno:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Lassa me entrar...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Importante:</em></strong> De iste puncto in
+      avante, tu debe haber le cookies abilitate in tu navigator
+      o tu debera re-authenticar te ante cata operation.
+
+      <p>Le cookies de session es usate in le interfacie al archivos
+      private de Mailman pro permitter te de non re-authenticar te ante
+      cata operation. Iste cookie essera eliminate automaticamente
+      quando tu sorti del navigator, o quando tu lo elimina explicitemente
+      per cliccar le ligamine <em>Claude session</em> in le section
+      <em>Altere activitates administrative</em> (que tu videra post
+      tu entrata in le systema).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/it'
=== added file '.pc/99_js_templates.patch/templates/it/admlogin.html'
--- .pc/99_js_templates.patch/templates/it/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/it/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,39 @@
+<html>
+<head>
+<title>Autenticazione per %(who)s di %(listname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Autenticazione per %(who)s di
+			%(listname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+    <TD><div ALIGN="Right">Password di lista per %(who)s:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Fammi entrare...">
+      </td>
+    </tr>
+  </TABLE>
+  <p><strong><em>Importante:</em></strong> Da questo momento in
+  avanti devi avere i cookie abilitati nel browser o non potrai
+  effettuare nessuna operazione.
+
+  <p>I cookie di sessione sono usati dal pannello di controllo
+  di mailman in modo che tu non sia costretto a ri-autenticarti ad 
+  ogni operazione.  Questo cookie sar&agrave; cancellato
+  automaticamente all'uscita dal tuo browser oppure puoi chiedere
+  la cancellazione esplicita cliccando il link <em>Termina sessione</em> nella
+  sezione <em>Altre attivit&agrave; amministrative</em> (che vedrai
+  quando ti sarai correttamente autenticato).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/it/private.html'
--- .pc/99_js_templates.patch/templates/it/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/it/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,43 @@
+<html>
+<head>
+<title>Autenticazione per gli archivi privati di %(realname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">
+	  Autenticazione per gli archivi privati di %(realname)s 
+	</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+    <TD><div ALIGN="Right">Indirizzo email:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Password:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Fammi entrare...">
+      </td>
+    </tr>
+  </TABLE>
+  <p><strong><em>Importante:</em></strong>Da questo momento in
+  avanti devi avere i cookie abilitati nel browser oltrimenti dovrai
+  identificarti di nuovo ad ogni operazione.
+
+  <p>I cookie di sessione sono usati dall'interfaccia amministrativa
+  di mailman in modo che tu non sia costretto a identificarti di nuovo
+  ad ogni operazione.  Questo cookie sar&agrave; cancellato
+  automaticamente all'uscita dal tuo browser oppure puoi chiedere
+  la cancellazione esplicita visitando la tua pagina delle opzioni e
+  cliccando il link <em>Termina sessione</em>.
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/ja'
=== added file '.pc/99_js_templates.patch/templates/ja/admlogin.html'
--- .pc/99_js_templates.patch/templates/ja/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ja/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,39 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s ǧ</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    ǧ</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">ꥹ %(who)s ѥ:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>:</em></strong> 
+      ϥ֥饦ΥåͭˤƤ. 
+      å̵ȴѹǤޤ. 
+
+      <p>󥿡եǤδ򤹤뤿Ӥǧڤ׵
+      ʤ褦, å󥯥åȯԤޤ
+      Υåϥ֥饦νλŪ<em></em>
+      ˼ưŪ˼ޤ
+      (ǧڤλ, <em>¾δ</em>β
+      ȤΥ󥯤ɽޤ).
+
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/ja/private.html'
--- .pc/99_js_templates.patch/templates/ja/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ja/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,39 @@
+<html>
+<head>
+    <title>%(realname)s ¸ ǧ</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s 
+	    ¸ ǧ</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Żҥ᡼륢ɥ쥹:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">ѥ:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="ǧ...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>:</em></strong>
+      ϥ֥饦ΥåͭˤƤ.
+      å̵ѹǤޤ.
+
+      <p>¸˥󥿡եǤ򤹤뤿Ӥǧڤ׵
+      ʤ褦, å󥯥åȯԤޤ
+      Υåϥ֥饦νλ˼ưŪ˼ޤ
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/ko'
=== added file '.pc/99_js_templates.patch/templates/ko/admlogin.html'
--- .pc/99_js_templates.patch/templates/ko/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ko/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,33 @@
+<html>
+<head>
+  <title>%(listname)s  </title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s  
+	    </FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD> <div ALIGN="Right"> ϸ Ʈ  йȣ: </div> </TD>
+      <TD> <INPUT TYPE=password NAME=adminpw SIZE=30></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle> <INPUT TYPE=SUBMIT name="request_login"
+						     value="  鿩!">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>߿:</em></strong>    
+      Ű ˴ϴ.  κк  , ٸ 
+        ʽϴ.
+
+      <p>Mailman   ̽  Ű ϱ  Ź
+       ʿ䰡   Ű   °ų, <em>
+      ȭ</em>  ִ "<em>α׾ƿ</em>"(  α  ϸ  
+      ֽϴ.)  Ŭϸ ڵ ϴ.
+</FORM>

=== added file '.pc/99_js_templates.patch/templates/ko/private.html'
--- .pc/99_js_templates.patch/templates/ko/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ko/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,42 @@
+<html>
+<head>
+    <title>%(realname)s   </title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s 
+	     </FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">E ּ:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">йȣ:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="  鿩!">
+      </td>
+    </tr>
+  </TABLE>
+	<p><strong><em>߿</em></strong>:    
+	 Ű ˴ϴ.  κк  , 
+	ٸ    ʽϴ.
+
+	<p>Mailman   ̽  Ű ϱ  
+	Ź  ʿ䰡   Ű   °ų, 
+	<em> ȭ</em>  ִ "<em>α׾ƿ</em>"( 
+	 α  ϸ   ֽϴ.)  Ŭϸ 
+	ڵ ϴ.
+
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/lt'
=== added file '.pc/99_js_templates.patch/templates/lt/admlogin.html'
--- .pc/99_js_templates.patch/templates/lt/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/lt/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,37 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s prisijungimas</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    prisijungimas</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Forumo %(who)s slaptaodis:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Ueiti">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Svarbu:</em></strong> 
+      Js turite nustatyti "cookies enabled",
+      kitaip io puslapio nustatym pakeitimai nebus isaugoti.
+      
+      <p>Tai reikalinga tam, kad kiekvieno Js veiksmo patrvirtinimui nereikt i naujo vedinti slaptaodi.
+      Prisijungimo informacija bus isaugota Js kompiueryje.
+      i informacija itrinama kai tik ieinate i tinklapi periros programos
+      arba atsijungiate nuo administratoriaus puslapio paspausdami <em>Logout</em>
+      lange <em>Kita prieiros veikla</em>, nuoroda  kur atsiras kai tik skmingai prisijungsite.
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/lt/private.html'
--- .pc/99_js_templates.patch/templates/lt/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/lt/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,42 @@
+<html>
+<head>
+    <title>%(realname)s privataus archyvo prisijungimas</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s privataus archyvo prisijungimas</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">El. pato adresas:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Slaptaodis:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Ueiti">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Important:</em></strong> From this point on, you
+      must have cookies enabled in your browser, otherwise no
+      administrative changes will take effect.
+
+      <p>Session cookies are used in Mailman's
+      administrative interface so that you don't need to
+      re-authenticate with every administrative operation.  This
+      cookie will expire automatically when you exit your browser, or
+      you can explicitly expire the cookie by hitting the
+      <em>Logout</em> link under <em>Other Administrative
+      Activities</em> (which you'll see once you successfully log in).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/nl'
=== added file '.pc/99_js_templates.patch/templates/nl/admlogin.html'
--- .pc/99_js_templates.patch/templates/nl/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/nl/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,35 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s inloggen</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    inloggen</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Lijst%(who)s wachtwoord:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Inloggen">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Belangrijk:</em></strong><br>
+      Vanaf hier moet het gebruik van cookies in uw browser toegelaten zijn, anders kunnen uw
+      administratieve handelingen niet geeffectueerd worden!
+      <p>'Session cookies' worden gebruikt in Mailman's administratieve interface opdat u zichzelf 
+      niet steeds weer dient te identificeren bij elke handeling. Dit cookie zal automatisch verlopen
+      als u de browser afsluit, of wanneer u zelf het cookie actief doet verlopen door op 
+      de <em>Uitloggen</em> link te klikken in de hierna volgende schermen.
+</FORM>
+</body>
+</html>
\ No newline at end of file

=== added file '.pc/99_js_templates.patch/templates/nl/private.html'
--- .pc/99_js_templates.patch/templates/nl/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/nl/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,37 @@
+<html>
+<head>
+    <title>%(realname)s Priv&eacute;-archief Login</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s Priv&eacute;-archief Login</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">E-mailadres:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Wachtwoord:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Inloggen">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Belangrijk:</em></strong><br>
+      Vanaf hier moet het gebruik van cookies in uw browser toegelaten zijn, anders kunnen uw
+      administratieve handelingen niet geeffectueerd worden!
+      <p>'Session cookies' worden gebruikt in Mailman's administratieve interface opdat u zichzelf 
+      niet steeds weer dient te identificeren bij elke handeling. Dit cookie zal automatisch verlopen
+      als u de browser afsluit, of wanneer u zelf het cookie actief doet verlopen door de pagina 'lidmaatschapsinstellingen' te bezoeken en daar op de link <em>Uitloggen</em> te klikken.
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/no'
=== added file '.pc/99_js_templates.patch/templates/no/admlogin.html'
--- .pc/99_js_templates.patch/templates/no/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/no/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,38 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s Innlogging</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    Innlogging</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Listens %(who)s passord:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Logg meg inn...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Viktig:</em></strong> Fra n&aring; av m&aring; du ha cookies
+      p&aring;sl&aring;tt i nettleseren din, ellers vil ingen administrative endringer
+      bli lagret.
+
+      <p><i>Session cookies</i> brukes i Mailmans administrative sider,
+      slik at du ikke skal beh&oslash;ve &aring; oppgi passord for hver endring du gj&oslash;r.
+      De vil forsvinne automatisk n&aring;r du lukker nettleseren din, eller du
+      kan fjerne de manuelt ved &aring; klikke
+      <em>Logg ut</em> linken under <em>Andre administrative aktiviteter</em>
+      (som du f&aring;r opp etter &aring; ha logget inn).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/no/private.html'
--- .pc/99_js_templates.patch/templates/no/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/no/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,41 @@
+<html>
+<head>
+    <title>%(realname)s Innlogging til Private Arkiver</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s Innlogging til Private Arkiver</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Epost adresse:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Passord:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Slipp meg inn...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Viktig:</em></strong> Fra n&aring; av m&aring; du ha cookies
+      p&aring;sl&aring;tt i nettleseren din, ellers vil ingen administrative endringer
+      bli lagret.
+
+      <p><i>Session cookies</i> brukes i Mailmans administrative sider,
+      slik at du ikke skal beh&oslash;ve &aring; oppgi passord for hver endring du gj&oslash;r.
+      De vil forsvinne automatisk n&aring;r du lukker nettleseren din, eller du
+      kan fjerne de manuelt ved &aring; klikke
+      <em>Logout</em> linken under <em>Other Administrative
+      Activities</em> (som du f&aring;r opp etter &aring; ha logget inn).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/pl'
=== added file '.pc/99_js_templates.patch/templates/pl/admlogin.html'
--- .pc/99_js_templates.patch/templates/pl/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/pl/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,38 @@
+<html>
+<head>
+  <title>Uwierzytelnienie %(who)s %(listname)s</title>
+<meta http-equiv="content-type" content="text/html; charset=ISO-8859-2">
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Uwierzytelnienie
+         %(who)s %(listname)s </FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Haso %(who)s:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Wejcie">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Uwaga:</em></strong> Od tego miejsca musisz mie 
+      wczon obsug ciasteczek (cookies) w przegldarce. W przeciwnym
+      razie zmiany administracyjne nie przynios efektu.
+
+      <p>Mechanizm ciasteczek wykorzystywany jest w Mailmanie, eby
+      nie trzeba byo podawa hasa przy kadej czynnoci administracyjnej.
+      Identyfikujce Ci ciasteczko automatycznie wyganie, gdy wyczysz
+      przegldark, lub jeli bezporednio kliniejsz odnonik 
+      <em>Wyloguj si</em> w sekcji <em>Inne czynnoci administracyjne</em>.
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/pl/private.html'
--- .pc/99_js_templates.patch/templates/pl/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/pl/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,43 @@
+<html>
+<head>
+    <title>%(realname)s Private Archives Authentication</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s Private
+	    Archives Authentication</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Email address:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Password:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Let me in...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Important:</em></strong> From this point on, you
+      must have cookies enabled in your browser, otherwise no
+      administrative changes will take effect.
+
+      <p>Session cookies are used in Mailman's
+      administrative interface so that you don't need to
+      re-authenticate with every administrative operation.  This
+      cookie will expire automatically when you exit your browser, or
+      you can explicitly expire the cookie by hitting the
+      <em>Logout</em> link under <em>Other Administrative
+      Activities</em> (which you'll see once you successfully log in).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/pt'
=== added file '.pc/99_js_templates.patch/templates/pt/admlogin.html'
--- .pc/99_js_templates.patch/templates/pt/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/pt/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,38 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s Authentication</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    Authentication</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">List %(who)s Password:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Let me in...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Importante:</em></strong> A partir de agora o seu 
+      browser tem de estar configurado para permitir cookies, se no
+      o fizer as alteraes administrativas no tero efeito.
+      
+      <p>So utilizadas Cookies, a nvel da sesso, na interface
+       administrativa do Mailman, de forma a no ter que reautenticar 
+       cada operao. A cookie expira automaticamente quando termina o
+       browser, ou pode expir-la explicitamente carregando no link 
+       <em>Sair</em> em <em>Outras actividades administrativas</em>, o 
+       qual poder ver depois de autenticar-se.
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/pt/private.html'
--- .pc/99_js_templates.patch/templates/pt/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/pt/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,44 @@
+<html>
+<head>
+    <title>%(realname)s Autenticao de Arquivos Privados</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s Autenticao
+	    de Arquivos Privados</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Endereo de Email:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Password:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Deixe-me entrar...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Importante:</em></strong> Deste ponto em diante,
+      voc tem de ter as cookies activadas no seu navegador, caso 
+      contrrio nenhuma modificao administrativa ter efeito. 
+ 
+      <p>Os cookies de seco so usados pela interface administrativa
+      do Mailman para no ser necessria uma nova autenticao aps
+      cada operao administrativa. Este cookie expirar automaticamente
+      quando sair do seu navegador ou quando expirar o cookie explicitamente
+      clicando no link <em>Sair</em> abaixo de <em>Outras Actividades 
+      Administrativas</em> (o qual ser visto logo que entrar com sucesso no 
+      sistema).
+</FORM>
+</body>
+</html>
+

=== added directory '.pc/99_js_templates.patch/templates/pt_BR'
=== added file '.pc/99_js_templates.patch/templates/pt_BR/admlogin.html'
--- .pc/99_js_templates.patch/templates/pt_BR/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/pt_BR/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,38 @@
+<html>
+<head>
+  <title>Autentica&ccedil;&atilde;o de %(who)s na lista %(listname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Autentica&ccedil;&atilde;o de %(who)s na lista %(listname)s
+	    </FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Senha de %(who)s na Lista:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Deixe-me entrar...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Importante:</em></strong> Deste ponto em diante, 
+      voc&ecirc; dever&aacute; ter os cookies ativados em seu navegador, caso 
+      contr&aacute;rio nenhuma modifica&ccedil;&atilde;o administrativa ter&aacute; efeito. 
+
+      <p>Os cookies de se&ccedil;&atilde;o s&atilde;o usados na interface administrativa
+      do Mailman assim n&atilde;o ser&aacute; necess&aacute;ria uma nova autentica&ccedil;&atilde;o em 
+      cada opera&ccedil;&atilde;o administrativa. Este cookie expirar&aacute; automaticamente
+      quando sair do seu navegador ou automaticamente clicando no bot&atilde;o 
+      <em>Sair</em> em baixo de <em>Outras Atividades Administrativas</em> 
+      (que ver&aacute; logo ap&oacute;s logar na p&aacute;gina). 
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/pt_BR/private.html'
--- .pc/99_js_templates.patch/templates/pt_BR/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/pt_BR/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,42 @@
+<html>
+<head>
+    <title>Autentica&ccedil;&atilde;o para acesso aos arquivos privados da %(realname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Autentica&ccedil;&atilde;o para acesso
+	    dos arquivos privados da %(realname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Endere&ccedil;o de Email:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Senha:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Deixe-me entrar...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Importante:</em></strong> Deste ponto em diante, 
+      voc&ecirc; dever&aacute; ter os cookies ativados em seu navegador, caso 
+      contr&aacute;rio voc&ecirc; ter&aacute; que re-autenticar com cada opera&ccedil;&atilde;o.
+
+      <p>Os cookies de se&ccedil;&atilde;o s&atilde;o usados pela interface de arquivos
+      privados do Mailman para n&atilde;o precisa re-autenticar ap&oacute;s cada
+      opera&ccedil;&atilde;o. Este cookie se expirar&aacute; automaticamente quando sair
+      do seu navegador ou voc&ecirc; poder&aacute; desativar o cookie visitando 
+      sua p&aacute;gina de op&ccedil;&otilde;es de membro e clicando no bot&atilde;o
+      <em>Sair</em>.
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/ro'
=== added file '.pc/99_js_templates.patch/templates/ro/admlogin.html'
--- .pc/99_js_templates.patch/templates/ro/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ro/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,37 @@
+<html>
+<head>
+  <title>%(listname)s: Autentificare - %(who)s</title>
+  <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-2">
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s: Autentificare - %(who)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right"><b>%(who)s</b>: parola de acces</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Vreau s intru...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Important!</em></strong><br>
+      De aici nainte trebuie s avei activate cookie-urile n browser, altfel nici o
+      modificare administrativ nu va avea efect.
+
+      <p>Interfaa de administrare Mailman folosete cookie-urile de sesiune,
+      astfel nct nu trebuie s v re-autentificai la fiecare operaiune
+      administrativ.  Acest cookie va expira automat la ieire, sau
+      explicit, la apsarea linkului <em>Logout</em>, sub linkul <em>Alte activiti
+      administrative</em> (care va apare de ndat ce v autentificai cu succes).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/ro/private.html'
--- .pc/99_js_templates.patch/templates/ro/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ro/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,42 @@
+<html>
+<head>
+    <title>Autentificare la arhivele private %(realname)s</title>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-2">
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Arhivele private %(realname)s - Autentificare</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Adresa de email:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Parola:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Vreau să intru...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Important:</em></strong> De aici nainte trebuie s avei
+      activate cookie-urile n browser; altfel nici o aciune administrativ
+      nu va avea efect.
+
+      <p>Interfaa administrativ Mailman folosete cookie-urile de sesiune,
+      astfel nct nu trebuie s v re-autentificai la fiecare operaiune
+      administrativ.  Acest cookie va expira automat la ieire, sau
+      explicit, la apsarea linkului <em>Logout</em>, sub linkul <em>Alte activiti
+      administrative</em> (care va apare de ndat ce v autentificai cu succes).
+
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/ru'
=== added file '.pc/99_js_templates.patch/templates/ru/admlogin.html'
--- .pc/99_js_templates.patch/templates/ru/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ru/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,37 @@
+<html>
+<head>
+    <title> %(who)s   %(listname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1"> %(who)s   %(listname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <!-- %(who)s -->
+      <!-- .   ,   ... :( -->
+      <TD><div ALIGN="Right">  %(who)s:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT" name="admlogin" value=" ..."></td>
+    </tr>
+  </TABLE>
+      <p><strong><em></em></strong>:      cookies,
+        ,          .
+
+      <p> cookies   ,     .
+       ,         
+         .  ,  
+        ,    ,     
+      .        ,  
+       <em></em>   <em>Other Administrative
+      Activities</em> (      
+      ).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/ru/private.html'
--- .pc/99_js_templates.patch/templates/ru/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/ru/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,39 @@
+<html>
+<head>
+    <title>        %(realname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">        %(realname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right"> :</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT" name="submit" value="Let me in...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em></em></strong>:      cookies,
+        ,     .
+
+      <p> cookies   ,     .
+       ,         
+        .  ,  
+        ,    ,     
+      .        ,   
+           
+       <em></em>.
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/sk'
=== added file '.pc/99_js_templates.patch/templates/sk/admlogin.html'
--- .pc/99_js_templates.patch/templates/sk/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/sk/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,36 @@
+<html>
+<head>
+  <title>%(listname)s: prihlásenie ako %(who)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER"">
+    <B><FONT COLOR="#000000" SIZE="+1">%(listname)s: prihlásenie ako
+        %(who)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Heslo pre %(who)s:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Vstúpiť...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Pozor:</em></strong> Aby systém fungoval 
+      správne, musíte mať vo Vašom prehliadači povolené cookies.
+
+      <p>Cookies sa používajú na to, aby ste nemuseli
+      každú požiadavku znovu potvrdzovať heslom. Budú zmazané
+      keď zavriete prehliadač alebo pri odhlásení.
+      Odhlásiť sa môžete kliknutím na <em>Odhlásiť</em>. 
+      Tento odkaz uvidíte až po úspešnom prihlásení.
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/sk/private.html'
--- .pc/99_js_templates.patch/templates/sk/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/sk/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,40 @@
+<html>
+<head>
+    <title>Konferencia %(realname)s - prístup do súkromného archívu</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+		<B><FONT COLOR="#000000" SIZE="+1">Konferencia %(realname)s -
+	    prístup do súkromného archívu</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">E-mailová adresa:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Heslo:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Vstúpiť...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Dôležité:</em></strong> od tohto momentu potrebujete
+      mať v prehliadači zapnuté cookies, inak sa budete musieť opätovne
+      prihlásiť pri každej ďalšej činnosti.
+
+      <p>Cookis pre sedenia sú použité pre prístup do súkromného archívu
+      Mailman, aby ste sa nemuseli stále opätovne prihlasovať. Tento cookie
+      vyprší, keď zavrete Váš prehliadač, alebo kliknete na stránke Vašich
+      osobných nastavení na tlačidlo <em>Odhlásiť</em>.
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/sl'
=== added file '.pc/99_js_templates.patch/templates/sl/admlogin.html'
--- .pc/99_js_templates.patch/templates/sl/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/sl/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,38 @@
+<html>
+<head>
+  <title>Avtentikacija lana %(who)s za seznam %(listname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    avtentikacija</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Geslo za %(who)s:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Let me in...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Pomembno:</em></strong> Od tega trenutka dalje
+      morate v brskalniku imeti omogoene pikotke, drugae skrbnika
+      dejanja ne bodo veljavna.
+
+      <p>Pikotki za seje se v skrbnikem vmesniku Mailmana
+      uporabljajo zato, da ni potrebna ponovna avtentikacija za
+      vsako skrbniko dejanje. Ta pikotek potee samodejno, ko
+      zaprete brskalnik ali ko se odjavite z gumbom <em>Odjava</em>
+      pod <em>Druge skrbnike dejavnosti</em>
+      (kar boste videli, ko se prijavite).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/sl/private.html'
--- .pc/99_js_templates.patch/templates/sl/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/sl/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,43 @@
+<html>
+<head>
+    <title>Avtentikacija za zasebne arhive lana %(realname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Avtentikacija za zasebne
+	    arhive lana %(realname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">E-potni naslov:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Geslo:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Let me in...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Pomembno:</em></strong> Od tega trenutka
+      dalje morate v brskalniku imeti omogoene pikotke,
+      drugae skrbnike spremembe ne bodo veljale.
+
+      <p>Skrbniki vmesnik programa Mailman uporablja
+      pikotke sej zato, da se vam ni potrebno za vsako
+      skrbniko operacijo ponovno avtenticirati.  Ta
+      pikotek bo potekel samodejno, ko boste zaprli
+      brskalnik ali se odjavili s povezavo
+      <em>Odjava</em> v <em>Ostale skrbnike dejavnosti</em>
+      (ki bo vidno, takoj ko se prijavite).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/sr'
=== added file '.pc/99_js_templates.patch/templates/sr/admlogin.html'
--- .pc/99_js_templates.patch/templates/sr/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/sr/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,33 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s Authentication</title>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER"> <B><FONT COLOR="#000000" SIZE="+1">%(listname)s 
+        %(who)s: провјера</FONT></B></TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Лозинка за листу%(who)s:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Улаз">
+      </td>
+    </tr>
+  </TABLE>
+      
+  <p><strong><em>Важно:</em></strong> Одавде па надаље, морате имати укључене 
+    &quot;колачиће&quot; (cookies) у вашем претраживачу интернета, иначе промјене 
+    неће имати ефекта.
+  <p>&quot;Колачићи&quot; се користе у Mailman-овом административном интерфејсу 
+    да не бисте морали да се после сваке акције поново пријављујете. &quot;Колачић&quot; 
+    неће више важити послије вашег одјављивања са административног интерфејса.
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/sr/private.html'
--- .pc/99_js_templates.patch/templates/sr/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/sr/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,37 @@
+﻿<html>
+<head>
+    <title>Пријава за улаз у приватну архиву листе: %(realname)s </title>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER"> <B><FONT COLOR="#000000" SIZE="+1">Заштићене 
+        архиве: %(realname)s </FONT></B></TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Ел. адреса:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Лозинка:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT
+                                          name="Улаз" type="SUBMIT" id="Улаз"
+					  value="Let me in...">
+      </td>
+    </tr>
+  </TABLE>
+      
+  <p><strong><em>Важно:</em></strong> Одавде па надаље, морате имати укључене 
+    &quot;колачиће&quot; (cookies) у вашем претраживачу интернета, иначе промјене 
+    неће имати ефекта. 
+  <p>&quot;Колачићи&quot; се користе у Mailman-овом административном интерфејсу 
+    да не бисте морали да се после сваке акције поново пријављујете. &quot;Колачић&quot; 
+    неће више важити послије вашег одјављивања са административног интерфејса. 
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/sv'
=== added file '.pc/99_js_templates.patch/templates/sv/admlogin.html'
--- .pc/99_js_templates.patch/templates/sv/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/sv/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,28 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s Inloggning</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s Inloggning</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Listan %(who)s l&ouml;senord:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Logga in mig...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Viktigt:</em></strong> Fr&aring;n och med nu m&aring;ste du ha alternativet cookies aktiverat i din browser, annars kommer inga administrativa &auml;ndringar att sparas. 
+      <p><i>Session cookies</i> anv&auml;nds p&aring; Mailmans administrativa sidor, f&ouml;r att du inte ska beh&ouml;va uppge ditt l&ouml;senord f&ouml;r varje &auml;ndring som du g&ouml;r. Dessa cookies kommer att f&ouml;rsvinna automatiskt n&auml;r du st&auml;nger din browser. Du kan ocks&aring; ta bort dem manuellt genom att klicka p&aring; l&auml;nken       <em>Logga ut</em>  under <em>Andra administrativa aktiviteter</em> (som du f&aring;r upp efter att ha loggat in).</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/sv/private.html'
--- .pc/99_js_templates.patch/templates/sv/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/sv/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,32 @@
+<html>
+<head>
+    <title>%(realname)s Inloggning till Privata Arkiv</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s Inloggning till Privata Arkiv</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">E-postadress:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">L&ouml;senord:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Logga in mig...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Viktigt:</em></strong> Fr&aring;n och med nu m&aring;ste du ha alternativet cookies aktiverat i din browser, annars kommer inga administrativa &auml;ndringar att sparas. 
+      <p><i>Session cookies</i> anv&auml;nds p&aring; Mailmans administrativa sidor, f&ouml;r att du inte ska beh&ouml;va uppge l&ouml;senord f&ouml;r varje &auml;ndring som du g&ouml;r. Dessa cookies kommer att f&ouml;rsvinna automatiskt n&auml;r du st&auml;nger din browser.&nbsp;Du kan ocks&aring; ta bort dem manuellt genom att klicka p&aring; l&auml;nken       <em>Logga ut</em> under <em>Andra administrativa aktiviteter</em> (som du f&aring;r upp efter att ha loggat in).</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/tr'
=== added file '.pc/99_js_templates.patch/templates/tr/admlogin.html'
--- .pc/99_js_templates.patch/templates/tr/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/tr/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,40 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s Girii</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    Girii</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Liste %(who)s ifresi:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Giri...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>nemli:</em></strong> Bu noktadan itibaren taraycnzda
+      tanmlama bilgilerini (cookie) etkinletirmi olmanz gerekir, yoksa hibir
+      ynetimsel deiiklik yaplmayacaktr.
+
+      <p>Mailman'in ynetimsel arayznde oturum tanmlayc bilgileri
+      kullanlr, bylece her ynetimsel ilemde tekrar yetkilendirme
+      yapmanza gerek kalmaz. Bu tanmlayc bilgi taraycnzdan
+      ktnzda otomatik olarak yok olur, veya siz tanmlayc
+      bilgiyi <em>Dier Ynetimsel Aktiviteler</em> bal altndaki
+      <em>k</em> linkine tklayarak (baaryla giri yaptnzda
+      bunu greceksiniz) kendiniz yok edebilirsiniz.
+</FORM>
+</body>
+</html>
+

=== added file '.pc/99_js_templates.patch/templates/tr/private.html'
--- .pc/99_js_templates.patch/templates/tr/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/tr/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,44 @@
+<html>
+<head>
+    <title>%(realname)s zel Arivleri Girii</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(realname)s zel
+	    Arivleri Girii</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">E-posta adresi:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">ifre:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Giri...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>nemli:</em></strong> Bu noktadan itibaren taraycnzda
+      tanmlama bilgilerini (cookie) etkinletirmi olmanz gerekir, yoksa hibir
+      ynetimsel deiiklik yaplmayacaktr.
+
+      <p>Mailman'in ynetimsel arayznde oturum tanmlayc bilgileri
+      kullanlr, bylece her ynetimsel ilemde tekrar yetkilendirme
+      yapmanza gerek kalmaz. Bu tanmlayc bilgi taraycnzdan
+      ktnzda otomatik olarak yok olur, veya siz tanmlayc
+      bilgiyi <em>Dier Ynetimsel Aktiviteler</em> bal altndaki
+      <em>k</em> linkine tklayarak (baaryla giri yaptnzda
+      bunu greceksiniz) kendiniz yok edebilirsiniz.
+</FORM>
+</body>
+</html>
+

=== added directory '.pc/99_js_templates.patch/templates/uk'
=== added file '.pc/99_js_templates.patch/templates/uk/admlogin.html'
--- .pc/99_js_templates.patch/templates/uk/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/uk/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,39 @@
+<html>
+<head>
+  <title>Автентифікація користувача %(who)s списку листування %(listname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Автентифікація користувача %(who)s списку
+	 листування %(listname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Введіть пароль користувача %(who)s:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Почати роботу...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Увага:</em></strong> Необхідно дозволити 
+	використання cookies у вашому переглядачі, у іншому випадку
+	ви не зможете внести жодних змін. 
+
+      <p>Cookies використовуються для зберігання інформації про сеанс
+	роботи, це дозволяє не вводити пароль при виконанні будь-якого
+	адміністративного завдання. Інформація про сеанс автоматично
+	скасовується при закриванні переглядача. Також ви можете негайно
+	завершити сеанс натисшувши посилання <em>Від'єднатись</em> 
+	у розділі <em>Інші адміністративні завдання</em> 
+	(Ви зможете його побачити лише після початку сеансу).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/uk/private.html'
--- .pc/99_js_templates.patch/templates/uk/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/uk/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,42 @@
+<html>
+<head>
+    <title>Автентифікація доступу до закритого списку розсилки %(realname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Автентифікація доступу до закритого списку розсилки %(realname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Електронна адреса:</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Пароль:</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Let me in...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Важливо:</em></strong> Вам потрібно дозволити 
+	використання cookies у вашому переглядачі, у іншому випадку
+	ви не зможете вносити будь-які зміни 
+
+      <p>Cookies використовуються для зберігання інформації сеансу
+	роботи, це дозволяє не вводити пароль при виконанні будь-якого
+	адміністративного завдання. Інформацію сеансу буде автоматично
+	втрачено при завершенні переглядача. Також ви можете певним чином
+	завершити сеанс натиснувши посилання <em>Від'єднатись</em> 
+	у розділі <em>Інші адміністративні дії</em> 
+	(Ви зможете його побачити лише після початку сеансу).
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/vi'
=== added file '.pc/99_js_templates.patch/templates/vi/admlogin.html'
--- .pc/99_js_templates.patch/templates/vi/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/vi/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,31 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s Xác thực</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    Xác thực</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">Mật khẩu hộp thư %(who)s:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="Let me in...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>Quan trọng:</em></strong> để tiếp tục được, bạn phải đã bật tập tin nhận diện cookie trong trình duyệt, nếu không thì thay đổi quản trị sẽ không có tác động.
+
+      <p>Cookie phiên chạy được dùng trong giao diện quản trị của Mailman để tránh trường hợp bạn phải đăng nhập lại vào mỗi thao tác quản trị. Cookie này sẽ hết hạn dùng tự động khi bạn thoát khỏi trình duyệt, hoặc bạn có thể làm cho nó hết hạn dùng bằng cách nhắp vào liên kết <em>Đăng xuất</em> nằm dưới <em>Hoạt động quản trị khác</em> (mà bạn sẽ xem một khi đăng nhập được).
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/vi/private.html'
--- .pc/99_js_templates.patch/templates/vi/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/vi/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,34 @@
+<html>
+<head>
+    <title>Xác thực kho riêng của %(realname)s</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">Xác thực kho riêng của %(realname)s</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Địa chỉ thư :</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">Mật khẩu :</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="Let me in...">
+      </td>
+    </tr>
+  </TABLE>
+  <p><strong><em>Quan trọng:</em></strong> để tiếp tục được, bạn phải đã bật tập tin nhận diện cookie trong trình duyệt, nếu không thì bạn sẽ phải xác thực lại cho mỗi thao tác.
+
+      <p>Cookie phiên chạy được dùng trong giao diện kho riêng của Mailman để tránh trường hợp bạn phải xác thực lại vào mỗi thao tác. Cookie này sẽ hết hạn dùng tự động khi bạn thoát khỏi trình duyệt, hoặc bạn có thể làm cho nó hết hạn dùng bằng cách thăm trang tùy chọn thành viên của mình và nhắp vào cái nút <em>Đăng xuất</em>.
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/zh_CN'
=== added file '.pc/99_js_templates.patch/templates/zh_CN/admlogin.html'
--- .pc/99_js_templates.patch/templates/zh_CN/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/zh_CN/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,35 @@
+<html>
+<head>
+  <title>%(listname)s %(who)s Authentication</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s %(who)s
+	    认证</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD><div ALIGN="Right">显示 %(who)s密码:</div></TD>
+      <TD><INPUT TYPE="password" NAME="adminpw" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle><INPUT type="SUBMIT"
+                                        name="admlogin"
+					value="登录...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>重要:</em></strong> 从此时起，您的浏览器必须开启
+	  cookie，否则您所做的所有修改均不会生效。
+  
+      <p>在Mainman的管理界面中使用了Session cookie, 这样您就无需对每
+	  一个管理操作均进行重新认证。您关闭浏览器时，cookie自动失效；您
+	  也可以通过点击<em>其他管理活动</em>下（在您成功登录后即可看到该
+	  项）的<em>登出</em>链接来使cookie失效。
+</FORM>
+</body>
+</html>

=== added file '.pc/99_js_templates.patch/templates/zh_CN/private.html'
--- .pc/99_js_templates.patch/templates/zh_CN/private.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/zh_CN/private.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,39 @@
+<html>
+<head>
+    <title>%(realname)s 私有归档认证</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(action)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#0s00000" SIZE="+1">%(realname)s 私有归档认证</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+        <TD><div ALIGN="Right">Email地址：</div></TD>
+        <TD><INPUT TYPE="text" NAME="username" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <TD><div ALIGN="Right">口令：</div></TD>
+      <TD><INPUT TYPE="password" NAME="password" SIZE="30"></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align="middle"><INPUT type="SUBMIT"
+                                          name="submit"
+					  value="登陆">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>注意：</em></strong> 从此时开始，您的浏览器应该启用
+	  cookies，否则您的任何操作都需要重新认证。
+	  
+      <p>在Mailman的私有存档接口中使用了Session cookies ，由此您不必为每
+	  次操作重新进行认证。这个cookies会在您退出浏览器时自动过期，当然您
+	  也可以通过点击访问您的成员选项页并点击其中的<em>登出</em>按钮来显
+	  式地使其过期。
+      
+</FORM>
+</body>
+</html>

=== added directory '.pc/99_js_templates.patch/templates/zh_TW'
=== added file '.pc/99_js_templates.patch/templates/zh_TW/admlogin.html'
--- .pc/99_js_templates.patch/templates/zh_TW/admlogin.html	1970-01-01 00:00:00 +0000
+++ .pc/99_js_templates.patch/templates/zh_TW/admlogin.html	2010-07-13 21:35:40 +0000
@@ -0,0 +1,31 @@
+<html>
+<head>
+  <title>%(listname)s 論壇 壇主驗證</title>
+</head>
+<body bgcolor="#ffffff">
+<FORM METHOD=POST ACTION="%(path)s">
+%(message)s
+  <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
+    <TR>
+      <TD COLSPAN="2" WIDTH="100%%" BGCOLOR="#99CCFF" ALIGN="CENTER">
+	<B><FONT COLOR="#000000" SIZE="+1">%(listname)s 論壇 壇主驗證</FONT></B>
+      </TD>
+    </TR>
+    <tr>
+      <TD> <div ALIGN="Right"> 壇主密碼: </div> </TD>
+      <TD> <INPUT TYPE=password NAME=adminpw SIZE=30></TD>
+    </tr>
+    <tr>
+      <td colspan=2 align=middle> <INPUT TYPE=SUBMIT name="request_login"
+						     value="我填好了...">
+      </td>
+    </tr>
+  </TABLE>
+      <p><strong><em>重點:</em></strong> 從現在開始， 您必須
+      將瀏覽器的 cookie 功能打開，否則您所作的異動將不會發生效用。
+
+      <p>Mailman 的管理介面使用了 Session cookies ， 因此您不需要在每次
+      異動資料時重新驗證密碼。此cookie 在您關閉瀏覽器時自動失效，
+      或者您按下在 <em>Other Administrative Activities</em> 網頁中     
+      <em>Logout</em> 的超連結 (一旦您成功的登錄之後，您就可以看到)。
+</FORM>

=== added file '.pc/applied-patches'
--- .pc/applied-patches	1970-01-01 00:00:00 +0000
+++ .pc/applied-patches	2010-07-13 21:35:40 +0000
@@ -0,0 +1,21 @@
+01_defaults.debian.patch
+02_force_autoconf_2.50.patch
+07_snooze.patch
+10_wrapper_uid.patch
+15_mailmanctl_daemonize.patch
+16_update_debian.patch
+20_qmail_to_mailman.debian.patch
+21_newlist_help.patch
+25_site_logo.patch
+51_nocompile.pyc.patch
+52_check_perms_lstat.patch
+53_disable_addons.patch
+59_fix_missing_language_crash.patch
+63_update_default_server_language.patch
+64_correct_html_nesting.patch
+66_donot_let_cache_html_pages.patch
+70_invalid_utf8_dos.patch
+71_date_overflows.patch
+74_admin_non-ascii_emails.patch
+79_archiver_slash.patch
+99_js_templates.patch

=== modified file 'Mailman/Archiver/Archiver.py'
--- Mailman/Archiver/Archiver.py	2006-07-03 16:59:25 +0000
+++ Mailman/Archiver/Archiver.py	2010-07-13 21:35:40 +0000
@@ -146,8 +146,6 @@
                 'listname': self.internal_name(),
                 'hostname': hostname
                 }
-            if not url.endswith('/'):
-                url += '/'
             return url
 
     def __archive_file(self, afn):

=== modified file 'Mailman/Cgi/admin.py'
--- Mailman/Cgi/admin.py	2009-12-31 15:50:29 +0000
+++ Mailman/Cgi/admin.py	2010-07-13 21:35:40 +0000
@@ -867,7 +867,12 @@
     chunksz = mlist.admin_member_chunksize
     # The email addresses had /better/ be ASCII, but might be encoded in the
     # database as Unicodes.
-    all = [_m.encode() for _m in mlist.getMembers()]
+    all = []
+    for _m in mlist.getMembers():
+        try:
+            all.append( _m.encode() )
+        except:
+            all.append( _m )
     all.sort(lambda x, y: cmp(x.lower(), y.lower()))
     # See if the query has a regular expression
     regexp = cgidata.getvalue('findmember', '').strip()

=== modified file 'Mailman/Defaults.py.in'
--- Mailman/Defaults.py.in	2009-12-31 15:50:29 +0000
+++ Mailman/Defaults.py.in	2010-07-13 21:35:40 +0000
@@ -54,7 +54,7 @@
 # disable Mailman's logo footer altogther, hack
 # Mailman/htmlformat.py:MailmanLogo(), which also contains the hardcoded links
 # and image names.
-IMAGE_LOGOS = '/icons/'
+IMAGE_LOGOS = '/doc/mailman/images/'
 
 # The name of the Mailman favicon
 SHORTCUT_ICON = 'mm-icon.png'
@@ -64,6 +64,12 @@
 #MAILMAN_URL = 'http://www.list.org/'
 #MAILMAN_URL = 'http://mailman.sf.net/'
 
+# The site logo/text presence, site text, site url and site logo
+SITE_LINK = Yes
+SITE_TEXT = 'Debian Powered'
+SITE_URL = 'http://www.debian.org/'
+SITE_LOGO = '/images/mailman/debianpowered.png'
+
 # Mailman needs to know about (at least) two fully-qualified domain names
 # (fqdn); 1) the hostname used in your urls, and 2) the hostname used in email
 # addresses for your domain.  For example, if people visit your Mailman system
@@ -85,7 +91,7 @@
 # because otherwise the default mappings won't be correct.
 DEFAULT_EMAIL_HOST = '@MAILHOST@'
 DEFAULT_URL_HOST = '@URLHOST@'
-DEFAULT_URL_PATTERN = 'http://%s/mailman/'
+DEFAULT_URL_PATTERN = 'http://%s/cgi-bin/mailman/'
 
 # DEFAULT_HOST_NAME has been replaced with DEFAULT_EMAIL_HOST, however some
 # sites may have the former in their mm_cfg.py files.  If so, we'll believe
@@ -210,7 +216,7 @@
 # interpolate the name of the list into this.  You can also include a
 # "%(hostname)s" in the string, into which Mailman will interpolate
 # the host name (usually DEFAULT_URL_HOST).
-PUBLIC_ARCHIVE_URL = 'http://%(hostname)s/pipermail/%(listname)s'
+PUBLIC_ARCHIVE_URL = 'http://%(hostname)s/pipermail/%(listname)s/'
 
 # Are archives on or off by default?
 DEFAULT_ARCHIVE = On
@@ -1355,7 +1361,7 @@
 MAILDIR_DIR     = os.path.join(QUEUE_DIR, 'maildir')
 
 # Other useful files
-PIDFILE = os.path.join(DATA_DIR, 'master-qrunner.pid')
+PIDFILE = "/var/run/mailman/mailman.pid"
 SITE_PW_FILE = os.path.join(DATA_DIR, 'adm.pw')
 LISTCREATOR_PW_FILE = os.path.join(DATA_DIR, 'creator.pw')
 

=== modified file 'Mailman/Handlers/Scrubber.py'
--- Mailman/Handlers/Scrubber.py	2009-12-31 15:50:29 +0000
+++ Mailman/Handlers/Scrubber.py	2010-07-13 21:35:40 +0000
@@ -122,7 +122,7 @@
                      }.get(parts[3], 0)
             day = int(parts[4])
             year = int(parts[6])
-        except (IndexError, ValueError):
+        except (OverflowError, IndexError, ValueError):
             # Best we can do I think
             month = day = year = 0
         datedir = '%04d%02d%02d' % (year, month, day)
@@ -300,7 +300,10 @@
                 os.umask(omask)
             desc = part.get('content-description', _('not available'))
             desc = Utils.oneline(desc, lcset)
-            filename = part.get_filename(_('not available'))
+            try:
+                filename = part.get_filename(_('not available'))
+            except UnicodeDecodeError:
+                filename = _('not available')
             filename = Utils.oneline(filename, lcset)
             replace_payload_by_text(part, _("""\
 A non-text attachment was scrubbed...
@@ -422,7 +425,10 @@
     ctype = msg.get_content_type()
     # i18n file name is encoded
     lcset = Utils.GetCharSet(mlist.preferred_language)
-    filename = Utils.oneline(msg.get_filename(''), lcset)
+    try:
+        filename = Utils.oneline(msg.get_filename(''), lcset)
+    except UnicodeDecodeError:
+        filename = ''
     filename, fnext = os.path.splitext(filename)
     # For safety, we should confirm this is valid ext for content-type
     # but we can use fnext if we introduce fnext filtering

=== modified file 'Mailman/Queue/OutgoingRunner.py'
--- Mailman/Queue/OutgoingRunner.py	2008-08-11 16:06:19 +0000
+++ Mailman/Queue/OutgoingRunner.py	2010-07-13 21:35:40 +0000
@@ -89,6 +89,7 @@
                 syslog('error', 'Cannot connect to SMTP server %s on port %s',
                        mm_cfg.SMTPHOST, port)
                 self.__logged = True
+            self._snooze(0)
             return True
         except Errors.SomeRecipientsFailed, e:
             # Handle local rejects of probe messages differently.

=== modified file 'Mailman/htmlformat.py'
--- Mailman/htmlformat.py	2008-08-11 16:06:19 +0000
+++ Mailman/htmlformat.py	2010-07-13 21:35:40 +0000
@@ -298,9 +298,10 @@
 
     def Format(self, indent=0, **kws):
         charset = 'us-ascii'
-        if self.language:
+        if self.language and Utils.IsLanguage(self.language):
             charset = Utils.GetCharSet(self.language)
-        output = ['Content-Type: text/html; charset=%s\n' % charset]
+        output = ['Content-Type: text/html; charset=%s' % charset]
+        output.append('Cache-control: no-cache\n')
         if not self.suppress_head:
             kws.setdefault('bgcolor', self.bgcolor)
             tab = ' ' * indent
@@ -622,24 +623,33 @@
 
 def MailmanLogo():
     t = Table(border=0, width='100%')
+
+    version = mm_cfg.VERSION
+    mmlink = _("Delivered by Mailman")
+    pylink = _("Python Powered")
+    gnulink = _("GNU's Not Unix")
+    if mm_cfg.SITE_LINK:
+        sitelink = mm_cfg.SITE_TEXT
+
     if mm_cfg.IMAGE_LOGOS:
-        def logo(file):
-            return mm_cfg.IMAGE_LOGOS + file
-        mmlink = '<img src="%s" alt="Delivered by Mailman" border=0>' \
-                 '<br>version %s' % (logo(DELIVERED_BY), mm_cfg.VERSION)
-        pylink = '<img src="%s" alt="Python Powered" border=0>' % \
-                 logo(PYTHON_POWERED)
-        gnulink = '<img src="%s" alt="GNU\'s Not Unix" border=0>' % \
-                  logo(GNU_HEAD)
-        t.AddRow([mmlink, pylink, gnulink])
-    else:
-        # use only textual links
-        version = mm_cfg.VERSION
-        mmlink = Link(MAILMAN_URL,
-                      _('Delivered by Mailman<br>version %(version)s'))
-        pylink = Link(PYTHON_URL, _('Python Powered'))
-        gnulink = Link(GNU_URL, _("Gnu's Not Unix"))
-        t.AddRow([mmlink, pylink, gnulink])
+        def logo(file, alt, base=mm_cfg.IMAGE_LOGOS):
+            return '<img src="%s" alt="%s" border="0" />' % \
+              (base + file, alt)
+        mmlink = logo(DELIVERED_BY, mmlink)
+        pylink = logo(PYTHON_POWERED, pylink)
+        gnulink = logo(GNU_HEAD, gnulink)
+        if mm_cfg.SITE_LINK:
+            sitelink = logo(mm_cfg.SITE_LOGO, sitelink, "")
+
+    mmlink = Link(MAILMAN_URL, mmlink + _('<br>version %(version)s'))
+    pylink = Link(PYTHON_URL, pylink)
+    gnulink = Link(GNU_URL, gnulink)
+    links = [mmlink, pylink, gnulink]
+    if mm_cfg.SITE_LINK:
+        if mm_cfg.SITE_URL:
+            sitelink = Link(mm_cfg.SITE_URL, sitelink)
+        links.append(sitelink)
+    t.AddRow(links)
     return t
 
 

=== modified file 'Makefile.in'
--- Makefile.in	2006-07-03 16:59:25 +0000
+++ Makefile.in	2010-07-13 21:35:40 +0000
@@ -124,7 +124,7 @@
 	do \
 	    (cd $$d; $(MAKE) DESTDIR=$(DESTDIR) install); \
 	done
-	$(PYTHON) -c 'from compileall import *; compile_dir("$(DESTDIR)$(prefix)/Mailman")'
+	#$(PYTHON) -c 'from compileall import *; compile_dir("$(DESTDIR)$(prefix)/Mailman")'
 
 # Only run bin/update if we aren't installing in DESTDIR, as this
 # means there are probably no lists to deal with, and it wouldn't

=== modified file 'bin/check_perms'
--- bin/check_perms	2009-03-14 14:18:16 +0000
+++ bin/check_perms	2010-07-13 21:35:40 +0000
@@ -82,7 +82,7 @@
     return os.stat(path)[ST_MODE]
 
 def statgidmode(path):
-    stat = os.stat(path)
+    stat = os.lstat(path)
     return stat[ST_MODE], stat[ST_GID]
 
 seen = {}

=== modified file 'bin/mailmanctl'
--- bin/mailmanctl	2006-07-03 16:59:25 +0000
+++ bin/mailmanctl	2010-07-13 21:35:40 +0000
@@ -417,6 +417,13 @@
         # won't be opening any terminal devices, don't do the ultra-paranoid
         # suggestion of doing a second fork after the setsid() call.
         os.setsid()
+
+        # Be sure to close any open std{in,out,err}
+        devnull = os.open('/dev/null', 0)
+        os.dup2(devnull, 0)
+        os.dup2(devnull, 1)
+        os.dup2(devnull, 2)
+
         # Instead of cd'ing to root, cd to the Mailman installation home
         os.chdir(mm_cfg.PREFIX)
         # Set our file mode creation umask

=== modified file 'bin/newlist'
--- bin/newlist	2009-12-31 15:50:29 +0000
+++ bin/newlist	2010-07-13 21:35:40 +0000
@@ -88,12 +88,16 @@
 defined in your Defaults.py file or overridden by settings in mm_cfg.py).
 
 Note that listnames are forced to lowercase.
+
+The list admin address need to be a fully-qualified address, like
+owner@example.com, not just owner.
 """
 
 import sys
 import os
 import getpass
 import getopt
+import grp
 
 import paths
 from Mailman import mm_cfg
@@ -122,6 +126,9 @@
 
 
 def main():
+    gid = grp.getgrnam(mm_cfg.MAILMAN_GROUP)[2]
+    if os.getgid() != gid and gid not in os.getgroups():
+        os.setgid(gid)
     try:
         opts, args = getopt.getopt(sys.argv[1:], 'hql:u:e:',
                                    ['help', 'quiet', 'language=',
@@ -204,7 +211,7 @@
         except Errors.BadListNameError, s:
             usage(1, _('Illegal list name: %(s)s'))
         except Errors.EmailAddressError, s:
-            usage(1, _('Bad owner email address: %(s)s'))
+            usage(1, _('Bad owner email address: %(s)s.  Owner addresses need to be fully-qualified names, like "owner@example.com", not just "owner".'))
         except Errors.MMListAlreadyExistsError:
             usage(1, _('List already exists: %(listname)s'))
 

=== modified file 'bin/update'
--- bin/update	2009-12-31 15:50:29 +0000
+++ bin/update	2010-07-13 21:35:40 +0000
@@ -121,7 +121,7 @@
     #
     # First, get rid of any lists/<list> template or lists/<list>/en template
     # that is identical to the global templates/* default.
-    for gtemplate in os.listdir(os.path.join(mm_cfg.TEMPLATE_DIR, 'en')):
+    for gtemplate in os.listdir(os.path.join(mm_cfg.TEMPLATE_DIR, mm_cfg.DEFAULT_SERVER_LANGUAGE)):
         # BAW: get rid of old templates, e.g. admlogin.txt and
         # handle_opts.html
         try:
@@ -155,14 +155,14 @@
                 os.unlink(os.path.join(mlist.fullpath(), gtemplate + '.prev'))
         # Match against the lists/<list>/en/* templates
         try:
-            fp = open(os.path.join(mlist.fullpath(), 'en', gtemplate))
+            fp = open(os.path.join(mlist.fullpath(), mm_cfg.DEFAULT_SERVER_LANGUAGE, gtemplate))
         except IOError, e:
             if e.errno <> errno.ENOENT: raise
         else:
             tcksum = Utils.md5_new(fp.read()).digest()
             fp.close()
             if gcksum == tcksum:
-                os.unlink(os.path.join(mlist.fullpath(), 'en', gtemplate))
+                os.unlink(os.path.join(mlist.fullpath(), mm_cfg.DEFAULT_SERVER_LANGUAGE, gtemplate))
         # Match against the templates/* template
         try:
             fp = open(os.path.join(mm_cfg.TEMPLATE_DIR, gtemplate))
@@ -334,37 +334,6 @@
     # BAW: Is this still necessary?!
     mlist.Save()
     #
-    # check to see if pre-b4 list-specific templates are around
-    # and move them to the new place if there's not already
-    # a new one there
-    #
-    # There is a problem with the following if the list name is equal
-    # to a language code. All the templates get moved from templates/xx
-    # to lists/xx. To avoid this, test the list name, and if it is 'en'
-    # or matches a name in the messages directory, just skip this step.
-    if (mlist._internal_name <> 'en' and
-        mlist._internal_name not in os.listdir(mm_cfg.MESSAGES_DIR)):
-        # It's okay to move the templates.
-        tmpl_dir = os.path.join(mm_cfg.PREFIX, "templates")
-        list_dir = mm_cfg.LIST_DATA_DIR
-        b4_tmpl_dir = os.path.join(tmpl_dir, mlist._internal_name)
-        new_tmpl_dir = os.path.join(list_dir, mlist._internal_name)
-        if os.path.exists(b4_tmpl_dir):
-            print _("""\
-- This list looks like it might have <= b4 list templates around""")
-            for f in os.listdir(b4_tmpl_dir):
-                o_tmpl = os.path.join(b4_tmpl_dir, f)
-                n_tmpl = os.path.join(new_tmpl_dir, f)
-                if os.path.exists(o_tmpl):
-                    if not os.path.exists(n_tmpl):
-                        os.rename(o_tmpl, n_tmpl)
-                        print _('- moved %(o_tmpl)s to %(n_tmpl)s')
-                    else:
-                        print _("""\
-- both %(o_tmpl)s and %(n_tmpl)s exist, leaving untouched""")
-                else:
-                    print _("""\
-- %(o_tmpl)s doesn't exist, leaving untouched""")
     #
     # Move all the templates to the en language subdirectory as required for
     # Mailman 2.1
@@ -669,12 +638,12 @@
                 'Mailman/HyperDatabase.py', 'Mailman/pipermail.py',
                 'Mailman/smtplib.py', 'Mailman/Cookie.py',
                 'bin/update_to_10b6', 'scripts/mailcmd',
-                'scripts/mailowner', 'mail/wrapper', 'Mailman/pythonlib',
+                'scripts/mailowner', 'Mailman/pythonlib',
                 'cgi-bin/archives', 'Mailman/MailCommandHandler'):
         remove_old_sources(mod)
     listnames = Utils.list_names()
     if not listnames:
-        print _('no lists == nothing to do, exiting')
+#        print _('no lists == nothing to do, exiting')
         return
     #
     # for people with web archiving, make sure the directories

=== modified file 'configure'
--- configure	2009-12-31 15:50:29 +0000
+++ configure	2010-07-13 21:35:40 +0000
@@ -1,23 +1,19 @@
 #! /bin/sh
 # From configure.in Revision: 8122 .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.65.
-#
+# Generated by GNU Autoconf 2.63.
 #
 # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
-# 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
-# Inc.
-#
-#
+# 2002, 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
 # This configure script is free software; the Free Software Foundation
 # gives unlimited permission to copy, distribute and modify it.
-## -------------------- ##
-## M4sh Initialization. ##
-## -------------------- ##
+## --------------------- ##
+## M4sh Initialization.  ##
+## --------------------- ##
 
 # Be more Bourne compatible
 DUALCASE=1; export DUALCASE # for MKS sh
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then :
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
   emulate sh
   NULLCMD=:
   # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
@@ -25,15 +21,23 @@
   alias -g '${1+"$@"}'='"$@"'
   setopt NO_GLOB_SUBST
 else
-  case `(set -o) 2>/dev/null` in #(
-  *posix*) :
-    set -o posix ;; #(
-  *) :
-     ;;
+  case `(set -o) 2>/dev/null` in
+  *posix*) set -o posix ;;
 esac
+
 fi
 
 
+
+
+# PATH needs CR
+# Avoid depending upon Character Ranges.
+as_cr_letters='abcdefghijklmnopqrstuvwxyz'
+as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
+as_cr_Letters=$as_cr_letters$as_cr_LETTERS
+as_cr_digits='0123456789'
+as_cr_alnum=$as_cr_Letters$as_cr_digits
+
 as_nl='
 '
 export as_nl
@@ -41,13 +45,7 @@
 as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
 as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
 as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
-# Prefer a ksh shell builtin over an external printf program on Solaris,
-# but without wasting forks for bash or zsh.
-if test -z "$BASH_VERSION$ZSH_VERSION" \
-    && (test "X`print -r -- $as_echo`" = "X$as_echo") 2>/dev/null; then
-  as_echo='print -r --'
-  as_echo_n='print -rn --'
-elif (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
+if (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
   as_echo='printf %s\n'
   as_echo_n='printf %s'
 else
@@ -58,7 +56,7 @@
     as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
     as_echo_n_body='eval
       arg=$1;
-      case $arg in #(
+      case $arg in
       *"$as_nl"*)
 	expr "X$arg" : "X\\(.*\\)$as_nl";
 	arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
@@ -81,6 +79,13 @@
   }
 fi
 
+# Support unset when possible.
+if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
+  as_unset=unset
+else
+  as_unset=false
+fi
+
 
 # IFS
 # We need space, tab and new line, in precisely that order.  Quoting is
@@ -90,15 +95,15 @@
 IFS=" ""	$as_nl"
 
 # Find who we are.  Look in the path if we contain no directory separator.
-case $0 in #((
+case $0 in
   *[\\/]* ) as_myself=$0 ;;
   *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
-  done
+  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
+done
 IFS=$as_save_IFS
 
      ;;
@@ -110,16 +115,12 @@
 fi
 if test ! -f "$as_myself"; then
   $as_echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
-  exit 1
+  { (exit 1); exit 1; }
 fi
 
-# Unset variables that we do not need and which cause bugs (e.g. in
-# pre-3.0 UWIN ksh).  But do not cause bugs in bash 2.01; the "|| exit 1"
-# suppresses any "Segmentation fault" message there.  '((' could
-# trigger a bug in pdksh 5.2.14.
-for as_var in BASH_ENV ENV MAIL MAILPATH
-do eval test x\${$as_var+set} = xset \
-  && ( (unset $as_var) || exit 1) >/dev/null 2>&1 && unset $as_var || :
+# Work around bugs in pre-3.0 UWIN ksh.
+for as_var in ENV MAIL MAILPATH
+do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
 done
 PS1='$ '
 PS2='> '
@@ -131,299 +132,330 @@
 LANGUAGE=C
 export LANGUAGE
 
+# Required to use basename.
+if expr a : '\(a\)' >/dev/null 2>&1 &&
+   test "X`expr 00001 : '.*\(...\)'`" = X001; then
+  as_expr=expr
+else
+  as_expr=false
+fi
+
+if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
+  as_basename=basename
+else
+  as_basename=false
+fi
+
+
+# Name of the executable.
+as_me=`$as_basename -- "$0" ||
+$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
+	 X"$0" : 'X\(//\)$' \| \
+	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
+$as_echo X/"$0" |
+    sed '/^.*\/\([^/][^/]*\)\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\/\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\/\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
+
 # CDPATH.
-(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
+$as_unset CDPATH
+
 
 if test "x$CONFIG_SHELL" = x; then
-  as_bourne_compatible="if test -n \"\${ZSH_VERSION+set}\" && (emulate sh) >/dev/null 2>&1; then :
-  emulate sh
-  NULLCMD=:
-  # Pre-4.2 versions of Zsh do word splitting on \${1+\"\$@\"}, which
-  # is contrary to our usage.  Disable this feature.
-  alias -g '\${1+\"\$@\"}'='\"\$@\"'
-  setopt NO_GLOB_SUBST
-else
-  case \`(set -o) 2>/dev/null\` in #(
-  *posix*) :
-    set -o posix ;; #(
-  *) :
-     ;;
-esac
-fi
-"
-  as_required="as_fn_return () { (exit \$1); }
-as_fn_success () { as_fn_return 0; }
-as_fn_failure () { as_fn_return 1; }
-as_fn_ret_success () { return 0; }
-as_fn_ret_failure () { return 1; }
-
-exitcode=0
-as_fn_success || { exitcode=1; echo as_fn_success failed.; }
-as_fn_failure && { exitcode=1; echo as_fn_failure succeeded.; }
-as_fn_ret_success || { exitcode=1; echo as_fn_ret_success failed.; }
-as_fn_ret_failure && { exitcode=1; echo as_fn_ret_failure succeeded.; }
-if ( set x; as_fn_ret_success y && test x = \"\$1\" ); then :
-
-else
-  exitcode=1; echo positional parameters were not saved.
-fi
-test x\$exitcode = x0 || exit 1"
-  as_suggested="  as_lineno_1=";as_suggested=$as_suggested$LINENO;as_suggested=$as_suggested" as_lineno_1a=\$LINENO
-  as_lineno_2=";as_suggested=$as_suggested$LINENO;as_suggested=$as_suggested" as_lineno_2a=\$LINENO
-  eval 'test \"x\$as_lineno_1'\$as_run'\" != \"x\$as_lineno_2'\$as_run'\" &&
-  test \"x\`expr \$as_lineno_1'\$as_run' + 1\`\" = \"x\$as_lineno_2'\$as_run'\"' || exit 1
-test \$(( 1 + 1 )) = 2 || exit 1"
-  if (eval "$as_required") 2>/dev/null; then :
+  if (eval ":") 2>/dev/null; then
   as_have_required=yes
 else
   as_have_required=no
 fi
-  if test x$as_have_required = xyes && (eval "$as_suggested") 2>/dev/null; then :
-
-else
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-as_found=false
+
+  if test $as_have_required = yes &&	 (eval ":
+(as_func_return () {
+  (exit \$1)
+}
+as_func_success () {
+  as_func_return 0
+}
+as_func_failure () {
+  as_func_return 1
+}
+as_func_ret_success () {
+  return 0
+}
+as_func_ret_failure () {
+  return 1
+}
+
+exitcode=0
+if as_func_success; then
+  :
+else
+  exitcode=1
+  echo as_func_success failed.
+fi
+
+if as_func_failure; then
+  exitcode=1
+  echo as_func_failure succeeded.
+fi
+
+if as_func_ret_success; then
+  :
+else
+  exitcode=1
+  echo as_func_ret_success failed.
+fi
+
+if as_func_ret_failure; then
+  exitcode=1
+  echo as_func_ret_failure succeeded.
+fi
+
+if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
+  :
+else
+  exitcode=1
+  echo positional parameters were not saved.
+fi
+
+test \$exitcode = 0) || { (exit 1); exit 1; }
+
+(
+  as_lineno_1=\$LINENO
+  as_lineno_2=\$LINENO
+  test \"x\$as_lineno_1\" != \"x\$as_lineno_2\" &&
+  test \"x\`expr \$as_lineno_1 + 1\`\" = \"x\$as_lineno_2\") || { (exit 1); exit 1; }
+") 2> /dev/null; then
+  :
+else
+  as_candidate_shells=
+    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-  as_found=:
-  case $as_dir in #(
+  case $as_dir in
 	 /*)
 	   for as_base in sh bash ksh sh5; do
-	     # Try only shells that exist, to save several forks.
-	     as_shell=$as_dir/$as_base
-	     if { test -f "$as_shell" || test -f "$as_shell.exe"; } &&
-		    { $as_echo "$as_bourne_compatible""$as_required" | as_run=a "$as_shell"; } 2>/dev/null; then :
-  CONFIG_SHELL=$as_shell as_have_required=yes
-		   if { $as_echo "$as_bourne_compatible""$as_suggested" | as_run=a "$as_shell"; } 2>/dev/null; then :
-  break 2
-fi
-fi
+	     as_candidate_shells="$as_candidate_shells $as_dir/$as_base"
 	   done;;
        esac
-  as_found=false
 done
-$as_found || { if { test -f "$SHELL" || test -f "$SHELL.exe"; } &&
-	      { $as_echo "$as_bourne_compatible""$as_required" | as_run=a "$SHELL"; } 2>/dev/null; then :
-  CONFIG_SHELL=$SHELL as_have_required=yes
-fi; }
 IFS=$as_save_IFS
 
 
-      if test "x$CONFIG_SHELL" != x; then :
-  # We cannot yet assume a decent shell, so we have to provide a
-	# neutralization value for shells without unset; and this also
-	# works around shells that cannot unset nonexistent variables.
-	BASH_ENV=/dev/null
-	ENV=/dev/null
-	(unset BASH_ENV) >/dev/null 2>&1 && unset BASH_ENV ENV
+      for as_shell in $as_candidate_shells $SHELL; do
+	 # Try only shells that exist, to save several forks.
+	 if { test -f "$as_shell" || test -f "$as_shell.exe"; } &&
+		{ ("$as_shell") 2> /dev/null <<\_ASEOF
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+  emulate sh
+  NULLCMD=:
+  # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
+  # is contrary to our usage.  Disable this feature.
+  alias -g '${1+"$@"}'='"$@"'
+  setopt NO_GLOB_SUBST
+else
+  case `(set -o) 2>/dev/null` in
+  *posix*) set -o posix ;;
+esac
+
+fi
+
+
+:
+_ASEOF
+}; then
+  CONFIG_SHELL=$as_shell
+	       as_have_required=yes
+	       if { "$as_shell" 2> /dev/null <<\_ASEOF
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+  emulate sh
+  NULLCMD=:
+  # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
+  # is contrary to our usage.  Disable this feature.
+  alias -g '${1+"$@"}'='"$@"'
+  setopt NO_GLOB_SUBST
+else
+  case `(set -o) 2>/dev/null` in
+  *posix*) set -o posix ;;
+esac
+
+fi
+
+
+:
+(as_func_return () {
+  (exit $1)
+}
+as_func_success () {
+  as_func_return 0
+}
+as_func_failure () {
+  as_func_return 1
+}
+as_func_ret_success () {
+  return 0
+}
+as_func_ret_failure () {
+  return 1
+}
+
+exitcode=0
+if as_func_success; then
+  :
+else
+  exitcode=1
+  echo as_func_success failed.
+fi
+
+if as_func_failure; then
+  exitcode=1
+  echo as_func_failure succeeded.
+fi
+
+if as_func_ret_success; then
+  :
+else
+  exitcode=1
+  echo as_func_ret_success failed.
+fi
+
+if as_func_ret_failure; then
+  exitcode=1
+  echo as_func_ret_failure succeeded.
+fi
+
+if ( set x; as_func_ret_success y && test x = "$1" ); then
+  :
+else
+  exitcode=1
+  echo positional parameters were not saved.
+fi
+
+test $exitcode = 0) || { (exit 1); exit 1; }
+
+(
+  as_lineno_1=$LINENO
+  as_lineno_2=$LINENO
+  test "x$as_lineno_1" != "x$as_lineno_2" &&
+  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2") || { (exit 1); exit 1; }
+
+_ASEOF
+}; then
+  break
+fi
+
+fi
+
+      done
+
+      if test "x$CONFIG_SHELL" != x; then
+  for as_var in BASH_ENV ENV
+	do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
+	done
 	export CONFIG_SHELL
 	exec "$CONFIG_SHELL" "$as_myself" ${1+"$@"}
 fi
 
-    if test x$as_have_required = xno; then :
-  $as_echo "$0: This script requires a shell more modern than all"
-  $as_echo "$0: the shells that I found on your system."
-  if test x${ZSH_VERSION+set} = xset ; then
-    $as_echo "$0: In particular, zsh $ZSH_VERSION has bugs and should"
-    $as_echo "$0: be upgraded to zsh 4.3.4 or later."
-  else
-    $as_echo "$0: Please tell bug-autoconf@gnu.org about your system,
-$0: including any error possibly output before this
-$0: message. Then install a modern shell, or manually run
-$0: the script under such a shell if you do have one."
-  fi
-  exit 1
-fi
-fi
-fi
-SHELL=${CONFIG_SHELL-/bin/sh}
-export SHELL
-# Unset more variables known to interfere with behavior of common tools.
-CLICOLOR_FORCE= GREP_OPTIONS=
-unset CLICOLOR_FORCE GREP_OPTIONS
-
-## --------------------- ##
-## M4sh Shell Functions. ##
-## --------------------- ##
-# as_fn_unset VAR
-# ---------------
-# Portably unset VAR.
-as_fn_unset ()
-{
-  { eval $1=; unset $1;}
-}
-as_unset=as_fn_unset
-
-# as_fn_set_status STATUS
-# -----------------------
-# Set $? to STATUS, without forking.
-as_fn_set_status ()
-{
-  return $1
-} # as_fn_set_status
-
-# as_fn_exit STATUS
-# -----------------
-# Exit the shell with STATUS, even in a "trap 0" or "set -e" context.
-as_fn_exit ()
-{
-  set +e
-  as_fn_set_status $1
-  exit $1
-} # as_fn_exit
-
-# as_fn_mkdir_p
-# -------------
-# Create "$as_dir" as a directory, including parents if necessary.
-as_fn_mkdir_p ()
-{
-
-  case $as_dir in #(
-  -*) as_dir=./$as_dir;;
-  esac
-  test -d "$as_dir" || eval $as_mkdir_p || {
-    as_dirs=
-    while :; do
-      case $as_dir in #(
-      *\'*) as_qdir=`$as_echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
-      *) as_qdir=$as_dir;;
-      esac
-      as_dirs="'$as_qdir' $as_dirs"
-      as_dir=`$as_dirname -- "$as_dir" ||
-$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
-	 X"$as_dir" : 'X\(//\)[^/]' \| \
-	 X"$as_dir" : 'X\(//\)$' \| \
-	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
-$as_echo X"$as_dir" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
-	    s//\1/
-	    q
-	  }
-	  /^X\(\/\/\)[^/].*/{
-	    s//\1/
-	    q
-	  }
-	  /^X\(\/\/\)$/{
-	    s//\1/
-	    q
-	  }
-	  /^X\(\/\).*/{
-	    s//\1/
-	    q
-	  }
-	  s/.*/./; q'`
-      test -d "$as_dir" && break
-    done
-    test -z "$as_dirs" || eval "mkdir $as_dirs"
-  } || test -d "$as_dir" || as_fn_error "cannot create directory $as_dir"
-
-
-} # as_fn_mkdir_p
-# as_fn_append VAR VALUE
-# ----------------------
-# Append the text in VALUE to the end of the definition contained in VAR. Take
-# advantage of any shell optimizations that allow amortized linear growth over
-# repeated appends, instead of the typical quadratic growth present in naive
-# implementations.
-if (eval "as_var=1; as_var+=2; test x\$as_var = x12") 2>/dev/null; then :
-  eval 'as_fn_append ()
-  {
-    eval $1+=\$2
-  }'
-else
-  as_fn_append ()
-  {
-    eval $1=\$$1\$2
-  }
-fi # as_fn_append
-
-# as_fn_arith ARG...
-# ------------------
-# Perform arithmetic evaluation on the ARGs, and store the result in the
-# global $as_val. Take advantage of shells that can avoid forks. The arguments
-# must be portable across $(()) and expr.
-if (eval "test \$(( 1 + 1 )) = 2") 2>/dev/null; then :
-  eval 'as_fn_arith ()
-  {
-    as_val=$(( $* ))
-  }'
-else
-  as_fn_arith ()
-  {
-    as_val=`expr "$@" || test $? -eq 1`
-  }
-fi # as_fn_arith
-
-
-# as_fn_error ERROR [LINENO LOG_FD]
-# ---------------------------------
-# Output "`basename $0`: error: ERROR" to stderr. If LINENO and LOG_FD are
-# provided, also output the error to LOG_FD, referencing LINENO. Then exit the
-# script with status $?, using 1 if that was 0.
-as_fn_error ()
-{
-  as_status=$?; test $as_status -eq 0 && as_status=1
-  if test "$3"; then
-    as_lineno=${as_lineno-"$2"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-    $as_echo "$as_me:${as_lineno-$LINENO}: error: $1" >&$3
-  fi
-  $as_echo "$as_me: error: $1" >&2
-  as_fn_exit $as_status
-} # as_fn_error
-
-if expr a : '\(a\)' >/dev/null 2>&1 &&
-   test "X`expr 00001 : '.*\(...\)'`" = X001; then
-  as_expr=expr
-else
-  as_expr=false
-fi
-
-if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
-  as_basename=basename
-else
-  as_basename=false
-fi
-
-if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
-  as_dirname=dirname
-else
-  as_dirname=false
-fi
-
-as_me=`$as_basename -- "$0" ||
-$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
-	 X"$0" : 'X\(//\)$' \| \
-	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
-$as_echo X/"$0" |
-    sed '/^.*\/\([^/][^/]*\)\/*$/{
-	    s//\1/
-	    q
-	  }
-	  /^X\/\(\/\/\)$/{
-	    s//\1/
-	    q
-	  }
-	  /^X\/\(\/\).*/{
-	    s//\1/
-	    q
-	  }
-	  s/.*/./; q'`
-
-# Avoid depending upon Character Ranges.
-as_cr_letters='abcdefghijklmnopqrstuvwxyz'
-as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
-as_cr_Letters=$as_cr_letters$as_cr_LETTERS
-as_cr_digits='0123456789'
-as_cr_alnum=$as_cr_Letters$as_cr_digits
-
-
-  as_lineno_1=$LINENO as_lineno_1a=$LINENO
-  as_lineno_2=$LINENO as_lineno_2a=$LINENO
-  eval 'test "x$as_lineno_1'$as_run'" != "x$as_lineno_2'$as_run'" &&
-  test "x`expr $as_lineno_1'$as_run' + 1`" = "x$as_lineno_2'$as_run'"' || {
-  # Blame Lee E. McMahon (1931-1989) for sed's syntax.  :-)
+
+    if test $as_have_required = no; then
+  echo This script requires a shell more modern than all the
+      echo shells that I found on your system.  Please install a
+      echo modern shell, or manually run the script under such a
+      echo shell if you do have one.
+      { (exit 1); exit 1; }
+fi
+
+
+fi
+
+fi
+
+
+
+(eval "as_func_return () {
+  (exit \$1)
+}
+as_func_success () {
+  as_func_return 0
+}
+as_func_failure () {
+  as_func_return 1
+}
+as_func_ret_success () {
+  return 0
+}
+as_func_ret_failure () {
+  return 1
+}
+
+exitcode=0
+if as_func_success; then
+  :
+else
+  exitcode=1
+  echo as_func_success failed.
+fi
+
+if as_func_failure; then
+  exitcode=1
+  echo as_func_failure succeeded.
+fi
+
+if as_func_ret_success; then
+  :
+else
+  exitcode=1
+  echo as_func_ret_success failed.
+fi
+
+if as_func_ret_failure; then
+  exitcode=1
+  echo as_func_ret_failure succeeded.
+fi
+
+if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
+  :
+else
+  exitcode=1
+  echo positional parameters were not saved.
+fi
+
+test \$exitcode = 0") || {
+  echo No shell found that supports shell functions.
+  echo Please tell bug-autoconf@gnu.org about your system,
+  echo including any error possibly output before this message.
+  echo This can help us improve future autoconf versions.
+  echo Configuration will now proceed without shell functions.
+}
+
+
+
+  as_lineno_1=$LINENO
+  as_lineno_2=$LINENO
+  test "x$as_lineno_1" != "x$as_lineno_2" &&
+  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
+
+  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
+  # uniformly replaced by the line number.  The first 'sed' inserts a
+  # line-number line after each line using $LINENO; the second 'sed'
+  # does the real work.  The second script uses 'N' to pair each
+  # line-number line with the line containing $LINENO, and appends
+  # trailing '-' during substitution so that $LINENO is not a special
+  # case at line end.
+  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
+  # scripts with optimization help from Paolo Bonzini.  Blame Lee
+  # E. McMahon (1931-1989) for sed's syntax.  :-)
   sed -n '
     p
     /[$]LINENO/=
@@ -440,7 +472,8 @@
       s/-\n.*//
     ' >$as_me.lineno &&
   chmod +x "$as_me.lineno" ||
-    { $as_echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2; as_fn_exit 1; }
+    { $as_echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
+   { (exit 1); exit 1; }; }
 
   # Don't try to exec as it changes $[0], causing all sort of problems
   # (the dirname of $[0] is not the place where we might find the
@@ -450,18 +483,29 @@
   exit
 }
 
+
+if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
+  as_dirname=dirname
+else
+  as_dirname=false
+fi
+
 ECHO_C= ECHO_N= ECHO_T=
-case `echo -n x` in #(((((
+case `echo -n x` in
 -n*)
-  case `echo 'xy\c'` in
+  case `echo 'x\c'` in
   *c*) ECHO_T='	';;	# ECHO_T is single tab character.
-  xy)  ECHO_C='\c';;
-  *)   echo `echo ksh88 bug on AIX 6.1` > /dev/null
-       ECHO_T='	';;
+  *)   ECHO_C='\c';;
   esac;;
 *)
   ECHO_N='-n';;
 esac
+if expr a : '\(a\)' >/dev/null 2>&1 &&
+   test "X`expr 00001 : '.*\(...\)'`" = X001; then
+  as_expr=expr
+else
+  as_expr=false
+fi
 
 rm -f conf$$ conf$$.exe conf$$.file
 if test -d conf$$.dir; then
@@ -491,7 +535,7 @@
 rmdir conf$$.dir 2>/dev/null
 
 if mkdir -p . 2>/dev/null; then
-  as_mkdir_p='mkdir -p "$as_dir"'
+  as_mkdir_p=:
 else
   test -d ./-p && rmdir ./-p
   as_mkdir_p=false
@@ -510,10 +554,10 @@
       if test -d "$1"; then
 	test -d "$1/.";
       else
-	case $1 in #(
+	case $1 in
 	-*)set "./$1";;
 	esac;
-	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in #((
+	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
 	???[sx]*):;;*)false;;esac;fi
     '\'' sh
   '
@@ -527,8 +571,8 @@
 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
 
 
-test -n "$DJDIR" || exec 7<&0 </dev/null
-exec 6>&1
+
+exec 7<&0 </dev/null 6>&1
 
 # Name of the host.
 # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
@@ -546,6 +590,7 @@
 subdirs=
 MFLAGS=
 MAKEFLAGS=
+SHELL=${CONFIG_SHELL-/bin/sh}
 
 # Identity of this package.
 PACKAGE_NAME=
@@ -553,7 +598,6 @@
 PACKAGE_VERSION=
 PACKAGE_STRING=
 PACKAGE_BUGREPORT=
-PACKAGE_URL=
 
 ac_unique_file="src/common.h"
 ac_default_prefix=/usr/local/mailman
@@ -655,7 +699,6 @@
 program_transform_name
 prefix
 exec_prefix
-PACKAGE_URL
 PACKAGE_BUGREPORT
 PACKAGE_STRING
 PACKAGE_VERSION
@@ -795,7 +838,8 @@
     ac_useropt=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
     # Reject names that are not valid shell variable names.
     expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
-      as_fn_error "invalid feature name: $ac_useropt"
+      { $as_echo "$as_me: error: invalid feature name: $ac_useropt" >&2
+   { (exit 1); exit 1; }; }
     ac_useropt_orig=$ac_useropt
     ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
     case $ac_user_opts in
@@ -821,7 +865,8 @@
     ac_useropt=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
     # Reject names that are not valid shell variable names.
     expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
-      as_fn_error "invalid feature name: $ac_useropt"
+      { $as_echo "$as_me: error: invalid feature name: $ac_useropt" >&2
+   { (exit 1); exit 1; }; }
     ac_useropt_orig=$ac_useropt
     ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
     case $ac_user_opts in
@@ -1025,7 +1070,8 @@
     ac_useropt=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
     # Reject names that are not valid shell variable names.
     expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
-      as_fn_error "invalid package name: $ac_useropt"
+      { $as_echo "$as_me: error: invalid package name: $ac_useropt" >&2
+   { (exit 1); exit 1; }; }
     ac_useropt_orig=$ac_useropt
     ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
     case $ac_user_opts in
@@ -1041,7 +1087,8 @@
     ac_useropt=`expr "x$ac_option" : 'x-*without-\(.*\)'`
     # Reject names that are not valid shell variable names.
     expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
-      as_fn_error "invalid package name: $ac_useropt"
+      { $as_echo "$as_me: error: invalid package name: $ac_useropt" >&2
+   { (exit 1); exit 1; }; }
     ac_useropt_orig=$ac_useropt
     ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
     case $ac_user_opts in
@@ -1071,17 +1118,17 @@
   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
     x_libraries=$ac_optarg ;;
 
-  -*) as_fn_error "unrecognized option: \`$ac_option'
-Try \`$0 --help' for more information."
+  -*) { $as_echo "$as_me: error: unrecognized option: $ac_option
+Try \`$0 --help' for more information." >&2
+   { (exit 1); exit 1; }; }
     ;;
 
   *=*)
     ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
     # Reject names that are not valid shell variable names.
-    case $ac_envvar in #(
-      '' | [0-9]* | *[!_$as_cr_alnum]* )
-      as_fn_error "invalid variable name: \`$ac_envvar'" ;;
-    esac
+    expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
+      { $as_echo "$as_me: error: invalid variable name: $ac_envvar" >&2
+   { (exit 1); exit 1; }; }
     eval $ac_envvar=\$ac_optarg
     export $ac_envvar ;;
 
@@ -1098,13 +1145,15 @@
 
 if test -n "$ac_prev"; then
   ac_option=--`echo $ac_prev | sed 's/_/-/g'`
-  as_fn_error "missing argument to $ac_option"
+  { $as_echo "$as_me: error: missing argument to $ac_option" >&2
+   { (exit 1); exit 1; }; }
 fi
 
 if test -n "$ac_unrecognized_opts"; then
   case $enable_option_checking in
     no) ;;
-    fatal) as_fn_error "unrecognized options: $ac_unrecognized_opts" ;;
+    fatal) { $as_echo "$as_me: error: unrecognized options: $ac_unrecognized_opts" >&2
+   { (exit 1); exit 1; }; } ;;
     *)     $as_echo "$as_me: WARNING: unrecognized options: $ac_unrecognized_opts" >&2 ;;
   esac
 fi
@@ -1127,7 +1176,8 @@
     [\\/$]* | ?:[\\/]* )  continue;;
     NONE | '' ) case $ac_var in *prefix ) continue;; esac;;
   esac
-  as_fn_error "expected an absolute directory name for --$ac_var: $ac_val"
+  { $as_echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
+   { (exit 1); exit 1; }; }
 done
 
 # There might be people who depend on the old broken behavior: `$host'
@@ -1157,9 +1207,11 @@
 ac_pwd=`pwd` && test -n "$ac_pwd" &&
 ac_ls_di=`ls -di .` &&
 ac_pwd_ls_di=`cd "$ac_pwd" && ls -di .` ||
-  as_fn_error "working directory cannot be determined"
+  { $as_echo "$as_me: error: working directory cannot be determined" >&2
+   { (exit 1); exit 1; }; }
 test "X$ac_ls_di" = "X$ac_pwd_ls_di" ||
-  as_fn_error "pwd does not report name of working directory"
+  { $as_echo "$as_me: error: pwd does not report name of working directory" >&2
+   { (exit 1); exit 1; }; }
 
 
 # Find the source files, if location was not specified.
@@ -1198,11 +1250,13 @@
 fi
 if test ! -r "$srcdir/$ac_unique_file"; then
   test "$ac_srcdir_defaulted" = yes && srcdir="$ac_confdir or .."
-  as_fn_error "cannot find sources ($ac_unique_file) in $srcdir"
+  { $as_echo "$as_me: error: cannot find sources ($ac_unique_file) in $srcdir" >&2
+   { (exit 1); exit 1; }; }
 fi
 ac_msg="sources are in $srcdir, but \`cd $srcdir' does not work"
 ac_abs_confdir=`(
-	cd "$srcdir" && test -r "./$ac_unique_file" || as_fn_error "$ac_msg"
+	cd "$srcdir" && test -r "./$ac_unique_file" || { $as_echo "$as_me: error: $ac_msg" >&2
+   { (exit 1); exit 1; }; }
 	pwd)`
 # When building in place, set srcdir=.
 if test "$ac_abs_confdir" = "$ac_pwd"; then
@@ -1312,14 +1366,13 @@
   LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
               nonstandard directory <lib dir>
   LIBS        libraries to pass to the linker, e.g. -l<library>
-  CPPFLAGS    (Objective) C/C++ preprocessor flags, e.g. -I<include dir> if
+  CPPFLAGS    C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
               you have headers in a nonstandard directory <include dir>
   CPP         C preprocessor
 
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
 
-Report bugs to the package provider.
 _ACEOF
 ac_status=$?
 fi
@@ -1383,372 +1436,21 @@
 if $ac_init_version; then
   cat <<\_ACEOF
 configure
-generated by GNU Autoconf 2.65
+generated by GNU Autoconf 2.63
 
-Copyright (C) 2009 Free Software Foundation, Inc.
+Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
+2002, 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
 This configure script is free software; the Free Software Foundation
 gives unlimited permission to copy, distribute and modify it.
 _ACEOF
   exit
 fi
-
-## ------------------------ ##
-## Autoconf initialization. ##
-## ------------------------ ##
-
-# ac_fn_c_try_compile LINENO
-# --------------------------
-# Try to compile conftest.$ac_ext, and return whether this succeeded.
-ac_fn_c_try_compile ()
-{
-  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  rm -f conftest.$ac_objext
-  if { { ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
-  (eval "$ac_compile") 2>conftest.err
-  ac_status=$?
-  if test -s conftest.err; then
-    grep -v '^ *+' conftest.err >conftest.er1
-    cat conftest.er1 >&5
-    mv -f conftest.er1 conftest.err
-  fi
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then :
-  ac_retval=0
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_retval=1
-fi
-  eval $as_lineno_stack; test "x$as_lineno_stack" = x && { as_lineno=; unset as_lineno;}
-  as_fn_set_status $ac_retval
-
-} # ac_fn_c_try_compile
-
-# ac_fn_c_try_link LINENO
-# -----------------------
-# Try to link conftest.$ac_ext, and return whether this succeeded.
-ac_fn_c_try_link ()
-{
-  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  rm -f conftest.$ac_objext conftest$ac_exeext
-  if { { ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
-  (eval "$ac_link") 2>conftest.err
-  ac_status=$?
-  if test -s conftest.err; then
-    grep -v '^ *+' conftest.err >conftest.er1
-    cat conftest.er1 >&5
-    mv -f conftest.er1 conftest.err
-  fi
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext && {
-	 test "$cross_compiling" = yes ||
-	 $as_test_x conftest$ac_exeext
-       }; then :
-  ac_retval=0
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_retval=1
-fi
-  # Delete the IPA/IPO (Inter Procedural Analysis/Optimization) information
-  # created by the PGI compiler (conftest_ipa8_conftest.oo), as it would
-  # interfere with the next link command; also delete a directory that is
-  # left behind by Apple's compiler.  We do this before executing the actions.
-  rm -rf conftest.dSYM conftest_ipa8_conftest.oo
-  eval $as_lineno_stack; test "x$as_lineno_stack" = x && { as_lineno=; unset as_lineno;}
-  as_fn_set_status $ac_retval
-
-} # ac_fn_c_try_link
-
-# ac_fn_c_check_func LINENO FUNC VAR
-# ----------------------------------
-# Tests whether FUNC exists, setting the cache variable VAR accordingly
-ac_fn_c_check_func ()
-{
-  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
-$as_echo_n "checking for $2... " >&6; }
-if { as_var=$3; eval "test \"\${$as_var+set}\" = set"; }; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-/* Define $2 to an innocuous variant, in case <limits.h> declares $2.
-   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
-#define $2 innocuous_$2
-
-/* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char $2 (); below.
-    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-    <limits.h> exists even on freestanding compilers.  */
-
-#ifdef __STDC__
-# include <limits.h>
-#else
-# include <assert.h>
-#endif
-
-#undef $2
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char $2 ();
-/* The GNU C library defines this for functions which it implements
-    to always fail with ENOSYS.  Some functions are actually named
-    something starting with __ and the normal name is an alias.  */
-#if defined __stub_$2 || defined __stub___$2
-choke me
-#endif
-
-int
-main ()
-{
-return $2 ();
-  ;
-  return 0;
-}
-_ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
-  eval "$3=yes"
-else
-  eval "$3=no"
-fi
-rm -f core conftest.err conftest.$ac_objext \
-    conftest$ac_exeext conftest.$ac_ext
-fi
-eval ac_res=\$$3
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-  eval $as_lineno_stack; test "x$as_lineno_stack" = x && { as_lineno=; unset as_lineno;}
-
-} # ac_fn_c_check_func
-
-# ac_fn_c_try_cpp LINENO
-# ----------------------
-# Try to preprocess conftest.$ac_ext, and return whether this succeeded.
-ac_fn_c_try_cpp ()
-{
-  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  if { { ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.err
-  ac_status=$?
-  if test -s conftest.err; then
-    grep -v '^ *+' conftest.err >conftest.er1
-    cat conftest.er1 >&5
-    mv -f conftest.er1 conftest.err
-  fi
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       }; then :
-  ac_retval=0
-else
-  $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-    ac_retval=1
-fi
-  eval $as_lineno_stack; test "x$as_lineno_stack" = x && { as_lineno=; unset as_lineno;}
-  as_fn_set_status $ac_retval
-
-} # ac_fn_c_try_cpp
-
-# ac_fn_c_try_run LINENO
-# ----------------------
-# Try to link conftest.$ac_ext, and return whether this succeeded. Assumes
-# that executables *can* be run.
-ac_fn_c_try_run ()
-{
-  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  if { { ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
-  (eval "$ac_link") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; } && { ac_try='./conftest$ac_exeext'
-  { { case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
-  (eval "$ac_try") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; }; }; then :
-  ac_retval=0
-else
-  $as_echo "$as_me: program exited with status $ac_status" >&5
-       $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_retval=$ac_status
-fi
-  rm -rf conftest.dSYM conftest_ipa8_conftest.oo
-  eval $as_lineno_stack; test "x$as_lineno_stack" = x && { as_lineno=; unset as_lineno;}
-  as_fn_set_status $ac_retval
-
-} # ac_fn_c_try_run
-
-# ac_fn_c_check_header_mongrel LINENO HEADER VAR INCLUDES
-# -------------------------------------------------------
-# Tests whether HEADER exists, giving a warning if it cannot be compiled using
-# the include files in INCLUDES and setting the cache variable VAR
-# accordingly.
-ac_fn_c_check_header_mongrel ()
-{
-  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  if { as_var=$3; eval "test \"\${$as_var+set}\" = set"; }; then :
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
-$as_echo_n "checking for $2... " >&6; }
-if { as_var=$3; eval "test \"\${$as_var+set}\" = set"; }; then :
-  $as_echo_n "(cached) " >&6
-fi
-eval ac_res=\$$3
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-else
-  # Is the header compilable?
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking $2 usability" >&5
-$as_echo_n "checking $2 usability... " >&6; }
-cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-$4
-#include <$2>
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  ac_header_compiler=yes
-else
-  ac_header_compiler=no
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_header_compiler" >&5
-$as_echo "$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking $2 presence" >&5
-$as_echo_n "checking $2 presence... " >&6; }
-cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <$2>
-_ACEOF
-if ac_fn_c_try_cpp "$LINENO"; then :
-  ac_header_preproc=yes
-else
-  ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_header_preproc" >&5
-$as_echo "$ac_header_preproc" >&6; }
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in #((
-  yes:no: )
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: accepted by the compiler, rejected by the preprocessor!" >&5
-$as_echo "$as_me: WARNING: $2: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: proceeding with the compiler's result" >&5
-$as_echo "$as_me: WARNING: $2: proceeding with the compiler's result" >&2;}
-    ;;
-  no:yes:* )
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: present but cannot be compiled" >&5
-$as_echo "$as_me: WARNING: $2: present but cannot be compiled" >&2;}
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2:     check for missing prerequisite headers?" >&5
-$as_echo "$as_me: WARNING: $2:     check for missing prerequisite headers?" >&2;}
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: see the Autoconf documentation" >&5
-$as_echo "$as_me: WARNING: $2: see the Autoconf documentation" >&2;}
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2:     section \"Present But Cannot Be Compiled\"" >&5
-$as_echo "$as_me: WARNING: $2:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: proceeding with the compiler's result" >&5
-$as_echo "$as_me: WARNING: $2: proceeding with the compiler's result" >&2;}
-    ;;
-esac
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
-$as_echo_n "checking for $2... " >&6; }
-if { as_var=$3; eval "test \"\${$as_var+set}\" = set"; }; then :
-  $as_echo_n "(cached) " >&6
-else
-  eval "$3=\$ac_header_compiler"
-fi
-eval ac_res=\$$3
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-fi
-  eval $as_lineno_stack; test "x$as_lineno_stack" = x && { as_lineno=; unset as_lineno;}
-
-} # ac_fn_c_check_header_mongrel
-
-# ac_fn_c_check_header_compile LINENO HEADER VAR INCLUDES
-# -------------------------------------------------------
-# Tests whether HEADER exists and can be compiled using the include files in
-# INCLUDES, setting the cache variable VAR accordingly.
-ac_fn_c_check_header_compile ()
-{
-  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
-$as_echo_n "checking for $2... " >&6; }
-if { as_var=$3; eval "test \"\${$as_var+set}\" = set"; }; then :
-  $as_echo_n "(cached) " >&6
-else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-$4
-#include <$2>
-_ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
-  eval "$3=yes"
-else
-  eval "$3=no"
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-eval ac_res=\$$3
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-  eval $as_lineno_stack; test "x$as_lineno_stack" = x && { as_lineno=; unset as_lineno;}
-
-} # ac_fn_c_check_header_compile
 cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
 It was created by $as_me, which was
-generated by GNU Autoconf 2.65.  Invocation command line was
+generated by GNU Autoconf 2.63.  Invocation command line was
 
   $ $0 $@
 
@@ -1784,8 +1486,8 @@
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    $as_echo "PATH: $as_dir"
-  done
+  $as_echo "PATH: $as_dir"
+done
 IFS=$as_save_IFS
 
 } >&5
@@ -1822,9 +1524,9 @@
       ac_arg=`$as_echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
     esac
     case $ac_pass in
-    1) as_fn_append ac_configure_args0 " '$ac_arg'" ;;
+    1) ac_configure_args0="$ac_configure_args0 '$ac_arg'" ;;
     2)
-      as_fn_append ac_configure_args1 " '$ac_arg'"
+      ac_configure_args1="$ac_configure_args1 '$ac_arg'"
       if test $ac_must_keep_next = true; then
 	ac_must_keep_next=false # Got value, back to normal.
       else
@@ -1840,13 +1542,13 @@
 	  -* ) ac_must_keep_next=true ;;
 	esac
       fi
-      as_fn_append ac_configure_args " '$ac_arg'"
+      ac_configure_args="$ac_configure_args '$ac_arg'"
       ;;
     esac
   done
 done
-{ ac_configure_args0=; unset ac_configure_args0;}
-{ ac_configure_args1=; unset ac_configure_args1;}
+$as_unset ac_configure_args0 || test "${ac_configure_args0+set}" != set || { ac_configure_args0=; export ac_configure_args0; }
+$as_unset ac_configure_args1 || test "${ac_configure_args1+set}" != set || { ac_configure_args1=; export ac_configure_args1; }
 
 # When interrupted or exit'd, cleanup temporary files, and complete
 # config.log.  We remove comments because anyway the quotes in there
@@ -1871,13 +1573,13 @@
     case $ac_val in #(
     *${as_nl}*)
       case $ac_var in #(
-      *_cv_*) { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: cache variable $ac_var contains a newline" >&5
+      *_cv_*) { $as_echo "$as_me:$LINENO: WARNING: cache variable $ac_var contains a newline" >&5
 $as_echo "$as_me: WARNING: cache variable $ac_var contains a newline" >&2;} ;;
       esac
       case $ac_var in #(
       _ | IFS | as_nl) ;; #(
       BASH_ARGV | BASH_SOURCE) eval $ac_var= ;; #(
-      *) { eval $ac_var=; unset $ac_var;} ;;
+      *) $as_unset $ac_var ;;
       esac ;;
     esac
   done
@@ -1949,41 +1651,39 @@
     exit $exit_status
 ' 0
 for ac_signal in 1 2 13 15; do
-  trap 'ac_signal='$ac_signal'; as_fn_exit 1' $ac_signal
+  trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
 done
 ac_signal=0
 
 # confdefs.h avoids OS command line length limits that DEFS can exceed.
 rm -f -r conftest* confdefs.h
 
-$as_echo "/* confdefs.h */" > confdefs.h
-
 # Predefined preprocessor variables.
 
 cat >>confdefs.h <<_ACEOF
 #define PACKAGE_NAME "$PACKAGE_NAME"
 _ACEOF
 
+
 cat >>confdefs.h <<_ACEOF
 #define PACKAGE_TARNAME "$PACKAGE_TARNAME"
 _ACEOF
 
+
 cat >>confdefs.h <<_ACEOF
 #define PACKAGE_VERSION "$PACKAGE_VERSION"
 _ACEOF
 
+
 cat >>confdefs.h <<_ACEOF
 #define PACKAGE_STRING "$PACKAGE_STRING"
 _ACEOF
 
+
 cat >>confdefs.h <<_ACEOF
 #define PACKAGE_BUGREPORT "$PACKAGE_BUGREPORT"
 _ACEOF
 
-cat >>confdefs.h <<_ACEOF
-#define PACKAGE_URL "$PACKAGE_URL"
-_ACEOF
-
 
 # Let the site file select an alternate cache file if it wants to.
 # Prefer an explicitly selected file to automatically selected ones.
@@ -2001,8 +1701,8 @@
 for ac_site_file in "$ac_site_file1" "$ac_site_file2"
 do
   test "x$ac_site_file" = xNONE && continue
-  if test /dev/null != "$ac_site_file" && test -r "$ac_site_file"; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: loading site script $ac_site_file" >&5
+  if test -r "$ac_site_file"; then
+    { $as_echo "$as_me:$LINENO: loading site script $ac_site_file" >&5
 $as_echo "$as_me: loading site script $ac_site_file" >&6;}
     sed 's/^/| /' "$ac_site_file" >&5
     . "$ac_site_file"
@@ -2010,10 +1710,10 @@
 done
 
 if test -r "$cache_file"; then
-  # Some versions of bash will fail to source /dev/null (special files
-  # actually), so we avoid doing that.  DJGPP emulates it as a regular file.
-  if test /dev/null != "$cache_file" && test -f "$cache_file"; then
-    { $as_echo "$as_me:${as_lineno-$LINENO}: loading cache $cache_file" >&5
+  # Some versions of bash will fail to source /dev/null (special
+  # files actually), so we avoid doing that.
+  if test -f "$cache_file"; then
+    { $as_echo "$as_me:$LINENO: loading cache $cache_file" >&5
 $as_echo "$as_me: loading cache $cache_file" >&6;}
     case $cache_file in
       [\\/]* | ?:[\\/]* ) . "$cache_file";;
@@ -2021,7 +1721,7 @@
     esac
   fi
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: creating cache $cache_file" >&5
+  { $as_echo "$as_me:$LINENO: creating cache $cache_file" >&5
 $as_echo "$as_me: creating cache $cache_file" >&6;}
   >$cache_file
 fi
@@ -2036,11 +1736,11 @@
   eval ac_new_val=\$ac_env_${ac_var}_value
   case $ac_old_set,$ac_new_set in
     set,)
-      { $as_echo "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
+      { $as_echo "$as_me:$LINENO: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
 $as_echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
       ac_cache_corrupted=: ;;
     ,set)
-      { $as_echo "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' was not set in the previous run" >&5
+      { $as_echo "$as_me:$LINENO: error: \`$ac_var' was not set in the previous run" >&5
 $as_echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
       ac_cache_corrupted=: ;;
     ,);;
@@ -2050,17 +1750,17 @@
 	ac_old_val_w=`echo x $ac_old_val`
 	ac_new_val_w=`echo x $ac_new_val`
 	if test "$ac_old_val_w" != "$ac_new_val_w"; then
-	  { $as_echo "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' has changed since the previous run:" >&5
+	  { $as_echo "$as_me:$LINENO: error: \`$ac_var' has changed since the previous run:" >&5
 $as_echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
 	  ac_cache_corrupted=:
 	else
-	  { $as_echo "$as_me:${as_lineno-$LINENO}: warning: ignoring whitespace changes in \`$ac_var' since the previous run:" >&5
+	  { $as_echo "$as_me:$LINENO: warning: ignoring whitespace changes in \`$ac_var' since the previous run:" >&5
 $as_echo "$as_me: warning: ignoring whitespace changes in \`$ac_var' since the previous run:" >&2;}
 	  eval $ac_var=\$ac_old_val
 	fi
-	{ $as_echo "$as_me:${as_lineno-$LINENO}:   former value:  \`$ac_old_val'" >&5
+	{ $as_echo "$as_me:$LINENO:   former value:  \`$ac_old_val'" >&5
 $as_echo "$as_me:   former value:  \`$ac_old_val'" >&2;}
-	{ $as_echo "$as_me:${as_lineno-$LINENO}:   current value: \`$ac_new_val'" >&5
+	{ $as_echo "$as_me:$LINENO:   current value: \`$ac_new_val'" >&5
 $as_echo "$as_me:   current value: \`$ac_new_val'" >&2;}
       fi;;
   esac
@@ -2072,20 +1772,35 @@
     esac
     case " $ac_configure_args " in
       *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
-      *) as_fn_append ac_configure_args " '$ac_arg'" ;;
+      *) ac_configure_args="$ac_configure_args '$ac_arg'" ;;
     esac
   fi
 done
 if $ac_cache_corrupted; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+  { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
 $as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-  { $as_echo "$as_me:${as_lineno-$LINENO}: error: changes in the environment can compromise the build" >&5
+  { $as_echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5
 $as_echo "$as_me: error: changes in the environment can compromise the build" >&2;}
-  as_fn_error "run \`make distclean' and/or \`rm $cache_file' and start over" "$LINENO" 5
+  { { $as_echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
+$as_echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
+   { (exit 1); exit 1; }; }
 fi
-## -------------------- ##
-## Main body of script. ##
-## -------------------- ##
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
 
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
@@ -2101,11 +1816,11 @@
 
 
 # Check for Python!  Better be found on $PATH
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for --with-python" >&5
+{ $as_echo "$as_me:$LINENO: checking for --with-python" >&5
 $as_echo_n "checking for --with-python... " >&6; }
 
 # Check whether --with-python was given.
-if test "${with_python+set}" = set; then :
+if test "${with_python+set}" = set; then
   withval=$with_python;
 fi
 
@@ -2113,16 +1828,16 @@
     "") ans="no";;
     *)  ans="$with_python"
 esac
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ans" >&5
+{ $as_echo "$as_me:$LINENO: result: $ans" >&5
 $as_echo "$ans" >&6; }
 
 if test -z "$with_python"
 then
         # Extract the first word of "python", so it can be a program name with args.
 set dummy python; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_with_python+set}" = set; then :
+if test "${ac_cv_path_with_python+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   case $with_python in
@@ -2135,14 +1850,14 @@
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    for ac_exec_ext in '' $ac_executable_extensions; do
+  for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_path_with_python="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
-  done
+done
 IFS=$as_save_IFS
 
   test -z "$ac_cv_path_with_python" && ac_cv_path_with_python="/usr/local/bin/python"
@@ -2151,33 +1866,39 @@
 fi
 with_python=$ac_cv_path_with_python
 if test -n "$with_python"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $with_python" >&5
+  { $as_echo "$as_me:$LINENO: result: $with_python" >&5
 $as_echo "$with_python" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+  { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
 
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking Python interpreter" >&5
+{ $as_echo "$as_me:$LINENO: checking Python interpreter" >&5
 $as_echo_n "checking Python interpreter... " >&6; }
 if test ! -x $with_python
 then
-    as_fn_error "
-
-***** No Python interpreter found!
-***** Try including the configure option
-***** --with-python=/path/to/python/interpreter" "$LINENO" 5
+    { { $as_echo "$as_me:$LINENO: error:
+
+***** No Python interpreter found!
+***** Try including the configure option
+***** --with-python=/path/to/python/interpreter" >&5
+$as_echo "$as_me: error:
+
+***** No Python interpreter found!
+***** Try including the configure option
+***** --with-python=/path/to/python/interpreter" >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
 PYTHON=$with_python
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $PYTHON" >&5
+{ $as_echo "$as_me:$LINENO: result: $PYTHON" >&5
 $as_echo "$PYTHON" >&6; }
 
 # See if Python is new enough.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking Python version" >&5
+{ $as_echo "$as_me:$LINENO: checking Python version" >&5
 $as_echo_n "checking Python version... " >&6; }
 
 cat > conftest.py <<EOF
@@ -2200,16 +1921,21 @@
 rm -f conftest.out conftest.py
 if test -z "$version"
 then
-    as_fn_error "
-
-***** $PYTHON is too old (or broken)
-***** Python 2.4 or newer is required" "$LINENO" 5
+    { { $as_echo "$as_me:$LINENO: error:
+
+***** $PYTHON is too old (or broken)
+***** Python 2.4 or newer is required" >&5
+$as_echo "$as_me: error:
+
+***** $PYTHON is too old (or broken)
+***** Python 2.4 or newer is required" >&2;}
+   { (exit 1); exit 1; }; }
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $version" >&5
+{ $as_echo "$as_me:$LINENO: result: $version" >&5
 $as_echo "$version" >&6; }
 
 # Check the email package version.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking Python's email package" >&5
+{ $as_echo "$as_me:$LINENO: checking Python's email package" >&5
 $as_echo_n "checking Python's email package... " >&6; }
 
 cat > conftest.py <<EOF
@@ -2242,11 +1968,11 @@
 else
     EMAILPKG=email-2.5.8
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $needemailpkg" >&5
+{ $as_echo "$as_me:$LINENO: result: $needemailpkg" >&5
 $as_echo "$needemailpkg" >&6; }
 
 # Check Japanese codecs.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking Japanese codecs" >&5
+{ $as_echo "$as_me:$LINENO: checking Japanese codecs" >&5
 $as_echo_n "checking Japanese codecs... " >&6; }
 
 cat > conftest.py <<EOF
@@ -2273,11 +1999,11 @@
 else
     JACODECSPKG=JapaneseCodecs-1.4.11
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $needjacodecs" >&5
+{ $as_echo "$as_me:$LINENO: result: $needjacodecs" >&5
 $as_echo "$needjacodecs" >&6; }
 
 # Check Korean codecs.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking Korean codecs" >&5
+{ $as_echo "$as_me:$LINENO: checking Korean codecs" >&5
 $as_echo_n "checking Korean codecs... " >&6; }
 
 cat > conftest.py <<EOF
@@ -2304,12 +2030,12 @@
 else
     KOCODECSPKG=KoreanCodecs-2.0.5
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $needkocodecs" >&5
+{ $as_echo "$as_me:$LINENO: result: $needkocodecs" >&5
 $as_echo "$needkocodecs" >&6; }
 
 # Make sure distutils is available.  Some Linux Python packages split
 # distutils into the "-devel" package, so they need both.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking that Python has a working distutils" >&5
+{ $as_echo "$as_me:$LINENO: checking that Python has a working distutils" >&5
 $as_echo_n "checking that Python has a working distutils... " >&6; }
 
 cat > conftest.py <<EOF
@@ -2342,30 +2068,46 @@
 rm -f conftest.out conftest.py
 if test "$havedistutils" != "yes"
 then
-    as_fn_error "
-
-***** Distutils is not available or is incomplete for $PYTHON
-***** If you installed Python from RPM (or other package manager)
-***** be sure to install the -devel package, or install Python
-***** from source.  See sec. 15.1 of the Installation Manual for
-***** details" "$LINENO" 5
+    { { $as_echo "$as_me:$LINENO: error:
+
+***** Distutils is not available or is incomplete for $PYTHON
+***** If you installed Python from RPM (or other package manager)
+***** be sure to install the -devel package, or install Python
+***** from source.  See sec. 15.1 of the Installation Manual for
+***** details" >&5
+$as_echo "$as_me: error:
+
+***** Distutils is not available or is incomplete for $PYTHON
+***** If you installed Python from RPM (or other package manager)
+***** be sure to install the -devel package, or install Python
+***** from source.  See sec. 15.1 of the Installation Manual for
+***** details" >&2;}
+   { (exit 1); exit 1; }; }
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $havedistutils" >&5
+{ $as_echo "$as_me:$LINENO: result: $havedistutils" >&5
 $as_echo "$havedistutils" >&6; }
 
 # Checks for programs.
 ac_aux_dir=
 for ac_dir in "$srcdir" "$srcdir/.." "$srcdir/../.."; do
-  for ac_t in install-sh install.sh shtool; do
-    if test -f "$ac_dir/$ac_t"; then
-      ac_aux_dir=$ac_dir
-      ac_install_sh="$ac_aux_dir/$ac_t -c"
-      break 2
-    fi
-  done
+  if test -f "$ac_dir/install-sh"; then
+    ac_aux_dir=$ac_dir
+    ac_install_sh="$ac_aux_dir/install-sh -c"
+    break
+  elif test -f "$ac_dir/install.sh"; then
+    ac_aux_dir=$ac_dir
+    ac_install_sh="$ac_aux_dir/install.sh -c"
+    break
+  elif test -f "$ac_dir/shtool"; then
+    ac_aux_dir=$ac_dir
+    ac_install_sh="$ac_aux_dir/shtool install -c"
+    break
+  fi
 done
 if test -z "$ac_aux_dir"; then
-  as_fn_error "cannot find install-sh, install.sh, or shtool in \"$srcdir\" \"$srcdir/..\" \"$srcdir/../..\"" "$LINENO" 5
+  { { $as_echo "$as_me:$LINENO: error: cannot find install-sh or install.sh in \"$srcdir\" \"$srcdir/..\" \"$srcdir/../..\"" >&5
+$as_echo "$as_me: error: cannot find install-sh or install.sh in \"$srcdir\" \"$srcdir/..\" \"$srcdir/../..\"" >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
 # These three variables are undocumented and unsupported,
@@ -2391,10 +2133,10 @@
 # OS/2's system install, which has a completely different semantic
 # ./install, which can be erroneously created by make from ./install.sh.
 # Reject install programs that cannot install multiple files.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for a BSD-compatible install" >&5
+{ $as_echo "$as_me:$LINENO: checking for a BSD-compatible install" >&5
 $as_echo_n "checking for a BSD-compatible install... " >&6; }
 if test -z "$INSTALL"; then
-if test "${ac_cv_path_install+set}" = set; then :
+if test "${ac_cv_path_install+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
@@ -2402,11 +2144,11 @@
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    # Account for people who put trailing slashes in PATH elements.
-case $as_dir/ in #((
-  ./ | .// | /[cC]/* | \
+  # Account for people who put trailing slashes in PATH elements.
+case $as_dir/ in
+  ./ | .// | /cC/* | \
   /etc/* | /usr/sbin/* | /usr/etc/* | /sbin/* | /usr/afsws/bin/* | \
-  ?:[\\/]os2[\\/]install[\\/]* | ?:[\\/]OS2[\\/]INSTALL[\\/]* | \
+  ?:\\/os2\\/install\\/* | ?:\\/OS2\\/INSTALL\\/* | \
   /usr/ucb/* ) ;;
   *)
     # OSF1 and SCO ODT 3.0 have their own names for install.
@@ -2443,7 +2185,7 @@
     ;;
 esac
 
-  done
+done
 IFS=$as_save_IFS
 
 rm -rf conftest.one conftest.two conftest.dir
@@ -2459,7 +2201,7 @@
     INSTALL=$ac_install_sh
   fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $INSTALL" >&5
+{ $as_echo "$as_me:$LINENO: result: $INSTALL" >&5
 $as_echo "$INSTALL" >&6; }
 
 # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
@@ -2470,11 +2212,11 @@
 
 test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ${MAKE-make} sets \$(MAKE)" >&5
+{ $as_echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
 $as_echo_n "checking whether ${MAKE-make} sets \$(MAKE)... " >&6; }
 set x ${MAKE-make}
 ac_make=`$as_echo "$2" | sed 's/+/p/g; s/[^a-zA-Z0-9_]/_/g'`
-if { as_var=ac_cv_prog_make_${ac_make}_set; eval "test \"\${$as_var+set}\" = set"; }; then :
+if { as_var=ac_cv_prog_make_${ac_make}_set; eval "test \"\${$as_var+set}\" = set"; }; then
   $as_echo_n "(cached) " >&6
 else
   cat >conftest.make <<\_ACEOF
@@ -2492,20 +2234,20 @@
 rm -f conftest.make
 fi
 if eval test \$ac_cv_prog_make_${ac_make}_set = yes; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+  { $as_echo "$as_me:$LINENO: result: yes" >&5
 $as_echo "yes" >&6; }
   SET_MAKE=
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+  { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
   SET_MAKE="MAKE=${MAKE-make}"
 fi
 
 # Extract the first word of "true", so it can be a program name with args.
 set dummy true; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_TRUE+set}" = set; then :
+if test "${ac_cv_path_TRUE+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   case $TRUE in
@@ -2519,14 +2261,14 @@
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    for ac_exec_ext in '' $ac_executable_extensions; do
+  for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_path_TRUE="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
-  done
+done
 IFS=$as_save_IFS
 
   test -z "$ac_cv_path_TRUE" && ac_cv_path_TRUE="true"
@@ -2535,21 +2277,21 @@
 fi
 TRUE=$ac_cv_path_TRUE
 if test -n "$TRUE"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $TRUE" >&5
+  { $as_echo "$as_me:$LINENO: result: $TRUE" >&5
 $as_echo "$TRUE" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+  { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
 
 
 # Find compiler, allow alternatives to gcc
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for --without-gcc" >&5
+{ $as_echo "$as_me:$LINENO: checking for --without-gcc" >&5
 $as_echo_n "checking for --without-gcc... " >&6; }
 
 # Check whether --with-gcc was given.
-if test "${with_gcc+set}" = set; then :
+if test "${with_gcc+set}" = set; then
   withval=$with_gcc;
         case $withval in
         no)     CC=cc
@@ -2563,14 +2305,17 @@
   without_gcc=no;
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $without_gcc" >&5
+{ $as_echo "$as_me:$LINENO: result: $without_gcc" >&5
 $as_echo "$without_gcc" >&6; }
 
 # If the user switches compilers, we can't believe the cache
 if test ! -z "$ac_cv_prog_CC" -a ! -z "$CC" -a "$CC" != "$ac_cv_prog_CC"
 then
-  as_fn_error "cached CC is different -- throw away $cache_file
-(it is also a good idea to do 'make clean' before compiling)" "$LINENO" 5
+  { { $as_echo "$as_me:$LINENO: error: cached CC is different -- throw away $cache_file
+(it is also a good idea to do 'make clean' before compiling)" >&5
+$as_echo "$as_me: error: cached CC is different -- throw away $cache_file
+(it is also a good idea to do 'make clean' before compiling)" >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
 ac_ext=c
@@ -2581,9 +2326,9 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
 set dummy ${ac_tool_prefix}gcc; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_prog_CC+set}" = set; then :
+if test "${ac_cv_prog_CC+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   if test -n "$CC"; then
@@ -2594,24 +2339,24 @@
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    for ac_exec_ext in '' $ac_executable_extensions; do
+  for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_CC="${ac_tool_prefix}gcc"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
-  done
+done
 IFS=$as_save_IFS
 
 fi
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
+  { $as_echo "$as_me:$LINENO: result: $CC" >&5
 $as_echo "$CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+  { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
@@ -2621,9 +2366,9 @@
   ac_ct_CC=$CC
   # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_prog_ac_ct_CC+set}" = set; then :
+if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   if test -n "$ac_ct_CC"; then
@@ -2634,24 +2379,24 @@
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    for ac_exec_ext in '' $ac_executable_extensions; do
+  for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_ac_ct_CC="gcc"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
-  done
+done
 IFS=$as_save_IFS
 
 fi
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
+  { $as_echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
 $as_echo "$ac_ct_CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+  { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
@@ -2660,7 +2405,7 @@
   else
     case $cross_compiling:$ac_tool_warned in
 yes:)
-{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
+{ $as_echo "$as_me:$LINENO: WARNING: using cross tools not prefixed with host triplet" >&5
 $as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
 ac_tool_warned=yes ;;
 esac
@@ -2674,9 +2419,9 @@
           if test -n "$ac_tool_prefix"; then
     # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
 set dummy ${ac_tool_prefix}cc; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_prog_CC+set}" = set; then :
+if test "${ac_cv_prog_CC+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   if test -n "$CC"; then
@@ -2687,24 +2432,24 @@
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    for ac_exec_ext in '' $ac_executable_extensions; do
+  for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_CC="${ac_tool_prefix}cc"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
-  done
+done
 IFS=$as_save_IFS
 
 fi
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
+  { $as_echo "$as_me:$LINENO: result: $CC" >&5
 $as_echo "$CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+  { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
@@ -2714,9 +2459,9 @@
 if test -z "$CC"; then
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_prog_CC+set}" = set; then :
+if test "${ac_cv_prog_CC+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   if test -n "$CC"; then
@@ -2728,18 +2473,18 @@
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    for ac_exec_ext in '' $ac_executable_extensions; do
+  for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
        ac_prog_rejected=yes
        continue
      fi
     ac_cv_prog_CC="cc"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
-  done
+done
 IFS=$as_save_IFS
 
 if test $ac_prog_rejected = yes; then
@@ -2758,10 +2503,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
+  { $as_echo "$as_me:$LINENO: result: $CC" >&5
 $as_echo "$CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+  { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
@@ -2773,9 +2518,9 @@
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_prog_CC+set}" = set; then :
+if test "${ac_cv_prog_CC+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   if test -n "$CC"; then
@@ -2786,24 +2531,24 @@
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    for ac_exec_ext in '' $ac_executable_extensions; do
+  for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
-  done
+done
 IFS=$as_save_IFS
 
 fi
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
+  { $as_echo "$as_me:$LINENO: result: $CC" >&5
 $as_echo "$CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+  { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
@@ -2817,9 +2562,9 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_prog_ac_ct_CC+set}" = set; then :
+if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   if test -n "$ac_ct_CC"; then
@@ -2830,24 +2575,24 @@
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    for ac_exec_ext in '' $ac_executable_extensions; do
+  for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_ac_ct_CC="$ac_prog"
-    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
-  done
+done
 IFS=$as_save_IFS
 
 fi
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
+  { $as_echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
 $as_echo "$ac_ct_CC" >&6; }
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+  { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
@@ -2860,7 +2605,7 @@
   else
     case $cross_compiling:$ac_tool_warned in
 yes:)
-{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
+{ $as_echo "$as_me:$LINENO: WARNING: using cross tools not prefixed with host triplet" >&5
 $as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
 ac_tool_warned=yes ;;
 esac
@@ -2871,37 +2616,57 @@
 fi
 
 
-test -z "$CC" && { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+test -z "$CC" && { { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
 $as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-as_fn_error "no acceptable C compiler found in \$PATH
-See \`config.log' for more details." "$LINENO" 5; }
+{ { $as_echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: no acceptable C compiler found in \$PATH
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }; }
 
 # Provide some information about the compiler.
-$as_echo "$as_me:${as_lineno-$LINENO}: checking for C compiler version" >&5
+$as_echo "$as_me:$LINENO: checking for C compiler version" >&5
 set X $ac_compile
 ac_compiler=$2
-for ac_option in --version -v -V -qversion; do
-  { { ac_try="$ac_compiler $ac_option >&5"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
-  (eval "$ac_compiler $ac_option >&5") 2>conftest.err
-  ac_status=$?
-  if test -s conftest.err; then
-    sed '10a\
-... rest of stderr output deleted ...
-         10q' conftest.err >conftest.er1
-    cat conftest.er1 >&5
-  fi
-  rm -f conftest.er1 conftest.err
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; }
-done
+{ (ac_try="$ac_compiler --version >&5"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compiler --version >&5") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }
+{ (ac_try="$ac_compiler -v >&5"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compiler -v >&5") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }
+{ (ac_try="$ac_compiler -V >&5"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compiler -V >&5") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }
 
-cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
 int
@@ -2917,8 +2682,8 @@
 # Try to create an executable without -o first, disregard a.out.
 # It will help us diagnose broken compilers, and finding out an intuition
 # of exeext.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the C compiler works" >&5
-$as_echo_n "checking whether the C compiler works... " >&6; }
+{ $as_echo "$as_me:$LINENO: checking for C compiler default output file name" >&5
+$as_echo_n "checking for C compiler default output file name... " >&6; }
 ac_link_default=`$as_echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
 
 # The possible output files:
@@ -2934,17 +2699,17 @@
 done
 rm -f $ac_rmfiles
 
-if { { ac_try="$ac_link_default"
+if { (ac_try="$ac_link_default"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
-eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
   (eval "$ac_link_default") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; }; then :
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
   # Autoconf-2.13 could set the ac_cv_exeext variable to `no'.
 # So ignore a value of `no', otherwise this would lead to `EXEEXT = no'
 # in a Makefile.  We should not override ac_cv_exeext if it was cached,
@@ -2961,7 +2726,7 @@
 	# certainly right.
 	break;;
     *.* )
-	if test "${ac_cv_exeext+set}" = set && test "$ac_cv_exeext" != no;
+        if test "${ac_cv_exeext+set}" = set && test "$ac_cv_exeext" != no;
 	then :; else
 	   ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
 	fi
@@ -2980,42 +2745,84 @@
 else
   ac_file=''
 fi
-if test -z "$ac_file"; then :
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
-$as_echo "no" >&6; }
-$as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
 
-{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-{ as_fn_set_status 77
-as_fn_error "C compiler cannot create executables
-See \`config.log' for more details." "$LINENO" 5; }; }
-else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
-$as_echo "yes" >&6; }
-fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for C compiler default output file name" >&5
-$as_echo_n "checking for C compiler default output file name... " >&6; }
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_file" >&5
+{ $as_echo "$as_me:$LINENO: result: $ac_file" >&5
 $as_echo "$ac_file" >&6; }
+if test -z "$ac_file"; then
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
+$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+{ { $as_echo "$as_me:$LINENO: error: C compiler cannot create executables
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: C compiler cannot create executables
+See \`config.log' for more details." >&2;}
+   { (exit 77); exit 77; }; }; }
+fi
+
 ac_exeext=$ac_cv_exeext
 
+# Check that the compiler produces executables we can run.  If not, either
+# the compiler is broken, or we cross compile.
+{ $as_echo "$as_me:$LINENO: checking whether the C compiler works" >&5
+$as_echo_n "checking whether the C compiler works... " >&6; }
+# FIXME: These cross compiler hacks should be removed for Autoconf 3.0
+# If not cross compiling, check that we can run a simple program.
+if test "$cross_compiling" != yes; then
+  if { ac_try='./$ac_file'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+    cross_compiling=no
+  else
+    if test "$cross_compiling" = maybe; then
+	cross_compiling=yes
+    else
+	{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
+$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+{ { $as_echo "$as_me:$LINENO: error: cannot run C compiled programs.
+If you meant to cross compile, use \`--host'.
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: cannot run C compiled programs.
+If you meant to cross compile, use \`--host'.
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }; }
+    fi
+  fi
+fi
+{ $as_echo "$as_me:$LINENO: result: yes" >&5
+$as_echo "yes" >&6; }
+
 rm -f -r a.out a.out.dSYM a.exe conftest$ac_cv_exeext b.out
 ac_clean_files=$ac_clean_files_save
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for suffix of executables" >&5
+# Check that the compiler produces executables we can run.  If not, either
+# the compiler is broken, or we cross compile.
+{ $as_echo "$as_me:$LINENO: checking whether we are cross compiling" >&5
+$as_echo_n "checking whether we are cross compiling... " >&6; }
+{ $as_echo "$as_me:$LINENO: result: $cross_compiling" >&5
+$as_echo "$cross_compiling" >&6; }
+
+{ $as_echo "$as_me:$LINENO: checking for suffix of executables" >&5
 $as_echo_n "checking for suffix of executables... " >&6; }
-if { { ac_try="$ac_link"
+if { (ac_try="$ac_link"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
-eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
   (eval "$ac_link") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; }; then :
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
   # If both `conftest.exe' and `conftest' are `present' (well, observable)
 # catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
 # work properly (i.e., refer to `conftest.exe'), while it won't with
@@ -3030,83 +2837,32 @@
   esac
 done
 else
-  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+  { { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
 $as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-as_fn_error "cannot compute suffix of executables: cannot compile and link
-See \`config.log' for more details." "$LINENO" 5; }
+{ { $as_echo "$as_me:$LINENO: error: cannot compute suffix of executables: cannot compile and link
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: cannot compute suffix of executables: cannot compile and link
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }; }
 fi
-rm -f conftest conftest$ac_cv_exeext
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_exeext" >&5
+
+rm -f conftest$ac_cv_exeext
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_exeext" >&5
 $as_echo "$ac_cv_exeext" >&6; }
 
 rm -f conftest.$ac_ext
 EXEEXT=$ac_cv_exeext
 ac_exeext=$EXEEXT
-cat confdefs.h - <<_ACEOF >conftest.$ac_ext
-/* end confdefs.h.  */
-#include <stdio.h>
-int
-main ()
-{
-FILE *f = fopen ("conftest.out", "w");
- return ferror (f) || fclose (f) != 0;
-
-  ;
-  return 0;
-}
-_ACEOF
-ac_clean_files="$ac_clean_files conftest.out"
-# Check that the compiler produces executables we can run.  If not, either
-# the compiler is broken, or we cross compile.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are cross compiling" >&5
-$as_echo_n "checking whether we are cross compiling... " >&6; }
-if test "$cross_compiling" != yes; then
-  { { ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
-  (eval "$ac_link") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; }
-  if { ac_try='./conftest$ac_cv_exeext'
-  { { case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
-  (eval "$ac_try") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; }; }; then
-    cross_compiling=no
-  else
-    if test "$cross_compiling" = maybe; then
-	cross_compiling=yes
-    else
-	{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
-$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-as_fn_error "cannot run C compiled programs.
-If you meant to cross compile, use \`--host'.
-See \`config.log' for more details." "$LINENO" 5; }
-    fi
-  fi
-fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $cross_compiling" >&5
-$as_echo "$cross_compiling" >&6; }
-
-rm -f conftest.$ac_ext conftest$ac_cv_exeext conftest.out
-ac_clean_files=$ac_clean_files_save
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for suffix of object files" >&5
+{ $as_echo "$as_me:$LINENO: checking for suffix of object files" >&5
 $as_echo_n "checking for suffix of object files... " >&6; }
-if test "${ac_cv_objext+set}" = set; then :
+if test "${ac_cv_objext+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
 int
@@ -3118,17 +2874,17 @@
 }
 _ACEOF
 rm -f conftest.o conftest.obj
-if { { ac_try="$ac_compile"
+if { (ac_try="$ac_compile"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
-eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
-$as_echo "$ac_try_echo"; } >&5
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
   (eval "$ac_compile") 2>&5
   ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; }; then :
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
   for ac_file in conftest.o conftest.obj conftest.*; do
   test -f "$ac_file" || continue;
   case $ac_file in
@@ -3141,23 +2897,31 @@
   $as_echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+{ { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
 $as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-as_fn_error "cannot compute suffix of object files: cannot compile
-See \`config.log' for more details." "$LINENO" 5; }
+{ { $as_echo "$as_me:$LINENO: error: cannot compute suffix of object files: cannot compile
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: cannot compute suffix of object files: cannot compile
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }; }
 fi
+
 rm -f conftest.$ac_cv_objext conftest.$ac_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_objext" >&5
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_objext" >&5
 $as_echo "$ac_cv_objext" >&6; }
 OBJEXT=$ac_cv_objext
 ac_objext=$OBJEXT
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using the GNU C compiler" >&5
+{ $as_echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5
 $as_echo_n "checking whether we are using the GNU C compiler... " >&6; }
-if test "${ac_cv_c_compiler_gnu+set}" = set; then :
+if test "${ac_cv_c_compiler_gnu+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
 int
@@ -3171,16 +2935,37 @@
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_compiler_gnu=yes
 else
-  ac_compiler_gnu=no
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_compiler_gnu=no
 fi
+
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 ac_cv_c_compiler_gnu=$ac_compiler_gnu
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_compiler_gnu" >&5
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5
 $as_echo "$ac_cv_c_compiler_gnu" >&6; }
 if test $ac_compiler_gnu = yes; then
   GCC=yes
@@ -3189,16 +2974,20 @@
 fi
 ac_test_CFLAGS=${CFLAGS+set}
 ac_save_CFLAGS=$CFLAGS
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $CC accepts -g" >&5
+{ $as_echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
 $as_echo_n "checking whether $CC accepts -g... " >&6; }
-if test "${ac_cv_prog_cc_g+set}" = set; then :
+if test "${ac_cv_prog_cc_g+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   ac_save_c_werror_flag=$ac_c_werror_flag
    ac_c_werror_flag=yes
    ac_cv_prog_cc_g=no
    CFLAGS="-g"
-   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+   cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
 int
@@ -3209,11 +2998,35 @@
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_cv_prog_cc_g=yes
 else
-  CFLAGS=""
-      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	CFLAGS=""
+      cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
 int
@@ -3224,12 +3037,36 @@
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  :
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-else
-  ac_c_werror_flag=$ac_save_c_werror_flag
+	ac_c_werror_flag=$ac_save_c_werror_flag
 	 CFLAGS="-g"
-	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+	 cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
 int
@@ -3240,17 +3077,42 @@
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_cv_prog_cc_g=yes
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    ac_c_werror_flag=$ac_save_c_werror_flag
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_g" >&5
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
 $as_echo "$ac_cv_prog_cc_g" >&6; }
 if test "$ac_test_CFLAGS" = set; then
   CFLAGS=$ac_save_CFLAGS
@@ -3267,14 +3129,18 @@
     CFLAGS=
   fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $CC option to accept ISO C89" >&5
+{ $as_echo "$as_me:$LINENO: checking for $CC option to accept ISO C89" >&5
 $as_echo_n "checking for $CC option to accept ISO C89... " >&6; }
-if test "${ac_cv_prog_cc_c89+set}" = set; then :
+if test "${ac_cv_prog_cc_c89+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   ac_cv_prog_cc_c89=no
 ac_save_CC=$CC
-cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <stdarg.h>
 #include <stdio.h>
@@ -3331,9 +3197,32 @@
 	-Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
 do
   CC="$ac_save_CC $ac_arg"
-  if ac_fn_c_try_compile "$LINENO"; then :
+  rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_cv_prog_cc_c89=$ac_arg
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
 fi
+
 rm -f core conftest.err conftest.$ac_objext
   test "x$ac_cv_prog_cc_c89" != "xno" && break
 done
@@ -3344,19 +3233,17 @@
 # AC_CACHE_VAL
 case "x$ac_cv_prog_cc_c89" in
   x)
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: none needed" >&5
+    { $as_echo "$as_me:$LINENO: result: none needed" >&5
 $as_echo "none needed" >&6; } ;;
   xno)
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: unsupported" >&5
+    { $as_echo "$as_me:$LINENO: result: unsupported" >&5
 $as_echo "unsupported" >&6; } ;;
   *)
     CC="$CC $ac_cv_prog_cc_c89"
-    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_c89" >&5
+    { $as_echo "$as_me:$LINENO: result: $ac_cv_prog_cc_c89" >&5
 $as_echo "$ac_cv_prog_cc_c89" >&6; } ;;
 esac
-if test "x$ac_cv_prog_cc_c89" != xno; then :
 
-fi
 
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
@@ -3382,9 +3269,9 @@
 fi
 
 # We better be able to execute interpreters
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether #! works in shell scripts" >&5
+{ $as_echo "$as_me:$LINENO: checking whether #! works in shell scripts" >&5
 $as_echo_n "checking whether #! works in shell scripts... " >&6; }
-if test "${ac_cv_sys_interpreter+set}" = set; then :
+if test "${ac_cv_sys_interpreter+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   echo '#! /bin/cat
@@ -3399,27 +3286,32 @@
 fi
 rm -f conftest
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sys_interpreter" >&5
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_sys_interpreter" >&5
 $as_echo "$ac_cv_sys_interpreter" >&6; }
 interpval=$ac_cv_sys_interpreter
 
 if test "$ac_cv_sys_interpreter" != "yes"
 then
-    as_fn_error "
-
-***** Cannot execute interpreter scripts?
-***** Are you sure you system doesn't support this?" "$LINENO" 5
+    { { $as_echo "$as_me:$LINENO: error:
+
+***** Cannot execute interpreter scripts?
+***** Are you sure you system doesn't support this?" >&5
+$as_echo "$as_me: error:
+
+***** Cannot execute interpreter scripts?
+***** Are you sure you system doesn't support this?" >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
 
 # Check for an alternate data directory, separate from installation dir.
 default_var_prefix="/var/mailman"
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for --with-var-prefix" >&5
+{ $as_echo "$as_me:$LINENO: checking for --with-var-prefix" >&5
 $as_echo_n "checking for --with-var-prefix... " >&6; }
 
 # Check whether --with-var-prefix was given.
-if test "${with_var_prefix+set}" = set; then :
+if test "${with_var_prefix+set}" = set; then
   withval=$with_var_prefix;
 fi
 
@@ -3428,14 +3320,14 @@
         ""|no)  VAR_PREFIX="$prefix"; ans="no";;
         *)      VAR_PREFIX="$with_var_prefix"; ans=$VAR_PREFIX;
 esac
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ans" >&5
+{ $as_echo "$as_me:$LINENO: result: $ans" >&5
 $as_echo "$ans" >&6; }
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for --with-permcheck" >&5
+{ $as_echo "$as_me:$LINENO: checking for --with-permcheck" >&5
 $as_echo_n "checking for --with-permcheck... " >&6; }
 
 # Check whether --with-permcheck was given.
-if test "${with_permcheck+set}" = set; then :
+if test "${with_permcheck+set}" = set; then
   withval=$with_permcheck;
 fi
 
@@ -3443,7 +3335,7 @@
 then
         with_permcheck="yes"
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $with_permcheck" >&5
+{ $as_echo "$as_me:$LINENO: result: $with_permcheck" >&5
 $as_echo "$with_permcheck" >&6; }
 # Now make sure that $prefix is set up correctly.  It must be group
 # owned by the target group, it must have the group sticky bit set, and
@@ -3464,11 +3356,11 @@
 
 
 # Check for some other uid to use than `mailman'
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for --with-username" >&5
+{ $as_echo "$as_me:$LINENO: checking for --with-username" >&5
 $as_echo_n "checking for --with-username... " >&6; }
 
 # Check whether --with-username was given.
-if test "${with_username+set}" = set; then :
+if test "${with_username+set}" = set; then
   withval=$with_username;
 fi
 
@@ -3478,12 +3370,12 @@
         with_username="mailman"
 fi
 USERNAME=$with_username
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $USERNAME" >&5
+{ $as_echo "$as_me:$LINENO: result: $USERNAME" >&5
 $as_echo "$USERNAME" >&6; }
 
 # User `mailman' must exist
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for user name \"$USERNAME\"" >&5
+{ $as_echo "$as_me:$LINENO: checking for user name \"$USERNAME\"" >&5
 $as_echo_n "checking for user name \"$USERNAME\"... " >&6; }
 
 # MAILMAN_USER == variable name
@@ -3518,23 +3410,29 @@
 then
   if test "$with_permcheck" = "yes"
   then
-    as_fn_error "
-***** No \"$USERNAME\" user found!
-***** Your system must have a \"$USERNAME\" user defined
-***** (usually in your /etc/passwd file).  Please see the INSTALL
-***** file for details." "$LINENO" 5
+    { { $as_echo "$as_me:$LINENO: error:
+***** No \"$USERNAME\" user found!
+***** Your system must have a \"$USERNAME\" user defined
+***** (usually in your /etc/passwd file).  Please see the INSTALL
+***** file for details." >&5
+$as_echo "$as_me: error:
+***** No \"$USERNAME\" user found!
+***** Your system must have a \"$USERNAME\" user defined
+***** (usually in your /etc/passwd file).  Please see the INSTALL
+***** file for details." >&2;}
+   { (exit 1); exit 1; }; }
   fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: okay" >&5
+{ $as_echo "$as_me:$LINENO: result: okay" >&5
 $as_echo "okay" >&6; }
 
 
 # Check for some other gid to use than `mailman'
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for --with-groupname" >&5
+{ $as_echo "$as_me:$LINENO: checking for --with-groupname" >&5
 $as_echo_n "checking for --with-groupname... " >&6; }
 
 # Check whether --with-groupname was given.
-if test "${with_groupname+set}" = set; then :
+if test "${with_groupname+set}" = set; then
   withval=$with_groupname;
 fi
 
@@ -3544,13 +3442,13 @@
         with_groupname="mailman"
 fi
 GROUPNAME=$with_groupname
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $GROUPNAME" >&5
+{ $as_echo "$as_me:$LINENO: result: $GROUPNAME" >&5
 $as_echo "$GROUPNAME" >&6; }
 
 
 # Target group must exist
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for group name \"$GROUPNAME\"" >&5
+{ $as_echo "$as_me:$LINENO: checking for group name \"$GROUPNAME\"" >&5
 $as_echo_n "checking for group name \"$GROUPNAME\"... " >&6; }
 
 # MAILMAN_GROUP == variable name
@@ -3585,18 +3483,24 @@
 then
   if test "$with_permcheck" = "yes"
   then
-    as_fn_error "
-***** No \"$GROUPNAME\" group found!
-***** Your system must have a \"$GROUPNAME\" group defined
-***** (usually in your /etc/group file).  Please see the INSTALL
-***** file for details." "$LINENO" 5
+    { { $as_echo "$as_me:$LINENO: error:
+***** No \"$GROUPNAME\" group found!
+***** Your system must have a \"$GROUPNAME\" group defined
+***** (usually in your /etc/group file).  Please see the INSTALL
+***** file for details." >&5
+$as_echo "$as_me: error:
+***** No \"$GROUPNAME\" group found!
+***** Your system must have a \"$GROUPNAME\" group defined
+***** (usually in your /etc/group file).  Please see the INSTALL
+***** file for details." >&2;}
+   { (exit 1); exit 1; }; }
   fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: okay" >&5
+{ $as_echo "$as_me:$LINENO: result: okay" >&5
 $as_echo "okay" >&6; }
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking permissions on $prefixcheck" >&5
+{ $as_echo "$as_me:$LINENO: checking permissions on $prefixcheck" >&5
 $as_echo_n "checking permissions on $prefixcheck... " >&6; }
 
 cat > conftest.py <<EOF
@@ -3640,24 +3544,28 @@
 then
     if test "$status" != "okay"
     then
-        as_fn_error "
-***** Installation directory $prefixcheck is not configured properly!
-$status" "$LINENO" 5
+        { { $as_echo "$as_me:$LINENO: error:
+***** Installation directory $prefixcheck is not configured properly!
+$status" >&5
+$as_echo "$as_me: error:
+***** Installation directory $prefixcheck is not configured properly!
+$status" >&2;}
+   { (exit 1); exit 1; }; }
     fi
 else
     status="skipped"
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $status" >&5
+{ $as_echo "$as_me:$LINENO: result: $status" >&5
 $as_echo "$status" >&6; }
 
 
 # Now find the UIDs and GIDs
 # Support --with-mail-gid and --with-cgi-gid
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for mail wrapper group; i.e. --with-mail-gid" >&5
+{ $as_echo "$as_me:$LINENO: checking for mail wrapper group; i.e. --with-mail-gid" >&5
 $as_echo_n "checking for mail wrapper group; i.e. --with-mail-gid... " >&6; }
 
 # Check whether --with-mail-gid was given.
-if test "${with_mail_gid+set}" = set; then :
+if test "${with_mail_gid+set}" = set; then
   withval=$with_mail_gid;
 fi
 
@@ -3698,26 +3606,34 @@
 then
   if test "$with_permcheck" = "yes"
   then
-    as_fn_error "
-***** No group name \"$with_mail_gid\" found for the mail wrapper program.
-***** This is the group that your mail server will use to run Mailman's
-***** programs.  You should specify an existing group with the
-***** --with-mail-gid configure option, or use --without-permcheck to
-***** skip this verification step.  See also your mail server's documentation,
-***** and Mailman's INSTALL file for details" "$LINENO" 5
+    { { $as_echo "$as_me:$LINENO: error:
+***** No group name \"$with_mail_gid\" found for the mail wrapper program.
+***** This is the group that your mail server will use to run Mailman's
+***** programs.  You should specify an existing group with the
+***** --with-mail-gid configure option, or use --without-permcheck to
+***** skip this verification step.  See also your mail server's documentation,
+***** and Mailman's INSTALL file for details" >&5
+$as_echo "$as_me: error:
+***** No group name \"$with_mail_gid\" found for the mail wrapper program.
+***** This is the group that your mail server will use to run Mailman's
+***** programs.  You should specify an existing group with the
+***** --with-mail-gid configure option, or use --without-permcheck to
+***** skip this verification step.  See also your mail server's documentation,
+***** and Mailman's INSTALL file for details" >&2;}
+   { (exit 1); exit 1; }; }
   else
     MAIL_GROUP=$with_mail_gid
   fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $MAIL_GROUP" >&5
+{ $as_echo "$as_me:$LINENO: result: $MAIL_GROUP" >&5
 $as_echo "$MAIL_GROUP" >&6; }
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for CGI wrapper group; i.e. --with-cgi-gid" >&5
+{ $as_echo "$as_me:$LINENO: checking for CGI wrapper group; i.e. --with-cgi-gid" >&5
 $as_echo_n "checking for CGI wrapper group; i.e. --with-cgi-gid... " >&6; }
 
 # Check whether --with-cgi-gid was given.
-if test "${with_cgi_gid+set}" = set; then :
+if test "${with_cgi_gid+set}" = set; then
   withval=$with_cgi_gid;
 fi
 
@@ -3759,28 +3675,36 @@
 then
   if test "$with_permcheck" = "yes"
   then
-    as_fn_error "
-***** No group name \"$with_cgi_gid\" found for the CGI wrapper program.
-***** This is the group that your web server will use to run Mailman's
-***** programs.  You should specify an existing group with the
-***** --with-cgi-gid configure option, or use --without-permcheck to
-***** skip this verification step.  See also your web server's documentation,
-***** and Mailman's INSTALL file for details" "$LINENO" 5
+    { { $as_echo "$as_me:$LINENO: error:
+***** No group name \"$with_cgi_gid\" found for the CGI wrapper program.
+***** This is the group that your web server will use to run Mailman's
+***** programs.  You should specify an existing group with the
+***** --with-cgi-gid configure option, or use --without-permcheck to
+***** skip this verification step.  See also your web server's documentation,
+***** and Mailman's INSTALL file for details" >&5
+$as_echo "$as_me: error:
+***** No group name \"$with_cgi_gid\" found for the CGI wrapper program.
+***** This is the group that your web server will use to run Mailman's
+***** programs.  You should specify an existing group with the
+***** --with-cgi-gid configure option, or use --without-permcheck to
+***** skip this verification step.  See also your web server's documentation,
+***** and Mailman's INSTALL file for details" >&2;}
+   { (exit 1); exit 1; }; }
   else
     CGI_GROUP=$with_cgi_gid
   fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $CGI_GROUP" >&5
+{ $as_echo "$as_me:$LINENO: result: $CGI_GROUP" >&5
 $as_echo "$CGI_GROUP" >&6; }
 
 
 # Check for CGI extensions, required by some Web servers
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for CGI extensions" >&5
+{ $as_echo "$as_me:$LINENO: checking for CGI extensions" >&5
 $as_echo_n "checking for CGI extensions... " >&6; }
 
 # Check whether --with-cgi-ext was given.
-if test "${with_cgi_ext+set}" = set; then :
+if test "${with_cgi_ext+set}" = set; then
   withval=$with_cgi_ext;
 fi
 
@@ -3791,17 +3715,17 @@
 else
         CGIEXT=$with_cgi_ext
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $with_cgi_ext" >&5
+{ $as_echo "$as_me:$LINENO: result: $with_cgi_ext" >&5
 $as_echo "$with_cgi_ext" >&6; }
 
 
 # figure out the default mail hostname and url host component
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for --with-mailhost" >&5
+{ $as_echo "$as_me:$LINENO: checking for --with-mailhost" >&5
 $as_echo_n "checking for --with-mailhost... " >&6; }
 
 # Check whether --with-mailhost was given.
-if test "${with_mailhost+set}" = set; then :
+if test "${with_mailhost+set}" = set; then
   withval=$with_mailhost;
 fi
 
@@ -3812,15 +3736,15 @@
 else
         MAILHOST=$with_mailhost
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $with_mailhost" >&5
+{ $as_echo "$as_me:$LINENO: result: $with_mailhost" >&5
 $as_echo "$with_mailhost" >&6; }
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for --with-urlhost" >&5
+{ $as_echo "$as_me:$LINENO: checking for --with-urlhost" >&5
 $as_echo_n "checking for --with-urlhost... " >&6; }
 
 # Check whether --with-urlhost was given.
-if test "${with_urlhost+set}" = set; then :
+if test "${with_urlhost+set}" = set; then
   withval=$with_urlhost;
 fi
 
@@ -3831,7 +3755,7 @@
 else
         URLHOST=$with_urlhost
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $with_urlhost" >&5
+{ $as_echo "$as_me:$LINENO: result: $with_urlhost" >&5
 $as_echo "$with_urlhost" >&6; }
 
 
@@ -3847,32 +3771,122 @@
 EOF
 $PYTHON conftest.py
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for default mail host name" >&5
+{ $as_echo "$as_me:$LINENO: checking for default mail host name" >&5
 $as_echo_n "checking for default mail host name... " >&6; }
 if test -z "$MAILHOST"
 then
     MAILHOST=`sed q conftest.out`
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $MAILHOST" >&5
+{ $as_echo "$as_me:$LINENO: result: $MAILHOST" >&5
 $as_echo "$MAILHOST" >&6; }
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for default URL host component" >&5
+{ $as_echo "$as_me:$LINENO: checking for default URL host component" >&5
 $as_echo_n "checking for default URL host component... " >&6; }
 if test -z "$URLHOST"
 then
     URLHOST=`sed -n '$p' conftest.out`
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $URLHOST" >&5
+{ $as_echo "$as_me:$LINENO: result: $URLHOST" >&5
 $as_echo "$URLHOST" >&6; }
 rm -f conftest.out conftest.py
 
 # Checks for libraries.
 
+
+
+
 for ac_func in strerror setregid syslog
-do :
-  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
-ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
-eval as_val=\$$as_ac_var
-   if test "x$as_val" = x""yes; then :
+do
+as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ $as_echo "$as_me:$LINENO: checking for $ac_func" >&5
+$as_echo_n "checking for $ac_func... " >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  eval "$as_ac_var=yes"
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	eval "$as_ac_var=no"
+fi
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval 'as_val=${'$as_ac_var'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+as_val=`eval 'as_val=${'$as_ac_var'}
+		 $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
   cat >>confdefs.h <<_ACEOF
 #define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
 _ACEOF
@@ -3886,10 +3900,14 @@
   # one of several _real_ functions in syslog.h, so we need to do the test
   # with the appropriate include.
   for lib in bsd socket inet; do
-    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for syslog in -l$lib" >&5
+    { $as_echo "$as_me:$LINENO: checking for syslog in -l$lib" >&5
 $as_echo_n "checking for syslog in -l$lib... " >&6; }
     Mailman_LIBS_save="$LIBS"; LIBS="$LIBS -l$lib"
-    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+    cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <syslog.h>
 int
@@ -3900,19 +3918,46 @@
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_link "$LINENO"; then :
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  { $as_echo "$as_me:$LINENO: result: yes" >&5
 $as_echo "yes" >&6; }
-      $as_echo "#define HAVE_SYSLOG 1" >>confdefs.h
+      cat >>confdefs.h <<\_ACEOF
+#define HAVE_SYSLOG 1
+_ACEOF
 
       break
 else
-  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	{ $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
       LIBS="$Mailman_LIBS_save"
 fi
-rm -f core conftest.err conftest.$ac_objext \
-    conftest$ac_exeext conftest.$ac_ext
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
     unset Mailman_LIBS_save
   done
 fi
@@ -3923,14 +3968,14 @@
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking how to run the C preprocessor" >&5
+{ $as_echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
 $as_echo_n "checking how to run the C preprocessor... " >&6; }
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
   CPP=
 fi
 if test -z "$CPP"; then
-  if test "${ac_cv_prog_CPP+set}" = set; then :
+  if test "${ac_cv_prog_CPP+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
       # Double quotes because CPP needs to be expanded
@@ -3945,7 +3990,11 @@
   # <limits.h> exists even on freestanding compilers.
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #ifdef __STDC__
 # include <limits.h>
@@ -3954,34 +4003,78 @@
 #endif
 		     Syntax error
 _ACEOF
-if ac_fn_c_try_cpp "$LINENO"; then :
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  :
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-else
   # Broken: fails on valid input.
 continue
 fi
+
 rm -f conftest.err conftest.$ac_ext
 
   # OK, works on sane cases.  Now check whether nonexistent headers
   # can be detected and how.
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <ac_nonexistent.h>
 _ACEOF
-if ac_fn_c_try_cpp "$LINENO"; then :
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
   # Broken: success on invalid input.
 continue
 else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
   # Passes both tests.
 ac_preproc_ok=:
 break
 fi
+
 rm -f conftest.err conftest.$ac_ext
 
 done
 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
 rm -f conftest.err conftest.$ac_ext
-if $ac_preproc_ok; then :
+if $ac_preproc_ok; then
   break
 fi
 
@@ -3993,7 +4086,7 @@
 else
   ac_cv_prog_CPP=$CPP
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $CPP" >&5
+{ $as_echo "$as_me:$LINENO: result: $CPP" >&5
 $as_echo "$CPP" >&6; }
 ac_preproc_ok=false
 for ac_c_preproc_warn_flag in '' yes
@@ -4004,7 +4097,11 @@
   # <limits.h> exists even on freestanding compilers.
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #ifdef __STDC__
 # include <limits.h>
@@ -4013,40 +4110,87 @@
 #endif
 		     Syntax error
 _ACEOF
-if ac_fn_c_try_cpp "$LINENO"; then :
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  :
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-else
   # Broken: fails on valid input.
 continue
 fi
+
 rm -f conftest.err conftest.$ac_ext
 
   # OK, works on sane cases.  Now check whether nonexistent headers
   # can be detected and how.
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <ac_nonexistent.h>
 _ACEOF
-if ac_fn_c_try_cpp "$LINENO"; then :
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
   # Broken: success on invalid input.
 continue
 else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
   # Passes both tests.
 ac_preproc_ok=:
 break
 fi
+
 rm -f conftest.err conftest.$ac_ext
 
 done
 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
 rm -f conftest.err conftest.$ac_ext
-if $ac_preproc_ok; then :
-
+if $ac_preproc_ok; then
+  :
 else
-  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+  { { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
 $as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
-as_fn_error "C preprocessor \"$CPP\" fails sanity check
-See \`config.log' for more details." "$LINENO" 5; }
+{ { $as_echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
+See \`config.log' for more details." >&5
+$as_echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }; }
 fi
 
 ac_ext=c
@@ -4056,9 +4200,9 @@
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for grep that handles long lines and -e" >&5
+{ $as_echo "$as_me:$LINENO: checking for grep that handles long lines and -e" >&5
 $as_echo_n "checking for grep that handles long lines and -e... " >&6; }
-if test "${ac_cv_path_GREP+set}" = set; then :
+if test "${ac_cv_path_GREP+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   if test -z "$GREP"; then
@@ -4069,7 +4213,7 @@
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    for ac_prog in grep ggrep; do
+  for ac_prog in grep ggrep; do
     for ac_exec_ext in '' $ac_executable_extensions; do
       ac_path_GREP="$as_dir/$ac_prog$ac_exec_ext"
       { test -f "$ac_path_GREP" && $as_test_x "$ac_path_GREP"; } || continue
@@ -4089,7 +4233,7 @@
     $as_echo 'GREP' >> "conftest.nl"
     "$ac_path_GREP" -e 'GREP$' -e '-(cannot match)-' < "conftest.nl" >"conftest.out" 2>/dev/null || break
     diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
-    as_fn_arith $ac_count + 1 && ac_count=$as_val
+    ac_count=`expr $ac_count + 1`
     if test $ac_count -gt ${ac_path_GREP_max-0}; then
       # Best one so far, save it but keep looking for a better one
       ac_cv_path_GREP="$ac_path_GREP"
@@ -4104,24 +4248,26 @@
       $ac_path_GREP_found && break 3
     done
   done
-  done
+done
 IFS=$as_save_IFS
   if test -z "$ac_cv_path_GREP"; then
-    as_fn_error "no acceptable grep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" "$LINENO" 5
+    { { $as_echo "$as_me:$LINENO: error: no acceptable grep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&5
+$as_echo "$as_me: error: no acceptable grep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&2;}
+   { (exit 1); exit 1; }; }
   fi
 else
   ac_cv_path_GREP=$GREP
 fi
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_path_GREP" >&5
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_path_GREP" >&5
 $as_echo "$ac_cv_path_GREP" >&6; }
  GREP="$ac_cv_path_GREP"
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for egrep" >&5
+{ $as_echo "$as_me:$LINENO: checking for egrep" >&5
 $as_echo_n "checking for egrep... " >&6; }
-if test "${ac_cv_path_EGREP+set}" = set; then :
+if test "${ac_cv_path_EGREP+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
   if echo a | $GREP -E '(a|b)' >/dev/null 2>&1
@@ -4135,7 +4281,7 @@
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    for ac_prog in egrep; do
+  for ac_prog in egrep; do
     for ac_exec_ext in '' $ac_executable_extensions; do
       ac_path_EGREP="$as_dir/$ac_prog$ac_exec_ext"
       { test -f "$ac_path_EGREP" && $as_test_x "$ac_path_EGREP"; } || continue
@@ -4155,7 +4301,7 @@
     $as_echo 'EGREP' >> "conftest.nl"
     "$ac_path_EGREP" 'EGREP$' < "conftest.nl" >"conftest.out" 2>/dev/null || break
     diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
-    as_fn_arith $ac_count + 1 && ac_count=$as_val
+    ac_count=`expr $ac_count + 1`
     if test $ac_count -gt ${ac_path_EGREP_max-0}; then
       # Best one so far, save it but keep looking for a better one
       ac_cv_path_EGREP="$ac_path_EGREP"
@@ -4170,10 +4316,12 @@
       $ac_path_EGREP_found && break 3
     done
   done
-  done
+done
 IFS=$as_save_IFS
   if test -z "$ac_cv_path_EGREP"; then
-    as_fn_error "no acceptable egrep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" "$LINENO" 5
+    { { $as_echo "$as_me:$LINENO: error: no acceptable egrep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&5
+$as_echo "$as_me: error: no acceptable egrep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&2;}
+   { (exit 1); exit 1; }; }
   fi
 else
   ac_cv_path_EGREP=$EGREP
@@ -4181,17 +4329,21 @@
 
    fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_path_EGREP" >&5
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_path_EGREP" >&5
 $as_echo "$ac_cv_path_EGREP" >&6; }
  EGREP="$ac_cv_path_EGREP"
 
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for ANSI C header files" >&5
+{ $as_echo "$as_me:$LINENO: checking for ANSI C header files" >&5
 $as_echo_n "checking for ANSI C header files... " >&6; }
-if test "${ac_cv_header_stdc+set}" = set; then :
+if test "${ac_cv_header_stdc+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <stdlib.h>
 #include <stdarg.h>
@@ -4206,23 +4358,48 @@
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_compile "$LINENO"; then :
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_cv_header_stdc=yes
 else
-  ac_cv_header_stdc=no
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_header_stdc=no
 fi
+
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <string.h>
 
 _ACEOF
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "memchr" >/dev/null 2>&1; then :
-
+  $EGREP "memchr" >/dev/null 2>&1; then
+  :
 else
   ac_cv_header_stdc=no
 fi
@@ -4232,14 +4409,18 @@
 
 if test $ac_cv_header_stdc = yes; then
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <stdlib.h>
 
 _ACEOF
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "free" >/dev/null 2>&1; then :
-
+  $EGREP "free" >/dev/null 2>&1; then
+  :
 else
   ac_cv_header_stdc=no
 fi
@@ -4249,10 +4430,14 @@
 
 if test $ac_cv_header_stdc = yes; then
   # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
-  if test "$cross_compiling" = yes; then :
+  if test "$cross_compiling" = yes; then
   :
 else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <ctype.h>
 #include <stdlib.h>
@@ -4279,34 +4464,118 @@
   return 0;
 }
 _ACEOF
-if ac_fn_c_try_run "$LINENO"; then :
-
+rm -f conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  :
 else
-  ac_cv_header_stdc=no
-fi
-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
-  conftest.$ac_objext conftest.beam conftest.$ac_ext
-fi
-
-fi
-fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_header_stdc" >&5
+  $as_echo "$as_me: program exited with status $ac_status" >&5
+$as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+( exit $ac_status )
+ac_cv_header_stdc=no
+fi
+rm -rf conftest.dSYM
+rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+
+
+fi
+fi
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
 $as_echo "$ac_cv_header_stdc" >&6; }
 if test $ac_cv_header_stdc = yes; then
 
-$as_echo "#define STDC_HEADERS 1" >>confdefs.h
+cat >>confdefs.h <<\_ACEOF
+#define STDC_HEADERS 1
+_ACEOF
 
 fi
 
 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
+
+
+
+
+
+
+
+
+
 for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
 		  inttypes.h stdint.h unistd.h
-do :
-  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
-ac_fn_c_check_header_compile "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default
-"
-eval as_val=\$$as_ac_Header
-   if test "x$as_val" = x""yes; then :
+do
+as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
+{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  eval "$as_ac_Header=yes"
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	eval "$as_ac_Header=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+as_val=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
   cat >>confdefs.h <<_ACEOF
 #define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
 _ACEOF
@@ -4316,12 +4585,146 @@
 done
 
 
+
 for ac_header in syslog.h
-do :
-  ac_fn_c_check_header_mongrel "$LINENO" "syslog.h" "ac_cv_header_syslog_h" "$ac_includes_default"
-if test "x$ac_cv_header_syslog_h" = x""yes; then :
+do
+as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
+$as_echo_n "checking $ac_header usability... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+$as_echo "$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
+$as_echo_n "checking $ac_header presence... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+$as_echo "$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+
+fi
+as_val=`eval 'as_val=${'$as_ac_Header'}
+		 $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
   cat >>confdefs.h <<_ACEOF
-#define HAVE_SYSLOG_H 1
+#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
 _ACEOF
 
 fi
@@ -4330,18 +4733,22 @@
 
 
 # Checks for typedefs, structures, and compiler characteristics.
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for uid_t in sys/types.h" >&5
+{ $as_echo "$as_me:$LINENO: checking for uid_t in sys/types.h" >&5
 $as_echo_n "checking for uid_t in sys/types.h... " >&6; }
-if test "${ac_cv_type_uid_t+set}" = set; then :
+if test "${ac_cv_type_uid_t+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <sys/types.h>
 
 _ACEOF
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "uid_t" >/dev/null 2>&1; then :
+  $EGREP "uid_t" >/dev/null 2>&1; then
   ac_cv_type_uid_t=yes
 else
   ac_cv_type_uid_t=no
@@ -4349,26 +4756,34 @@
 rm -f conftest*
 
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_uid_t" >&5
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_type_uid_t" >&5
 $as_echo "$ac_cv_type_uid_t" >&6; }
 if test $ac_cv_type_uid_t = no; then
 
-$as_echo "#define uid_t int" >>confdefs.h
-
-
-$as_echo "#define gid_t int" >>confdefs.h
+cat >>confdefs.h <<\_ACEOF
+#define uid_t int
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define gid_t int
+_ACEOF
 
 fi
 
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking type of array argument to getgroups" >&5
+{ $as_echo "$as_me:$LINENO: checking type of array argument to getgroups" >&5
 $as_echo_n "checking type of array argument to getgroups... " >&6; }
-if test "${ac_cv_type_getgroups+set}" = set; then :
+if test "${ac_cv_type_getgroups+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  if test "$cross_compiling" = yes; then :
+  if test "$cross_compiling" = yes; then
   ac_cv_type_getgroups=cross
 else
-  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 /* Thanks to Mike Rendell for this test.  */
 $ac_includes_default
@@ -4394,23 +4809,54 @@
   return n > 0 && gidset[n] != val.gval;
 }
 _ACEOF
-if ac_fn_c_try_run "$LINENO"; then :
+rm -f conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
   ac_cv_type_getgroups=gid_t
 else
-  ac_cv_type_getgroups=int
-fi
-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
-  conftest.$ac_objext conftest.beam conftest.$ac_ext
-fi
+  $as_echo "$as_me: program exited with status $ac_status" >&5
+$as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+( exit $ac_status )
+ac_cv_type_getgroups=int
+fi
+rm -rf conftest.dSYM
+rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+
 
 if test $ac_cv_type_getgroups = cross; then
-        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+        cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <unistd.h>
 
 _ACEOF
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
-  $EGREP "getgroups.*int.*gid_t" >/dev/null 2>&1; then :
+  $EGREP "getgroups.*int.*gid_t" >/dev/null 2>&1; then
   ac_cv_type_getgroups=gid_t
 else
   ac_cv_type_getgroups=int
@@ -4419,7 +4865,7 @@
 
 fi
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_getgroups" >&5
+{ $as_echo "$as_me:$LINENO: result: $ac_cv_type_getgroups" >&5
 $as_echo "$ac_cv_type_getgroups" >&6; }
 
 cat >>confdefs.h <<_ACEOF
@@ -4429,12 +4875,102 @@
 
 
 # Checks for library functions.
+
 for ac_func in vsnprintf
-do :
-  ac_fn_c_check_func "$LINENO" "vsnprintf" "ac_cv_func_vsnprintf"
-if test "x$ac_cv_func_vsnprintf" = x""yes; then :
+do
+as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ $as_echo "$as_me:$LINENO: checking for $ac_func" >&5
+$as_echo_n "checking for $ac_func... " >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+	 test "$cross_compiling" = yes ||
+	 $as_test_x conftest$ac_exeext
+       }; then
+  eval "$as_ac_var=yes"
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	eval "$as_ac_var=no"
+fi
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval 'as_val=${'$as_ac_var'}
+		 $as_echo "$as_val"'`
+	       { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+as_val=`eval 'as_val=${'$as_ac_var'}
+		 $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
   cat >>confdefs.h <<_ACEOF
-#define HAVE_VSNPRINTF 1
+#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
 _ACEOF
 
 fi
@@ -4534,13 +5070,13 @@
     case $ac_val in #(
     *${as_nl}*)
       case $ac_var in #(
-      *_cv_*) { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: cache variable $ac_var contains a newline" >&5
+      *_cv_*) { $as_echo "$as_me:$LINENO: WARNING: cache variable $ac_var contains a newline" >&5
 $as_echo "$as_me: WARNING: cache variable $ac_var contains a newline" >&2;} ;;
       esac
       case $ac_var in #(
       _ | IFS | as_nl) ;; #(
       BASH_ARGV | BASH_SOURCE) eval $ac_var= ;; #(
-      *) { eval $ac_var=; unset $ac_var;} ;;
+      *) $as_unset $ac_var ;;
       esac ;;
     esac
   done
@@ -4548,8 +5084,8 @@
   (set) 2>&1 |
     case $as_nl`(ac_space=' '; set) 2>&1` in #(
     *${as_nl}ac_space=\ *)
-      # `set' does not quote correctly, so add quotes: double-quote
-      # substitution turns \\\\ into \\, and sed turns \\ into \.
+      # `set' does not quote correctly, so add quotes (double-quote
+      # substitution turns \\\\ into \\, and sed turns \\ into \).
       sed -n \
 	"s/'/'\\\\''/g;
 	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
@@ -4572,11 +5108,11 @@
 if diff "$cache_file" confcache >/dev/null 2>&1; then :; else
   if test -w "$cache_file"; then
     test "x$cache_file" != "x/dev/null" &&
-      { $as_echo "$as_me:${as_lineno-$LINENO}: updating cache $cache_file" >&5
+      { $as_echo "$as_me:$LINENO: updating cache $cache_file" >&5
 $as_echo "$as_me: updating cache $cache_file" >&6;}
     cat confcache >$cache_file
   else
-    { $as_echo "$as_me:${as_lineno-$LINENO}: not updating unwritable cache $cache_file" >&5
+    { $as_echo "$as_me:$LINENO: not updating unwritable cache $cache_file" >&5
 $as_echo "$as_me: not updating unwritable cache $cache_file" >&6;}
   fi
 fi
@@ -4632,8 +5168,8 @@
   ac_i=`$as_echo "$ac_i" | sed "$ac_script"`
   # 2. Prepend LIBOBJDIR.  When used with automake>=1.10 LIBOBJDIR
   #    will be set to the directory where LIBOBJS objects are built.
-  as_fn_append ac_libobjs " \${LIBOBJDIR}$ac_i\$U.$ac_objext"
-  as_fn_append ac_ltlibobjs " \${LIBOBJDIR}$ac_i"'$U.lo'
+  ac_libobjs="$ac_libobjs \${LIBOBJDIR}$ac_i\$U.$ac_objext"
+  ac_ltlibobjs="$ac_ltlibobjs \${LIBOBJDIR}$ac_i"'$U.lo'
 done
 LIBOBJS=$ac_libobjs
 
@@ -4645,10 +5181,9 @@
 ac_write_fail=0
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ $as_echo "$as_me:${as_lineno-$LINENO}: creating $CONFIG_STATUS" >&5
+{ $as_echo "$as_me:$LINENO: creating $CONFIG_STATUS" >&5
 $as_echo "$as_me: creating $CONFIG_STATUS" >&6;}
-as_write_fail=0
-cat >$CONFIG_STATUS <<_ASEOF || as_write_fail=1
+cat >$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 #! $SHELL
 # Generated by $as_me.
 # Run this file to recreate the current configuration.
@@ -4658,18 +5193,17 @@
 debug=false
 ac_cs_recheck=false
 ac_cs_silent=false
-
 SHELL=\${CONFIG_SHELL-$SHELL}
-export SHELL
-_ASEOF
-cat >>$CONFIG_STATUS <<\_ASEOF || as_write_fail=1
-## -------------------- ##
-## M4sh Initialization. ##
-## -------------------- ##
+_ACEOF
+
+cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
+## --------------------- ##
+## M4sh Initialization.  ##
+## --------------------- ##
 
 # Be more Bourne compatible
 DUALCASE=1; export DUALCASE # for MKS sh
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then :
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
   emulate sh
   NULLCMD=:
   # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
@@ -4677,15 +5211,23 @@
   alias -g '${1+"$@"}'='"$@"'
   setopt NO_GLOB_SUBST
 else
-  case `(set -o) 2>/dev/null` in #(
-  *posix*) :
-    set -o posix ;; #(
-  *) :
-     ;;
+  case `(set -o) 2>/dev/null` in
+  *posix*) set -o posix ;;
 esac
+
 fi
 
 
+
+
+# PATH needs CR
+# Avoid depending upon Character Ranges.
+as_cr_letters='abcdefghijklmnopqrstuvwxyz'
+as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
+as_cr_Letters=$as_cr_letters$as_cr_LETTERS
+as_cr_digits='0123456789'
+as_cr_alnum=$as_cr_Letters$as_cr_digits
+
 as_nl='
 '
 export as_nl
@@ -4693,13 +5235,7 @@
 as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
 as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
 as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
-# Prefer a ksh shell builtin over an external printf program on Solaris,
-# but without wasting forks for bash or zsh.
-if test -z "$BASH_VERSION$ZSH_VERSION" \
-    && (test "X`print -r -- $as_echo`" = "X$as_echo") 2>/dev/null; then
-  as_echo='print -r --'
-  as_echo_n='print -rn --'
-elif (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
+if (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
   as_echo='printf %s\n'
   as_echo_n='printf %s'
 else
@@ -4710,7 +5246,7 @@
     as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
     as_echo_n_body='eval
       arg=$1;
-      case $arg in #(
+      case $arg in
       *"$as_nl"*)
 	expr "X$arg" : "X\\(.*\\)$as_nl";
 	arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
@@ -4733,6 +5269,13 @@
   }
 fi
 
+# Support unset when possible.
+if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
+  as_unset=unset
+else
+  as_unset=false
+fi
+
 
 # IFS
 # We need space, tab and new line, in precisely that order.  Quoting is
@@ -4742,15 +5285,15 @@
 IFS=" ""	$as_nl"
 
 # Find who we are.  Look in the path if we contain no directory separator.
-case $0 in #((
+case $0 in
   *[\\/]* ) as_myself=$0 ;;
   *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-    test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
-  done
+  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
+done
 IFS=$as_save_IFS
 
      ;;
@@ -4762,16 +5305,12 @@
 fi
 if test ! -f "$as_myself"; then
   $as_echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
-  exit 1
+  { (exit 1); exit 1; }
 fi
 
-# Unset variables that we do not need and which cause bugs (e.g. in
-# pre-3.0 UWIN ksh).  But do not cause bugs in bash 2.01; the "|| exit 1"
-# suppresses any "Segmentation fault" message there.  '((' could
-# trigger a bug in pdksh 5.2.14.
-for as_var in BASH_ENV ENV MAIL MAILPATH
-do eval test x\${$as_var+set} = xset \
-  && ( (unset $as_var) || exit 1) >/dev/null 2>&1 && unset $as_var || :
+# Work around bugs in pre-3.0 UWIN ksh.
+for as_var in ENV MAIL MAILPATH
+do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
 done
 PS1='$ '
 PS2='> '
@@ -4783,89 +5322,7 @@
 LANGUAGE=C
 export LANGUAGE
 
-# CDPATH.
-(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
-
-
-# as_fn_error ERROR [LINENO LOG_FD]
-# ---------------------------------
-# Output "`basename $0`: error: ERROR" to stderr. If LINENO and LOG_FD are
-# provided, also output the error to LOG_FD, referencing LINENO. Then exit the
-# script with status $?, using 1 if that was 0.
-as_fn_error ()
-{
-  as_status=$?; test $as_status -eq 0 && as_status=1
-  if test "$3"; then
-    as_lineno=${as_lineno-"$2"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
-    $as_echo "$as_me:${as_lineno-$LINENO}: error: $1" >&$3
-  fi
-  $as_echo "$as_me: error: $1" >&2
-  as_fn_exit $as_status
-} # as_fn_error
-
-
-# as_fn_set_status STATUS
-# -----------------------
-# Set $? to STATUS, without forking.
-as_fn_set_status ()
-{
-  return $1
-} # as_fn_set_status
-
-# as_fn_exit STATUS
-# -----------------
-# Exit the shell with STATUS, even in a "trap 0" or "set -e" context.
-as_fn_exit ()
-{
-  set +e
-  as_fn_set_status $1
-  exit $1
-} # as_fn_exit
-
-# as_fn_unset VAR
-# ---------------
-# Portably unset VAR.
-as_fn_unset ()
-{
-  { eval $1=; unset $1;}
-}
-as_unset=as_fn_unset
-# as_fn_append VAR VALUE
-# ----------------------
-# Append the text in VALUE to the end of the definition contained in VAR. Take
-# advantage of any shell optimizations that allow amortized linear growth over
-# repeated appends, instead of the typical quadratic growth present in naive
-# implementations.
-if (eval "as_var=1; as_var+=2; test x\$as_var = x12") 2>/dev/null; then :
-  eval 'as_fn_append ()
-  {
-    eval $1+=\$2
-  }'
-else
-  as_fn_append ()
-  {
-    eval $1=\$$1\$2
-  }
-fi # as_fn_append
-
-# as_fn_arith ARG...
-# ------------------
-# Perform arithmetic evaluation on the ARGs, and store the result in the
-# global $as_val. Take advantage of shells that can avoid forks. The arguments
-# must be portable across $(()) and expr.
-if (eval "test \$(( 1 + 1 )) = 2") 2>/dev/null; then :
-  eval 'as_fn_arith ()
-  {
-    as_val=$(( $* ))
-  }'
-else
-  as_fn_arith ()
-  {
-    as_val=`expr "$@" || test $? -eq 1`
-  }
-fi # as_fn_arith
-
-
+# Required to use basename.
 if expr a : '\(a\)' >/dev/null 2>&1 &&
    test "X`expr 00001 : '.*\(...\)'`" = X001; then
   as_expr=expr
@@ -4879,12 +5336,8 @@
   as_basename=false
 fi
 
-if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
-  as_dirname=dirname
-else
-  as_dirname=false
-fi
 
+# Name of the executable.
 as_me=`$as_basename -- "$0" ||
 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
 	 X"$0" : 'X\(//\)$' \| \
@@ -4904,25 +5357,76 @@
 	  }
 	  s/.*/./; q'`
 
-# Avoid depending upon Character Ranges.
-as_cr_letters='abcdefghijklmnopqrstuvwxyz'
-as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
-as_cr_Letters=$as_cr_letters$as_cr_LETTERS
-as_cr_digits='0123456789'
-as_cr_alnum=$as_cr_Letters$as_cr_digits
+# CDPATH.
+$as_unset CDPATH
+
+
+
+  as_lineno_1=$LINENO
+  as_lineno_2=$LINENO
+  test "x$as_lineno_1" != "x$as_lineno_2" &&
+  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
+
+  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
+  # uniformly replaced by the line number.  The first 'sed' inserts a
+  # line-number line after each line using $LINENO; the second 'sed'
+  # does the real work.  The second script uses 'N' to pair each
+  # line-number line with the line containing $LINENO, and appends
+  # trailing '-' during substitution so that $LINENO is not a special
+  # case at line end.
+  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
+  # scripts with optimization help from Paolo Bonzini.  Blame Lee
+  # E. McMahon (1931-1989) for sed's syntax.  :-)
+  sed -n '
+    p
+    /[$]LINENO/=
+  ' <$as_myself |
+    sed '
+      s/[$]LINENO.*/&-/
+      t lineno
+      b
+      :lineno
+      N
+      :loop
+      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
+      t loop
+      s/-\n.*//
+    ' >$as_me.lineno &&
+  chmod +x "$as_me.lineno" ||
+    { $as_echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
+   { (exit 1); exit 1; }; }
+
+  # Don't try to exec as it changes $[0], causing all sort of problems
+  # (the dirname of $[0] is not the place where we might find the
+  # original and so on.  Autoconf is especially sensitive to this).
+  . "./$as_me.lineno"
+  # Exit status is that of the last command.
+  exit
+}
+
+
+if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
+  as_dirname=dirname
+else
+  as_dirname=false
+fi
 
 ECHO_C= ECHO_N= ECHO_T=
-case `echo -n x` in #(((((
+case `echo -n x` in
 -n*)
-  case `echo 'xy\c'` in
+  case `echo 'x\c'` in
   *c*) ECHO_T='	';;	# ECHO_T is single tab character.
-  xy)  ECHO_C='\c';;
-  *)   echo `echo ksh88 bug on AIX 6.1` > /dev/null
-       ECHO_T='	';;
+  *)   ECHO_C='\c';;
   esac;;
 *)
   ECHO_N='-n';;
 esac
+if expr a : '\(a\)' >/dev/null 2>&1 &&
+   test "X`expr 00001 : '.*\(...\)'`" = X001; then
+  as_expr=expr
+else
+  as_expr=false
+fi
 
 rm -f conf$$ conf$$.exe conf$$.file
 if test -d conf$$.dir; then
@@ -4951,56 +5455,8 @@
 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
 rmdir conf$$.dir 2>/dev/null
 
-
-# as_fn_mkdir_p
-# -------------
-# Create "$as_dir" as a directory, including parents if necessary.
-as_fn_mkdir_p ()
-{
-
-  case $as_dir in #(
-  -*) as_dir=./$as_dir;;
-  esac
-  test -d "$as_dir" || eval $as_mkdir_p || {
-    as_dirs=
-    while :; do
-      case $as_dir in #(
-      *\'*) as_qdir=`$as_echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
-      *) as_qdir=$as_dir;;
-      esac
-      as_dirs="'$as_qdir' $as_dirs"
-      as_dir=`$as_dirname -- "$as_dir" ||
-$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
-	 X"$as_dir" : 'X\(//\)[^/]' \| \
-	 X"$as_dir" : 'X\(//\)$' \| \
-	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
-$as_echo X"$as_dir" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
-	    s//\1/
-	    q
-	  }
-	  /^X\(\/\/\)[^/].*/{
-	    s//\1/
-	    q
-	  }
-	  /^X\(\/\/\)$/{
-	    s//\1/
-	    q
-	  }
-	  /^X\(\/\).*/{
-	    s//\1/
-	    q
-	  }
-	  s/.*/./; q'`
-      test -d "$as_dir" && break
-    done
-    test -z "$as_dirs" || eval "mkdir $as_dirs"
-  } || test -d "$as_dir" || as_fn_error "cannot create directory $as_dir"
-
-
-} # as_fn_mkdir_p
 if mkdir -p . 2>/dev/null; then
-  as_mkdir_p='mkdir -p "$as_dir"'
+  as_mkdir_p=:
 else
   test -d ./-p && rmdir ./-p
   as_mkdir_p=false
@@ -5019,10 +5475,10 @@
       if test -d "$1"; then
 	test -d "$1/.";
       else
-	case $1 in #(
+	case $1 in
 	-*)set "./$1";;
 	esac;
-	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in #((
+	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
 	???[sx]*):;;*)false;;esac;fi
     '\'' sh
   '
@@ -5037,19 +5493,13 @@
 
 
 exec 6>&1
-## ----------------------------------- ##
-## Main body of $CONFIG_STATUS script. ##
-## ----------------------------------- ##
-_ASEOF
-test $as_write_fail = 0 && chmod +x $CONFIG_STATUS || ac_write_fail=1
 
-cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
-# Save the log message, to keep $0 and so on meaningful, and to
+# Save the log message, to keep $[0] and so on meaningful, and to
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
 This file was extended by $as_me, which was
-generated by GNU Autoconf 2.65.  Invocation command line was
+generated by GNU Autoconf 2.63.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
   CONFIG_HEADERS  = $CONFIG_HEADERS
@@ -5077,15 +5527,13 @@
 
 cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
 ac_cs_usage="\
-\`$as_me' instantiates files and other configuration actions
-from templates according to the current configuration.  Unless the files
-and actions are specified as TAGs, all are instantiated by default.
+\`$as_me' instantiates files from templates according to the
+current configuration.
 
-Usage: $0 [OPTION]... [TAG]...
+Usage: $0 [OPTION]... [FILE]...
 
   -h, --help       print this help, then exit
   -V, --version    print version number and configuration settings, then exit
-      --config     print configuration, then exit
   -q, --quiet, --silent
                    do not print progress messages
   -d, --debug      don't remove temporary files
@@ -5099,17 +5547,16 @@
 Configuration commands:
 $config_commands
 
-Report bugs to the package provider."
+Report bugs to <bug-autoconf@gnu.org>."
 
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
-ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
 ac_cs_version="\\
 config.status
-configured by $0, generated by GNU Autoconf 2.65,
-  with options \\"\$ac_cs_config\\"
+configured by $0, generated by GNU Autoconf 2.63,
+  with options \\"`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
-Copyright (C) 2009 Free Software Foundation, Inc.
+Copyright (C) 2008 Free Software Foundation, Inc.
 This config.status script is free software; the Free Software Foundation
 gives unlimited permission to copy, distribute and modify it."
 
@@ -5143,8 +5590,6 @@
     ac_cs_recheck=: ;;
   --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
     $as_echo "$ac_cs_version"; exit ;;
-  --config | --confi | --conf | --con | --co | --c )
-    $as_echo "$ac_cs_config"; exit ;;
   --debug | --debu | --deb | --de | --d | -d )
     debug=: ;;
   --file | --fil | --fi | --f )
@@ -5152,7 +5597,7 @@
     case $ac_optarg in
     *\'*) ac_optarg=`$as_echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
     esac
-    as_fn_append CONFIG_FILES " '$ac_optarg'"
+    CONFIG_FILES="$CONFIG_FILES '$ac_optarg'"
     ac_need_defaults=false;;
   --he | --h |  --help | --hel | -h )
     $as_echo "$ac_cs_usage"; exit ;;
@@ -5161,10 +5606,11 @@
     ac_cs_silent=: ;;
 
   # This is an error.
-  -*) as_fn_error "unrecognized option: \`$1'
-Try \`$0 --help' for more information." ;;
+  -*) { $as_echo "$as_me: error: unrecognized option: $1
+Try \`$0 --help' for more information." >&2
+   { (exit 1); exit 1; }; } ;;
 
-  *) as_fn_append ac_config_targets " $1"
+  *) ac_config_targets="$ac_config_targets $1"
      ac_need_defaults=false ;;
 
   esac
@@ -5239,7 +5685,9 @@
     "$SCRIPTS") CONFIG_FILES="$CONFIG_FILES $SCRIPTS" ;;
     "default") CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
 
-  *) as_fn_error "invalid argument: \`$ac_config_target'" "$LINENO" 5;;
+  *) { { $as_echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
+$as_echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
+   { (exit 1); exit 1; }; };;
   esac
 done
 
@@ -5265,7 +5713,7 @@
   trap 'exit_status=$?
   { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
 ' 0
-  trap 'as_fn_exit 1' 1 2 13 15
+  trap '{ (exit 1); exit 1; }' 1 2 13 15
 }
 # Create a (secure) tmp directory for tmp files.
 
@@ -5276,7 +5724,11 @@
 {
   tmp=./conf$$-$RANDOM
   (umask 077 && mkdir "$tmp")
-} || as_fn_error "cannot create a temporary directory in ." "$LINENO" 5
+} ||
+{
+   $as_echo "$as_me: cannot create a temporary directory in ." >&2
+   { (exit 1); exit 1; }
+}
 
 # Set up the scripts for CONFIG_FILES section.
 # No need to generate them if there are no CONFIG_FILES.
@@ -5284,16 +5736,10 @@
 if test -n "$CONFIG_FILES"; then
 
 
-ac_cr=`echo X | tr X '\015'`
-# On cygwin, bash can eat \r inside `` if the user requested igncr.
-# But we know of no other shell where ac_cr would be empty at this
-# point, so we can use a bashism as a fallback.
-if test "x$ac_cr" = x; then
-  eval ac_cr=\$\'\\r\'
-fi
+ac_cr=''
 ac_cs_awk_cr=`$AWK 'BEGIN { print "a\rb" }' </dev/null 2>/dev/null`
 if test "$ac_cs_awk_cr" = "a${ac_cr}b"; then
-  ac_cs_awk_cr='\r'
+  ac_cs_awk_cr='\\r'
 else
   ac_cs_awk_cr=$ac_cr
 fi
@@ -5307,18 +5753,24 @@
   echo "$ac_subst_vars" | sed 's/.*/&!$&$ac_delim/' &&
   echo "_ACEOF"
 } >conf$$subs.sh ||
-  as_fn_error "could not make $CONFIG_STATUS" "$LINENO" 5
+  { { $as_echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
+$as_echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
+   { (exit 1); exit 1; }; }
 ac_delim_num=`echo "$ac_subst_vars" | grep -c '$'`
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   . ./conf$$subs.sh ||
-    as_fn_error "could not make $CONFIG_STATUS" "$LINENO" 5
+    { { $as_echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
+$as_echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
+   { (exit 1); exit 1; }; }
 
   ac_delim_n=`sed -n "s/.*$ac_delim\$/X/p" conf$$subs.awk | grep -c X`
   if test $ac_delim_n = $ac_delim_num; then
     break
   elif $ac_last_try; then
-    as_fn_error "could not make $CONFIG_STATUS" "$LINENO" 5
+    { { $as_echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
+$as_echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
+   { (exit 1); exit 1; }; }
   else
     ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
   fi
@@ -5340,7 +5792,7 @@
 t delim
 :nl
 h
-s/\(.\{148\}\)..*/\1/
+s/\(.\{148\}\).*/\1/
 t more1
 s/["\\]/\\&/g; s/^/"/; s/$/\\n"\\/
 p
@@ -5354,7 +5806,7 @@
 t nl
 :delim
 h
-s/\(.\{148\}\)..*/\1/
+s/\(.\{148\}\).*/\1/
 t more2
 s/["\\]/\\&/g; s/^/"/; s/$/"/
 p
@@ -5407,7 +5859,9 @@
 else
   cat
 fi < "$tmp/subs1.awk" > "$tmp/subs.awk" \
-  || as_fn_error "could not setup config files machinery" "$LINENO" 5
+  || { { $as_echo "$as_me:$LINENO: error: could not setup config files machinery" >&5
+$as_echo "$as_me: error: could not setup config files machinery" >&2;}
+   { (exit 1); exit 1; }; }
 _ACEOF
 
 # VPATH may cause trouble with some makes, so we remove $(srcdir),
@@ -5438,7 +5892,9 @@
   esac
   case $ac_mode$ac_tag in
   :[FHL]*:*);;
-  :L* | :C*:*) as_fn_error "invalid tag \`$ac_tag'" "$LINENO" 5;;
+  :L* | :C*:*) { { $as_echo "$as_me:$LINENO: error: invalid tag $ac_tag" >&5
+$as_echo "$as_me: error: invalid tag $ac_tag" >&2;}
+   { (exit 1); exit 1; }; };;
   :[FH]-) ac_tag=-:-;;
   :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
   esac
@@ -5466,10 +5922,12 @@
 	   [\\/$]*) false;;
 	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
 	   esac ||
-	   as_fn_error "cannot find input file: \`$ac_f'" "$LINENO" 5;;
+	   { { $as_echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
+$as_echo "$as_me: error: cannot find input file: $ac_f" >&2;}
+   { (exit 1); exit 1; }; };;
       esac
       case $ac_f in *\'*) ac_f=`$as_echo "$ac_f" | sed "s/'/'\\\\\\\\''/g"`;; esac
-      as_fn_append ac_file_inputs " '$ac_f'"
+      ac_file_inputs="$ac_file_inputs '$ac_f'"
     done
 
     # Let's still pretend it is `configure' which instantiates (i.e., don't
@@ -5480,7 +5938,7 @@
 	`' by configure.'
     if test x"$ac_file" != x-; then
       configure_input="$ac_file.  $configure_input"
-      { $as_echo "$as_me:${as_lineno-$LINENO}: creating $ac_file" >&5
+      { $as_echo "$as_me:$LINENO: creating $ac_file" >&5
 $as_echo "$as_me: creating $ac_file" >&6;}
     fi
     # Neutralize special characters interpreted by sed in replacement strings.
@@ -5493,7 +5951,9 @@
 
     case $ac_tag in
     *:-:* | *:-) cat >"$tmp/stdin" \
-      || as_fn_error "could not create $ac_file" "$LINENO" 5 ;;
+      || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+   { (exit 1); exit 1; }; } ;;
     esac
     ;;
   esac
@@ -5521,7 +5981,47 @@
 	    q
 	  }
 	  s/.*/./; q'`
-  as_dir="$ac_dir"; as_fn_mkdir_p
+  { as_dir="$ac_dir"
+  case $as_dir in #(
+  -*) as_dir=./$as_dir;;
+  esac
+  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
+    as_dirs=
+    while :; do
+      case $as_dir in #(
+      *\'*) as_qdir=`$as_echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
+      *) as_qdir=$as_dir;;
+      esac
+      as_dirs="'$as_qdir' $as_dirs"
+      as_dir=`$as_dirname -- "$as_dir" ||
+$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+	 X"$as_dir" : 'X\(//\)[^/]' \| \
+	 X"$as_dir" : 'X\(//\)$' \| \
+	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
+$as_echo X"$as_dir" |
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)[^/].*/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
+      test -d "$as_dir" && break
+    done
+    test -z "$as_dirs" || eval "mkdir $as_dirs"
+  } || test -d "$as_dir" || { { $as_echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
+$as_echo "$as_me: error: cannot create directory $as_dir" >&2;}
+   { (exit 1); exit 1; }; }; }
   ac_builddir=.
 
 case "$ac_dir" in
@@ -5573,6 +6073,7 @@
 # If the template does not know about datarootdir, expand it.
 # FIXME: This hack should be removed a few years after 2.60.
 ac_datarootdir_hack=; ac_datarootdir_seen=
+
 ac_sed_dataroot='
 /datarootdir/ {
   p
@@ -5582,11 +6083,12 @@
 /@docdir@/p
 /@infodir@/p
 /@localedir@/p
-/@mandir@/p'
+/@mandir@/p
+'
 case `eval "sed -n \"\$ac_sed_dataroot\" $ac_file_inputs"` in
 *datarootdir*) ac_datarootdir_seen=yes;;
 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
-  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
+  { $as_echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
 $as_echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
@@ -5596,7 +6098,7 @@
   s&@infodir@&$infodir&g
   s&@localedir@&$localedir&g
   s&@mandir@&$mandir&g
-  s&\\\${datarootdir}&$datarootdir&g' ;;
+    s&\\\${datarootdir}&$datarootdir&g' ;;
 esac
 _ACEOF
 
@@ -5624,12 +6126,14 @@
 $ac_datarootdir_hack
 "
 eval sed \"\$ac_sed_extra\" "$ac_file_inputs" | $AWK -f "$tmp/subs.awk" >$tmp/out \
-  || as_fn_error "could not create $ac_file" "$LINENO" 5
+  || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+   { (exit 1); exit 1; }; }
 
 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
   { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
   { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
-  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $ac_file contains a reference to the variable \`datarootdir'
+  { $as_echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
 which seems to be undefined.  Please make sure it is defined." >&5
 $as_echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
 which seems to be undefined.  Please make sure it is defined." >&2;}
@@ -5639,11 +6143,13 @@
   -) cat "$tmp/out" && rm -f "$tmp/out";;
   *) rm -f "$ac_file" && mv "$tmp/out" "$ac_file";;
   esac \
-  || as_fn_error "could not create $ac_file" "$LINENO" 5
+  || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+   { (exit 1); exit 1; }; }
  ;;
 
 
-  :C)  { $as_echo "$as_me:${as_lineno-$LINENO}: executing $ac_file commands" >&5
+  :C)  { $as_echo "$as_me:$LINENO: executing $ac_file commands" >&5
 $as_echo "$as_me: executing $ac_file commands" >&6;}
  ;;
   esac
@@ -5656,12 +6162,15 @@
 done # for ac_tag
 
 
-as_fn_exit 0
+{ (exit 0); exit 0; }
 _ACEOF
+chmod +x $CONFIG_STATUS
 ac_clean_files=$ac_clean_files_save
 
 test $ac_write_fail = 0 ||
-  as_fn_error "write failure creating $CONFIG_STATUS" "$LINENO" 5
+  { { $as_echo "$as_me:$LINENO: error: write failure creating $CONFIG_STATUS" >&5
+$as_echo "$as_me: error: write failure creating $CONFIG_STATUS" >&2;}
+   { (exit 1); exit 1; }; }
 
 
 # configure is writing to config.log, and then calls config.status.
@@ -5682,10 +6191,10 @@
   exec 5>>config.log
   # Use ||, not &&, to avoid exiting from the if with $? = 1, which
   # would make configure fail if this is the last instruction.
-  $ac_cs_success || as_fn_exit $?
+  $ac_cs_success || { (exit 1); exit 1; }
 fi
 if test -n "$ac_unrecognized_opts" && test "$enable_option_checking" != no; then
-  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: unrecognized options: $ac_unrecognized_opts" >&5
+  { $as_echo "$as_me:$LINENO: WARNING: unrecognized options: $ac_unrecognized_opts" >&5
 $as_echo "$as_me: WARNING: unrecognized options: $ac_unrecognized_opts" >&2;}
 fi
 

=== modified file 'configure.in'
--- configure.in	2009-12-31 15:50:29 +0000
+++ configure.in	2010-07-13 21:35:40 +0000
@@ -16,7 +16,7 @@
 
 dnl Process this file with autoconf to produce a configure script.
 AC_REVISION($Revision: 8122 $)
-AC_PREREQ(2.0)
+AC_PREREQ(2.50)
 AC_INIT(src/common.h)
 
 

=== modified file 'contrib/qmail-to-mailman.py'
--- contrib/qmail-to-mailman.py	2004-10-11 02:02:43 +0000
+++ contrib/qmail-to-mailman.py	2010-07-13 21:35:40 +0000
@@ -28,12 +28,12 @@
 #
 # INSTALLATION:
 #
-# Install this file as ~mailman/qmail-to-mailman.py
+# Install this file as ~mailman/bin/qmail-to-mailman.py
 #
 # To configure a virtual domain to connect to mailman, create these files:
 #
 # ~mailman/.qmail-default
-# |preline @PYTHON@ @prefix@/mail-in.py
+# |preline /usr/bin/python /usr/lib/mailman/bin/mail-in.py
 #
 # /var/qmail/control/virtualdomains:
 # DOMAIN.COM:mailman
@@ -64,7 +64,7 @@
         sys.exit(100)
 
     local = string.lower(local)
-    local = re.sub("^mailman-","",local)
+    local = re.sub("^" + MailmanUser + "-","",local)
 
     names = ("root", "postmaster", "mailer-daemon", "mailman-owner", "owner",
              "abuse")

=== removed file 'debian/README.source'
--- debian/README.source	2008-08-11 16:06:19 +0000
+++ debian/README.source	1970-01-01 00:00:00 +0000
@@ -1,2 +0,0 @@
-This package uses quilt to manage patches to upstream source.
-See /usr/share/doc/quilt/README.source for details.

=== modified file 'debian/changelog'
--- debian/changelog	2010-03-20 21:57:55 +0000
+++ debian/changelog	2010-07-13 21:35:40 +0000
@@ -1,3 +1,16 @@
+mailman (1:2.1.13-3) unstable; urgency=low
+
+  * Drop unneeded Indexes option from shipped apache.conf.
+  * Eliminate update_rc.d warning by not passing runlevel 1 at stop.
+  * Add 25_site_logo patch by Paul Wise (closes: #267243).
+  * Do not compress PDF's under /u/s/d/mailman (closes: #582259).
+  * Back up ./configure before running autoconf, so it can be restored
+    in clean as not to generate irrelevant diff.gz content.
+  * Switch to dpkg-source 3.0 (quilt) format.
+  * Checked for policy 3.9.0, no changes needed.
+
+ -- Thijs Kinkhorst <thijs@debian.org>  Tue, 13 Jul 2010 21:35:40 +0200
+
 mailman (1:2.1.13-2) unstable; urgency=low
 
   * postfix-to-mailman.py: check for list existence before stripping off

=== modified file 'debian/contrib/apache.conf'
--- debian/contrib/apache.conf	2007-02-28 21:59:36 +0000
+++ debian/contrib/apache.conf	2010-07-13 21:35:40 +0000
@@ -24,7 +24,7 @@
     Allow from all
 </Directory>
 <Directory /var/lib/mailman/archives/public/>
-    Options Indexes FollowSymlinks
+    Options FollowSymlinks
     AllowOverride None
     Order allow,deny
     Allow from all
@@ -51,7 +51,7 @@
 #CustomLog /var/log/apache2/lists-access.log combined
 #
 #<Directory /var/lib/mailman/archives/>
-#    Options Indexes FollowSymLinks
+#    Options FollowSymLinks
 #    AllowOverride None
 #</Directory>
 #

=== added file 'debian/contrib/debianpowered.png'
Binary files debian/contrib/debianpowered.png and debian/contrib/debianpowered.png differ
=== modified file 'debian/contrib/postfix-to-mailman.py' (properties changed: -x to +x)
=== modified file 'debian/control'
--- debian/control	2010-03-20 21:57:55 +0000
+++ debian/control	2010-07-13 21:35:40 +0000
@@ -5,8 +5,8 @@
 Uploaders: Lionel Elie Mamane <lmamane@debian.org>,
  Thijs Kinkhorst <thijs@debian.org>,
  Hector Garcia <hector@debian.org>
-Build-Depends: debhelper (>= 7), autoconf, python-dev, python-support, quilt
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), autoconf, python-dev, python-support
+Standards-Version: 3.9.0
 Homepage: http://www.list.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-mailman/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-mailman/trunk

=== modified file 'debian/patches/01_defaults.debian.patch'
--- debian/patches/01_defaults.debian.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/01_defaults.debian.patch	2010-07-13 21:35:40 +0000
@@ -1,10 +1,10 @@
 Patch: 01_defaults.debian.dpatch
 Author: Tollef Fog Heen <tfheen@debian.org>
 Set sane defaults in Defaults.py.in
-Index: mailman-2.1.12/Mailman/Defaults.py.in
+Index: b/Mailman/Defaults.py.in
 ===================================================================
---- mailman-2.1.12.orig/Mailman/Defaults.py.in	2009-03-02 20:41:57.000000000 +0100
-+++ mailman-2.1.12/Mailman/Defaults.py.in	2009-03-02 20:49:55.000000000 +0100
+--- a/Mailman/Defaults.py.in	2010-05-24 17:50:52.000000000 +0200
++++ b/Mailman/Defaults.py.in	2010-05-24 17:50:58.000000000 +0200
 @@ -54,7 +54,7 @@
  # disable Mailman's logo footer altogther, hack
  # Mailman/htmlformat.py:MailmanLogo(), which also contains the hardcoded links
@@ -23,7 +23,7 @@
  
  # DEFAULT_HOST_NAME has been replaced with DEFAULT_EMAIL_HOST, however some
  # sites may have the former in their mm_cfg.py files.  If so, we'll believe
-@@ -1352,7 +1352,7 @@
+@@ -1355,7 +1355,7 @@
  MAILDIR_DIR     = os.path.join(QUEUE_DIR, 'maildir')
  
  # Other useful files

=== modified file 'debian/patches/02_force_autoconf_2.50.patch'
--- debian/patches/02_force_autoconf_2.50.patch	2009-05-22 11:09:49 +0000
+++ debian/patches/02_force_autoconf_2.50.patch	2010-07-13 21:35:40 +0000
@@ -2,10 +2,10 @@
 Author: Lionel Elie Mamane <lionel@mamane.lu>
 Get Debian's autoconf wrapper to use autoconf >= 2.50 (like upstream
 uses) and not autoconf 2.13.
-Index: mailman-2.1.12/configure.in
+Index: b/configure.in
 ===================================================================
---- mailman-2.1.12.orig/configure.in	2009-05-22 08:57:20.541033289 +0200
-+++ mailman-2.1.12/configure.in	2009-05-22 08:57:27.805439774 +0200
+--- a/configure.in	2010-05-24 17:50:51.000000000 +0200
++++ b/configure.in	2010-05-24 17:50:59.000000000 +0200
 @@ -16,7 +16,7 @@
  
  dnl Process this file with autoconf to produce a configure script.

=== modified file 'debian/patches/07_snooze.patch'
--- debian/patches/07_snooze.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/07_snooze.patch	2010-07-13 21:35:40 +0000
@@ -1,10 +1,10 @@
 Patch: 07_snooze.patch
 Author: Tollef Fog Heen <tfheen@debian.org>
 Snooze a bit to avoid eating too much CPU if you get an SMTP error (Closes: #175173)
-Index: mailman-2.1.12/Mailman/Queue/OutgoingRunner.py
+Index: b/Mailman/Queue/OutgoingRunner.py
 ===================================================================
---- mailman-2.1.12.orig/Mailman/Queue/OutgoingRunner.py	2009-03-02 20:41:56.000000000 +0100
-+++ mailman-2.1.12/Mailman/Queue/OutgoingRunner.py	2009-03-02 20:49:57.000000000 +0100
+--- a/Mailman/Queue/OutgoingRunner.py	2010-05-24 17:50:51.000000000 +0200
++++ b/Mailman/Queue/OutgoingRunner.py	2010-05-24 17:50:59.000000000 +0200
 @@ -89,6 +89,7 @@
                  syslog('error', 'Cannot connect to SMTP server %s on port %s',
                         mm_cfg.SMTPHOST, port)

=== modified file 'debian/patches/10_wrapper_uid.patch'
--- debian/patches/10_wrapper_uid.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/10_wrapper_uid.patch	2010-07-13 21:35:40 +0000
@@ -1,10 +1,10 @@
 Patch: 10_wrapper_uid.patch
 Author: Tollef Fog Heen <tfheen@debian.org>
 Makes sure we're called with the right UID and GID (Closes: #36010, #89564, #89848, 89818)
-Index: mailman-2.1.12/src/cgi-wrapper.c
+Index: b/src/cgi-wrapper.c
 ===================================================================
---- mailman-2.1.12.orig/src/cgi-wrapper.c	2009-03-02 20:41:55.000000000 +0100
-+++ mailman-2.1.12/src/cgi-wrapper.c	2009-03-02 20:49:59.000000000 +0100
+--- a/src/cgi-wrapper.c	2010-05-24 17:50:51.000000000 +0200
++++ b/src/cgi-wrapper.c	2010-05-24 17:51:00.000000000 +0200
 @@ -42,7 +42,8 @@
          char* fake_argv[3];
  
@@ -15,10 +15,10 @@
  
          /* For these CGI programs, we can ignore argc and argv since they
           * don't contain anything useful.  `script' will always be the driver
-Index: mailman-2.1.12/src/mail-wrapper.c
+Index: b/src/mail-wrapper.c
 ===================================================================
---- mailman-2.1.12.orig/src/mail-wrapper.c	2009-03-02 20:41:56.000000000 +0100
-+++ mailman-2.1.12/src/mail-wrapper.c	2009-03-02 20:49:59.000000000 +0100
+--- a/src/mail-wrapper.c	2010-05-24 17:50:51.000000000 +0200
++++ b/src/mail-wrapper.c	2010-05-24 17:51:00.000000000 +0200
 @@ -74,7 +74,8 @@
                  fatal(logident, MAIL_ILLEGAL_COMMAND,
                        "Illegal command: %s", argv[1]);

=== modified file 'debian/patches/15_mailmanctl_daemonize.patch'
--- debian/patches/15_mailmanctl_daemonize.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/15_mailmanctl_daemonize.patch	2010-07-13 21:35:40 +0000
@@ -1,10 +1,10 @@
 Patch: 15_mailmanctl_daemonize.patch
 Author: Tollef Fog Heen <tfheen@debian.org>
 Daemonize mailmanctl properly (Closes: #175175)
-Index: mailman-2.1.12/bin/mailmanctl
+Index: b/bin/mailmanctl
 ===================================================================
---- mailman-2.1.12.orig/bin/mailmanctl	2009-03-02 20:41:55.000000000 +0100
-+++ mailman-2.1.12/bin/mailmanctl	2009-03-02 20:50:01.000000000 +0100
+--- a/bin/mailmanctl	2010-05-24 17:50:50.000000000 +0200
++++ b/bin/mailmanctl	2010-05-24 17:51:01.000000000 +0200
 @@ -417,6 +417,13 @@
          # won't be opening any terminal devices, don't do the ultra-paranoid
          # suggestion of doing a second fork after the setsid() call.

=== modified file 'debian/patches/16_update_debian.patch'
--- debian/patches/16_update_debian.patch	2009-12-31 15:50:29 +0000
+++ debian/patches/16_update_debian.patch	2010-07-13 21:35:40 +0000
@@ -2,10 +2,10 @@
 Author: Tollef Fog Heen <tfheen@debian.org>
 update is called from the Debian maintainer scripts and
 prints non-appropriate output.  Change that.
-Index: mailman-2.1.13/bin/update
+Index: b/bin/update
 ===================================================================
---- mailman-2.1.13.orig/bin/update	2009-12-22 19:00:43.000000000 +0100
-+++ mailman-2.1.13/bin/update	2009-12-29 19:57:40.000000000 +0100
+--- a/bin/update	2010-05-24 17:50:50.000000000 +0200
++++ b/bin/update	2010-05-24 17:51:02.000000000 +0200
 @@ -334,37 +334,6 @@
      # BAW: Is this still necessary?!
      mlist.Save()

=== modified file 'debian/patches/20_qmail_to_mailman.debian.patch'
--- debian/patches/20_qmail_to_mailman.debian.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/20_qmail_to_mailman.debian.patch	2010-07-13 21:35:40 +0000
@@ -1,10 +1,10 @@
 Patch: 20_qmail_to_mailman.debian.patch
 Author: Tollef Fog Heen <tfheen@debian.org>
 Fix some paths in the qmail_to_mailman wrapper (Closes: #217573)
-Index: mailman-2.1.12/contrib/qmail-to-mailman.py
+Index: b/contrib/qmail-to-mailman.py
 ===================================================================
---- mailman-2.1.12.orig/contrib/qmail-to-mailman.py	2009-03-02 20:41:54.000000000 +0100
-+++ mailman-2.1.12/contrib/qmail-to-mailman.py	2009-03-02 20:50:03.000000000 +0100
+--- a/contrib/qmail-to-mailman.py	2010-05-24 17:50:50.000000000 +0200
++++ b/contrib/qmail-to-mailman.py	2010-05-24 17:51:03.000000000 +0200
 @@ -28,12 +28,12 @@
  #
  # INSTALLATION:

=== modified file 'debian/patches/21_newlist_help.patch'
--- debian/patches/21_newlist_help.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/21_newlist_help.patch	2010-07-13 21:35:40 +0000
@@ -1,10 +1,10 @@
 Patch: 21_newlist_help.patch
 Author: Tollef Fog Heen <tfheen@debian.org>
 make newlist be a bit friendlier (Closes: #309339, #170362)
-Index: mailman-2.1.12/bin/newlist
+Index: b/bin/newlist
 ===================================================================
---- mailman-2.1.12.orig/bin/newlist	2009-03-02 20:41:54.000000000 +0100
-+++ mailman-2.1.12/bin/newlist	2009-03-02 20:50:04.000000000 +0100
+--- a/bin/newlist	2010-05-24 17:50:50.000000000 +0200
++++ b/bin/newlist	2010-05-24 17:51:04.000000000 +0200
 @@ -88,12 +88,16 @@
  defined in your Defaults.py file or overridden by settings in mm_cfg.py).
  
@@ -32,7 +32,7 @@
      try:
          opts, args = getopt.getopt(sys.argv[1:], 'hql:u:e:',
                                     ['help', 'quiet', 'language=',
-@@ -203,7 +210,7 @@
+@@ -204,7 +211,7 @@
          except Errors.BadListNameError, s:
              usage(1, _('Illegal list name: %(s)s'))
          except Errors.EmailAddressError, s:

=== added file 'debian/patches/25_site_logo.patch'
--- debian/patches/25_site_logo.patch	1970-01-01 00:00:00 +0000
+++ debian/patches/25_site_logo.patch	2010-07-13 21:35:40 +0000
@@ -0,0 +1,77 @@
+Patch: 25_site_logo.patch
+Author: Paul Wise <pabs@debian.org>
+Allow each mailman site to have a custom text, link and logo. Also fix existing logo linkage.
+http://bugs.debian.org/267243
+http://sf.net/support/tracker.php?aid=1615748
+Index: b/Mailman/Defaults.py.in
+===================================================================
+--- a/Mailman/Defaults.py.in	2010-05-24 17:50:58.000000000 +0200
++++ b/Mailman/Defaults.py.in	2010-05-24 17:51:04.000000000 +0200
+@@ -64,6 +64,12 @@
+ #MAILMAN_URL = 'http://www.list.org/'
+ #MAILMAN_URL = 'http://mailman.sf.net/'
+ 
++# The site logo/text presence, site text, site url and site logo
++SITE_LINK = Yes
++SITE_TEXT = 'Debian Powered'
++SITE_URL = 'http://www.debian.org/'
++SITE_LOGO = '/images/mailman/debianpowered.png'
++
+ # Mailman needs to know about (at least) two fully-qualified domain names
+ # (fqdn); 1) the hostname used in your urls, and 2) the hostname used in email
+ # addresses for your domain.  For example, if people visit your Mailman system
+Index: b/Mailman/htmlformat.py
+===================================================================
+--- a/Mailman/htmlformat.py	2010-05-24 17:50:49.000000000 +0200
++++ b/Mailman/htmlformat.py	2010-05-24 17:51:04.000000000 +0200
+@@ -622,24 +622,33 @@
+ 
+ def MailmanLogo():
+     t = Table(border=0, width='100%')
++
++    version = mm_cfg.VERSION
++    mmlink = _("Delivered by Mailman")
++    pylink = _("Python Powered")
++    gnulink = _("GNU's Not Unix")
++    if mm_cfg.SITE_LINK:
++        sitelink = mm_cfg.SITE_TEXT
++
+     if mm_cfg.IMAGE_LOGOS:
+-        def logo(file):
+-            return mm_cfg.IMAGE_LOGOS + file
+-        mmlink = '<img src="%s" alt="Delivered by Mailman" border=0>' \
+-                 '<br>version %s' % (logo(DELIVERED_BY), mm_cfg.VERSION)
+-        pylink = '<img src="%s" alt="Python Powered" border=0>' % \
+-                 logo(PYTHON_POWERED)
+-        gnulink = '<img src="%s" alt="GNU\'s Not Unix" border=0>' % \
+-                  logo(GNU_HEAD)
+-        t.AddRow([mmlink, pylink, gnulink])
+-    else:
+-        # use only textual links
+-        version = mm_cfg.VERSION
+-        mmlink = Link(MAILMAN_URL,
+-                      _('Delivered by Mailman<br>version %(version)s'))
+-        pylink = Link(PYTHON_URL, _('Python Powered'))
+-        gnulink = Link(GNU_URL, _("Gnu's Not Unix"))
+-        t.AddRow([mmlink, pylink, gnulink])
++        def logo(file, alt, base=mm_cfg.IMAGE_LOGOS):
++            return '<img src="%s" alt="%s" border="0" />' % \
++              (base + file, alt)
++        mmlink = logo(DELIVERED_BY, mmlink)
++        pylink = logo(PYTHON_POWERED, pylink)
++        gnulink = logo(GNU_HEAD, gnulink)
++        if mm_cfg.SITE_LINK:
++            sitelink = logo(mm_cfg.SITE_LOGO, sitelink, "")
++
++    mmlink = Link(MAILMAN_URL, mmlink + _('<br>version %(version)s'))
++    pylink = Link(PYTHON_URL, pylink)
++    gnulink = Link(GNU_URL, gnulink)
++    links = [mmlink, pylink, gnulink]
++    if mm_cfg.SITE_LINK:
++        if mm_cfg.SITE_URL:
++            sitelink = Link(mm_cfg.SITE_URL, sitelink)
++        links.append(sitelink)
++    t.AddRow(links)
+     return t
+ 
+ 

=== modified file 'debian/patches/51_nocompile.pyc.patch'
--- debian/patches/51_nocompile.pyc.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/51_nocompile.pyc.patch	2010-07-13 21:35:40 +0000
@@ -1,10 +1,10 @@
 Patch: 51_nocompile.pyc.patch
 Author: Tollef Fog Heen <tfheen@debian.org>
 Don't do the compileall dance.  It'll just waste CPU cycles.
-Index: mailman-2.1.12/Makefile.in
+Index: b/Makefile.in
 ===================================================================
---- mailman-2.1.12.orig/Makefile.in	2009-03-02 20:41:52.000000000 +0100
-+++ mailman-2.1.12/Makefile.in	2009-03-02 20:50:07.000000000 +0100
+--- a/Makefile.in	2010-05-24 17:50:49.000000000 +0200
++++ b/Makefile.in	2010-05-24 17:51:05.000000000 +0200
 @@ -124,7 +124,7 @@
  	do \
  	    (cd $$d; $(MAKE) DESTDIR=$(DESTDIR) install); \

=== modified file 'debian/patches/52_check_perms_lstat.patch'
--- debian/patches/52_check_perms_lstat.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/52_check_perms_lstat.patch	2010-07-13 21:35:40 +0000
@@ -1,10 +1,10 @@
 Patch: 52_check_perms_lstat.patch
 Author: Tollef Fog Heen <tfheen@debian.org>
 Use lstat instead of stat in check_perms
-Index: mailman-2.1.12/bin/check_perms
+Index: b/bin/check_perms
 ===================================================================
---- mailman-2.1.12.orig/bin/check_perms	2009-03-02 20:41:52.000000000 +0100
-+++ mailman-2.1.12/bin/check_perms	2009-03-02 20:50:08.000000000 +0100
+--- a/bin/check_perms	2010-05-24 17:50:49.000000000 +0200
++++ b/bin/check_perms	2010-05-24 17:51:06.000000000 +0200
 @@ -82,7 +82,7 @@
      return os.stat(path)[ST_MODE]
  

=== modified file 'debian/patches/53_disable_addons.patch'
--- debian/patches/53_disable_addons.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/53_disable_addons.patch	2010-07-13 21:35:40 +0000
@@ -1,13 +1,13 @@
 Patch: 53_disable_addons.patch
 Author: Tollef Fog Heen <tfheen@debian.org>
 Disable some modules which are pulled in from other Debian packages.
-Index: mailman-2.1.12/misc/Makefile.in
+Index: b/misc/Makefile.in
 ===================================================================
---- mailman-2.1.12.orig/misc/Makefile.in	2009-03-02 20:41:52.000000000 +0100
-+++ mailman-2.1.12/misc/Makefile.in	2009-03-02 20:50:09.000000000 +0100
+--- a/misc/Makefile.in	2010-05-24 17:50:48.000000000 +0200
++++ b/misc/Makefile.in	2010-05-24 17:51:07.000000000 +0200
 @@ -57,7 +57,10 @@
- JACODECSPKG=	JapaneseCodecs-1.4.11
- KOCODECSPKG=	KoreanCodecs-2.0.5
+ JACODECSPKG=	@JACODECSPKG@
+ KOCODECSPKG=	@KOCODECSPKG@
  
 -PACKAGES= $(EMAILPKG) $(JACODECSPKG) $(KOCODECSPKG)
 +#Debian note (LEM): we take the Japanese and Korean codecs from other
@@ -17,10 +17,10 @@
  
  # Modes for directories and executables created by the install
  # process.  Default to group-writable directories but
-Index: mailman-2.1.12/misc/paths.py.in
+Index: b/misc/paths.py.in
 ===================================================================
---- mailman-2.1.12.orig/misc/paths.py.in	2009-03-02 20:41:52.000000000 +0100
-+++ mailman-2.1.12/misc/paths.py.in	2009-03-02 20:50:09.000000000 +0100
+--- a/misc/paths.py.in	2010-05-24 17:50:48.000000000 +0200
++++ b/misc/paths.py.in	2010-05-24 17:51:07.000000000 +0200
 @@ -67,13 +67,19 @@
  # files would be imported automatically.  But because we inhibit the importing
  # of the site module, we need to be explicit about importing these codecs.

=== modified file 'debian/patches/59_fix_missing_language_crash.patch'
--- debian/patches/59_fix_missing_language_crash.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/59_fix_missing_language_crash.patch	2010-07-13 21:35:40 +0000
@@ -1,10 +1,10 @@
 Patch: fix_missing_language_crash.patch
 Author: Paul Wise <pabs3@bonedaddy.net>
 Fix crash when a language is missing (Closes: #257606)
-Index: mailman-2.1.12/Mailman/htmlformat.py
+Index: b/Mailman/htmlformat.py
 ===================================================================
---- mailman-2.1.12.orig/Mailman/htmlformat.py	2009-03-02 20:41:51.000000000 +0100
-+++ mailman-2.1.12/Mailman/htmlformat.py	2009-03-02 20:50:11.000000000 +0100
+--- a/Mailman/htmlformat.py	2010-05-24 17:51:04.000000000 +0200
++++ b/Mailman/htmlformat.py	2010-05-24 17:51:08.000000000 +0200
 @@ -298,7 +298,7 @@
  
      def Format(self, indent=0, **kws):

=== modified file 'debian/patches/63_update_default_server_language.patch'
--- debian/patches/63_update_default_server_language.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/63_update_default_server_language.patch	2010-07-13 21:35:40 +0000
@@ -2,11 +2,11 @@
 Author: Lszl 'GCS' Bszrmnyi <gcs@lsc.hu>
 Get the default language from the config file, and do not use the
 hardcoded English.
-Index: mailman-2.1.12/bin/update
+Index: b/bin/update
 ===================================================================
---- mailman-2.1.12.orig/bin/update	2009-03-02 20:50:02.000000000 +0100
-+++ mailman-2.1.12/bin/update	2009-03-02 20:50:13.000000000 +0100
-@@ -120,7 +120,7 @@
+--- a/bin/update	2010-05-24 17:51:02.000000000 +0200
++++ b/bin/update	2010-05-24 17:51:09.000000000 +0200
+@@ -121,7 +121,7 @@
      #
      # First, get rid of any lists/<list> template or lists/<list>/en template
      # that is identical to the global templates/* default.
@@ -15,7 +15,7 @@
          # BAW: get rid of old templates, e.g. admlogin.txt and
          # handle_opts.html
          try:
-@@ -154,14 +154,14 @@
+@@ -155,14 +155,14 @@
                  os.unlink(os.path.join(mlist.fullpath(), gtemplate + '.prev'))
          # Match against the lists/<list>/en/* templates
          try:

=== modified file 'debian/patches/64_correct_html_nesting.patch'
--- debian/patches/64_correct_html_nesting.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/64_correct_html_nesting.patch	2010-07-13 21:35:40 +0000
@@ -3,10 +3,10 @@
 Fix the subscription form template with iCab (Closes: #249212)
 http://archives.lists.indymedia.org/listwork/2004-May/009962.html
 http://archives.lists.indymedia.org/listwork/2004-May/009964.html
-Index: mailman-2.1.12/templates/ca/listinfo.html
+Index: b/templates/ca/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ca/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/ca/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/ca/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/ca/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -62,8 +62,8 @@
  	  <P>
  	    Ompliu el formulari seg&uuml;ent per a
@@ -17,10 +17,10 @@
  
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
-Index: mailman-2.1.12/templates/cs/listinfo.html
+Index: b/templates/cs/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/cs/listinfo.html	2009-03-02 20:41:48.000000000 +0100
-+++ mailman-2.1.12/templates/cs/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/cs/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/cs/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -63,8 +63,8 @@
  	<td colspan="2">
  	  <P>
@@ -31,10 +31,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/da/listinfo.html
+Index: b/templates/da/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/da/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/da/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/da/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/da/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -62,8 +62,8 @@
  	<td colspan="2">
  	  <P>
@@ -45,10 +45,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/de/listinfo.html
+Index: b/templates/de/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/de/listinfo.html	2009-03-02 20:41:50.000000000 +0100
-+++ mailman-2.1.12/templates/de/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/de/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/de/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -63,8 +63,8 @@
  	  <P>
  	    Abonnieren Sie <MM-List-Name>, indem Sie das folgende Formular
@@ -59,10 +59,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/en/listinfo.html
+Index: b/templates/en/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/en/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/en/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/en/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/en/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -63,8 +63,8 @@
  	  <P>
  	    Subscribe to <MM-List-Name> by filling out the following
@@ -73,10 +73,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/es/listinfo.html
+Index: b/templates/es/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/es/listinfo.html	2009-03-02 20:41:48.000000000 +0100
-+++ mailman-2.1.12/templates/es/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/es/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/es/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -64,8 +64,8 @@
  	  <P>
  	    Suscr&iacute;base a <MM-List-Name> rellenando los datos del
@@ -87,10 +87,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/et/listinfo.html
+Index: b/templates/et/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/et/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/et/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/et/listinfo.html	2010-05-24 17:50:46.000000000 +0200
++++ b/templates/et/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -58,8 +58,8 @@
  	<td colspan="2">
  	  <P>
@@ -101,10 +101,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/eu/listinfo.html
+Index: b/templates/eu/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/eu/listinfo.html	2009-03-02 20:41:50.000000000 +0100
-+++ mailman-2.1.12/templates/eu/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/eu/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/eu/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -62,8 +62,8 @@
  	<td colspan="2">
  	  <P>
@@ -115,10 +115,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/fi/listinfo.html
+Index: b/templates/fi/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/fi/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/fi/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/fi/listinfo.html	2010-05-24 17:50:46.000000000 +0200
++++ b/templates/fi/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -63,8 +63,8 @@
  	<td colspan="2">
  	  <P>
@@ -129,10 +129,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/fr/listinfo.html
+Index: b/templates/fr/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/fr/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/fr/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/fr/listinfo.html	2010-05-24 17:50:46.000000000 +0200
++++ b/templates/fr/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -61,8 +61,8 @@
        <p> 	    
  	Abonnez-vous &agrave; <MM-List-Name> en remplissant le formulaire 
@@ -143,10 +143,10 @@
          <table border="0" cellspacing="2" cellpadding="2" width="70%"
   height="112">
              <tr>
-Index: mailman-2.1.12/templates/hr/listinfo.html
+Index: b/templates/hr/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/hr/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/hr/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/hr/listinfo.html	2010-05-24 17:50:48.000000000 +0200
++++ b/templates/hr/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -63,8 +63,8 @@
  	  <P>
  	    Pretplatite se na <MM-List-Name> ispunjavanjem sljedee 
@@ -157,10 +157,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/hu/listinfo.html
+Index: b/templates/hu/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/hu/listinfo.html	2009-03-02 20:41:48.000000000 +0100
-+++ mailman-2.1.12/templates/hu/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/hu/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/hu/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -59,11 +59,10 @@
  	<td colspan="2">
  	  <P>
@@ -174,10 +174,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/it/listinfo.html
+Index: b/templates/it/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/it/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/it/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/it/listinfo.html	2010-05-24 17:50:46.000000000 +0200
++++ b/templates/it/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -63,8 +63,8 @@
  	<td colspan="2">
  	  <P>
@@ -188,10 +188,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/ja/listinfo.html
+Index: b/templates/ja/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ja/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/ja/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/ja/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/ja/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -65,8 +65,8 @@
  	  <P>
  	    <MM-List-Name> ؤ, 
@@ -202,10 +202,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/ko/listinfo.html
+Index: b/templates/ko/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ko/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/ko/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/ko/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/ko/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -63,8 +63,8 @@
  	<td colspan="2">
  	  <P>
@@ -216,10 +216,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/lt/listinfo.html
+Index: b/templates/lt/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/lt/listinfo.html	2009-03-02 20:41:50.000000000 +0100
-+++ mailman-2.1.12/templates/lt/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/lt/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/lt/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -61,8 +61,8 @@
  	<td colspan="2">
  	  <P>
@@ -230,10 +230,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/nl/listinfo.html
+Index: b/templates/nl/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/nl/listinfo.html	2009-03-02 20:41:50.000000000 +0100
-+++ mailman-2.1.12/templates/nl/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/nl/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/nl/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -59,8 +59,8 @@
  	<td colspan="2">
  	  <P>
@@ -244,10 +244,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/no/listinfo.html
+Index: b/templates/no/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/no/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/no/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/no/listinfo.html	2010-05-24 17:50:46.000000000 +0200
++++ b/templates/no/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -62,8 +62,8 @@
  	<td colspan="2">
  	  <P>
@@ -258,10 +258,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/pl/listinfo.html
+Index: b/templates/pl/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/pl/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/pl/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/pl/listinfo.html	2010-05-24 17:50:46.000000000 +0200
++++ b/templates/pl/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -63,8 +63,8 @@
  	  <P>
            Wypenij poniszy formularz, by zapisa si na list <MM-List-Name>.
@@ -272,10 +272,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/pt/listinfo.html
+Index: b/templates/pt/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/pt/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/pt/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/pt/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/pt/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -63,8 +63,8 @@
  	<td colspan="2">
  	  <P>
@@ -286,10 +286,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/pt_BR/listinfo.html
+Index: b/templates/pt_BR/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/pt_BR/listinfo.html	2009-03-02 20:41:50.000000000 +0100
-+++ mailman-2.1.12/templates/pt_BR/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/pt_BR/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/pt_BR/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -63,8 +63,8 @@
  	  <P>
  	    Para se inscrever na lista <MM-List-Name>, preencha o seguinte
@@ -300,10 +300,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/ro/listinfo.html
+Index: b/templates/ro/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ro/listinfo.html	2009-03-02 20:41:50.000000000 +0100
-+++ mailman-2.1.12/templates/ro/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/ro/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/ro/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -60,8 +60,8 @@
  	  <P>
  	    V putei abona la lista de discuii <MM-List-Name> completnd formularul
@@ -314,10 +314,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/ru/listinfo.html
+Index: b/templates/ru/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ru/listinfo.html	2009-03-02 20:41:48.000000000 +0100
-+++ mailman-2.1.12/templates/ru/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/ru/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/ru/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -51,8 +51,8 @@
          <td colspan="2">
            <P>
@@ -328,10 +328,10 @@
                <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
                  WIDTH="70%" HEIGHT= "112">
                  <TR>
-Index: mailman-2.1.12/templates/sl/listinfo.html
+Index: b/templates/sl/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/sl/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/sl/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/sl/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/sl/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -63,8 +63,8 @@
  	  <P>
  	    Na seznam <MM-List-Name> se prijavite tako, da izpolnite
@@ -342,10 +342,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/sr/listinfo.html
+Index: b/templates/sr/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/sr/listinfo.html	2009-03-02 20:41:49.000000000 +0100
-+++ mailman-2.1.12/templates/sr/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/sr/listinfo.html	2010-05-24 17:50:48.000000000 +0200
++++ b/templates/sr/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -52,8 +52,9 @@
        </TR>
        <tr>
@@ -357,10 +357,10 @@
          <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
            <TR> 
-Index: mailman-2.1.12/templates/sv/listinfo.html
+Index: b/templates/sv/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/sv/listinfo.html	2009-03-02 20:41:50.000000000 +0100
-+++ mailman-2.1.12/templates/sv/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/sv/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/sv/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -56,8 +56,9 @@
        </TR>
        <tr>
@@ -372,10 +372,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/tr/listinfo.html
+Index: b/templates/tr/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/tr/listinfo.html	2009-03-02 20:41:50.000000000 +0100
-+++ mailman-2.1.12/templates/tr/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/tr/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/tr/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -63,8 +63,8 @@
  	  <P>
  	    <MM-List-Name> listesine aadaki formu doldurarak ye
@@ -386,10 +386,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/uk/listinfo.html
+Index: b/templates/uk/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/uk/listinfo.html	2009-03-02 20:41:50.000000000 +0100
-+++ mailman-2.1.12/templates/uk/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/uk/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/uk/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -62,8 +62,8 @@
  	<td colspan="2">
  	  <P>
@@ -400,10 +400,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/zh_CN/listinfo.html
+Index: b/templates/zh_CN/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/zh_CN/listinfo.html	2009-03-02 20:41:48.000000000 +0100
-+++ mailman-2.1.12/templates/zh_CN/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/zh_CN/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/zh_CN/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -60,8 +60,8 @@
  	<td colspan="2">
  	  <P>
@@ -414,10 +414,10 @@
  	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
  		WIDTH="70%" HEIGHT= "112">
  		<TR>
-Index: mailman-2.1.12/templates/zh_TW/listinfo.html
+Index: b/templates/zh_TW/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/zh_TW/listinfo.html	2009-03-02 20:41:50.000000000 +0100
-+++ mailman-2.1.12/templates/zh_TW/listinfo.html	2009-03-02 20:50:14.000000000 +0100
+--- a/templates/zh_TW/listinfo.html	2010-05-24 17:50:47.000000000 +0200
++++ b/templates/zh_TW/listinfo.html	2010-05-24 17:51:09.000000000 +0200
 @@ -60,8 +60,8 @@
  	<td colspan="2">
  	  <P>

=== modified file 'debian/patches/66_donot_let_cache_html_pages.patch'
--- debian/patches/66_donot_let_cache_html_pages.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/66_donot_let_cache_html_pages.patch	2010-07-13 21:35:40 +0000
@@ -1,10 +1,10 @@
 Patch: 66_donot_let_cache_html_pages.patch
 Author: Tollef Fog Heen <tfheen@debian.org>
 Patch to prevent browser from caching pages (Closes: #281284)
-Index: mailman-2.1.12/Mailman/htmlformat.py
+Index: b/Mailman/htmlformat.py
 ===================================================================
---- mailman-2.1.12.orig/Mailman/htmlformat.py	2009-03-02 20:50:11.000000000 +0100
-+++ mailman-2.1.12/Mailman/htmlformat.py	2009-03-02 20:50:18.000000000 +0100
+--- a/Mailman/htmlformat.py	2010-05-24 17:51:08.000000000 +0200
++++ b/Mailman/htmlformat.py	2010-05-24 17:51:11.000000000 +0200
 @@ -300,7 +300,8 @@
          charset = 'us-ascii'
          if self.language and Utils.IsLanguage(self.language):

=== modified file 'debian/patches/70_invalid_utf8_dos.patch'
--- debian/patches/70_invalid_utf8_dos.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/70_invalid_utf8_dos.patch	2010-07-13 21:35:40 +0000
@@ -1,11 +1,11 @@
 Patch: 70_invalid_utf8_dos.patch
 Author: Lionel Elie Mamane <lionel@mamane.lu>
 Avoid DOS if attachement filename is invalid Unicode string (Closes: #327732, CVE-2005-3573)
-Index: mailman-2.1.12/Mailman/Handlers/Scrubber.py
+Index: b/Mailman/Handlers/Scrubber.py
 ===================================================================
---- mailman-2.1.12.orig/Mailman/Handlers/Scrubber.py	2009-03-02 20:49:54.000000000 +0100
-+++ mailman-2.1.12/Mailman/Handlers/Scrubber.py	2009-03-02 20:50:19.000000000 +0100
-@@ -320,7 +320,10 @@
+--- a/Mailman/Handlers/Scrubber.py	2010-05-24 17:50:44.000000000 +0200
++++ b/Mailman/Handlers/Scrubber.py	2010-05-24 17:51:12.000000000 +0200
+@@ -300,7 +300,10 @@
                  os.umask(omask)
              desc = part.get('content-description', _('not available'))
              desc = Utils.oneline(desc, lcset)
@@ -17,7 +17,7 @@
              filename = Utils.oneline(filename, lcset)
              replace_payload_by_text(part, _("""\
  A non-text attachment was scrubbed...
-@@ -444,7 +447,10 @@
+@@ -422,7 +425,10 @@
      ctype = msg.get_content_type()
      # i18n file name is encoded
      lcset = Utils.GetCharSet(mlist.preferred_language)

=== modified file 'debian/patches/71_date_overflows.patch'
--- debian/patches/71_date_overflows.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/71_date_overflows.patch	2010-07-13 21:35:40 +0000
@@ -1,11 +1,11 @@
 Patch: 71_date_overflows.patch
 Author: Lionel Elie Mamane <lionel@mamane.lu>
 React sensibly on integer overflow in date handling (Closes: #326024, CVE-2005-4153)
-Index: mailman-2.1.12/Mailman/Handlers/Scrubber.py
+Index: b/Mailman/Handlers/Scrubber.py
 ===================================================================
---- mailman-2.1.12.orig/Mailman/Handlers/Scrubber.py	2009-03-02 20:50:19.000000000 +0100
-+++ mailman-2.1.12/Mailman/Handlers/Scrubber.py	2009-03-02 20:50:20.000000000 +0100
-@@ -143,7 +143,7 @@
+--- a/Mailman/Handlers/Scrubber.py	2010-05-24 17:51:12.000000000 +0200
++++ b/Mailman/Handlers/Scrubber.py	2010-05-24 17:51:13.000000000 +0200
+@@ -122,7 +122,7 @@
                       }.get(parts[3], 0)
              day = int(parts[4])
              year = int(parts[6])

=== modified file 'debian/patches/74_admin_non-ascii_emails.patch'
--- debian/patches/74_admin_non-ascii_emails.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/74_admin_non-ascii_emails.patch	2010-07-13 21:35:40 +0000
@@ -1,10 +1,10 @@
 Patch: 74_admin_non-ascii_emails.patch
 Author: Lionel Elie Mamane <lionel@mamane.lu>
 Don't assume emails are ASCII (Closes: #315358)
-Index: mailman-2.1.12/Mailman/Cgi/admin.py
+Index: b/Mailman/Cgi/admin.py
 ===================================================================
---- mailman-2.1.12.orig/Mailman/Cgi/admin.py	2009-03-02 20:41:46.000000000 +0100
-+++ mailman-2.1.12/Mailman/Cgi/admin.py	2009-03-02 20:50:21.000000000 +0100
+--- a/Mailman/Cgi/admin.py	2010-05-24 17:50:44.000000000 +0200
++++ b/Mailman/Cgi/admin.py	2010-05-24 17:51:14.000000000 +0200
 @@ -867,7 +867,12 @@
      chunksz = mlist.admin_member_chunksize
      # The email addresses had /better/ be ASCII, but might be encoded in the

=== modified file 'debian/patches/79_archiver_slash.patch'
--- debian/patches/79_archiver_slash.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/79_archiver_slash.patch	2010-07-13 21:35:40 +0000
@@ -1,10 +1,10 @@
 Patch: 79_archiver_slash.patch
 Author: Lionel Elie Mamane <lionel@mamane.lu>
 Some non-pipermail archivers require _no_ final slash (Closes: #350388)
-Index: mailman-2.1.12/Mailman/Archiver/Archiver.py
+Index: b/Mailman/Archiver/Archiver.py
 ===================================================================
---- mailman-2.1.12.orig/Mailman/Archiver/Archiver.py	2009-03-02 20:41:44.000000000 +0100
-+++ mailman-2.1.12/Mailman/Archiver/Archiver.py	2009-03-02 20:50:25.000000000 +0100
+--- a/Mailman/Archiver/Archiver.py	2010-05-24 17:50:44.000000000 +0200
++++ b/Mailman/Archiver/Archiver.py	2010-05-24 17:51:15.000000000 +0200
 @@ -146,8 +146,6 @@
                  'listname': self.internal_name(),
                  'hostname': hostname
@@ -14,11 +14,11 @@
              return url
  
      def __archive_file(self, afn):
-Index: mailman-2.1.12/Mailman/Defaults.py.in
+Index: b/Mailman/Defaults.py.in
 ===================================================================
---- mailman-2.1.12.orig/Mailman/Defaults.py.in	2009-03-02 20:49:55.000000000 +0100
-+++ mailman-2.1.12/Mailman/Defaults.py.in	2009-03-02 20:50:25.000000000 +0100
-@@ -210,7 +210,7 @@
+--- a/Mailman/Defaults.py.in	2010-05-24 17:51:04.000000000 +0200
++++ b/Mailman/Defaults.py.in	2010-05-24 17:51:15.000000000 +0200
+@@ -216,7 +216,7 @@
  # interpolate the name of the list into this.  You can also include a
  # "%(hostname)s" in the string, into which Mailman will interpolate
  # the host name (usually DEFAULT_URL_HOST).

=== modified file 'debian/patches/99_js_templates.patch'
--- debian/patches/99_js_templates.patch	2009-03-14 14:18:16 +0000
+++ debian/patches/99_js_templates.patch	2010-07-13 21:35:40 +0000
@@ -2,10 +2,10 @@
 Author: Tollef Fog Heen <tfheen@debian.org>
 Make the password field be focused on page entry, if you have JS
 enabled.  Again thanks to Md.
-Index: mailman-2.1.12/templates/ar/private.html
+Index: b/templates/ar/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ar/private.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/ar/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ar/private.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/ar/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -2,9 +2,10 @@
  <head>
      <title>التحقق من الشخصية للأرشيف الخاص بالقائمة %(realname)s</title>
@@ -19,10 +19,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/ca/admlogin.html
+Index: b/templates/ca/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ca/admlogin.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/ca/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ca/admlogin.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/ca/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -36,10 +36,10 @@
  %(message)s  
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/ca/private.html
+Index: b/templates/ca/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ca/private.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/ca/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ca/private.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/ca/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -53,10 +53,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/cs/admlogin.html
+Index: b/templates/cs/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/cs/admlogin.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/cs/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/cs/admlogin.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/cs/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -70,10 +70,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/cs/private.html
+Index: b/templates/cs/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/cs/private.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/cs/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/cs/private.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/cs/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -87,10 +87,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/da/admlogin.html
+Index: b/templates/da/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/da/admlogin.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/da/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/da/admlogin.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/da/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -104,10 +104,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/da/private.html
+Index: b/templates/da/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/da/private.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/da/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/da/private.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/da/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -121,10 +121,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/de/admlogin.html
+Index: b/templates/de/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/de/admlogin.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/de/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/de/admlogin.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/de/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -138,10 +138,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/de/private.html
+Index: b/templates/de/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/de/private.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/de/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/de/private.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/de/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -155,10 +155,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/en/admlogin.html
+Index: b/templates/en/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/en/admlogin.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/en/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/en/admlogin.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/en/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -172,10 +172,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/en/listinfo.html
+Index: b/templates/en/listinfo.html
 ===================================================================
---- mailman-2.1.12.orig/templates/en/listinfo.html	2009-03-02 20:50:14.000000000 +0100
-+++ mailman-2.1.12/templates/en/listinfo.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/en/listinfo.html	2010-05-24 17:51:09.000000000 +0200
++++ b/templates/en/listinfo.html	2010-05-24 17:51:16.000000000 +0200
 @@ -4,7 +4,7 @@
      <TITLE><MM-List-Name> Info Page</TITLE>
    
@@ -185,10 +185,10 @@
  
      <P>
        <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
-Index: mailman-2.1.12/templates/en/private.html
+Index: b/templates/en/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/en/private.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/en/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/en/private.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/en/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -202,10 +202,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/es/admlogin.html
+Index: b/templates/es/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/es/admlogin.html	2009-03-02 20:41:39.000000000 +0100
-+++ mailman-2.1.12/templates/es/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/es/admlogin.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/es/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -219,10 +219,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/es/private.html
+Index: b/templates/es/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/es/private.html	2009-03-02 20:41:39.000000000 +0100
-+++ mailman-2.1.12/templates/es/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/es/private.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/es/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -236,10 +236,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/et/admlogin.html
+Index: b/templates/et/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/et/admlogin.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/et/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/et/admlogin.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/et/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -253,10 +253,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/et/private.html
+Index: b/templates/et/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/et/private.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/et/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/et/private.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/et/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -270,10 +270,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/eu/admlogin.html
+Index: b/templates/eu/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/eu/admlogin.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/eu/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/eu/admlogin.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/eu/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -287,10 +287,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/eu/private.html
+Index: b/templates/eu/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/eu/private.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/eu/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/eu/private.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/eu/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -304,10 +304,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/fi/admlogin.html
+Index: b/templates/fi/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/fi/admlogin.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/fi/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/fi/admlogin.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/fi/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -2,9 +2,10 @@
  <html>
  <head>
@@ -321,10 +321,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/fi/private.html
+Index: b/templates/fi/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/fi/private.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/fi/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/fi/private.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/fi/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -2,9 +2,10 @@
  <html>
  <head>
@@ -338,10 +338,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/fr/admlogin.html
+Index: b/templates/fr/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/fr/admlogin.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/fr/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/fr/admlogin.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/fr/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -355,10 +355,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/fr/private.html
+Index: b/templates/fr/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/fr/private.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/fr/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/fr/private.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/fr/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -2,9 +2,10 @@
  <head>
      <title>Authentification pour l'acc&egrave;s aux archives priv&eacute;es de
@@ -372,10 +372,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/gl/admlogin.html
+Index: b/templates/gl/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/gl/admlogin.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/gl/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/gl/admlogin.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/gl/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -389,10 +389,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/gl/private.html
+Index: b/templates/gl/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/gl/private.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/gl/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/gl/private.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/gl/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -406,10 +406,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/he/admlogin.html
+Index: b/templates/he/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/he/admlogin.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/he/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/he/admlogin.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/he/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -423,10 +423,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/he/private.html
+Index: b/templates/he/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/he/private.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/he/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/he/private.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/he/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -440,10 +440,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/hr/admlogin.html
+Index: b/templates/hr/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/hr/admlogin.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/hr/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/hr/admlogin.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/hr/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -457,10 +457,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/hr/private.html
+Index: b/templates/hr/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/hr/private.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/hr/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/hr/private.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/hr/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -474,10 +474,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/hu/admlogin.html
+Index: b/templates/hu/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/hu/admlogin.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/hu/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/hu/admlogin.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/hu/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -491,10 +491,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/hu/private.html
+Index: b/templates/hu/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/hu/private.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/hu/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/hu/private.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/hu/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -508,10 +508,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/ia/admlogin.html
+Index: b/templates/ia/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ia/admlogin.html	2009-03-02 20:41:44.000000000 +0100
-+++ mailman-2.1.12/templates/ia/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ia/admlogin.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/ia/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -525,10 +525,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/ia/private.html
+Index: b/templates/ia/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ia/private.html	2009-03-02 20:41:44.000000000 +0100
-+++ mailman-2.1.12/templates/ia/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ia/private.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/ia/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -542,10 +542,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/it/admlogin.html
+Index: b/templates/it/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/it/admlogin.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/it/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/it/admlogin.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/it/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -559,10 +559,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/it/private.html
+Index: b/templates/it/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/it/private.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/it/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/it/private.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/it/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -576,10 +576,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/ja/admlogin.html
+Index: b/templates/ja/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ja/admlogin.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/ja/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ja/admlogin.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/ja/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -593,10 +593,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/ja/private.html
+Index: b/templates/ja/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ja/private.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/ja/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ja/private.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/ja/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -610,10 +610,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/ko/admlogin.html
+Index: b/templates/ko/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ko/admlogin.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/ko/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ko/admlogin.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/ko/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -627,10 +627,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/ko/private.html
+Index: b/templates/ko/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ko/private.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/ko/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ko/private.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/ko/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -644,10 +644,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/lt/admlogin.html
+Index: b/templates/lt/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/lt/admlogin.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/lt/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/lt/admlogin.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/lt/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -661,10 +661,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/lt/private.html
+Index: b/templates/lt/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/lt/private.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/lt/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/lt/private.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/lt/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -678,10 +678,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/nl/admlogin.html
+Index: b/templates/nl/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/nl/admlogin.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/nl/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/nl/admlogin.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/nl/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -695,10 +695,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/nl/private.html
+Index: b/templates/nl/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/nl/private.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/nl/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/nl/private.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/nl/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -712,10 +712,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/no/admlogin.html
+Index: b/templates/no/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/no/admlogin.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/no/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/no/admlogin.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/no/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -729,10 +729,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/no/private.html
+Index: b/templates/no/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/no/private.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/no/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/no/private.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/no/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -746,10 +746,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/pl/admlogin.html
+Index: b/templates/pl/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/pl/admlogin.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/pl/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/pl/admlogin.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/pl/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -2,9 +2,10 @@
  <head>
    <title>Uwierzytelnienie %(who)s %(listname)s</title>
@@ -763,10 +763,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/pl/private.html
+Index: b/templates/pl/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/pl/private.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/pl/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/pl/private.html	2010-05-24 17:50:40.000000000 +0200
++++ b/templates/pl/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -780,10 +780,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/pt/admlogin.html
+Index: b/templates/pt/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/pt/admlogin.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/pt/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/pt/admlogin.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/pt/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -797,10 +797,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/pt/private.html
+Index: b/templates/pt/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/pt/private.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/pt/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/pt/private.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/pt/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -814,10 +814,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/pt_BR/admlogin.html
+Index: b/templates/pt_BR/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/pt_BR/admlogin.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/pt_BR/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/pt_BR/admlogin.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/pt_BR/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -831,10 +831,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/pt_BR/private.html
+Index: b/templates/pt_BR/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/pt_BR/private.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/pt_BR/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/pt_BR/private.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/pt_BR/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -848,10 +848,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/ro/admlogin.html
+Index: b/templates/ro/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ro/admlogin.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/ro/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ro/admlogin.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/ro/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -2,9 +2,10 @@
  <head>
    <title>%(listname)s: Autentificare - %(who)s</title>
@@ -865,10 +865,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/ro/private.html
+Index: b/templates/ro/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ro/private.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/ro/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ro/private.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/ro/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -2,9 +2,10 @@
  <head>
      <title>Autentificare la arhivele private %(realname)s</title>
@@ -882,10 +882,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/ru/admlogin.html
+Index: b/templates/ru/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ru/admlogin.html	2009-03-02 20:41:39.000000000 +0100
-+++ mailman-2.1.12/templates/ru/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ru/admlogin.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/ru/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -899,10 +899,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/ru/private.html
+Index: b/templates/ru/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/ru/private.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/ru/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/ru/private.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/ru/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -916,10 +916,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/sk/admlogin.html
+Index: b/templates/sk/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/sk/admlogin.html	2009-03-02 20:41:39.000000000 +0100
-+++ mailman-2.1.12/templates/sk/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/sk/admlogin.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/sk/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -933,10 +933,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/sk/private.html
+Index: b/templates/sk/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/sk/private.html	2009-03-02 20:41:39.000000000 +0100
-+++ mailman-2.1.12/templates/sk/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/sk/private.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/sk/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -950,10 +950,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/sl/admlogin.html
+Index: b/templates/sl/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/sl/admlogin.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/sl/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/sl/admlogin.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/sl/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -967,10 +967,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/sl/private.html
+Index: b/templates/sl/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/sl/private.html	2009-03-02 20:41:41.000000000 +0100
-+++ mailman-2.1.12/templates/sl/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/sl/private.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/sl/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -984,10 +984,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/sr/admlogin.html
+Index: b/templates/sr/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/sr/admlogin.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/sr/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/sr/admlogin.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/sr/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,11 @@
  <html>
  <head>
@@ -1003,10 +1003,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/sr/private.html
+Index: b/templates/sr/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/sr/private.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/sr/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/sr/private.html	2010-05-24 17:50:43.000000000 +0200
++++ b/templates/sr/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,11 @@
  ﻿<html>
  <head>
@@ -1022,10 +1022,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/sv/admlogin.html
+Index: b/templates/sv/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/sv/admlogin.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/sv/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/sv/admlogin.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/sv/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -1039,10 +1039,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/sv/private.html
+Index: b/templates/sv/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/sv/private.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/sv/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/sv/private.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/sv/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -1056,10 +1056,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/tr/admlogin.html
+Index: b/templates/tr/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/tr/admlogin.html	2009-03-02 20:41:44.000000000 +0100
-+++ mailman-2.1.12/templates/tr/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/tr/admlogin.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/tr/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -1073,10 +1073,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/tr/private.html
+Index: b/templates/tr/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/tr/private.html	2009-03-02 20:41:44.000000000 +0100
-+++ mailman-2.1.12/templates/tr/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/tr/private.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/tr/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -1090,10 +1090,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/uk/admlogin.html
+Index: b/templates/uk/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/uk/admlogin.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/uk/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/uk/admlogin.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/uk/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -1107,10 +1107,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/uk/private.html
+Index: b/templates/uk/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/uk/private.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/uk/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/uk/private.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/uk/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -1124,10 +1124,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/vi/admlogin.html
+Index: b/templates/vi/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/vi/admlogin.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/vi/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/vi/admlogin.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/vi/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -1141,10 +1141,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/vi/private.html
+Index: b/templates/vi/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/vi/private.html	2009-03-02 20:41:42.000000000 +0100
-+++ mailman-2.1.12/templates/vi/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/vi/private.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/vi/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -1158,10 +1158,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/zh_CN/admlogin.html
+Index: b/templates/zh_CN/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/zh_CN/admlogin.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/zh_CN/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/zh_CN/admlogin.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/zh_CN/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -1175,10 +1175,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/zh_CN/private.html
+Index: b/templates/zh_CN/private.html
 ===================================================================
---- mailman-2.1.12.orig/templates/zh_CN/private.html	2009-03-02 20:41:40.000000000 +0100
-+++ mailman-2.1.12/templates/zh_CN/private.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/zh_CN/private.html	2010-05-24 17:50:41.000000000 +0200
++++ b/templates/zh_CN/private.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>
@@ -1192,10 +1192,10 @@
  %(message)s
    <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
      <TR>
-Index: mailman-2.1.12/templates/zh_TW/admlogin.html
+Index: b/templates/zh_TW/admlogin.html
 ===================================================================
---- mailman-2.1.12.orig/templates/zh_TW/admlogin.html	2009-03-02 20:41:43.000000000 +0100
-+++ mailman-2.1.12/templates/zh_TW/admlogin.html	2009-03-02 20:50:26.000000000 +0100
+--- a/templates/zh_TW/admlogin.html	2010-05-24 17:50:42.000000000 +0200
++++ b/templates/zh_TW/admlogin.html	2010-05-24 17:51:16.000000000 +0200
 @@ -1,9 +1,10 @@
  <html>
  <head>

=== modified file 'debian/patches/series'
--- debian/patches/series	2009-12-31 15:50:29 +0000
+++ debian/patches/series	2010-07-13 21:35:40 +0000
@@ -6,6 +6,7 @@
 16_update_debian.patch
 20_qmail_to_mailman.debian.patch
 21_newlist_help.patch
+25_site_logo.patch
 51_nocompile.pyc.patch
 52_check_perms_lstat.patch
 53_disable_addons.patch

=== modified file 'debian/po/ca.po'
--- debian/po/ca.po	2009-03-14 14:18:16 +0000
+++ debian/po/ca.po	2010-07-13 21:35:40 +0000
@@ -12,6 +12,7 @@
 "PO-Revision-Date: 2009-01-06 17:15+0100\n"
 "Last-Translator: David Planella Molas <david.planella@gmail.com>\n"
 "Language-Team: Debian L10n Catalan <debian-l10n-catalan@lists.debian.org>\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'debian/po/cs.po'
--- debian/po/cs.po	2009-03-14 14:18:16 +0000
+++ debian/po/cs.po	2010-07-13 21:35:40 +0000
@@ -19,6 +19,7 @@
 "PO-Revision-Date: 2008-12-30 18:54+0100\n"
 "Last-Translator: Miroslav Kure <kurem@debian.cz>\n"
 "Language-Team: Czech <debian-l10n-czech@lists.debian.org>\n"
+"Language: cs\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'debian/po/de.po'
--- debian/po/de.po	2009-03-14 14:18:16 +0000
+++ debian/po/de.po	2010-07-13 21:35:40 +0000
@@ -11,6 +11,7 @@
 "PO-Revision-Date: 2008-12-31 23:06+0100\n"
 "Last-Translator: Holger Wansing <linux@wansing-online.de>\n"
 "Language-Team: German <debian-l10n-german@lists.debian.org>\n"
+"Language: de\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'debian/po/es.po'
--- debian/po/es.po	2009-03-14 14:18:16 +0000
+++ debian/po/es.po	2010-07-13 21:35:40 +0000
@@ -29,6 +29,7 @@
 "PO-Revision-Date: 2008-12-28 18:43+0100\n"
 "Last-Translator: Javier Fernandez-Sanguino <jfs@debian.org>\n"
 "Language-Team: Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=ISO-8859-15\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -276,8 +277,8 @@
 "If you need a different set of languages at a later time, just run dpkg-"
 "reconfigure mailman."
 msgstr ""
-"Slo tiene que ejecutar dpkg-reconfigure mailman si necesita un conjunto de "
-"lenguajes distinto ms adelante."
+"Slo tiene que ejecutar dpkg-reconfigure mailman si necesita un conjunto "
+"de lenguajes distinto ms adelante."
 
 #. Type: multiselect
 #. Description
@@ -341,8 +342,8 @@
 "init.d/mailman start."
 msgstr ""
 "Para crear la lista, ejecute newlist mailman y siga las instrucciones que "
-"aparecern en pantalla. Posteriormente deber reiniciar mailman, ejecutando /"
-"etc/init.d/mailman start."
+"aparecern en pantalla. Posteriormente deber reiniciar mailman, ejecutando "
+"/etc/init.d/mailman start."
 
 #. Type: select
 #. Description

=== modified file 'debian/po/fr.po'
--- debian/po/fr.po	2009-03-14 14:18:16 +0000
+++ debian/po/fr.po	2010-07-13 21:35:40 +0000
@@ -14,6 +14,7 @@
 "PO-Revision-Date: 2008-12-28 17:18+0100\n"
 "Last-Translator: Florentin Duneau <fduneau@gmail.com>\n"
 "Language-Team: French <debian-l10n-french@lists.debian.org>\n"
+"Language: fr\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'debian/po/gl.po'
--- debian/po/gl.po	2009-03-14 14:18:16 +0000
+++ debian/po/gl.po	2010-07-13 21:35:40 +0000
@@ -12,6 +12,7 @@
 "PO-Revision-Date: 2008-12-28 14:33+0100\n"
 "Last-Translator: Marce Villarino <mvillarino@users.sourceforge.net>\n"
 "Language-Team: galician <proxecto@trasno.net>\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'debian/po/hu.po'
--- debian/po/hu.po	2009-03-14 14:18:16 +0000
+++ debian/po/hu.po	2010-07-13 21:35:40 +0000
@@ -19,6 +19,7 @@
 "PO-Revision-Date: 2004-02-20 20:06+0100\n"
 "Last-Translator: Lszl 'GCS' Bszrmnyi <gcs@lsc.hu>\n"
 "Language-Team: \n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=iso-8859-2\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'debian/po/it.po'
--- debian/po/it.po	2009-03-14 14:18:16 +0000
+++ debian/po/it.po	2010-07-13 21:35:40 +0000
@@ -11,6 +11,7 @@
 "PO-Revision-Date: 2008-12-29 11:17+0100\n"
 "Last-Translator: Luca Monducci <luca.mo@tiscali.it>\n"
 "Language-Team: Italian <debian-l10n-italian@lists.debian.org>\n"
+"Language: it\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'debian/po/ja.po'
--- debian/po/ja.po	2009-03-14 14:18:16 +0000
+++ debian/po/ja.po	2010-07-13 21:35:40 +0000
@@ -19,6 +19,7 @@
 "PO-Revision-Date: 2008-12-28 21:29+0900\n"
 "Last-Translator: Kenshi Muto <kmuto@debian.org>\n"
 "Language-Team: Japanese <debian-japanese@lists.debian.org>\n"
+"Language: ja\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'debian/po/nl.po'
--- debian/po/nl.po	2009-03-14 14:18:16 +0000
+++ debian/po/nl.po	2010-07-13 21:35:40 +0000
@@ -25,6 +25,7 @@
 "PO-Revision-Date: 2008-12-27 15:16+0100\n"
 "Last-Translator: Thijs Kinkhorst <thijs@debian.org>\n"
 "Language-Team: Debian l10n Dutch <debian-l10n-dutch@lists.debian.org>\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'debian/po/pt.po'
--- debian/po/pt.po	2009-03-14 14:18:16 +0000
+++ debian/po/pt.po	2010-07-13 21:35:40 +0000
@@ -11,6 +11,7 @@
 "PO-Revision-Date: 2008-12-28 10:31+0000\n"
 "Last-Translator: Miguel Figueiredo <elmig@debianpt.org>\n"
 "Language-Team: Portuguese <traduz@debianpt.org>\n"
+"Language: pt\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'debian/po/pt_BR.po'
--- debian/po/pt_BR.po	2009-03-14 14:18:16 +0000
+++ debian/po/pt_BR.po	2010-07-13 21:35:40 +0000
@@ -19,6 +19,7 @@
 "PO-Revision-Date: 2006-10-16 00:53-0200\n"
 "Last-Translator: André Luís Lopes <andrelop@debian.org>\n"
 "Language-Team: Debian-BR Project <debian-l10n-portuguese@lists.debian.org>\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'debian/po/ru.po'
--- debian/po/ru.po	2009-03-14 14:18:16 +0000
+++ debian/po/ru.po	2010-07-13 21:35:40 +0000
@@ -21,12 +21,13 @@
 "PO-Revision-Date: 2008-12-27 22:22+0300\n"
 "Last-Translator: Sergey Alyoshin <alyoshin.s@gmail.com>\n"
 "Language-Team: Russian <debian-l10n-russian@lists.debian.org>\n"
+"Language: ru\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "X-Generator: KBabel 1.11.2\n"
-"Plural-Forms:  nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%"
-"10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+"Plural-Forms:  nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
+"%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
 #. Type: multiselect
 #. Choices

=== modified file 'debian/po/sk.po'
--- debian/po/sk.po	2009-09-27 17:36:01 +0000
+++ debian/po/sk.po	2010-07-13 21:35:40 +0000
@@ -11,6 +11,7 @@
 "PO-Revision-Date: 2009-06-02 16:13+0100\n"
 "Last-Translator: Ivan Masár <helix84@centrum.sk>\n"
 "Language-Team: Slovak <sk-i18n@lists.linux.sk>\n"
+"Language: sk\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -227,8 +228,7 @@
 #. from the one in the Choices list; you do not have to worry about
 #. them, and have to simply choose a msgstr among the English values
 #. listed in the Choices field above, e.g. msgstr "nl (Dutch)".
-#: ../templates:1002
-#: ../templates:5001
+#: ../templates:1002 ../templates:5001
 msgid "en (English)[ default language ]"
 msgstr "en (angličtina)[ predvolený jazyk ]"
 
@@ -241,20 +241,38 @@
 #. Type: multiselect
 #. Description
 #: ../templates:1003
-msgid "For each supported language, Mailman stores default language specific texts in /etc/mailman/LANG/ giving them conffile like treatment with the help of ucf.  This means approximately 150kB for each supported language on the root file system."
-msgstr "Pre každý podporovaný jazyk ukladá Mailman texty špecifické pre predvolený jazyk v /etc/mailman/LANG/ a s pomocou ucf sa s nimi zaobchádza ako s conf súbormi. To znamená približne 150 kB pre každý podporovaný jazyk na koreňovom súborovom systéme."
-
-#. Type: multiselect
-#. Description
-#: ../templates:1003
-msgid "If you need a different set of languages at a later time, just run dpkg-reconfigure mailman."
-msgstr "Ak budete neskôr potrebovať odlišnú sadu jazykov, jednoducho spustite „dpkg-reconfigure mailman“."
-
-#. Type: multiselect
-#. Description
-#: ../templates:1003
-msgid "NOTE: Languages enabled on existing mailing lists are forcibly re-enabled when deselected and mailman needs at least one language for displaying its messages."
-msgstr "POZN.: Jazyky zapnuté na existujúcich konferenciách sa násilne znova zapnú jeď je ich výber zrušený a mailman potrebuje aspoň jeden jazyk na zobrazenie svojich správ."
+msgid ""
+"For each supported language, Mailman stores default language specific texts "
+"in /etc/mailman/LANG/ giving them conffile like treatment with the help of "
+"ucf.  This means approximately 150kB for each supported language on the root "
+"file system."
+msgstr ""
+"Pre každý podporovaný jazyk ukladá Mailman texty špecifické pre predvolený "
+"jazyk v /etc/mailman/LANG/ a s pomocou ucf sa s nimi zaobchádza ako s conf "
+"súbormi. To znamená približne 150 kB pre každý podporovaný jazyk na "
+"koreňovom súborovom systéme."
+
+#. Type: multiselect
+#. Description
+#: ../templates:1003
+msgid ""
+"If you need a different set of languages at a later time, just run dpkg-"
+"reconfigure mailman."
+msgstr ""
+"Ak budete neskôr potrebovať odlišnú sadu jazykov, jednoducho spustite „dpkg-"
+"reconfigure mailman“."
+
+#. Type: multiselect
+#. Description
+#: ../templates:1003
+msgid ""
+"NOTE: Languages enabled on existing mailing lists are forcibly re-enabled "
+"when deselected and mailman needs at least one language for displaying its "
+"messages."
+msgstr ""
+"POZN.: Jazyky zapnuté na existujúcich konferenciách sa násilne znova zapnú "
+"jeď je ich výber zrušený a mailman potrebuje aspoň jeden jazyk na zobrazenie "
+"svojich správ."
 
 #. Type: boolean
 #. Description
@@ -265,8 +283,12 @@
 #. Type: boolean
 #. Description
 #: ../templates:3001
-msgid "Mailman allows to gate news to mail, that is, send all the messages which appear in a Usenet newsgroup to a mailing list."
-msgstr "Mailman umožňuje prekladať novinky na poštu, t.j. posielať všetky správy, ktoré sa objavia v Usenetových skupinách do konferencie."
+msgid ""
+"Mailman allows to gate news to mail, that is, send all the messages which "
+"appear in a Usenet newsgroup to a mailing list."
+msgstr ""
+"Mailman umožňuje prekladať novinky na poštu, t.j. posielať všetky správy, "
+"ktoré sa objavia v Usenetových skupinách do konferencie."
 
 #. Type: boolean
 #. Description
@@ -283,14 +305,26 @@
 #. Type: note
 #. Description
 #: ../templates:4001
-msgid "Mailman needs a so-called \"site list\", which is the list from which password reminders and such are sent out from.  This list needs to be created before mailman will start."
-msgstr "Mailman potrebuje tzv. „konferenciu lokality“, čo je zoznam z ktorého sa posielajú pripomenutiahesiel a pod. Túto konferenciu je potrebné vytvoriť pred spustením Mailmanu."
+msgid ""
+"Mailman needs a so-called \"site list\", which is the list from which "
+"password reminders and such are sent out from.  This list needs to be "
+"created before mailman will start."
+msgstr ""
+"Mailman potrebuje tzv. „konferenciu lokality“, čo je zoznam z ktorého sa "
+"posielajú pripomenutiahesiel a pod. Túto konferenciu je potrebné vytvoriť "
+"pred spustením Mailmanu."
 
 #. Type: note
 #. Description
 #: ../templates:4001
-msgid "To create the list, run \"newlist mailman\" and follow the instructions on-screen.  Note that you also need to start mailman after that, using /etc/init.d/mailman start."
-msgstr "Ak chcete túto konferenciu vytvoriť, spustite „newlist mailman“ a nsaledujte pokyny na obrazovke. Pamätajte, že následne musíte spustiť mailman použitím „/etc/init.d/mailman start“."
+msgid ""
+"To create the list, run \"newlist mailman\" and follow the instructions on-"
+"screen.  Note that you also need to start mailman after that, using /etc/"
+"init.d/mailman start."
+msgstr ""
+"Ak chcete túto konferenciu vytvoriť, spustite „newlist mailman“ a nsaledujte "
+"pokyny na obrazovke. Pamätajte, že následne musíte spustiť mailman použitím "
+"„/etc/init.d/mailman start“."
 
 #. Type: select
 #. Description
@@ -301,8 +335,12 @@
 #. Type: select
 #. Description
 #: ../templates:5002
-msgid "The web page will be shown in this language, and in general, Mailman will use this language to communicate with the user."
-msgstr "Webstránka sa zobrazí v tomto jazyku a vo všeobecnosti bude Mailman používať tento jazyk na komunikáciu s používateľom."
+msgid ""
+"The web page will be shown in this language, and in general, Mailman will "
+"use this language to communicate with the user."
+msgstr ""
+"Webstránka sa zobrazí v tomto jazyku a vo všeobecnosti bude Mailman používať "
+"tento jazyk na komunikáciu s používateľom."
 
 #. Type: select
 #. Choices
@@ -326,7 +364,8 @@
 #. Description
 #: ../templates:6002
 msgid ""
-"The directory /var/lib/mailman/qfiles contains files. It needs to be empty for the upgrade to work properly. You can try to handle them by:\n"
+"The directory /var/lib/mailman/qfiles contains files. It needs to be empty "
+"for the upgrade to work properly. You can try to handle them by:\n"
 " - Stop new messages from coming in (at the MTA level).\n"
 " - Start a mailman queue runner: /etc/init.d/mailman start\n"
 " - Let it run until all messages are handled.\n"
@@ -335,9 +374,11 @@
 " - Stop it: /etc/init.d/mailman stop\n"
 " - Retry the upgrade.\n"
 " - Let messages come in again.\n"
-"You can also decide to simply remove the files, which will make Mailman forget about (and lose) the corresponding emails."
+"You can also decide to simply remove the files, which will make Mailman "
+"forget about (and lose) the corresponding emails."
 msgstr ""
-"Adresár /var/lib/mailman/qfiles obsahuje súbory. Aby aktualizácia fungovala, musí byť prázdny. Môžete skúsiť sa o ne postarať nasledovne:\n"
+"Adresár /var/lib/mailman/qfiles obsahuje súbory. Aby aktualizácia fungovala, "
+"musí byť prázdny. Môžete skúsiť sa o ne postarať nasledovne:\n"
 " - Zastaviť príjem nových správ (na úrovni MTA).\n"
 " - Spustiť spracovanie frontu mailman: /etc/init.d/mailman start\n"
 " - nechať ho bežať kým nebudú spracované všetky správy.\n"
@@ -346,17 +387,32 @@
 " - Zastavte ho: /etc/init.d/mailman stop\n"
 " - Znova sa pokúste o aktualizáciu.\n"
 " - Opäť povoľte príchod nových správ.\n"
-"Tiež sa môžete rozhodnúť, že súbory jednoducho odstránite, a teda sa Mailman nikdy nedozvie (a stratia sa) o zodpovedajúcich emailoch."
-
-#. Type: select
-#. Description
-#: ../templates:6002
-msgid "If these files correspond to shunted messages, you have to either delete them or unshunt them (with /var/lib/mailman/bin/unshunt). Shunted messages are messages on which Mailman has already abandoned any further processing because of an error condition, but that are kept for admin review. You can use /var/lib/mailman/bin/show_qfiles to examine the contents of the queues."
-msgstr "Ak tieto súbory zodpovedajú odsunutým správam, musíte ich buď zmazať alebo zrušiť odsunutie (pomocou /var/lib/mailman/bin/unshunt). Odsunuté správy sú také, ktorých spracovanie Mailman už vzdal z dôvodu chyby, ale sú ponechané na kontrolu pre správcu. Na preskúmanie obsahu front môžete použiť /var/lib/mailman/bin/show_qfiles."
-
-#. Type: select
-#. Description
-#: ../templates:6002
-msgid "You have the option to continue installation regardless of this problem, at the risk of losing the messages in question or breaking your Mailman setup."
-msgstr "Máte možnosť pokračovať v inštalácii bez ohľadu na tento problém, pričom však riskujete stratu dotyčných správ alebo poškodenie svojej konfigurácie Mailmanu."
-
+"Tiež sa môžete rozhodnúť, že súbory jednoducho odstránite, a teda sa Mailman "
+"nikdy nedozvie (a stratia sa) o zodpovedajúcich emailoch."
+
+#. Type: select
+#. Description
+#: ../templates:6002
+msgid ""
+"If these files correspond to shunted messages, you have to either delete "
+"them or unshunt them (with /var/lib/mailman/bin/unshunt). Shunted messages "
+"are messages on which Mailman has already abandoned any further processing "
+"because of an error condition, but that are kept for admin review. You can "
+"use /var/lib/mailman/bin/show_qfiles to examine the contents of the queues."
+msgstr ""
+"Ak tieto súbory zodpovedajú odsunutým správam, musíte ich buď zmazať alebo "
+"zrušiť odsunutie (pomocou /var/lib/mailman/bin/unshunt). Odsunuté správy sú "
+"také, ktorých spracovanie Mailman už vzdal z dôvodu chyby, ale sú ponechané "
+"na kontrolu pre správcu. Na preskúmanie obsahu front môžete použiť /var/lib/"
+"mailman/bin/show_qfiles."
+
+#. Type: select
+#. Description
+#: ../templates:6002
+msgid ""
+"You have the option to continue installation regardless of this problem, at "
+"the risk of losing the messages in question or breaking your Mailman setup."
+msgstr ""
+"Máte možnosť pokračovať v inštalácii bez ohľadu na tento problém, pričom "
+"však riskujete stratu dotyčných správ alebo poškodenie svojej konfigurácie "
+"Mailmanu."

=== modified file 'debian/po/sv.po'
--- debian/po/sv.po	2009-03-14 14:18:16 +0000
+++ debian/po/sv.po	2010-07-13 21:35:40 +0000
@@ -19,6 +19,7 @@
 "PO-Revision-Date: 2008-12-31 00:01+0100\n"
 "Last-Translator: Martin Bagge <brother@bsnet.se>\n"
 "Language-Team: Swedish <tp-sv@listor.tp-sv.se>\n"
+"Language: sv\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=iso-8859-1\n"
 "Content-Transfer-Encoding: 8bit\n"

=== modified file 'debian/po/vi.po'
--- debian/po/vi.po	2009-03-14 14:18:16 +0000
+++ debian/po/vi.po	2010-07-13 21:35:40 +0000
@@ -10,6 +10,7 @@
 "PO-Revision-Date: 2009-01-26 22:23+1030\n"
 "Last-Translator: Clytie Siddall <clytie@riverland.net.au>\n"
 "Language-Team: Vietnamese <vi-VN@googlegroups.com>\n"
+"Language: vi\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -405,8 +406,8 @@
 "cần phải hoặc xoá bỏ chúng hoặc gỡ bỏ chúng khỏi nhóm giữ riêng đó. (Thư đã "
 "giữ riêng cho người kiểm tra [tiếng Anh: shunted message] là thư bị trình "
 "Mailman hủy bỏ việc xử lý do gặp lỗi, còn giữ nó cho quản trị xem lại.) Bạn "
-"cũng có khả năng sử dụng « /var/lib/mailman/bin/show_qfiles » để xem nội dung "
-"của mỗi hàng đợi."
+"cũng có khả năng sử dụng « /var/lib/mailman/bin/show_qfiles » để xem nội "
+"dung của mỗi hàng đợi."
 
 #. Type: select
 #. Description

=== modified file 'debian/postinst' (properties changed: -x to +x)
=== modified file 'debian/prerm' (properties changed: -x to +x)
=== modified file 'debian/rules'
--- debian/rules	2009-12-31 15:50:29 +0000
+++ debian/rules	2010-07-13 21:35:40 +0000
@@ -6,8 +6,6 @@
 PACKAGE=$(package)
 VERSION=$(shell dpkg-parsechangelog | awk '$$1 == "Version:" {print $$2}')
 
-include /usr/share/quilt/quilt.make
-
 binaries=list_lists find_member config_list mmsitepass newlist rmlist	\
 	add_members list_members remove_members arch clone_member	\
 	sync_members check_db check_perms list_admins withlist
@@ -23,7 +21,7 @@
 INSTALL_PROGRAM += -s
 endif
 
-build: patch build-stamp
+build: build-stamp
 build-stamp: Makefile debian/po/templates.pot
 	$(MAKE) 
 	sed 's,@VERSION@,$(VERSION),g' < debian/preinst.in > debian/preinst
@@ -33,6 +31,7 @@
 	@debconf-updatepo
 
 Makefile:
+	cp configure configure.orig
 	autoconf
 	./configure --prefix=/var/lib/$(package) --with-username=list \
 		--with-groupname=list \
@@ -40,7 +39,7 @@
 		--without-permcheck --with-mailhost=localhost \
 		--with-urlhost=localhost
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
@@ -49,6 +48,7 @@
 	rm -f debian/preinst
 	dh_clean
 	chmod +x debian/{prerm,postinst}
+	[ ! -f configure.orig ] || mv -f configure.orig configure
 
 binary-indep:	build
 	dh_testdir
@@ -120,12 +120,12 @@
 		do dh_link usr/lib/$(package)/bin/$$bin usr/sbin/$$bin; done
 	mv debian/mailman/usr/sbin/arch debian/mailman/usr/sbin/mmarch
 	dh_installman
-	dh_installinit -- start 20 2 3 4 5 . stop 20 1 .
+	dh_installinit -- start 20 2 3 4 5 . stop 20 .
 	dh_installdebconf
 	dh_installexamples templates/* debian/mm_cfg.py \
 		debian/mailman/usr/lib/$(package)/Mailman/Defaults.py
 	dh_strip
-	dh_compress
+	dh_compress -Xmailman-admin.pdf -Xmailman-install.pdf -Xmailman-member-es.pdf -Xmailman-member.pdf
 	dh_fixperms
 	chown -R root:root debian/mailman
 	chown -R root:list \
@@ -149,6 +149,9 @@
 # apache default config
 	install -m 0644 debian/contrib/apache.conf debian/mailman/etc/mailman
 
+# Debian Powered icon
+	install -m 0644 debian/contrib/debianpowered.png debian/mailman/usr/share/images/mailman/
+
 # Move templates
 	mv `find debian/mailman/etc/mailman -mindepth 1 -maxdepth 1 -type d` debian/mailman/usr/share/mailman
 	cp build/contrib/qmail-to-mailman.py debian/mailman/usr/share/mailman

=== added directory 'debian/source'
=== added file 'debian/source/format'
--- debian/source/format	1970-01-01 00:00:00 +0000
+++ debian/source/format	2010-07-13 21:35:40 +0000
@@ -0,0 +1,1 @@
+3.0 (quilt)

=== added file 'debian/source/include-binaries'
--- debian/source/include-binaries	1970-01-01 00:00:00 +0000
+++ debian/source/include-binaries	2010-07-13 21:35:40 +0000
@@ -0,0 +1,1 @@
+debian/contrib/debianpowered.png

=== modified file 'misc/Makefile.in'
--- misc/Makefile.in	2009-12-31 15:50:29 +0000
+++ misc/Makefile.in	2010-07-13 21:35:40 +0000
@@ -57,7 +57,10 @@
 JACODECSPKG=	@JACODECSPKG@
 KOCODECSPKG=	@KOCODECSPKG@
 
-PACKAGES= $(EMAILPKG) $(JACODECSPKG) $(KOCODECSPKG)
+#Debian note (LEM): we take the Japanese and Korean codecs from other
+#Debian packages, but not email because the one in Python 2.4 doesn't work
+#with Mailman; when Mailman upgrades to email 3.0.x, we can try again.
+PACKAGES= $(EMAILPKG)
 
 # Modes for directories and executables created by the install
 # process.  Default to group-writable directories but

=== modified file 'misc/paths.py.in'
--- misc/paths.py.in	2009-03-14 14:18:16 +0000
+++ misc/paths.py.in	2010-07-13 21:35:40 +0000
@@ -67,13 +67,19 @@
 # files would be imported automatically.  But because we inhibit the importing
 # of the site module, we need to be explicit about importing these codecs.
 if not jaok:
-    import japanese
+    try:
+        import japanese
+    except ImportError:
+        pass
 # As of KoreanCodecs 2.0.5, you had to do the second import to get the Korean
 # codecs installed, however leave the first import in there in case an upgrade
 # changes this.
 if not kook:
-    import korean
-    import korean.aliases
+    try:
+        import korean
+        import korean.aliases
+    except ImportError:
+        pass
 # Arabic and Hebrew (RFC-1556) encoding aliases. (temporary solution)
 import encodings.aliases
 encodings.aliases.aliases.update({

=== modified file 'src/cgi-wrapper.c'
--- src/cgi-wrapper.c	2006-07-03 16:59:25 +0000
+++ src/cgi-wrapper.c	2010-07-13 21:35:40 +0000
@@ -42,7 +42,8 @@
         char* fake_argv[3];
 
         running_as_cgi = 1;
-        check_caller(logident, parentgroup);
+        if (getgid() >= 100 && getgid() != 65534)
+                check_caller(logident, parentgroup);
 
         /* For these CGI programs, we can ignore argc and argv since they
          * don't contain anything useful.  `script' will always be the driver

=== modified file 'src/mail-wrapper.c'
--- src/mail-wrapper.c	2006-07-03 16:59:25 +0000
+++ src/mail-wrapper.c	2010-07-13 21:35:40 +0000
@@ -74,7 +74,8 @@
                 fatal(logident, MAIL_ILLEGAL_COMMAND,
                       "Illegal command: %s", argv[1]);
 
-        check_caller(logident, parentgroup);
+        if (getgid() >= 100 && getgid() != 65534)
+                check_caller(logident, parentgroup);
 
         /* If we got here, everything must be OK */
         status = run_script(argv[1], argc, argv, env);

=== modified file 'templates/ar/private.html'
--- templates/ar/private.html	2009-12-31 15:50:29 +0000
+++ templates/ar/private.html	2010-07-13 21:35:40 +0000
@@ -2,9 +2,10 @@
 <head>
     <title>التحقق من الشخصية للأرشيف الخاص بالقائمة %(realname)s</title>
     <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s/">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s/" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/ca/admlogin.html'
--- templates/ca/admlogin.html	2008-08-11 16:06:19 +0000
+++ templates/ca/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>Autenticaci&oacute; per a %(who)s a la llista %(listname)s</title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s  
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/ca/listinfo.html'
--- templates/ca/listinfo.html	2009-03-14 14:18:16 +0000
+++ templates/ca/listinfo.html	2010-07-13 21:35:40 +0000
@@ -62,8 +62,8 @@
 	  <P>
 	    Ompliu el formulari seg&uuml;ent per a
 	      subscriure-us a <MM-List-Name>.
+      <ul>
 	  <MM-List-Subscription-Msg>
-      <ul>
 
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">

=== modified file 'templates/ca/private.html'
--- templates/ca/private.html	2008-08-11 16:06:19 +0000
+++ templates/ca/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>Autenticaci&oacute; per als arxius privats de %(realname)s</title>
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/cs/admlogin.html'
--- templates/cs/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/cs/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s pihlen</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/cs/listinfo.html'
--- templates/cs/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/cs/listinfo.html	2010-07-13 21:35:40 +0000
@@ -63,8 +63,8 @@
 	<td colspan="2">
 	  <P>
              Pro pihlen do konference <MM-List-Name> muste vyplnit nsledujc formul.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/cs/private.html'
--- templates/cs/private.html	2006-07-03 16:59:25 +0000
+++ templates/cs/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>Konference %(realname)s - pihlen pro pstup do privtnho archivu </title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/da/admlogin.html'
--- templates/da/admlogin.html	2006-10-30 13:00:30 +0000
+++ templates/da/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s Login</title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/da/listinfo.html'
--- templates/da/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/da/listinfo.html	2010-07-13 21:35:40 +0000
@@ -62,8 +62,8 @@
 	<td colspan="2">
 	  <P>
 	    Du kan tilmelde dig <MM-List-Name> ved at udfylde skemaet herunder.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/da/private.html'
--- templates/da/private.html	2006-07-03 16:59:25 +0000
+++ templates/da/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s Login til Private Arkiver</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/de/admlogin.html'
--- templates/de/admlogin.html	2006-07-03 16:59:25 +0000
+++ templates/de/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>Anmeldung als %(listname)s-%(who)s</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/de/listinfo.html'
--- templates/de/listinfo.html	2008-08-11 16:06:19 +0000
+++ templates/de/listinfo.html	2010-07-13 21:35:40 +0000
@@ -63,8 +63,8 @@
 	  <P>
 	    Abonnieren Sie <MM-List-Name>, indem Sie das folgende Formular
  ausf&uuml;llen:
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/de/private.html'
--- templates/de/private.html	2008-08-11 16:06:19 +0000
+++ templates/de/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>Authentifizierung f&uuml;r den Zugriff auf die Archive von %(realname)s</title>
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/en/admlogin.html'
--- templates/en/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/en/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s Authentication</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/en/listinfo.html'
--- templates/en/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/en/listinfo.html	2010-07-13 21:35:40 +0000
@@ -4,7 +4,7 @@
     <TITLE><MM-List-Name> Info Page</TITLE>
   
   </HEAD>
-  <BODY BGCOLOR="#ffffff">
+  <BODY>
 
     <P>
       <TABLE COLS="1" BORDER="0" CELLSPACING="4" CELLPADDING="5">
@@ -63,8 +63,8 @@
 	  <P>
 	    Subscribe to <MM-List-Name> by filling out the following
 	      form.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/en/private.html'
--- templates/en/private.html	2006-07-03 16:59:25 +0000
+++ templates/en/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s Private Archives Authentication</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/es/admlogin.html'
--- templates/es/admlogin.html	2009-12-31 15:50:29 +0000
+++ templates/es/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>Autentificacin del %(who)s de %(listname)s </title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/es/listinfo.html'
--- templates/es/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/es/listinfo.html	2010-07-13 21:35:40 +0000
@@ -64,8 +64,8 @@
 	  <P>
 	    Suscr&iacute;base a <MM-List-Name> rellenando los datos del
 	    siguiente formulario
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/es/private.html'
--- templates/es/private.html	2006-07-03 16:59:25 +0000
+++ templates/es/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>Autentificaci&oacute;n para los archivos privados de %(realname)s </title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/et/admlogin.html'
--- templates/et/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/et/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s autoriseerimine</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/et/listinfo.html'
--- templates/et/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/et/listinfo.html	2010-07-13 21:35:40 +0000
@@ -58,8 +58,8 @@
 	<td colspan="2">
 	  <P>
 	   <MM-List-Name> tellimiseks titke jrgnev vorm
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/et/private.html'
--- templates/et/private.html	2006-07-03 16:59:25 +0000
+++ templates/et/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s privaatarhiiv</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/eu/admlogin.html'
--- templates/eu/admlogin.html	2006-10-30 13:00:30 +0000
+++ templates/eu/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s Zerrendako %(who)s Identifikatzen</title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/eu/listinfo.html'
--- templates/eu/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/eu/listinfo.html	2010-07-13 21:35:40 +0000
@@ -62,8 +62,8 @@
 	<td colspan="2">
 	  <P>
 	    <MM-List-Name> posta zerrendan izena eman, ondoko eskaera-orria betez.
-	  <MM-List-Subscription-Msg>
 	  <ul>
+	      <MM-List-Subscription-Msg>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/eu/private.html'
--- templates/eu/private.html	2006-10-30 13:00:30 +0000
+++ templates/eu/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s Artxibo Pribatuak Egiaztatzea</title>
+	<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/fi/admlogin.html'
--- templates/fi/admlogin.html	2006-10-30 13:00:30 +0000
+++ templates/fi/admlogin.html	2010-07-13 21:35:40 +0000
@@ -2,9 +2,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s Authentication</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/fi/listinfo.html'
--- templates/fi/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/fi/listinfo.html	2010-07-13 21:35:40 +0000
@@ -63,8 +63,8 @@
 	<td colspan="2">
 	  <P>
 	    Liity listalle <MM-List-Name> tyttmll oheinen lomake.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/fi/private.html'
--- templates/fi/private.html	2006-10-30 13:00:30 +0000
+++ templates/fi/private.html	2010-07-13 21:35:40 +0000
@@ -2,9 +2,10 @@
 <html>
 <head>
     <title>%(realname)s Private Archives Authentication</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/fr/admlogin.html'
--- templates/fr/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/fr/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>Authentification %(who)s sur %(listname)s</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/fr/listinfo.html'
--- templates/fr/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/fr/listinfo.html	2010-07-13 21:35:40 +0000
@@ -61,8 +61,8 @@
       <p> 	    
 	Abonnez-vous &agrave; <MM-List-Name> en remplissant le formulaire 
 	      suivant. 	  
-	<MM-List-Subscription-Msg> 	 
       <ul>    
+	<MM-List-Subscription-Msg>
         <table border="0" cellspacing="2" cellpadding="2" width="70%"
  height="112">
             <tr>

=== modified file 'templates/fr/private.html'
--- templates/fr/private.html	2006-07-03 16:59:25 +0000
+++ templates/fr/private.html	2010-07-13 21:35:40 +0000
@@ -2,9 +2,10 @@
 <head>
     <title>Authentification pour l'acc&egrave;s aux archives priv&eacute;es de
 %(realname)s</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/gl/admlogin.html'
--- templates/gl/admlogin.html	2008-08-11 16:06:19 +0000
+++ templates/gl/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>Autenticacin de %(who)s de %(listname)s </title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/gl/private.html'
--- templates/gl/private.html	2008-08-11 16:06:19 +0000
+++ templates/gl/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>Autenticaci&oacute;n para os ficheiros privados de %(realname)s </title>
+  <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s/">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s/" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/he/admlogin.html'
--- templates/he/admlogin.html	2008-08-11 16:06:19 +0000
+++ templates/he/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>האימות של %(listname)s %(who)s</title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff" dir="rtl">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" dir="rtl" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/he/private.html'
--- templates/he/private.html	2008-08-11 16:06:19 +0000
+++ templates/he/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>אימות של הארכיון הפרטי של %(realname)s</title>
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff" dir="rtl">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" dir="rtl" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/hr/admlogin.html'
--- templates/hr/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/hr/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
 	<title>%(listname)s %(who)s Autentikacija</title>
+	<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/hr/listinfo.html'
--- templates/hr/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/hr/listinfo.html	2010-07-13 21:35:40 +0000
@@ -63,8 +63,8 @@
 	  <P>
 	    Pretplatite se na <MM-List-Name> ispunjavanjem sljedee 
 	      forme.
-	  <MM-List-Subscription-Msg>
 	  <ul>
+	      <MM-List-Subscription-Msg>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/hr/private.html'
--- templates/hr/private.html	2006-10-30 13:00:30 +0000
+++ templates/hr/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s Privatna Arhiva Autentikacija</title>
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/hu/admlogin.html'
--- templates/hu/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/hu/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
    <title>%(listname)s %(who)s Azonosts</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/hu/listinfo.html'
--- templates/hu/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/hu/listinfo.html	2010-07-13 21:35:40 +0000
@@ -59,11 +59,10 @@
 	<td colspan="2">
 	  <P>
  	  Tltsd ki az albbi rlapot a(z) <MM-List-Name> listra val feliratkozshoz.	    
-	  <MM-List-Subscription-Msg>
 	  <P>Feliratkozs eltt krlek olvasd el a listaszerver
             <A HREF="/illik.html">illemtant</A>!
-
 	  <ul>
+	  <MM-List-Subscription-Msg>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/hu/private.html'
--- templates/hu/private.html	2006-07-03 16:59:25 +0000
+++ templates/hu/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
  <title>%(realname)s Privt archvum azonosts</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/ia/admlogin.html'
--- templates/ia/admlogin.html	2008-08-11 16:06:19 +0000
+++ templates/ia/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>Authentication pro %(who)s a %(listname)s</title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/ia/private.html'
--- templates/ia/private.html	2006-07-03 16:59:25 +0000
+++ templates/ia/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>Authentication pro le archivos private de %(realname)s</title>
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/it/admlogin.html'
--- templates/it/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/it/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
 <title>Autenticazione per %(who)s di %(listname)s</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/it/listinfo.html'
--- templates/it/listinfo.html	2004-10-11 02:02:43 +0000
+++ templates/it/listinfo.html	2010-07-13 21:35:40 +0000
@@ -63,8 +63,8 @@
 	<td colspan="2">
 	  <P>
 	    Iscriviti a <MM-List-Name> completando il seguente modulo.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/it/private.html'
--- templates/it/private.html	2006-07-03 16:59:25 +0000
+++ templates/it/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
 <title>Autenticazione per gli archivi privati di %(realname)s</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/ja/admlogin.html'
--- templates/ja/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/ja/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s ǧ</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/ja/listinfo.html'
--- templates/ja/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/ja/listinfo.html	2010-07-13 21:35:40 +0000
@@ -65,8 +65,8 @@
 	  <P>
 	    <MM-List-Name> ؤ, 
             ʲΥեɬ׻Ƥ. 
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/ja/private.html'
--- templates/ja/private.html	2006-07-03 16:59:25 +0000
+++ templates/ja/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s ¸ ǧ</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/ko/admlogin.html'
--- templates/ko/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/ko/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s  </title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/ko/listinfo.html'
--- templates/ko/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/ko/listinfo.html	2010-07-13 21:35:40 +0000
@@ -63,8 +63,8 @@
 	<td colspan="2">
 	  <P>
 	      ׸ ä ּż <MM-List-Name>   Ͻʽÿ.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/ko/private.html'
--- templates/ko/private.html	2006-07-03 16:59:25 +0000
+++ templates/ko/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s   </title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/lt/admlogin.html'
--- templates/lt/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/lt/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s prisijungimas</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/lt/listinfo.html'
--- templates/lt/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/lt/listinfo.html	2010-07-13 21:35:40 +0000
@@ -61,8 +61,8 @@
 	<td colspan="2">
 	  <P>
 	    Prisijunkite prie <MM-List-Name> upildydami iuos laukus:
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/lt/private.html'
--- templates/lt/private.html	2006-07-03 16:59:25 +0000
+++ templates/lt/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s privataus archyvo prisijungimas</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/nl/admlogin.html'
--- templates/nl/admlogin.html	2006-10-30 13:00:30 +0000
+++ templates/nl/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s inloggen</title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/nl/listinfo.html'
--- templates/nl/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/nl/listinfo.html	2010-07-13 21:35:40 +0000
@@ -59,8 +59,8 @@
 	<td colspan="2">
 	  <P>
 	    Om u aan te melden bij <MM-List-Name> vult u onderstaand formulier in.
-	  <MM-List-Subscription-Msg>
 	  <ul>
+	      <MM-List-Subscription-Msg>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/nl/private.html'
--- templates/nl/private.html	2008-08-11 16:06:19 +0000
+++ templates/nl/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s Priv&eacute;-archief Login</title>
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/no/admlogin.html'
--- templates/no/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/no/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s Innlogging</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/no/listinfo.html'
--- templates/no/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/no/listinfo.html	2010-07-13 21:35:40 +0000
@@ -62,8 +62,8 @@
 	<td colspan="2">
 	  <P>
 	    Du kan melde deg p&aring; <MM-List-Name> ved &aring; fylle ut n&oslash;dvendig informasjon nedenfor.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/no/private.html'
--- templates/no/private.html	2006-07-03 16:59:25 +0000
+++ templates/no/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s Innlogging til Private Arkiver</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/pl/admlogin.html'
--- templates/pl/admlogin.html	2008-08-11 16:06:19 +0000
+++ templates/pl/admlogin.html	2010-07-13 21:35:40 +0000
@@ -2,9 +2,10 @@
 <head>
   <title>Uwierzytelnienie %(who)s %(listname)s</title>
 <meta http-equiv="content-type" content="text/html; charset=ISO-8859-2">
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/pl/listinfo.html'
--- templates/pl/listinfo.html	2008-08-11 16:06:19 +0000
+++ templates/pl/listinfo.html	2010-07-13 21:35:40 +0000
@@ -63,8 +63,8 @@
 	  <P>
           Wypenij poniszy formularz, by zapisa si na list <MM-List-Name>.
 
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/pl/private.html'
--- templates/pl/private.html	2006-07-03 16:59:25 +0000
+++ templates/pl/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s Private Archives Authentication</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/pt/admlogin.html'
--- templates/pt/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/pt/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s Authentication</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/pt/listinfo.html'
--- templates/pt/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/pt/listinfo.html	2010-07-13 21:35:40 +0000
@@ -63,8 +63,8 @@
 	<td colspan="2">
 	  <P>
 	    Inscreva-se em <MM-List-Name> preenchendo o seguinte formulrio.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/pt/private.html'
--- templates/pt/private.html	2006-07-03 16:59:25 +0000
+++ templates/pt/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s Autenticao de Arquivos Privados</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/pt_BR/admlogin.html'
--- templates/pt_BR/admlogin.html	2008-08-11 16:06:19 +0000
+++ templates/pt_BR/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>Autentica&ccedil;&atilde;o de %(who)s na lista %(listname)s</title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/pt_BR/listinfo.html'
--- templates/pt_BR/listinfo.html	2008-08-11 16:06:19 +0000
+++ templates/pt_BR/listinfo.html	2010-07-13 21:35:40 +0000
@@ -63,8 +63,8 @@
 	  <P>
 	    Para se inscrever na lista <MM-List-Name>, preencha o seguinte
 	      formul&aacute;rio.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/pt_BR/private.html'
--- templates/pt_BR/private.html	2008-08-11 16:06:19 +0000
+++ templates/pt_BR/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>Autentica&ccedil;&atilde;o para acesso aos arquivos privados da %(realname)s</title>
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/ro/admlogin.html'
--- templates/ro/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/ro/admlogin.html	2010-07-13 21:35:40 +0000
@@ -2,9 +2,10 @@
 <head>
   <title>%(listname)s: Autentificare - %(who)s</title>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-2">
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/ro/listinfo.html'
--- templates/ro/listinfo.html	2004-10-11 02:02:43 +0000
+++ templates/ro/listinfo.html	2010-07-13 21:35:40 +0000
@@ -60,8 +60,8 @@
 	  <P>
 	    V putei abona la lista de discuii <MM-List-Name> completnd formularul
 	    de mai jos.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/ro/private.html'
--- templates/ro/private.html	2006-07-03 16:59:25 +0000
+++ templates/ro/private.html	2010-07-13 21:35:40 +0000
@@ -2,9 +2,10 @@
 <head>
     <title>Autentificare la arhivele private %(realname)s</title>
     <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-2">
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/ru/admlogin.html'
--- templates/ru/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/ru/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title> %(who)s   %(listname)s</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/ru/listinfo.html'
--- templates/ru/listinfo.html	2004-10-11 02:02:43 +0000
+++ templates/ru/listinfo.html	2010-07-13 21:35:40 +0000
@@ -51,8 +51,8 @@
         <td colspan="2">
           <P>
            ,      <MM-List-Name>,   .
+          <ul>
           <MM-List-Subscription-Msg>
-          <ul>
               <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
                 WIDTH="70%" HEIGHT= "112">
                 <TR>

=== modified file 'templates/ru/private.html'
--- templates/ru/private.html	2006-07-03 16:59:25 +0000
+++ templates/ru/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>        %(realname)s</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/sk/admlogin.html'
--- templates/sk/admlogin.html	2008-08-11 16:06:19 +0000
+++ templates/sk/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s: prihlásenie ako %(who)s</title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/sk/private.html'
--- templates/sk/private.html	2008-08-11 16:06:19 +0000
+++ templates/sk/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>Konferencia %(realname)s - prístup do súkromného archívu</title>
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/sl/admlogin.html'
--- templates/sl/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/sl/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>Avtentikacija lana %(who)s za seznam %(listname)s</title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/sl/listinfo.html'
--- templates/sl/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/sl/listinfo.html	2010-07-13 21:35:40 +0000
@@ -63,8 +63,8 @@
 	  <P>
 	    Na seznam <MM-List-Name> se prijavite tako, da izpolnite
 	      obrazec.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/sl/private.html'
--- templates/sl/private.html	2006-07-03 16:59:25 +0000
+++ templates/sl/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>Avtentikacija za zasebne arhive lana %(realname)s</title>
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/sr/admlogin.html'
--- templates/sr/admlogin.html	2006-10-30 13:00:30 +0000
+++ templates/sr/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,11 @@
 <html>
 <head>
   <title>%(listname)s %(who)s Authentication</title>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+  <script>function sf(){document.f.adminpw.focus();}</script>
+  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+</head>
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/sr/listinfo.html'
--- templates/sr/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/sr/listinfo.html	2010-07-13 21:35:40 +0000
@@ -52,8 +52,9 @@
       </TR>
       <tr>
 	<td colspan="2">
-	  <P> Укључујете се попуњавајући следећи формулар:<MM-List-Subscription-Msg> 
+	  <P> Укључујете се попуњавајући следећи формулар:
       <ul>
+	    <MM-List-Subscription-Msg>
         <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
           <TR> 

=== modified file 'templates/sr/private.html'
--- templates/sr/private.html	2006-10-30 13:00:30 +0000
+++ templates/sr/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,11 @@
 ﻿<html>
 <head>
     <title>Пријава за улаз у приватну архиву листе: %(realname)s </title>
-<meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+	<script>function sf(){document.f.username.focus();}</script>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+</head>
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/sv/admlogin.html'
--- templates/sv/admlogin.html	2006-10-30 13:00:30 +0000
+++ templates/sv/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s Inloggning</title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/sv/listinfo.html'
--- templates/sv/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/sv/listinfo.html	2010-07-13 21:35:40 +0000
@@ -56,8 +56,9 @@
       </TR>
       <tr>
 	<td colspan="2">
-	  <P>Du kan anm&auml;la dig till <MM-List-Name> genom att fylla i n&ouml;dv&auml;ndig information nedan. 	  <MM-List-Subscription-Msg>
+	  <P>Du kan anm&auml;la dig till <MM-List-Name> genom att fylla i n&ouml;dv&auml;ndig information nedan.
 	  <ul>
+	      <MM-List-Subscription-Msg>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/sv/private.html'
--- templates/sv/private.html	2006-10-30 13:00:30 +0000
+++ templates/sv/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s Inloggning till Privata Arkiv</title>
+	<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/tr/admlogin.html'
--- templates/tr/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/tr/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s Girii</title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/tr/listinfo.html'
--- templates/tr/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/tr/listinfo.html	2010-07-13 21:35:40 +0000
@@ -63,8 +63,8 @@
 	  <P>
 	    <MM-List-Name> listesine aadaki formu doldurarak ye
 	      olabilirsiniz.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/tr/private.html'
--- templates/tr/private.html	2006-07-03 16:59:25 +0000
+++ templates/tr/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s zel Arivleri Girii</title>
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/uk/admlogin.html'
--- templates/uk/admlogin.html	2004-10-11 02:02:43 +0000
+++ templates/uk/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>Автентифікація користувача %(who)s списку листування %(listname)s</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/uk/listinfo.html'
--- templates/uk/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/uk/listinfo.html	2010-07-13 21:35:40 +0000
@@ -62,8 +62,8 @@
 	<td colspan="2">
 	  <P>
 	    Щоб підписатись на список розсилки <MM-List-Name> заповніть наступну форму.
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/uk/private.html'
--- templates/uk/private.html	2006-07-03 16:59:25 +0000
+++ templates/uk/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>Автентифікація доступу до закритого списку розсилки %(realname)s</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/vi/admlogin.html'
--- templates/vi/admlogin.html	2006-10-30 13:00:30 +0000
+++ templates/vi/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s Xác thực</title>
+  <script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/vi/private.html'
--- templates/vi/private.html	2006-10-30 13:00:30 +0000
+++ templates/vi/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>Xác thực kho riêng của %(realname)s</title>
+    <script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/zh_CN/admlogin.html'
--- templates/zh_CN/admlogin.html	2006-07-03 16:59:25 +0000
+++ templates/zh_CN/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s %(who)s Authentication</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onload="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/zh_CN/listinfo.html'
--- templates/zh_CN/listinfo.html	2006-07-03 16:59:25 +0000
+++ templates/zh_CN/listinfo.html	2010-07-13 21:35:40 +0000
@@ -60,8 +60,8 @@
 	<td colspan="2">
 	  <P>
 	   要订阅 <MM-List-Name> 邮件列表，请填写如下资料：
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

=== modified file 'templates/zh_CN/private.html'
--- templates/zh_CN/private.html	2006-07-03 16:59:25 +0000
+++ templates/zh_CN/private.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
     <title>%(realname)s 私有归档认证</title>
+<script>function sf(){document.f.username.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(action)s">
+<body bgcolor="#ffffff" onLoad="sf()">
+<FORM METHOD=POST ACTION="%(action)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/zh_TW/admlogin.html'
--- templates/zh_TW/admlogin.html	2006-07-03 16:59:25 +0000
+++ templates/zh_TW/admlogin.html	2010-07-13 21:35:40 +0000
@@ -1,9 +1,10 @@
 <html>
 <head>
   <title>%(listname)s 論壇 壇主驗證</title>
+<script>function sf(){document.f.adminpw.focus();}</script>
 </head>
-<body bgcolor="#ffffff">
-<FORM METHOD=POST ACTION="%(path)s">
+<body bgcolor="#ffffff" onload="sf()">
+<FORM METHOD=POST ACTION="%(path)s" name="f">
 %(message)s
   <TABLE WIDTH="100%%" BORDER="0" CELLSPACING="4" CELLPADDING="5">
     <TR>

=== modified file 'templates/zh_TW/listinfo.html'
--- templates/zh_TW/listinfo.html	2006-10-30 13:00:30 +0000
+++ templates/zh_TW/listinfo.html	2010-07-13 21:35:40 +0000
@@ -60,8 +60,8 @@
 	<td colspan="2">
 	  <P>
 	    欲加入(訂閱) <MM-List-Name> 論壇請依序填妥下列資料。
+	  <ul>
 	  <MM-List-Subscription-Msg>
-	  <ul>
 	      <TABLE BORDER="0" CELLSPACING="2" CELLPADDING="2"
 		WIDTH="70%" HEIGHT= "112">
 		<TR>

